#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2874
#define LARGE_STATE_COUNT 466
#define SYMBOL_COUNT 267
#define ALIAS_COUNT 4
#define TOKEN_COUNT 136
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 106

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_as = 6,
  anon_sym_LBRACE = 7,
  anon_sym_COMMA = 8,
  anon_sym_RBRACE = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_with = 12,
  anon_sym_var = 13,
  anon_sym_let = 14,
  anon_sym_const = 15,
  anon_sym_else = 16,
  anon_sym_if = 17,
  anon_sym_switch = 18,
  anon_sym_for = 19,
  anon_sym_LPAREN = 20,
  anon_sym_RPAREN = 21,
  anon_sym_await = 22,
  anon_sym_in = 23,
  anon_sym_of = 24,
  anon_sym_while = 25,
  anon_sym_do = 26,
  anon_sym_try = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  sym__glimmer_template_content = 42,
  anon_sym_LTtemplate_GT = 43,
  anon_sym_LT_SLASHtemplate_GT = 44,
  aux_sym_jsx_text_token1 = 45,
  aux_sym_jsx_text_token2 = 46,
  sym_html_character_reference = 47,
  anon_sym_LT = 48,
  anon_sym_GT = 49,
  sym_jsx_identifier = 50,
  anon_sym_DOT = 51,
  anon_sym_LT_SLASH = 52,
  anon_sym_SLASH_GT = 53,
  anon_sym_DQUOTE = 54,
  anon_sym_SQUOTE = 55,
  sym_unescaped_double_jsx_string_fragment = 56,
  sym_unescaped_single_jsx_string_fragment = 57,
  anon_sym_class = 58,
  anon_sym_extends = 59,
  anon_sym_async = 60,
  anon_sym_function = 61,
  anon_sym_EQ_GT = 62,
  sym_optional_chain = 63,
  anon_sym_new = 64,
  anon_sym_PLUS_EQ = 65,
  anon_sym_DASH_EQ = 66,
  anon_sym_STAR_EQ = 67,
  anon_sym_SLASH_EQ = 68,
  anon_sym_PERCENT_EQ = 69,
  anon_sym_CARET_EQ = 70,
  anon_sym_AMP_EQ = 71,
  anon_sym_PIPE_EQ = 72,
  anon_sym_GT_GT_EQ = 73,
  anon_sym_GT_GT_GT_EQ = 74,
  anon_sym_LT_LT_EQ = 75,
  anon_sym_STAR_STAR_EQ = 76,
  anon_sym_AMP_AMP_EQ = 77,
  anon_sym_PIPE_PIPE_EQ = 78,
  anon_sym_QMARK_QMARK_EQ = 79,
  anon_sym_DOT_DOT_DOT = 80,
  anon_sym_AMP_AMP = 81,
  anon_sym_PIPE_PIPE = 82,
  anon_sym_GT_GT = 83,
  anon_sym_GT_GT_GT = 84,
  anon_sym_LT_LT = 85,
  anon_sym_AMP = 86,
  anon_sym_CARET = 87,
  anon_sym_PIPE = 88,
  anon_sym_PLUS = 89,
  anon_sym_DASH = 90,
  anon_sym_SLASH = 91,
  anon_sym_PERCENT = 92,
  anon_sym_STAR_STAR = 93,
  anon_sym_LT_EQ = 94,
  anon_sym_EQ_EQ = 95,
  anon_sym_EQ_EQ_EQ = 96,
  anon_sym_BANG_EQ = 97,
  anon_sym_BANG_EQ_EQ = 98,
  anon_sym_GT_EQ = 99,
  anon_sym_QMARK_QMARK = 100,
  anon_sym_instanceof = 101,
  anon_sym_BANG = 102,
  anon_sym_TILDE = 103,
  anon_sym_typeof = 104,
  anon_sym_void = 105,
  anon_sym_delete = 106,
  anon_sym_PLUS_PLUS = 107,
  anon_sym_DASH_DASH = 108,
  sym_unescaped_double_string_fragment = 109,
  sym_unescaped_single_string_fragment = 110,
  sym_escape_sequence = 111,
  aux_sym_comment_token1 = 112,
  anon_sym_BQUOTE = 113,
  anon_sym_DOLLAR_LBRACE = 114,
  anon_sym_SLASH2 = 115,
  sym_regex_pattern = 116,
  sym_regex_flags = 117,
  sym_number = 118,
  sym_private_property_identifier = 119,
  anon_sym_target = 120,
  sym_this = 121,
  sym_super = 122,
  sym_true = 123,
  sym_false = 124,
  sym_null = 125,
  sym_undefined = 126,
  anon_sym_AT = 127,
  anon_sym_static = 128,
  aux_sym_method_definition_token1 = 129,
  anon_sym_get = 130,
  anon_sym_set = 131,
  sym__automatic_semicolon = 132,
  sym__template_chars = 133,
  sym__ternary_qmark = 134,
  sym_html_comment = 135,
  sym_program = 136,
  sym_export_statement = 137,
  sym_namespace_export = 138,
  sym_export_clause = 139,
  sym_export_specifier = 140,
  sym__module_export_name = 141,
  sym_declaration = 142,
  sym_import = 143,
  sym_import_statement = 144,
  sym_import_clause = 145,
  sym__from_clause = 146,
  sym_namespace_import = 147,
  sym_named_imports = 148,
  sym_import_specifier = 149,
  sym_import_attribute = 150,
  sym_expression_statement = 151,
  sym_variable_declaration = 152,
  sym_lexical_declaration = 153,
  sym_variable_declarator = 154,
  sym_statement_block = 155,
  sym_else_clause = 156,
  sym_if_statement = 157,
  sym_switch_statement = 158,
  sym_for_statement = 159,
  sym_for_in_statement = 160,
  sym__for_header = 161,
  sym_while_statement = 162,
  sym_do_statement = 163,
  sym_try_statement = 164,
  sym_with_statement = 165,
  sym_break_statement = 166,
  sym_continue_statement = 167,
  sym_debugger_statement = 168,
  sym_return_statement = 169,
  sym_throw_statement = 170,
  sym_empty_statement = 171,
  sym_labeled_statement = 172,
  sym_switch_body = 173,
  sym_switch_case = 174,
  sym_switch_default = 175,
  sym_catch_clause = 176,
  sym_finally_clause = 177,
  sym_parenthesized_expression = 178,
  sym_expression = 179,
  sym_primary_expression = 180,
  sym_yield_expression = 181,
  sym_object = 182,
  sym_object_pattern = 183,
  sym_assignment_pattern = 184,
  sym_object_assignment_pattern = 185,
  sym_array = 186,
  sym_array_pattern = 187,
  sym_glimmer_template = 188,
  sym_glimmer_opening_tag = 189,
  sym_glimmer_closing_tag = 190,
  sym_jsx_element = 191,
  sym_jsx_text = 192,
  sym_jsx_expression = 193,
  sym_jsx_opening_element = 194,
  sym_nested_identifier = 195,
  sym_jsx_namespace_name = 196,
  sym_jsx_closing_element = 197,
  sym_jsx_self_closing_element = 198,
  sym_jsx_attribute = 199,
  sym__jsx_string = 200,
  sym_class = 201,
  sym_class_declaration = 202,
  sym_class_heritage = 203,
  sym_function_expression = 204,
  sym_function_declaration = 205,
  sym_generator_function = 206,
  sym_generator_function_declaration = 207,
  sym_arrow_function = 208,
  sym_call_expression = 209,
  sym_new_expression = 210,
  sym_await_expression = 211,
  sym_member_expression = 212,
  sym_subscript_expression = 213,
  sym_assignment_expression = 214,
  sym__augmented_assignment_lhs = 215,
  sym_augmented_assignment_expression = 216,
  sym__initializer = 217,
  sym__destructuring_pattern = 218,
  sym_spread_element = 219,
  sym_ternary_expression = 220,
  sym_binary_expression = 221,
  sym_unary_expression = 222,
  sym_update_expression = 223,
  sym_sequence_expression = 224,
  sym_string = 225,
  sym_comment = 226,
  sym_template_string = 227,
  sym_template_substitution = 228,
  sym_regex = 229,
  sym_meta_property = 230,
  sym_arguments = 231,
  sym_decorator = 232,
  sym_decorator_member_expression = 233,
  sym_decorator_call_expression = 234,
  sym_class_body = 235,
  sym_field_definition = 236,
  sym_formal_parameters = 237,
  sym_class_static_block = 238,
  sym_pattern = 239,
  sym_rest_pattern = 240,
  sym_method_definition = 241,
  sym_pair = 242,
  sym_pair_pattern = 243,
  sym__property_name = 244,
  sym_computed_property_name = 245,
  aux_sym_program_repeat1 = 246,
  aux_sym_export_statement_repeat1 = 247,
  aux_sym_export_clause_repeat1 = 248,
  aux_sym_named_imports_repeat1 = 249,
  aux_sym_variable_declaration_repeat1 = 250,
  aux_sym_switch_body_repeat1 = 251,
  aux_sym_object_repeat1 = 252,
  aux_sym_object_pattern_repeat1 = 253,
  aux_sym_array_repeat1 = 254,
  aux_sym_array_pattern_repeat1 = 255,
  aux_sym_glimmer_template_repeat1 = 256,
  aux_sym_jsx_element_repeat1 = 257,
  aux_sym_jsx_opening_element_repeat1 = 258,
  aux_sym__jsx_string_repeat1 = 259,
  aux_sym__jsx_string_repeat2 = 260,
  aux_sym_sequence_expression_repeat1 = 261,
  aux_sym_string_repeat1 = 262,
  aux_sym_string_repeat2 = 263,
  aux_sym_template_string_repeat1 = 264,
  aux_sym_class_body_repeat1 = 265,
  aux_sym_formal_parameters_repeat1 = 266,
  alias_sym_property_identifier = 267,
  alias_sym_shorthand_property_identifier = 268,
  alias_sym_shorthand_property_identifier_pattern = 269,
  alias_sym_statement_identifier = 270,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_as] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [aux_sym_jsx_text_token1] = "jsx_text_token1",
  [aux_sym_jsx_text_token2] = "jsx_text_token2",
  [sym_html_character_reference] = "html_character_reference",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_jsx_string_fragment] = "string_fragment",
  [sym_unescaped_single_jsx_string_fragment] = "string_fragment",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [sym_optional_chain] = "optional_chain",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [aux_sym_method_definition_token1] = "static get",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "member_expression",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_string] = "string",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_comment] = "comment",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_field_definition] = "field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym__jsx_string_repeat1] = "_jsx_string_repeat1",
  [aux_sym__jsx_string_repeat2] = "_jsx_string_repeat2",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [aux_sym_jsx_text_token1] = aux_sym_jsx_text_token1,
  [aux_sym_jsx_text_token2] = aux_sym_jsx_text_token2,
  [sym_html_character_reference] = sym_html_character_reference,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_jsx_string_fragment] = sym__template_chars,
  [sym_unescaped_single_jsx_string_fragment] = sym__template_chars,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_optional_chain] = sym_optional_chain,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [aux_sym_method_definition_token1] = aux_sym_method_definition_token1,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = sym__ternary_qmark,
  [sym_html_comment] = sym_html_comment,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_member_expression,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_string] = sym_string,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_comment] = sym_comment,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_field_definition] = sym_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym__jsx_string_repeat1] = aux_sym__jsx_string_repeat1,
  [aux_sym__jsx_string_repeat2] = aux_sym__jsx_string_repeat2,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_jsx_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_text_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_html_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_method_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_string] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_initializer = 20,
  field_key = 21,
  field_kind = 22,
  field_label = 23,
  field_left = 24,
  field_member = 25,
  field_name = 26,
  field_object = 27,
  field_open_tag = 28,
  field_operator = 29,
  field_optional_chain = 30,
  field_parameter = 31,
  field_parameters = 32,
  field_pattern = 33,
  field_property = 34,
  field_right = 35,
  field_source = 36,
  field_template = 37,
  field_value = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_template] = "template",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 2},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 2},
  [23] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 32, .length = 6},
  [27] = {.index = 38, .length = 2},
  [28] = {.index = 40, .length = 2},
  [29] = {.index = 42, .length = 2},
  [30] = {.index = 44, .length = 1},
  [31] = {.index = 45, .length = 1},
  [32] = {.index = 46, .length = 1},
  [33] = {.index = 47, .length = 1},
  [34] = {.index = 48, .length = 1},
  [35] = {.index = 49, .length = 1},
  [36] = {.index = 50, .length = 2},
  [37] = {.index = 52, .length = 1},
  [38] = {.index = 53, .length = 2},
  [39] = {.index = 55, .length = 2},
  [40] = {.index = 57, .length = 1},
  [41] = {.index = 18, .length = 2},
  [42] = {.index = 20, .length = 2},
  [43] = {.index = 58, .length = 3},
  [44] = {.index = 61, .length = 2},
  [45] = {.index = 61, .length = 2},
  [46] = {.index = 63, .length = 3},
  [47] = {.index = 63, .length = 3},
  [48] = {.index = 66, .length = 3},
  [49] = {.index = 69, .length = 3},
  [50] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 1},
  [55] = {.index = 81, .length = 1},
  [56] = {.index = 18, .length = 2},
  [57] = {.index = 82, .length = 2},
  [58] = {.index = 84, .length = 3},
  [59] = {.index = 87, .length = 1},
  [60] = {.index = 88, .length = 3},
  [61] = {.index = 91, .length = 6},
  [62] = {.index = 97, .length = 2},
  [63] = {.index = 99, .length = 3},
  [64] = {.index = 102, .length = 2},
  [65] = {.index = 104, .length = 2},
  [66] = {.index = 106, .length = 1},
  [67] = {.index = 107, .length = 2},
  [68] = {.index = 109, .length = 2},
  [69] = {.index = 111, .length = 2},
  [70] = {.index = 113, .length = 4},
  [71] = {.index = 117, .length = 2},
  [72] = {.index = 119, .length = 2},
  [73] = {.index = 121, .length = 2},
  [74] = {.index = 119, .length = 2},
  [75] = {.index = 123, .length = 2},
  [76] = {.index = 125, .length = 3},
  [77] = {.index = 128, .length = 2},
  [78] = {.index = 130, .length = 2},
  [79] = {.index = 132, .length = 2},
  [80] = {.index = 134, .length = 3},
  [81] = {.index = 137, .length = 2},
  [82] = {.index = 139, .length = 2},
  [83] = {.index = 141, .length = 4},
  [84] = {.index = 145, .length = 2},
  [85] = {.index = 147, .length = 2},
  [86] = {.index = 149, .length = 3},
  [87] = {.index = 152, .length = 2},
  [88] = {.index = 154, .length = 3},
  [89] = {.index = 157, .length = 3},
  [90] = {.index = 160, .length = 3},
  [91] = {.index = 163, .length = 2},
  [92] = {.index = 165, .length = 3},
  [93] = {.index = 168, .length = 4},
  [94] = {.index = 172, .length = 3},
  [95] = {.index = 172, .length = 3},
  [96] = {.index = 175, .length = 3},
  [97] = {.index = 178, .length = 3},
  [98] = {.index = 181, .length = 3},
  [99] = {.index = 184, .length = 4},
  [100] = {.index = 188, .length = 2},
  [101] = {.index = 190, .length = 4},
  [102] = {.index = 194, .length = 4},
  [103] = {.index = 198, .length = 2},
  [104] = {.index = 200, .length = 4},
  [105] = {.index = 204, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_constructor, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_argument, 0},
    {field_operator, 1},
  [11] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_declaration, 2},
  [16] =
    {field_body, 2},
    {field_label, 0},
  [18] =
    {field_left, 0},
    {field_right, 2},
  [20] =
    {field_body, 2},
    {field_parameter, 0},
  [22] =
    {field_source, 1},
  [23] =
    {field_body, 2},
    {field_object, 1},
  [25] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [27] =
    {field_kind, 0},
  [28] =
    {field_condition, 1},
    {field_consequence, 2},
  [30] =
    {field_body, 2},
    {field_value, 1},
  [32] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [38] =
    {field_body, 2},
    {field_condition, 1},
  [40] =
    {field_body, 1},
    {field_handler, 2},
  [42] =
    {field_body, 1},
    {field_finalizer, 2},
  [44] =
    {field_label, 1},
  [45] =
    {field_name, 1},
  [46] =
    {field_attribute, 0},
  [47] =
    {field_template, 0},
  [48] =
    {field_member, 0},
  [49] =
    {field_property, 0},
  [50] =
    {field_body, 2},
    {field_name, 1},
  [52] =
    {field_body, 2},
  [53] =
    {field_body, 2},
    {field_parameters, 1},
  [55] =
    {field_arguments, 2},
    {field_constructor, 1},
  [57] =
    {field_pattern, 1},
  [58] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [61] =
    {field_object, 0},
    {field_property, 2},
  [63] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [66] =
    {field_arguments, 2},
    {field_function, 0},
    {field_optional_chain, 1},
  [69] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [72] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [74] =
    {field_body, 2},
    {field_parameters, 0},
  [76] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [78] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [80] =
    {field_source, 2, .inherited = true},
  [81] =
    {field_value, 2},
  [82] =
    {field_key, 0},
    {field_value, 2},
  [84] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [87] =
    {field_value, 1},
  [88] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [91] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [97] =
    {field_body, 1},
    {field_condition, 3},
  [99] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [102] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [104] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [106] =
    {field_property, 1},
  [107] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [109] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
  [111] =
    {field_member, 1, .inherited = true},
    {field_template, 1, .inherited = true},
  [113] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
    {field_template, 0, .inherited = true},
    {field_template, 1, .inherited = true},
  [117] =
    {field_body, 3},
    {field_name, 1},
  [119] =
    {field_body, 3},
    {field_parameter, 1},
  [121] =
    {field_body, 3},
    {field_parameters, 2},
  [123] =
    {field_body, 3},
    {field_parameters, 1},
  [125] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [128] =
    {field_flags, 3},
    {field_pattern, 1},
  [130] =
    {field_index, 2},
    {field_object, 0},
  [132] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [134] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [137] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [139] =
    {field_alias, 2},
    {field_name, 0},
  [141] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [145] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [147] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
  [149] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [152] =
    {field_body, 4},
    {field_parameters, 3},
  [154] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [157] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [160] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [163] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [165] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [168] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [172] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [175] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [178] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
    {field_value, 3, .inherited = true},
  [181] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [184] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
  [188] =
    {field_body, 3},
    {field_value, 1},
  [190] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [194] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [198] =
    {field_body, 4},
    {field_parameter, 2},
  [200] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
  [204] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_statement_identifier,
  },
  [15] = {
    [0] = sym_identifier,
  },
  [16] = {
    [0] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [18] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [19] = {
    [1] = sym_identifier,
  },
  [30] = {
    [1] = alias_sym_statement_identifier,
  },
  [44] = {
    [2] = alias_sym_property_identifier,
  },
  [46] = {
    [2] = alias_sym_property_identifier,
  },
  [56] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [72] = {
    [1] = sym_identifier,
  },
  [94] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 10,
  [16] = 16,
  [17] = 16,
  [18] = 18,
  [19] = 16,
  [20] = 18,
  [21] = 16,
  [22] = 18,
  [23] = 18,
  [24] = 16,
  [25] = 18,
  [26] = 18,
  [27] = 16,
  [28] = 16,
  [29] = 18,
  [30] = 16,
  [31] = 18,
  [32] = 16,
  [33] = 18,
  [34] = 18,
  [35] = 18,
  [36] = 16,
  [37] = 18,
  [38] = 38,
  [39] = 16,
  [40] = 18,
  [41] = 16,
  [42] = 18,
  [43] = 16,
  [44] = 18,
  [45] = 16,
  [46] = 18,
  [47] = 16,
  [48] = 18,
  [49] = 16,
  [50] = 18,
  [51] = 16,
  [52] = 18,
  [53] = 16,
  [54] = 18,
  [55] = 16,
  [56] = 18,
  [57] = 16,
  [58] = 18,
  [59] = 16,
  [60] = 18,
  [61] = 61,
  [62] = 16,
  [63] = 63,
  [64] = 18,
  [65] = 16,
  [66] = 16,
  [67] = 18,
  [68] = 16,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 71,
  [73] = 73,
  [74] = 73,
  [75] = 71,
  [76] = 76,
  [77] = 69,
  [78] = 78,
  [79] = 73,
  [80] = 69,
  [81] = 70,
  [82] = 82,
  [83] = 78,
  [84] = 76,
  [85] = 69,
  [86] = 78,
  [87] = 87,
  [88] = 88,
  [89] = 87,
  [90] = 90,
  [91] = 70,
  [92] = 73,
  [93] = 73,
  [94] = 87,
  [95] = 88,
  [96] = 87,
  [97] = 90,
  [98] = 90,
  [99] = 71,
  [100] = 82,
  [101] = 88,
  [102] = 88,
  [103] = 69,
  [104] = 87,
  [105] = 71,
  [106] = 70,
  [107] = 76,
  [108] = 82,
  [109] = 76,
  [110] = 78,
  [111] = 82,
  [112] = 76,
  [113] = 90,
  [114] = 90,
  [115] = 70,
  [116] = 78,
  [117] = 82,
  [118] = 88,
  [119] = 119,
  [120] = 119,
  [121] = 119,
  [122] = 119,
  [123] = 119,
  [124] = 124,
  [125] = 124,
  [126] = 124,
  [127] = 127,
  [128] = 124,
  [129] = 124,
  [130] = 124,
  [131] = 124,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 133,
  [136] = 133,
  [137] = 134,
  [138] = 134,
  [139] = 132,
  [140] = 132,
  [141] = 132,
  [142] = 132,
  [143] = 143,
  [144] = 133,
  [145] = 134,
  [146] = 134,
  [147] = 133,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 143,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 150,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 143,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 152,
  [169] = 148,
  [170] = 148,
  [171] = 159,
  [172] = 162,
  [173] = 163,
  [174] = 159,
  [175] = 175,
  [176] = 156,
  [177] = 161,
  [178] = 153,
  [179] = 158,
  [180] = 158,
  [181] = 149,
  [182] = 161,
  [183] = 153,
  [184] = 162,
  [185] = 152,
  [186] = 165,
  [187] = 154,
  [188] = 163,
  [189] = 167,
  [190] = 156,
  [191] = 165,
  [192] = 143,
  [193] = 167,
  [194] = 194,
  [195] = 157,
  [196] = 175,
  [197] = 154,
  [198] = 149,
  [199] = 157,
  [200] = 200,
  [201] = 148,
  [202] = 154,
  [203] = 158,
  [204] = 161,
  [205] = 159,
  [206] = 200,
  [207] = 156,
  [208] = 200,
  [209] = 152,
  [210] = 157,
  [211] = 211,
  [212] = 162,
  [213] = 200,
  [214] = 167,
  [215] = 215,
  [216] = 200,
  [217] = 165,
  [218] = 163,
  [219] = 219,
  [220] = 149,
  [221] = 221,
  [222] = 153,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 225,
  [227] = 225,
  [228] = 228,
  [229] = 225,
  [230] = 225,
  [231] = 231,
  [232] = 224,
  [233] = 233,
  [234] = 233,
  [235] = 233,
  [236] = 233,
  [237] = 233,
  [238] = 238,
  [239] = 238,
  [240] = 238,
  [241] = 238,
  [242] = 242,
  [243] = 238,
  [244] = 244,
  [245] = 244,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 246,
  [250] = 250,
  [251] = 244,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 244,
  [259] = 246,
  [260] = 260,
  [261] = 250,
  [262] = 262,
  [263] = 255,
  [264] = 264,
  [265] = 256,
  [266] = 252,
  [267] = 256,
  [268] = 248,
  [269] = 256,
  [270] = 250,
  [271] = 253,
  [272] = 272,
  [273] = 252,
  [274] = 253,
  [275] = 246,
  [276] = 247,
  [277] = 246,
  [278] = 252,
  [279] = 248,
  [280] = 280,
  [281] = 256,
  [282] = 248,
  [283] = 250,
  [284] = 253,
  [285] = 255,
  [286] = 252,
  [287] = 247,
  [288] = 246,
  [289] = 248,
  [290] = 264,
  [291] = 255,
  [292] = 253,
  [293] = 250,
  [294] = 244,
  [295] = 260,
  [296] = 296,
  [297] = 297,
  [298] = 255,
  [299] = 247,
  [300] = 247,
  [301] = 246,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 302,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 305,
  [318] = 318,
  [319] = 304,
  [320] = 310,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 316,
  [326] = 303,
  [327] = 327,
  [328] = 328,
  [329] = 312,
  [330] = 330,
  [331] = 312,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 316,
  [336] = 311,
  [337] = 318,
  [338] = 304,
  [339] = 310,
  [340] = 321,
  [341] = 322,
  [342] = 323,
  [343] = 309,
  [344] = 303,
  [345] = 327,
  [346] = 328,
  [347] = 347,
  [348] = 347,
  [349] = 315,
  [350] = 321,
  [351] = 322,
  [352] = 323,
  [353] = 324,
  [354] = 315,
  [355] = 355,
  [356] = 305,
  [357] = 309,
  [358] = 358,
  [359] = 308,
  [360] = 303,
  [361] = 327,
  [362] = 333,
  [363] = 302,
  [364] = 355,
  [365] = 365,
  [366] = 315,
  [367] = 365,
  [368] = 305,
  [369] = 369,
  [370] = 302,
  [371] = 333,
  [372] = 311,
  [373] = 347,
  [374] = 324,
  [375] = 355,
  [376] = 376,
  [377] = 358,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 312,
  [382] = 308,
  [383] = 358,
  [384] = 316,
  [385] = 308,
  [386] = 355,
  [387] = 318,
  [388] = 324,
  [389] = 347,
  [390] = 327,
  [391] = 391,
  [392] = 303,
  [393] = 309,
  [394] = 323,
  [395] = 322,
  [396] = 321,
  [397] = 310,
  [398] = 376,
  [399] = 333,
  [400] = 302,
  [401] = 365,
  [402] = 358,
  [403] = 358,
  [404] = 355,
  [405] = 324,
  [406] = 347,
  [407] = 327,
  [408] = 318,
  [409] = 309,
  [410] = 315,
  [411] = 365,
  [412] = 333,
  [413] = 304,
  [414] = 308,
  [415] = 323,
  [416] = 305,
  [417] = 322,
  [418] = 321,
  [419] = 310,
  [420] = 365,
  [421] = 304,
  [422] = 318,
  [423] = 316,
  [424] = 312,
  [425] = 425,
  [426] = 425,
  [427] = 425,
  [428] = 428,
  [429] = 429,
  [430] = 428,
  [431] = 429,
  [432] = 428,
  [433] = 428,
  [434] = 429,
  [435] = 428,
  [436] = 436,
  [437] = 437,
  [438] = 437,
  [439] = 436,
  [440] = 437,
  [441] = 436,
  [442] = 442,
  [443] = 442,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 444,
  [448] = 448,
  [449] = 449,
  [450] = 442,
  [451] = 444,
  [452] = 448,
  [453] = 442,
  [454] = 444,
  [455] = 449,
  [456] = 442,
  [457] = 444,
  [458] = 458,
  [459] = 449,
  [460] = 442,
  [461] = 165,
  [462] = 446,
  [463] = 445,
  [464] = 149,
  [465] = 446,
  [466] = 165,
  [467] = 149,
  [468] = 468,
  [469] = 149,
  [470] = 442,
  [471] = 446,
  [472] = 165,
  [473] = 165,
  [474] = 468,
  [475] = 148,
  [476] = 476,
  [477] = 468,
  [478] = 468,
  [479] = 149,
  [480] = 468,
  [481] = 167,
  [482] = 448,
  [483] = 149,
  [484] = 484,
  [485] = 485,
  [486] = 165,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 149,
  [491] = 476,
  [492] = 149,
  [493] = 152,
  [494] = 153,
  [495] = 487,
  [496] = 489,
  [497] = 497,
  [498] = 442,
  [499] = 148,
  [500] = 167,
  [501] = 149,
  [502] = 502,
  [503] = 165,
  [504] = 148,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 167,
  [509] = 442,
  [510] = 510,
  [511] = 511,
  [512] = 149,
  [513] = 476,
  [514] = 148,
  [515] = 515,
  [516] = 167,
  [517] = 517,
  [518] = 165,
  [519] = 148,
  [520] = 167,
  [521] = 165,
  [522] = 165,
  [523] = 523,
  [524] = 489,
  [525] = 489,
  [526] = 458,
  [527] = 489,
  [528] = 528,
  [529] = 529,
  [530] = 165,
  [531] = 167,
  [532] = 165,
  [533] = 533,
  [534] = 148,
  [535] = 148,
  [536] = 165,
  [537] = 502,
  [538] = 505,
  [539] = 484,
  [540] = 167,
  [541] = 148,
  [542] = 167,
  [543] = 543,
  [544] = 148,
  [545] = 545,
  [546] = 167,
  [547] = 165,
  [548] = 548,
  [549] = 523,
  [550] = 550,
  [551] = 517,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 148,
  [556] = 485,
  [557] = 488,
  [558] = 507,
  [559] = 559,
  [560] = 487,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 507,
  [565] = 488,
  [566] = 566,
  [567] = 149,
  [568] = 568,
  [569] = 167,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 165,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 515,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 153,
  [585] = 152,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 506,
  [592] = 153,
  [593] = 593,
  [594] = 594,
  [595] = 152,
  [596] = 506,
  [597] = 148,
  [598] = 598,
  [599] = 149,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 487,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 149,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 476,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 485,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 523,
  [647] = 484,
  [648] = 517,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 515,
  [654] = 505,
  [655] = 655,
  [656] = 502,
  [657] = 657,
  [658] = 511,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 510,
  [665] = 665,
  [666] = 149,
  [667] = 149,
  [668] = 668,
  [669] = 669,
  [670] = 511,
  [671] = 510,
  [672] = 672,
  [673] = 673,
  [674] = 167,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 586,
  [679] = 576,
  [680] = 572,
  [681] = 573,
  [682] = 575,
  [683] = 576,
  [684] = 579,
  [685] = 580,
  [686] = 581,
  [687] = 582,
  [688] = 583,
  [689] = 619,
  [690] = 586,
  [691] = 587,
  [692] = 552,
  [693] = 588,
  [694] = 589,
  [695] = 568,
  [696] = 665,
  [697] = 643,
  [698] = 659,
  [699] = 642,
  [700] = 613,
  [701] = 655,
  [702] = 605,
  [703] = 618,
  [704] = 677,
  [705] = 606,
  [706] = 640,
  [707] = 562,
  [708] = 676,
  [709] = 639,
  [710] = 619,
  [711] = 484,
  [712] = 673,
  [713] = 659,
  [714] = 616,
  [715] = 505,
  [716] = 533,
  [717] = 502,
  [718] = 645,
  [719] = 618,
  [720] = 607,
  [721] = 611,
  [722] = 644,
  [723] = 616,
  [724] = 655,
  [725] = 590,
  [726] = 614,
  [727] = 614,
  [728] = 543,
  [729] = 485,
  [730] = 553,
  [731] = 563,
  [732] = 624,
  [733] = 626,
  [734] = 734,
  [735] = 637,
  [736] = 625,
  [737] = 629,
  [738] = 604,
  [739] = 634,
  [740] = 550,
  [741] = 566,
  [742] = 633,
  [743] = 630,
  [744] = 570,
  [745] = 628,
  [746] = 632,
  [747] = 649,
  [748] = 620,
  [749] = 636,
  [750] = 629,
  [751] = 626,
  [752] = 624,
  [753] = 611,
  [754] = 598,
  [755] = 149,
  [756] = 608,
  [757] = 607,
  [758] = 554,
  [759] = 643,
  [760] = 488,
  [761] = 594,
  [762] = 589,
  [763] = 630,
  [764] = 633,
  [765] = 506,
  [766] = 634,
  [767] = 637,
  [768] = 588,
  [769] = 507,
  [770] = 623,
  [771] = 587,
  [772] = 617,
  [773] = 603,
  [774] = 621,
  [775] = 613,
  [776] = 552,
  [777] = 676,
  [778] = 639,
  [779] = 612,
  [780] = 627,
  [781] = 628,
  [782] = 583,
  [783] = 675,
  [784] = 582,
  [785] = 640,
  [786] = 581,
  [787] = 631,
  [788] = 672,
  [789] = 580,
  [790] = 579,
  [791] = 791,
  [792] = 575,
  [793] = 573,
  [794] = 601,
  [795] = 572,
  [796] = 638,
  [797] = 571,
  [798] = 669,
  [799] = 668,
  [800] = 663,
  [801] = 601,
  [802] = 570,
  [803] = 612,
  [804] = 650,
  [805] = 651,
  [806] = 623,
  [807] = 661,
  [808] = 657,
  [809] = 566,
  [810] = 528,
  [811] = 563,
  [812] = 523,
  [813] = 517,
  [814] = 515,
  [815] = 553,
  [816] = 543,
  [817] = 610,
  [818] = 545,
  [819] = 608,
  [820] = 533,
  [821] = 548,
  [822] = 148,
  [823] = 661,
  [824] = 602,
  [825] = 600,
  [826] = 167,
  [827] = 559,
  [828] = 577,
  [829] = 603,
  [830] = 593,
  [831] = 652,
  [832] = 641,
  [833] = 529,
  [834] = 660,
  [835] = 662,
  [836] = 663,
  [837] = 625,
  [838] = 668,
  [839] = 669,
  [840] = 672,
  [841] = 675,
  [842] = 600,
  [843] = 562,
  [844] = 561,
  [845] = 568,
  [846] = 590,
  [847] = 529,
  [848] = 641,
  [849] = 167,
  [850] = 604,
  [851] = 550,
  [852] = 571,
  [853] = 642,
  [854] = 636,
  [855] = 153,
  [856] = 598,
  [857] = 627,
  [858] = 554,
  [859] = 662,
  [860] = 594,
  [861] = 149,
  [862] = 632,
  [863] = 734,
  [864] = 617,
  [865] = 665,
  [866] = 148,
  [867] = 621,
  [868] = 631,
  [869] = 511,
  [870] = 644,
  [871] = 660,
  [872] = 638,
  [873] = 645,
  [874] = 649,
  [875] = 652,
  [876] = 167,
  [877] = 165,
  [878] = 677,
  [879] = 734,
  [880] = 734,
  [881] = 650,
  [882] = 651,
  [883] = 152,
  [884] = 148,
  [885] = 657,
  [886] = 528,
  [887] = 610,
  [888] = 593,
  [889] = 545,
  [890] = 577,
  [891] = 606,
  [892] = 167,
  [893] = 559,
  [894] = 548,
  [895] = 734,
  [896] = 510,
  [897] = 605,
  [898] = 165,
  [899] = 561,
  [900] = 673,
  [901] = 148,
  [902] = 602,
  [903] = 620,
  [904] = 657,
  [905] = 631,
  [906] = 613,
  [907] = 672,
  [908] = 908,
  [909] = 669,
  [910] = 668,
  [911] = 908,
  [912] = 553,
  [913] = 571,
  [914] = 572,
  [915] = 563,
  [916] = 573,
  [917] = 566,
  [918] = 577,
  [919] = 575,
  [920] = 645,
  [921] = 593,
  [922] = 559,
  [923] = 576,
  [924] = 579,
  [925] = 580,
  [926] = 614,
  [927] = 581,
  [928] = 582,
  [929] = 601,
  [930] = 624,
  [931] = 603,
  [932] = 602,
  [933] = 583,
  [934] = 548,
  [935] = 545,
  [936] = 675,
  [937] = 608,
  [938] = 586,
  [939] = 640,
  [940] = 587,
  [941] = 616,
  [942] = 618,
  [943] = 619,
  [944] = 552,
  [945] = 661,
  [946] = 629,
  [947] = 588,
  [948] = 589,
  [949] = 641,
  [950] = 610,
  [951] = 528,
  [952] = 639,
  [953] = 655,
  [954] = 659,
  [955] = 663,
  [956] = 620,
  [957] = 529,
  [958] = 791,
  [959] = 533,
  [960] = 651,
  [961] = 673,
  [962] = 650,
  [963] = 637,
  [964] = 638,
  [965] = 570,
  [966] = 662,
  [967] = 643,
  [968] = 634,
  [969] = 148,
  [970] = 621,
  [971] = 605,
  [972] = 617,
  [973] = 167,
  [974] = 606,
  [975] = 594,
  [976] = 633,
  [977] = 554,
  [978] = 908,
  [979] = 630,
  [980] = 598,
  [981] = 642,
  [982] = 636,
  [983] = 550,
  [984] = 607,
  [985] = 665,
  [986] = 644,
  [987] = 604,
  [988] = 611,
  [989] = 590,
  [990] = 626,
  [991] = 649,
  [992] = 676,
  [993] = 568,
  [994] = 612,
  [995] = 660,
  [996] = 561,
  [997] = 562,
  [998] = 623,
  [999] = 625,
  [1000] = 627,
  [1001] = 600,
  [1002] = 628,
  [1003] = 632,
  [1004] = 652,
  [1005] = 677,
  [1006] = 543,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 506,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1017,
  [1021] = 506,
  [1022] = 1019,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1019,
  [1029] = 1029,
  [1030] = 1008,
  [1031] = 1015,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1032,
  [1035] = 1035,
  [1036] = 1035,
  [1037] = 1032,
  [1038] = 1017,
  [1039] = 1035,
  [1040] = 1032,
  [1041] = 1017,
  [1042] = 1029,
  [1043] = 1043,
  [1044] = 1019,
  [1045] = 1035,
  [1046] = 1017,
  [1047] = 1019,
  [1048] = 506,
  [1049] = 1049,
  [1050] = 1008,
  [1051] = 1010,
  [1052] = 1007,
  [1053] = 1014,
  [1054] = 1054,
  [1055] = 1033,
  [1056] = 1035,
  [1057] = 1017,
  [1058] = 1009,
  [1059] = 1019,
  [1060] = 1032,
  [1061] = 1013,
  [1062] = 1062,
  [1063] = 1049,
  [1064] = 1043,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1008,
  [1069] = 1067,
  [1070] = 1008,
  [1071] = 1033,
  [1072] = 1029,
  [1073] = 1017,
  [1074] = 1066,
  [1075] = 1019,
  [1076] = 1067,
  [1077] = 1019,
  [1078] = 1054,
  [1079] = 1017,
  [1080] = 1062,
  [1081] = 1019,
  [1082] = 1017,
  [1083] = 1008,
  [1084] = 1065,
  [1085] = 143,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 612,
  [1090] = 608,
  [1091] = 1091,
  [1092] = 605,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 602,
  [1096] = 1096,
  [1097] = 603,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 606,
  [1101] = 165,
  [1102] = 149,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1086,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 152,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 148,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 167,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 152,
  [1153] = 153,
  [1154] = 165,
  [1155] = 1155,
  [1156] = 1088,
  [1157] = 1087,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 153,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 167,
  [1193] = 149,
  [1194] = 148,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1120,
  [1198] = 1191,
  [1199] = 1109,
  [1200] = 1121,
  [1201] = 1123,
  [1202] = 1126,
  [1203] = 1130,
  [1204] = 1130,
  [1205] = 1205,
  [1206] = 1131,
  [1207] = 1132,
  [1208] = 1133,
  [1209] = 1131,
  [1210] = 1132,
  [1211] = 1211,
  [1212] = 1117,
  [1213] = 1136,
  [1214] = 1214,
  [1215] = 1140,
  [1216] = 1142,
  [1217] = 1144,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1136,
  [1221] = 1123,
  [1222] = 1133,
  [1223] = 1119,
  [1224] = 1093,
  [1225] = 1120,
  [1226] = 1126,
  [1227] = 1111,
  [1228] = 1180,
  [1229] = 1189,
  [1230] = 1219,
  [1231] = 1121,
  [1232] = 1094,
  [1233] = 1098,
  [1234] = 1113,
  [1235] = 1218,
  [1236] = 1167,
  [1237] = 1205,
  [1238] = 1091,
  [1239] = 1096,
  [1240] = 1218,
  [1241] = 1205,
  [1242] = 1119,
  [1243] = 1140,
  [1244] = 1180,
  [1245] = 1219,
  [1246] = 1219,
  [1247] = 1170,
  [1248] = 1117,
  [1249] = 1172,
  [1250] = 1114,
  [1251] = 1218,
  [1252] = 1205,
  [1253] = 1188,
  [1254] = 1109,
  [1255] = 1098,
  [1256] = 1195,
  [1257] = 1099,
  [1258] = 1142,
  [1259] = 1188,
  [1260] = 1113,
  [1261] = 1219,
  [1262] = 1218,
  [1263] = 1263,
  [1264] = 1144,
  [1265] = 1093,
  [1266] = 1111,
  [1267] = 1205,
  [1268] = 143,
  [1269] = 143,
  [1270] = 1191,
  [1271] = 1099,
  [1272] = 1189,
  [1273] = 1273,
  [1274] = 1167,
  [1275] = 1170,
  [1276] = 1172,
  [1277] = 1094,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1219,
  [1281] = 154,
  [1282] = 1138,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1103,
  [1286] = 1286,
  [1287] = 1099,
  [1288] = 1129,
  [1289] = 1289,
  [1290] = 1093,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1127,
  [1294] = 1115,
  [1295] = 1151,
  [1296] = 1094,
  [1297] = 157,
  [1298] = 1298,
  [1299] = 1284,
  [1300] = 1118,
  [1301] = 1298,
  [1302] = 1302,
  [1303] = 1093,
  [1304] = 1149,
  [1305] = 1148,
  [1306] = 1291,
  [1307] = 1284,
  [1308] = 1146,
  [1309] = 1309,
  [1310] = 1145,
  [1311] = 1311,
  [1312] = 1104,
  [1313] = 1284,
  [1314] = 1110,
  [1315] = 1098,
  [1316] = 1316,
  [1317] = 1108,
  [1318] = 1143,
  [1319] = 1319,
  [1320] = 1186,
  [1321] = 1106,
  [1322] = 1107,
  [1323] = 1187,
  [1324] = 1178,
  [1325] = 1325,
  [1326] = 1176,
  [1327] = 1327,
  [1328] = 1302,
  [1329] = 1105,
  [1330] = 1175,
  [1331] = 1099,
  [1332] = 1302,
  [1333] = 1174,
  [1334] = 1173,
  [1335] = 1159,
  [1336] = 1179,
  [1337] = 1171,
  [1338] = 1137,
  [1339] = 1169,
  [1340] = 1168,
  [1341] = 1094,
  [1342] = 1342,
  [1343] = 1098,
  [1344] = 1344,
  [1345] = 1166,
  [1346] = 1263,
  [1347] = 1347,
  [1348] = 1302,
  [1349] = 1139,
  [1350] = 1291,
  [1351] = 1150,
  [1352] = 1112,
  [1353] = 1164,
  [1354] = 1163,
  [1355] = 1162,
  [1356] = 1181,
  [1357] = 1161,
  [1358] = 1182,
  [1359] = 1183,
  [1360] = 1327,
  [1361] = 1284,
  [1362] = 1291,
  [1363] = 1158,
  [1364] = 1160,
  [1365] = 1302,
  [1366] = 1146,
  [1367] = 1325,
  [1368] = 1368,
  [1369] = 1284,
  [1370] = 1135,
  [1371] = 1291,
  [1372] = 159,
  [1373] = 1196,
  [1374] = 1311,
  [1375] = 162,
  [1376] = 163,
  [1377] = 1377,
  [1378] = 1128,
  [1379] = 1124,
  [1380] = 1116,
  [1381] = 1284,
  [1382] = 1284,
  [1383] = 1368,
  [1384] = 1134,
  [1385] = 156,
  [1386] = 1190,
  [1387] = 1284,
  [1388] = 1155,
  [1389] = 1185,
  [1390] = 158,
  [1391] = 1184,
  [1392] = 161,
  [1393] = 1177,
  [1394] = 1394,
  [1395] = 1394,
  [1396] = 1133,
  [1397] = 1292,
  [1398] = 1398,
  [1399] = 1394,
  [1400] = 1394,
  [1401] = 1398,
  [1402] = 1394,
  [1403] = 1398,
  [1404] = 1398,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1189,
  [1408] = 1191,
  [1409] = 1180,
  [1410] = 1144,
  [1411] = 1142,
  [1412] = 1188,
  [1413] = 1172,
  [1414] = 1170,
  [1415] = 1398,
  [1416] = 1167,
  [1417] = 1113,
  [1418] = 1111,
  [1419] = 1419,
  [1420] = 1109,
  [1421] = 1117,
  [1422] = 1119,
  [1423] = 1120,
  [1424] = 1424,
  [1425] = 1121,
  [1426] = 1426,
  [1427] = 1123,
  [1428] = 1126,
  [1429] = 1130,
  [1430] = 1136,
  [1431] = 1140,
  [1432] = 1131,
  [1433] = 1132,
  [1434] = 1130,
  [1435] = 1113,
  [1436] = 1298,
  [1437] = 1094,
  [1438] = 1438,
  [1439] = 1180,
  [1440] = 1093,
  [1441] = 1441,
  [1442] = 1441,
  [1443] = 1438,
  [1444] = 1167,
  [1445] = 1170,
  [1446] = 1111,
  [1447] = 1263,
  [1448] = 1109,
  [1449] = 1117,
  [1450] = 1441,
  [1451] = 1172,
  [1452] = 1452,
  [1453] = 1188,
  [1454] = 1191,
  [1455] = 1189,
  [1456] = 1119,
  [1457] = 1144,
  [1458] = 1098,
  [1459] = 1142,
  [1460] = 1441,
  [1461] = 1441,
  [1462] = 1140,
  [1463] = 1136,
  [1464] = 1133,
  [1465] = 1132,
  [1466] = 1131,
  [1467] = 1126,
  [1468] = 1123,
  [1469] = 1121,
  [1470] = 1120,
  [1471] = 1471,
  [1472] = 1471,
  [1473] = 1146,
  [1474] = 1474,
  [1475] = 1347,
  [1476] = 1098,
  [1477] = 1474,
  [1478] = 1093,
  [1479] = 1094,
  [1480] = 1099,
  [1481] = 1471,
  [1482] = 1471,
  [1483] = 1471,
  [1484] = 1471,
  [1485] = 1471,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1487,
  [1490] = 1488,
  [1491] = 1488,
  [1492] = 1487,
  [1493] = 1488,
  [1494] = 1488,
  [1495] = 1488,
  [1496] = 1488,
  [1497] = 1487,
  [1498] = 1487,
  [1499] = 1487,
  [1500] = 1488,
  [1501] = 1487,
  [1502] = 1487,
  [1503] = 1487,
  [1504] = 1488,
  [1505] = 1488,
  [1506] = 1487,
  [1507] = 1488,
  [1508] = 1508,
  [1509] = 1487,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1511,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1516,
  [1518] = 1515,
  [1519] = 1515,
  [1520] = 1515,
  [1521] = 1516,
  [1522] = 1515,
  [1523] = 1515,
  [1524] = 1516,
  [1525] = 1515,
  [1526] = 1516,
  [1527] = 1516,
  [1528] = 1516,
  [1529] = 1529,
  [1530] = 1529,
  [1531] = 1529,
  [1532] = 1529,
  [1533] = 1529,
  [1534] = 1529,
  [1535] = 1529,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 165,
  [1560] = 149,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1105,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1556,
  [1579] = 1579,
  [1580] = 1177,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1184,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 148,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 167,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1567,
  [1606] = 1543,
  [1607] = 1607,
  [1608] = 1550,
  [1609] = 1609,
  [1610] = 1548,
  [1611] = 1579,
  [1612] = 1612,
  [1613] = 1550,
  [1614] = 1612,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1554,
  [1619] = 1555,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1558,
  [1626] = 1617,
  [1627] = 1627,
  [1628] = 1562,
  [1629] = 1558,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1631,
  [1633] = 1633,
  [1634] = 1620,
  [1635] = 1635,
  [1636] = 1621,
  [1637] = 1637,
  [1638] = 1624,
  [1639] = 1175,
  [1640] = 1616,
  [1641] = 1641,
  [1642] = 1627,
  [1643] = 1643,
  [1644] = 1633,
  [1645] = 1637,
  [1646] = 1621,
  [1647] = 1561,
  [1648] = 1139,
  [1649] = 1187,
  [1650] = 1641,
  [1651] = 1621,
  [1652] = 1630,
  [1653] = 1621,
  [1654] = 1622,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1139,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1656,
  [1663] = 1175,
  [1664] = 1664,
  [1665] = 1635,
  [1666] = 1656,
  [1667] = 1656,
  [1668] = 1668,
  [1669] = 1660,
  [1670] = 1661,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1187,
  [1674] = 1664,
  [1675] = 1668,
  [1676] = 1671,
  [1677] = 1672,
  [1678] = 1658,
  [1679] = 1643,
  [1680] = 1656,
  [1681] = 1623,
  [1682] = 1659,
  [1683] = 1655,
  [1684] = 1684,
  [1685] = 1684,
  [1686] = 1684,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1687,
  [1690] = 1687,
  [1691] = 1688,
  [1692] = 1684,
  [1693] = 1688,
  [1694] = 1688,
  [1695] = 1687,
  [1696] = 1684,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1698,
  [1700] = 1698,
  [1701] = 1698,
  [1702] = 1702,
  [1703] = 1702,
  [1704] = 1704,
  [1705] = 1704,
  [1706] = 1704,
  [1707] = 1704,
  [1708] = 1702,
  [1709] = 1702,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1715,
  [1716] = 1713,
  [1717] = 1710,
  [1718] = 1713,
  [1719] = 1713,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 1715,
  [1723] = 1710,
  [1724] = 1714,
  [1725] = 1712,
  [1726] = 1715,
  [1727] = 1714,
  [1728] = 1712,
  [1729] = 1712,
  [1730] = 1714,
  [1731] = 1715,
  [1732] = 1710,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1735,
  [1740] = 1740,
  [1741] = 1735,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1736,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1735,
  [1749] = 1749,
  [1750] = 1735,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 149,
  [1754] = 1736,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1745,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1735,
  [1761] = 1745,
  [1762] = 165,
  [1763] = 1745,
  [1764] = 1736,
  [1765] = 1765,
  [1766] = 1735,
  [1767] = 1767,
  [1768] = 1736,
  [1769] = 1745,
  [1770] = 1163,
  [1771] = 1771,
  [1772] = 1161,
  [1773] = 1114,
  [1774] = 1176,
  [1775] = 1775,
  [1776] = 1742,
  [1777] = 167,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1556,
  [1783] = 446,
  [1784] = 1737,
  [1785] = 1785,
  [1786] = 1164,
  [1787] = 1162,
  [1788] = 1788,
  [1789] = 1771,
  [1790] = 1790,
  [1791] = 1108,
  [1792] = 1107,
  [1793] = 1793,
  [1794] = 1159,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1185,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1771,
  [1804] = 1771,
  [1805] = 1746,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1767,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1771,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1751,
  [1817] = 1812,
  [1818] = 148,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1812,
  [1822] = 1814,
  [1823] = 1823,
  [1824] = 1812,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1812,
  [1829] = 1755,
  [1830] = 1780,
  [1831] = 1831,
  [1832] = 1814,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1195,
  [1836] = 1781,
  [1837] = 1814,
  [1838] = 1814,
  [1839] = 1798,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1841,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1775,
  [1851] = 1842,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1843,
  [1859] = 1848,
  [1860] = 1579,
  [1861] = 1855,
  [1862] = 1846,
  [1863] = 1846,
  [1864] = 1855,
  [1865] = 1865,
  [1866] = 1159,
  [1867] = 1846,
  [1868] = 1868,
  [1869] = 1847,
  [1870] = 1843,
  [1871] = 1848,
  [1872] = 1872,
  [1873] = 1849,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1819,
  [1878] = 1567,
  [1879] = 1195,
  [1880] = 1185,
  [1881] = 1107,
  [1882] = 1108,
  [1883] = 1855,
  [1884] = 1854,
  [1885] = 1161,
  [1886] = 1843,
  [1887] = 1162,
  [1888] = 1114,
  [1889] = 1848,
  [1890] = 1849,
  [1891] = 1163,
  [1892] = 1164,
  [1893] = 1849,
  [1894] = 1176,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 1848,
  [1898] = 1843,
  [1899] = 1875,
  [1900] = 1855,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 1902,
  [1915] = 1915,
  [1916] = 1826,
  [1917] = 1825,
  [1918] = 507,
  [1919] = 1919,
  [1920] = 1907,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1911,
  [1927] = 1927,
  [1928] = 1909,
  [1929] = 1923,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1901,
  [1935] = 1915,
  [1936] = 1936,
  [1937] = 1927,
  [1938] = 1906,
  [1939] = 1905,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 476,
  [1943] = 1943,
  [1944] = 1931,
  [1945] = 1932,
  [1946] = 1915,
  [1947] = 1947,
  [1948] = 1904,
  [1949] = 1949,
  [1950] = 1930,
  [1951] = 1913,
  [1952] = 1779,
  [1953] = 1919,
  [1954] = 1911,
  [1955] = 1924,
  [1956] = 1925,
  [1957] = 1904,
  [1958] = 1902,
  [1959] = 1959,
  [1960] = 1815,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1904,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1915,
  [1969] = 1969,
  [1970] = 1925,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1923,
  [1974] = 1930,
  [1975] = 1906,
  [1976] = 1905,
  [1977] = 1959,
  [1978] = 1969,
  [1979] = 1902,
  [1980] = 1919,
  [1981] = 1925,
  [1982] = 1904,
  [1983] = 1895,
  [1984] = 1923,
  [1985] = 1930,
  [1986] = 1967,
  [1987] = 1965,
  [1988] = 1962,
  [1989] = 1927,
  [1990] = 1930,
  [1991] = 1923,
  [1992] = 1931,
  [1993] = 1993,
  [1994] = 1910,
  [1995] = 1932,
  [1996] = 1785,
  [1997] = 1959,
  [1998] = 1961,
  [1999] = 1999,
  [2000] = 1961,
  [2001] = 1927,
  [2002] = 1931,
  [2003] = 1962,
  [2004] = 1932,
  [2005] = 1965,
  [2006] = 1969,
  [2007] = 1967,
  [2008] = 1924,
  [2009] = 1906,
  [2010] = 1905,
  [2011] = 1969,
  [2012] = 1924,
  [2013] = 1919,
  [2014] = 1967,
  [2015] = 1969,
  [2016] = 1962,
  [2017] = 506,
  [2018] = 1919,
  [2019] = 1965,
  [2020] = 1902,
  [2021] = 1915,
  [2022] = 1967,
  [2023] = 1965,
  [2024] = 1962,
  [2025] = 2025,
  [2026] = 1959,
  [2027] = 1961,
  [2028] = 1959,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 1924,
  [2032] = 2032,
  [2033] = 1961,
  [2034] = 2034,
  [2035] = 1962,
  [2036] = 1965,
  [2037] = 2037,
  [2038] = 1903,
  [2039] = 1932,
  [2040] = 2034,
  [2041] = 1913,
  [2042] = 1930,
  [2043] = 1923,
  [2044] = 1925,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 2048,
  [2049] = 2049,
  [2050] = 2048,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 1643,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2049,
  [2058] = 153,
  [2059] = 2059,
  [2060] = 2060,
  [2061] = 2061,
  [2062] = 2051,
  [2063] = 2052,
  [2064] = 2064,
  [2065] = 2065,
  [2066] = 2066,
  [2067] = 2067,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 1187,
  [2071] = 2071,
  [2072] = 152,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 2081,
  [2082] = 2049,
  [2083] = 2066,
  [2084] = 2074,
  [2085] = 2067,
  [2086] = 2066,
  [2087] = 2067,
  [2088] = 2047,
  [2089] = 2049,
  [2090] = 2090,
  [2091] = 2071,
  [2092] = 1623,
  [2093] = 484,
  [2094] = 2094,
  [2095] = 2077,
  [2096] = 2096,
  [2097] = 2077,
  [2098] = 505,
  [2099] = 2099,
  [2100] = 2066,
  [2101] = 2067,
  [2102] = 2102,
  [2103] = 502,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 2073,
  [2109] = 2074,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 2113,
  [2114] = 2114,
  [2115] = 2064,
  [2116] = 2075,
  [2117] = 2076,
  [2118] = 2078,
  [2119] = 2119,
  [2120] = 2080,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 2068,
  [2124] = 2069,
  [2125] = 2125,
  [2126] = 2071,
  [2127] = 2127,
  [2128] = 2077,
  [2129] = 2068,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2074,
  [2134] = 2067,
  [2135] = 2066,
  [2136] = 2136,
  [2137] = 2049,
  [2138] = 2079,
  [2139] = 2139,
  [2140] = 2122,
  [2141] = 2069,
  [2142] = 2096,
  [2143] = 2094,
  [2144] = 2144,
  [2145] = 2064,
  [2146] = 2078,
  [2147] = 2132,
  [2148] = 2148,
  [2149] = 2047,
  [2150] = 2131,
  [2151] = 2122,
  [2152] = 485,
  [2153] = 523,
  [2154] = 2154,
  [2155] = 2053,
  [2156] = 2156,
  [2157] = 517,
  [2158] = 165,
  [2159] = 515,
  [2160] = 2079,
  [2161] = 1635,
  [2162] = 2122,
  [2163] = 488,
  [2164] = 2079,
  [2165] = 149,
  [2166] = 2166,
  [2167] = 148,
  [2168] = 2071,
  [2169] = 2047,
  [2170] = 511,
  [2171] = 2068,
  [2172] = 2069,
  [2173] = 2173,
  [2174] = 2071,
  [2175] = 2132,
  [2176] = 2176,
  [2177] = 510,
  [2178] = 2096,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 2156,
  [2182] = 167,
  [2183] = 2079,
  [2184] = 1139,
  [2185] = 2047,
  [2186] = 2122,
  [2187] = 2105,
  [2188] = 487,
  [2189] = 2189,
  [2190] = 2106,
  [2191] = 2191,
  [2192] = 2069,
  [2193] = 2068,
  [2194] = 1175,
  [2195] = 2077,
  [2196] = 2196,
  [2197] = 2056,
  [2198] = 2107,
  [2199] = 2053,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2215,
  [2216] = 1582,
  [2217] = 1993,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 1115,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2201,
  [2234] = 2234,
  [2235] = 2222,
  [2236] = 2236,
  [2237] = 1196,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 1583,
  [2244] = 2244,
  [2245] = 613,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 614,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 616,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 618,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 619,
  [2275] = 2230,
  [2276] = 620,
  [2277] = 623,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 1577,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 1587,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2251,
  [2290] = 1589,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 625,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2224,
  [2305] = 1591,
  [2306] = 627,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2250,
  [2310] = 628,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2225,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 632,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2303,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2201,
  [2327] = 2231,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2228,
  [2331] = 2220,
  [2332] = 2219,
  [2333] = 2218,
  [2334] = 2334,
  [2335] = 677,
  [2336] = 2279,
  [2337] = 2280,
  [2338] = 2324,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 1572,
  [2343] = 2343,
  [2344] = 2222,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2224,
  [2349] = 2225,
  [2350] = 2350,
  [2351] = 2300,
  [2352] = 2226,
  [2353] = 2353,
  [2354] = 2298,
  [2355] = 2297,
  [2356] = 2292,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2230,
  [2360] = 676,
  [2361] = 2321,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 673,
  [2365] = 659,
  [2366] = 2236,
  [2367] = 655,
  [2368] = 2200,
  [2369] = 2288,
  [2370] = 2285,
  [2371] = 2283,
  [2372] = 2280,
  [2373] = 2279,
  [2374] = 2270,
  [2375] = 2253,
  [2376] = 2254,
  [2377] = 2259,
  [2378] = 2258,
  [2379] = 601,
  [2380] = 2250,
  [2381] = 2301,
  [2382] = 2260,
  [2383] = 2261,
  [2384] = 661,
  [2385] = 2263,
  [2386] = 2226,
  [2387] = 2265,
  [2388] = 2316,
  [2389] = 2350,
  [2390] = 2314,
  [2391] = 2391,
  [2392] = 2242,
  [2393] = 2240,
  [2394] = 2239,
  [2395] = 2204,
  [2396] = 1799,
  [2397] = 641,
  [2398] = 529,
  [2399] = 590,
  [2400] = 2209,
  [2401] = 2213,
  [2402] = 2215,
  [2403] = 600,
  [2404] = 2282,
  [2405] = 2218,
  [2406] = 2219,
  [2407] = 2220,
  [2408] = 2286,
  [2409] = 2287,
  [2410] = 2228,
  [2411] = 2291,
  [2412] = 562,
  [2413] = 2413,
  [2414] = 2231,
  [2415] = 2201,
  [2416] = 561,
  [2417] = 2234,
  [2418] = 568,
  [2419] = 2299,
  [2420] = 2267,
  [2421] = 2301,
  [2422] = 2308,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2307,
  [2428] = 2308,
  [2429] = 2278,
  [2430] = 2430,
  [2431] = 2303,
  [2432] = 2307,
  [2433] = 2314,
  [2434] = 2318,
  [2435] = 2316,
  [2436] = 552,
  [2437] = 2358,
  [2438] = 2347,
  [2439] = 2200,
  [2440] = 2321,
  [2441] = 2321,
  [2442] = 2303,
  [2443] = 2200,
  [2444] = 2444,
  [2445] = 2201,
  [2446] = 2231,
  [2447] = 2353,
  [2448] = 2346,
  [2449] = 2228,
  [2450] = 2220,
  [2451] = 2219,
  [2452] = 2218,
  [2453] = 2236,
  [2454] = 604,
  [2455] = 2279,
  [2456] = 2280,
  [2457] = 2324,
  [2458] = 550,
  [2459] = 2316,
  [2460] = 2222,
  [2461] = 2314,
  [2462] = 636,
  [2463] = 2343,
  [2464] = 2224,
  [2465] = 2225,
  [2466] = 598,
  [2467] = 1593,
  [2468] = 2226,
  [2469] = 2469,
  [2470] = 1596,
  [2471] = 1600,
  [2472] = 2230,
  [2473] = 2308,
  [2474] = 2250,
  [2475] = 2423,
  [2476] = 2425,
  [2477] = 2477,
  [2478] = 554,
  [2479] = 2236,
  [2480] = 594,
  [2481] = 2481,
  [2482] = 2307,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 617,
  [2486] = 2328,
  [2487] = 2253,
  [2488] = 2254,
  [2489] = 2299,
  [2490] = 2490,
  [2491] = 621,
  [2492] = 2469,
  [2493] = 2260,
  [2494] = 2261,
  [2495] = 2495,
  [2496] = 2263,
  [2497] = 2230,
  [2498] = 2265,
  [2499] = 2301,
  [2500] = 2299,
  [2501] = 631,
  [2502] = 2250,
  [2503] = 638,
  [2504] = 637,
  [2505] = 2324,
  [2506] = 2282,
  [2507] = 2291,
  [2508] = 2508,
  [2509] = 2286,
  [2510] = 2287,
  [2511] = 2287,
  [2512] = 2291,
  [2513] = 2286,
  [2514] = 2514,
  [2515] = 2282,
  [2516] = 1595,
  [2517] = 1592,
  [2518] = 1564,
  [2519] = 2519,
  [2520] = 2299,
  [2521] = 2521,
  [2522] = 2301,
  [2523] = 1584,
  [2524] = 2307,
  [2525] = 2308,
  [2526] = 650,
  [2527] = 2248,
  [2528] = 1576,
  [2529] = 651,
  [2530] = 2530,
  [2531] = 2221,
  [2532] = 2200,
  [2533] = 2321,
  [2534] = 2238,
  [2535] = 2303,
  [2536] = 2362,
  [2537] = 2291,
  [2538] = 2538,
  [2539] = 2231,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2228,
  [2543] = 2220,
  [2544] = 2219,
  [2545] = 2218,
  [2546] = 2322,
  [2547] = 2363,
  [2548] = 2279,
  [2549] = 2280,
  [2550] = 2324,
  [2551] = 2320,
  [2552] = 2319,
  [2553] = 2424,
  [2554] = 2236,
  [2555] = 1571,
  [2556] = 1570,
  [2557] = 1569,
  [2558] = 2426,
  [2559] = 657,
  [2560] = 2560,
  [2561] = 528,
  [2562] = 1568,
  [2563] = 2265,
  [2564] = 2315,
  [2565] = 2263,
  [2566] = 2566,
  [2567] = 2508,
  [2568] = 2312,
  [2569] = 2261,
  [2570] = 2260,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 610,
  [2575] = 545,
  [2576] = 2576,
  [2577] = 2311,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 1566,
  [2581] = 1947,
  [2582] = 2582,
  [2583] = 2483,
  [2584] = 2287,
  [2585] = 2286,
  [2586] = 2560,
  [2587] = 548,
  [2588] = 602,
  [2589] = 1565,
  [2590] = 1586,
  [2591] = 2254,
  [2592] = 2253,
  [2593] = 603,
  [2594] = 559,
  [2595] = 2257,
  [2596] = 2596,
  [2597] = 2282,
  [2598] = 1599,
  [2599] = 1603,
  [2600] = 1604,
  [2601] = 1598,
  [2602] = 1590,
  [2603] = 1581,
  [2604] = 577,
  [2605] = 2236,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 612,
  [2609] = 640,
  [2610] = 2519,
  [2611] = 2521,
  [2612] = 639,
  [2613] = 2221,
  [2614] = 607,
  [2615] = 634,
  [2616] = 2238,
  [2617] = 2362,
  [2618] = 2530,
  [2619] = 2579,
  [2620] = 633,
  [2621] = 2363,
  [2622] = 2424,
  [2623] = 630,
  [2624] = 2426,
  [2625] = 2540,
  [2626] = 2226,
  [2627] = 2225,
  [2628] = 2224,
  [2629] = 608,
  [2630] = 2248,
  [2631] = 2257,
  [2632] = 2222,
  [2633] = 629,
  [2634] = 626,
  [2635] = 624,
  [2636] = 2582,
  [2637] = 611,
  [2638] = 668,
  [2639] = 2560,
  [2640] = 2483,
  [2641] = 606,
  [2642] = 2582,
  [2643] = 605,
  [2644] = 643,
  [2645] = 589,
  [2646] = 588,
  [2647] = 587,
  [2648] = 593,
  [2649] = 2579,
  [2650] = 586,
  [2651] = 583,
  [2652] = 582,
  [2653] = 581,
  [2654] = 2560,
  [2655] = 652,
  [2656] = 2265,
  [2657] = 2578,
  [2658] = 580,
  [2659] = 2263,
  [2660] = 579,
  [2661] = 576,
  [2662] = 2481,
  [2663] = 2426,
  [2664] = 2424,
  [2665] = 2261,
  [2666] = 2363,
  [2667] = 2362,
  [2668] = 2357,
  [2669] = 2341,
  [2670] = 2340,
  [2671] = 2334,
  [2672] = 2329,
  [2673] = 2325,
  [2674] = 575,
  [2675] = 2269,
  [2676] = 2268,
  [2677] = 2238,
  [2678] = 2221,
  [2679] = 2214,
  [2680] = 2212,
  [2681] = 2211,
  [2682] = 2210,
  [2683] = 2208,
  [2684] = 2207,
  [2685] = 2206,
  [2686] = 2205,
  [2687] = 2203,
  [2688] = 2202,
  [2689] = 2538,
  [2690] = 2232,
  [2691] = 2256,
  [2692] = 2579,
  [2693] = 2293,
  [2694] = 2294,
  [2695] = 2296,
  [2696] = 2596,
  [2697] = 2413,
  [2698] = 2430,
  [2699] = 2260,
  [2700] = 660,
  [2701] = 573,
  [2702] = 572,
  [2703] = 571,
  [2704] = 2582,
  [2705] = 570,
  [2706] = 566,
  [2707] = 2248,
  [2708] = 2257,
  [2709] = 563,
  [2710] = 553,
  [2711] = 543,
  [2712] = 2483,
  [2713] = 533,
  [2714] = 642,
  [2715] = 662,
  [2716] = 2483,
  [2717] = 2582,
  [2718] = 665,
  [2719] = 663,
  [2720] = 2579,
  [2721] = 2721,
  [2722] = 644,
  [2723] = 645,
  [2724] = 2560,
  [2725] = 1118,
  [2726] = 649,
  [2727] = 2426,
  [2728] = 2424,
  [2729] = 2363,
  [2730] = 2362,
  [2731] = 2238,
  [2732] = 2221,
  [2733] = 669,
  [2734] = 2254,
  [2735] = 2253,
  [2736] = 675,
  [2737] = 672,
  [2738] = 2248,
  [2739] = 2257,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 2742,
  [2743] = 2743,
  [2744] = 2744,
  [2745] = 2745,
  [2746] = 2745,
  [2747] = 2743,
  [2748] = 2748,
  [2749] = 2744,
  [2750] = 2744,
  [2751] = 2751,
  [2752] = 2752,
  [2753] = 2742,
  [2754] = 2744,
  [2755] = 2745,
  [2756] = 2742,
  [2757] = 2743,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 2760,
  [2761] = 2761,
  [2762] = 2762,
  [2763] = 2763,
  [2764] = 2751,
  [2765] = 2765,
  [2766] = 2766,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2770,
  [2771] = 2748,
  [2772] = 2740,
  [2773] = 2745,
  [2774] = 2742,
  [2775] = 2748,
  [2776] = 2748,
  [2777] = 2744,
  [2778] = 1922,
  [2779] = 2748,
  [2780] = 2780,
  [2781] = 2781,
  [2782] = 2748,
  [2783] = 2742,
  [2784] = 2784,
  [2785] = 2785,
  [2786] = 2786,
  [2787] = 2787,
  [2788] = 2758,
  [2789] = 2759,
  [2790] = 2760,
  [2791] = 2751,
  [2792] = 2792,
  [2793] = 2761,
  [2794] = 2762,
  [2795] = 2795,
  [2796] = 2760,
  [2797] = 2759,
  [2798] = 2758,
  [2799] = 2748,
  [2800] = 2800,
  [2801] = 2801,
  [2802] = 2767,
  [2803] = 2765,
  [2804] = 2745,
  [2805] = 2805,
  [2806] = 2763,
  [2807] = 2751,
  [2808] = 2741,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 2767,
  [2812] = 2812,
  [2813] = 2813,
  [2814] = 2787,
  [2815] = 2815,
  [2816] = 2765,
  [2817] = 2815,
  [2818] = 2818,
  [2819] = 2819,
  [2820] = 2805,
  [2821] = 2763,
  [2822] = 2822,
  [2823] = 2743,
  [2824] = 2809,
  [2825] = 2762,
  [2826] = 2760,
  [2827] = 2759,
  [2828] = 1802,
  [2829] = 2758,
  [2830] = 2810,
  [2831] = 2815,
  [2832] = 2787,
  [2833] = 2833,
  [2834] = 2748,
  [2835] = 2767,
  [2836] = 2765,
  [2837] = 2813,
  [2838] = 2763,
  [2839] = 2812,
  [2840] = 2740,
  [2841] = 2787,
  [2842] = 2813,
  [2843] = 2815,
  [2844] = 2844,
  [2845] = 2845,
  [2846] = 2805,
  [2847] = 2847,
  [2848] = 2848,
  [2849] = 2849,
  [2850] = 2762,
  [2851] = 2760,
  [2852] = 2759,
  [2853] = 2740,
  [2854] = 2758,
  [2855] = 2813,
  [2856] = 2751,
  [2857] = 2748,
  [2858] = 2787,
  [2859] = 2822,
  [2860] = 2860,
  [2861] = 2861,
  [2862] = 2862,
  [2863] = 2767,
  [2864] = 2765,
  [2865] = 2865,
  [2866] = 2740,
  [2867] = 506,
  [2868] = 2813,
  [2869] = 2763,
  [2870] = 2741,
  [2871] = 2741,
  [2872] = 2741,
  [2873] = 2873,
};

static inline bool sym__glimmer_template_content_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < 11
        ? c == '\t'
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 8287
      ? (c < 8239
        ? (c >= 8232 && c <= 8233)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool aux_sym_jsx_text_token1_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 5760
      ? (c < 160
        ? (c >= '\t' && c <= '\r')
        : c <= 160)
      : (c <= 5760 || (c >= 8192 && c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool aux_sym_jsx_text_token1_character_set_2(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < 11
        ? c == '\t'
        : c <= '\r')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool anon_sym_BANG_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_unescaped_double_string_fragment_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\f')
        : c <= ' ')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_unescaped_double_string_fragment_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < 11
        ? c == '\t'
        : c <= '\f')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 8287
      ? (c < 8239
        ? (c >= 8232 && c <= 8233)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '{' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 5760
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '{'
        ? (c >= '[' && c <= '`')
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 5760
    ? (c < '`'
      ? (c < 0
        ? c == 0
        : (c <= '@' || (c >= '[' && c <= '^')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < 0
        ? c == 0
        : c <= '~')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_identifier_character_set_6(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '|' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_private_property_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '^' || (c < '{'
        ? c == '`'
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(11);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(334);
      if (lookahead == '/') ADVANCE(439);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(324);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(53);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(199);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(567);
      if (lookahead == 'c') ADVANCE(498);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(541);
      if (lookahead == 'f') ADVANCE(536);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 't') ADVANCE(499);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(470);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(243)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(606);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(612);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(44)
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead == '&') ADVANCE(42);
      if (lookahead == '/') ADVANCE(313);
      if (lookahead == '<') ADVANCE(323);
      if (lookahead == '{') ADVANCE(265);
      if (aux_sym_jsx_text_token1_character_set_1(lookahead)) ADVANCE(315);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(314);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3)
      if (lookahead == '/') ADVANCE(308);
      if (lookahead == '<') ADVANCE(310);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(309);
      if (lookahead != 0) ADVANCE(307);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(59)
      if (lookahead == '/') ADVANCE(47);
      if (lookahead == '[') ADVANCE(104);
      if (lookahead == '\\') ADVANCE(242);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(440);
      if (lookahead != 0) ADVANCE(441);
      END_STATE();
    case 5:
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(314);
      END_STATE();
    case 6:
      if (lookahead == ' ') ADVANCE(6);
      if (lookahead == '*') ADVANCE(316);
      if (lookahead == '\n' ||
          lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(50);
      if (lookahead != 0) ADVANCE(317);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(7)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(606);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(490);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(8)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(606);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(302);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(483);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(9)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(606);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(302);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(486);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(10)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(606);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(255);
      if (lookahead == '\\') ADVANCE(201);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(608);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(51);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(12)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(51);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(476);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(13)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(14)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(606);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(498);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(472);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(15)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(498);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(473);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(16)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(478);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(17)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(606);
      END_STATE();
    case 18:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(482);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(18)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(484);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(19)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(485);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(20)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(487);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(21)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(53);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(494);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(22)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(53);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(23)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(53);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(508);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(24)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(606);
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(53);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(534);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(25)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '~') ADVANCE(606);
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(53);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(507);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(26)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(53);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(533);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(27)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(606);
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(326);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(326);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'i') ADVANCE(447);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(326);
      if (lookahead == '=') ADVANCE(302);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(180);
      if (lookahead == 'e') ADVANCE(147);
      if (lookahead == 'f') ADVANCE(173);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == 'o') ADVANCE(133);
      if (lookahead == 'w') ADVANCE(138);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(30)
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(326);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == 'o') ADVANCE(133);
      if (lookahead == '|') ADVANCE(393);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(31)
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(326);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'i') ADVANCE(447);
      if (lookahead == 'o') ADVANCE(446);
      if (lookahead == '|') ADVANCE(393);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(31)
      END_STATE();
    case 33:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '.') ADVANCE(51);
      if (lookahead == '/') ADVANCE(47);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '=') ADVANCE(304);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(497);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(33)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 34:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(47);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '?') ADVANCE(52);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(598);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(34)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 35:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(47);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(493);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(35)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 36:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(47);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(496);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(36)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 37:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '.') ADVANCE(51);
      if (lookahead == '/') ADVANCE(47);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(185);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(496);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(37)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 38:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '&') ADVANCE(42);
      if (lookahead == '/') ADVANCE(341);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(344);
      if (lookahead != 0) ADVANCE(345);
      END_STATE();
    case 39:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(47);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(322);
      if (lookahead == '=') ADVANCE(301);
      if (lookahead == '>') ADVANCE(329);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == 'i') ADVANCE(160);
      if (lookahead == 'o') ADVANCE(133);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(39)
      END_STATE();
    case 40:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '/') ADVANCE(47);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(40)
      END_STATE();
    case 41:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '/') ADVANCE(420);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(40)
      if (sym_unescaped_double_string_fragment_character_set_1(lookahead)) ADVANCE(423);
      if (lookahead != 0) ADVANCE(424);
      END_STATE();
    case 42:
      if (lookahead == '#') ADVANCE(216);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(98);
      END_STATE();
    case 43:
      if (lookahead == '&') ADVANCE(42);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '/') ADVANCE(347);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(350);
      if (lookahead != 0) ADVANCE(351);
      END_STATE();
    case 44:
      if (lookahead == '&') ADVANCE(42);
      if (lookahead == '/') ADVANCE(313);
      if (lookahead == '<') ADVANCE(323);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '\n' ||
          lookahead == ' ') SKIP(44)
      if (aux_sym_jsx_text_token1_character_set_1(lookahead)) ADVANCE(315);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(314);
      END_STATE();
    case 45:
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '/') ADVANCE(47);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(45)
      END_STATE();
    case 46:
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '/') ADVANCE(425);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(45)
      if (sym_unescaped_double_string_fragment_character_set_1(lookahead)) ADVANCE(428);
      if (lookahead != 0) ADVANCE(429);
      END_STATE();
    case 47:
      if (lookahead == '*') ADVANCE(50);
      if (lookahead == '/') ADVANCE(436);
      END_STATE();
    case 48:
      if (lookahead == '*') ADVANCE(50);
      if (lookahead == '/') ADVANCE(436);
      if (lookahead == '>') ADVANCE(337);
      END_STATE();
    case 49:
      if (lookahead == '*') ADVANCE(49);
      if (lookahead == '/') ADVANCE(435);
      if (lookahead != 0) ADVANCE(50);
      END_STATE();
    case 50:
      if (lookahead == '*') ADVANCE(49);
      if (lookahead != 0) ADVANCE(50);
      END_STATE();
    case 51:
      if (lookahead == '.') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(468);
      END_STATE();
    case 52:
      if (lookahead == '.') ADVANCE(361);
      END_STATE();
    case 53:
      if (lookahead == '.') ADVANCE(361);
      if (lookahead == '?') ADVANCE(411);
      END_STATE();
    case 54:
      if (lookahead == '.') ADVANCE(361);
      if (lookahead == '?') ADVANCE(410);
      END_STATE();
    case 55:
      if (lookahead == '.') ADVANCE(377);
      END_STATE();
    case 56:
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(48);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == '=') ADVANCE(301);
      if (lookahead == '>') ADVANCE(329);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(599);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(56)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(471);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(606);
      END_STATE();
    case 57:
      if (lookahead == '/') ADVANCE(439);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(59)
      END_STATE();
    case 58:
      if (lookahead == '/') ADVANCE(47);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(593);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(522);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(58)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 59:
      if (lookahead == '/') ADVANCE(47);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(59)
      END_STATE();
    case 60:
      if (lookahead == ';') ADVANCE(321);
      END_STATE();
    case 61:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(60);
      END_STATE();
    case 62:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(61);
      END_STATE();
    case 63:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(62);
      END_STATE();
    case 64:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(63);
      END_STATE();
    case 65:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 66:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(65);
      END_STATE();
    case 67:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(66);
      END_STATE();
    case 68:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 69:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(68);
      END_STATE();
    case 70:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 71:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(71);
      END_STATE();
    case 73:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 74:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(73);
      END_STATE();
    case 75:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 76:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(75);
      END_STATE();
    case 77:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 78:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(77);
      END_STATE();
    case 79:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      END_STATE();
    case 80:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(79);
      END_STATE();
    case 81:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(80);
      END_STATE();
    case 82:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(81);
      END_STATE();
    case 83:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(82);
      END_STATE();
    case 84:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 85:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(84);
      END_STATE();
    case 86:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(85);
      END_STATE();
    case 87:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(86);
      END_STATE();
    case 88:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 89:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(88);
      END_STATE();
    case 90:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(89);
      END_STATE();
    case 91:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(90);
      END_STATE();
    case 92:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(91);
      END_STATE();
    case 93:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(92);
      END_STATE();
    case 94:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 95:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(94);
      END_STATE();
    case 96:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(95);
      END_STATE();
    case 97:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(96);
      END_STATE();
    case 98:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(97);
      END_STATE();
    case 99:
      if (lookahead == '=') ADVANCE(407);
      END_STATE();
    case 100:
      if (lookahead == '=') ADVANCE(405);
      END_STATE();
    case 101:
      if (lookahead == '>') ADVANCE(311);
      END_STATE();
    case 102:
      if (lookahead == '>') ADVANCE(312);
      END_STATE();
    case 103:
      if (lookahead == '\\') ADVANCE(201);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(608);
      END_STATE();
    case 104:
      if (lookahead == '\\') ADVANCE(241);
      if (lookahead == ']') ADVANCE(441);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(104);
      END_STATE();
    case 105:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 106:
      if (lookahead == 'a') ADVANCE(182);
      if (lookahead == 'l') ADVANCE(109);
      if (lookahead == 'o') ADVANCE(162);
      END_STATE();
    case 107:
      if (lookahead == 'a') ADVANCE(174);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(200);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(181);
      END_STATE();
    case 110:
      if (lookahead == 'a') ADVANCE(175);
      END_STATE();
    case 111:
      if (lookahead == 'a') ADVANCE(145);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(150);
      END_STATE();
    case 113:
      if (lookahead == 'a') ADVANCE(164);
      END_STATE();
    case 114:
      if (lookahead == 'a') ADVANCE(197);
      END_STATE();
    case 115:
      if (lookahead == 'c') ADVANCE(356);
      END_STATE();
    case 116:
      if (lookahead == 'c') ADVANCE(141);
      END_STATE();
    case 117:
      if (lookahead == 'c') ADVANCE(195);
      END_STATE();
    case 118:
      if (lookahead == 'c') ADVANCE(129);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(179);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 121:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 122:
      if (lookahead == 'e') ADVANCE(295);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(278);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(291);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 126:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 133:
      if (lookahead == 'f') ADVANCE(288);
      END_STATE();
    case 134:
      if (lookahead == 'f') ADVANCE(412);
      END_STATE();
    case 135:
      if (lookahead == 'f') ADVANCE(108);
      END_STATE();
    case 136:
      if (lookahead == 'g') ADVANCE(125);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(136);
      END_STATE();
    case 137:
      if (lookahead == 'g') ADVANCE(131);
      END_STATE();
    case 138:
      if (lookahead == 'h') ADVANCE(142);
      END_STATE();
    case 139:
      if (lookahead == 'h') ADVANCE(142);
      if (lookahead == 'i') ADVANCE(188);
      END_STATE();
    case 140:
      if (lookahead == 'h') ADVANCE(270);
      END_STATE();
    case 141:
      if (lookahead == 'h') ADVANCE(297);
      END_STATE();
    case 142:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 143:
      if (lookahead == 'i') ADVANCE(165);
      if (lookahead == 'r') ADVANCE(166);
      if (lookahead == 'u') ADVANCE(161);
      END_STATE();
    case 144:
      if (lookahead == 'i') ADVANCE(169);
      END_STATE();
    case 145:
      if (lookahead == 'i') ADVANCE(189);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(105);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(183);
      END_STATE();
    case 148:
      if (lookahead == 'l') ADVANCE(183);
      if (lookahead == 'x') ADVANCE(171);
      END_STATE();
    case 149:
      if (lookahead == 'l') ADVANCE(204);
      END_STATE();
    case 150:
      if (lookahead == 'l') ADVANCE(149);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(124);
      END_STATE();
    case 152:
      if (lookahead == 'l') ADVANCE(193);
      END_STATE();
    case 153:
      if (lookahead == 'l') ADVANCE(114);
      END_STATE();
    case 154:
      if (lookahead == 'm') ADVANCE(170);
      END_STATE();
    case 155:
      if (lookahead == 'm') ADVANCE(268);
      END_STATE();
    case 156:
      if (lookahead == 'm') ADVANCE(172);
      END_STATE();
    case 157:
      if (lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 158:
      if (lookahead == 'n') ADVANCE(119);
      END_STATE();
    case 159:
      if (lookahead == 'n') ADVANCE(358);
      END_STATE();
    case 160:
      if (lookahead == 'n') ADVANCE(284);
      END_STATE();
    case 161:
      if (lookahead == 'n') ADVANCE(117);
      END_STATE();
    case 162:
      if (lookahead == 'n') ADVANCE(184);
      END_STATE();
    case 163:
      if (lookahead == 'n') ADVANCE(115);
      END_STATE();
    case 164:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 165:
      if (lookahead == 'n') ADVANCE(112);
      END_STATE();
    case 166:
      if (lookahead == 'o') ADVANCE(155);
      END_STATE();
    case 167:
      if (lookahead == 'o') ADVANCE(134);
      END_STATE();
    case 168:
      if (lookahead == 'o') ADVANCE(176);
      END_STATE();
    case 169:
      if (lookahead == 'o') ADVANCE(159);
      END_STATE();
    case 170:
      if (lookahead == 'p') ADVANCE(146);
      END_STATE();
    case 171:
      if (lookahead == 'p') ADVANCE(168);
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 172:
      if (lookahead == 'p') ADVANCE(153);
      END_STATE();
    case 173:
      if (lookahead == 'r') ADVANCE(166);
      END_STATE();
    case 174:
      if (lookahead == 'r') ADVANCE(137);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(272);
      END_STATE();
    case 176:
      if (lookahead == 'r') ADVANCE(191);
      END_STATE();
    case 177:
      if (lookahead == 's') ADVANCE(205);
      if (lookahead == 'w') ADVANCE(111);
      END_STATE();
    case 178:
      if (lookahead == 's') ADVANCE(352);
      END_STATE();
    case 179:
      if (lookahead == 's') ADVANCE(354);
      END_STATE();
    case 180:
      if (lookahead == 's') ADVANCE(263);
      END_STATE();
    case 181:
      if (lookahead == 's') ADVANCE(178);
      END_STATE();
    case 182:
      if (lookahead == 's') ADVANCE(122);
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 183:
      if (lookahead == 's') ADVANCE(123);
      END_STATE();
    case 184:
      if (lookahead == 's') ADVANCE(190);
      END_STATE();
    case 185:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 186:
      if (lookahead == 't') ADVANCE(1);
      END_STATE();
    case 187:
      if (lookahead == 't') ADVANCE(274);
      END_STATE();
    case 188:
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 189:
      if (lookahead == 't') ADVANCE(282);
      END_STATE();
    case 190:
      if (lookahead == 't') ADVANCE(276);
      END_STATE();
    case 191:
      if (lookahead == 't') ADVANCE(256);
      END_STATE();
    case 192:
      if (lookahead == 't') ADVANCE(609);
      END_STATE();
    case 193:
      if (lookahead == 't') ADVANCE(261);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 195:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 196:
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 197:
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 199:
      if (lookahead == 'u') ADVANCE(207);
      if (lookahead == 'x') ADVANCE(233);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(434);
      if (lookahead != 0) ADVANCE(430);
      END_STATE();
    case 200:
      if (lookahead == 'u') ADVANCE(152);
      END_STATE();
    case 201:
      if (lookahead == 'u') ADVANCE(208);
      END_STATE();
    case 202:
      if (lookahead == 'u') ADVANCE(209);
      END_STATE();
    case 203:
      if (lookahead == 'u') ADVANCE(210);
      if (lookahead == 'x') ADVANCE(233);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(434);
      if (lookahead != 0) ADVANCE(430);
      END_STATE();
    case 204:
      if (lookahead == 'y') ADVANCE(299);
      END_STATE();
    case 205:
      if (lookahead == 'y') ADVANCE(163);
      END_STATE();
    case 206:
      if (lookahead == '{') ADVANCE(438);
      END_STATE();
    case 207:
      if (lookahead == '{') ADVANCE(227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(238);
      END_STATE();
    case 208:
      if (lookahead == '{') ADVANCE(231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(239);
      END_STATE();
    case 209:
      if (lookahead == '{') ADVANCE(232);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(240);
      END_STATE();
    case 210:
      if (lookahead == '{') ADVANCE(234);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(230);
      END_STATE();
    case 211:
      if (lookahead == '}') ADVANCE(606);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(211);
      END_STATE();
    case 212:
      if (lookahead == '}') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(212);
      END_STATE();
    case 213:
      if (lookahead == '}') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(213);
      END_STATE();
    case 214:
      if (lookahead == '}') ADVANCE(431);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(214);
      END_STATE();
    case 215:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(222);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(467);
      END_STATE();
    case 216:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(229);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(64);
      END_STATE();
    case 217:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(463);
      END_STATE();
    case 218:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(464);
      END_STATE();
    case 219:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(455);
      END_STATE();
    case 220:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(468);
      END_STATE();
    case 221:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(466);
      END_STATE();
    case 222:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(467);
      END_STATE();
    case 223:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(606);
      END_STATE();
    case 224:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(608);
      END_STATE();
    case 225:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(430);
      END_STATE();
    case 226:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(465);
      END_STATE();
    case 227:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(214);
      END_STATE();
    case 228:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(431);
      END_STATE();
    case 229:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 230:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(233);
      END_STATE();
    case 231:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(212);
      END_STATE();
    case 232:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(211);
      END_STATE();
    case 233:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(225);
      END_STATE();
    case 234:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(213);
      END_STATE();
    case 235:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(228);
      END_STATE();
    case 236:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(224);
      END_STATE();
    case 237:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(223);
      END_STATE();
    case 238:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(235);
      END_STATE();
    case 239:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(236);
      END_STATE();
    case 240:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(237);
      END_STATE();
    case 241:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(104);
      END_STATE();
    case 242:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(441);
      END_STATE();
    case 243:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(11);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(334);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(324);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(53);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(567);
      if (lookahead == 'c') ADVANCE(498);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(541);
      if (lookahead == 'f') ADVANCE(536);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 't') ADVANCE(499);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(470);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(243)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(606);
      END_STATE();
    case 244:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(302);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(475);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(244)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(606);
      END_STATE();
    case 245:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(302);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(480);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(245)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(606);
      END_STATE();
    case 246:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(11);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(477);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(246)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 247:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(474);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(247)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 248:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(479);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(248)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 249:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(481);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(249)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 250:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(509);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(488);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(250)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 251:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(509);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(489);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(251)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 252:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(53);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(177);
      if (lookahead == 'c') ADVANCE(106);
      if (lookahead == 'd') ADVANCE(127);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'f') ADVANCE(143);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == 'l') ADVANCE(128);
      if (lookahead == 'o') ADVANCE(133);
      if (lookahead == 't') ADVANCE(107);
      if (lookahead == 'v') ADVANCE(110);
      if (lookahead == 'w') ADVANCE(139);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(253)
      END_STATE();
    case 253:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(53);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(177);
      if (lookahead == 'c') ADVANCE(106);
      if (lookahead == 'd') ADVANCE(127);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'f') ADVANCE(143);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == 'l') ADVANCE(128);
      if (lookahead == 'o') ADVANCE(133);
      if (lookahead == 't') ADVANCE(107);
      if (lookahead == 'v') ADVANCE(110);
      if (lookahead == 'w') ADVANCE(139);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(253)
      END_STATE();
    case 254:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(255);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(403);
      if (lookahead == '=') ADVANCE(364);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(402);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_from);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(589);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(450);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_of);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_finally);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(405);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '>') ADVANCE(360);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(360);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(50);
      if (lookahead == '/') ADVANCE(436);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(308);
      if (lookahead == '<') ADVANCE(310);
      if (sym__glimmer_template_content_character_set_2(lookahead)) ADVANCE(309);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(307);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(198);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(317);
      if (lookahead == '/') ADVANCE(318);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(314);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(314);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead == '/') ADVANCE(313);
      if (aux_sym_jsx_text_token1_character_set_2(lookahead)) ADVANCE(315);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(314);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(6);
      if (lookahead == '*') ADVANCE(316);
      if (lookahead == '/') ADVANCE(314);
      if (lookahead == '\n' ||
          lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(50);
      if (lookahead != 0) ADVANCE(317);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(6);
      if (lookahead == '*') ADVANCE(316);
      if (lookahead == '\n' ||
          lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(50);
      if (lookahead != 0) ADVANCE(317);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(319);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(320);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(318);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead == ' ') ADVANCE(319);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(320);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(318);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(320);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(sym_html_character_reference);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(336);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(404);
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(404);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(386);
      if (lookahead == '=') ADVANCE(404);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(386);
      if (lookahead == '=') ADVANCE(404);
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(409);
      if (lookahead == '>') ADVANCE(382);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(409);
      if (lookahead == '>') ADVANCE(383);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(332);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(468);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(468);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '\n') ADVANCE(345);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(340);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(343);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(345);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(342);
      if (lookahead == '/') ADVANCE(345);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(343);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(342);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(343);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '/') ADVANCE(341);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(344);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(345);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(345);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '\n') ADVANCE(351);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(346);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(349);
      if (lookahead == '/') ADVANCE(346);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(351);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(348);
      if (lookahead == '/') ADVANCE(351);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(349);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(348);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(349);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '/') ADVANCE(347);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(350);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(351);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(351);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_optional_chain);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(374);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(375);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(385);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(384);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(371);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(372);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(379);
      if (lookahead == '=') ADVANCE(368);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(378);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(367);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(369);
      if (lookahead == '|') ADVANCE(381);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(380);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(418);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(418);
      if (lookahead == '=') ADVANCE(362);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(419);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(419);
      if (lookahead == '=') ADVANCE(363);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(50);
      if (lookahead == '/') ADVANCE(436);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(50);
      if (lookahead == '/') ADVANCE(436);
      if (lookahead == '=') ADVANCE(365);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(366);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(373);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(406);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(408);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(376);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(407);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(422);
      if (lookahead == '/') ADVANCE(424);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(424);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(421);
      if (lookahead == '/') ADVANCE(424);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(422);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(421);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(422);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(420);
      if (sym_unescaped_double_string_fragment_character_set_2(lookahead)) ADVANCE(423);
      if (lookahead != 0 &&
          (lookahead < '\n' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(424);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(424);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(427);
      if (lookahead == '/') ADVANCE(429);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(429);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(426);
      if (lookahead == '/') ADVANCE(429);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(427);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(426);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(427);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(425);
      if (sym_unescaped_double_string_fragment_character_set_2(lookahead)) ADVANCE(428);
      if (lookahead != 0 &&
          (lookahead < '\n' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(429);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(429);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(430);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(430);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(433);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(436);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(59)
      if (lookahead == '/') ADVANCE(47);
      if (lookahead == '[') ADVANCE(104);
      if (lookahead == '\\') ADVANCE(242);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(440);
      if (lookahead != 0) ADVANCE(441);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(104);
      if (lookahead == '\\') ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(441);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(448);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'c') ADVANCE(444);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(449);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(414);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(290);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(286);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(443);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'o') ADVANCE(445);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(442);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_regex_flags);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(469);
      if (lookahead == '0') ADVANCE(466);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(217);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(215);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(218);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(226);
      if (lookahead == '_') ADVANCE(221);
      if (lookahead == 'n') ADVANCE(452);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(469);
      if (lookahead == '0') ADVANCE(460);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(597);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(607);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(601);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(605);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '_') ADVANCE(603);
      if (lookahead == 'n') ADVANCE(462);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(606);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(469);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(215);
      if (lookahead == '_') ADVANCE(219);
      if (lookahead == 'n') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(455);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(469);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(607);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '_') ADVANCE(602);
      if (lookahead == 'n') ADVANCE(462);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(606);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '_') ADVANCE(597);
      if (lookahead == 'n') ADVANCE(462);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(457);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(606);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '_') ADVANCE(601);
      if (lookahead == 'n') ADVANCE(462);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(458);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(606);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '_') ADVANCE(605);
      if (lookahead == 'n') ADVANCE(462);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(459);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(606);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '_') ADVANCE(603);
      if (lookahead == 'n') ADVANCE(462);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(460);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(606);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '_') ADVANCE(604);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(461);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(606);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(217);
      if (lookahead == 'n') ADVANCE(452);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(463);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(218);
      if (lookahead == 'n') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(464);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(226);
      if (lookahead == 'n') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(465);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(221);
      if (lookahead == 'n') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(466);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(222);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(467);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(215);
      if (lookahead == '_') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(468);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(215);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(468);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(567);
      if (lookahead == 'c') ADVANCE(498);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(541);
      if (lookahead == 'f') ADVANCE(536);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 't') ADVANCE(499);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(470);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_identifier_character_set_4(lookahead)) ADVANCE(606);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(332);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(471);
      if (!sym_identifier_character_set_5(lookahead)) ADVANCE(606);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(498);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(472);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(498);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(473);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(474);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(475);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(476);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(477);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(478);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(479);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(480);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(481);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(482);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(483);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(484);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(485);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(486);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(487);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(509);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(488);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(509);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(489);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(490);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(493);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(494);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(496);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(497);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(572);
      if (lookahead == 'l') ADVANCE(501);
      if (lookahead == 'o') ADVANCE(554);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(564);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(590);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(575);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(565);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(540);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(546);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(585);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(555);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(507);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(606);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(508);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(606);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(577);
      if (lookahead == 'l') ADVANCE(501);
      if (lookahead == 'o') ADVANCE(554);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(573);
      if (lookahead == 'l') ADVANCE(501);
      if (lookahead == 'o') ADVANCE(554);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'c') ADVANCE(600);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'c') ADVANCE(357);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'c') ADVANCE(532);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'c') ADVANCE(523);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'c') ADVANCE(587);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'd') ADVANCE(569);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(296);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(279);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(292);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(528);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(578);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(593);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(522);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(606);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(559);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(551);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(583);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'f') ADVANCE(289);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'f') ADVANCE(413);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'f') ADVANCE(500);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'g') ADVANCE(525);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'h') ADVANCE(535);
      if (lookahead == 'i') ADVANCE(579);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'h') ADVANCE(271);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'h') ADVANCE(298);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(533);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(606);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(534);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(606);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(547);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(557);
      if (lookahead == 'r') ADVANCE(558);
      if (lookahead == 'u') ADVANCE(553);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(557);
      if (lookahead == 'u') ADVANCE(553);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(561);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(511);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(580);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(574);
      if (lookahead == 'x') ADVANCE(562);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(574);
      if (lookahead == 'x') ADVANCE(563);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(594);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(501);
      if (lookahead == 'o') ADVANCE(554);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(501);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(543);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(519);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(584);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'm') ADVANCE(269);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(285);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(516);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(359);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(515);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(576);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(514);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(512);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(504);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'o') ADVANCE(549);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'o') ADVANCE(527);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'o') ADVANCE(566);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'o') ADVANCE(552);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'p') ADVANCE(560);
      if (lookahead == 't') ADVANCE(524);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'p') ADVANCE(560);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'r') ADVANCE(529);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'r') ADVANCE(273);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'r') ADVANCE(582);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(264);
      if (lookahead == 'w') ADVANCE(503);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(353);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(355);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(595);
      if (lookahead == 'w') ADVANCE(503);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(595);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(517);
      if (lookahead == 't') ADVANCE(513);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(517);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(518);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(568);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(581);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(513);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(275);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(531);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(283);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(277);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(257);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(610);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(262);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(539);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(505);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(538);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(524);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(506);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'u') ADVANCE(548);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'u') ADVANCE(553);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'x') ADVANCE(563);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'x') ADVANCE(588);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'y') ADVANCE(300);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'y') ADVANCE(556);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '{') ADVANCE(438);
      if (!sym_identifier_character_set_6(lookahead)) ADVANCE(606);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(457);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(598);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(606);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(599);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(606);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(471);
      if (!sym_identifier_character_set_5(lookahead)) ADVANCE(606);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(136);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(458);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(460);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(461);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(459);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(222);
      if (lookahead == '\\') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(461);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(201);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(608);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(anon_sym_target);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_method_definition_token1);
      if (lookahead == '\n') ADVANCE(612);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'b') ADVANCE(1);
      if (lookahead == 'c') ADVANCE(2);
      if (lookahead == 'd') ADVANCE(3);
      if (lookahead == 'f') ADVANCE(4);
      if (lookahead == 'g') ADVANCE(5);
      if (lookahead == 'i') ADVANCE(6);
      if (lookahead == 'n') ADVANCE(7);
      if (lookahead == 'r') ADVANCE(8);
      if (lookahead == 's') ADVANCE(9);
      if (lookahead == 't') ADVANCE(10);
      if (lookahead == 'u') ADVANCE(11);
      if (lookahead == 'v') ADVANCE(12);
      if (lookahead == 'y') ADVANCE(13);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8203) ||
          lookahead == 8232 ||
          lookahead == 8233 ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 8288 ||
          lookahead == 12288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'r') ADVANCE(14);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(15);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(21);
      if (lookahead == 'm') ADVANCE(22);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(25);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(26);
      if (lookahead == 't') ADVANCE(27);
      if (lookahead == 'u') ADVANCE(28);
      if (lookahead == 'w') ADVANCE(29);
      END_STATE();
    case 10:
      if (lookahead == 'h') ADVANCE(30);
      if (lookahead == 'r') ADVANCE(31);
      if (lookahead == 'y') ADVANCE(32);
      END_STATE();
    case 11:
      if (lookahead == 'n') ADVANCE(33);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(34);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(35);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(36);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 16:
      if (lookahead == 'b') ADVANCE(38);
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 18:
      if (lookahead == 'l') ADVANCE(40);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(41);
      END_STATE();
    case 20:
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 22:
      if (lookahead == 'p') ADVANCE(43);
      END_STATE();
    case 23:
      if (lookahead == 'w') ADVANCE(44);
      END_STATE();
    case 24:
      if (lookahead == 'l') ADVANCE(45);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(49);
      END_STATE();
    case 29:
      if (lookahead == 'i') ADVANCE(50);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(51);
      if (lookahead == 'r') ADVANCE(52);
      END_STATE();
    case 31:
      if (lookahead == 'u') ADVANCE(53);
      if (lookahead == 'y') ADVANCE(54);
      END_STATE();
    case 32:
      if (lookahead == 'p') ADVANCE(55);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(56);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 36:
      if (lookahead == 'a') ADVANCE(59);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 38:
      if (lookahead == 'u') ADVANCE(61);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(62);
      END_STATE();
    case 40:
      if (lookahead == 's') ADVANCE(63);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 43:
      if (lookahead == 'o') ADVANCE(64);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 45:
      if (lookahead == 'l') ADVANCE(65);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 48:
      if (lookahead == 't') ADVANCE(67);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(70);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(72);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 57:
      if (lookahead == 'd') ADVANCE(75);
      END_STATE();
    case 58:
      if (lookahead == 'l') ADVANCE(76);
      END_STATE();
    case 59:
      if (lookahead == 'k') ADVANCE(77);
      END_STATE();
    case 60:
      if (lookahead == 'i') ADVANCE(78);
      END_STATE();
    case 61:
      if (lookahead == 'g') ADVANCE(79);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 64:
      if (lookahead == 'r') ADVANCE(82);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 66:
      if (lookahead == 'r') ADVANCE(83);
      END_STATE();
    case 67:
      if (lookahead == 'i') ADVANCE(84);
      END_STATE();
    case 68:
      if (lookahead == 'r') ADVANCE(85);
      END_STATE();
    case 69:
      if (lookahead == 'c') ADVANCE(86);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 71:
      if (lookahead == 'w') ADVANCE(87);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 73:
      if (lookahead == 'o') ADVANCE(88);
      END_STATE();
    case 74:
      if (lookahead == 'f') ADVANCE(89);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 76:
      if (lookahead == 'd') ADVANCE(90);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(91);
      END_STATE();
    case 79:
      if (lookahead == 'g') ADVANCE(92);
      END_STATE();
    case 80:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 82:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 84:
      if (lookahead == 'c') ADVANCE(96);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 86:
      if (lookahead == 'h') ADVANCE(97);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 88:
      if (lookahead == 'f') ADVANCE(98);
      END_STATE();
    case 89:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 91:
      if (lookahead == 'u') ADVANCE(100);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 99:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(103);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(104);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 105:
      if (lookahead == 'd') ADVANCE(106);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 246, .external_lex_state = 2},
  [2] = {.lex_state = 13, .external_lex_state = 2},
  [3] = {.lex_state = 13, .external_lex_state = 2},
  [4] = {.lex_state = 13, .external_lex_state = 2},
  [5] = {.lex_state = 13, .external_lex_state = 2},
  [6] = {.lex_state = 13, .external_lex_state = 2},
  [7] = {.lex_state = 13, .external_lex_state = 2},
  [8] = {.lex_state = 13, .external_lex_state = 2},
  [9] = {.lex_state = 13, .external_lex_state = 2},
  [10] = {.lex_state = 19, .external_lex_state = 2},
  [11] = {.lex_state = 19, .external_lex_state = 2},
  [12] = {.lex_state = 19, .external_lex_state = 2},
  [13] = {.lex_state = 19, .external_lex_state = 2},
  [14] = {.lex_state = 19, .external_lex_state = 2},
  [15] = {.lex_state = 246, .external_lex_state = 2},
  [16] = {.lex_state = 246, .external_lex_state = 2},
  [17] = {.lex_state = 246, .external_lex_state = 2},
  [18] = {.lex_state = 246, .external_lex_state = 2},
  [19] = {.lex_state = 246, .external_lex_state = 2},
  [20] = {.lex_state = 246, .external_lex_state = 2},
  [21] = {.lex_state = 246, .external_lex_state = 2},
  [22] = {.lex_state = 246, .external_lex_state = 2},
  [23] = {.lex_state = 246, .external_lex_state = 2},
  [24] = {.lex_state = 246, .external_lex_state = 2},
  [25] = {.lex_state = 246, .external_lex_state = 2},
  [26] = {.lex_state = 246, .external_lex_state = 2},
  [27] = {.lex_state = 246, .external_lex_state = 2},
  [28] = {.lex_state = 246, .external_lex_state = 2},
  [29] = {.lex_state = 246, .external_lex_state = 2},
  [30] = {.lex_state = 246, .external_lex_state = 2},
  [31] = {.lex_state = 246, .external_lex_state = 2},
  [32] = {.lex_state = 246, .external_lex_state = 2},
  [33] = {.lex_state = 246, .external_lex_state = 2},
  [34] = {.lex_state = 246, .external_lex_state = 2},
  [35] = {.lex_state = 246, .external_lex_state = 2},
  [36] = {.lex_state = 246, .external_lex_state = 2},
  [37] = {.lex_state = 246, .external_lex_state = 2},
  [38] = {.lex_state = 246, .external_lex_state = 2},
  [39] = {.lex_state = 246, .external_lex_state = 2},
  [40] = {.lex_state = 246, .external_lex_state = 2},
  [41] = {.lex_state = 246, .external_lex_state = 2},
  [42] = {.lex_state = 246, .external_lex_state = 2},
  [43] = {.lex_state = 246, .external_lex_state = 2},
  [44] = {.lex_state = 246, .external_lex_state = 2},
  [45] = {.lex_state = 246, .external_lex_state = 2},
  [46] = {.lex_state = 246, .external_lex_state = 2},
  [47] = {.lex_state = 246, .external_lex_state = 2},
  [48] = {.lex_state = 246, .external_lex_state = 2},
  [49] = {.lex_state = 246, .external_lex_state = 2},
  [50] = {.lex_state = 246, .external_lex_state = 2},
  [51] = {.lex_state = 246, .external_lex_state = 2},
  [52] = {.lex_state = 246, .external_lex_state = 2},
  [53] = {.lex_state = 246, .external_lex_state = 2},
  [54] = {.lex_state = 246, .external_lex_state = 2},
  [55] = {.lex_state = 246, .external_lex_state = 2},
  [56] = {.lex_state = 246, .external_lex_state = 2},
  [57] = {.lex_state = 246, .external_lex_state = 2},
  [58] = {.lex_state = 246, .external_lex_state = 2},
  [59] = {.lex_state = 246, .external_lex_state = 2},
  [60] = {.lex_state = 246, .external_lex_state = 2},
  [61] = {.lex_state = 246, .external_lex_state = 2},
  [62] = {.lex_state = 246, .external_lex_state = 2},
  [63] = {.lex_state = 246, .external_lex_state = 2},
  [64] = {.lex_state = 246, .external_lex_state = 2},
  [65] = {.lex_state = 246, .external_lex_state = 2},
  [66] = {.lex_state = 246, .external_lex_state = 2},
  [67] = {.lex_state = 246, .external_lex_state = 2},
  [68] = {.lex_state = 246, .external_lex_state = 2},
  [69] = {.lex_state = 246, .external_lex_state = 2},
  [70] = {.lex_state = 246, .external_lex_state = 2},
  [71] = {.lex_state = 246, .external_lex_state = 2},
  [72] = {.lex_state = 246, .external_lex_state = 2},
  [73] = {.lex_state = 246, .external_lex_state = 2},
  [74] = {.lex_state = 246, .external_lex_state = 2},
  [75] = {.lex_state = 246, .external_lex_state = 2},
  [76] = {.lex_state = 246, .external_lex_state = 2},
  [77] = {.lex_state = 246, .external_lex_state = 2},
  [78] = {.lex_state = 246, .external_lex_state = 2},
  [79] = {.lex_state = 246, .external_lex_state = 2},
  [80] = {.lex_state = 246, .external_lex_state = 2},
  [81] = {.lex_state = 246, .external_lex_state = 2},
  [82] = {.lex_state = 246, .external_lex_state = 2},
  [83] = {.lex_state = 246, .external_lex_state = 2},
  [84] = {.lex_state = 246, .external_lex_state = 2},
  [85] = {.lex_state = 246, .external_lex_state = 2},
  [86] = {.lex_state = 246, .external_lex_state = 2},
  [87] = {.lex_state = 246, .external_lex_state = 2},
  [88] = {.lex_state = 246, .external_lex_state = 2},
  [89] = {.lex_state = 246, .external_lex_state = 2},
  [90] = {.lex_state = 246, .external_lex_state = 2},
  [91] = {.lex_state = 246, .external_lex_state = 2},
  [92] = {.lex_state = 246, .external_lex_state = 2},
  [93] = {.lex_state = 246, .external_lex_state = 2},
  [94] = {.lex_state = 246, .external_lex_state = 2},
  [95] = {.lex_state = 246, .external_lex_state = 2},
  [96] = {.lex_state = 246, .external_lex_state = 2},
  [97] = {.lex_state = 246, .external_lex_state = 2},
  [98] = {.lex_state = 246, .external_lex_state = 2},
  [99] = {.lex_state = 246, .external_lex_state = 2},
  [100] = {.lex_state = 246, .external_lex_state = 2},
  [101] = {.lex_state = 246, .external_lex_state = 2},
  [102] = {.lex_state = 246, .external_lex_state = 2},
  [103] = {.lex_state = 246, .external_lex_state = 2},
  [104] = {.lex_state = 246, .external_lex_state = 2},
  [105] = {.lex_state = 246, .external_lex_state = 2},
  [106] = {.lex_state = 246, .external_lex_state = 2},
  [107] = {.lex_state = 246, .external_lex_state = 2},
  [108] = {.lex_state = 246, .external_lex_state = 2},
  [109] = {.lex_state = 246, .external_lex_state = 2},
  [110] = {.lex_state = 246, .external_lex_state = 2},
  [111] = {.lex_state = 246, .external_lex_state = 2},
  [112] = {.lex_state = 246, .external_lex_state = 2},
  [113] = {.lex_state = 246, .external_lex_state = 2},
  [114] = {.lex_state = 246, .external_lex_state = 2},
  [115] = {.lex_state = 246, .external_lex_state = 2},
  [116] = {.lex_state = 246, .external_lex_state = 2},
  [117] = {.lex_state = 246, .external_lex_state = 2},
  [118] = {.lex_state = 246, .external_lex_state = 2},
  [119] = {.lex_state = 7, .external_lex_state = 3},
  [120] = {.lex_state = 8, .external_lex_state = 4},
  [121] = {.lex_state = 7, .external_lex_state = 4},
  [122] = {.lex_state = 7, .external_lex_state = 3},
  [123] = {.lex_state = 8, .external_lex_state = 3},
  [124] = {.lex_state = 12, .external_lex_state = 2},
  [125] = {.lex_state = 12, .external_lex_state = 2},
  [126] = {.lex_state = 12, .external_lex_state = 2},
  [127] = {.lex_state = 12, .external_lex_state = 2},
  [128] = {.lex_state = 12, .external_lex_state = 2},
  [129] = {.lex_state = 12, .external_lex_state = 2},
  [130] = {.lex_state = 12, .external_lex_state = 2},
  [131] = {.lex_state = 12, .external_lex_state = 2},
  [132] = {.lex_state = 17, .external_lex_state = 2},
  [133] = {.lex_state = 17, .external_lex_state = 2},
  [134] = {.lex_state = 17, .external_lex_state = 2},
  [135] = {.lex_state = 17, .external_lex_state = 2},
  [136] = {.lex_state = 17, .external_lex_state = 2},
  [137] = {.lex_state = 17, .external_lex_state = 2},
  [138] = {.lex_state = 17, .external_lex_state = 2},
  [139] = {.lex_state = 17, .external_lex_state = 2},
  [140] = {.lex_state = 17, .external_lex_state = 2},
  [141] = {.lex_state = 17, .external_lex_state = 2},
  [142] = {.lex_state = 17, .external_lex_state = 2},
  [143] = {.lex_state = 10, .external_lex_state = 4},
  [144] = {.lex_state = 17, .external_lex_state = 2},
  [145] = {.lex_state = 17, .external_lex_state = 2},
  [146] = {.lex_state = 17, .external_lex_state = 2},
  [147] = {.lex_state = 17, .external_lex_state = 2},
  [148] = {.lex_state = 10, .external_lex_state = 4},
  [149] = {.lex_state = 10, .external_lex_state = 4},
  [150] = {.lex_state = 12, .external_lex_state = 2},
  [151] = {.lex_state = 245, .external_lex_state = 4},
  [152] = {.lex_state = 10, .external_lex_state = 4},
  [153] = {.lex_state = 10, .external_lex_state = 4},
  [154] = {.lex_state = 10, .external_lex_state = 4},
  [155] = {.lex_state = 12, .external_lex_state = 2},
  [156] = {.lex_state = 10, .external_lex_state = 4},
  [157] = {.lex_state = 10, .external_lex_state = 4},
  [158] = {.lex_state = 10, .external_lex_state = 4},
  [159] = {.lex_state = 10, .external_lex_state = 4},
  [160] = {.lex_state = 9, .external_lex_state = 4},
  [161] = {.lex_state = 10, .external_lex_state = 4},
  [162] = {.lex_state = 10, .external_lex_state = 4},
  [163] = {.lex_state = 10, .external_lex_state = 4},
  [164] = {.lex_state = 12, .external_lex_state = 2},
  [165] = {.lex_state = 10, .external_lex_state = 4},
  [166] = {.lex_state = 12, .external_lex_state = 2},
  [167] = {.lex_state = 10, .external_lex_state = 4},
  [168] = {.lex_state = 245, .external_lex_state = 4},
  [169] = {.lex_state = 245, .external_lex_state = 4},
  [170] = {.lex_state = 9, .external_lex_state = 4},
  [171] = {.lex_state = 245, .external_lex_state = 4},
  [172] = {.lex_state = 245, .external_lex_state = 4},
  [173] = {.lex_state = 245, .external_lex_state = 4},
  [174] = {.lex_state = 9, .external_lex_state = 4},
  [175] = {.lex_state = 12, .external_lex_state = 2},
  [176] = {.lex_state = 245, .external_lex_state = 4},
  [177] = {.lex_state = 9, .external_lex_state = 4},
  [178] = {.lex_state = 245, .external_lex_state = 4},
  [179] = {.lex_state = 245, .external_lex_state = 4},
  [180] = {.lex_state = 9, .external_lex_state = 4},
  [181] = {.lex_state = 9, .external_lex_state = 4},
  [182] = {.lex_state = 245, .external_lex_state = 4},
  [183] = {.lex_state = 9, .external_lex_state = 4},
  [184] = {.lex_state = 9, .external_lex_state = 4},
  [185] = {.lex_state = 9, .external_lex_state = 4},
  [186] = {.lex_state = 9, .external_lex_state = 4},
  [187] = {.lex_state = 245, .external_lex_state = 4},
  [188] = {.lex_state = 9, .external_lex_state = 4},
  [189] = {.lex_state = 9, .external_lex_state = 4},
  [190] = {.lex_state = 9, .external_lex_state = 4},
  [191] = {.lex_state = 245, .external_lex_state = 4},
  [192] = {.lex_state = 244, .external_lex_state = 4},
  [193] = {.lex_state = 245, .external_lex_state = 4},
  [194] = {.lex_state = 12, .external_lex_state = 2},
  [195] = {.lex_state = 245, .external_lex_state = 4},
  [196] = {.lex_state = 12, .external_lex_state = 2},
  [197] = {.lex_state = 9, .external_lex_state = 4},
  [198] = {.lex_state = 245, .external_lex_state = 4},
  [199] = {.lex_state = 9, .external_lex_state = 4},
  [200] = {.lex_state = 12, .external_lex_state = 2},
  [201] = {.lex_state = 244, .external_lex_state = 4},
  [202] = {.lex_state = 244, .external_lex_state = 4},
  [203] = {.lex_state = 244, .external_lex_state = 4},
  [204] = {.lex_state = 244, .external_lex_state = 4},
  [205] = {.lex_state = 244, .external_lex_state = 4},
  [206] = {.lex_state = 12, .external_lex_state = 2},
  [207] = {.lex_state = 244, .external_lex_state = 4},
  [208] = {.lex_state = 12, .external_lex_state = 2},
  [209] = {.lex_state = 244, .external_lex_state = 4},
  [210] = {.lex_state = 244, .external_lex_state = 4},
  [211] = {.lex_state = 12, .external_lex_state = 2},
  [212] = {.lex_state = 244, .external_lex_state = 4},
  [213] = {.lex_state = 12, .external_lex_state = 2},
  [214] = {.lex_state = 244, .external_lex_state = 4},
  [215] = {.lex_state = 12, .external_lex_state = 2},
  [216] = {.lex_state = 12, .external_lex_state = 2},
  [217] = {.lex_state = 244, .external_lex_state = 4},
  [218] = {.lex_state = 244, .external_lex_state = 4},
  [219] = {.lex_state = 12, .external_lex_state = 2},
  [220] = {.lex_state = 244, .external_lex_state = 4},
  [221] = {.lex_state = 12, .external_lex_state = 2},
  [222] = {.lex_state = 244, .external_lex_state = 4},
  [223] = {.lex_state = 12, .external_lex_state = 2},
  [224] = {.lex_state = 12, .external_lex_state = 2},
  [225] = {.lex_state = 12, .external_lex_state = 2},
  [226] = {.lex_state = 12, .external_lex_state = 2},
  [227] = {.lex_state = 12, .external_lex_state = 2},
  [228] = {.lex_state = 12, .external_lex_state = 2},
  [229] = {.lex_state = 12, .external_lex_state = 2},
  [230] = {.lex_state = 12, .external_lex_state = 2},
  [231] = {.lex_state = 12, .external_lex_state = 2},
  [232] = {.lex_state = 12, .external_lex_state = 2},
  [233] = {.lex_state = 12, .external_lex_state = 5},
  [234] = {.lex_state = 12, .external_lex_state = 5},
  [235] = {.lex_state = 12, .external_lex_state = 5},
  [236] = {.lex_state = 12, .external_lex_state = 5},
  [237] = {.lex_state = 12, .external_lex_state = 5},
  [238] = {.lex_state = 12, .external_lex_state = 2},
  [239] = {.lex_state = 12, .external_lex_state = 2},
  [240] = {.lex_state = 12, .external_lex_state = 2},
  [241] = {.lex_state = 12, .external_lex_state = 2},
  [242] = {.lex_state = 17, .external_lex_state = 2},
  [243] = {.lex_state = 12, .external_lex_state = 2},
  [244] = {.lex_state = 12, .external_lex_state = 2},
  [245] = {.lex_state = 12, .external_lex_state = 2},
  [246] = {.lex_state = 12, .external_lex_state = 2},
  [247] = {.lex_state = 12, .external_lex_state = 2},
  [248] = {.lex_state = 12, .external_lex_state = 2},
  [249] = {.lex_state = 12, .external_lex_state = 2},
  [250] = {.lex_state = 12, .external_lex_state = 2},
  [251] = {.lex_state = 12, .external_lex_state = 2},
  [252] = {.lex_state = 12, .external_lex_state = 2},
  [253] = {.lex_state = 12, .external_lex_state = 2},
  [254] = {.lex_state = 12, .external_lex_state = 2},
  [255] = {.lex_state = 12, .external_lex_state = 2},
  [256] = {.lex_state = 14, .external_lex_state = 2},
  [257] = {.lex_state = 12, .external_lex_state = 2},
  [258] = {.lex_state = 12, .external_lex_state = 2},
  [259] = {.lex_state = 12, .external_lex_state = 2},
  [260] = {.lex_state = 12, .external_lex_state = 2},
  [261] = {.lex_state = 12, .external_lex_state = 2},
  [262] = {.lex_state = 12, .external_lex_state = 2},
  [263] = {.lex_state = 12, .external_lex_state = 2},
  [264] = {.lex_state = 12, .external_lex_state = 2},
  [265] = {.lex_state = 14, .external_lex_state = 2},
  [266] = {.lex_state = 12, .external_lex_state = 2},
  [267] = {.lex_state = 14, .external_lex_state = 2},
  [268] = {.lex_state = 12, .external_lex_state = 2},
  [269] = {.lex_state = 14, .external_lex_state = 2},
  [270] = {.lex_state = 12, .external_lex_state = 2},
  [271] = {.lex_state = 12, .external_lex_state = 2},
  [272] = {.lex_state = 12, .external_lex_state = 2},
  [273] = {.lex_state = 12, .external_lex_state = 2},
  [274] = {.lex_state = 12, .external_lex_state = 2},
  [275] = {.lex_state = 12, .external_lex_state = 2},
  [276] = {.lex_state = 12, .external_lex_state = 2},
  [277] = {.lex_state = 12, .external_lex_state = 2},
  [278] = {.lex_state = 12, .external_lex_state = 2},
  [279] = {.lex_state = 12, .external_lex_state = 2},
  [280] = {.lex_state = 12, .external_lex_state = 2},
  [281] = {.lex_state = 14, .external_lex_state = 2},
  [282] = {.lex_state = 12, .external_lex_state = 2},
  [283] = {.lex_state = 12, .external_lex_state = 2},
  [284] = {.lex_state = 12, .external_lex_state = 2},
  [285] = {.lex_state = 12, .external_lex_state = 2},
  [286] = {.lex_state = 12, .external_lex_state = 2},
  [287] = {.lex_state = 12, .external_lex_state = 2},
  [288] = {.lex_state = 12, .external_lex_state = 2},
  [289] = {.lex_state = 12, .external_lex_state = 2},
  [290] = {.lex_state = 12, .external_lex_state = 2},
  [291] = {.lex_state = 12, .external_lex_state = 2},
  [292] = {.lex_state = 12, .external_lex_state = 2},
  [293] = {.lex_state = 12, .external_lex_state = 2},
  [294] = {.lex_state = 12, .external_lex_state = 2},
  [295] = {.lex_state = 12, .external_lex_state = 2},
  [296] = {.lex_state = 12, .external_lex_state = 2},
  [297] = {.lex_state = 12, .external_lex_state = 2},
  [298] = {.lex_state = 12, .external_lex_state = 2},
  [299] = {.lex_state = 12, .external_lex_state = 2},
  [300] = {.lex_state = 12, .external_lex_state = 2},
  [301] = {.lex_state = 12, .external_lex_state = 2},
  [302] = {.lex_state = 12, .external_lex_state = 2},
  [303] = {.lex_state = 12, .external_lex_state = 2},
  [304] = {.lex_state = 12, .external_lex_state = 2},
  [305] = {.lex_state = 12, .external_lex_state = 2},
  [306] = {.lex_state = 12, .external_lex_state = 2},
  [307] = {.lex_state = 12, .external_lex_state = 2},
  [308] = {.lex_state = 12, .external_lex_state = 2},
  [309] = {.lex_state = 12, .external_lex_state = 2},
  [310] = {.lex_state = 12, .external_lex_state = 2},
  [311] = {.lex_state = 12, .external_lex_state = 2},
  [312] = {.lex_state = 12, .external_lex_state = 2},
  [313] = {.lex_state = 12, .external_lex_state = 2},
  [314] = {.lex_state = 12, .external_lex_state = 2},
  [315] = {.lex_state = 12, .external_lex_state = 2},
  [316] = {.lex_state = 12, .external_lex_state = 2},
  [317] = {.lex_state = 12, .external_lex_state = 2},
  [318] = {.lex_state = 12, .external_lex_state = 2},
  [319] = {.lex_state = 12, .external_lex_state = 2},
  [320] = {.lex_state = 12, .external_lex_state = 2},
  [321] = {.lex_state = 12, .external_lex_state = 2},
  [322] = {.lex_state = 12, .external_lex_state = 2},
  [323] = {.lex_state = 12, .external_lex_state = 2},
  [324] = {.lex_state = 12, .external_lex_state = 2},
  [325] = {.lex_state = 12, .external_lex_state = 2},
  [326] = {.lex_state = 12, .external_lex_state = 2},
  [327] = {.lex_state = 12, .external_lex_state = 2},
  [328] = {.lex_state = 12, .external_lex_state = 2},
  [329] = {.lex_state = 12, .external_lex_state = 2},
  [330] = {.lex_state = 12, .external_lex_state = 2},
  [331] = {.lex_state = 12, .external_lex_state = 2},
  [332] = {.lex_state = 12, .external_lex_state = 2},
  [333] = {.lex_state = 12, .external_lex_state = 2},
  [334] = {.lex_state = 12, .external_lex_state = 2},
  [335] = {.lex_state = 12, .external_lex_state = 2},
  [336] = {.lex_state = 12, .external_lex_state = 2},
  [337] = {.lex_state = 12, .external_lex_state = 2},
  [338] = {.lex_state = 12, .external_lex_state = 2},
  [339] = {.lex_state = 12, .external_lex_state = 2},
  [340] = {.lex_state = 12, .external_lex_state = 2},
  [341] = {.lex_state = 12, .external_lex_state = 2},
  [342] = {.lex_state = 12, .external_lex_state = 2},
  [343] = {.lex_state = 12, .external_lex_state = 2},
  [344] = {.lex_state = 12, .external_lex_state = 2},
  [345] = {.lex_state = 12, .external_lex_state = 2},
  [346] = {.lex_state = 12, .external_lex_state = 2},
  [347] = {.lex_state = 12, .external_lex_state = 2},
  [348] = {.lex_state = 12, .external_lex_state = 2},
  [349] = {.lex_state = 12, .external_lex_state = 2},
  [350] = {.lex_state = 12, .external_lex_state = 2},
  [351] = {.lex_state = 12, .external_lex_state = 2},
  [352] = {.lex_state = 12, .external_lex_state = 2},
  [353] = {.lex_state = 12, .external_lex_state = 2},
  [354] = {.lex_state = 12, .external_lex_state = 2},
  [355] = {.lex_state = 12, .external_lex_state = 2},
  [356] = {.lex_state = 12, .external_lex_state = 2},
  [357] = {.lex_state = 12, .external_lex_state = 2},
  [358] = {.lex_state = 12, .external_lex_state = 2},
  [359] = {.lex_state = 12, .external_lex_state = 2},
  [360] = {.lex_state = 12, .external_lex_state = 2},
  [361] = {.lex_state = 12, .external_lex_state = 2},
  [362] = {.lex_state = 12, .external_lex_state = 2},
  [363] = {.lex_state = 12, .external_lex_state = 2},
  [364] = {.lex_state = 12, .external_lex_state = 2},
  [365] = {.lex_state = 12, .external_lex_state = 2},
  [366] = {.lex_state = 12, .external_lex_state = 2},
  [367] = {.lex_state = 12, .external_lex_state = 2},
  [368] = {.lex_state = 12, .external_lex_state = 2},
  [369] = {.lex_state = 12, .external_lex_state = 2},
  [370] = {.lex_state = 12, .external_lex_state = 2},
  [371] = {.lex_state = 12, .external_lex_state = 2},
  [372] = {.lex_state = 12, .external_lex_state = 2},
  [373] = {.lex_state = 12, .external_lex_state = 2},
  [374] = {.lex_state = 12, .external_lex_state = 2},
  [375] = {.lex_state = 12, .external_lex_state = 2},
  [376] = {.lex_state = 12, .external_lex_state = 2},
  [377] = {.lex_state = 12, .external_lex_state = 2},
  [378] = {.lex_state = 12, .external_lex_state = 2},
  [379] = {.lex_state = 12, .external_lex_state = 2},
  [380] = {.lex_state = 12, .external_lex_state = 2},
  [381] = {.lex_state = 12, .external_lex_state = 2},
  [382] = {.lex_state = 12, .external_lex_state = 2},
  [383] = {.lex_state = 12, .external_lex_state = 2},
  [384] = {.lex_state = 12, .external_lex_state = 2},
  [385] = {.lex_state = 12, .external_lex_state = 2},
  [386] = {.lex_state = 12, .external_lex_state = 2},
  [387] = {.lex_state = 12, .external_lex_state = 2},
  [388] = {.lex_state = 12, .external_lex_state = 2},
  [389] = {.lex_state = 12, .external_lex_state = 2},
  [390] = {.lex_state = 12, .external_lex_state = 2},
  [391] = {.lex_state = 12, .external_lex_state = 2},
  [392] = {.lex_state = 12, .external_lex_state = 2},
  [393] = {.lex_state = 12, .external_lex_state = 2},
  [394] = {.lex_state = 12, .external_lex_state = 2},
  [395] = {.lex_state = 12, .external_lex_state = 2},
  [396] = {.lex_state = 12, .external_lex_state = 2},
  [397] = {.lex_state = 12, .external_lex_state = 2},
  [398] = {.lex_state = 12, .external_lex_state = 2},
  [399] = {.lex_state = 12, .external_lex_state = 2},
  [400] = {.lex_state = 12, .external_lex_state = 2},
  [401] = {.lex_state = 12, .external_lex_state = 2},
  [402] = {.lex_state = 12, .external_lex_state = 2},
  [403] = {.lex_state = 12, .external_lex_state = 2},
  [404] = {.lex_state = 12, .external_lex_state = 2},
  [405] = {.lex_state = 12, .external_lex_state = 2},
  [406] = {.lex_state = 12, .external_lex_state = 2},
  [407] = {.lex_state = 12, .external_lex_state = 2},
  [408] = {.lex_state = 12, .external_lex_state = 2},
  [409] = {.lex_state = 12, .external_lex_state = 2},
  [410] = {.lex_state = 12, .external_lex_state = 2},
  [411] = {.lex_state = 12, .external_lex_state = 2},
  [412] = {.lex_state = 12, .external_lex_state = 2},
  [413] = {.lex_state = 12, .external_lex_state = 2},
  [414] = {.lex_state = 12, .external_lex_state = 2},
  [415] = {.lex_state = 12, .external_lex_state = 2},
  [416] = {.lex_state = 12, .external_lex_state = 2},
  [417] = {.lex_state = 12, .external_lex_state = 2},
  [418] = {.lex_state = 12, .external_lex_state = 2},
  [419] = {.lex_state = 12, .external_lex_state = 2},
  [420] = {.lex_state = 12, .external_lex_state = 2},
  [421] = {.lex_state = 12, .external_lex_state = 2},
  [422] = {.lex_state = 12, .external_lex_state = 2},
  [423] = {.lex_state = 12, .external_lex_state = 2},
  [424] = {.lex_state = 12, .external_lex_state = 2},
  [425] = {.lex_state = 252, .external_lex_state = 4},
  [426] = {.lex_state = 252, .external_lex_state = 4},
  [427] = {.lex_state = 252, .external_lex_state = 4},
  [428] = {.lex_state = 252, .external_lex_state = 4},
  [429] = {.lex_state = 22, .external_lex_state = 4},
  [430] = {.lex_state = 252, .external_lex_state = 4},
  [431] = {.lex_state = 22, .external_lex_state = 4},
  [432] = {.lex_state = 252, .external_lex_state = 4},
  [433] = {.lex_state = 252, .external_lex_state = 4},
  [434] = {.lex_state = 22, .external_lex_state = 4},
  [435] = {.lex_state = 252, .external_lex_state = 4},
  [436] = {.lex_state = 23, .external_lex_state = 4},
  [437] = {.lex_state = 23, .external_lex_state = 4},
  [438] = {.lex_state = 23, .external_lex_state = 4},
  [439] = {.lex_state = 23, .external_lex_state = 4},
  [440] = {.lex_state = 23, .external_lex_state = 4},
  [441] = {.lex_state = 23, .external_lex_state = 4},
  [442] = {.lex_state = 24, .external_lex_state = 3},
  [443] = {.lex_state = 24, .external_lex_state = 3},
  [444] = {.lex_state = 24, .external_lex_state = 4},
  [445] = {.lex_state = 24, .external_lex_state = 3},
  [446] = {.lex_state = 16, .external_lex_state = 2},
  [447] = {.lex_state = 24, .external_lex_state = 4},
  [448] = {.lex_state = 24, .external_lex_state = 3},
  [449] = {.lex_state = 25, .external_lex_state = 4},
  [450] = {.lex_state = 26, .external_lex_state = 4},
  [451] = {.lex_state = 24, .external_lex_state = 4},
  [452] = {.lex_state = 24, .external_lex_state = 3},
  [453] = {.lex_state = 26, .external_lex_state = 4},
  [454] = {.lex_state = 24, .external_lex_state = 4},
  [455] = {.lex_state = 25, .external_lex_state = 4},
  [456] = {.lex_state = 24, .external_lex_state = 4},
  [457] = {.lex_state = 24, .external_lex_state = 4},
  [458] = {.lex_state = 26, .external_lex_state = 4},
  [459] = {.lex_state = 25, .external_lex_state = 4},
  [460] = {.lex_state = 24, .external_lex_state = 4},
  [461] = {.lex_state = 16, .external_lex_state = 5},
  [462] = {.lex_state = 251, .external_lex_state = 2},
  [463] = {.lex_state = 24, .external_lex_state = 3},
  [464] = {.lex_state = 16, .external_lex_state = 5},
  [465] = {.lex_state = 15, .external_lex_state = 2},
  [466] = {.lex_state = 20, .external_lex_state = 5},
  [467] = {.lex_state = 251, .external_lex_state = 5},
  [468] = {.lex_state = 24, .external_lex_state = 4},
  [469] = {.lex_state = 15, .external_lex_state = 5},
  [470] = {.lex_state = 24, .external_lex_state = 3},
  [471] = {.lex_state = 250, .external_lex_state = 2},
  [472] = {.lex_state = 251, .external_lex_state = 5},
  [473] = {.lex_state = 15, .external_lex_state = 5},
  [474] = {.lex_state = 24, .external_lex_state = 4},
  [475] = {.lex_state = 16, .external_lex_state = 2},
  [476] = {.lex_state = 20, .external_lex_state = 2},
  [477] = {.lex_state = 24, .external_lex_state = 4},
  [478] = {.lex_state = 24, .external_lex_state = 4},
  [479] = {.lex_state = 20, .external_lex_state = 5},
  [480] = {.lex_state = 24, .external_lex_state = 4},
  [481] = {.lex_state = 16, .external_lex_state = 2},
  [482] = {.lex_state = 24, .external_lex_state = 3},
  [483] = {.lex_state = 248, .external_lex_state = 5},
  [484] = {.lex_state = 21, .external_lex_state = 5},
  [485] = {.lex_state = 21, .external_lex_state = 5},
  [486] = {.lex_state = 248, .external_lex_state = 5},
  [487] = {.lex_state = 21, .external_lex_state = 2},
  [488] = {.lex_state = 20, .external_lex_state = 2},
  [489] = {.lex_state = 25, .external_lex_state = 4},
  [490] = {.lex_state = 21, .external_lex_state = 5},
  [491] = {.lex_state = 248, .external_lex_state = 2},
  [492] = {.lex_state = 250, .external_lex_state = 5},
  [493] = {.lex_state = 21, .external_lex_state = 5},
  [494] = {.lex_state = 21, .external_lex_state = 5},
  [495] = {.lex_state = 21, .external_lex_state = 2},
  [496] = {.lex_state = 25, .external_lex_state = 4},
  [497] = {.lex_state = 27, .external_lex_state = 4},
  [498] = {.lex_state = 26, .external_lex_state = 3},
  [499] = {.lex_state = 21, .external_lex_state = 5},
  [500] = {.lex_state = 21, .external_lex_state = 5},
  [501] = {.lex_state = 21, .external_lex_state = 5},
  [502] = {.lex_state = 21, .external_lex_state = 5},
  [503] = {.lex_state = 21, .external_lex_state = 5},
  [504] = {.lex_state = 251, .external_lex_state = 2},
  [505] = {.lex_state = 21, .external_lex_state = 5},
  [506] = {.lex_state = 21, .external_lex_state = 5},
  [507] = {.lex_state = 21, .external_lex_state = 5},
  [508] = {.lex_state = 251, .external_lex_state = 2},
  [509] = {.lex_state = 26, .external_lex_state = 3},
  [510] = {.lex_state = 20, .external_lex_state = 2},
  [511] = {.lex_state = 21, .external_lex_state = 5},
  [512] = {.lex_state = 18, .external_lex_state = 5},
  [513] = {.lex_state = 18, .external_lex_state = 2},
  [514] = {.lex_state = 20, .external_lex_state = 2},
  [515] = {.lex_state = 21, .external_lex_state = 5},
  [516] = {.lex_state = 15, .external_lex_state = 2},
  [517] = {.lex_state = 21, .external_lex_state = 5},
  [518] = {.lex_state = 18, .external_lex_state = 5},
  [519] = {.lex_state = 15, .external_lex_state = 2},
  [520] = {.lex_state = 20, .external_lex_state = 2},
  [521] = {.lex_state = 21, .external_lex_state = 5},
  [522] = {.lex_state = 250, .external_lex_state = 5},
  [523] = {.lex_state = 21, .external_lex_state = 5},
  [524] = {.lex_state = 25, .external_lex_state = 4},
  [525] = {.lex_state = 25, .external_lex_state = 4},
  [526] = {.lex_state = 26, .external_lex_state = 3},
  [527] = {.lex_state = 25, .external_lex_state = 4},
  [528] = {.lex_state = 21, .external_lex_state = 2},
  [529] = {.lex_state = 21, .external_lex_state = 2},
  [530] = {.lex_state = 247, .external_lex_state = 5},
  [531] = {.lex_state = 18, .external_lex_state = 2},
  [532] = {.lex_state = 19, .external_lex_state = 5},
  [533] = {.lex_state = 21, .external_lex_state = 2},
  [534] = {.lex_state = 18, .external_lex_state = 2},
  [535] = {.lex_state = 21, .external_lex_state = 2},
  [536] = {.lex_state = 19, .external_lex_state = 5},
  [537] = {.lex_state = 249, .external_lex_state = 5},
  [538] = {.lex_state = 249, .external_lex_state = 5},
  [539] = {.lex_state = 249, .external_lex_state = 5},
  [540] = {.lex_state = 19, .external_lex_state = 5},
  [541] = {.lex_state = 19, .external_lex_state = 5},
  [542] = {.lex_state = 21, .external_lex_state = 2},
  [543] = {.lex_state = 21, .external_lex_state = 2},
  [544] = {.lex_state = 249, .external_lex_state = 5},
  [545] = {.lex_state = 21, .external_lex_state = 2},
  [546] = {.lex_state = 249, .external_lex_state = 5},
  [547] = {.lex_state = 249, .external_lex_state = 5},
  [548] = {.lex_state = 21, .external_lex_state = 2},
  [549] = {.lex_state = 19, .external_lex_state = 5},
  [550] = {.lex_state = 21, .external_lex_state = 2},
  [551] = {.lex_state = 19, .external_lex_state = 5},
  [552] = {.lex_state = 21, .external_lex_state = 2},
  [553] = {.lex_state = 21, .external_lex_state = 2},
  [554] = {.lex_state = 21, .external_lex_state = 2},
  [555] = {.lex_state = 248, .external_lex_state = 2},
  [556] = {.lex_state = 19, .external_lex_state = 5},
  [557] = {.lex_state = 248, .external_lex_state = 2},
  [558] = {.lex_state = 249, .external_lex_state = 5},
  [559] = {.lex_state = 21, .external_lex_state = 2},
  [560] = {.lex_state = 249, .external_lex_state = 2},
  [561] = {.lex_state = 21, .external_lex_state = 2},
  [562] = {.lex_state = 21, .external_lex_state = 2},
  [563] = {.lex_state = 21, .external_lex_state = 2},
  [564] = {.lex_state = 19, .external_lex_state = 5},
  [565] = {.lex_state = 18, .external_lex_state = 2},
  [566] = {.lex_state = 21, .external_lex_state = 2},
  [567] = {.lex_state = 19, .external_lex_state = 5},
  [568] = {.lex_state = 21, .external_lex_state = 2},
  [569] = {.lex_state = 248, .external_lex_state = 2},
  [570] = {.lex_state = 21, .external_lex_state = 2},
  [571] = {.lex_state = 21, .external_lex_state = 2},
  [572] = {.lex_state = 21, .external_lex_state = 2},
  [573] = {.lex_state = 21, .external_lex_state = 2},
  [574] = {.lex_state = 249, .external_lex_state = 5},
  [575] = {.lex_state = 21, .external_lex_state = 2},
  [576] = {.lex_state = 21, .external_lex_state = 2},
  [577] = {.lex_state = 21, .external_lex_state = 2},
  [578] = {.lex_state = 19, .external_lex_state = 5},
  [579] = {.lex_state = 21, .external_lex_state = 2},
  [580] = {.lex_state = 21, .external_lex_state = 2},
  [581] = {.lex_state = 21, .external_lex_state = 2},
  [582] = {.lex_state = 21, .external_lex_state = 2},
  [583] = {.lex_state = 21, .external_lex_state = 2},
  [584] = {.lex_state = 19, .external_lex_state = 5},
  [585] = {.lex_state = 19, .external_lex_state = 5},
  [586] = {.lex_state = 21, .external_lex_state = 2},
  [587] = {.lex_state = 21, .external_lex_state = 2},
  [588] = {.lex_state = 21, .external_lex_state = 2},
  [589] = {.lex_state = 21, .external_lex_state = 2},
  [590] = {.lex_state = 21, .external_lex_state = 2},
  [591] = {.lex_state = 19, .external_lex_state = 5},
  [592] = {.lex_state = 249, .external_lex_state = 5},
  [593] = {.lex_state = 21, .external_lex_state = 2},
  [594] = {.lex_state = 21, .external_lex_state = 2},
  [595] = {.lex_state = 249, .external_lex_state = 5},
  [596] = {.lex_state = 249, .external_lex_state = 5},
  [597] = {.lex_state = 250, .external_lex_state = 2},
  [598] = {.lex_state = 21, .external_lex_state = 2},
  [599] = {.lex_state = 247, .external_lex_state = 5},
  [600] = {.lex_state = 21, .external_lex_state = 2},
  [601] = {.lex_state = 21, .external_lex_state = 2},
  [602] = {.lex_state = 21, .external_lex_state = 2},
  [603] = {.lex_state = 21, .external_lex_state = 2},
  [604] = {.lex_state = 21, .external_lex_state = 2},
  [605] = {.lex_state = 21, .external_lex_state = 2},
  [606] = {.lex_state = 21, .external_lex_state = 2},
  [607] = {.lex_state = 21, .external_lex_state = 2},
  [608] = {.lex_state = 21, .external_lex_state = 2},
  [609] = {.lex_state = 249, .external_lex_state = 2},
  [610] = {.lex_state = 21, .external_lex_state = 2},
  [611] = {.lex_state = 21, .external_lex_state = 2},
  [612] = {.lex_state = 21, .external_lex_state = 2},
  [613] = {.lex_state = 21, .external_lex_state = 2},
  [614] = {.lex_state = 21, .external_lex_state = 2},
  [615] = {.lex_state = 249, .external_lex_state = 5},
  [616] = {.lex_state = 21, .external_lex_state = 2},
  [617] = {.lex_state = 21, .external_lex_state = 2},
  [618] = {.lex_state = 21, .external_lex_state = 2},
  [619] = {.lex_state = 21, .external_lex_state = 2},
  [620] = {.lex_state = 21, .external_lex_state = 2},
  [621] = {.lex_state = 21, .external_lex_state = 2},
  [622] = {.lex_state = 247, .external_lex_state = 2},
  [623] = {.lex_state = 21, .external_lex_state = 2},
  [624] = {.lex_state = 21, .external_lex_state = 2},
  [625] = {.lex_state = 21, .external_lex_state = 2},
  [626] = {.lex_state = 21, .external_lex_state = 2},
  [627] = {.lex_state = 21, .external_lex_state = 2},
  [628] = {.lex_state = 21, .external_lex_state = 2},
  [629] = {.lex_state = 21, .external_lex_state = 2},
  [630] = {.lex_state = 21, .external_lex_state = 2},
  [631] = {.lex_state = 21, .external_lex_state = 2},
  [632] = {.lex_state = 21, .external_lex_state = 2},
  [633] = {.lex_state = 21, .external_lex_state = 2},
  [634] = {.lex_state = 21, .external_lex_state = 2},
  [635] = {.lex_state = 249, .external_lex_state = 5},
  [636] = {.lex_state = 21, .external_lex_state = 2},
  [637] = {.lex_state = 21, .external_lex_state = 2},
  [638] = {.lex_state = 21, .external_lex_state = 2},
  [639] = {.lex_state = 21, .external_lex_state = 2},
  [640] = {.lex_state = 21, .external_lex_state = 2},
  [641] = {.lex_state = 21, .external_lex_state = 2},
  [642] = {.lex_state = 21, .external_lex_state = 2},
  [643] = {.lex_state = 21, .external_lex_state = 2},
  [644] = {.lex_state = 21, .external_lex_state = 2},
  [645] = {.lex_state = 21, .external_lex_state = 2},
  [646] = {.lex_state = 249, .external_lex_state = 5},
  [647] = {.lex_state = 19, .external_lex_state = 5},
  [648] = {.lex_state = 249, .external_lex_state = 5},
  [649] = {.lex_state = 21, .external_lex_state = 2},
  [650] = {.lex_state = 21, .external_lex_state = 2},
  [651] = {.lex_state = 21, .external_lex_state = 2},
  [652] = {.lex_state = 21, .external_lex_state = 2},
  [653] = {.lex_state = 249, .external_lex_state = 5},
  [654] = {.lex_state = 19, .external_lex_state = 5},
  [655] = {.lex_state = 21, .external_lex_state = 2},
  [656] = {.lex_state = 19, .external_lex_state = 5},
  [657] = {.lex_state = 21, .external_lex_state = 2},
  [658] = {.lex_state = 249, .external_lex_state = 5},
  [659] = {.lex_state = 21, .external_lex_state = 2},
  [660] = {.lex_state = 21, .external_lex_state = 2},
  [661] = {.lex_state = 21, .external_lex_state = 2},
  [662] = {.lex_state = 21, .external_lex_state = 2},
  [663] = {.lex_state = 21, .external_lex_state = 2},
  [664] = {.lex_state = 248, .external_lex_state = 2},
  [665] = {.lex_state = 21, .external_lex_state = 2},
  [666] = {.lex_state = 19, .external_lex_state = 5},
  [667] = {.lex_state = 249, .external_lex_state = 5},
  [668] = {.lex_state = 21, .external_lex_state = 2},
  [669] = {.lex_state = 21, .external_lex_state = 2},
  [670] = {.lex_state = 19, .external_lex_state = 5},
  [671] = {.lex_state = 18, .external_lex_state = 2},
  [672] = {.lex_state = 21, .external_lex_state = 2},
  [673] = {.lex_state = 21, .external_lex_state = 2},
  [674] = {.lex_state = 250, .external_lex_state = 2},
  [675] = {.lex_state = 21, .external_lex_state = 2},
  [676] = {.lex_state = 21, .external_lex_state = 2},
  [677] = {.lex_state = 21, .external_lex_state = 2},
  [678] = {.lex_state = 19, .external_lex_state = 2},
  [679] = {.lex_state = 19, .external_lex_state = 2},
  [680] = {.lex_state = 249, .external_lex_state = 2},
  [681] = {.lex_state = 249, .external_lex_state = 2},
  [682] = {.lex_state = 249, .external_lex_state = 2},
  [683] = {.lex_state = 249, .external_lex_state = 2},
  [684] = {.lex_state = 249, .external_lex_state = 2},
  [685] = {.lex_state = 249, .external_lex_state = 2},
  [686] = {.lex_state = 249, .external_lex_state = 2},
  [687] = {.lex_state = 249, .external_lex_state = 2},
  [688] = {.lex_state = 249, .external_lex_state = 2},
  [689] = {.lex_state = 249, .external_lex_state = 2},
  [690] = {.lex_state = 249, .external_lex_state = 2},
  [691] = {.lex_state = 249, .external_lex_state = 2},
  [692] = {.lex_state = 249, .external_lex_state = 2},
  [693] = {.lex_state = 249, .external_lex_state = 2},
  [694] = {.lex_state = 249, .external_lex_state = 2},
  [695] = {.lex_state = 19, .external_lex_state = 2},
  [696] = {.lex_state = 249, .external_lex_state = 2},
  [697] = {.lex_state = 249, .external_lex_state = 2},
  [698] = {.lex_state = 249, .external_lex_state = 2},
  [699] = {.lex_state = 249, .external_lex_state = 2},
  [700] = {.lex_state = 249, .external_lex_state = 2},
  [701] = {.lex_state = 249, .external_lex_state = 2},
  [702] = {.lex_state = 249, .external_lex_state = 2},
  [703] = {.lex_state = 249, .external_lex_state = 2},
  [704] = {.lex_state = 19, .external_lex_state = 2},
  [705] = {.lex_state = 249, .external_lex_state = 2},
  [706] = {.lex_state = 19, .external_lex_state = 2},
  [707] = {.lex_state = 19, .external_lex_state = 2},
  [708] = {.lex_state = 19, .external_lex_state = 2},
  [709] = {.lex_state = 19, .external_lex_state = 2},
  [710] = {.lex_state = 19, .external_lex_state = 2},
  [711] = {.lex_state = 246, .external_lex_state = 5},
  [712] = {.lex_state = 19, .external_lex_state = 2},
  [713] = {.lex_state = 19, .external_lex_state = 2},
  [714] = {.lex_state = 249, .external_lex_state = 2},
  [715] = {.lex_state = 246, .external_lex_state = 5},
  [716] = {.lex_state = 249, .external_lex_state = 2},
  [717] = {.lex_state = 246, .external_lex_state = 5},
  [718] = {.lex_state = 249, .external_lex_state = 2},
  [719] = {.lex_state = 19, .external_lex_state = 2},
  [720] = {.lex_state = 249, .external_lex_state = 2},
  [721] = {.lex_state = 249, .external_lex_state = 2},
  [722] = {.lex_state = 249, .external_lex_state = 2},
  [723] = {.lex_state = 19, .external_lex_state = 2},
  [724] = {.lex_state = 19, .external_lex_state = 2},
  [725] = {.lex_state = 19, .external_lex_state = 2},
  [726] = {.lex_state = 249, .external_lex_state = 2},
  [727] = {.lex_state = 19, .external_lex_state = 2},
  [728] = {.lex_state = 249, .external_lex_state = 2},
  [729] = {.lex_state = 246, .external_lex_state = 5},
  [730] = {.lex_state = 249, .external_lex_state = 2},
  [731] = {.lex_state = 249, .external_lex_state = 2},
  [732] = {.lex_state = 249, .external_lex_state = 2},
  [733] = {.lex_state = 249, .external_lex_state = 2},
  [734] = {.lex_state = 25, .external_lex_state = 4},
  [735] = {.lex_state = 19, .external_lex_state = 2},
  [736] = {.lex_state = 19, .external_lex_state = 2},
  [737] = {.lex_state = 249, .external_lex_state = 2},
  [738] = {.lex_state = 19, .external_lex_state = 2},
  [739] = {.lex_state = 19, .external_lex_state = 2},
  [740] = {.lex_state = 19, .external_lex_state = 2},
  [741] = {.lex_state = 249, .external_lex_state = 2},
  [742] = {.lex_state = 19, .external_lex_state = 2},
  [743] = {.lex_state = 19, .external_lex_state = 2},
  [744] = {.lex_state = 249, .external_lex_state = 2},
  [745] = {.lex_state = 19, .external_lex_state = 2},
  [746] = {.lex_state = 19, .external_lex_state = 2},
  [747] = {.lex_state = 249, .external_lex_state = 2},
  [748] = {.lex_state = 249, .external_lex_state = 2},
  [749] = {.lex_state = 19, .external_lex_state = 2},
  [750] = {.lex_state = 19, .external_lex_state = 2},
  [751] = {.lex_state = 19, .external_lex_state = 2},
  [752] = {.lex_state = 19, .external_lex_state = 2},
  [753] = {.lex_state = 19, .external_lex_state = 2},
  [754] = {.lex_state = 19, .external_lex_state = 2},
  [755] = {.lex_state = 246, .external_lex_state = 5},
  [756] = {.lex_state = 249, .external_lex_state = 2},
  [757] = {.lex_state = 19, .external_lex_state = 2},
  [758] = {.lex_state = 19, .external_lex_state = 2},
  [759] = {.lex_state = 19, .external_lex_state = 2},
  [760] = {.lex_state = 247, .external_lex_state = 2},
  [761] = {.lex_state = 19, .external_lex_state = 2},
  [762] = {.lex_state = 19, .external_lex_state = 2},
  [763] = {.lex_state = 249, .external_lex_state = 2},
  [764] = {.lex_state = 249, .external_lex_state = 2},
  [765] = {.lex_state = 246, .external_lex_state = 5},
  [766] = {.lex_state = 249, .external_lex_state = 2},
  [767] = {.lex_state = 249, .external_lex_state = 2},
  [768] = {.lex_state = 19, .external_lex_state = 2},
  [769] = {.lex_state = 246, .external_lex_state = 5},
  [770] = {.lex_state = 249, .external_lex_state = 2},
  [771] = {.lex_state = 19, .external_lex_state = 2},
  [772] = {.lex_state = 19, .external_lex_state = 2},
  [773] = {.lex_state = 249, .external_lex_state = 2},
  [774] = {.lex_state = 19, .external_lex_state = 2},
  [775] = {.lex_state = 19, .external_lex_state = 2},
  [776] = {.lex_state = 19, .external_lex_state = 2},
  [777] = {.lex_state = 249, .external_lex_state = 2},
  [778] = {.lex_state = 249, .external_lex_state = 2},
  [779] = {.lex_state = 19, .external_lex_state = 2},
  [780] = {.lex_state = 249, .external_lex_state = 2},
  [781] = {.lex_state = 249, .external_lex_state = 2},
  [782] = {.lex_state = 19, .external_lex_state = 2},
  [783] = {.lex_state = 249, .external_lex_state = 2},
  [784] = {.lex_state = 19, .external_lex_state = 2},
  [785] = {.lex_state = 249, .external_lex_state = 2},
  [786] = {.lex_state = 19, .external_lex_state = 2},
  [787] = {.lex_state = 19, .external_lex_state = 2},
  [788] = {.lex_state = 249, .external_lex_state = 2},
  [789] = {.lex_state = 19, .external_lex_state = 2},
  [790] = {.lex_state = 19, .external_lex_state = 2},
  [791] = {.lex_state = 19, .external_lex_state = 2},
  [792] = {.lex_state = 19, .external_lex_state = 2},
  [793] = {.lex_state = 19, .external_lex_state = 2},
  [794] = {.lex_state = 19, .external_lex_state = 2},
  [795] = {.lex_state = 19, .external_lex_state = 2},
  [796] = {.lex_state = 19, .external_lex_state = 2},
  [797] = {.lex_state = 19, .external_lex_state = 2},
  [798] = {.lex_state = 249, .external_lex_state = 2},
  [799] = {.lex_state = 249, .external_lex_state = 2},
  [800] = {.lex_state = 249, .external_lex_state = 2},
  [801] = {.lex_state = 249, .external_lex_state = 2},
  [802] = {.lex_state = 19, .external_lex_state = 2},
  [803] = {.lex_state = 249, .external_lex_state = 2},
  [804] = {.lex_state = 19, .external_lex_state = 2},
  [805] = {.lex_state = 19, .external_lex_state = 2},
  [806] = {.lex_state = 19, .external_lex_state = 2},
  [807] = {.lex_state = 19, .external_lex_state = 2},
  [808] = {.lex_state = 19, .external_lex_state = 2},
  [809] = {.lex_state = 19, .external_lex_state = 2},
  [810] = {.lex_state = 19, .external_lex_state = 2},
  [811] = {.lex_state = 19, .external_lex_state = 2},
  [812] = {.lex_state = 246, .external_lex_state = 5},
  [813] = {.lex_state = 246, .external_lex_state = 5},
  [814] = {.lex_state = 246, .external_lex_state = 5},
  [815] = {.lex_state = 19, .external_lex_state = 2},
  [816] = {.lex_state = 19, .external_lex_state = 2},
  [817] = {.lex_state = 19, .external_lex_state = 2},
  [818] = {.lex_state = 19, .external_lex_state = 2},
  [819] = {.lex_state = 19, .external_lex_state = 2},
  [820] = {.lex_state = 19, .external_lex_state = 2},
  [821] = {.lex_state = 19, .external_lex_state = 2},
  [822] = {.lex_state = 19, .external_lex_state = 2},
  [823] = {.lex_state = 249, .external_lex_state = 2},
  [824] = {.lex_state = 19, .external_lex_state = 2},
  [825] = {.lex_state = 19, .external_lex_state = 2},
  [826] = {.lex_state = 19, .external_lex_state = 2},
  [827] = {.lex_state = 19, .external_lex_state = 2},
  [828] = {.lex_state = 19, .external_lex_state = 2},
  [829] = {.lex_state = 19, .external_lex_state = 2},
  [830] = {.lex_state = 19, .external_lex_state = 2},
  [831] = {.lex_state = 19, .external_lex_state = 2},
  [832] = {.lex_state = 249, .external_lex_state = 2},
  [833] = {.lex_state = 249, .external_lex_state = 2},
  [834] = {.lex_state = 19, .external_lex_state = 2},
  [835] = {.lex_state = 19, .external_lex_state = 2},
  [836] = {.lex_state = 19, .external_lex_state = 2},
  [837] = {.lex_state = 249, .external_lex_state = 2},
  [838] = {.lex_state = 19, .external_lex_state = 2},
  [839] = {.lex_state = 19, .external_lex_state = 2},
  [840] = {.lex_state = 19, .external_lex_state = 2},
  [841] = {.lex_state = 19, .external_lex_state = 2},
  [842] = {.lex_state = 249, .external_lex_state = 2},
  [843] = {.lex_state = 249, .external_lex_state = 2},
  [844] = {.lex_state = 249, .external_lex_state = 2},
  [845] = {.lex_state = 249, .external_lex_state = 2},
  [846] = {.lex_state = 249, .external_lex_state = 2},
  [847] = {.lex_state = 19, .external_lex_state = 2},
  [848] = {.lex_state = 19, .external_lex_state = 2},
  [849] = {.lex_state = 249, .external_lex_state = 2},
  [850] = {.lex_state = 249, .external_lex_state = 2},
  [851] = {.lex_state = 249, .external_lex_state = 2},
  [852] = {.lex_state = 249, .external_lex_state = 2},
  [853] = {.lex_state = 19, .external_lex_state = 2},
  [854] = {.lex_state = 249, .external_lex_state = 2},
  [855] = {.lex_state = 246, .external_lex_state = 5},
  [856] = {.lex_state = 249, .external_lex_state = 2},
  [857] = {.lex_state = 19, .external_lex_state = 2},
  [858] = {.lex_state = 249, .external_lex_state = 2},
  [859] = {.lex_state = 249, .external_lex_state = 2},
  [860] = {.lex_state = 249, .external_lex_state = 2},
  [861] = {.lex_state = 246, .external_lex_state = 5},
  [862] = {.lex_state = 249, .external_lex_state = 2},
  [863] = {.lex_state = 25, .external_lex_state = 4},
  [864] = {.lex_state = 249, .external_lex_state = 2},
  [865] = {.lex_state = 19, .external_lex_state = 2},
  [866] = {.lex_state = 246, .external_lex_state = 5},
  [867] = {.lex_state = 249, .external_lex_state = 2},
  [868] = {.lex_state = 249, .external_lex_state = 2},
  [869] = {.lex_state = 246, .external_lex_state = 5},
  [870] = {.lex_state = 19, .external_lex_state = 2},
  [871] = {.lex_state = 249, .external_lex_state = 2},
  [872] = {.lex_state = 249, .external_lex_state = 2},
  [873] = {.lex_state = 19, .external_lex_state = 2},
  [874] = {.lex_state = 19, .external_lex_state = 2},
  [875] = {.lex_state = 249, .external_lex_state = 2},
  [876] = {.lex_state = 246, .external_lex_state = 5},
  [877] = {.lex_state = 246, .external_lex_state = 5},
  [878] = {.lex_state = 249, .external_lex_state = 2},
  [879] = {.lex_state = 25, .external_lex_state = 4},
  [880] = {.lex_state = 25, .external_lex_state = 4},
  [881] = {.lex_state = 249, .external_lex_state = 2},
  [882] = {.lex_state = 249, .external_lex_state = 2},
  [883] = {.lex_state = 246, .external_lex_state = 5},
  [884] = {.lex_state = 249, .external_lex_state = 2},
  [885] = {.lex_state = 249, .external_lex_state = 2},
  [886] = {.lex_state = 249, .external_lex_state = 2},
  [887] = {.lex_state = 249, .external_lex_state = 2},
  [888] = {.lex_state = 249, .external_lex_state = 2},
  [889] = {.lex_state = 249, .external_lex_state = 2},
  [890] = {.lex_state = 249, .external_lex_state = 2},
  [891] = {.lex_state = 19, .external_lex_state = 2},
  [892] = {.lex_state = 247, .external_lex_state = 2},
  [893] = {.lex_state = 249, .external_lex_state = 2},
  [894] = {.lex_state = 249, .external_lex_state = 2},
  [895] = {.lex_state = 25, .external_lex_state = 4},
  [896] = {.lex_state = 247, .external_lex_state = 2},
  [897] = {.lex_state = 19, .external_lex_state = 2},
  [898] = {.lex_state = 246, .external_lex_state = 5},
  [899] = {.lex_state = 19, .external_lex_state = 2},
  [900] = {.lex_state = 249, .external_lex_state = 2},
  [901] = {.lex_state = 247, .external_lex_state = 2},
  [902] = {.lex_state = 249, .external_lex_state = 2},
  [903] = {.lex_state = 19, .external_lex_state = 2},
  [904] = {.lex_state = 246, .external_lex_state = 2},
  [905] = {.lex_state = 246, .external_lex_state = 2},
  [906] = {.lex_state = 246, .external_lex_state = 2},
  [907] = {.lex_state = 246, .external_lex_state = 2},
  [908] = {.lex_state = 252, .external_lex_state = 4},
  [909] = {.lex_state = 246, .external_lex_state = 2},
  [910] = {.lex_state = 246, .external_lex_state = 2},
  [911] = {.lex_state = 252, .external_lex_state = 4},
  [912] = {.lex_state = 246, .external_lex_state = 2},
  [913] = {.lex_state = 246, .external_lex_state = 2},
  [914] = {.lex_state = 246, .external_lex_state = 2},
  [915] = {.lex_state = 246, .external_lex_state = 2},
  [916] = {.lex_state = 246, .external_lex_state = 2},
  [917] = {.lex_state = 246, .external_lex_state = 2},
  [918] = {.lex_state = 246, .external_lex_state = 2},
  [919] = {.lex_state = 246, .external_lex_state = 2},
  [920] = {.lex_state = 246, .external_lex_state = 2},
  [921] = {.lex_state = 246, .external_lex_state = 2},
  [922] = {.lex_state = 246, .external_lex_state = 2},
  [923] = {.lex_state = 246, .external_lex_state = 2},
  [924] = {.lex_state = 246, .external_lex_state = 2},
  [925] = {.lex_state = 246, .external_lex_state = 2},
  [926] = {.lex_state = 246, .external_lex_state = 2},
  [927] = {.lex_state = 246, .external_lex_state = 2},
  [928] = {.lex_state = 246, .external_lex_state = 2},
  [929] = {.lex_state = 246, .external_lex_state = 2},
  [930] = {.lex_state = 246, .external_lex_state = 2},
  [931] = {.lex_state = 246, .external_lex_state = 2},
  [932] = {.lex_state = 246, .external_lex_state = 2},
  [933] = {.lex_state = 246, .external_lex_state = 2},
  [934] = {.lex_state = 246, .external_lex_state = 2},
  [935] = {.lex_state = 246, .external_lex_state = 2},
  [936] = {.lex_state = 246, .external_lex_state = 2},
  [937] = {.lex_state = 246, .external_lex_state = 2},
  [938] = {.lex_state = 246, .external_lex_state = 2},
  [939] = {.lex_state = 246, .external_lex_state = 2},
  [940] = {.lex_state = 246, .external_lex_state = 2},
  [941] = {.lex_state = 246, .external_lex_state = 2},
  [942] = {.lex_state = 246, .external_lex_state = 2},
  [943] = {.lex_state = 246, .external_lex_state = 2},
  [944] = {.lex_state = 246, .external_lex_state = 2},
  [945] = {.lex_state = 246, .external_lex_state = 2},
  [946] = {.lex_state = 246, .external_lex_state = 2},
  [947] = {.lex_state = 246, .external_lex_state = 2},
  [948] = {.lex_state = 246, .external_lex_state = 2},
  [949] = {.lex_state = 246, .external_lex_state = 2},
  [950] = {.lex_state = 246, .external_lex_state = 2},
  [951] = {.lex_state = 246, .external_lex_state = 2},
  [952] = {.lex_state = 246, .external_lex_state = 2},
  [953] = {.lex_state = 246, .external_lex_state = 2},
  [954] = {.lex_state = 246, .external_lex_state = 2},
  [955] = {.lex_state = 246, .external_lex_state = 2},
  [956] = {.lex_state = 246, .external_lex_state = 2},
  [957] = {.lex_state = 246, .external_lex_state = 2},
  [958] = {.lex_state = 246, .external_lex_state = 2},
  [959] = {.lex_state = 246, .external_lex_state = 2},
  [960] = {.lex_state = 246, .external_lex_state = 2},
  [961] = {.lex_state = 246, .external_lex_state = 2},
  [962] = {.lex_state = 246, .external_lex_state = 2},
  [963] = {.lex_state = 246, .external_lex_state = 2},
  [964] = {.lex_state = 246, .external_lex_state = 2},
  [965] = {.lex_state = 246, .external_lex_state = 2},
  [966] = {.lex_state = 246, .external_lex_state = 2},
  [967] = {.lex_state = 246, .external_lex_state = 2},
  [968] = {.lex_state = 246, .external_lex_state = 2},
  [969] = {.lex_state = 246, .external_lex_state = 2},
  [970] = {.lex_state = 246, .external_lex_state = 2},
  [971] = {.lex_state = 246, .external_lex_state = 2},
  [972] = {.lex_state = 246, .external_lex_state = 2},
  [973] = {.lex_state = 246, .external_lex_state = 2},
  [974] = {.lex_state = 246, .external_lex_state = 2},
  [975] = {.lex_state = 246, .external_lex_state = 2},
  [976] = {.lex_state = 246, .external_lex_state = 2},
  [977] = {.lex_state = 246, .external_lex_state = 2},
  [978] = {.lex_state = 252, .external_lex_state = 4},
  [979] = {.lex_state = 246, .external_lex_state = 2},
  [980] = {.lex_state = 246, .external_lex_state = 2},
  [981] = {.lex_state = 246, .external_lex_state = 2},
  [982] = {.lex_state = 246, .external_lex_state = 2},
  [983] = {.lex_state = 246, .external_lex_state = 2},
  [984] = {.lex_state = 246, .external_lex_state = 2},
  [985] = {.lex_state = 246, .external_lex_state = 2},
  [986] = {.lex_state = 246, .external_lex_state = 2},
  [987] = {.lex_state = 246, .external_lex_state = 2},
  [988] = {.lex_state = 246, .external_lex_state = 2},
  [989] = {.lex_state = 246, .external_lex_state = 2},
  [990] = {.lex_state = 246, .external_lex_state = 2},
  [991] = {.lex_state = 246, .external_lex_state = 2},
  [992] = {.lex_state = 246, .external_lex_state = 2},
  [993] = {.lex_state = 246, .external_lex_state = 2},
  [994] = {.lex_state = 246, .external_lex_state = 2},
  [995] = {.lex_state = 246, .external_lex_state = 2},
  [996] = {.lex_state = 246, .external_lex_state = 2},
  [997] = {.lex_state = 246, .external_lex_state = 2},
  [998] = {.lex_state = 246, .external_lex_state = 2},
  [999] = {.lex_state = 246, .external_lex_state = 2},
  [1000] = {.lex_state = 246, .external_lex_state = 2},
  [1001] = {.lex_state = 246, .external_lex_state = 2},
  [1002] = {.lex_state = 246, .external_lex_state = 2},
  [1003] = {.lex_state = 246, .external_lex_state = 2},
  [1004] = {.lex_state = 246, .external_lex_state = 2},
  [1005] = {.lex_state = 246, .external_lex_state = 2},
  [1006] = {.lex_state = 246, .external_lex_state = 2},
  [1007] = {.lex_state = 252, .external_lex_state = 3},
  [1008] = {.lex_state = 252, .external_lex_state = 3},
  [1009] = {.lex_state = 252, .external_lex_state = 3},
  [1010] = {.lex_state = 252, .external_lex_state = 3},
  [1011] = {.lex_state = 27, .external_lex_state = 3},
  [1012] = {.lex_state = 252, .external_lex_state = 3},
  [1013] = {.lex_state = 252, .external_lex_state = 3},
  [1014] = {.lex_state = 252, .external_lex_state = 3},
  [1015] = {.lex_state = 252, .external_lex_state = 3},
  [1016] = {.lex_state = 246, .external_lex_state = 2},
  [1017] = {.lex_state = 252, .external_lex_state = 3},
  [1018] = {.lex_state = 246, .external_lex_state = 2},
  [1019] = {.lex_state = 252, .external_lex_state = 3},
  [1020] = {.lex_state = 252, .external_lex_state = 3},
  [1021] = {.lex_state = 246, .external_lex_state = 2},
  [1022] = {.lex_state = 252, .external_lex_state = 3},
  [1023] = {.lex_state = 246, .external_lex_state = 2},
  [1024] = {.lex_state = 246, .external_lex_state = 2},
  [1025] = {.lex_state = 246, .external_lex_state = 2},
  [1026] = {.lex_state = 246, .external_lex_state = 2},
  [1027] = {.lex_state = 246, .external_lex_state = 2},
  [1028] = {.lex_state = 252, .external_lex_state = 4},
  [1029] = {.lex_state = 252, .external_lex_state = 3},
  [1030] = {.lex_state = 252, .external_lex_state = 3},
  [1031] = {.lex_state = 252, .external_lex_state = 4},
  [1032] = {.lex_state = 252, .external_lex_state = 4},
  [1033] = {.lex_state = 252, .external_lex_state = 3},
  [1034] = {.lex_state = 252, .external_lex_state = 4},
  [1035] = {.lex_state = 252, .external_lex_state = 4},
  [1036] = {.lex_state = 252, .external_lex_state = 4},
  [1037] = {.lex_state = 252, .external_lex_state = 4},
  [1038] = {.lex_state = 252, .external_lex_state = 4},
  [1039] = {.lex_state = 252, .external_lex_state = 4},
  [1040] = {.lex_state = 252, .external_lex_state = 4},
  [1041] = {.lex_state = 252, .external_lex_state = 4},
  [1042] = {.lex_state = 252, .external_lex_state = 3},
  [1043] = {.lex_state = 252, .external_lex_state = 3},
  [1044] = {.lex_state = 252, .external_lex_state = 4},
  [1045] = {.lex_state = 252, .external_lex_state = 4},
  [1046] = {.lex_state = 252, .external_lex_state = 4},
  [1047] = {.lex_state = 252, .external_lex_state = 4},
  [1048] = {.lex_state = 252, .external_lex_state = 4},
  [1049] = {.lex_state = 252, .external_lex_state = 3},
  [1050] = {.lex_state = 252, .external_lex_state = 4},
  [1051] = {.lex_state = 252, .external_lex_state = 4},
  [1052] = {.lex_state = 252, .external_lex_state = 4},
  [1053] = {.lex_state = 252, .external_lex_state = 4},
  [1054] = {.lex_state = 252, .external_lex_state = 4},
  [1055] = {.lex_state = 252, .external_lex_state = 3},
  [1056] = {.lex_state = 252, .external_lex_state = 4},
  [1057] = {.lex_state = 252, .external_lex_state = 4},
  [1058] = {.lex_state = 252, .external_lex_state = 4},
  [1059] = {.lex_state = 252, .external_lex_state = 4},
  [1060] = {.lex_state = 252, .external_lex_state = 4},
  [1061] = {.lex_state = 252, .external_lex_state = 4},
  [1062] = {.lex_state = 252, .external_lex_state = 4},
  [1063] = {.lex_state = 252, .external_lex_state = 3},
  [1064] = {.lex_state = 252, .external_lex_state = 3},
  [1065] = {.lex_state = 252, .external_lex_state = 4},
  [1066] = {.lex_state = 252, .external_lex_state = 3},
  [1067] = {.lex_state = 252, .external_lex_state = 3},
  [1068] = {.lex_state = 252, .external_lex_state = 4},
  [1069] = {.lex_state = 252, .external_lex_state = 3},
  [1070] = {.lex_state = 252, .external_lex_state = 4},
  [1071] = {.lex_state = 252, .external_lex_state = 3},
  [1072] = {.lex_state = 252, .external_lex_state = 3},
  [1073] = {.lex_state = 252, .external_lex_state = 3},
  [1074] = {.lex_state = 252, .external_lex_state = 3},
  [1075] = {.lex_state = 252, .external_lex_state = 3},
  [1076] = {.lex_state = 252, .external_lex_state = 3},
  [1077] = {.lex_state = 252, .external_lex_state = 3},
  [1078] = {.lex_state = 252, .external_lex_state = 3},
  [1079] = {.lex_state = 252, .external_lex_state = 3},
  [1080] = {.lex_state = 252, .external_lex_state = 3},
  [1081] = {.lex_state = 252, .external_lex_state = 3},
  [1082] = {.lex_state = 252, .external_lex_state = 3},
  [1083] = {.lex_state = 252, .external_lex_state = 3},
  [1084] = {.lex_state = 252, .external_lex_state = 3},
  [1085] = {.lex_state = 30, .external_lex_state = 4},
  [1086] = {.lex_state = 30, .external_lex_state = 3},
  [1087] = {.lex_state = 30, .external_lex_state = 3},
  [1088] = {.lex_state = 30, .external_lex_state = 3},
  [1089] = {.lex_state = 12, .external_lex_state = 2},
  [1090] = {.lex_state = 12, .external_lex_state = 2},
  [1091] = {.lex_state = 30, .external_lex_state = 3},
  [1092] = {.lex_state = 12, .external_lex_state = 2},
  [1093] = {.lex_state = 30, .external_lex_state = 3},
  [1094] = {.lex_state = 30, .external_lex_state = 3},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 30, .external_lex_state = 3},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 30, .external_lex_state = 3},
  [1099] = {.lex_state = 30, .external_lex_state = 3},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 30, .external_lex_state = 4},
  [1102] = {.lex_state = 30, .external_lex_state = 4},
  [1103] = {.lex_state = 30, .external_lex_state = 3},
  [1104] = {.lex_state = 30, .external_lex_state = 3},
  [1105] = {.lex_state = 30, .external_lex_state = 3},
  [1106] = {.lex_state = 30, .external_lex_state = 3},
  [1107] = {.lex_state = 30, .external_lex_state = 3},
  [1108] = {.lex_state = 30, .external_lex_state = 3},
  [1109] = {.lex_state = 30, .external_lex_state = 3},
  [1110] = {.lex_state = 30, .external_lex_state = 3},
  [1111] = {.lex_state = 30, .external_lex_state = 3},
  [1112] = {.lex_state = 30, .external_lex_state = 3},
  [1113] = {.lex_state = 30, .external_lex_state = 3},
  [1114] = {.lex_state = 30, .external_lex_state = 3},
  [1115] = {.lex_state = 30, .external_lex_state = 3},
  [1116] = {.lex_state = 30, .external_lex_state = 3},
  [1117] = {.lex_state = 30, .external_lex_state = 3},
  [1118] = {.lex_state = 30, .external_lex_state = 3},
  [1119] = {.lex_state = 30, .external_lex_state = 3},
  [1120] = {.lex_state = 30, .external_lex_state = 3},
  [1121] = {.lex_state = 30, .external_lex_state = 3},
  [1122] = {.lex_state = 30, .external_lex_state = 4},
  [1123] = {.lex_state = 30, .external_lex_state = 3},
  [1124] = {.lex_state = 30, .external_lex_state = 3},
  [1125] = {.lex_state = 30, .external_lex_state = 4},
  [1126] = {.lex_state = 30, .external_lex_state = 3},
  [1127] = {.lex_state = 30, .external_lex_state = 3},
  [1128] = {.lex_state = 30, .external_lex_state = 3},
  [1129] = {.lex_state = 30, .external_lex_state = 3},
  [1130] = {.lex_state = 30, .external_lex_state = 3},
  [1131] = {.lex_state = 30, .external_lex_state = 3},
  [1132] = {.lex_state = 30, .external_lex_state = 3},
  [1133] = {.lex_state = 30, .external_lex_state = 3},
  [1134] = {.lex_state = 30, .external_lex_state = 3},
  [1135] = {.lex_state = 30, .external_lex_state = 3},
  [1136] = {.lex_state = 30, .external_lex_state = 3},
  [1137] = {.lex_state = 30, .external_lex_state = 3},
  [1138] = {.lex_state = 30, .external_lex_state = 3},
  [1139] = {.lex_state = 30, .external_lex_state = 3},
  [1140] = {.lex_state = 30, .external_lex_state = 3},
  [1141] = {.lex_state = 30, .external_lex_state = 3},
  [1142] = {.lex_state = 30, .external_lex_state = 3},
  [1143] = {.lex_state = 30, .external_lex_state = 3},
  [1144] = {.lex_state = 30, .external_lex_state = 3},
  [1145] = {.lex_state = 30, .external_lex_state = 3},
  [1146] = {.lex_state = 29, .external_lex_state = 3},
  [1147] = {.lex_state = 30, .external_lex_state = 3},
  [1148] = {.lex_state = 30, .external_lex_state = 3},
  [1149] = {.lex_state = 30, .external_lex_state = 3},
  [1150] = {.lex_state = 30, .external_lex_state = 3},
  [1151] = {.lex_state = 30, .external_lex_state = 3},
  [1152] = {.lex_state = 30, .external_lex_state = 3},
  [1153] = {.lex_state = 30, .external_lex_state = 4},
  [1154] = {.lex_state = 30, .external_lex_state = 4},
  [1155] = {.lex_state = 30, .external_lex_state = 3},
  [1156] = {.lex_state = 30, .external_lex_state = 4},
  [1157] = {.lex_state = 30, .external_lex_state = 4},
  [1158] = {.lex_state = 30, .external_lex_state = 3},
  [1159] = {.lex_state = 30, .external_lex_state = 3},
  [1160] = {.lex_state = 30, .external_lex_state = 3},
  [1161] = {.lex_state = 30, .external_lex_state = 3},
  [1162] = {.lex_state = 30, .external_lex_state = 3},
  [1163] = {.lex_state = 30, .external_lex_state = 3},
  [1164] = {.lex_state = 30, .external_lex_state = 3},
  [1165] = {.lex_state = 30, .external_lex_state = 3},
  [1166] = {.lex_state = 30, .external_lex_state = 3},
  [1167] = {.lex_state = 30, .external_lex_state = 3},
  [1168] = {.lex_state = 30, .external_lex_state = 3},
  [1169] = {.lex_state = 30, .external_lex_state = 3},
  [1170] = {.lex_state = 30, .external_lex_state = 3},
  [1171] = {.lex_state = 30, .external_lex_state = 3},
  [1172] = {.lex_state = 30, .external_lex_state = 3},
  [1173] = {.lex_state = 30, .external_lex_state = 3},
  [1174] = {.lex_state = 30, .external_lex_state = 3},
  [1175] = {.lex_state = 30, .external_lex_state = 3},
  [1176] = {.lex_state = 30, .external_lex_state = 3},
  [1177] = {.lex_state = 30, .external_lex_state = 3},
  [1178] = {.lex_state = 30, .external_lex_state = 3},
  [1179] = {.lex_state = 30, .external_lex_state = 3},
  [1180] = {.lex_state = 30, .external_lex_state = 3},
  [1181] = {.lex_state = 30, .external_lex_state = 3},
  [1182] = {.lex_state = 30, .external_lex_state = 3},
  [1183] = {.lex_state = 30, .external_lex_state = 3},
  [1184] = {.lex_state = 30, .external_lex_state = 3},
  [1185] = {.lex_state = 30, .external_lex_state = 3},
  [1186] = {.lex_state = 30, .external_lex_state = 3},
  [1187] = {.lex_state = 30, .external_lex_state = 3},
  [1188] = {.lex_state = 30, .external_lex_state = 3},
  [1189] = {.lex_state = 30, .external_lex_state = 3},
  [1190] = {.lex_state = 30, .external_lex_state = 3},
  [1191] = {.lex_state = 30, .external_lex_state = 3},
  [1192] = {.lex_state = 30, .external_lex_state = 4},
  [1193] = {.lex_state = 30, .external_lex_state = 4},
  [1194] = {.lex_state = 30, .external_lex_state = 4},
  [1195] = {.lex_state = 30, .external_lex_state = 3},
  [1196] = {.lex_state = 30, .external_lex_state = 3},
  [1197] = {.lex_state = 30, .external_lex_state = 4},
  [1198] = {.lex_state = 30, .external_lex_state = 4},
  [1199] = {.lex_state = 30, .external_lex_state = 4},
  [1200] = {.lex_state = 30, .external_lex_state = 4},
  [1201] = {.lex_state = 30, .external_lex_state = 4},
  [1202] = {.lex_state = 30, .external_lex_state = 4},
  [1203] = {.lex_state = 30, .external_lex_state = 4},
  [1204] = {.lex_state = 30, .external_lex_state = 4},
  [1205] = {.lex_state = 30, .external_lex_state = 4},
  [1206] = {.lex_state = 30, .external_lex_state = 4},
  [1207] = {.lex_state = 30, .external_lex_state = 4},
  [1208] = {.lex_state = 30, .external_lex_state = 4},
  [1209] = {.lex_state = 30, .external_lex_state = 4},
  [1210] = {.lex_state = 30, .external_lex_state = 4},
  [1211] = {.lex_state = 30, .external_lex_state = 3},
  [1212] = {.lex_state = 30, .external_lex_state = 4},
  [1213] = {.lex_state = 30, .external_lex_state = 4},
  [1214] = {.lex_state = 30, .external_lex_state = 3},
  [1215] = {.lex_state = 30, .external_lex_state = 4},
  [1216] = {.lex_state = 30, .external_lex_state = 4},
  [1217] = {.lex_state = 30, .external_lex_state = 4},
  [1218] = {.lex_state = 30, .external_lex_state = 4},
  [1219] = {.lex_state = 30, .external_lex_state = 4},
  [1220] = {.lex_state = 30, .external_lex_state = 4},
  [1221] = {.lex_state = 30, .external_lex_state = 4},
  [1222] = {.lex_state = 30, .external_lex_state = 4},
  [1223] = {.lex_state = 30, .external_lex_state = 4},
  [1224] = {.lex_state = 30, .external_lex_state = 4},
  [1225] = {.lex_state = 30, .external_lex_state = 4},
  [1226] = {.lex_state = 30, .external_lex_state = 4},
  [1227] = {.lex_state = 30, .external_lex_state = 4},
  [1228] = {.lex_state = 30, .external_lex_state = 4},
  [1229] = {.lex_state = 30, .external_lex_state = 4},
  [1230] = {.lex_state = 30, .external_lex_state = 4},
  [1231] = {.lex_state = 30, .external_lex_state = 4},
  [1232] = {.lex_state = 30, .external_lex_state = 3},
  [1233] = {.lex_state = 30, .external_lex_state = 3},
  [1234] = {.lex_state = 30, .external_lex_state = 4},
  [1235] = {.lex_state = 30, .external_lex_state = 4},
  [1236] = {.lex_state = 30, .external_lex_state = 4},
  [1237] = {.lex_state = 30, .external_lex_state = 4},
  [1238] = {.lex_state = 30, .external_lex_state = 4},
  [1239] = {.lex_state = 30, .external_lex_state = 4},
  [1240] = {.lex_state = 30, .external_lex_state = 4},
  [1241] = {.lex_state = 30, .external_lex_state = 4},
  [1242] = {.lex_state = 30, .external_lex_state = 4},
  [1243] = {.lex_state = 30, .external_lex_state = 4},
  [1244] = {.lex_state = 30, .external_lex_state = 4},
  [1245] = {.lex_state = 30, .external_lex_state = 4},
  [1246] = {.lex_state = 30, .external_lex_state = 4},
  [1247] = {.lex_state = 30, .external_lex_state = 4},
  [1248] = {.lex_state = 30, .external_lex_state = 4},
  [1249] = {.lex_state = 30, .external_lex_state = 4},
  [1250] = {.lex_state = 30, .external_lex_state = 4},
  [1251] = {.lex_state = 30, .external_lex_state = 4},
  [1252] = {.lex_state = 30, .external_lex_state = 4},
  [1253] = {.lex_state = 30, .external_lex_state = 4},
  [1254] = {.lex_state = 30, .external_lex_state = 4},
  [1255] = {.lex_state = 30, .external_lex_state = 4},
  [1256] = {.lex_state = 30, .external_lex_state = 4},
  [1257] = {.lex_state = 30, .external_lex_state = 3},
  [1258] = {.lex_state = 30, .external_lex_state = 4},
  [1259] = {.lex_state = 30, .external_lex_state = 4},
  [1260] = {.lex_state = 30, .external_lex_state = 4},
  [1261] = {.lex_state = 30, .external_lex_state = 4},
  [1262] = {.lex_state = 30, .external_lex_state = 4},
  [1263] = {.lex_state = 30, .external_lex_state = 4},
  [1264] = {.lex_state = 30, .external_lex_state = 4},
  [1265] = {.lex_state = 30, .external_lex_state = 3},
  [1266] = {.lex_state = 30, .external_lex_state = 4},
  [1267] = {.lex_state = 30, .external_lex_state = 4},
  [1268] = {.lex_state = 30, .external_lex_state = 4},
  [1269] = {.lex_state = 30, .external_lex_state = 4},
  [1270] = {.lex_state = 30, .external_lex_state = 4},
  [1271] = {.lex_state = 30, .external_lex_state = 4},
  [1272] = {.lex_state = 30, .external_lex_state = 4},
  [1273] = {.lex_state = 30, .external_lex_state = 4},
  [1274] = {.lex_state = 30, .external_lex_state = 4},
  [1275] = {.lex_state = 30, .external_lex_state = 4},
  [1276] = {.lex_state = 30, .external_lex_state = 4},
  [1277] = {.lex_state = 30, .external_lex_state = 4},
  [1278] = {.lex_state = 30, .external_lex_state = 4},
  [1279] = {.lex_state = 30, .external_lex_state = 4},
  [1280] = {.lex_state = 30, .external_lex_state = 4},
  [1281] = {.lex_state = 30, .external_lex_state = 4},
  [1282] = {.lex_state = 30, .external_lex_state = 4},
  [1283] = {.lex_state = 30, .external_lex_state = 3},
  [1284] = {.lex_state = 30, .external_lex_state = 3},
  [1285] = {.lex_state = 30, .external_lex_state = 4},
  [1286] = {.lex_state = 30, .external_lex_state = 3},
  [1287] = {.lex_state = 30, .external_lex_state = 4},
  [1288] = {.lex_state = 30, .external_lex_state = 4},
  [1289] = {.lex_state = 30, .external_lex_state = 3},
  [1290] = {.lex_state = 30, .external_lex_state = 3},
  [1291] = {.lex_state = 30, .external_lex_state = 3},
  [1292] = {.lex_state = 30, .external_lex_state = 3},
  [1293] = {.lex_state = 30, .external_lex_state = 4},
  [1294] = {.lex_state = 30, .external_lex_state = 4},
  [1295] = {.lex_state = 30, .external_lex_state = 4},
  [1296] = {.lex_state = 30, .external_lex_state = 4},
  [1297] = {.lex_state = 30, .external_lex_state = 4},
  [1298] = {.lex_state = 30, .external_lex_state = 3},
  [1299] = {.lex_state = 30, .external_lex_state = 3},
  [1300] = {.lex_state = 30, .external_lex_state = 4},
  [1301] = {.lex_state = 30, .external_lex_state = 3},
  [1302] = {.lex_state = 30, .external_lex_state = 3},
  [1303] = {.lex_state = 30, .external_lex_state = 4},
  [1304] = {.lex_state = 30, .external_lex_state = 4},
  [1305] = {.lex_state = 30, .external_lex_state = 4},
  [1306] = {.lex_state = 30, .external_lex_state = 3},
  [1307] = {.lex_state = 30, .external_lex_state = 3},
  [1308] = {.lex_state = 29, .external_lex_state = 4},
  [1309] = {.lex_state = 30, .external_lex_state = 3},
  [1310] = {.lex_state = 30, .external_lex_state = 4},
  [1311] = {.lex_state = 30, .external_lex_state = 3},
  [1312] = {.lex_state = 30, .external_lex_state = 4},
  [1313] = {.lex_state = 30, .external_lex_state = 3},
  [1314] = {.lex_state = 30, .external_lex_state = 4},
  [1315] = {.lex_state = 30, .external_lex_state = 4},
  [1316] = {.lex_state = 30, .external_lex_state = 3},
  [1317] = {.lex_state = 30, .external_lex_state = 4},
  [1318] = {.lex_state = 30, .external_lex_state = 4},
  [1319] = {.lex_state = 30, .external_lex_state = 3},
  [1320] = {.lex_state = 30, .external_lex_state = 4},
  [1321] = {.lex_state = 30, .external_lex_state = 4},
  [1322] = {.lex_state = 30, .external_lex_state = 4},
  [1323] = {.lex_state = 30, .external_lex_state = 4},
  [1324] = {.lex_state = 30, .external_lex_state = 4},
  [1325] = {.lex_state = 30, .external_lex_state = 3},
  [1326] = {.lex_state = 30, .external_lex_state = 4},
  [1327] = {.lex_state = 30, .external_lex_state = 3},
  [1328] = {.lex_state = 30, .external_lex_state = 3},
  [1329] = {.lex_state = 30, .external_lex_state = 4},
  [1330] = {.lex_state = 30, .external_lex_state = 4},
  [1331] = {.lex_state = 30, .external_lex_state = 4},
  [1332] = {.lex_state = 30, .external_lex_state = 3},
  [1333] = {.lex_state = 30, .external_lex_state = 4},
  [1334] = {.lex_state = 30, .external_lex_state = 4},
  [1335] = {.lex_state = 30, .external_lex_state = 4},
  [1336] = {.lex_state = 30, .external_lex_state = 4},
  [1337] = {.lex_state = 30, .external_lex_state = 4},
  [1338] = {.lex_state = 30, .external_lex_state = 4},
  [1339] = {.lex_state = 30, .external_lex_state = 4},
  [1340] = {.lex_state = 30, .external_lex_state = 4},
  [1341] = {.lex_state = 30, .external_lex_state = 3},
  [1342] = {.lex_state = 30, .external_lex_state = 3},
  [1343] = {.lex_state = 30, .external_lex_state = 3},
  [1344] = {.lex_state = 30, .external_lex_state = 3},
  [1345] = {.lex_state = 30, .external_lex_state = 4},
  [1346] = {.lex_state = 30, .external_lex_state = 4},
  [1347] = {.lex_state = 30, .external_lex_state = 4},
  [1348] = {.lex_state = 30, .external_lex_state = 3},
  [1349] = {.lex_state = 30, .external_lex_state = 4},
  [1350] = {.lex_state = 30, .external_lex_state = 3},
  [1351] = {.lex_state = 30, .external_lex_state = 4},
  [1352] = {.lex_state = 30, .external_lex_state = 4},
  [1353] = {.lex_state = 30, .external_lex_state = 4},
  [1354] = {.lex_state = 30, .external_lex_state = 4},
  [1355] = {.lex_state = 30, .external_lex_state = 4},
  [1356] = {.lex_state = 30, .external_lex_state = 4},
  [1357] = {.lex_state = 30, .external_lex_state = 4},
  [1358] = {.lex_state = 30, .external_lex_state = 4},
  [1359] = {.lex_state = 30, .external_lex_state = 4},
  [1360] = {.lex_state = 30, .external_lex_state = 3},
  [1361] = {.lex_state = 30, .external_lex_state = 3},
  [1362] = {.lex_state = 30, .external_lex_state = 3},
  [1363] = {.lex_state = 30, .external_lex_state = 4},
  [1364] = {.lex_state = 30, .external_lex_state = 4},
  [1365] = {.lex_state = 30, .external_lex_state = 3},
  [1366] = {.lex_state = 32, .external_lex_state = 4},
  [1367] = {.lex_state = 30, .external_lex_state = 3},
  [1368] = {.lex_state = 30, .external_lex_state = 3},
  [1369] = {.lex_state = 30, .external_lex_state = 3},
  [1370] = {.lex_state = 30, .external_lex_state = 4},
  [1371] = {.lex_state = 30, .external_lex_state = 3},
  [1372] = {.lex_state = 30, .external_lex_state = 4},
  [1373] = {.lex_state = 30, .external_lex_state = 4},
  [1374] = {.lex_state = 30, .external_lex_state = 3},
  [1375] = {.lex_state = 30, .external_lex_state = 4},
  [1376] = {.lex_state = 30, .external_lex_state = 4},
  [1377] = {.lex_state = 30, .external_lex_state = 3},
  [1378] = {.lex_state = 30, .external_lex_state = 4},
  [1379] = {.lex_state = 30, .external_lex_state = 4},
  [1380] = {.lex_state = 30, .external_lex_state = 4},
  [1381] = {.lex_state = 30, .external_lex_state = 3},
  [1382] = {.lex_state = 30, .external_lex_state = 3},
  [1383] = {.lex_state = 30, .external_lex_state = 3},
  [1384] = {.lex_state = 30, .external_lex_state = 4},
  [1385] = {.lex_state = 30, .external_lex_state = 4},
  [1386] = {.lex_state = 30, .external_lex_state = 4},
  [1387] = {.lex_state = 30, .external_lex_state = 3},
  [1388] = {.lex_state = 30, .external_lex_state = 4},
  [1389] = {.lex_state = 30, .external_lex_state = 4},
  [1390] = {.lex_state = 30, .external_lex_state = 4},
  [1391] = {.lex_state = 30, .external_lex_state = 4},
  [1392] = {.lex_state = 30, .external_lex_state = 4},
  [1393] = {.lex_state = 30, .external_lex_state = 4},
  [1394] = {.lex_state = 30, .external_lex_state = 4},
  [1395] = {.lex_state = 30, .external_lex_state = 4},
  [1396] = {.lex_state = 30, .external_lex_state = 3},
  [1397] = {.lex_state = 30, .external_lex_state = 3},
  [1398] = {.lex_state = 30, .external_lex_state = 4},
  [1399] = {.lex_state = 30, .external_lex_state = 4},
  [1400] = {.lex_state = 30, .external_lex_state = 4},
  [1401] = {.lex_state = 30, .external_lex_state = 4},
  [1402] = {.lex_state = 30, .external_lex_state = 4},
  [1403] = {.lex_state = 30, .external_lex_state = 4},
  [1404] = {.lex_state = 30, .external_lex_state = 4},
  [1405] = {.lex_state = 30, .external_lex_state = 3},
  [1406] = {.lex_state = 30, .external_lex_state = 3},
  [1407] = {.lex_state = 30, .external_lex_state = 3},
  [1408] = {.lex_state = 30, .external_lex_state = 3},
  [1409] = {.lex_state = 30, .external_lex_state = 3},
  [1410] = {.lex_state = 30, .external_lex_state = 3},
  [1411] = {.lex_state = 30, .external_lex_state = 3},
  [1412] = {.lex_state = 30, .external_lex_state = 3},
  [1413] = {.lex_state = 30, .external_lex_state = 3},
  [1414] = {.lex_state = 30, .external_lex_state = 3},
  [1415] = {.lex_state = 30, .external_lex_state = 4},
  [1416] = {.lex_state = 30, .external_lex_state = 3},
  [1417] = {.lex_state = 30, .external_lex_state = 3},
  [1418] = {.lex_state = 30, .external_lex_state = 3},
  [1419] = {.lex_state = 30, .external_lex_state = 3},
  [1420] = {.lex_state = 30, .external_lex_state = 3},
  [1421] = {.lex_state = 30, .external_lex_state = 3},
  [1422] = {.lex_state = 30, .external_lex_state = 3},
  [1423] = {.lex_state = 30, .external_lex_state = 3},
  [1424] = {.lex_state = 30, .external_lex_state = 4},
  [1425] = {.lex_state = 30, .external_lex_state = 3},
  [1426] = {.lex_state = 30, .external_lex_state = 4},
  [1427] = {.lex_state = 30, .external_lex_state = 3},
  [1428] = {.lex_state = 30, .external_lex_state = 3},
  [1429] = {.lex_state = 30, .external_lex_state = 3},
  [1430] = {.lex_state = 30, .external_lex_state = 3},
  [1431] = {.lex_state = 30, .external_lex_state = 3},
  [1432] = {.lex_state = 30, .external_lex_state = 3},
  [1433] = {.lex_state = 30, .external_lex_state = 3},
  [1434] = {.lex_state = 30, .external_lex_state = 3},
  [1435] = {.lex_state = 30, .external_lex_state = 3},
  [1436] = {.lex_state = 30, .external_lex_state = 3},
  [1437] = {.lex_state = 30, .external_lex_state = 3},
  [1438] = {.lex_state = 30, .external_lex_state = 3},
  [1439] = {.lex_state = 30, .external_lex_state = 3},
  [1440] = {.lex_state = 30, .external_lex_state = 3},
  [1441] = {.lex_state = 30, .external_lex_state = 3},
  [1442] = {.lex_state = 30, .external_lex_state = 3},
  [1443] = {.lex_state = 30, .external_lex_state = 3},
  [1444] = {.lex_state = 30, .external_lex_state = 3},
  [1445] = {.lex_state = 30, .external_lex_state = 3},
  [1446] = {.lex_state = 30, .external_lex_state = 3},
  [1447] = {.lex_state = 30, .external_lex_state = 3},
  [1448] = {.lex_state = 30, .external_lex_state = 3},
  [1449] = {.lex_state = 30, .external_lex_state = 3},
  [1450] = {.lex_state = 30, .external_lex_state = 3},
  [1451] = {.lex_state = 30, .external_lex_state = 3},
  [1452] = {.lex_state = 30, .external_lex_state = 3},
  [1453] = {.lex_state = 30, .external_lex_state = 3},
  [1454] = {.lex_state = 30, .external_lex_state = 3},
  [1455] = {.lex_state = 30, .external_lex_state = 3},
  [1456] = {.lex_state = 30, .external_lex_state = 3},
  [1457] = {.lex_state = 30, .external_lex_state = 3},
  [1458] = {.lex_state = 30, .external_lex_state = 3},
  [1459] = {.lex_state = 30, .external_lex_state = 3},
  [1460] = {.lex_state = 30, .external_lex_state = 3},
  [1461] = {.lex_state = 30, .external_lex_state = 3},
  [1462] = {.lex_state = 30, .external_lex_state = 3},
  [1463] = {.lex_state = 30, .external_lex_state = 3},
  [1464] = {.lex_state = 30, .external_lex_state = 3},
  [1465] = {.lex_state = 30, .external_lex_state = 3},
  [1466] = {.lex_state = 30, .external_lex_state = 3},
  [1467] = {.lex_state = 30, .external_lex_state = 3},
  [1468] = {.lex_state = 30, .external_lex_state = 3},
  [1469] = {.lex_state = 30, .external_lex_state = 3},
  [1470] = {.lex_state = 30, .external_lex_state = 3},
  [1471] = {.lex_state = 37, .external_lex_state = 2},
  [1472] = {.lex_state = 37, .external_lex_state = 2},
  [1473] = {.lex_state = 32, .external_lex_state = 3},
  [1474] = {.lex_state = 30, .external_lex_state = 3},
  [1475] = {.lex_state = 30, .external_lex_state = 3},
  [1476] = {.lex_state = 30, .external_lex_state = 3},
  [1477] = {.lex_state = 30, .external_lex_state = 3},
  [1478] = {.lex_state = 30, .external_lex_state = 3},
  [1479] = {.lex_state = 30, .external_lex_state = 3},
  [1480] = {.lex_state = 30, .external_lex_state = 3},
  [1481] = {.lex_state = 37, .external_lex_state = 2},
  [1482] = {.lex_state = 37, .external_lex_state = 2},
  [1483] = {.lex_state = 37, .external_lex_state = 2},
  [1484] = {.lex_state = 37, .external_lex_state = 2},
  [1485] = {.lex_state = 37, .external_lex_state = 2},
  [1486] = {.lex_state = 37, .external_lex_state = 2},
  [1487] = {.lex_state = 37, .external_lex_state = 2},
  [1488] = {.lex_state = 37, .external_lex_state = 2},
  [1489] = {.lex_state = 37, .external_lex_state = 2},
  [1490] = {.lex_state = 37, .external_lex_state = 2},
  [1491] = {.lex_state = 37, .external_lex_state = 2},
  [1492] = {.lex_state = 37, .external_lex_state = 2},
  [1493] = {.lex_state = 37, .external_lex_state = 2},
  [1494] = {.lex_state = 37, .external_lex_state = 2},
  [1495] = {.lex_state = 37, .external_lex_state = 2},
  [1496] = {.lex_state = 37, .external_lex_state = 2},
  [1497] = {.lex_state = 37, .external_lex_state = 2},
  [1498] = {.lex_state = 37, .external_lex_state = 2},
  [1499] = {.lex_state = 37, .external_lex_state = 2},
  [1500] = {.lex_state = 37, .external_lex_state = 2},
  [1501] = {.lex_state = 37, .external_lex_state = 2},
  [1502] = {.lex_state = 37, .external_lex_state = 2},
  [1503] = {.lex_state = 37, .external_lex_state = 2},
  [1504] = {.lex_state = 37, .external_lex_state = 2},
  [1505] = {.lex_state = 37, .external_lex_state = 2},
  [1506] = {.lex_state = 37, .external_lex_state = 2},
  [1507] = {.lex_state = 37, .external_lex_state = 2},
  [1508] = {.lex_state = 37, .external_lex_state = 2},
  [1509] = {.lex_state = 37, .external_lex_state = 2},
  [1510] = {.lex_state = 37, .external_lex_state = 2},
  [1511] = {.lex_state = 33, .external_lex_state = 2},
  [1512] = {.lex_state = 37, .external_lex_state = 2},
  [1513] = {.lex_state = 33, .external_lex_state = 2},
  [1514] = {.lex_state = 33, .external_lex_state = 2},
  [1515] = {.lex_state = 33, .external_lex_state = 2},
  [1516] = {.lex_state = 33, .external_lex_state = 2},
  [1517] = {.lex_state = 33, .external_lex_state = 2},
  [1518] = {.lex_state = 33, .external_lex_state = 2},
  [1519] = {.lex_state = 33, .external_lex_state = 2},
  [1520] = {.lex_state = 33, .external_lex_state = 2},
  [1521] = {.lex_state = 33, .external_lex_state = 2},
  [1522] = {.lex_state = 33, .external_lex_state = 2},
  [1523] = {.lex_state = 33, .external_lex_state = 2},
  [1524] = {.lex_state = 33, .external_lex_state = 2},
  [1525] = {.lex_state = 33, .external_lex_state = 2},
  [1526] = {.lex_state = 33, .external_lex_state = 2},
  [1527] = {.lex_state = 33, .external_lex_state = 2},
  [1528] = {.lex_state = 33, .external_lex_state = 2},
  [1529] = {.lex_state = 33, .external_lex_state = 2},
  [1530] = {.lex_state = 33, .external_lex_state = 2},
  [1531] = {.lex_state = 33, .external_lex_state = 2},
  [1532] = {.lex_state = 33, .external_lex_state = 2},
  [1533] = {.lex_state = 33, .external_lex_state = 2},
  [1534] = {.lex_state = 33, .external_lex_state = 2},
  [1535] = {.lex_state = 33, .external_lex_state = 2},
  [1536] = {.lex_state = 33, .external_lex_state = 5},
  [1537] = {.lex_state = 33, .external_lex_state = 2},
  [1538] = {.lex_state = 33, .external_lex_state = 2},
  [1539] = {.lex_state = 33, .external_lex_state = 2},
  [1540] = {.lex_state = 35, .external_lex_state = 2},
  [1541] = {.lex_state = 33, .external_lex_state = 2},
  [1542] = {.lex_state = 33, .external_lex_state = 2},
  [1543] = {.lex_state = 33, .external_lex_state = 5},
  [1544] = {.lex_state = 33, .external_lex_state = 5},
  [1545] = {.lex_state = 33, .external_lex_state = 2},
  [1546] = {.lex_state = 33, .external_lex_state = 2},
  [1547] = {.lex_state = 37, .external_lex_state = 2},
  [1548] = {.lex_state = 33, .external_lex_state = 5},
  [1549] = {.lex_state = 33, .external_lex_state = 5},
  [1550] = {.lex_state = 33, .external_lex_state = 5},
  [1551] = {.lex_state = 33, .external_lex_state = 2},
  [1552] = {.lex_state = 37, .external_lex_state = 2},
  [1553] = {.lex_state = 33, .external_lex_state = 2},
  [1554] = {.lex_state = 33, .external_lex_state = 5},
  [1555] = {.lex_state = 33, .external_lex_state = 5},
  [1556] = {.lex_state = 35, .external_lex_state = 2},
  [1557] = {.lex_state = 33, .external_lex_state = 5},
  [1558] = {.lex_state = 33, .external_lex_state = 5},
  [1559] = {.lex_state = 37, .external_lex_state = 5},
  [1560] = {.lex_state = 37, .external_lex_state = 5},
  [1561] = {.lex_state = 33, .external_lex_state = 5},
  [1562] = {.lex_state = 33, .external_lex_state = 5},
  [1563] = {.lex_state = 37, .external_lex_state = 2},
  [1564] = {.lex_state = 37, .external_lex_state = 2},
  [1565] = {.lex_state = 37, .external_lex_state = 2},
  [1566] = {.lex_state = 37, .external_lex_state = 2},
  [1567] = {.lex_state = 35, .external_lex_state = 2},
  [1568] = {.lex_state = 37, .external_lex_state = 2},
  [1569] = {.lex_state = 37, .external_lex_state = 2},
  [1570] = {.lex_state = 37, .external_lex_state = 2},
  [1571] = {.lex_state = 37, .external_lex_state = 2},
  [1572] = {.lex_state = 37, .external_lex_state = 2},
  [1573] = {.lex_state = 37, .external_lex_state = 2},
  [1574] = {.lex_state = 37, .external_lex_state = 2},
  [1575] = {.lex_state = 37, .external_lex_state = 2},
  [1576] = {.lex_state = 37, .external_lex_state = 2},
  [1577] = {.lex_state = 37, .external_lex_state = 2},
  [1578] = {.lex_state = 36, .external_lex_state = 2},
  [1579] = {.lex_state = 35, .external_lex_state = 2},
  [1580] = {.lex_state = 37, .external_lex_state = 2},
  [1581] = {.lex_state = 37, .external_lex_state = 2},
  [1582] = {.lex_state = 37, .external_lex_state = 2},
  [1583] = {.lex_state = 37, .external_lex_state = 2},
  [1584] = {.lex_state = 37, .external_lex_state = 2},
  [1585] = {.lex_state = 37, .external_lex_state = 2},
  [1586] = {.lex_state = 37, .external_lex_state = 2},
  [1587] = {.lex_state = 37, .external_lex_state = 2},
  [1588] = {.lex_state = 37, .external_lex_state = 2},
  [1589] = {.lex_state = 37, .external_lex_state = 2},
  [1590] = {.lex_state = 37, .external_lex_state = 2},
  [1591] = {.lex_state = 37, .external_lex_state = 2},
  [1592] = {.lex_state = 37, .external_lex_state = 2},
  [1593] = {.lex_state = 37, .external_lex_state = 2},
  [1594] = {.lex_state = 37, .external_lex_state = 2},
  [1595] = {.lex_state = 37, .external_lex_state = 2},
  [1596] = {.lex_state = 37, .external_lex_state = 2},
  [1597] = {.lex_state = 37, .external_lex_state = 2},
  [1598] = {.lex_state = 37, .external_lex_state = 2},
  [1599] = {.lex_state = 37, .external_lex_state = 2},
  [1600] = {.lex_state = 37, .external_lex_state = 2},
  [1601] = {.lex_state = 37, .external_lex_state = 2},
  [1602] = {.lex_state = 37, .external_lex_state = 2},
  [1603] = {.lex_state = 37, .external_lex_state = 2},
  [1604] = {.lex_state = 37, .external_lex_state = 2},
  [1605] = {.lex_state = 36, .external_lex_state = 2},
  [1606] = {.lex_state = 33, .external_lex_state = 2},
  [1607] = {.lex_state = 252, .external_lex_state = 2},
  [1608] = {.lex_state = 33, .external_lex_state = 2},
  [1609] = {.lex_state = 33, .external_lex_state = 2},
  [1610] = {.lex_state = 33, .external_lex_state = 2},
  [1611] = {.lex_state = 37, .external_lex_state = 2},
  [1612] = {.lex_state = 33, .external_lex_state = 2},
  [1613] = {.lex_state = 33, .external_lex_state = 2},
  [1614] = {.lex_state = 33, .external_lex_state = 2},
  [1615] = {.lex_state = 33, .external_lex_state = 2},
  [1616] = {.lex_state = 33, .external_lex_state = 2},
  [1617] = {.lex_state = 33, .external_lex_state = 2},
  [1618] = {.lex_state = 33, .external_lex_state = 2},
  [1619] = {.lex_state = 33, .external_lex_state = 2},
  [1620] = {.lex_state = 33, .external_lex_state = 2},
  [1621] = {.lex_state = 252, .external_lex_state = 2},
  [1622] = {.lex_state = 33, .external_lex_state = 2},
  [1623] = {.lex_state = 35, .external_lex_state = 2},
  [1624] = {.lex_state = 33, .external_lex_state = 2},
  [1625] = {.lex_state = 33, .external_lex_state = 2},
  [1626] = {.lex_state = 33, .external_lex_state = 2},
  [1627] = {.lex_state = 33, .external_lex_state = 2},
  [1628] = {.lex_state = 33, .external_lex_state = 2},
  [1629] = {.lex_state = 33, .external_lex_state = 2},
  [1630] = {.lex_state = 33, .external_lex_state = 2},
  [1631] = {.lex_state = 33, .external_lex_state = 2},
  [1632] = {.lex_state = 33, .external_lex_state = 2},
  [1633] = {.lex_state = 33, .external_lex_state = 2},
  [1634] = {.lex_state = 33, .external_lex_state = 2},
  [1635] = {.lex_state = 35, .external_lex_state = 2},
  [1636] = {.lex_state = 252, .external_lex_state = 2},
  [1637] = {.lex_state = 33, .external_lex_state = 2},
  [1638] = {.lex_state = 33, .external_lex_state = 2},
  [1639] = {.lex_state = 35, .external_lex_state = 2},
  [1640] = {.lex_state = 33, .external_lex_state = 2},
  [1641] = {.lex_state = 33, .external_lex_state = 2},
  [1642] = {.lex_state = 33, .external_lex_state = 2},
  [1643] = {.lex_state = 35, .external_lex_state = 2},
  [1644] = {.lex_state = 33, .external_lex_state = 2},
  [1645] = {.lex_state = 33, .external_lex_state = 2},
  [1646] = {.lex_state = 252, .external_lex_state = 2},
  [1647] = {.lex_state = 33, .external_lex_state = 2},
  [1648] = {.lex_state = 35, .external_lex_state = 2},
  [1649] = {.lex_state = 35, .external_lex_state = 2},
  [1650] = {.lex_state = 33, .external_lex_state = 2},
  [1651] = {.lex_state = 252, .external_lex_state = 2},
  [1652] = {.lex_state = 33, .external_lex_state = 2},
  [1653] = {.lex_state = 252, .external_lex_state = 2},
  [1654] = {.lex_state = 33, .external_lex_state = 2},
  [1655] = {.lex_state = 33, .external_lex_state = 2},
  [1656] = {.lex_state = 252, .external_lex_state = 2},
  [1657] = {.lex_state = 37, .external_lex_state = 2},
  [1658] = {.lex_state = 33, .external_lex_state = 2},
  [1659] = {.lex_state = 33, .external_lex_state = 2},
  [1660] = {.lex_state = 33, .external_lex_state = 2},
  [1661] = {.lex_state = 33, .external_lex_state = 2},
  [1662] = {.lex_state = 252, .external_lex_state = 2},
  [1663] = {.lex_state = 37, .external_lex_state = 2},
  [1664] = {.lex_state = 33, .external_lex_state = 2},
  [1665] = {.lex_state = 37, .external_lex_state = 2},
  [1666] = {.lex_state = 252, .external_lex_state = 2},
  [1667] = {.lex_state = 252, .external_lex_state = 2},
  [1668] = {.lex_state = 33, .external_lex_state = 2},
  [1669] = {.lex_state = 33, .external_lex_state = 2},
  [1670] = {.lex_state = 33, .external_lex_state = 2},
  [1671] = {.lex_state = 33, .external_lex_state = 2},
  [1672] = {.lex_state = 33, .external_lex_state = 2},
  [1673] = {.lex_state = 37, .external_lex_state = 2},
  [1674] = {.lex_state = 33, .external_lex_state = 2},
  [1675] = {.lex_state = 33, .external_lex_state = 2},
  [1676] = {.lex_state = 33, .external_lex_state = 2},
  [1677] = {.lex_state = 33, .external_lex_state = 2},
  [1678] = {.lex_state = 33, .external_lex_state = 2},
  [1679] = {.lex_state = 37, .external_lex_state = 2},
  [1680] = {.lex_state = 252, .external_lex_state = 2},
  [1681] = {.lex_state = 37, .external_lex_state = 2},
  [1682] = {.lex_state = 33, .external_lex_state = 2},
  [1683] = {.lex_state = 33, .external_lex_state = 2},
  [1684] = {.lex_state = 34, .external_lex_state = 2},
  [1685] = {.lex_state = 34, .external_lex_state = 2},
  [1686] = {.lex_state = 34, .external_lex_state = 2},
  [1687] = {.lex_state = 44, .external_lex_state = 2},
  [1688] = {.lex_state = 44, .external_lex_state = 2},
  [1689] = {.lex_state = 44, .external_lex_state = 2},
  [1690] = {.lex_state = 44, .external_lex_state = 2},
  [1691] = {.lex_state = 44, .external_lex_state = 2},
  [1692] = {.lex_state = 34, .external_lex_state = 2},
  [1693] = {.lex_state = 44, .external_lex_state = 2},
  [1694] = {.lex_state = 44, .external_lex_state = 2},
  [1695] = {.lex_state = 44, .external_lex_state = 2},
  [1696] = {.lex_state = 34, .external_lex_state = 2},
  [1697] = {.lex_state = 44, .external_lex_state = 2},
  [1698] = {.lex_state = 56, .external_lex_state = 2},
  [1699] = {.lex_state = 56, .external_lex_state = 2},
  [1700] = {.lex_state = 56, .external_lex_state = 2},
  [1701] = {.lex_state = 56, .external_lex_state = 2},
  [1702] = {.lex_state = 56, .external_lex_state = 2},
  [1703] = {.lex_state = 56, .external_lex_state = 2},
  [1704] = {.lex_state = 56, .external_lex_state = 2},
  [1705] = {.lex_state = 56, .external_lex_state = 2},
  [1706] = {.lex_state = 56, .external_lex_state = 2},
  [1707] = {.lex_state = 56, .external_lex_state = 2},
  [1708] = {.lex_state = 56, .external_lex_state = 2},
  [1709] = {.lex_state = 56, .external_lex_state = 2},
  [1710] = {.lex_state = 56, .external_lex_state = 2},
  [1711] = {.lex_state = 39, .external_lex_state = 2},
  [1712] = {.lex_state = 56, .external_lex_state = 2},
  [1713] = {.lex_state = 56, .external_lex_state = 2},
  [1714] = {.lex_state = 56, .external_lex_state = 2},
  [1715] = {.lex_state = 56, .external_lex_state = 2},
  [1716] = {.lex_state = 56, .external_lex_state = 2},
  [1717] = {.lex_state = 56, .external_lex_state = 2},
  [1718] = {.lex_state = 56, .external_lex_state = 2},
  [1719] = {.lex_state = 56, .external_lex_state = 2},
  [1720] = {.lex_state = 39, .external_lex_state = 2},
  [1721] = {.lex_state = 56, .external_lex_state = 2},
  [1722] = {.lex_state = 56, .external_lex_state = 2},
  [1723] = {.lex_state = 56, .external_lex_state = 2},
  [1724] = {.lex_state = 56, .external_lex_state = 2},
  [1725] = {.lex_state = 56, .external_lex_state = 2},
  [1726] = {.lex_state = 56, .external_lex_state = 2},
  [1727] = {.lex_state = 56, .external_lex_state = 2},
  [1728] = {.lex_state = 56, .external_lex_state = 2},
  [1729] = {.lex_state = 56, .external_lex_state = 2},
  [1730] = {.lex_state = 56, .external_lex_state = 2},
  [1731] = {.lex_state = 56, .external_lex_state = 2},
  [1732] = {.lex_state = 56, .external_lex_state = 2},
  [1733] = {.lex_state = 34, .external_lex_state = 2},
  [1734] = {.lex_state = 34, .external_lex_state = 2},
  [1735] = {.lex_state = 252, .external_lex_state = 2},
  [1736] = {.lex_state = 34, .external_lex_state = 2},
  [1737] = {.lex_state = 39, .external_lex_state = 2},
  [1738] = {.lex_state = 56, .external_lex_state = 2},
  [1739] = {.lex_state = 252, .external_lex_state = 2},
  [1740] = {.lex_state = 34, .external_lex_state = 2},
  [1741] = {.lex_state = 252, .external_lex_state = 2},
  [1742] = {.lex_state = 39, .external_lex_state = 2},
  [1743] = {.lex_state = 34, .external_lex_state = 2},
  [1744] = {.lex_state = 34, .external_lex_state = 2},
  [1745] = {.lex_state = 34, .external_lex_state = 2},
  [1746] = {.lex_state = 39, .external_lex_state = 2},
  [1747] = {.lex_state = 34, .external_lex_state = 2},
  [1748] = {.lex_state = 252, .external_lex_state = 2},
  [1749] = {.lex_state = 34, .external_lex_state = 2},
  [1750] = {.lex_state = 252, .external_lex_state = 2},
  [1751] = {.lex_state = 39, .external_lex_state = 2},
  [1752] = {.lex_state = 34, .external_lex_state = 2},
  [1753] = {.lex_state = 252, .external_lex_state = 5},
  [1754] = {.lex_state = 34, .external_lex_state = 2},
  [1755] = {.lex_state = 39, .external_lex_state = 2},
  [1756] = {.lex_state = 34, .external_lex_state = 2},
  [1757] = {.lex_state = 34, .external_lex_state = 2},
  [1758] = {.lex_state = 39, .external_lex_state = 5},
  [1759] = {.lex_state = 39, .external_lex_state = 5},
  [1760] = {.lex_state = 252, .external_lex_state = 2},
  [1761] = {.lex_state = 34, .external_lex_state = 2},
  [1762] = {.lex_state = 252, .external_lex_state = 5},
  [1763] = {.lex_state = 34, .external_lex_state = 2},
  [1764] = {.lex_state = 34, .external_lex_state = 2},
  [1765] = {.lex_state = 34, .external_lex_state = 2},
  [1766] = {.lex_state = 252, .external_lex_state = 2},
  [1767] = {.lex_state = 39, .external_lex_state = 2},
  [1768] = {.lex_state = 34, .external_lex_state = 2},
  [1769] = {.lex_state = 34, .external_lex_state = 2},
  [1770] = {.lex_state = 44, .external_lex_state = 2},
  [1771] = {.lex_state = 34, .external_lex_state = 2},
  [1772] = {.lex_state = 44, .external_lex_state = 2},
  [1773] = {.lex_state = 30, .external_lex_state = 2},
  [1774] = {.lex_state = 44, .external_lex_state = 2},
  [1775] = {.lex_state = 44, .external_lex_state = 2},
  [1776] = {.lex_state = 39, .external_lex_state = 5},
  [1777] = {.lex_state = 252, .external_lex_state = 2},
  [1778] = {.lex_state = 44, .external_lex_state = 2},
  [1779] = {.lex_state = 252, .external_lex_state = 2},
  [1780] = {.lex_state = 252, .external_lex_state = 6},
  [1781] = {.lex_state = 252, .external_lex_state = 6},
  [1782] = {.lex_state = 252, .external_lex_state = 2},
  [1783] = {.lex_state = 252, .external_lex_state = 2},
  [1784] = {.lex_state = 39, .external_lex_state = 5},
  [1785] = {.lex_state = 252, .external_lex_state = 2},
  [1786] = {.lex_state = 44, .external_lex_state = 2},
  [1787] = {.lex_state = 44, .external_lex_state = 2},
  [1788] = {.lex_state = 252, .external_lex_state = 5},
  [1789] = {.lex_state = 34, .external_lex_state = 2},
  [1790] = {.lex_state = 252, .external_lex_state = 5},
  [1791] = {.lex_state = 44, .external_lex_state = 2},
  [1792] = {.lex_state = 44, .external_lex_state = 2},
  [1793] = {.lex_state = 44, .external_lex_state = 2},
  [1794] = {.lex_state = 44, .external_lex_state = 2},
  [1795] = {.lex_state = 44, .external_lex_state = 2},
  [1796] = {.lex_state = 44, .external_lex_state = 2},
  [1797] = {.lex_state = 44, .external_lex_state = 2},
  [1798] = {.lex_state = 252, .external_lex_state = 2},
  [1799] = {.lex_state = 56, .external_lex_state = 2},
  [1800] = {.lex_state = 252, .external_lex_state = 2},
  [1801] = {.lex_state = 44, .external_lex_state = 2},
  [1802] = {.lex_state = 56, .external_lex_state = 2},
  [1803] = {.lex_state = 34, .external_lex_state = 2},
  [1804] = {.lex_state = 34, .external_lex_state = 2},
  [1805] = {.lex_state = 39, .external_lex_state = 5},
  [1806] = {.lex_state = 44, .external_lex_state = 2},
  [1807] = {.lex_state = 252, .external_lex_state = 5},
  [1808] = {.lex_state = 34, .external_lex_state = 2},
  [1809] = {.lex_state = 39, .external_lex_state = 5},
  [1810] = {.lex_state = 34, .external_lex_state = 2},
  [1811] = {.lex_state = 34, .external_lex_state = 2},
  [1812] = {.lex_state = 252, .external_lex_state = 2},
  [1813] = {.lex_state = 34, .external_lex_state = 2},
  [1814] = {.lex_state = 252, .external_lex_state = 2},
  [1815] = {.lex_state = 39, .external_lex_state = 5},
  [1816] = {.lex_state = 39, .external_lex_state = 5},
  [1817] = {.lex_state = 252, .external_lex_state = 2},
  [1818] = {.lex_state = 252, .external_lex_state = 2},
  [1819] = {.lex_state = 44, .external_lex_state = 2},
  [1820] = {.lex_state = 44, .external_lex_state = 2},
  [1821] = {.lex_state = 252, .external_lex_state = 2},
  [1822] = {.lex_state = 252, .external_lex_state = 2},
  [1823] = {.lex_state = 252, .external_lex_state = 6},
  [1824] = {.lex_state = 252, .external_lex_state = 2},
  [1825] = {.lex_state = 39, .external_lex_state = 5},
  [1826] = {.lex_state = 39, .external_lex_state = 5},
  [1827] = {.lex_state = 252, .external_lex_state = 5},
  [1828] = {.lex_state = 252, .external_lex_state = 2},
  [1829] = {.lex_state = 39, .external_lex_state = 5},
  [1830] = {.lex_state = 252, .external_lex_state = 6},
  [1831] = {.lex_state = 56, .external_lex_state = 2},
  [1832] = {.lex_state = 252, .external_lex_state = 2},
  [1833] = {.lex_state = 44, .external_lex_state = 2},
  [1834] = {.lex_state = 34, .external_lex_state = 2},
  [1835] = {.lex_state = 30, .external_lex_state = 2},
  [1836] = {.lex_state = 252, .external_lex_state = 6},
  [1837] = {.lex_state = 252, .external_lex_state = 2},
  [1838] = {.lex_state = 252, .external_lex_state = 2},
  [1839] = {.lex_state = 252, .external_lex_state = 2},
  [1840] = {.lex_state = 56, .external_lex_state = 2},
  [1841] = {.lex_state = 58, .external_lex_state = 2},
  [1842] = {.lex_state = 252, .external_lex_state = 2},
  [1843] = {.lex_state = 252, .external_lex_state = 2},
  [1844] = {.lex_state = 58, .external_lex_state = 2},
  [1845] = {.lex_state = 56, .external_lex_state = 2},
  [1846] = {.lex_state = 56, .external_lex_state = 2},
  [1847] = {.lex_state = 34, .external_lex_state = 2},
  [1848] = {.lex_state = 58, .external_lex_state = 2},
  [1849] = {.lex_state = 56, .external_lex_state = 2},
  [1850] = {.lex_state = 56, .external_lex_state = 2},
  [1851] = {.lex_state = 252, .external_lex_state = 2},
  [1852] = {.lex_state = 39, .external_lex_state = 5},
  [1853] = {.lex_state = 252, .external_lex_state = 2},
  [1854] = {.lex_state = 58, .external_lex_state = 2},
  [1855] = {.lex_state = 58, .external_lex_state = 2},
  [1856] = {.lex_state = 56, .external_lex_state = 2},
  [1857] = {.lex_state = 34, .external_lex_state = 2},
  [1858] = {.lex_state = 252, .external_lex_state = 2},
  [1859] = {.lex_state = 58, .external_lex_state = 2},
  [1860] = {.lex_state = 252, .external_lex_state = 2},
  [1861] = {.lex_state = 58, .external_lex_state = 2},
  [1862] = {.lex_state = 56, .external_lex_state = 2},
  [1863] = {.lex_state = 56, .external_lex_state = 2},
  [1864] = {.lex_state = 58, .external_lex_state = 2},
  [1865] = {.lex_state = 34, .external_lex_state = 2},
  [1866] = {.lex_state = 56, .external_lex_state = 2},
  [1867] = {.lex_state = 56, .external_lex_state = 2},
  [1868] = {.lex_state = 56, .external_lex_state = 2},
  [1869] = {.lex_state = 34, .external_lex_state = 2},
  [1870] = {.lex_state = 252, .external_lex_state = 2},
  [1871] = {.lex_state = 58, .external_lex_state = 2},
  [1872] = {.lex_state = 56, .external_lex_state = 2},
  [1873] = {.lex_state = 56, .external_lex_state = 2},
  [1874] = {.lex_state = 252, .external_lex_state = 5},
  [1875] = {.lex_state = 252, .external_lex_state = 2},
  [1876] = {.lex_state = 252, .external_lex_state = 2},
  [1877] = {.lex_state = 56, .external_lex_state = 2},
  [1878] = {.lex_state = 252, .external_lex_state = 2},
  [1879] = {.lex_state = 252, .external_lex_state = 5},
  [1880] = {.lex_state = 56, .external_lex_state = 2},
  [1881] = {.lex_state = 56, .external_lex_state = 2},
  [1882] = {.lex_state = 56, .external_lex_state = 2},
  [1883] = {.lex_state = 58, .external_lex_state = 2},
  [1884] = {.lex_state = 58, .external_lex_state = 2},
  [1885] = {.lex_state = 56, .external_lex_state = 2},
  [1886] = {.lex_state = 252, .external_lex_state = 2},
  [1887] = {.lex_state = 56, .external_lex_state = 2},
  [1888] = {.lex_state = 252, .external_lex_state = 5},
  [1889] = {.lex_state = 58, .external_lex_state = 2},
  [1890] = {.lex_state = 56, .external_lex_state = 2},
  [1891] = {.lex_state = 56, .external_lex_state = 2},
  [1892] = {.lex_state = 56, .external_lex_state = 2},
  [1893] = {.lex_state = 56, .external_lex_state = 2},
  [1894] = {.lex_state = 56, .external_lex_state = 2},
  [1895] = {.lex_state = 252, .external_lex_state = 2},
  [1896] = {.lex_state = 252, .external_lex_state = 2},
  [1897] = {.lex_state = 58, .external_lex_state = 2},
  [1898] = {.lex_state = 252, .external_lex_state = 2},
  [1899] = {.lex_state = 252, .external_lex_state = 2},
  [1900] = {.lex_state = 58, .external_lex_state = 2},
  [1901] = {.lex_state = 252, .external_lex_state = 2},
  [1902] = {.lex_state = 252, .external_lex_state = 5},
  [1903] = {.lex_state = 34, .external_lex_state = 2},
  [1904] = {.lex_state = 252, .external_lex_state = 2},
  [1905] = {.lex_state = 46, .external_lex_state = 7},
  [1906] = {.lex_state = 41, .external_lex_state = 7},
  [1907] = {.lex_state = 252, .external_lex_state = 2},
  [1908] = {.lex_state = 38, .external_lex_state = 2},
  [1909] = {.lex_state = 34, .external_lex_state = 2},
  [1910] = {.lex_state = 252, .external_lex_state = 2},
  [1911] = {.lex_state = 3, .external_lex_state = 2},
  [1912] = {.lex_state = 252, .external_lex_state = 6},
  [1913] = {.lex_state = 3, .external_lex_state = 2},
  [1914] = {.lex_state = 252, .external_lex_state = 5},
  [1915] = {.lex_state = 34, .external_lex_state = 2},
  [1916] = {.lex_state = 39, .external_lex_state = 2},
  [1917] = {.lex_state = 39, .external_lex_state = 2},
  [1918] = {.lex_state = 252, .external_lex_state = 5},
  [1919] = {.lex_state = 252, .external_lex_state = 2},
  [1920] = {.lex_state = 252, .external_lex_state = 2},
  [1921] = {.lex_state = 252, .external_lex_state = 2},
  [1922] = {.lex_state = 252, .external_lex_state = 5},
  [1923] = {.lex_state = 252, .external_lex_state = 5},
  [1924] = {.lex_state = 34, .external_lex_state = 2},
  [1925] = {.lex_state = 252, .external_lex_state = 5},
  [1926] = {.lex_state = 3, .external_lex_state = 2},
  [1927] = {.lex_state = 41, .external_lex_state = 7},
  [1928] = {.lex_state = 34, .external_lex_state = 2},
  [1929] = {.lex_state = 252, .external_lex_state = 5},
  [1930] = {.lex_state = 252, .external_lex_state = 5},
  [1931] = {.lex_state = 46, .external_lex_state = 7},
  [1932] = {.lex_state = 252, .external_lex_state = 2},
  [1933] = {.lex_state = 39, .external_lex_state = 2},
  [1934] = {.lex_state = 252, .external_lex_state = 2},
  [1935] = {.lex_state = 34, .external_lex_state = 2},
  [1936] = {.lex_state = 252, .external_lex_state = 2},
  [1937] = {.lex_state = 41, .external_lex_state = 7},
  [1938] = {.lex_state = 41, .external_lex_state = 7},
  [1939] = {.lex_state = 46, .external_lex_state = 7},
  [1940] = {.lex_state = 252, .external_lex_state = 6},
  [1941] = {.lex_state = 38, .external_lex_state = 2},
  [1942] = {.lex_state = 252, .external_lex_state = 2},
  [1943] = {.lex_state = 43, .external_lex_state = 2},
  [1944] = {.lex_state = 46, .external_lex_state = 7},
  [1945] = {.lex_state = 252, .external_lex_state = 2},
  [1946] = {.lex_state = 34, .external_lex_state = 2},
  [1947] = {.lex_state = 252, .external_lex_state = 5},
  [1948] = {.lex_state = 252, .external_lex_state = 2},
  [1949] = {.lex_state = 252, .external_lex_state = 2},
  [1950] = {.lex_state = 252, .external_lex_state = 5},
  [1951] = {.lex_state = 3, .external_lex_state = 2},
  [1952] = {.lex_state = 252, .external_lex_state = 5},
  [1953] = {.lex_state = 252, .external_lex_state = 2},
  [1954] = {.lex_state = 3, .external_lex_state = 2},
  [1955] = {.lex_state = 34, .external_lex_state = 2},
  [1956] = {.lex_state = 252, .external_lex_state = 5},
  [1957] = {.lex_state = 252, .external_lex_state = 2},
  [1958] = {.lex_state = 252, .external_lex_state = 5},
  [1959] = {.lex_state = 252, .external_lex_state = 2},
  [1960] = {.lex_state = 39, .external_lex_state = 2},
  [1961] = {.lex_state = 252, .external_lex_state = 5},
  [1962] = {.lex_state = 252, .external_lex_state = 5},
  [1963] = {.lex_state = 252, .external_lex_state = 2},
  [1964] = {.lex_state = 43, .external_lex_state = 2},
  [1965] = {.lex_state = 252, .external_lex_state = 5},
  [1966] = {.lex_state = 252, .external_lex_state = 5},
  [1967] = {.lex_state = 252, .external_lex_state = 2},
  [1968] = {.lex_state = 34, .external_lex_state = 2},
  [1969] = {.lex_state = 252, .external_lex_state = 2},
  [1970] = {.lex_state = 252, .external_lex_state = 5},
  [1971] = {.lex_state = 252, .external_lex_state = 2},
  [1972] = {.lex_state = 30, .external_lex_state = 2},
  [1973] = {.lex_state = 252, .external_lex_state = 5},
  [1974] = {.lex_state = 252, .external_lex_state = 5},
  [1975] = {.lex_state = 41, .external_lex_state = 7},
  [1976] = {.lex_state = 46, .external_lex_state = 7},
  [1977] = {.lex_state = 252, .external_lex_state = 2},
  [1978] = {.lex_state = 252, .external_lex_state = 2},
  [1979] = {.lex_state = 252, .external_lex_state = 5},
  [1980] = {.lex_state = 252, .external_lex_state = 2},
  [1981] = {.lex_state = 252, .external_lex_state = 5},
  [1982] = {.lex_state = 252, .external_lex_state = 2},
  [1983] = {.lex_state = 252, .external_lex_state = 2},
  [1984] = {.lex_state = 252, .external_lex_state = 5},
  [1985] = {.lex_state = 252, .external_lex_state = 5},
  [1986] = {.lex_state = 252, .external_lex_state = 2},
  [1987] = {.lex_state = 252, .external_lex_state = 5},
  [1988] = {.lex_state = 252, .external_lex_state = 5},
  [1989] = {.lex_state = 41, .external_lex_state = 7},
  [1990] = {.lex_state = 252, .external_lex_state = 5},
  [1991] = {.lex_state = 252, .external_lex_state = 5},
  [1992] = {.lex_state = 46, .external_lex_state = 7},
  [1993] = {.lex_state = 252, .external_lex_state = 5},
  [1994] = {.lex_state = 252, .external_lex_state = 2},
  [1995] = {.lex_state = 252, .external_lex_state = 2},
  [1996] = {.lex_state = 252, .external_lex_state = 5},
  [1997] = {.lex_state = 252, .external_lex_state = 2},
  [1998] = {.lex_state = 252, .external_lex_state = 5},
  [1999] = {.lex_state = 252, .external_lex_state = 2},
  [2000] = {.lex_state = 252, .external_lex_state = 5},
  [2001] = {.lex_state = 41, .external_lex_state = 7},
  [2002] = {.lex_state = 46, .external_lex_state = 7},
  [2003] = {.lex_state = 252, .external_lex_state = 5},
  [2004] = {.lex_state = 252, .external_lex_state = 2},
  [2005] = {.lex_state = 252, .external_lex_state = 5},
  [2006] = {.lex_state = 252, .external_lex_state = 2},
  [2007] = {.lex_state = 252, .external_lex_state = 2},
  [2008] = {.lex_state = 34, .external_lex_state = 2},
  [2009] = {.lex_state = 41, .external_lex_state = 7},
  [2010] = {.lex_state = 46, .external_lex_state = 7},
  [2011] = {.lex_state = 252, .external_lex_state = 2},
  [2012] = {.lex_state = 34, .external_lex_state = 2},
  [2013] = {.lex_state = 252, .external_lex_state = 2},
  [2014] = {.lex_state = 252, .external_lex_state = 2},
  [2015] = {.lex_state = 252, .external_lex_state = 2},
  [2016] = {.lex_state = 252, .external_lex_state = 5},
  [2017] = {.lex_state = 252, .external_lex_state = 5},
  [2018] = {.lex_state = 252, .external_lex_state = 2},
  [2019] = {.lex_state = 252, .external_lex_state = 5},
  [2020] = {.lex_state = 252, .external_lex_state = 5},
  [2021] = {.lex_state = 34, .external_lex_state = 2},
  [2022] = {.lex_state = 252, .external_lex_state = 2},
  [2023] = {.lex_state = 252, .external_lex_state = 5},
  [2024] = {.lex_state = 252, .external_lex_state = 5},
  [2025] = {.lex_state = 43, .external_lex_state = 2},
  [2026] = {.lex_state = 252, .external_lex_state = 2},
  [2027] = {.lex_state = 252, .external_lex_state = 5},
  [2028] = {.lex_state = 252, .external_lex_state = 2},
  [2029] = {.lex_state = 46, .external_lex_state = 7},
  [2030] = {.lex_state = 41, .external_lex_state = 7},
  [2031] = {.lex_state = 34, .external_lex_state = 2},
  [2032] = {.lex_state = 252, .external_lex_state = 2},
  [2033] = {.lex_state = 252, .external_lex_state = 5},
  [2034] = {.lex_state = 252, .external_lex_state = 2},
  [2035] = {.lex_state = 252, .external_lex_state = 5},
  [2036] = {.lex_state = 252, .external_lex_state = 5},
  [2037] = {.lex_state = 38, .external_lex_state = 2},
  [2038] = {.lex_state = 34, .external_lex_state = 2},
  [2039] = {.lex_state = 252, .external_lex_state = 2},
  [2040] = {.lex_state = 252, .external_lex_state = 2},
  [2041] = {.lex_state = 3, .external_lex_state = 2},
  [2042] = {.lex_state = 252, .external_lex_state = 5},
  [2043] = {.lex_state = 252, .external_lex_state = 5},
  [2044] = {.lex_state = 252, .external_lex_state = 5},
  [2045] = {.lex_state = 252, .external_lex_state = 2},
  [2046] = {.lex_state = 252, .external_lex_state = 2},
  [2047] = {.lex_state = 34, .external_lex_state = 2},
  [2048] = {.lex_state = 34, .external_lex_state = 2},
  [2049] = {.lex_state = 252, .external_lex_state = 2},
  [2050] = {.lex_state = 34, .external_lex_state = 2},
  [2051] = {.lex_state = 252, .external_lex_state = 2},
  [2052] = {.lex_state = 252, .external_lex_state = 2},
  [2053] = {.lex_state = 34, .external_lex_state = 2},
  [2054] = {.lex_state = 252, .external_lex_state = 2},
  [2055] = {.lex_state = 38, .external_lex_state = 2},
  [2056] = {.lex_state = 39, .external_lex_state = 2},
  [2057] = {.lex_state = 252, .external_lex_state = 2},
  [2058] = {.lex_state = 252, .external_lex_state = 5},
  [2059] = {.lex_state = 43, .external_lex_state = 2},
  [2060] = {.lex_state = 252, .external_lex_state = 2},
  [2061] = {.lex_state = 252, .external_lex_state = 2},
  [2062] = {.lex_state = 252, .external_lex_state = 2},
  [2063] = {.lex_state = 252, .external_lex_state = 2},
  [2064] = {.lex_state = 252, .external_lex_state = 2},
  [2065] = {.lex_state = 252, .external_lex_state = 2},
  [2066] = {.lex_state = 252, .external_lex_state = 2},
  [2067] = {.lex_state = 252, .external_lex_state = 2},
  [2068] = {.lex_state = 34, .external_lex_state = 5},
  [2069] = {.lex_state = 34, .external_lex_state = 5},
  [2070] = {.lex_state = 252, .external_lex_state = 2},
  [2071] = {.lex_state = 252, .external_lex_state = 2},
  [2072] = {.lex_state = 252, .external_lex_state = 5},
  [2073] = {.lex_state = 252, .external_lex_state = 2},
  [2074] = {.lex_state = 39, .external_lex_state = 2},
  [2075] = {.lex_state = 252, .external_lex_state = 2},
  [2076] = {.lex_state = 252, .external_lex_state = 2},
  [2077] = {.lex_state = 252, .external_lex_state = 2},
  [2078] = {.lex_state = 252, .external_lex_state = 2},
  [2079] = {.lex_state = 34, .external_lex_state = 2},
  [2080] = {.lex_state = 34, .external_lex_state = 2},
  [2081] = {.lex_state = 252, .external_lex_state = 5},
  [2082] = {.lex_state = 252, .external_lex_state = 2},
  [2083] = {.lex_state = 252, .external_lex_state = 2},
  [2084] = {.lex_state = 39, .external_lex_state = 2},
  [2085] = {.lex_state = 252, .external_lex_state = 2},
  [2086] = {.lex_state = 252, .external_lex_state = 2},
  [2087] = {.lex_state = 252, .external_lex_state = 2},
  [2088] = {.lex_state = 34, .external_lex_state = 2},
  [2089] = {.lex_state = 252, .external_lex_state = 2},
  [2090] = {.lex_state = 39, .external_lex_state = 2},
  [2091] = {.lex_state = 252, .external_lex_state = 2},
  [2092] = {.lex_state = 252, .external_lex_state = 2},
  [2093] = {.lex_state = 252, .external_lex_state = 5},
  [2094] = {.lex_state = 252, .external_lex_state = 2},
  [2095] = {.lex_state = 252, .external_lex_state = 2},
  [2096] = {.lex_state = 252, .external_lex_state = 2},
  [2097] = {.lex_state = 252, .external_lex_state = 2},
  [2098] = {.lex_state = 252, .external_lex_state = 5},
  [2099] = {.lex_state = 252, .external_lex_state = 2},
  [2100] = {.lex_state = 252, .external_lex_state = 2},
  [2101] = {.lex_state = 252, .external_lex_state = 2},
  [2102] = {.lex_state = 30, .external_lex_state = 2},
  [2103] = {.lex_state = 252, .external_lex_state = 5},
  [2104] = {.lex_state = 3, .external_lex_state = 2},
  [2105] = {.lex_state = 252, .external_lex_state = 2},
  [2106] = {.lex_state = 252, .external_lex_state = 2},
  [2107] = {.lex_state = 252, .external_lex_state = 2},
  [2108] = {.lex_state = 252, .external_lex_state = 2},
  [2109] = {.lex_state = 39, .external_lex_state = 2},
  [2110] = {.lex_state = 252, .external_lex_state = 2},
  [2111] = {.lex_state = 252, .external_lex_state = 5},
  [2112] = {.lex_state = 252, .external_lex_state = 5},
  [2113] = {.lex_state = 252, .external_lex_state = 2},
  [2114] = {.lex_state = 252, .external_lex_state = 2},
  [2115] = {.lex_state = 252, .external_lex_state = 2},
  [2116] = {.lex_state = 252, .external_lex_state = 2},
  [2117] = {.lex_state = 252, .external_lex_state = 2},
  [2118] = {.lex_state = 252, .external_lex_state = 2},
  [2119] = {.lex_state = 252, .external_lex_state = 2},
  [2120] = {.lex_state = 34, .external_lex_state = 2},
  [2121] = {.lex_state = 30, .external_lex_state = 2},
  [2122] = {.lex_state = 30, .external_lex_state = 2},
  [2123] = {.lex_state = 34, .external_lex_state = 5},
  [2124] = {.lex_state = 34, .external_lex_state = 5},
  [2125] = {.lex_state = 252, .external_lex_state = 2},
  [2126] = {.lex_state = 252, .external_lex_state = 2},
  [2127] = {.lex_state = 252, .external_lex_state = 2},
  [2128] = {.lex_state = 252, .external_lex_state = 2},
  [2129] = {.lex_state = 34, .external_lex_state = 5},
  [2130] = {.lex_state = 252, .external_lex_state = 5},
  [2131] = {.lex_state = 252, .external_lex_state = 2},
  [2132] = {.lex_state = 252, .external_lex_state = 2},
  [2133] = {.lex_state = 39, .external_lex_state = 2},
  [2134] = {.lex_state = 252, .external_lex_state = 2},
  [2135] = {.lex_state = 252, .external_lex_state = 2},
  [2136] = {.lex_state = 252, .external_lex_state = 2},
  [2137] = {.lex_state = 252, .external_lex_state = 2},
  [2138] = {.lex_state = 34, .external_lex_state = 2},
  [2139] = {.lex_state = 252, .external_lex_state = 5},
  [2140] = {.lex_state = 30, .external_lex_state = 2},
  [2141] = {.lex_state = 34, .external_lex_state = 5},
  [2142] = {.lex_state = 252, .external_lex_state = 2},
  [2143] = {.lex_state = 252, .external_lex_state = 2},
  [2144] = {.lex_state = 252, .external_lex_state = 2},
  [2145] = {.lex_state = 252, .external_lex_state = 2},
  [2146] = {.lex_state = 252, .external_lex_state = 2},
  [2147] = {.lex_state = 252, .external_lex_state = 2},
  [2148] = {.lex_state = 252, .external_lex_state = 2},
  [2149] = {.lex_state = 34, .external_lex_state = 2},
  [2150] = {.lex_state = 252, .external_lex_state = 2},
  [2151] = {.lex_state = 30, .external_lex_state = 2},
  [2152] = {.lex_state = 252, .external_lex_state = 5},
  [2153] = {.lex_state = 252, .external_lex_state = 5},
  [2154] = {.lex_state = 252, .external_lex_state = 5},
  [2155] = {.lex_state = 34, .external_lex_state = 2},
  [2156] = {.lex_state = 34, .external_lex_state = 2},
  [2157] = {.lex_state = 252, .external_lex_state = 5},
  [2158] = {.lex_state = 252, .external_lex_state = 5},
  [2159] = {.lex_state = 252, .external_lex_state = 5},
  [2160] = {.lex_state = 34, .external_lex_state = 2},
  [2161] = {.lex_state = 252, .external_lex_state = 2},
  [2162] = {.lex_state = 30, .external_lex_state = 2},
  [2163] = {.lex_state = 252, .external_lex_state = 2},
  [2164] = {.lex_state = 34, .external_lex_state = 2},
  [2165] = {.lex_state = 252, .external_lex_state = 5},
  [2166] = {.lex_state = 252, .external_lex_state = 2},
  [2167] = {.lex_state = 252, .external_lex_state = 5},
  [2168] = {.lex_state = 252, .external_lex_state = 2},
  [2169] = {.lex_state = 34, .external_lex_state = 2},
  [2170] = {.lex_state = 252, .external_lex_state = 5},
  [2171] = {.lex_state = 34, .external_lex_state = 5},
  [2172] = {.lex_state = 34, .external_lex_state = 5},
  [2173] = {.lex_state = 46, .external_lex_state = 7},
  [2174] = {.lex_state = 252, .external_lex_state = 2},
  [2175] = {.lex_state = 252, .external_lex_state = 2},
  [2176] = {.lex_state = 41, .external_lex_state = 7},
  [2177] = {.lex_state = 252, .external_lex_state = 2},
  [2178] = {.lex_state = 252, .external_lex_state = 2},
  [2179] = {.lex_state = 252, .external_lex_state = 2},
  [2180] = {.lex_state = 252, .external_lex_state = 2},
  [2181] = {.lex_state = 34, .external_lex_state = 2},
  [2182] = {.lex_state = 252, .external_lex_state = 5},
  [2183] = {.lex_state = 34, .external_lex_state = 2},
  [2184] = {.lex_state = 252, .external_lex_state = 2},
  [2185] = {.lex_state = 34, .external_lex_state = 2},
  [2186] = {.lex_state = 30, .external_lex_state = 2},
  [2187] = {.lex_state = 252, .external_lex_state = 2},
  [2188] = {.lex_state = 252, .external_lex_state = 2},
  [2189] = {.lex_state = 252, .external_lex_state = 2},
  [2190] = {.lex_state = 252, .external_lex_state = 2},
  [2191] = {.lex_state = 252, .external_lex_state = 2},
  [2192] = {.lex_state = 34, .external_lex_state = 5},
  [2193] = {.lex_state = 34, .external_lex_state = 5},
  [2194] = {.lex_state = 252, .external_lex_state = 2},
  [2195] = {.lex_state = 252, .external_lex_state = 2},
  [2196] = {.lex_state = 252, .external_lex_state = 5},
  [2197] = {.lex_state = 39, .external_lex_state = 2},
  [2198] = {.lex_state = 252, .external_lex_state = 2},
  [2199] = {.lex_state = 34, .external_lex_state = 2},
  [2200] = {.lex_state = 252, .external_lex_state = 2},
  [2201] = {.lex_state = 252, .external_lex_state = 2},
  [2202] = {.lex_state = 252, .external_lex_state = 2},
  [2203] = {.lex_state = 252, .external_lex_state = 2},
  [2204] = {.lex_state = 252, .external_lex_state = 2},
  [2205] = {.lex_state = 252, .external_lex_state = 2},
  [2206] = {.lex_state = 252, .external_lex_state = 2},
  [2207] = {.lex_state = 252, .external_lex_state = 2},
  [2208] = {.lex_state = 252, .external_lex_state = 2},
  [2209] = {.lex_state = 252, .external_lex_state = 2},
  [2210] = {.lex_state = 252, .external_lex_state = 2},
  [2211] = {.lex_state = 252, .external_lex_state = 2},
  [2212] = {.lex_state = 252, .external_lex_state = 2},
  [2213] = {.lex_state = 252, .external_lex_state = 2},
  [2214] = {.lex_state = 252, .external_lex_state = 2},
  [2215] = {.lex_state = 252, .external_lex_state = 2},
  [2216] = {.lex_state = 252, .external_lex_state = 2},
  [2217] = {.lex_state = 252, .external_lex_state = 2},
  [2218] = {.lex_state = 252, .external_lex_state = 2},
  [2219] = {.lex_state = 252, .external_lex_state = 2},
  [2220] = {.lex_state = 252, .external_lex_state = 2},
  [2221] = {.lex_state = 252, .external_lex_state = 2},
  [2222] = {.lex_state = 252, .external_lex_state = 2},
  [2223] = {.lex_state = 252, .external_lex_state = 2},
  [2224] = {.lex_state = 252, .external_lex_state = 2},
  [2225] = {.lex_state = 252, .external_lex_state = 2},
  [2226] = {.lex_state = 252, .external_lex_state = 5},
  [2227] = {.lex_state = 252, .external_lex_state = 2},
  [2228] = {.lex_state = 252, .external_lex_state = 2},
  [2229] = {.lex_state = 252, .external_lex_state = 5},
  [2230] = {.lex_state = 34, .external_lex_state = 2},
  [2231] = {.lex_state = 252, .external_lex_state = 2},
  [2232] = {.lex_state = 252, .external_lex_state = 2},
  [2233] = {.lex_state = 252, .external_lex_state = 2},
  [2234] = {.lex_state = 252, .external_lex_state = 2},
  [2235] = {.lex_state = 252, .external_lex_state = 2},
  [2236] = {.lex_state = 252, .external_lex_state = 5},
  [2237] = {.lex_state = 252, .external_lex_state = 5},
  [2238] = {.lex_state = 252, .external_lex_state = 2},
  [2239] = {.lex_state = 252, .external_lex_state = 2},
  [2240] = {.lex_state = 252, .external_lex_state = 2},
  [2241] = {.lex_state = 252, .external_lex_state = 5},
  [2242] = {.lex_state = 252, .external_lex_state = 2},
  [2243] = {.lex_state = 252, .external_lex_state = 2},
  [2244] = {.lex_state = 252, .external_lex_state = 2},
  [2245] = {.lex_state = 252, .external_lex_state = 2},
  [2246] = {.lex_state = 252, .external_lex_state = 2},
  [2247] = {.lex_state = 252, .external_lex_state = 5},
  [2248] = {.lex_state = 252, .external_lex_state = 2},
  [2249] = {.lex_state = 252, .external_lex_state = 2},
  [2250] = {.lex_state = 34, .external_lex_state = 2},
  [2251] = {.lex_state = 252, .external_lex_state = 2},
  [2252] = {.lex_state = 252, .external_lex_state = 2},
  [2253] = {.lex_state = 252, .external_lex_state = 2},
  [2254] = {.lex_state = 252, .external_lex_state = 2},
  [2255] = {.lex_state = 39, .external_lex_state = 2},
  [2256] = {.lex_state = 252, .external_lex_state = 2},
  [2257] = {.lex_state = 252, .external_lex_state = 2},
  [2258] = {.lex_state = 252, .external_lex_state = 2},
  [2259] = {.lex_state = 252, .external_lex_state = 2},
  [2260] = {.lex_state = 252, .external_lex_state = 5},
  [2261] = {.lex_state = 252, .external_lex_state = 5},
  [2262] = {.lex_state = 252, .external_lex_state = 2},
  [2263] = {.lex_state = 252, .external_lex_state = 5},
  [2264] = {.lex_state = 252, .external_lex_state = 2},
  [2265] = {.lex_state = 252, .external_lex_state = 5},
  [2266] = {.lex_state = 252, .external_lex_state = 2},
  [2267] = {.lex_state = 252, .external_lex_state = 2},
  [2268] = {.lex_state = 252, .external_lex_state = 2},
  [2269] = {.lex_state = 252, .external_lex_state = 2},
  [2270] = {.lex_state = 252, .external_lex_state = 2},
  [2271] = {.lex_state = 252, .external_lex_state = 2},
  [2272] = {.lex_state = 252, .external_lex_state = 5},
  [2273] = {.lex_state = 252, .external_lex_state = 5},
  [2274] = {.lex_state = 252, .external_lex_state = 2},
  [2275] = {.lex_state = 34, .external_lex_state = 2},
  [2276] = {.lex_state = 252, .external_lex_state = 2},
  [2277] = {.lex_state = 252, .external_lex_state = 2},
  [2278] = {.lex_state = 252, .external_lex_state = 2},
  [2279] = {.lex_state = 252, .external_lex_state = 2},
  [2280] = {.lex_state = 252, .external_lex_state = 2},
  [2281] = {.lex_state = 252, .external_lex_state = 2},
  [2282] = {.lex_state = 252, .external_lex_state = 5},
  [2283] = {.lex_state = 252, .external_lex_state = 2},
  [2284] = {.lex_state = 252, .external_lex_state = 2},
  [2285] = {.lex_state = 252, .external_lex_state = 2},
  [2286] = {.lex_state = 252, .external_lex_state = 5},
  [2287] = {.lex_state = 252, .external_lex_state = 5},
  [2288] = {.lex_state = 252, .external_lex_state = 2},
  [2289] = {.lex_state = 252, .external_lex_state = 2},
  [2290] = {.lex_state = 252, .external_lex_state = 2},
  [2291] = {.lex_state = 252, .external_lex_state = 5},
  [2292] = {.lex_state = 252, .external_lex_state = 2},
  [2293] = {.lex_state = 252, .external_lex_state = 2},
  [2294] = {.lex_state = 252, .external_lex_state = 2},
  [2295] = {.lex_state = 252, .external_lex_state = 2},
  [2296] = {.lex_state = 252, .external_lex_state = 2},
  [2297] = {.lex_state = 252, .external_lex_state = 2},
  [2298] = {.lex_state = 252, .external_lex_state = 2},
  [2299] = {.lex_state = 252, .external_lex_state = 2},
  [2300] = {.lex_state = 252, .external_lex_state = 2},
  [2301] = {.lex_state = 252, .external_lex_state = 2},
  [2302] = {.lex_state = 252, .external_lex_state = 5},
  [2303] = {.lex_state = 252, .external_lex_state = 5},
  [2304] = {.lex_state = 252, .external_lex_state = 2},
  [2305] = {.lex_state = 252, .external_lex_state = 2},
  [2306] = {.lex_state = 252, .external_lex_state = 2},
  [2307] = {.lex_state = 252, .external_lex_state = 2},
  [2308] = {.lex_state = 252, .external_lex_state = 2},
  [2309] = {.lex_state = 34, .external_lex_state = 2},
  [2310] = {.lex_state = 252, .external_lex_state = 2},
  [2311] = {.lex_state = 252, .external_lex_state = 2},
  [2312] = {.lex_state = 252, .external_lex_state = 2},
  [2313] = {.lex_state = 252, .external_lex_state = 2},
  [2314] = {.lex_state = 39, .external_lex_state = 2},
  [2315] = {.lex_state = 252, .external_lex_state = 2},
  [2316] = {.lex_state = 39, .external_lex_state = 2},
  [2317] = {.lex_state = 252, .external_lex_state = 2},
  [2318] = {.lex_state = 252, .external_lex_state = 2},
  [2319] = {.lex_state = 252, .external_lex_state = 2},
  [2320] = {.lex_state = 252, .external_lex_state = 2},
  [2321] = {.lex_state = 252, .external_lex_state = 2},
  [2322] = {.lex_state = 252, .external_lex_state = 2},
  [2323] = {.lex_state = 252, .external_lex_state = 5},
  [2324] = {.lex_state = 252, .external_lex_state = 2},
  [2325] = {.lex_state = 252, .external_lex_state = 2},
  [2326] = {.lex_state = 252, .external_lex_state = 2},
  [2327] = {.lex_state = 252, .external_lex_state = 2},
  [2328] = {.lex_state = 252, .external_lex_state = 2},
  [2329] = {.lex_state = 252, .external_lex_state = 2},
  [2330] = {.lex_state = 252, .external_lex_state = 2},
  [2331] = {.lex_state = 252, .external_lex_state = 2},
  [2332] = {.lex_state = 252, .external_lex_state = 2},
  [2333] = {.lex_state = 252, .external_lex_state = 2},
  [2334] = {.lex_state = 252, .external_lex_state = 2},
  [2335] = {.lex_state = 252, .external_lex_state = 2},
  [2336] = {.lex_state = 252, .external_lex_state = 2},
  [2337] = {.lex_state = 252, .external_lex_state = 2},
  [2338] = {.lex_state = 252, .external_lex_state = 2},
  [2339] = {.lex_state = 252, .external_lex_state = 2},
  [2340] = {.lex_state = 252, .external_lex_state = 2},
  [2341] = {.lex_state = 252, .external_lex_state = 2},
  [2342] = {.lex_state = 252, .external_lex_state = 2},
  [2343] = {.lex_state = 252, .external_lex_state = 2},
  [2344] = {.lex_state = 252, .external_lex_state = 2},
  [2345] = {.lex_state = 252, .external_lex_state = 2},
  [2346] = {.lex_state = 252, .external_lex_state = 2},
  [2347] = {.lex_state = 252, .external_lex_state = 2},
  [2348] = {.lex_state = 252, .external_lex_state = 2},
  [2349] = {.lex_state = 252, .external_lex_state = 2},
  [2350] = {.lex_state = 252, .external_lex_state = 2},
  [2351] = {.lex_state = 252, .external_lex_state = 2},
  [2352] = {.lex_state = 252, .external_lex_state = 5},
  [2353] = {.lex_state = 252, .external_lex_state = 2},
  [2354] = {.lex_state = 252, .external_lex_state = 2},
  [2355] = {.lex_state = 252, .external_lex_state = 2},
  [2356] = {.lex_state = 252, .external_lex_state = 2},
  [2357] = {.lex_state = 252, .external_lex_state = 2},
  [2358] = {.lex_state = 252, .external_lex_state = 2},
  [2359] = {.lex_state = 34, .external_lex_state = 2},
  [2360] = {.lex_state = 252, .external_lex_state = 2},
  [2361] = {.lex_state = 252, .external_lex_state = 2},
  [2362] = {.lex_state = 252, .external_lex_state = 2},
  [2363] = {.lex_state = 252, .external_lex_state = 2},
  [2364] = {.lex_state = 252, .external_lex_state = 2},
  [2365] = {.lex_state = 252, .external_lex_state = 2},
  [2366] = {.lex_state = 252, .external_lex_state = 5},
  [2367] = {.lex_state = 252, .external_lex_state = 2},
  [2368] = {.lex_state = 252, .external_lex_state = 2},
  [2369] = {.lex_state = 252, .external_lex_state = 2},
  [2370] = {.lex_state = 252, .external_lex_state = 2},
  [2371] = {.lex_state = 252, .external_lex_state = 2},
  [2372] = {.lex_state = 252, .external_lex_state = 2},
  [2373] = {.lex_state = 252, .external_lex_state = 2},
  [2374] = {.lex_state = 252, .external_lex_state = 2},
  [2375] = {.lex_state = 252, .external_lex_state = 2},
  [2376] = {.lex_state = 252, .external_lex_state = 2},
  [2377] = {.lex_state = 252, .external_lex_state = 2},
  [2378] = {.lex_state = 252, .external_lex_state = 2},
  [2379] = {.lex_state = 252, .external_lex_state = 2},
  [2380] = {.lex_state = 34, .external_lex_state = 2},
  [2381] = {.lex_state = 252, .external_lex_state = 2},
  [2382] = {.lex_state = 252, .external_lex_state = 5},
  [2383] = {.lex_state = 252, .external_lex_state = 5},
  [2384] = {.lex_state = 252, .external_lex_state = 2},
  [2385] = {.lex_state = 252, .external_lex_state = 5},
  [2386] = {.lex_state = 252, .external_lex_state = 5},
  [2387] = {.lex_state = 252, .external_lex_state = 5},
  [2388] = {.lex_state = 39, .external_lex_state = 2},
  [2389] = {.lex_state = 252, .external_lex_state = 2},
  [2390] = {.lex_state = 39, .external_lex_state = 2},
  [2391] = {.lex_state = 3, .external_lex_state = 2},
  [2392] = {.lex_state = 252, .external_lex_state = 2},
  [2393] = {.lex_state = 252, .external_lex_state = 2},
  [2394] = {.lex_state = 252, .external_lex_state = 2},
  [2395] = {.lex_state = 252, .external_lex_state = 2},
  [2396] = {.lex_state = 39, .external_lex_state = 2},
  [2397] = {.lex_state = 252, .external_lex_state = 2},
  [2398] = {.lex_state = 252, .external_lex_state = 2},
  [2399] = {.lex_state = 252, .external_lex_state = 2},
  [2400] = {.lex_state = 252, .external_lex_state = 2},
  [2401] = {.lex_state = 252, .external_lex_state = 2},
  [2402] = {.lex_state = 252, .external_lex_state = 2},
  [2403] = {.lex_state = 252, .external_lex_state = 2},
  [2404] = {.lex_state = 252, .external_lex_state = 5},
  [2405] = {.lex_state = 252, .external_lex_state = 2},
  [2406] = {.lex_state = 252, .external_lex_state = 2},
  [2407] = {.lex_state = 252, .external_lex_state = 2},
  [2408] = {.lex_state = 252, .external_lex_state = 5},
  [2409] = {.lex_state = 252, .external_lex_state = 5},
  [2410] = {.lex_state = 252, .external_lex_state = 2},
  [2411] = {.lex_state = 252, .external_lex_state = 5},
  [2412] = {.lex_state = 252, .external_lex_state = 2},
  [2413] = {.lex_state = 252, .external_lex_state = 2},
  [2414] = {.lex_state = 252, .external_lex_state = 2},
  [2415] = {.lex_state = 252, .external_lex_state = 2},
  [2416] = {.lex_state = 252, .external_lex_state = 2},
  [2417] = {.lex_state = 252, .external_lex_state = 2},
  [2418] = {.lex_state = 252, .external_lex_state = 2},
  [2419] = {.lex_state = 252, .external_lex_state = 2},
  [2420] = {.lex_state = 252, .external_lex_state = 2},
  [2421] = {.lex_state = 252, .external_lex_state = 2},
  [2422] = {.lex_state = 252, .external_lex_state = 2},
  [2423] = {.lex_state = 252, .external_lex_state = 2},
  [2424] = {.lex_state = 252, .external_lex_state = 2},
  [2425] = {.lex_state = 252, .external_lex_state = 2},
  [2426] = {.lex_state = 252, .external_lex_state = 2},
  [2427] = {.lex_state = 252, .external_lex_state = 2},
  [2428] = {.lex_state = 252, .external_lex_state = 2},
  [2429] = {.lex_state = 252, .external_lex_state = 2},
  [2430] = {.lex_state = 252, .external_lex_state = 2},
  [2431] = {.lex_state = 252, .external_lex_state = 5},
  [2432] = {.lex_state = 252, .external_lex_state = 2},
  [2433] = {.lex_state = 39, .external_lex_state = 2},
  [2434] = {.lex_state = 252, .external_lex_state = 2},
  [2435] = {.lex_state = 39, .external_lex_state = 2},
  [2436] = {.lex_state = 252, .external_lex_state = 2},
  [2437] = {.lex_state = 252, .external_lex_state = 2},
  [2438] = {.lex_state = 252, .external_lex_state = 2},
  [2439] = {.lex_state = 252, .external_lex_state = 2},
  [2440] = {.lex_state = 252, .external_lex_state = 2},
  [2441] = {.lex_state = 252, .external_lex_state = 2},
  [2442] = {.lex_state = 252, .external_lex_state = 5},
  [2443] = {.lex_state = 252, .external_lex_state = 2},
  [2444] = {.lex_state = 252, .external_lex_state = 5},
  [2445] = {.lex_state = 252, .external_lex_state = 2},
  [2446] = {.lex_state = 252, .external_lex_state = 2},
  [2447] = {.lex_state = 252, .external_lex_state = 2},
  [2448] = {.lex_state = 252, .external_lex_state = 2},
  [2449] = {.lex_state = 252, .external_lex_state = 2},
  [2450] = {.lex_state = 252, .external_lex_state = 2},
  [2451] = {.lex_state = 252, .external_lex_state = 2},
  [2452] = {.lex_state = 252, .external_lex_state = 2},
  [2453] = {.lex_state = 252, .external_lex_state = 5},
  [2454] = {.lex_state = 252, .external_lex_state = 2},
  [2455] = {.lex_state = 252, .external_lex_state = 2},
  [2456] = {.lex_state = 252, .external_lex_state = 2},
  [2457] = {.lex_state = 252, .external_lex_state = 2},
  [2458] = {.lex_state = 252, .external_lex_state = 2},
  [2459] = {.lex_state = 39, .external_lex_state = 2},
  [2460] = {.lex_state = 252, .external_lex_state = 2},
  [2461] = {.lex_state = 39, .external_lex_state = 2},
  [2462] = {.lex_state = 252, .external_lex_state = 2},
  [2463] = {.lex_state = 252, .external_lex_state = 2},
  [2464] = {.lex_state = 252, .external_lex_state = 2},
  [2465] = {.lex_state = 252, .external_lex_state = 2},
  [2466] = {.lex_state = 252, .external_lex_state = 2},
  [2467] = {.lex_state = 252, .external_lex_state = 2},
  [2468] = {.lex_state = 252, .external_lex_state = 5},
  [2469] = {.lex_state = 56, .external_lex_state = 2},
  [2470] = {.lex_state = 252, .external_lex_state = 2},
  [2471] = {.lex_state = 252, .external_lex_state = 2},
  [2472] = {.lex_state = 34, .external_lex_state = 2},
  [2473] = {.lex_state = 252, .external_lex_state = 2},
  [2474] = {.lex_state = 34, .external_lex_state = 2},
  [2475] = {.lex_state = 252, .external_lex_state = 2},
  [2476] = {.lex_state = 252, .external_lex_state = 2},
  [2477] = {.lex_state = 252, .external_lex_state = 2},
  [2478] = {.lex_state = 252, .external_lex_state = 2},
  [2479] = {.lex_state = 252, .external_lex_state = 5},
  [2480] = {.lex_state = 252, .external_lex_state = 2},
  [2481] = {.lex_state = 252, .external_lex_state = 2},
  [2482] = {.lex_state = 252, .external_lex_state = 2},
  [2483] = {.lex_state = 252, .external_lex_state = 2},
  [2484] = {.lex_state = 252, .external_lex_state = 5},
  [2485] = {.lex_state = 252, .external_lex_state = 2},
  [2486] = {.lex_state = 252, .external_lex_state = 2},
  [2487] = {.lex_state = 252, .external_lex_state = 2},
  [2488] = {.lex_state = 252, .external_lex_state = 2},
  [2489] = {.lex_state = 252, .external_lex_state = 2},
  [2490] = {.lex_state = 39, .external_lex_state = 2},
  [2491] = {.lex_state = 252, .external_lex_state = 2},
  [2492] = {.lex_state = 56, .external_lex_state = 2},
  [2493] = {.lex_state = 252, .external_lex_state = 5},
  [2494] = {.lex_state = 252, .external_lex_state = 5},
  [2495] = {.lex_state = 252, .external_lex_state = 2},
  [2496] = {.lex_state = 252, .external_lex_state = 5},
  [2497] = {.lex_state = 34, .external_lex_state = 2},
  [2498] = {.lex_state = 252, .external_lex_state = 5},
  [2499] = {.lex_state = 252, .external_lex_state = 2},
  [2500] = {.lex_state = 252, .external_lex_state = 2},
  [2501] = {.lex_state = 252, .external_lex_state = 2},
  [2502] = {.lex_state = 34, .external_lex_state = 2},
  [2503] = {.lex_state = 252, .external_lex_state = 2},
  [2504] = {.lex_state = 252, .external_lex_state = 2},
  [2505] = {.lex_state = 252, .external_lex_state = 2},
  [2506] = {.lex_state = 252, .external_lex_state = 5},
  [2507] = {.lex_state = 252, .external_lex_state = 5},
  [2508] = {.lex_state = 252, .external_lex_state = 2},
  [2509] = {.lex_state = 252, .external_lex_state = 5},
  [2510] = {.lex_state = 252, .external_lex_state = 5},
  [2511] = {.lex_state = 252, .external_lex_state = 5},
  [2512] = {.lex_state = 252, .external_lex_state = 5},
  [2513] = {.lex_state = 252, .external_lex_state = 5},
  [2514] = {.lex_state = 252, .external_lex_state = 5},
  [2515] = {.lex_state = 252, .external_lex_state = 5},
  [2516] = {.lex_state = 252, .external_lex_state = 2},
  [2517] = {.lex_state = 252, .external_lex_state = 2},
  [2518] = {.lex_state = 252, .external_lex_state = 2},
  [2519] = {.lex_state = 34, .external_lex_state = 2},
  [2520] = {.lex_state = 252, .external_lex_state = 2},
  [2521] = {.lex_state = 34, .external_lex_state = 2},
  [2522] = {.lex_state = 252, .external_lex_state = 2},
  [2523] = {.lex_state = 252, .external_lex_state = 2},
  [2524] = {.lex_state = 252, .external_lex_state = 2},
  [2525] = {.lex_state = 252, .external_lex_state = 2},
  [2526] = {.lex_state = 252, .external_lex_state = 2},
  [2527] = {.lex_state = 252, .external_lex_state = 2},
  [2528] = {.lex_state = 252, .external_lex_state = 2},
  [2529] = {.lex_state = 252, .external_lex_state = 2},
  [2530] = {.lex_state = 252, .external_lex_state = 2},
  [2531] = {.lex_state = 252, .external_lex_state = 2},
  [2532] = {.lex_state = 252, .external_lex_state = 2},
  [2533] = {.lex_state = 252, .external_lex_state = 2},
  [2534] = {.lex_state = 252, .external_lex_state = 2},
  [2535] = {.lex_state = 252, .external_lex_state = 5},
  [2536] = {.lex_state = 252, .external_lex_state = 2},
  [2537] = {.lex_state = 252, .external_lex_state = 5},
  [2538] = {.lex_state = 252, .external_lex_state = 2},
  [2539] = {.lex_state = 252, .external_lex_state = 2},
  [2540] = {.lex_state = 252, .external_lex_state = 2},
  [2541] = {.lex_state = 252, .external_lex_state = 2},
  [2542] = {.lex_state = 252, .external_lex_state = 2},
  [2543] = {.lex_state = 252, .external_lex_state = 2},
  [2544] = {.lex_state = 252, .external_lex_state = 2},
  [2545] = {.lex_state = 252, .external_lex_state = 2},
  [2546] = {.lex_state = 252, .external_lex_state = 2},
  [2547] = {.lex_state = 252, .external_lex_state = 2},
  [2548] = {.lex_state = 252, .external_lex_state = 2},
  [2549] = {.lex_state = 252, .external_lex_state = 2},
  [2550] = {.lex_state = 252, .external_lex_state = 2},
  [2551] = {.lex_state = 252, .external_lex_state = 2},
  [2552] = {.lex_state = 252, .external_lex_state = 2},
  [2553] = {.lex_state = 252, .external_lex_state = 2},
  [2554] = {.lex_state = 252, .external_lex_state = 5},
  [2555] = {.lex_state = 252, .external_lex_state = 2},
  [2556] = {.lex_state = 252, .external_lex_state = 2},
  [2557] = {.lex_state = 252, .external_lex_state = 2},
  [2558] = {.lex_state = 252, .external_lex_state = 2},
  [2559] = {.lex_state = 252, .external_lex_state = 2},
  [2560] = {.lex_state = 252, .external_lex_state = 2},
  [2561] = {.lex_state = 252, .external_lex_state = 2},
  [2562] = {.lex_state = 252, .external_lex_state = 2},
  [2563] = {.lex_state = 252, .external_lex_state = 5},
  [2564] = {.lex_state = 252, .external_lex_state = 2},
  [2565] = {.lex_state = 252, .external_lex_state = 5},
  [2566] = {.lex_state = 252, .external_lex_state = 2},
  [2567] = {.lex_state = 252, .external_lex_state = 2},
  [2568] = {.lex_state = 252, .external_lex_state = 2},
  [2569] = {.lex_state = 252, .external_lex_state = 5},
  [2570] = {.lex_state = 252, .external_lex_state = 5},
  [2571] = {.lex_state = 252, .external_lex_state = 2},
  [2572] = {.lex_state = 252, .external_lex_state = 2},
  [2573] = {.lex_state = 252, .external_lex_state = 2},
  [2574] = {.lex_state = 252, .external_lex_state = 2},
  [2575] = {.lex_state = 252, .external_lex_state = 2},
  [2576] = {.lex_state = 252, .external_lex_state = 2},
  [2577] = {.lex_state = 252, .external_lex_state = 2},
  [2578] = {.lex_state = 252, .external_lex_state = 2},
  [2579] = {.lex_state = 252, .external_lex_state = 2},
  [2580] = {.lex_state = 252, .external_lex_state = 2},
  [2581] = {.lex_state = 252, .external_lex_state = 2},
  [2582] = {.lex_state = 252, .external_lex_state = 2},
  [2583] = {.lex_state = 252, .external_lex_state = 2},
  [2584] = {.lex_state = 252, .external_lex_state = 5},
  [2585] = {.lex_state = 252, .external_lex_state = 5},
  [2586] = {.lex_state = 252, .external_lex_state = 2},
  [2587] = {.lex_state = 252, .external_lex_state = 2},
  [2588] = {.lex_state = 252, .external_lex_state = 2},
  [2589] = {.lex_state = 252, .external_lex_state = 2},
  [2590] = {.lex_state = 252, .external_lex_state = 2},
  [2591] = {.lex_state = 252, .external_lex_state = 2},
  [2592] = {.lex_state = 252, .external_lex_state = 2},
  [2593] = {.lex_state = 252, .external_lex_state = 2},
  [2594] = {.lex_state = 252, .external_lex_state = 2},
  [2595] = {.lex_state = 252, .external_lex_state = 2},
  [2596] = {.lex_state = 252, .external_lex_state = 2},
  [2597] = {.lex_state = 252, .external_lex_state = 5},
  [2598] = {.lex_state = 252, .external_lex_state = 2},
  [2599] = {.lex_state = 252, .external_lex_state = 2},
  [2600] = {.lex_state = 252, .external_lex_state = 2},
  [2601] = {.lex_state = 252, .external_lex_state = 2},
  [2602] = {.lex_state = 252, .external_lex_state = 2},
  [2603] = {.lex_state = 252, .external_lex_state = 2},
  [2604] = {.lex_state = 252, .external_lex_state = 2},
  [2605] = {.lex_state = 252, .external_lex_state = 5},
  [2606] = {.lex_state = 3, .external_lex_state = 2},
  [2607] = {.lex_state = 252, .external_lex_state = 2},
  [2608] = {.lex_state = 252, .external_lex_state = 2},
  [2609] = {.lex_state = 252, .external_lex_state = 2},
  [2610] = {.lex_state = 34, .external_lex_state = 2},
  [2611] = {.lex_state = 34, .external_lex_state = 2},
  [2612] = {.lex_state = 252, .external_lex_state = 2},
  [2613] = {.lex_state = 252, .external_lex_state = 2},
  [2614] = {.lex_state = 252, .external_lex_state = 2},
  [2615] = {.lex_state = 252, .external_lex_state = 2},
  [2616] = {.lex_state = 252, .external_lex_state = 2},
  [2617] = {.lex_state = 252, .external_lex_state = 2},
  [2618] = {.lex_state = 252, .external_lex_state = 2},
  [2619] = {.lex_state = 252, .external_lex_state = 2},
  [2620] = {.lex_state = 252, .external_lex_state = 2},
  [2621] = {.lex_state = 252, .external_lex_state = 2},
  [2622] = {.lex_state = 252, .external_lex_state = 2},
  [2623] = {.lex_state = 252, .external_lex_state = 2},
  [2624] = {.lex_state = 252, .external_lex_state = 2},
  [2625] = {.lex_state = 252, .external_lex_state = 2},
  [2626] = {.lex_state = 252, .external_lex_state = 5},
  [2627] = {.lex_state = 252, .external_lex_state = 2},
  [2628] = {.lex_state = 252, .external_lex_state = 2},
  [2629] = {.lex_state = 252, .external_lex_state = 2},
  [2630] = {.lex_state = 252, .external_lex_state = 2},
  [2631] = {.lex_state = 252, .external_lex_state = 2},
  [2632] = {.lex_state = 252, .external_lex_state = 2},
  [2633] = {.lex_state = 252, .external_lex_state = 2},
  [2634] = {.lex_state = 252, .external_lex_state = 2},
  [2635] = {.lex_state = 252, .external_lex_state = 2},
  [2636] = {.lex_state = 252, .external_lex_state = 2},
  [2637] = {.lex_state = 252, .external_lex_state = 2},
  [2638] = {.lex_state = 252, .external_lex_state = 2},
  [2639] = {.lex_state = 252, .external_lex_state = 2},
  [2640] = {.lex_state = 252, .external_lex_state = 2},
  [2641] = {.lex_state = 252, .external_lex_state = 2},
  [2642] = {.lex_state = 252, .external_lex_state = 2},
  [2643] = {.lex_state = 252, .external_lex_state = 2},
  [2644] = {.lex_state = 252, .external_lex_state = 2},
  [2645] = {.lex_state = 252, .external_lex_state = 2},
  [2646] = {.lex_state = 252, .external_lex_state = 2},
  [2647] = {.lex_state = 252, .external_lex_state = 2},
  [2648] = {.lex_state = 252, .external_lex_state = 2},
  [2649] = {.lex_state = 252, .external_lex_state = 2},
  [2650] = {.lex_state = 252, .external_lex_state = 2},
  [2651] = {.lex_state = 252, .external_lex_state = 2},
  [2652] = {.lex_state = 252, .external_lex_state = 2},
  [2653] = {.lex_state = 252, .external_lex_state = 2},
  [2654] = {.lex_state = 252, .external_lex_state = 2},
  [2655] = {.lex_state = 252, .external_lex_state = 2},
  [2656] = {.lex_state = 252, .external_lex_state = 5},
  [2657] = {.lex_state = 252, .external_lex_state = 2},
  [2658] = {.lex_state = 252, .external_lex_state = 2},
  [2659] = {.lex_state = 252, .external_lex_state = 5},
  [2660] = {.lex_state = 252, .external_lex_state = 2},
  [2661] = {.lex_state = 252, .external_lex_state = 2},
  [2662] = {.lex_state = 252, .external_lex_state = 2},
  [2663] = {.lex_state = 252, .external_lex_state = 2},
  [2664] = {.lex_state = 252, .external_lex_state = 2},
  [2665] = {.lex_state = 252, .external_lex_state = 5},
  [2666] = {.lex_state = 252, .external_lex_state = 2},
  [2667] = {.lex_state = 252, .external_lex_state = 2},
  [2668] = {.lex_state = 252, .external_lex_state = 2},
  [2669] = {.lex_state = 252, .external_lex_state = 2},
  [2670] = {.lex_state = 252, .external_lex_state = 2},
  [2671] = {.lex_state = 252, .external_lex_state = 2},
  [2672] = {.lex_state = 252, .external_lex_state = 2},
  [2673] = {.lex_state = 252, .external_lex_state = 2},
  [2674] = {.lex_state = 252, .external_lex_state = 2},
  [2675] = {.lex_state = 252, .external_lex_state = 2},
  [2676] = {.lex_state = 252, .external_lex_state = 2},
  [2677] = {.lex_state = 252, .external_lex_state = 2},
  [2678] = {.lex_state = 252, .external_lex_state = 2},
  [2679] = {.lex_state = 252, .external_lex_state = 2},
  [2680] = {.lex_state = 252, .external_lex_state = 2},
  [2681] = {.lex_state = 252, .external_lex_state = 2},
  [2682] = {.lex_state = 252, .external_lex_state = 2},
  [2683] = {.lex_state = 252, .external_lex_state = 2},
  [2684] = {.lex_state = 252, .external_lex_state = 2},
  [2685] = {.lex_state = 252, .external_lex_state = 2},
  [2686] = {.lex_state = 252, .external_lex_state = 2},
  [2687] = {.lex_state = 252, .external_lex_state = 2},
  [2688] = {.lex_state = 252, .external_lex_state = 2},
  [2689] = {.lex_state = 252, .external_lex_state = 2},
  [2690] = {.lex_state = 252, .external_lex_state = 2},
  [2691] = {.lex_state = 252, .external_lex_state = 2},
  [2692] = {.lex_state = 252, .external_lex_state = 2},
  [2693] = {.lex_state = 252, .external_lex_state = 2},
  [2694] = {.lex_state = 252, .external_lex_state = 2},
  [2695] = {.lex_state = 252, .external_lex_state = 2},
  [2696] = {.lex_state = 252, .external_lex_state = 2},
  [2697] = {.lex_state = 252, .external_lex_state = 2},
  [2698] = {.lex_state = 252, .external_lex_state = 2},
  [2699] = {.lex_state = 252, .external_lex_state = 5},
  [2700] = {.lex_state = 252, .external_lex_state = 2},
  [2701] = {.lex_state = 252, .external_lex_state = 2},
  [2702] = {.lex_state = 252, .external_lex_state = 2},
  [2703] = {.lex_state = 252, .external_lex_state = 2},
  [2704] = {.lex_state = 252, .external_lex_state = 2},
  [2705] = {.lex_state = 252, .external_lex_state = 2},
  [2706] = {.lex_state = 252, .external_lex_state = 2},
  [2707] = {.lex_state = 252, .external_lex_state = 2},
  [2708] = {.lex_state = 252, .external_lex_state = 2},
  [2709] = {.lex_state = 252, .external_lex_state = 2},
  [2710] = {.lex_state = 252, .external_lex_state = 2},
  [2711] = {.lex_state = 252, .external_lex_state = 2},
  [2712] = {.lex_state = 252, .external_lex_state = 2},
  [2713] = {.lex_state = 252, .external_lex_state = 2},
  [2714] = {.lex_state = 252, .external_lex_state = 2},
  [2715] = {.lex_state = 252, .external_lex_state = 2},
  [2716] = {.lex_state = 252, .external_lex_state = 2},
  [2717] = {.lex_state = 252, .external_lex_state = 2},
  [2718] = {.lex_state = 252, .external_lex_state = 2},
  [2719] = {.lex_state = 252, .external_lex_state = 2},
  [2720] = {.lex_state = 252, .external_lex_state = 2},
  [2721] = {.lex_state = 252, .external_lex_state = 2},
  [2722] = {.lex_state = 252, .external_lex_state = 2},
  [2723] = {.lex_state = 252, .external_lex_state = 2},
  [2724] = {.lex_state = 252, .external_lex_state = 2},
  [2725] = {.lex_state = 252, .external_lex_state = 5},
  [2726] = {.lex_state = 252, .external_lex_state = 2},
  [2727] = {.lex_state = 252, .external_lex_state = 2},
  [2728] = {.lex_state = 252, .external_lex_state = 2},
  [2729] = {.lex_state = 252, .external_lex_state = 2},
  [2730] = {.lex_state = 252, .external_lex_state = 2},
  [2731] = {.lex_state = 252, .external_lex_state = 2},
  [2732] = {.lex_state = 252, .external_lex_state = 2},
  [2733] = {.lex_state = 252, .external_lex_state = 2},
  [2734] = {.lex_state = 252, .external_lex_state = 2},
  [2735] = {.lex_state = 252, .external_lex_state = 2},
  [2736] = {.lex_state = 252, .external_lex_state = 2},
  [2737] = {.lex_state = 252, .external_lex_state = 2},
  [2738] = {.lex_state = 252, .external_lex_state = 2},
  [2739] = {.lex_state = 252, .external_lex_state = 2},
  [2740] = {.lex_state = 34, .external_lex_state = 2},
  [2741] = {.lex_state = 252, .external_lex_state = 2},
  [2742] = {.lex_state = 34, .external_lex_state = 2},
  [2743] = {.lex_state = 4, .external_lex_state = 8},
  [2744] = {.lex_state = 252, .external_lex_state = 2},
  [2745] = {.lex_state = 34, .external_lex_state = 2},
  [2746] = {.lex_state = 34, .external_lex_state = 2},
  [2747] = {.lex_state = 4, .external_lex_state = 8},
  [2748] = {.lex_state = 252, .external_lex_state = 2},
  [2749] = {.lex_state = 252, .external_lex_state = 2},
  [2750] = {.lex_state = 252, .external_lex_state = 2},
  [2751] = {.lex_state = 252, .external_lex_state = 2},
  [2752] = {.lex_state = 252, .external_lex_state = 2},
  [2753] = {.lex_state = 34, .external_lex_state = 2},
  [2754] = {.lex_state = 252, .external_lex_state = 2},
  [2755] = {.lex_state = 34, .external_lex_state = 2},
  [2756] = {.lex_state = 34, .external_lex_state = 2},
  [2757] = {.lex_state = 4, .external_lex_state = 8},
  [2758] = {.lex_state = 252, .external_lex_state = 2},
  [2759] = {.lex_state = 252, .external_lex_state = 2},
  [2760] = {.lex_state = 252, .external_lex_state = 2},
  [2761] = {.lex_state = 252, .external_lex_state = 2},
  [2762] = {.lex_state = 57, .external_lex_state = 2},
  [2763] = {.lex_state = 39, .external_lex_state = 2},
  [2764] = {.lex_state = 252, .external_lex_state = 2},
  [2765] = {.lex_state = 252, .external_lex_state = 2},
  [2766] = {.lex_state = 30, .external_lex_state = 2},
  [2767] = {.lex_state = 252, .external_lex_state = 2},
  [2768] = {.lex_state = 252, .external_lex_state = 2},
  [2769] = {.lex_state = 252, .external_lex_state = 2},
  [2770] = {.lex_state = 252, .external_lex_state = 2},
  [2771] = {.lex_state = 252, .external_lex_state = 2},
  [2772] = {.lex_state = 34, .external_lex_state = 2},
  [2773] = {.lex_state = 34, .external_lex_state = 2},
  [2774] = {.lex_state = 34, .external_lex_state = 2},
  [2775] = {.lex_state = 252, .external_lex_state = 2},
  [2776] = {.lex_state = 252, .external_lex_state = 2},
  [2777] = {.lex_state = 252, .external_lex_state = 2},
  [2778] = {.lex_state = 252, .external_lex_state = 2},
  [2779] = {.lex_state = 252, .external_lex_state = 2},
  [2780] = {.lex_state = 252, .external_lex_state = 2},
  [2781] = {.lex_state = 34, .external_lex_state = 2},
  [2782] = {.lex_state = 252, .external_lex_state = 2},
  [2783] = {.lex_state = 34, .external_lex_state = 2},
  [2784] = {.lex_state = 252, .external_lex_state = 2},
  [2785] = {.lex_state = 252, .external_lex_state = 2},
  [2786] = {.lex_state = 30, .external_lex_state = 2},
  [2787] = {.lex_state = 252, .external_lex_state = 2},
  [2788] = {.lex_state = 252, .external_lex_state = 2},
  [2789] = {.lex_state = 252, .external_lex_state = 2},
  [2790] = {.lex_state = 252, .external_lex_state = 2},
  [2791] = {.lex_state = 252, .external_lex_state = 2},
  [2792] = {.lex_state = 252, .external_lex_state = 2},
  [2793] = {.lex_state = 252, .external_lex_state = 2},
  [2794] = {.lex_state = 57, .external_lex_state = 2},
  [2795] = {.lex_state = 252, .external_lex_state = 2},
  [2796] = {.lex_state = 252, .external_lex_state = 2},
  [2797] = {.lex_state = 252, .external_lex_state = 2},
  [2798] = {.lex_state = 252, .external_lex_state = 2},
  [2799] = {.lex_state = 252, .external_lex_state = 2},
  [2800] = {.lex_state = 252, .external_lex_state = 2},
  [2801] = {.lex_state = 252, .external_lex_state = 2},
  [2802] = {.lex_state = 252, .external_lex_state = 2},
  [2803] = {.lex_state = 252, .external_lex_state = 2},
  [2804] = {.lex_state = 34, .external_lex_state = 2},
  [2805] = {.lex_state = 34, .external_lex_state = 2},
  [2806] = {.lex_state = 39, .external_lex_state = 2},
  [2807] = {.lex_state = 252, .external_lex_state = 2},
  [2808] = {.lex_state = 252, .external_lex_state = 2},
  [2809] = {.lex_state = 252, .external_lex_state = 2},
  [2810] = {.lex_state = 252, .external_lex_state = 2},
  [2811] = {.lex_state = 252, .external_lex_state = 2},
  [2812] = {.lex_state = 34, .external_lex_state = 2},
  [2813] = {.lex_state = 34, .external_lex_state = 2},
  [2814] = {.lex_state = 252, .external_lex_state = 2},
  [2815] = {.lex_state = 39, .external_lex_state = 2},
  [2816] = {.lex_state = 252, .external_lex_state = 2},
  [2817] = {.lex_state = 39, .external_lex_state = 2},
  [2818] = {.lex_state = 252, .external_lex_state = 2},
  [2819] = {.lex_state = 252, .external_lex_state = 2},
  [2820] = {.lex_state = 34, .external_lex_state = 2},
  [2821] = {.lex_state = 39, .external_lex_state = 2},
  [2822] = {.lex_state = 252, .external_lex_state = 2},
  [2823] = {.lex_state = 4, .external_lex_state = 8},
  [2824] = {.lex_state = 252, .external_lex_state = 2},
  [2825] = {.lex_state = 57, .external_lex_state = 2},
  [2826] = {.lex_state = 252, .external_lex_state = 2},
  [2827] = {.lex_state = 252, .external_lex_state = 2},
  [2828] = {.lex_state = 39, .external_lex_state = 2},
  [2829] = {.lex_state = 252, .external_lex_state = 2},
  [2830] = {.lex_state = 252, .external_lex_state = 2},
  [2831] = {.lex_state = 39, .external_lex_state = 2},
  [2832] = {.lex_state = 252, .external_lex_state = 2},
  [2833] = {.lex_state = 252, .external_lex_state = 2},
  [2834] = {.lex_state = 252, .external_lex_state = 2},
  [2835] = {.lex_state = 252, .external_lex_state = 2},
  [2836] = {.lex_state = 252, .external_lex_state = 2},
  [2837] = {.lex_state = 34, .external_lex_state = 2},
  [2838] = {.lex_state = 39, .external_lex_state = 2},
  [2839] = {.lex_state = 34, .external_lex_state = 2},
  [2840] = {.lex_state = 34, .external_lex_state = 2},
  [2841] = {.lex_state = 252, .external_lex_state = 2},
  [2842] = {.lex_state = 34, .external_lex_state = 2},
  [2843] = {.lex_state = 39, .external_lex_state = 2},
  [2844] = {.lex_state = 252, .external_lex_state = 2},
  [2845] = {.lex_state = 252, .external_lex_state = 2},
  [2846] = {.lex_state = 34, .external_lex_state = 2},
  [2847] = {.lex_state = 34, .external_lex_state = 2},
  [2848] = {.lex_state = 252, .external_lex_state = 2},
  [2849] = {.lex_state = 252, .external_lex_state = 2},
  [2850] = {.lex_state = 57, .external_lex_state = 2},
  [2851] = {.lex_state = 252, .external_lex_state = 2},
  [2852] = {.lex_state = 252, .external_lex_state = 2},
  [2853] = {.lex_state = 34, .external_lex_state = 2},
  [2854] = {.lex_state = 252, .external_lex_state = 2},
  [2855] = {.lex_state = 34, .external_lex_state = 2},
  [2856] = {.lex_state = 252, .external_lex_state = 2},
  [2857] = {.lex_state = 252, .external_lex_state = 2},
  [2858] = {.lex_state = 252, .external_lex_state = 2},
  [2859] = {.lex_state = 252, .external_lex_state = 2},
  [2860] = {.lex_state = 252, .external_lex_state = 2},
  [2861] = {.lex_state = 252, .external_lex_state = 2},
  [2862] = {.lex_state = 252, .external_lex_state = 2},
  [2863] = {.lex_state = 252, .external_lex_state = 2},
  [2864] = {.lex_state = 252, .external_lex_state = 2},
  [2865] = {.lex_state = 252, .external_lex_state = 2},
  [2866] = {.lex_state = 34, .external_lex_state = 2},
  [2867] = {.lex_state = 252, .external_lex_state = 2},
  [2868] = {.lex_state = 34, .external_lex_state = 2},
  [2869] = {.lex_state = 39, .external_lex_state = 2},
  [2870] = {.lex_state = 252, .external_lex_state = 2},
  [2871] = {.lex_state = 252, .external_lex_state = 2},
  [2872] = {.lex_state = 252, .external_lex_state = 2},
  [2873] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_optional_chain] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [aux_sym_method_definition_token1] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
  },
  [1] = {
    [sym_program] = STATE(2819),
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(1),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(61),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_object_assignment_pattern] = STATE(2094),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2792),
    [sym_spread_element] = STATE(2096),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1424),
    [sym_comment] = STATE(2),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(1643),
    [sym_formal_parameters] = STATE(2811),
    [sym_rest_pattern] = STATE(2094),
    [sym_method_definition] = STATE(2096),
    [sym_pair] = STATE(2096),
    [sym_pair_pattern] = STATE(2094),
    [sym__property_name] = STATE(2119),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_program_repeat1] = STATE(34),
    [aux_sym_export_statement_repeat1] = STATE(1540),
    [aux_sym_object_repeat1] = STATE(2147),
    [aux_sym_object_pattern_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_object_assignment_pattern] = STATE(2094),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2792),
    [sym_spread_element] = STATE(2096),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1424),
    [sym_comment] = STATE(3),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(1643),
    [sym_formal_parameters] = STATE(2811),
    [sym_rest_pattern] = STATE(2094),
    [sym_method_definition] = STATE(2096),
    [sym_pair] = STATE(2096),
    [sym_pair_pattern] = STATE(2094),
    [sym__property_name] = STATE(2119),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(1540),
    [aux_sym_object_repeat1] = STATE(2147),
    [aux_sym_object_pattern_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_object_assignment_pattern] = STATE(2094),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2792),
    [sym_spread_element] = STATE(2096),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1424),
    [sym_comment] = STATE(4),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(1643),
    [sym_formal_parameters] = STATE(2811),
    [sym_rest_pattern] = STATE(2094),
    [sym_method_definition] = STATE(2096),
    [sym_pair] = STATE(2096),
    [sym_pair_pattern] = STATE(2094),
    [sym__property_name] = STATE(2119),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_program_repeat1] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1540),
    [aux_sym_object_repeat1] = STATE(2147),
    [aux_sym_object_pattern_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_object_assignment_pattern] = STATE(2094),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2792),
    [sym_spread_element] = STATE(2096),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1424),
    [sym_comment] = STATE(5),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(1643),
    [sym_formal_parameters] = STATE(2811),
    [sym_rest_pattern] = STATE(2094),
    [sym_method_definition] = STATE(2096),
    [sym_pair] = STATE(2096),
    [sym_pair_pattern] = STATE(2094),
    [sym__property_name] = STATE(2119),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_program_repeat1] = STATE(40),
    [aux_sym_export_statement_repeat1] = STATE(1540),
    [aux_sym_object_repeat1] = STATE(2147),
    [aux_sym_object_pattern_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_object_assignment_pattern] = STATE(2094),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2792),
    [sym_spread_element] = STATE(2096),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1424),
    [sym_comment] = STATE(6),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(1643),
    [sym_formal_parameters] = STATE(2811),
    [sym_rest_pattern] = STATE(2094),
    [sym_method_definition] = STATE(2096),
    [sym_pair] = STATE(2096),
    [sym_pair_pattern] = STATE(2094),
    [sym__property_name] = STATE(2119),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(1540),
    [aux_sym_object_repeat1] = STATE(2147),
    [aux_sym_object_pattern_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_object_assignment_pattern] = STATE(2094),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2792),
    [sym_spread_element] = STATE(2142),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1424),
    [sym_comment] = STATE(7),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(1643),
    [sym_formal_parameters] = STATE(2811),
    [sym_rest_pattern] = STATE(2094),
    [sym_method_definition] = STATE(2142),
    [sym_pair] = STATE(2142),
    [sym_pair_pattern] = STATE(2094),
    [sym__property_name] = STATE(2119),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(1540),
    [aux_sym_object_repeat1] = STATE(2132),
    [aux_sym_object_pattern_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(131),
    [anon_sym_export] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(141),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(143),
    [anon_sym_set] = ACTIONS(143),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_object_assignment_pattern] = STATE(2094),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2792),
    [sym_spread_element] = STATE(2142),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1424),
    [sym_comment] = STATE(8),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(1643),
    [sym_formal_parameters] = STATE(2811),
    [sym_rest_pattern] = STATE(2094),
    [sym_method_definition] = STATE(2142),
    [sym_pair] = STATE(2142),
    [sym_pair_pattern] = STATE(2094),
    [sym__property_name] = STATE(2119),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(1540),
    [aux_sym_object_repeat1] = STATE(2132),
    [aux_sym_object_pattern_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(145),
    [anon_sym_export] = ACTIONS(147),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(153),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(155),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_object_assignment_pattern] = STATE(2094),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2792),
    [sym_spread_element] = STATE(2096),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1424),
    [sym_comment] = STATE(9),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(1643),
    [sym_formal_parameters] = STATE(2811),
    [sym_rest_pattern] = STATE(2094),
    [sym_method_definition] = STATE(2096),
    [sym_pair] = STATE(2096),
    [sym_pair_pattern] = STATE(2094),
    [sym__property_name] = STATE(2119),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(1540),
    [aux_sym_object_repeat1] = STATE(2147),
    [aux_sym_object_pattern_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(157),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(791),
    [sym_declaration] = STATE(791),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(791),
    [sym_expression_statement] = STATE(791),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_statement_block] = STATE(791),
    [sym_if_statement] = STATE(791),
    [sym_switch_statement] = STATE(791),
    [sym_for_statement] = STATE(791),
    [sym_for_in_statement] = STATE(791),
    [sym_while_statement] = STATE(791),
    [sym_do_statement] = STATE(791),
    [sym_try_statement] = STATE(791),
    [sym_with_statement] = STATE(791),
    [sym_break_statement] = STATE(791),
    [sym_continue_statement] = STATE(791),
    [sym_debugger_statement] = STATE(791),
    [sym_return_statement] = STATE(791),
    [sym_throw_statement] = STATE(791),
    [sym_empty_statement] = STATE(791),
    [sym_labeled_statement] = STATE(791),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(706),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(706),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2479),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(10),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(162),
    [anon_sym_default] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(167),
    [anon_sym_RBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(170),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_var] = ACTIONS(176),
    [anon_sym_let] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(182),
    [anon_sym_if] = ACTIONS(185),
    [anon_sym_switch] = ACTIONS(188),
    [anon_sym_for] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(194),
    [anon_sym_await] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(200),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(206),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(212),
    [anon_sym_debugger] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(218),
    [anon_sym_throw] = ACTIONS(221),
    [anon_sym_SEMI] = ACTIONS(224),
    [anon_sym_case] = ACTIONS(165),
    [anon_sym_yield] = ACTIONS(227),
    [anon_sym_LBRACK] = ACTIONS(230),
    [anon_sym_LTtemplate_GT] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_DQUOTE] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(242),
    [anon_sym_class] = ACTIONS(245),
    [anon_sym_async] = ACTIONS(248),
    [anon_sym_function] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(257),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_SLASH] = ACTIONS(260),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_typeof] = ACTIONS(257),
    [anon_sym_void] = ACTIONS(257),
    [anon_sym_delete] = ACTIONS(257),
    [anon_sym_PLUS_PLUS] = ACTIONS(263),
    [anon_sym_DASH_DASH] = ACTIONS(263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(266),
    [sym_number] = ACTIONS(269),
    [sym_private_property_identifier] = ACTIONS(272),
    [sym_this] = ACTIONS(269),
    [sym_super] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_null] = ACTIONS(269),
    [sym_undefined] = ACTIONS(275),
    [anon_sym_AT] = ACTIONS(278),
    [anon_sym_static] = ACTIONS(281),
    [anon_sym_get] = ACTIONS(281),
    [anon_sym_set] = ACTIONS(281),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(791),
    [sym_declaration] = STATE(791),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(791),
    [sym_expression_statement] = STATE(791),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_statement_block] = STATE(791),
    [sym_if_statement] = STATE(791),
    [sym_switch_statement] = STATE(791),
    [sym_for_statement] = STATE(791),
    [sym_for_in_statement] = STATE(791),
    [sym_while_statement] = STATE(791),
    [sym_do_statement] = STATE(791),
    [sym_try_statement] = STATE(791),
    [sym_with_statement] = STATE(791),
    [sym_break_statement] = STATE(791),
    [sym_continue_statement] = STATE(791),
    [sym_debugger_statement] = STATE(791),
    [sym_return_statement] = STATE(791),
    [sym_throw_statement] = STATE(791),
    [sym_empty_statement] = STATE(791),
    [sym_labeled_statement] = STATE(791),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(706),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(706),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2479),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(11),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_default] = ACTIONS(288),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_RBRACE] = ACTIONS(288),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_case] = ACTIONS(288),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(791),
    [sym_declaration] = STATE(791),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(791),
    [sym_expression_statement] = STATE(791),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_statement_block] = STATE(791),
    [sym_if_statement] = STATE(791),
    [sym_switch_statement] = STATE(791),
    [sym_for_statement] = STATE(791),
    [sym_for_in_statement] = STATE(791),
    [sym_while_statement] = STATE(791),
    [sym_do_statement] = STATE(791),
    [sym_try_statement] = STATE(791),
    [sym_with_statement] = STATE(791),
    [sym_break_statement] = STATE(791),
    [sym_continue_statement] = STATE(791),
    [sym_debugger_statement] = STATE(791),
    [sym_return_statement] = STATE(791),
    [sym_throw_statement] = STATE(791),
    [sym_empty_statement] = STATE(791),
    [sym_labeled_statement] = STATE(791),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(706),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(706),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2479),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(12),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_default] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_RBRACE] = ACTIONS(334),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_case] = ACTIONS(334),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(791),
    [sym_declaration] = STATE(791),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(791),
    [sym_expression_statement] = STATE(791),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_statement_block] = STATE(791),
    [sym_if_statement] = STATE(791),
    [sym_switch_statement] = STATE(791),
    [sym_for_statement] = STATE(791),
    [sym_for_in_statement] = STATE(791),
    [sym_while_statement] = STATE(791),
    [sym_do_statement] = STATE(791),
    [sym_try_statement] = STATE(791),
    [sym_with_statement] = STATE(791),
    [sym_break_statement] = STATE(791),
    [sym_continue_statement] = STATE(791),
    [sym_debugger_statement] = STATE(791),
    [sym_return_statement] = STATE(791),
    [sym_throw_statement] = STATE(791),
    [sym_empty_statement] = STATE(791),
    [sym_labeled_statement] = STATE(791),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(706),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(706),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2479),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(13),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_default] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_RBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_case] = ACTIONS(336),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(791),
    [sym_declaration] = STATE(791),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(791),
    [sym_expression_statement] = STATE(791),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_statement_block] = STATE(791),
    [sym_if_statement] = STATE(791),
    [sym_switch_statement] = STATE(791),
    [sym_for_statement] = STATE(791),
    [sym_for_in_statement] = STATE(791),
    [sym_while_statement] = STATE(791),
    [sym_do_statement] = STATE(791),
    [sym_try_statement] = STATE(791),
    [sym_with_statement] = STATE(791),
    [sym_break_statement] = STATE(791),
    [sym_continue_statement] = STATE(791),
    [sym_debugger_statement] = STATE(791),
    [sym_return_statement] = STATE(791),
    [sym_throw_statement] = STATE(791),
    [sym_empty_statement] = STATE(791),
    [sym_labeled_statement] = STATE(791),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(706),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(706),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2479),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(14),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_default] = ACTIONS(338),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_RBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_case] = ACTIONS(338),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(15),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [ts_builtin_sym_end] = ACTIONS(340),
    [sym_identifier] = ACTIONS(342),
    [anon_sym_export] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(348),
    [anon_sym_RBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(351),
    [anon_sym_with] = ACTIONS(354),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_const] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(366),
    [anon_sym_switch] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(372),
    [anon_sym_LPAREN] = ACTIONS(194),
    [anon_sym_await] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(375),
    [anon_sym_do] = ACTIONS(378),
    [anon_sym_try] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(384),
    [anon_sym_continue] = ACTIONS(387),
    [anon_sym_debugger] = ACTIONS(390),
    [anon_sym_return] = ACTIONS(393),
    [anon_sym_throw] = ACTIONS(396),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(227),
    [anon_sym_LBRACK] = ACTIONS(230),
    [anon_sym_LTtemplate_GT] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_DQUOTE] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(242),
    [anon_sym_class] = ACTIONS(402),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(408),
    [anon_sym_new] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(257),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_SLASH] = ACTIONS(260),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_typeof] = ACTIONS(257),
    [anon_sym_void] = ACTIONS(257),
    [anon_sym_delete] = ACTIONS(257),
    [anon_sym_PLUS_PLUS] = ACTIONS(263),
    [anon_sym_DASH_DASH] = ACTIONS(263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(266),
    [sym_number] = ACTIONS(269),
    [sym_private_property_identifier] = ACTIONS(272),
    [sym_this] = ACTIONS(269),
    [sym_super] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_null] = ACTIONS(269),
    [sym_undefined] = ACTIONS(275),
    [anon_sym_AT] = ACTIONS(278),
    [anon_sym_static] = ACTIONS(411),
    [anon_sym_get] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(411),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(16),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(67),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(414),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(17),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(42),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(18),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(19),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(420),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(20),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(422),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(21),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(424),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(22),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(426),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(23),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(24),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(29),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(430),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(25),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(432),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(26),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(434),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(27),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(436),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(28),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(34),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(438),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(29),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(440),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(30),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(31),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(31),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(444),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(32),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(33),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(446),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(33),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(448),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(34),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(450),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(35),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(452),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(36),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(35),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(37),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(38),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [ts_builtin_sym_end] = ACTIONS(458),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(39),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(40),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(462),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(41),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(37),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(464),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(42),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(466),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(43),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(44),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(470),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(45),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(44),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(472),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(46),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(47),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(46),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(48),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(478),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(49),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(480),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(50),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(482),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(51),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(484),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(52),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(53),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(40),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(488),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(54),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(490),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(55),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(54),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(492),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(56),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(57),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(496),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(58),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(59),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(58),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(500),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(60),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(502),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(61),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [ts_builtin_sym_end] = ACTIONS(458),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(62),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(504),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(63),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [ts_builtin_sym_end] = ACTIONS(506),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(64),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(65),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(60),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(66),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(64),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(67),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(514),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(68),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(516),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_export_statement] = STATE(748),
    [sym_declaration] = STATE(748),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(748),
    [sym_expression_statement] = STATE(748),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(748),
    [sym_if_statement] = STATE(748),
    [sym_switch_statement] = STATE(748),
    [sym_for_statement] = STATE(748),
    [sym_for_in_statement] = STATE(748),
    [sym_while_statement] = STATE(748),
    [sym_do_statement] = STATE(748),
    [sym_try_statement] = STATE(748),
    [sym_with_statement] = STATE(748),
    [sym_break_statement] = STATE(748),
    [sym_continue_statement] = STATE(748),
    [sym_debugger_statement] = STATE(748),
    [sym_return_statement] = STATE(748),
    [sym_throw_statement] = STATE(748),
    [sym_empty_statement] = STATE(748),
    [sym_labeled_statement] = STATE(748),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1245),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2236),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(69),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1886),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_export_statement] = STATE(2713),
    [sym_declaration] = STATE(2713),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(2713),
    [sym_expression_statement] = STATE(2713),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_statement_block] = STATE(2713),
    [sym_if_statement] = STATE(2713),
    [sym_switch_statement] = STATE(2713),
    [sym_for_statement] = STATE(2713),
    [sym_for_in_statement] = STATE(2713),
    [sym_while_statement] = STATE(2713),
    [sym_do_statement] = STATE(2713),
    [sym_try_statement] = STATE(2713),
    [sym_with_statement] = STATE(2713),
    [sym_break_statement] = STATE(2713),
    [sym_continue_statement] = STATE(2713),
    [sym_debugger_statement] = STATE(2713),
    [sym_return_statement] = STATE(2713),
    [sym_throw_statement] = STATE(2713),
    [sym_empty_statement] = STATE(2713),
    [sym_labeled_statement] = STATE(2713),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2605),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(70),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_export_statement] = STATE(950),
    [sym_declaration] = STATE(951),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(904),
    [sym_expression_statement] = STATE(960),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(962),
    [sym_if_statement] = STATE(964),
    [sym_switch_statement] = STATE(905),
    [sym_for_statement] = STATE(970),
    [sym_for_in_statement] = STATE(972),
    [sym_while_statement] = STATE(975),
    [sym_do_statement] = STATE(977),
    [sym_try_statement] = STATE(980),
    [sym_with_statement] = STATE(982),
    [sym_break_statement] = STATE(983),
    [sym_continue_statement] = STATE(987),
    [sym_debugger_statement] = STATE(989),
    [sym_return_statement] = STATE(993),
    [sym_throw_statement] = STATE(996),
    [sym_empty_statement] = STATE(997),
    [sym_labeled_statement] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(71),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_export_statement] = STATE(2574),
    [sym_declaration] = STATE(2561),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(2559),
    [sym_expression_statement] = STATE(2529),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_statement_block] = STATE(2526),
    [sym_if_statement] = STATE(2503),
    [sym_switch_statement] = STATE(2501),
    [sym_for_statement] = STATE(2491),
    [sym_for_in_statement] = STATE(2485),
    [sym_while_statement] = STATE(2480),
    [sym_do_statement] = STATE(2478),
    [sym_try_statement] = STATE(2466),
    [sym_with_statement] = STATE(2462),
    [sym_break_statement] = STATE(2458),
    [sym_continue_statement] = STATE(2454),
    [sym_debugger_statement] = STATE(2399),
    [sym_return_statement] = STATE(2418),
    [sym_throw_statement] = STATE(2416),
    [sym_empty_statement] = STATE(2412),
    [sym_labeled_statement] = STATE(2403),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2605),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(72),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_export_statement] = STATE(2754),
    [sym_declaration] = STATE(2754),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(2754),
    [sym_expression_statement] = STATE(2754),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_statement_block] = STATE(2754),
    [sym_if_statement] = STATE(2754),
    [sym_switch_statement] = STATE(2754),
    [sym_for_statement] = STATE(2754),
    [sym_for_in_statement] = STATE(2754),
    [sym_while_statement] = STATE(2754),
    [sym_do_statement] = STATE(2754),
    [sym_try_statement] = STATE(2754),
    [sym_with_statement] = STATE(2754),
    [sym_break_statement] = STATE(2754),
    [sym_continue_statement] = STATE(2754),
    [sym_debugger_statement] = STATE(2754),
    [sym_return_statement] = STATE(2754),
    [sym_throw_statement] = STATE(2754),
    [sym_empty_statement] = STATE(2754),
    [sym_labeled_statement] = STATE(2754),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2605),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(73),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_export_statement] = STATE(2744),
    [sym_declaration] = STATE(2744),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(2744),
    [sym_expression_statement] = STATE(2744),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_statement_block] = STATE(2744),
    [sym_if_statement] = STATE(2744),
    [sym_switch_statement] = STATE(2744),
    [sym_for_statement] = STATE(2744),
    [sym_for_in_statement] = STATE(2744),
    [sym_while_statement] = STATE(2744),
    [sym_do_statement] = STATE(2744),
    [sym_try_statement] = STATE(2744),
    [sym_with_statement] = STATE(2744),
    [sym_break_statement] = STATE(2744),
    [sym_continue_statement] = STATE(2744),
    [sym_debugger_statement] = STATE(2744),
    [sym_return_statement] = STATE(2744),
    [sym_throw_statement] = STATE(2744),
    [sym_empty_statement] = STATE(2744),
    [sym_labeled_statement] = STATE(2744),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2605),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(74),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(810),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(808),
    [sym_expression_statement] = STATE(805),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_statement_block] = STATE(804),
    [sym_if_statement] = STATE(796),
    [sym_switch_statement] = STATE(787),
    [sym_for_statement] = STATE(774),
    [sym_for_in_statement] = STATE(772),
    [sym_while_statement] = STATE(761),
    [sym_do_statement] = STATE(758),
    [sym_try_statement] = STATE(754),
    [sym_with_statement] = STATE(749),
    [sym_break_statement] = STATE(740),
    [sym_continue_statement] = STATE(738),
    [sym_debugger_statement] = STATE(725),
    [sym_return_statement] = STATE(695),
    [sym_throw_statement] = STATE(899),
    [sym_empty_statement] = STATE(707),
    [sym_labeled_statement] = STATE(825),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(706),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(706),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2479),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(75),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_export_statement] = STATE(720),
    [sym_declaration] = STATE(720),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(720),
    [sym_expression_statement] = STATE(720),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(720),
    [sym_if_statement] = STATE(720),
    [sym_switch_statement] = STATE(720),
    [sym_for_statement] = STATE(720),
    [sym_for_in_statement] = STATE(720),
    [sym_while_statement] = STATE(720),
    [sym_do_statement] = STATE(720),
    [sym_try_statement] = STATE(720),
    [sym_with_statement] = STATE(720),
    [sym_break_statement] = STATE(720),
    [sym_continue_statement] = STATE(720),
    [sym_debugger_statement] = STATE(720),
    [sym_return_statement] = STATE(720),
    [sym_throw_statement] = STATE(720),
    [sym_empty_statement] = STATE(720),
    [sym_labeled_statement] = STATE(720),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1245),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2236),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(76),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1886),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_export_statement] = STATE(956),
    [sym_declaration] = STATE(956),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(956),
    [sym_expression_statement] = STATE(956),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(956),
    [sym_if_statement] = STATE(956),
    [sym_switch_statement] = STATE(956),
    [sym_for_statement] = STATE(956),
    [sym_for_in_statement] = STATE(956),
    [sym_while_statement] = STATE(956),
    [sym_do_statement] = STATE(956),
    [sym_try_statement] = STATE(956),
    [sym_with_statement] = STATE(956),
    [sym_break_statement] = STATE(956),
    [sym_continue_statement] = STATE(956),
    [sym_debugger_statement] = STATE(956),
    [sym_return_statement] = STATE(956),
    [sym_throw_statement] = STATE(956),
    [sym_empty_statement] = STATE(956),
    [sym_labeled_statement] = STATE(956),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(77),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_export_statement] = STATE(733),
    [sym_declaration] = STATE(733),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(733),
    [sym_expression_statement] = STATE(733),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(733),
    [sym_if_statement] = STATE(733),
    [sym_switch_statement] = STATE(733),
    [sym_for_statement] = STATE(733),
    [sym_for_in_statement] = STATE(733),
    [sym_while_statement] = STATE(733),
    [sym_do_statement] = STATE(733),
    [sym_try_statement] = STATE(733),
    [sym_with_statement] = STATE(733),
    [sym_break_statement] = STATE(733),
    [sym_continue_statement] = STATE(733),
    [sym_debugger_statement] = STATE(733),
    [sym_return_statement] = STATE(733),
    [sym_throw_statement] = STATE(733),
    [sym_empty_statement] = STATE(733),
    [sym_labeled_statement] = STATE(733),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1245),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2236),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(78),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1886),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_export_statement] = STATE(2777),
    [sym_declaration] = STATE(2777),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(2777),
    [sym_expression_statement] = STATE(2777),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_statement_block] = STATE(2777),
    [sym_if_statement] = STATE(2777),
    [sym_switch_statement] = STATE(2777),
    [sym_for_statement] = STATE(2777),
    [sym_for_in_statement] = STATE(2777),
    [sym_while_statement] = STATE(2777),
    [sym_do_statement] = STATE(2777),
    [sym_try_statement] = STATE(2777),
    [sym_with_statement] = STATE(2777),
    [sym_break_statement] = STATE(2777),
    [sym_continue_statement] = STATE(2777),
    [sym_debugger_statement] = STATE(2777),
    [sym_return_statement] = STATE(2777),
    [sym_throw_statement] = STATE(2777),
    [sym_empty_statement] = STATE(2777),
    [sym_labeled_statement] = STATE(2777),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2605),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(79),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_export_statement] = STATE(2276),
    [sym_declaration] = STATE(2276),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(2276),
    [sym_expression_statement] = STATE(2276),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_statement_block] = STATE(2276),
    [sym_if_statement] = STATE(2276),
    [sym_switch_statement] = STATE(2276),
    [sym_for_statement] = STATE(2276),
    [sym_for_in_statement] = STATE(2276),
    [sym_while_statement] = STATE(2276),
    [sym_do_statement] = STATE(2276),
    [sym_try_statement] = STATE(2276),
    [sym_with_statement] = STATE(2276),
    [sym_break_statement] = STATE(2276),
    [sym_continue_statement] = STATE(2276),
    [sym_debugger_statement] = STATE(2276),
    [sym_return_statement] = STATE(2276),
    [sym_throw_statement] = STATE(2276),
    [sym_empty_statement] = STATE(2276),
    [sym_labeled_statement] = STATE(2276),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2605),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(80),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_export_statement] = STATE(820),
    [sym_declaration] = STATE(820),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(820),
    [sym_expression_statement] = STATE(820),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_statement_block] = STATE(820),
    [sym_if_statement] = STATE(820),
    [sym_switch_statement] = STATE(820),
    [sym_for_statement] = STATE(820),
    [sym_for_in_statement] = STATE(820),
    [sym_while_statement] = STATE(820),
    [sym_do_statement] = STATE(820),
    [sym_try_statement] = STATE(820),
    [sym_with_statement] = STATE(820),
    [sym_break_statement] = STATE(820),
    [sym_continue_statement] = STATE(820),
    [sym_debugger_statement] = STATE(820),
    [sym_return_statement] = STATE(820),
    [sym_throw_statement] = STATE(820),
    [sym_empty_statement] = STATE(820),
    [sym_labeled_statement] = STATE(820),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(706),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(706),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2479),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(81),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_export_statement] = STATE(762),
    [sym_declaration] = STATE(768),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(776),
    [sym_expression_statement] = STATE(771),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_statement_block] = STATE(678),
    [sym_if_statement] = STATE(782),
    [sym_switch_statement] = STATE(784),
    [sym_for_statement] = STATE(786),
    [sym_for_in_statement] = STATE(789),
    [sym_while_statement] = STATE(790),
    [sym_do_statement] = STATE(679),
    [sym_try_statement] = STATE(792),
    [sym_with_statement] = STATE(793),
    [sym_break_statement] = STATE(795),
    [sym_continue_statement] = STATE(797),
    [sym_debugger_statement] = STATE(802),
    [sym_return_statement] = STATE(809),
    [sym_throw_statement] = STATE(811),
    [sym_empty_statement] = STATE(815),
    [sym_labeled_statement] = STATE(816),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(706),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(706),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2479),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(82),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_export_statement] = STATE(990),
    [sym_declaration] = STATE(990),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(990),
    [sym_expression_statement] = STATE(990),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_switch_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_for_in_statement] = STATE(990),
    [sym_while_statement] = STATE(990),
    [sym_do_statement] = STATE(990),
    [sym_try_statement] = STATE(990),
    [sym_with_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_debugger_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_throw_statement] = STATE(990),
    [sym_empty_statement] = STATE(990),
    [sym_labeled_statement] = STATE(990),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(83),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_export_statement] = STATE(757),
    [sym_declaration] = STATE(757),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_statement_block] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym_switch_statement] = STATE(757),
    [sym_for_statement] = STATE(757),
    [sym_for_in_statement] = STATE(757),
    [sym_while_statement] = STATE(757),
    [sym_do_statement] = STATE(757),
    [sym_try_statement] = STATE(757),
    [sym_with_statement] = STATE(757),
    [sym_break_statement] = STATE(757),
    [sym_continue_statement] = STATE(757),
    [sym_debugger_statement] = STATE(757),
    [sym_return_statement] = STATE(757),
    [sym_throw_statement] = STATE(757),
    [sym_empty_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(706),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(706),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2479),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(84),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_export_statement] = STATE(903),
    [sym_declaration] = STATE(903),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(903),
    [sym_expression_statement] = STATE(903),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_statement_block] = STATE(903),
    [sym_if_statement] = STATE(903),
    [sym_switch_statement] = STATE(903),
    [sym_for_statement] = STATE(903),
    [sym_for_in_statement] = STATE(903),
    [sym_while_statement] = STATE(903),
    [sym_do_statement] = STATE(903),
    [sym_try_statement] = STATE(903),
    [sym_with_statement] = STATE(903),
    [sym_break_statement] = STATE(903),
    [sym_continue_statement] = STATE(903),
    [sym_debugger_statement] = STATE(903),
    [sym_return_statement] = STATE(903),
    [sym_throw_statement] = STATE(903),
    [sym_empty_statement] = STATE(903),
    [sym_labeled_statement] = STATE(903),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(706),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(706),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2479),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(85),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_export_statement] = STATE(751),
    [sym_declaration] = STATE(751),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(751),
    [sym_expression_statement] = STATE(751),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_statement_block] = STATE(751),
    [sym_if_statement] = STATE(751),
    [sym_switch_statement] = STATE(751),
    [sym_for_statement] = STATE(751),
    [sym_for_in_statement] = STATE(751),
    [sym_while_statement] = STATE(751),
    [sym_do_statement] = STATE(751),
    [sym_try_statement] = STATE(751),
    [sym_with_statement] = STATE(751),
    [sym_break_statement] = STATE(751),
    [sym_continue_statement] = STATE(751),
    [sym_debugger_statement] = STATE(751),
    [sym_return_statement] = STATE(751),
    [sym_throw_statement] = STATE(751),
    [sym_empty_statement] = STATE(751),
    [sym_labeled_statement] = STATE(751),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(706),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(706),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2479),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(86),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_export_statement] = STATE(2364),
    [sym_declaration] = STATE(2364),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(2364),
    [sym_expression_statement] = STATE(2364),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_statement_block] = STATE(2364),
    [sym_if_statement] = STATE(2364),
    [sym_switch_statement] = STATE(2364),
    [sym_for_statement] = STATE(2364),
    [sym_for_in_statement] = STATE(2364),
    [sym_while_statement] = STATE(2364),
    [sym_do_statement] = STATE(2364),
    [sym_try_statement] = STATE(2364),
    [sym_with_statement] = STATE(2364),
    [sym_break_statement] = STATE(2364),
    [sym_continue_statement] = STATE(2364),
    [sym_debugger_statement] = STATE(2364),
    [sym_return_statement] = STATE(2364),
    [sym_throw_statement] = STATE(2364),
    [sym_empty_statement] = STATE(2364),
    [sym_labeled_statement] = STATE(2364),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2605),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(87),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_export_statement] = STATE(726),
    [sym_declaration] = STATE(726),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(726),
    [sym_expression_statement] = STATE(726),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(726),
    [sym_if_statement] = STATE(726),
    [sym_switch_statement] = STATE(726),
    [sym_for_statement] = STATE(726),
    [sym_for_in_statement] = STATE(726),
    [sym_while_statement] = STATE(726),
    [sym_do_statement] = STATE(726),
    [sym_try_statement] = STATE(726),
    [sym_with_statement] = STATE(726),
    [sym_break_statement] = STATE(726),
    [sym_continue_statement] = STATE(726),
    [sym_debugger_statement] = STATE(726),
    [sym_return_statement] = STATE(726),
    [sym_throw_statement] = STATE(726),
    [sym_empty_statement] = STATE(726),
    [sym_labeled_statement] = STATE(726),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1245),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2236),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(88),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1886),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_export_statement] = STATE(712),
    [sym_declaration] = STATE(712),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(712),
    [sym_expression_statement] = STATE(712),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_statement_block] = STATE(712),
    [sym_if_statement] = STATE(712),
    [sym_switch_statement] = STATE(712),
    [sym_for_statement] = STATE(712),
    [sym_for_in_statement] = STATE(712),
    [sym_while_statement] = STATE(712),
    [sym_do_statement] = STATE(712),
    [sym_try_statement] = STATE(712),
    [sym_with_statement] = STATE(712),
    [sym_break_statement] = STATE(712),
    [sym_continue_statement] = STATE(712),
    [sym_debugger_statement] = STATE(712),
    [sym_return_statement] = STATE(712),
    [sym_throw_statement] = STATE(712),
    [sym_empty_statement] = STATE(712),
    [sym_labeled_statement] = STATE(712),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(706),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(706),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2479),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(89),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_export_statement] = STATE(495),
    [sym_declaration] = STATE(495),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(495),
    [sym_expression_statement] = STATE(495),
    [sym_variable_declaration] = STATE(640),
    [sym_lexical_declaration] = STATE(640),
    [sym_statement_block] = STATE(495),
    [sym_if_statement] = STATE(495),
    [sym_switch_statement] = STATE(495),
    [sym_for_statement] = STATE(495),
    [sym_for_in_statement] = STATE(495),
    [sym_while_statement] = STATE(495),
    [sym_do_statement] = STATE(495),
    [sym_try_statement] = STATE(495),
    [sym_with_statement] = STATE(495),
    [sym_break_statement] = STATE(495),
    [sym_continue_statement] = STATE(495),
    [sym_debugger_statement] = STATE(495),
    [sym_return_statement] = STATE(495),
    [sym_throw_statement] = STATE(495),
    [sym_empty_statement] = STATE(495),
    [sym_labeled_statement] = STATE(495),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1219),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(640),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(640),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(640),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2554),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(90),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_export_statement] = STATE(959),
    [sym_declaration] = STATE(959),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(959),
    [sym_expression_statement] = STATE(959),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(959),
    [sym_if_statement] = STATE(959),
    [sym_switch_statement] = STATE(959),
    [sym_for_statement] = STATE(959),
    [sym_for_in_statement] = STATE(959),
    [sym_while_statement] = STATE(959),
    [sym_do_statement] = STATE(959),
    [sym_try_statement] = STATE(959),
    [sym_with_statement] = STATE(959),
    [sym_break_statement] = STATE(959),
    [sym_continue_statement] = STATE(959),
    [sym_debugger_statement] = STATE(959),
    [sym_return_statement] = STATE(959),
    [sym_throw_statement] = STATE(959),
    [sym_empty_statement] = STATE(959),
    [sym_labeled_statement] = STATE(959),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(91),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_export_statement] = STATE(2749),
    [sym_declaration] = STATE(2749),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(2749),
    [sym_expression_statement] = STATE(2749),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_statement_block] = STATE(2749),
    [sym_if_statement] = STATE(2749),
    [sym_switch_statement] = STATE(2749),
    [sym_for_statement] = STATE(2749),
    [sym_for_in_statement] = STATE(2749),
    [sym_while_statement] = STATE(2749),
    [sym_do_statement] = STATE(2749),
    [sym_try_statement] = STATE(2749),
    [sym_with_statement] = STATE(2749),
    [sym_break_statement] = STATE(2749),
    [sym_continue_statement] = STATE(2749),
    [sym_debugger_statement] = STATE(2749),
    [sym_return_statement] = STATE(2749),
    [sym_throw_statement] = STATE(2749),
    [sym_empty_statement] = STATE(2749),
    [sym_labeled_statement] = STATE(2749),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2605),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(92),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_export_statement] = STATE(2750),
    [sym_declaration] = STATE(2750),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(2750),
    [sym_expression_statement] = STATE(2750),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_statement_block] = STATE(2750),
    [sym_if_statement] = STATE(2750),
    [sym_switch_statement] = STATE(2750),
    [sym_for_statement] = STATE(2750),
    [sym_for_in_statement] = STATE(2750),
    [sym_while_statement] = STATE(2750),
    [sym_do_statement] = STATE(2750),
    [sym_try_statement] = STATE(2750),
    [sym_with_statement] = STATE(2750),
    [sym_break_statement] = STATE(2750),
    [sym_continue_statement] = STATE(2750),
    [sym_debugger_statement] = STATE(2750),
    [sym_return_statement] = STATE(2750),
    [sym_throw_statement] = STATE(2750),
    [sym_empty_statement] = STATE(2750),
    [sym_labeled_statement] = STATE(2750),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2605),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(93),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_export_statement] = STATE(900),
    [sym_declaration] = STATE(900),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(900),
    [sym_expression_statement] = STATE(900),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(900),
    [sym_if_statement] = STATE(900),
    [sym_switch_statement] = STATE(900),
    [sym_for_statement] = STATE(900),
    [sym_for_in_statement] = STATE(900),
    [sym_while_statement] = STATE(900),
    [sym_do_statement] = STATE(900),
    [sym_try_statement] = STATE(900),
    [sym_with_statement] = STATE(900),
    [sym_break_statement] = STATE(900),
    [sym_continue_statement] = STATE(900),
    [sym_debugger_statement] = STATE(900),
    [sym_return_statement] = STATE(900),
    [sym_throw_statement] = STATE(900),
    [sym_empty_statement] = STATE(900),
    [sym_labeled_statement] = STATE(900),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1245),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2236),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(94),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1886),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_export_statement] = STATE(727),
    [sym_declaration] = STATE(727),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(727),
    [sym_expression_statement] = STATE(727),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_statement_block] = STATE(727),
    [sym_if_statement] = STATE(727),
    [sym_switch_statement] = STATE(727),
    [sym_for_statement] = STATE(727),
    [sym_for_in_statement] = STATE(727),
    [sym_while_statement] = STATE(727),
    [sym_do_statement] = STATE(727),
    [sym_try_statement] = STATE(727),
    [sym_with_statement] = STATE(727),
    [sym_break_statement] = STATE(727),
    [sym_continue_statement] = STATE(727),
    [sym_debugger_statement] = STATE(727),
    [sym_return_statement] = STATE(727),
    [sym_throw_statement] = STATE(727),
    [sym_empty_statement] = STATE(727),
    [sym_labeled_statement] = STATE(727),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(706),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(706),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2479),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(95),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_export_statement] = STATE(961),
    [sym_declaration] = STATE(961),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(961),
    [sym_expression_statement] = STATE(961),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(961),
    [sym_if_statement] = STATE(961),
    [sym_switch_statement] = STATE(961),
    [sym_for_statement] = STATE(961),
    [sym_for_in_statement] = STATE(961),
    [sym_while_statement] = STATE(961),
    [sym_do_statement] = STATE(961),
    [sym_try_statement] = STATE(961),
    [sym_with_statement] = STATE(961),
    [sym_break_statement] = STATE(961),
    [sym_continue_statement] = STATE(961),
    [sym_debugger_statement] = STATE(961),
    [sym_return_statement] = STATE(961),
    [sym_throw_statement] = STATE(961),
    [sym_empty_statement] = STATE(961),
    [sym_labeled_statement] = STATE(961),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(96),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_export_statement] = STATE(487),
    [sym_declaration] = STATE(487),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(487),
    [sym_expression_statement] = STATE(487),
    [sym_variable_declaration] = STATE(640),
    [sym_lexical_declaration] = STATE(640),
    [sym_statement_block] = STATE(487),
    [sym_if_statement] = STATE(487),
    [sym_switch_statement] = STATE(487),
    [sym_for_statement] = STATE(487),
    [sym_for_in_statement] = STATE(487),
    [sym_while_statement] = STATE(487),
    [sym_do_statement] = STATE(487),
    [sym_try_statement] = STATE(487),
    [sym_with_statement] = STATE(487),
    [sym_break_statement] = STATE(487),
    [sym_continue_statement] = STATE(487),
    [sym_debugger_statement] = STATE(487),
    [sym_return_statement] = STATE(487),
    [sym_throw_statement] = STATE(487),
    [sym_empty_statement] = STATE(487),
    [sym_labeled_statement] = STATE(487),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1219),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(640),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(640),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(640),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2554),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(97),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_export_statement] = STATE(609),
    [sym_declaration] = STATE(609),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(609),
    [sym_expression_statement] = STATE(609),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(609),
    [sym_if_statement] = STATE(609),
    [sym_switch_statement] = STATE(609),
    [sym_for_statement] = STATE(609),
    [sym_for_in_statement] = STATE(609),
    [sym_while_statement] = STATE(609),
    [sym_do_statement] = STATE(609),
    [sym_try_statement] = STATE(609),
    [sym_with_statement] = STATE(609),
    [sym_break_statement] = STATE(609),
    [sym_continue_statement] = STATE(609),
    [sym_debugger_statement] = STATE(609),
    [sym_return_statement] = STATE(609),
    [sym_throw_statement] = STATE(609),
    [sym_empty_statement] = STATE(609),
    [sym_labeled_statement] = STATE(609),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1245),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2236),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(98),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1886),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_export_statement] = STATE(887),
    [sym_declaration] = STATE(886),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(885),
    [sym_expression_statement] = STATE(882),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(881),
    [sym_if_statement] = STATE(872),
    [sym_switch_statement] = STATE(868),
    [sym_for_statement] = STATE(867),
    [sym_for_in_statement] = STATE(864),
    [sym_while_statement] = STATE(860),
    [sym_do_statement] = STATE(858),
    [sym_try_statement] = STATE(856),
    [sym_with_statement] = STATE(854),
    [sym_break_statement] = STATE(851),
    [sym_continue_statement] = STATE(850),
    [sym_debugger_statement] = STATE(846),
    [sym_return_statement] = STATE(845),
    [sym_throw_statement] = STATE(844),
    [sym_empty_statement] = STATE(843),
    [sym_labeled_statement] = STATE(842),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1245),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2236),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(99),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1886),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_export_statement] = STATE(694),
    [sym_declaration] = STATE(693),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(692),
    [sym_expression_statement] = STATE(691),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(690),
    [sym_if_statement] = STATE(688),
    [sym_switch_statement] = STATE(687),
    [sym_for_statement] = STATE(686),
    [sym_for_in_statement] = STATE(685),
    [sym_while_statement] = STATE(684),
    [sym_do_statement] = STATE(683),
    [sym_try_statement] = STATE(682),
    [sym_with_statement] = STATE(681),
    [sym_break_statement] = STATE(680),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(744),
    [sym_return_statement] = STATE(741),
    [sym_throw_statement] = STATE(731),
    [sym_empty_statement] = STATE(730),
    [sym_labeled_statement] = STATE(728),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1245),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2236),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(100),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1886),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_export_statement] = STATE(926),
    [sym_declaration] = STATE(926),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(926),
    [sym_expression_statement] = STATE(926),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(926),
    [sym_if_statement] = STATE(926),
    [sym_switch_statement] = STATE(926),
    [sym_for_statement] = STATE(926),
    [sym_for_in_statement] = STATE(926),
    [sym_while_statement] = STATE(926),
    [sym_do_statement] = STATE(926),
    [sym_try_statement] = STATE(926),
    [sym_with_statement] = STATE(926),
    [sym_break_statement] = STATE(926),
    [sym_continue_statement] = STATE(926),
    [sym_debugger_statement] = STATE(926),
    [sym_return_statement] = STATE(926),
    [sym_throw_statement] = STATE(926),
    [sym_empty_statement] = STATE(926),
    [sym_labeled_statement] = STATE(926),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(101),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_export_statement] = STATE(614),
    [sym_declaration] = STATE(614),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(614),
    [sym_expression_statement] = STATE(614),
    [sym_variable_declaration] = STATE(640),
    [sym_lexical_declaration] = STATE(640),
    [sym_statement_block] = STATE(614),
    [sym_if_statement] = STATE(614),
    [sym_switch_statement] = STATE(614),
    [sym_for_statement] = STATE(614),
    [sym_for_in_statement] = STATE(614),
    [sym_while_statement] = STATE(614),
    [sym_do_statement] = STATE(614),
    [sym_try_statement] = STATE(614),
    [sym_with_statement] = STATE(614),
    [sym_break_statement] = STATE(614),
    [sym_continue_statement] = STATE(614),
    [sym_debugger_statement] = STATE(614),
    [sym_return_statement] = STATE(614),
    [sym_throw_statement] = STATE(614),
    [sym_empty_statement] = STATE(614),
    [sym_labeled_statement] = STATE(614),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1219),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(640),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(640),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(640),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2554),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(102),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_export_statement] = STATE(620),
    [sym_declaration] = STATE(620),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(620),
    [sym_expression_statement] = STATE(620),
    [sym_variable_declaration] = STATE(640),
    [sym_lexical_declaration] = STATE(640),
    [sym_statement_block] = STATE(620),
    [sym_if_statement] = STATE(620),
    [sym_switch_statement] = STATE(620),
    [sym_for_statement] = STATE(620),
    [sym_for_in_statement] = STATE(620),
    [sym_while_statement] = STATE(620),
    [sym_do_statement] = STATE(620),
    [sym_try_statement] = STATE(620),
    [sym_with_statement] = STATE(620),
    [sym_break_statement] = STATE(620),
    [sym_continue_statement] = STATE(620),
    [sym_debugger_statement] = STATE(620),
    [sym_return_statement] = STATE(620),
    [sym_throw_statement] = STATE(620),
    [sym_empty_statement] = STATE(620),
    [sym_labeled_statement] = STATE(620),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1219),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(640),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(640),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(640),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2554),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(103),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_export_statement] = STATE(673),
    [sym_declaration] = STATE(673),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(673),
    [sym_expression_statement] = STATE(673),
    [sym_variable_declaration] = STATE(640),
    [sym_lexical_declaration] = STATE(640),
    [sym_statement_block] = STATE(673),
    [sym_if_statement] = STATE(673),
    [sym_switch_statement] = STATE(673),
    [sym_for_statement] = STATE(673),
    [sym_for_in_statement] = STATE(673),
    [sym_while_statement] = STATE(673),
    [sym_do_statement] = STATE(673),
    [sym_try_statement] = STATE(673),
    [sym_with_statement] = STATE(673),
    [sym_break_statement] = STATE(673),
    [sym_continue_statement] = STATE(673),
    [sym_debugger_statement] = STATE(673),
    [sym_return_statement] = STATE(673),
    [sym_throw_statement] = STATE(673),
    [sym_empty_statement] = STATE(673),
    [sym_labeled_statement] = STATE(673),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1219),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(640),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(640),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(640),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2554),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(104),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_export_statement] = STATE(610),
    [sym_declaration] = STATE(528),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(657),
    [sym_expression_statement] = STATE(651),
    [sym_variable_declaration] = STATE(640),
    [sym_lexical_declaration] = STATE(640),
    [sym_statement_block] = STATE(650),
    [sym_if_statement] = STATE(638),
    [sym_switch_statement] = STATE(631),
    [sym_for_statement] = STATE(621),
    [sym_for_in_statement] = STATE(617),
    [sym_while_statement] = STATE(594),
    [sym_do_statement] = STATE(554),
    [sym_try_statement] = STATE(598),
    [sym_with_statement] = STATE(636),
    [sym_break_statement] = STATE(550),
    [sym_continue_statement] = STATE(604),
    [sym_debugger_statement] = STATE(590),
    [sym_return_statement] = STATE(568),
    [sym_throw_statement] = STATE(561),
    [sym_empty_statement] = STATE(562),
    [sym_labeled_statement] = STATE(600),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1219),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(640),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(640),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(640),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2554),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(105),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_export_statement] = STATE(533),
    [sym_declaration] = STATE(533),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(533),
    [sym_expression_statement] = STATE(533),
    [sym_variable_declaration] = STATE(640),
    [sym_lexical_declaration] = STATE(640),
    [sym_statement_block] = STATE(533),
    [sym_if_statement] = STATE(533),
    [sym_switch_statement] = STATE(533),
    [sym_for_statement] = STATE(533),
    [sym_for_in_statement] = STATE(533),
    [sym_while_statement] = STATE(533),
    [sym_do_statement] = STATE(533),
    [sym_try_statement] = STATE(533),
    [sym_with_statement] = STATE(533),
    [sym_break_statement] = STATE(533),
    [sym_continue_statement] = STATE(533),
    [sym_debugger_statement] = STATE(533),
    [sym_return_statement] = STATE(533),
    [sym_throw_statement] = STATE(533),
    [sym_empty_statement] = STATE(533),
    [sym_labeled_statement] = STATE(533),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1219),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(640),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(640),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(640),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2554),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(106),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_export_statement] = STATE(984),
    [sym_declaration] = STATE(984),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(984),
    [sym_expression_statement] = STATE(984),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(984),
    [sym_if_statement] = STATE(984),
    [sym_switch_statement] = STATE(984),
    [sym_for_statement] = STATE(984),
    [sym_for_in_statement] = STATE(984),
    [sym_while_statement] = STATE(984),
    [sym_do_statement] = STATE(984),
    [sym_try_statement] = STATE(984),
    [sym_with_statement] = STATE(984),
    [sym_break_statement] = STATE(984),
    [sym_continue_statement] = STATE(984),
    [sym_debugger_statement] = STATE(984),
    [sym_return_statement] = STATE(984),
    [sym_throw_statement] = STATE(984),
    [sym_empty_statement] = STATE(984),
    [sym_labeled_statement] = STATE(984),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(107),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_export_statement] = STATE(589),
    [sym_declaration] = STATE(588),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(552),
    [sym_expression_statement] = STATE(587),
    [sym_variable_declaration] = STATE(640),
    [sym_lexical_declaration] = STATE(640),
    [sym_statement_block] = STATE(586),
    [sym_if_statement] = STATE(583),
    [sym_switch_statement] = STATE(582),
    [sym_for_statement] = STATE(581),
    [sym_for_in_statement] = STATE(580),
    [sym_while_statement] = STATE(579),
    [sym_do_statement] = STATE(576),
    [sym_try_statement] = STATE(575),
    [sym_with_statement] = STATE(573),
    [sym_break_statement] = STATE(572),
    [sym_continue_statement] = STATE(571),
    [sym_debugger_statement] = STATE(570),
    [sym_return_statement] = STATE(566),
    [sym_throw_statement] = STATE(563),
    [sym_empty_statement] = STATE(553),
    [sym_labeled_statement] = STATE(543),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1219),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(640),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(640),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(640),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2554),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(108),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_export_statement] = STATE(607),
    [sym_declaration] = STATE(607),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(607),
    [sym_expression_statement] = STATE(607),
    [sym_variable_declaration] = STATE(640),
    [sym_lexical_declaration] = STATE(640),
    [sym_statement_block] = STATE(607),
    [sym_if_statement] = STATE(607),
    [sym_switch_statement] = STATE(607),
    [sym_for_statement] = STATE(607),
    [sym_for_in_statement] = STATE(607),
    [sym_while_statement] = STATE(607),
    [sym_do_statement] = STATE(607),
    [sym_try_statement] = STATE(607),
    [sym_with_statement] = STATE(607),
    [sym_break_statement] = STATE(607),
    [sym_continue_statement] = STATE(607),
    [sym_debugger_statement] = STATE(607),
    [sym_return_statement] = STATE(607),
    [sym_throw_statement] = STATE(607),
    [sym_empty_statement] = STATE(607),
    [sym_labeled_statement] = STATE(607),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1219),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(640),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(640),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(640),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2554),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(109),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_export_statement] = STATE(626),
    [sym_declaration] = STATE(626),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(626),
    [sym_expression_statement] = STATE(626),
    [sym_variable_declaration] = STATE(640),
    [sym_lexical_declaration] = STATE(640),
    [sym_statement_block] = STATE(626),
    [sym_if_statement] = STATE(626),
    [sym_switch_statement] = STATE(626),
    [sym_for_statement] = STATE(626),
    [sym_for_in_statement] = STATE(626),
    [sym_while_statement] = STATE(626),
    [sym_do_statement] = STATE(626),
    [sym_try_statement] = STATE(626),
    [sym_with_statement] = STATE(626),
    [sym_break_statement] = STATE(626),
    [sym_continue_statement] = STATE(626),
    [sym_debugger_statement] = STATE(626),
    [sym_return_statement] = STATE(626),
    [sym_throw_statement] = STATE(626),
    [sym_empty_statement] = STATE(626),
    [sym_labeled_statement] = STATE(626),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1219),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(640),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(640),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(640),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2554),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(110),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_export_statement] = STATE(2645),
    [sym_declaration] = STATE(2646),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(2436),
    [sym_expression_statement] = STATE(2647),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_statement_block] = STATE(2650),
    [sym_if_statement] = STATE(2651),
    [sym_switch_statement] = STATE(2652),
    [sym_for_statement] = STATE(2653),
    [sym_for_in_statement] = STATE(2658),
    [sym_while_statement] = STATE(2660),
    [sym_do_statement] = STATE(2661),
    [sym_try_statement] = STATE(2674),
    [sym_with_statement] = STATE(2701),
    [sym_break_statement] = STATE(2702),
    [sym_continue_statement] = STATE(2703),
    [sym_debugger_statement] = STATE(2705),
    [sym_return_statement] = STATE(2706),
    [sym_throw_statement] = STATE(2709),
    [sym_empty_statement] = STATE(2710),
    [sym_labeled_statement] = STATE(2711),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2605),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(111),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_export_statement] = STATE(2614),
    [sym_declaration] = STATE(2614),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(2614),
    [sym_expression_statement] = STATE(2614),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_statement_block] = STATE(2614),
    [sym_if_statement] = STATE(2614),
    [sym_switch_statement] = STATE(2614),
    [sym_for_statement] = STATE(2614),
    [sym_for_in_statement] = STATE(2614),
    [sym_while_statement] = STATE(2614),
    [sym_do_statement] = STATE(2614),
    [sym_try_statement] = STATE(2614),
    [sym_with_statement] = STATE(2614),
    [sym_break_statement] = STATE(2614),
    [sym_continue_statement] = STATE(2614),
    [sym_debugger_statement] = STATE(2614),
    [sym_return_statement] = STATE(2614),
    [sym_throw_statement] = STATE(2614),
    [sym_empty_statement] = STATE(2614),
    [sym_labeled_statement] = STATE(2614),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2605),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(112),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_export_statement] = STATE(560),
    [sym_declaration] = STATE(560),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(560),
    [sym_expression_statement] = STATE(560),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(560),
    [sym_if_statement] = STATE(560),
    [sym_switch_statement] = STATE(560),
    [sym_for_statement] = STATE(560),
    [sym_for_in_statement] = STATE(560),
    [sym_while_statement] = STATE(560),
    [sym_do_statement] = STATE(560),
    [sym_try_statement] = STATE(560),
    [sym_with_statement] = STATE(560),
    [sym_break_statement] = STATE(560),
    [sym_continue_statement] = STATE(560),
    [sym_debugger_statement] = STATE(560),
    [sym_return_statement] = STATE(560),
    [sym_throw_statement] = STATE(560),
    [sym_empty_statement] = STATE(560),
    [sym_labeled_statement] = STATE(560),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1245),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2236),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(113),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1886),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_export_statement] = STATE(2188),
    [sym_declaration] = STATE(2188),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(2188),
    [sym_expression_statement] = STATE(2188),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_statement_block] = STATE(2188),
    [sym_if_statement] = STATE(2188),
    [sym_switch_statement] = STATE(2188),
    [sym_for_statement] = STATE(2188),
    [sym_for_in_statement] = STATE(2188),
    [sym_while_statement] = STATE(2188),
    [sym_do_statement] = STATE(2188),
    [sym_try_statement] = STATE(2188),
    [sym_with_statement] = STATE(2188),
    [sym_break_statement] = STATE(2188),
    [sym_continue_statement] = STATE(2188),
    [sym_debugger_statement] = STATE(2188),
    [sym_return_statement] = STATE(2188),
    [sym_throw_statement] = STATE(2188),
    [sym_empty_statement] = STATE(2188),
    [sym_labeled_statement] = STATE(2188),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2605),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(114),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_export_statement] = STATE(716),
    [sym_declaration] = STATE(716),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(716),
    [sym_expression_statement] = STATE(716),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(716),
    [sym_if_statement] = STATE(716),
    [sym_switch_statement] = STATE(716),
    [sym_for_statement] = STATE(716),
    [sym_for_in_statement] = STATE(716),
    [sym_while_statement] = STATE(716),
    [sym_do_statement] = STATE(716),
    [sym_try_statement] = STATE(716),
    [sym_with_statement] = STATE(716),
    [sym_break_statement] = STATE(716),
    [sym_continue_statement] = STATE(716),
    [sym_debugger_statement] = STATE(716),
    [sym_return_statement] = STATE(716),
    [sym_throw_statement] = STATE(716),
    [sym_empty_statement] = STATE(716),
    [sym_labeled_statement] = STATE(716),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1245),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2236),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(115),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1886),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_export_statement] = STATE(2634),
    [sym_declaration] = STATE(2634),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(2634),
    [sym_expression_statement] = STATE(2634),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_statement_block] = STATE(2634),
    [sym_if_statement] = STATE(2634),
    [sym_switch_statement] = STATE(2634),
    [sym_for_statement] = STATE(2634),
    [sym_for_in_statement] = STATE(2634),
    [sym_while_statement] = STATE(2634),
    [sym_do_statement] = STATE(2634),
    [sym_try_statement] = STATE(2634),
    [sym_with_statement] = STATE(2634),
    [sym_break_statement] = STATE(2634),
    [sym_continue_statement] = STATE(2634),
    [sym_debugger_statement] = STATE(2634),
    [sym_return_statement] = STATE(2634),
    [sym_throw_statement] = STATE(2634),
    [sym_empty_statement] = STATE(2634),
    [sym_labeled_statement] = STATE(2634),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2605),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(116),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_export_statement] = STATE(948),
    [sym_declaration] = STATE(947),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(944),
    [sym_expression_statement] = STATE(940),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_statement_block] = STATE(938),
    [sym_if_statement] = STATE(933),
    [sym_switch_statement] = STATE(928),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(925),
    [sym_while_statement] = STATE(924),
    [sym_do_statement] = STATE(923),
    [sym_try_statement] = STATE(919),
    [sym_with_statement] = STATE(916),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(965),
    [sym_return_statement] = STATE(917),
    [sym_throw_statement] = STATE(915),
    [sym_empty_statement] = STATE(912),
    [sym_labeled_statement] = STATE(1006),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2453),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(117),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_export_statement] = STATE(2249),
    [sym_declaration] = STATE(2249),
    [sym_import] = STATE(1839),
    [sym_import_statement] = STATE(2249),
    [sym_expression_statement] = STATE(2249),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_statement_block] = STATE(2249),
    [sym_if_statement] = STATE(2249),
    [sym_switch_statement] = STATE(2249),
    [sym_for_statement] = STATE(2249),
    [sym_for_in_statement] = STATE(2249),
    [sym_while_statement] = STATE(2249),
    [sym_do_statement] = STATE(2249),
    [sym_try_statement] = STATE(2249),
    [sym_with_statement] = STATE(2249),
    [sym_break_statement] = STATE(2249),
    [sym_continue_statement] = STATE(2249),
    [sym_debugger_statement] = STATE(2249),
    [sym_return_statement] = STATE(2249),
    [sym_throw_statement] = STATE(2249),
    [sym_empty_statement] = STATE(2249),
    [sym_labeled_statement] = STATE(2249),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2605),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(118),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1113),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(119),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(666),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(670),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_RBRACK] = ACTIONS(670),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(120),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_STAR] = ACTIONS(716),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_COMMA] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_of] = ACTIONS(670),
    [anon_sym_SEMI] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(710),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1260),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(121),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(746),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_COMMA] = ACTIONS(670),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_SEMI] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym__automatic_semicolon] = ACTIONS(710),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1417),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(122),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_STAR] = ACTIONS(754),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1435),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(123),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_of] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1374),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2073),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1069),
    [sym_subscript_expression] = STATE(1069),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1875),
    [sym_spread_element] = STATE(2107),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(124),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [sym_pattern] = STATE(1910),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_repeat1] = STATE(2106),
    [aux_sym_array_pattern_repeat1] = STATE(2187),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(806),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1374),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2073),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1069),
    [sym_subscript_expression] = STATE(1069),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1875),
    [sym_spread_element] = STATE(2107),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(125),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [sym_pattern] = STATE(1910),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_repeat1] = STATE(2106),
    [aux_sym_array_pattern_repeat1] = STATE(2187),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(812),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1374),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2073),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1069),
    [sym_subscript_expression] = STATE(1069),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1875),
    [sym_spread_element] = STATE(2107),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(126),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [sym_pattern] = STATE(1910),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_repeat1] = STATE(2106),
    [aux_sym_array_pattern_repeat1] = STATE(2187),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(814),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1344),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2073),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1069),
    [sym_subscript_expression] = STATE(1069),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1875),
    [sym_spread_element] = STATE(2198),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(127),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [sym_pattern] = STATE(1910),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_repeat1] = STATE(2190),
    [aux_sym_array_pattern_repeat1] = STATE(2187),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(816),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1311),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2073),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1069),
    [sym_subscript_expression] = STATE(1069),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1875),
    [sym_spread_element] = STATE(2198),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(128),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [sym_pattern] = STATE(1910),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_repeat1] = STATE(2190),
    [aux_sym_array_pattern_repeat1] = STATE(2187),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(818),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1374),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2073),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1069),
    [sym_subscript_expression] = STATE(1069),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1875),
    [sym_spread_element] = STATE(2107),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(129),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [sym_pattern] = STATE(1910),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_repeat1] = STATE(2106),
    [aux_sym_array_pattern_repeat1] = STATE(2187),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(820),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1311),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2073),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1069),
    [sym_subscript_expression] = STATE(1069),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1875),
    [sym_spread_element] = STATE(2198),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(130),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [sym_pattern] = STATE(1910),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_repeat1] = STATE(2190),
    [aux_sym_array_pattern_repeat1] = STATE(2187),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(816),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1374),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2073),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1069),
    [sym_subscript_expression] = STATE(1069),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1875),
    [sym_spread_element] = STATE(2107),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(131),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [sym_pattern] = STATE(1910),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_repeat1] = STATE(2106),
    [aux_sym_array_pattern_repeat1] = STATE(2187),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(822),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_declaration] = STATE(929),
    [sym_import] = STATE(1839),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1404),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(132),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1963),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(824),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(826),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_declaration] = STATE(737),
    [sym_import] = STATE(1839),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1399),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(133),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1948),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(828),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(830),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(1839),
    [sym_expression_statement] = STATE(230),
    [sym_variable_declaration] = STATE(230),
    [sym_lexical_declaration] = STATE(230),
    [sym_empty_statement] = STATE(230),
    [sym_parenthesized_expression] = STATE(1065),
    [sym_expression] = STATE(1230),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1065),
    [sym_subscript_expression] = STATE(1065),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2056),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2366),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(134),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(832),
    [anon_sym_export] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(840),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(844),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(846),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(848),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(850),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(834),
    [anon_sym_get] = ACTIONS(834),
    [anon_sym_set] = ACTIONS(834),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_declaration] = STATE(946),
    [sym_import] = STATE(1839),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1394),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(939),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(939),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(135),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1963),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(824),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(826),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_declaration] = STATE(750),
    [sym_import] = STATE(1839),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1402),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(706),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(706),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(136),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(854),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(1839),
    [sym_expression_statement] = STATE(225),
    [sym_variable_declaration] = STATE(225),
    [sym_lexical_declaration] = STATE(225),
    [sym_empty_statement] = STATE(225),
    [sym_parenthesized_expression] = STATE(1065),
    [sym_expression] = STATE(1230),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1065),
    [sym_subscript_expression] = STATE(1065),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2056),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2366),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(137),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(832),
    [anon_sym_export] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(840),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(844),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(846),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(848),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(850),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(834),
    [anon_sym_get] = ACTIONS(834),
    [anon_sym_set] = ACTIONS(834),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(1839),
    [sym_expression_statement] = STATE(229),
    [sym_variable_declaration] = STATE(229),
    [sym_lexical_declaration] = STATE(229),
    [sym_empty_statement] = STATE(229),
    [sym_parenthesized_expression] = STATE(1065),
    [sym_expression] = STATE(1230),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1065),
    [sym_subscript_expression] = STATE(1065),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2056),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2366),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(138),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(832),
    [anon_sym_export] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(840),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(844),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(846),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(848),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(850),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(834),
    [anon_sym_get] = ACTIONS(834),
    [anon_sym_set] = ACTIONS(834),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_declaration] = STATE(601),
    [sym_import] = STATE(1839),
    [sym_variable_declaration] = STATE(640),
    [sym_lexical_declaration] = STATE(640),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1398),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(640),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(640),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(640),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(139),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1982),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(856),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(858),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_declaration] = STATE(2379),
    [sym_import] = STATE(1839),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1401),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(140),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1904),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(860),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(862),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_declaration] = STATE(801),
    [sym_import] = STATE(1839),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1415),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(141),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1948),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(828),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(830),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_declaration] = STATE(794),
    [sym_import] = STATE(1839),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1403),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(706),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(706),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(142),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(854),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_comment] = STATE(143),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(866),
    [anon_sym_default] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(866),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_else] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(866),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_case] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_EQ] = ACTIONS(868),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(866),
    [anon_sym_DOT] = ACTIONS(866),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(866),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(866),
    [anon_sym_PIPE_PIPE] = ACTIONS(866),
    [anon_sym_GT_GT] = ACTIONS(866),
    [anon_sym_GT_GT_GT] = ACTIONS(866),
    [anon_sym_LT_LT] = ACTIONS(866),
    [anon_sym_AMP] = ACTIONS(866),
    [anon_sym_CARET] = ACTIONS(866),
    [anon_sym_PIPE] = ACTIONS(866),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(866),
    [anon_sym_STAR_STAR] = ACTIONS(866),
    [anon_sym_LT_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(866),
    [anon_sym_GT_EQ] = ACTIONS(866),
    [anon_sym_QMARK_QMARK] = ACTIONS(866),
    [anon_sym_instanceof] = ACTIONS(866),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(870),
    [sym__ternary_qmark] = ACTIONS(872),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_declaration] = STATE(2633),
    [sym_import] = STATE(1839),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1395),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(2609),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(144),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1904),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(860),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(862),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(1839),
    [sym_expression_statement] = STATE(226),
    [sym_variable_declaration] = STATE(226),
    [sym_lexical_declaration] = STATE(226),
    [sym_empty_statement] = STATE(226),
    [sym_parenthesized_expression] = STATE(1065),
    [sym_expression] = STATE(1230),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1065),
    [sym_subscript_expression] = STATE(1065),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2056),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2366),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(145),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(832),
    [anon_sym_export] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(840),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(844),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(846),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(848),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(850),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(834),
    [anon_sym_get] = ACTIONS(834),
    [anon_sym_set] = ACTIONS(834),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(1839),
    [sym_expression_statement] = STATE(227),
    [sym_variable_declaration] = STATE(227),
    [sym_lexical_declaration] = STATE(227),
    [sym_empty_statement] = STATE(227),
    [sym_parenthesized_expression] = STATE(1065),
    [sym_expression] = STATE(1230),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1065),
    [sym_subscript_expression] = STATE(1065),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2056),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2366),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(146),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(832),
    [anon_sym_export] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(840),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(844),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(846),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(848),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(850),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(834),
    [anon_sym_get] = ACTIONS(834),
    [anon_sym_set] = ACTIONS(834),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_declaration] = STATE(629),
    [sym_import] = STATE(1839),
    [sym_variable_declaration] = STATE(640),
    [sym_lexical_declaration] = STATE(640),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_class_declaration] = STATE(640),
    [sym_function_expression] = STATE(1384),
    [sym_function_declaration] = STATE(640),
    [sym_generator_function] = STATE(1384),
    [sym_generator_function_declaration] = STATE(640),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(147),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1982),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(856),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(858),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_comment] = STATE(148),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_default] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(876),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_comment] = STATE(149),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(878),
    [anon_sym_default] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_COMMA] = ACTIONS(878),
    [anon_sym_RBRACE] = ACTIONS(878),
    [anon_sym_import] = ACTIONS(878),
    [anon_sym_with] = ACTIONS(878),
    [anon_sym_var] = ACTIONS(878),
    [anon_sym_let] = ACTIONS(878),
    [anon_sym_const] = ACTIONS(878),
    [anon_sym_else] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_switch] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_in] = ACTIONS(878),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_do] = ACTIONS(878),
    [anon_sym_try] = ACTIONS(878),
    [anon_sym_break] = ACTIONS(878),
    [anon_sym_continue] = ACTIONS(878),
    [anon_sym_debugger] = ACTIONS(878),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(878),
    [anon_sym_LTtemplate_GT] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [anon_sym_SQUOTE] = ACTIONS(878),
    [anon_sym_class] = ACTIONS(878),
    [anon_sym_async] = ACTIONS(878),
    [anon_sym_function] = ACTIONS(878),
    [sym_optional_chain] = ACTIONS(878),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_AMP_AMP] = ACTIONS(878),
    [anon_sym_PIPE_PIPE] = ACTIONS(878),
    [anon_sym_GT_GT] = ACTIONS(878),
    [anon_sym_GT_GT_GT] = ACTIONS(878),
    [anon_sym_LT_LT] = ACTIONS(878),
    [anon_sym_AMP] = ACTIONS(878),
    [anon_sym_CARET] = ACTIONS(878),
    [anon_sym_PIPE] = ACTIONS(878),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(878),
    [anon_sym_STAR_STAR] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(878),
    [anon_sym_GT_EQ] = ACTIONS(878),
    [anon_sym_QMARK_QMARK] = ACTIONS(878),
    [anon_sym_instanceof] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(878),
    [anon_sym_void] = ACTIONS(878),
    [anon_sym_delete] = ACTIONS(878),
    [anon_sym_PLUS_PLUS] = ACTIONS(878),
    [anon_sym_DASH_DASH] = ACTIONS(878),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(878),
    [sym_number] = ACTIONS(878),
    [sym_private_property_identifier] = ACTIONS(878),
    [sym_this] = ACTIONS(878),
    [sym_super] = ACTIONS(878),
    [sym_true] = ACTIONS(878),
    [sym_false] = ACTIONS(878),
    [sym_null] = ACTIONS(878),
    [sym_undefined] = ACTIONS(878),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [sym__automatic_semicolon] = ACTIONS(880),
    [sym__ternary_qmark] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1474),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2073),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1899),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(150),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [sym_pattern] = STATE(1910),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_pattern_repeat1] = STATE(2187),
    [sym_identifier] = ACTIONS(884),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(888),
    [anon_sym_COMMA] = ACTIONS(890),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_RBRACK] = ACTIONS(894),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(900),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_comment] = STATE(151),
    [ts_builtin_sym_end] = ACTIONS(902),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(866),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(866),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_else] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(866),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_EQ] = ACTIONS(868),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(866),
    [anon_sym_DOT] = ACTIONS(866),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(866),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(866),
    [anon_sym_PIPE_PIPE] = ACTIONS(866),
    [anon_sym_GT_GT] = ACTIONS(866),
    [anon_sym_GT_GT_GT] = ACTIONS(866),
    [anon_sym_LT_LT] = ACTIONS(866),
    [anon_sym_AMP] = ACTIONS(866),
    [anon_sym_CARET] = ACTIONS(866),
    [anon_sym_PIPE] = ACTIONS(866),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(866),
    [anon_sym_STAR_STAR] = ACTIONS(866),
    [anon_sym_LT_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(866),
    [anon_sym_GT_EQ] = ACTIONS(866),
    [anon_sym_QMARK_QMARK] = ACTIONS(866),
    [anon_sym_instanceof] = ACTIONS(866),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(904),
    [sym__ternary_qmark] = ACTIONS(872),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_comment] = STATE(152),
    [sym_identifier] = ACTIONS(906),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_STAR] = ACTIONS(906),
    [anon_sym_default] = ACTIONS(906),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_COMMA] = ACTIONS(906),
    [anon_sym_RBRACE] = ACTIONS(906),
    [anon_sym_import] = ACTIONS(906),
    [anon_sym_with] = ACTIONS(906),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_else] = ACTIONS(906),
    [anon_sym_if] = ACTIONS(906),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_for] = ACTIONS(906),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_await] = ACTIONS(906),
    [anon_sym_in] = ACTIONS(906),
    [anon_sym_while] = ACTIONS(906),
    [anon_sym_do] = ACTIONS(906),
    [anon_sym_try] = ACTIONS(906),
    [anon_sym_break] = ACTIONS(906),
    [anon_sym_continue] = ACTIONS(906),
    [anon_sym_debugger] = ACTIONS(906),
    [anon_sym_return] = ACTIONS(906),
    [anon_sym_throw] = ACTIONS(906),
    [anon_sym_SEMI] = ACTIONS(906),
    [anon_sym_case] = ACTIONS(906),
    [anon_sym_yield] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(906),
    [anon_sym_LTtemplate_GT] = ACTIONS(906),
    [anon_sym_LT] = ACTIONS(906),
    [anon_sym_GT] = ACTIONS(906),
    [anon_sym_DOT] = ACTIONS(906),
    [anon_sym_DQUOTE] = ACTIONS(906),
    [anon_sym_SQUOTE] = ACTIONS(906),
    [anon_sym_class] = ACTIONS(906),
    [anon_sym_async] = ACTIONS(906),
    [anon_sym_function] = ACTIONS(906),
    [sym_optional_chain] = ACTIONS(906),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_AMP_AMP] = ACTIONS(906),
    [anon_sym_PIPE_PIPE] = ACTIONS(906),
    [anon_sym_GT_GT] = ACTIONS(906),
    [anon_sym_GT_GT_GT] = ACTIONS(906),
    [anon_sym_LT_LT] = ACTIONS(906),
    [anon_sym_AMP] = ACTIONS(906),
    [anon_sym_CARET] = ACTIONS(906),
    [anon_sym_PIPE] = ACTIONS(906),
    [anon_sym_PLUS] = ACTIONS(906),
    [anon_sym_DASH] = ACTIONS(906),
    [anon_sym_SLASH] = ACTIONS(906),
    [anon_sym_PERCENT] = ACTIONS(906),
    [anon_sym_STAR_STAR] = ACTIONS(906),
    [anon_sym_LT_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(906),
    [anon_sym_GT_EQ] = ACTIONS(906),
    [anon_sym_QMARK_QMARK] = ACTIONS(906),
    [anon_sym_instanceof] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(906),
    [anon_sym_TILDE] = ACTIONS(906),
    [anon_sym_typeof] = ACTIONS(906),
    [anon_sym_void] = ACTIONS(906),
    [anon_sym_delete] = ACTIONS(906),
    [anon_sym_PLUS_PLUS] = ACTIONS(906),
    [anon_sym_DASH_DASH] = ACTIONS(906),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(906),
    [sym_number] = ACTIONS(906),
    [sym_private_property_identifier] = ACTIONS(906),
    [sym_this] = ACTIONS(906),
    [sym_super] = ACTIONS(906),
    [sym_true] = ACTIONS(906),
    [sym_false] = ACTIONS(906),
    [sym_null] = ACTIONS(906),
    [sym_undefined] = ACTIONS(906),
    [anon_sym_AT] = ACTIONS(906),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [sym__automatic_semicolon] = ACTIONS(908),
    [sym__ternary_qmark] = ACTIONS(908),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_comment] = STATE(153),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_export] = ACTIONS(910),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_default] = ACTIONS(910),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_COMMA] = ACTIONS(910),
    [anon_sym_RBRACE] = ACTIONS(910),
    [anon_sym_import] = ACTIONS(910),
    [anon_sym_with] = ACTIONS(910),
    [anon_sym_var] = ACTIONS(910),
    [anon_sym_let] = ACTIONS(910),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_else] = ACTIONS(910),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(910),
    [anon_sym_await] = ACTIONS(910),
    [anon_sym_in] = ACTIONS(910),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(910),
    [anon_sym_try] = ACTIONS(910),
    [anon_sym_break] = ACTIONS(910),
    [anon_sym_continue] = ACTIONS(910),
    [anon_sym_debugger] = ACTIONS(910),
    [anon_sym_return] = ACTIONS(910),
    [anon_sym_throw] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_case] = ACTIONS(910),
    [anon_sym_yield] = ACTIONS(910),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_LTtemplate_GT] = ACTIONS(910),
    [anon_sym_LT] = ACTIONS(910),
    [anon_sym_GT] = ACTIONS(910),
    [anon_sym_DOT] = ACTIONS(910),
    [anon_sym_DQUOTE] = ACTIONS(910),
    [anon_sym_SQUOTE] = ACTIONS(910),
    [anon_sym_class] = ACTIONS(910),
    [anon_sym_async] = ACTIONS(910),
    [anon_sym_function] = ACTIONS(910),
    [sym_optional_chain] = ACTIONS(910),
    [anon_sym_new] = ACTIONS(910),
    [anon_sym_AMP_AMP] = ACTIONS(910),
    [anon_sym_PIPE_PIPE] = ACTIONS(910),
    [anon_sym_GT_GT] = ACTIONS(910),
    [anon_sym_GT_GT_GT] = ACTIONS(910),
    [anon_sym_LT_LT] = ACTIONS(910),
    [anon_sym_AMP] = ACTIONS(910),
    [anon_sym_CARET] = ACTIONS(910),
    [anon_sym_PIPE] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(910),
    [anon_sym_DASH] = ACTIONS(910),
    [anon_sym_SLASH] = ACTIONS(910),
    [anon_sym_PERCENT] = ACTIONS(910),
    [anon_sym_STAR_STAR] = ACTIONS(910),
    [anon_sym_LT_EQ] = ACTIONS(910),
    [anon_sym_EQ_EQ] = ACTIONS(910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(910),
    [anon_sym_BANG_EQ] = ACTIONS(910),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(910),
    [anon_sym_GT_EQ] = ACTIONS(910),
    [anon_sym_QMARK_QMARK] = ACTIONS(910),
    [anon_sym_instanceof] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(910),
    [anon_sym_TILDE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(910),
    [anon_sym_void] = ACTIONS(910),
    [anon_sym_delete] = ACTIONS(910),
    [anon_sym_PLUS_PLUS] = ACTIONS(910),
    [anon_sym_DASH_DASH] = ACTIONS(910),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(910),
    [sym_number] = ACTIONS(910),
    [sym_private_property_identifier] = ACTIONS(910),
    [sym_this] = ACTIONS(910),
    [sym_super] = ACTIONS(910),
    [sym_true] = ACTIONS(910),
    [sym_false] = ACTIONS(910),
    [sym_null] = ACTIONS(910),
    [sym_undefined] = ACTIONS(910),
    [anon_sym_AT] = ACTIONS(910),
    [anon_sym_static] = ACTIONS(910),
    [anon_sym_get] = ACTIONS(910),
    [anon_sym_set] = ACTIONS(910),
    [sym__automatic_semicolon] = ACTIONS(912),
    [sym__ternary_qmark] = ACTIONS(912),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_comment] = STATE(154),
    [sym_identifier] = ACTIONS(914),
    [anon_sym_export] = ACTIONS(914),
    [anon_sym_STAR] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(916),
    [anon_sym_RBRACE] = ACTIONS(914),
    [anon_sym_import] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(914),
    [anon_sym_var] = ACTIONS(914),
    [anon_sym_let] = ACTIONS(914),
    [anon_sym_const] = ACTIONS(914),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_if] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(914),
    [anon_sym_await] = ACTIONS(914),
    [anon_sym_in] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(914),
    [anon_sym_try] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_debugger] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(914),
    [anon_sym_throw] = ACTIONS(914),
    [anon_sym_SEMI] = ACTIONS(914),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_yield] = ACTIONS(914),
    [anon_sym_LBRACK] = ACTIONS(914),
    [anon_sym_LTtemplate_GT] = ACTIONS(914),
    [anon_sym_LT] = ACTIONS(914),
    [anon_sym_GT] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(916),
    [anon_sym_DQUOTE] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(914),
    [anon_sym_class] = ACTIONS(914),
    [anon_sym_async] = ACTIONS(914),
    [anon_sym_function] = ACTIONS(914),
    [sym_optional_chain] = ACTIONS(916),
    [anon_sym_new] = ACTIONS(914),
    [anon_sym_AMP_AMP] = ACTIONS(916),
    [anon_sym_PIPE_PIPE] = ACTIONS(916),
    [anon_sym_GT_GT] = ACTIONS(916),
    [anon_sym_GT_GT_GT] = ACTIONS(916),
    [anon_sym_LT_LT] = ACTIONS(916),
    [anon_sym_AMP] = ACTIONS(916),
    [anon_sym_CARET] = ACTIONS(916),
    [anon_sym_PIPE] = ACTIONS(916),
    [anon_sym_PLUS] = ACTIONS(914),
    [anon_sym_DASH] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(914),
    [anon_sym_PERCENT] = ACTIONS(916),
    [anon_sym_STAR_STAR] = ACTIONS(916),
    [anon_sym_LT_EQ] = ACTIONS(916),
    [anon_sym_EQ_EQ] = ACTIONS(916),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(916),
    [anon_sym_BANG_EQ] = ACTIONS(916),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(916),
    [anon_sym_GT_EQ] = ACTIONS(916),
    [anon_sym_QMARK_QMARK] = ACTIONS(916),
    [anon_sym_instanceof] = ACTIONS(916),
    [anon_sym_BANG] = ACTIONS(914),
    [anon_sym_TILDE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(914),
    [anon_sym_void] = ACTIONS(914),
    [anon_sym_delete] = ACTIONS(914),
    [anon_sym_PLUS_PLUS] = ACTIONS(914),
    [anon_sym_DASH_DASH] = ACTIONS(914),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(914),
    [sym_number] = ACTIONS(914),
    [sym_private_property_identifier] = ACTIONS(914),
    [sym_this] = ACTIONS(914),
    [sym_super] = ACTIONS(914),
    [sym_true] = ACTIONS(914),
    [sym_false] = ACTIONS(914),
    [sym_null] = ACTIONS(914),
    [sym_undefined] = ACTIONS(914),
    [anon_sym_AT] = ACTIONS(914),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [sym__automatic_semicolon] = ACTIONS(918),
    [sym__ternary_qmark] = ACTIONS(920),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1474),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2108),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1899),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(155),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [sym_pattern] = STATE(1994),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_pattern_repeat1] = STATE(2105),
    [sym_identifier] = ACTIONS(884),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(888),
    [anon_sym_COMMA] = ACTIONS(890),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_RBRACK] = ACTIONS(922),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(900),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_comment] = STATE(156),
    [sym_identifier] = ACTIONS(924),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_STAR] = ACTIONS(926),
    [anon_sym_default] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(924),
    [anon_sym_COMMA] = ACTIONS(926),
    [anon_sym_RBRACE] = ACTIONS(924),
    [anon_sym_import] = ACTIONS(924),
    [anon_sym_with] = ACTIONS(924),
    [anon_sym_var] = ACTIONS(924),
    [anon_sym_let] = ACTIONS(924),
    [anon_sym_const] = ACTIONS(924),
    [anon_sym_else] = ACTIONS(924),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(924),
    [anon_sym_for] = ACTIONS(924),
    [anon_sym_LPAREN] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(924),
    [anon_sym_in] = ACTIONS(926),
    [anon_sym_while] = ACTIONS(924),
    [anon_sym_do] = ACTIONS(924),
    [anon_sym_try] = ACTIONS(924),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(924),
    [anon_sym_return] = ACTIONS(924),
    [anon_sym_throw] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(924),
    [anon_sym_case] = ACTIONS(924),
    [anon_sym_yield] = ACTIONS(924),
    [anon_sym_LBRACK] = ACTIONS(924),
    [anon_sym_LTtemplate_GT] = ACTIONS(924),
    [anon_sym_LT] = ACTIONS(924),
    [anon_sym_GT] = ACTIONS(926),
    [anon_sym_DOT] = ACTIONS(926),
    [anon_sym_DQUOTE] = ACTIONS(924),
    [anon_sym_SQUOTE] = ACTIONS(924),
    [anon_sym_class] = ACTIONS(924),
    [anon_sym_async] = ACTIONS(924),
    [anon_sym_function] = ACTIONS(924),
    [sym_optional_chain] = ACTIONS(926),
    [anon_sym_new] = ACTIONS(924),
    [anon_sym_AMP_AMP] = ACTIONS(926),
    [anon_sym_PIPE_PIPE] = ACTIONS(926),
    [anon_sym_GT_GT] = ACTIONS(926),
    [anon_sym_GT_GT_GT] = ACTIONS(926),
    [anon_sym_LT_LT] = ACTIONS(926),
    [anon_sym_AMP] = ACTIONS(926),
    [anon_sym_CARET] = ACTIONS(926),
    [anon_sym_PIPE] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_SLASH] = ACTIONS(924),
    [anon_sym_PERCENT] = ACTIONS(926),
    [anon_sym_STAR_STAR] = ACTIONS(926),
    [anon_sym_LT_EQ] = ACTIONS(926),
    [anon_sym_EQ_EQ] = ACTIONS(926),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(926),
    [anon_sym_BANG_EQ] = ACTIONS(926),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(926),
    [anon_sym_GT_EQ] = ACTIONS(926),
    [anon_sym_QMARK_QMARK] = ACTIONS(926),
    [anon_sym_instanceof] = ACTIONS(926),
    [anon_sym_BANG] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(924),
    [anon_sym_void] = ACTIONS(924),
    [anon_sym_delete] = ACTIONS(924),
    [anon_sym_PLUS_PLUS] = ACTIONS(924),
    [anon_sym_DASH_DASH] = ACTIONS(924),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(924),
    [sym_number] = ACTIONS(924),
    [sym_private_property_identifier] = ACTIONS(924),
    [sym_this] = ACTIONS(924),
    [sym_super] = ACTIONS(924),
    [sym_true] = ACTIONS(924),
    [sym_false] = ACTIONS(924),
    [sym_null] = ACTIONS(924),
    [sym_undefined] = ACTIONS(924),
    [anon_sym_AT] = ACTIONS(924),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [sym__automatic_semicolon] = ACTIONS(928),
    [sym__ternary_qmark] = ACTIONS(930),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_comment] = STATE(157),
    [sym_identifier] = ACTIONS(932),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(934),
    [anon_sym_default] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(932),
    [anon_sym_COMMA] = ACTIONS(934),
    [anon_sym_RBRACE] = ACTIONS(932),
    [anon_sym_import] = ACTIONS(932),
    [anon_sym_with] = ACTIONS(932),
    [anon_sym_var] = ACTIONS(932),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_const] = ACTIONS(932),
    [anon_sym_else] = ACTIONS(932),
    [anon_sym_if] = ACTIONS(932),
    [anon_sym_switch] = ACTIONS(932),
    [anon_sym_for] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(932),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_in] = ACTIONS(934),
    [anon_sym_while] = ACTIONS(932),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(932),
    [anon_sym_break] = ACTIONS(932),
    [anon_sym_continue] = ACTIONS(932),
    [anon_sym_debugger] = ACTIONS(932),
    [anon_sym_return] = ACTIONS(932),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_case] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(932),
    [anon_sym_LTtemplate_GT] = ACTIONS(932),
    [anon_sym_LT] = ACTIONS(932),
    [anon_sym_GT] = ACTIONS(934),
    [anon_sym_DOT] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(932),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [anon_sym_class] = ACTIONS(932),
    [anon_sym_async] = ACTIONS(932),
    [anon_sym_function] = ACTIONS(932),
    [sym_optional_chain] = ACTIONS(934),
    [anon_sym_new] = ACTIONS(932),
    [anon_sym_AMP_AMP] = ACTIONS(934),
    [anon_sym_PIPE_PIPE] = ACTIONS(934),
    [anon_sym_GT_GT] = ACTIONS(934),
    [anon_sym_GT_GT_GT] = ACTIONS(934),
    [anon_sym_LT_LT] = ACTIONS(934),
    [anon_sym_AMP] = ACTIONS(934),
    [anon_sym_CARET] = ACTIONS(934),
    [anon_sym_PIPE] = ACTIONS(934),
    [anon_sym_PLUS] = ACTIONS(932),
    [anon_sym_DASH] = ACTIONS(932),
    [anon_sym_SLASH] = ACTIONS(932),
    [anon_sym_PERCENT] = ACTIONS(934),
    [anon_sym_STAR_STAR] = ACTIONS(934),
    [anon_sym_LT_EQ] = ACTIONS(934),
    [anon_sym_EQ_EQ] = ACTIONS(934),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(934),
    [anon_sym_BANG_EQ] = ACTIONS(934),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(934),
    [anon_sym_GT_EQ] = ACTIONS(934),
    [anon_sym_QMARK_QMARK] = ACTIONS(934),
    [anon_sym_instanceof] = ACTIONS(934),
    [anon_sym_BANG] = ACTIONS(932),
    [anon_sym_TILDE] = ACTIONS(932),
    [anon_sym_typeof] = ACTIONS(932),
    [anon_sym_void] = ACTIONS(932),
    [anon_sym_delete] = ACTIONS(932),
    [anon_sym_PLUS_PLUS] = ACTIONS(932),
    [anon_sym_DASH_DASH] = ACTIONS(932),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(932),
    [sym_number] = ACTIONS(932),
    [sym_private_property_identifier] = ACTIONS(932),
    [sym_this] = ACTIONS(932),
    [sym_super] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_null] = ACTIONS(932),
    [sym_undefined] = ACTIONS(932),
    [anon_sym_AT] = ACTIONS(932),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym__automatic_semicolon] = ACTIONS(936),
    [sym__ternary_qmark] = ACTIONS(938),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_comment] = STATE(158),
    [sym_identifier] = ACTIONS(940),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_STAR] = ACTIONS(942),
    [anon_sym_default] = ACTIONS(940),
    [anon_sym_LBRACE] = ACTIONS(940),
    [anon_sym_COMMA] = ACTIONS(942),
    [anon_sym_RBRACE] = ACTIONS(940),
    [anon_sym_import] = ACTIONS(940),
    [anon_sym_with] = ACTIONS(940),
    [anon_sym_var] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_const] = ACTIONS(940),
    [anon_sym_else] = ACTIONS(940),
    [anon_sym_if] = ACTIONS(940),
    [anon_sym_switch] = ACTIONS(940),
    [anon_sym_for] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(940),
    [anon_sym_in] = ACTIONS(942),
    [anon_sym_while] = ACTIONS(940),
    [anon_sym_do] = ACTIONS(940),
    [anon_sym_try] = ACTIONS(940),
    [anon_sym_break] = ACTIONS(940),
    [anon_sym_continue] = ACTIONS(940),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(940),
    [anon_sym_throw] = ACTIONS(940),
    [anon_sym_SEMI] = ACTIONS(940),
    [anon_sym_case] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(940),
    [anon_sym_LBRACK] = ACTIONS(940),
    [anon_sym_LTtemplate_GT] = ACTIONS(940),
    [anon_sym_LT] = ACTIONS(940),
    [anon_sym_GT] = ACTIONS(942),
    [anon_sym_DOT] = ACTIONS(942),
    [anon_sym_DQUOTE] = ACTIONS(940),
    [anon_sym_SQUOTE] = ACTIONS(940),
    [anon_sym_class] = ACTIONS(940),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(940),
    [sym_optional_chain] = ACTIONS(942),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_AMP_AMP] = ACTIONS(942),
    [anon_sym_PIPE_PIPE] = ACTIONS(942),
    [anon_sym_GT_GT] = ACTIONS(942),
    [anon_sym_GT_GT_GT] = ACTIONS(942),
    [anon_sym_LT_LT] = ACTIONS(942),
    [anon_sym_AMP] = ACTIONS(942),
    [anon_sym_CARET] = ACTIONS(942),
    [anon_sym_PIPE] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_SLASH] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_STAR_STAR] = ACTIONS(942),
    [anon_sym_LT_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(942),
    [anon_sym_GT_EQ] = ACTIONS(942),
    [anon_sym_QMARK_QMARK] = ACTIONS(942),
    [anon_sym_instanceof] = ACTIONS(942),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_typeof] = ACTIONS(940),
    [anon_sym_void] = ACTIONS(940),
    [anon_sym_delete] = ACTIONS(940),
    [anon_sym_PLUS_PLUS] = ACTIONS(940),
    [anon_sym_DASH_DASH] = ACTIONS(940),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(940),
    [sym_number] = ACTIONS(940),
    [sym_private_property_identifier] = ACTIONS(940),
    [sym_this] = ACTIONS(940),
    [sym_super] = ACTIONS(940),
    [sym_true] = ACTIONS(940),
    [sym_false] = ACTIONS(940),
    [sym_null] = ACTIONS(940),
    [sym_undefined] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(940),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [sym__automatic_semicolon] = ACTIONS(944),
    [sym__ternary_qmark] = ACTIONS(946),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_comment] = STATE(159),
    [sym_identifier] = ACTIONS(948),
    [anon_sym_export] = ACTIONS(948),
    [anon_sym_STAR] = ACTIONS(950),
    [anon_sym_default] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(950),
    [anon_sym_RBRACE] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(948),
    [anon_sym_with] = ACTIONS(948),
    [anon_sym_var] = ACTIONS(948),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_const] = ACTIONS(948),
    [anon_sym_else] = ACTIONS(948),
    [anon_sym_if] = ACTIONS(948),
    [anon_sym_switch] = ACTIONS(948),
    [anon_sym_for] = ACTIONS(948),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_await] = ACTIONS(948),
    [anon_sym_in] = ACTIONS(950),
    [anon_sym_while] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(948),
    [anon_sym_try] = ACTIONS(948),
    [anon_sym_break] = ACTIONS(948),
    [anon_sym_continue] = ACTIONS(948),
    [anon_sym_debugger] = ACTIONS(948),
    [anon_sym_return] = ACTIONS(948),
    [anon_sym_throw] = ACTIONS(948),
    [anon_sym_SEMI] = ACTIONS(948),
    [anon_sym_case] = ACTIONS(948),
    [anon_sym_yield] = ACTIONS(948),
    [anon_sym_LBRACK] = ACTIONS(948),
    [anon_sym_LTtemplate_GT] = ACTIONS(948),
    [anon_sym_LT] = ACTIONS(948),
    [anon_sym_GT] = ACTIONS(950),
    [anon_sym_DOT] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(948),
    [anon_sym_SQUOTE] = ACTIONS(948),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(948),
    [anon_sym_function] = ACTIONS(948),
    [sym_optional_chain] = ACTIONS(950),
    [anon_sym_new] = ACTIONS(948),
    [anon_sym_AMP_AMP] = ACTIONS(950),
    [anon_sym_PIPE_PIPE] = ACTIONS(950),
    [anon_sym_GT_GT] = ACTIONS(950),
    [anon_sym_GT_GT_GT] = ACTIONS(950),
    [anon_sym_LT_LT] = ACTIONS(950),
    [anon_sym_AMP] = ACTIONS(950),
    [anon_sym_CARET] = ACTIONS(950),
    [anon_sym_PIPE] = ACTIONS(950),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_SLASH] = ACTIONS(948),
    [anon_sym_PERCENT] = ACTIONS(950),
    [anon_sym_STAR_STAR] = ACTIONS(950),
    [anon_sym_LT_EQ] = ACTIONS(950),
    [anon_sym_EQ_EQ] = ACTIONS(950),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(950),
    [anon_sym_BANG_EQ] = ACTIONS(950),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(950),
    [anon_sym_GT_EQ] = ACTIONS(950),
    [anon_sym_QMARK_QMARK] = ACTIONS(950),
    [anon_sym_instanceof] = ACTIONS(950),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(948),
    [sym_number] = ACTIONS(948),
    [sym_private_property_identifier] = ACTIONS(948),
    [sym_this] = ACTIONS(948),
    [sym_super] = ACTIONS(948),
    [sym_true] = ACTIONS(948),
    [sym_false] = ACTIONS(948),
    [sym_null] = ACTIONS(948),
    [sym_undefined] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(948),
    [anon_sym_static] = ACTIONS(948),
    [anon_sym_get] = ACTIONS(948),
    [anon_sym_set] = ACTIONS(948),
    [sym__automatic_semicolon] = ACTIONS(952),
    [sym__ternary_qmark] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_comment] = STATE(160),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(866),
    [anon_sym_default] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(866),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(866),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_case] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_EQ] = ACTIONS(868),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(866),
    [anon_sym_DOT] = ACTIONS(866),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(866),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(866),
    [anon_sym_PIPE_PIPE] = ACTIONS(866),
    [anon_sym_GT_GT] = ACTIONS(866),
    [anon_sym_GT_GT_GT] = ACTIONS(866),
    [anon_sym_LT_LT] = ACTIONS(866),
    [anon_sym_AMP] = ACTIONS(866),
    [anon_sym_CARET] = ACTIONS(866),
    [anon_sym_PIPE] = ACTIONS(866),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(866),
    [anon_sym_STAR_STAR] = ACTIONS(866),
    [anon_sym_LT_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(866),
    [anon_sym_GT_EQ] = ACTIONS(866),
    [anon_sym_QMARK_QMARK] = ACTIONS(866),
    [anon_sym_instanceof] = ACTIONS(866),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(956),
    [sym__ternary_qmark] = ACTIONS(872),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_comment] = STATE(161),
    [sym_identifier] = ACTIONS(958),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(960),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_import] = ACTIONS(958),
    [anon_sym_with] = ACTIONS(958),
    [anon_sym_var] = ACTIONS(958),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(958),
    [anon_sym_await] = ACTIONS(958),
    [anon_sym_in] = ACTIONS(960),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(958),
    [anon_sym_try] = ACTIONS(958),
    [anon_sym_break] = ACTIONS(958),
    [anon_sym_continue] = ACTIONS(958),
    [anon_sym_debugger] = ACTIONS(958),
    [anon_sym_return] = ACTIONS(958),
    [anon_sym_throw] = ACTIONS(958),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym_case] = ACTIONS(958),
    [anon_sym_yield] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_LTtemplate_GT] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(960),
    [anon_sym_DQUOTE] = ACTIONS(958),
    [anon_sym_SQUOTE] = ACTIONS(958),
    [anon_sym_class] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(958),
    [anon_sym_function] = ACTIONS(958),
    [sym_optional_chain] = ACTIONS(960),
    [anon_sym_new] = ACTIONS(958),
    [anon_sym_AMP_AMP] = ACTIONS(960),
    [anon_sym_PIPE_PIPE] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_GT_GT_GT] = ACTIONS(960),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_SLASH] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(960),
    [anon_sym_LT_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(960),
    [anon_sym_GT_EQ] = ACTIONS(960),
    [anon_sym_QMARK_QMARK] = ACTIONS(960),
    [anon_sym_instanceof] = ACTIONS(960),
    [anon_sym_BANG] = ACTIONS(958),
    [anon_sym_TILDE] = ACTIONS(958),
    [anon_sym_typeof] = ACTIONS(958),
    [anon_sym_void] = ACTIONS(958),
    [anon_sym_delete] = ACTIONS(958),
    [anon_sym_PLUS_PLUS] = ACTIONS(958),
    [anon_sym_DASH_DASH] = ACTIONS(958),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(958),
    [sym_number] = ACTIONS(958),
    [sym_private_property_identifier] = ACTIONS(958),
    [sym_this] = ACTIONS(958),
    [sym_super] = ACTIONS(958),
    [sym_true] = ACTIONS(958),
    [sym_false] = ACTIONS(958),
    [sym_null] = ACTIONS(958),
    [sym_undefined] = ACTIONS(958),
    [anon_sym_AT] = ACTIONS(958),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [sym__automatic_semicolon] = ACTIONS(962),
    [sym__ternary_qmark] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_comment] = STATE(162),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(966),
    [anon_sym_STAR] = ACTIONS(968),
    [anon_sym_default] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(966),
    [anon_sym_COMMA] = ACTIONS(968),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(966),
    [anon_sym_with] = ACTIONS(966),
    [anon_sym_var] = ACTIONS(966),
    [anon_sym_let] = ACTIONS(966),
    [anon_sym_const] = ACTIONS(966),
    [anon_sym_else] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(966),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(966),
    [anon_sym_await] = ACTIONS(966),
    [anon_sym_in] = ACTIONS(968),
    [anon_sym_while] = ACTIONS(966),
    [anon_sym_do] = ACTIONS(966),
    [anon_sym_try] = ACTIONS(966),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(966),
    [anon_sym_debugger] = ACTIONS(966),
    [anon_sym_return] = ACTIONS(966),
    [anon_sym_throw] = ACTIONS(966),
    [anon_sym_SEMI] = ACTIONS(966),
    [anon_sym_case] = ACTIONS(966),
    [anon_sym_yield] = ACTIONS(966),
    [anon_sym_LBRACK] = ACTIONS(966),
    [anon_sym_LTtemplate_GT] = ACTIONS(966),
    [anon_sym_LT] = ACTIONS(966),
    [anon_sym_GT] = ACTIONS(968),
    [anon_sym_DOT] = ACTIONS(968),
    [anon_sym_DQUOTE] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(966),
    [anon_sym_class] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(966),
    [anon_sym_function] = ACTIONS(966),
    [sym_optional_chain] = ACTIONS(968),
    [anon_sym_new] = ACTIONS(966),
    [anon_sym_AMP_AMP] = ACTIONS(968),
    [anon_sym_PIPE_PIPE] = ACTIONS(968),
    [anon_sym_GT_GT] = ACTIONS(968),
    [anon_sym_GT_GT_GT] = ACTIONS(968),
    [anon_sym_LT_LT] = ACTIONS(968),
    [anon_sym_AMP] = ACTIONS(968),
    [anon_sym_CARET] = ACTIONS(968),
    [anon_sym_PIPE] = ACTIONS(968),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(966),
    [anon_sym_PERCENT] = ACTIONS(968),
    [anon_sym_STAR_STAR] = ACTIONS(968),
    [anon_sym_LT_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(968),
    [anon_sym_GT_EQ] = ACTIONS(968),
    [anon_sym_QMARK_QMARK] = ACTIONS(968),
    [anon_sym_instanceof] = ACTIONS(968),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(966),
    [anon_sym_DASH_DASH] = ACTIONS(966),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(966),
    [sym_number] = ACTIONS(966),
    [sym_private_property_identifier] = ACTIONS(966),
    [sym_this] = ACTIONS(966),
    [sym_super] = ACTIONS(966),
    [sym_true] = ACTIONS(966),
    [sym_false] = ACTIONS(966),
    [sym_null] = ACTIONS(966),
    [sym_undefined] = ACTIONS(966),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_static] = ACTIONS(966),
    [anon_sym_get] = ACTIONS(966),
    [anon_sym_set] = ACTIONS(966),
    [sym__automatic_semicolon] = ACTIONS(970),
    [sym__ternary_qmark] = ACTIONS(972),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_comment] = STATE(163),
    [sym_identifier] = ACTIONS(974),
    [anon_sym_export] = ACTIONS(974),
    [anon_sym_STAR] = ACTIONS(976),
    [anon_sym_default] = ACTIONS(974),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_COMMA] = ACTIONS(976),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_import] = ACTIONS(974),
    [anon_sym_with] = ACTIONS(974),
    [anon_sym_var] = ACTIONS(974),
    [anon_sym_let] = ACTIONS(974),
    [anon_sym_const] = ACTIONS(974),
    [anon_sym_else] = ACTIONS(974),
    [anon_sym_if] = ACTIONS(974),
    [anon_sym_switch] = ACTIONS(974),
    [anon_sym_for] = ACTIONS(974),
    [anon_sym_LPAREN] = ACTIONS(974),
    [anon_sym_await] = ACTIONS(974),
    [anon_sym_in] = ACTIONS(976),
    [anon_sym_while] = ACTIONS(974),
    [anon_sym_do] = ACTIONS(974),
    [anon_sym_try] = ACTIONS(974),
    [anon_sym_break] = ACTIONS(974),
    [anon_sym_continue] = ACTIONS(974),
    [anon_sym_debugger] = ACTIONS(974),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_throw] = ACTIONS(974),
    [anon_sym_SEMI] = ACTIONS(974),
    [anon_sym_case] = ACTIONS(974),
    [anon_sym_yield] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_LTtemplate_GT] = ACTIONS(974),
    [anon_sym_LT] = ACTIONS(974),
    [anon_sym_GT] = ACTIONS(976),
    [anon_sym_DOT] = ACTIONS(976),
    [anon_sym_DQUOTE] = ACTIONS(974),
    [anon_sym_SQUOTE] = ACTIONS(974),
    [anon_sym_class] = ACTIONS(974),
    [anon_sym_async] = ACTIONS(974),
    [anon_sym_function] = ACTIONS(974),
    [sym_optional_chain] = ACTIONS(976),
    [anon_sym_new] = ACTIONS(974),
    [anon_sym_AMP_AMP] = ACTIONS(976),
    [anon_sym_PIPE_PIPE] = ACTIONS(976),
    [anon_sym_GT_GT] = ACTIONS(976),
    [anon_sym_GT_GT_GT] = ACTIONS(976),
    [anon_sym_LT_LT] = ACTIONS(976),
    [anon_sym_AMP] = ACTIONS(976),
    [anon_sym_CARET] = ACTIONS(976),
    [anon_sym_PIPE] = ACTIONS(976),
    [anon_sym_PLUS] = ACTIONS(974),
    [anon_sym_DASH] = ACTIONS(974),
    [anon_sym_SLASH] = ACTIONS(974),
    [anon_sym_PERCENT] = ACTIONS(976),
    [anon_sym_STAR_STAR] = ACTIONS(976),
    [anon_sym_LT_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(976),
    [anon_sym_GT_EQ] = ACTIONS(976),
    [anon_sym_QMARK_QMARK] = ACTIONS(976),
    [anon_sym_instanceof] = ACTIONS(976),
    [anon_sym_BANG] = ACTIONS(974),
    [anon_sym_TILDE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(974),
    [anon_sym_void] = ACTIONS(974),
    [anon_sym_delete] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(974),
    [sym_number] = ACTIONS(974),
    [sym_private_property_identifier] = ACTIONS(974),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(974),
    [sym_true] = ACTIONS(974),
    [sym_false] = ACTIONS(974),
    [sym_null] = ACTIONS(974),
    [sym_undefined] = ACTIONS(974),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_static] = ACTIONS(974),
    [anon_sym_get] = ACTIONS(974),
    [anon_sym_set] = ACTIONS(974),
    [sym__automatic_semicolon] = ACTIONS(978),
    [sym__ternary_qmark] = ACTIONS(980),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1342),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2477),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1069),
    [sym_subscript_expression] = STATE(1069),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1875),
    [sym_spread_element] = STATE(2060),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(164),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [sym_pattern] = STATE(2061),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(982),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(982),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_comment] = STATE(165),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(864),
    [anon_sym_default] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(864),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_else] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(864),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_case] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(864),
    [anon_sym_DOT] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(864),
    [anon_sym_PIPE_PIPE] = ACTIONS(864),
    [anon_sym_GT_GT] = ACTIONS(864),
    [anon_sym_GT_GT_GT] = ACTIONS(864),
    [anon_sym_LT_LT] = ACTIONS(864),
    [anon_sym_AMP] = ACTIONS(864),
    [anon_sym_CARET] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(864),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(864),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_LT_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(864),
    [anon_sym_GT_EQ] = ACTIONS(864),
    [anon_sym_QMARK_QMARK] = ACTIONS(864),
    [anon_sym_instanceof] = ACTIONS(864),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(985),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1438),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2073),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1875),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(166),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [sym_pattern] = STATE(1910),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_pattern_repeat1] = STATE(2187),
    [sym_identifier] = ACTIONS(987),
    [anon_sym_export] = ACTIONS(989),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(890),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(993),
    [anon_sym_RBRACK] = ACTIONS(894),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(989),
    [anon_sym_get] = ACTIONS(989),
    [anon_sym_set] = ACTIONS(989),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_comment] = STATE(167),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(878),
    [anon_sym_default] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_COMMA] = ACTIONS(878),
    [anon_sym_RBRACE] = ACTIONS(878),
    [anon_sym_import] = ACTIONS(878),
    [anon_sym_with] = ACTIONS(878),
    [anon_sym_var] = ACTIONS(878),
    [anon_sym_let] = ACTIONS(878),
    [anon_sym_const] = ACTIONS(878),
    [anon_sym_else] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_switch] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_in] = ACTIONS(878),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_do] = ACTIONS(878),
    [anon_sym_try] = ACTIONS(878),
    [anon_sym_break] = ACTIONS(878),
    [anon_sym_continue] = ACTIONS(878),
    [anon_sym_debugger] = ACTIONS(878),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(878),
    [anon_sym_LTtemplate_GT] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [anon_sym_SQUOTE] = ACTIONS(878),
    [anon_sym_class] = ACTIONS(878),
    [anon_sym_async] = ACTIONS(878),
    [anon_sym_function] = ACTIONS(878),
    [sym_optional_chain] = ACTIONS(878),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_AMP_AMP] = ACTIONS(878),
    [anon_sym_PIPE_PIPE] = ACTIONS(878),
    [anon_sym_GT_GT] = ACTIONS(878),
    [anon_sym_GT_GT_GT] = ACTIONS(878),
    [anon_sym_LT_LT] = ACTIONS(878),
    [anon_sym_AMP] = ACTIONS(878),
    [anon_sym_CARET] = ACTIONS(878),
    [anon_sym_PIPE] = ACTIONS(878),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(878),
    [anon_sym_STAR_STAR] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(878),
    [anon_sym_GT_EQ] = ACTIONS(878),
    [anon_sym_QMARK_QMARK] = ACTIONS(878),
    [anon_sym_instanceof] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(878),
    [anon_sym_void] = ACTIONS(878),
    [anon_sym_delete] = ACTIONS(878),
    [anon_sym_PLUS_PLUS] = ACTIONS(878),
    [anon_sym_DASH_DASH] = ACTIONS(878),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(878),
    [sym_number] = ACTIONS(878),
    [sym_private_property_identifier] = ACTIONS(878),
    [sym_this] = ACTIONS(878),
    [sym_super] = ACTIONS(878),
    [sym_true] = ACTIONS(878),
    [sym_false] = ACTIONS(878),
    [sym_null] = ACTIONS(878),
    [sym_undefined] = ACTIONS(878),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [sym__automatic_semicolon] = ACTIONS(882),
    [sym__ternary_qmark] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_comment] = STATE(168),
    [ts_builtin_sym_end] = ACTIONS(908),
    [sym_identifier] = ACTIONS(906),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_STAR] = ACTIONS(906),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_COMMA] = ACTIONS(906),
    [anon_sym_RBRACE] = ACTIONS(906),
    [anon_sym_import] = ACTIONS(906),
    [anon_sym_with] = ACTIONS(906),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_else] = ACTIONS(906),
    [anon_sym_if] = ACTIONS(906),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_for] = ACTIONS(906),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_await] = ACTIONS(906),
    [anon_sym_in] = ACTIONS(906),
    [anon_sym_while] = ACTIONS(906),
    [anon_sym_do] = ACTIONS(906),
    [anon_sym_try] = ACTIONS(906),
    [anon_sym_break] = ACTIONS(906),
    [anon_sym_continue] = ACTIONS(906),
    [anon_sym_debugger] = ACTIONS(906),
    [anon_sym_return] = ACTIONS(906),
    [anon_sym_throw] = ACTIONS(906),
    [anon_sym_SEMI] = ACTIONS(906),
    [anon_sym_yield] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(906),
    [anon_sym_LTtemplate_GT] = ACTIONS(906),
    [anon_sym_LT] = ACTIONS(906),
    [anon_sym_GT] = ACTIONS(906),
    [anon_sym_DOT] = ACTIONS(906),
    [anon_sym_DQUOTE] = ACTIONS(906),
    [anon_sym_SQUOTE] = ACTIONS(906),
    [anon_sym_class] = ACTIONS(906),
    [anon_sym_async] = ACTIONS(906),
    [anon_sym_function] = ACTIONS(906),
    [sym_optional_chain] = ACTIONS(906),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_AMP_AMP] = ACTIONS(906),
    [anon_sym_PIPE_PIPE] = ACTIONS(906),
    [anon_sym_GT_GT] = ACTIONS(906),
    [anon_sym_GT_GT_GT] = ACTIONS(906),
    [anon_sym_LT_LT] = ACTIONS(906),
    [anon_sym_AMP] = ACTIONS(906),
    [anon_sym_CARET] = ACTIONS(906),
    [anon_sym_PIPE] = ACTIONS(906),
    [anon_sym_PLUS] = ACTIONS(906),
    [anon_sym_DASH] = ACTIONS(906),
    [anon_sym_SLASH] = ACTIONS(906),
    [anon_sym_PERCENT] = ACTIONS(906),
    [anon_sym_STAR_STAR] = ACTIONS(906),
    [anon_sym_LT_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(906),
    [anon_sym_GT_EQ] = ACTIONS(906),
    [anon_sym_QMARK_QMARK] = ACTIONS(906),
    [anon_sym_instanceof] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(906),
    [anon_sym_TILDE] = ACTIONS(906),
    [anon_sym_typeof] = ACTIONS(906),
    [anon_sym_void] = ACTIONS(906),
    [anon_sym_delete] = ACTIONS(906),
    [anon_sym_PLUS_PLUS] = ACTIONS(906),
    [anon_sym_DASH_DASH] = ACTIONS(906),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(906),
    [sym_number] = ACTIONS(906),
    [sym_private_property_identifier] = ACTIONS(906),
    [sym_this] = ACTIONS(906),
    [sym_super] = ACTIONS(906),
    [sym_true] = ACTIONS(906),
    [sym_false] = ACTIONS(906),
    [sym_null] = ACTIONS(906),
    [sym_undefined] = ACTIONS(906),
    [anon_sym_AT] = ACTIONS(906),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [sym__automatic_semicolon] = ACTIONS(908),
    [sym__ternary_qmark] = ACTIONS(908),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_comment] = STATE(169),
    [ts_builtin_sym_end] = ACTIONS(876),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(876),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_comment] = STATE(170),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_default] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(876),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_comment] = STATE(171),
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_identifier] = ACTIONS(948),
    [anon_sym_export] = ACTIONS(948),
    [anon_sym_STAR] = ACTIONS(950),
    [anon_sym_LBRACE] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(950),
    [anon_sym_RBRACE] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(948),
    [anon_sym_with] = ACTIONS(948),
    [anon_sym_var] = ACTIONS(948),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_const] = ACTIONS(948),
    [anon_sym_else] = ACTIONS(948),
    [anon_sym_if] = ACTIONS(948),
    [anon_sym_switch] = ACTIONS(948),
    [anon_sym_for] = ACTIONS(948),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_await] = ACTIONS(948),
    [anon_sym_in] = ACTIONS(950),
    [anon_sym_while] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(948),
    [anon_sym_try] = ACTIONS(948),
    [anon_sym_break] = ACTIONS(948),
    [anon_sym_continue] = ACTIONS(948),
    [anon_sym_debugger] = ACTIONS(948),
    [anon_sym_return] = ACTIONS(948),
    [anon_sym_throw] = ACTIONS(948),
    [anon_sym_SEMI] = ACTIONS(948),
    [anon_sym_yield] = ACTIONS(948),
    [anon_sym_LBRACK] = ACTIONS(948),
    [anon_sym_LTtemplate_GT] = ACTIONS(948),
    [anon_sym_LT] = ACTIONS(948),
    [anon_sym_GT] = ACTIONS(950),
    [anon_sym_DOT] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(948),
    [anon_sym_SQUOTE] = ACTIONS(948),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(948),
    [anon_sym_function] = ACTIONS(948),
    [sym_optional_chain] = ACTIONS(950),
    [anon_sym_new] = ACTIONS(948),
    [anon_sym_AMP_AMP] = ACTIONS(950),
    [anon_sym_PIPE_PIPE] = ACTIONS(950),
    [anon_sym_GT_GT] = ACTIONS(950),
    [anon_sym_GT_GT_GT] = ACTIONS(950),
    [anon_sym_LT_LT] = ACTIONS(950),
    [anon_sym_AMP] = ACTIONS(950),
    [anon_sym_CARET] = ACTIONS(950),
    [anon_sym_PIPE] = ACTIONS(950),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_SLASH] = ACTIONS(948),
    [anon_sym_PERCENT] = ACTIONS(950),
    [anon_sym_STAR_STAR] = ACTIONS(950),
    [anon_sym_LT_EQ] = ACTIONS(950),
    [anon_sym_EQ_EQ] = ACTIONS(950),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(950),
    [anon_sym_BANG_EQ] = ACTIONS(950),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(950),
    [anon_sym_GT_EQ] = ACTIONS(950),
    [anon_sym_QMARK_QMARK] = ACTIONS(950),
    [anon_sym_instanceof] = ACTIONS(950),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(948),
    [sym_number] = ACTIONS(948),
    [sym_private_property_identifier] = ACTIONS(948),
    [sym_this] = ACTIONS(948),
    [sym_super] = ACTIONS(948),
    [sym_true] = ACTIONS(948),
    [sym_false] = ACTIONS(948),
    [sym_null] = ACTIONS(948),
    [sym_undefined] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(948),
    [anon_sym_static] = ACTIONS(948),
    [anon_sym_get] = ACTIONS(948),
    [anon_sym_set] = ACTIONS(948),
    [sym__automatic_semicolon] = ACTIONS(1001),
    [sym__ternary_qmark] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_comment] = STATE(172),
    [ts_builtin_sym_end] = ACTIONS(1003),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(966),
    [anon_sym_STAR] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(966),
    [anon_sym_COMMA] = ACTIONS(968),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(966),
    [anon_sym_with] = ACTIONS(966),
    [anon_sym_var] = ACTIONS(966),
    [anon_sym_let] = ACTIONS(966),
    [anon_sym_const] = ACTIONS(966),
    [anon_sym_else] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(966),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(966),
    [anon_sym_await] = ACTIONS(966),
    [anon_sym_in] = ACTIONS(968),
    [anon_sym_while] = ACTIONS(966),
    [anon_sym_do] = ACTIONS(966),
    [anon_sym_try] = ACTIONS(966),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(966),
    [anon_sym_debugger] = ACTIONS(966),
    [anon_sym_return] = ACTIONS(966),
    [anon_sym_throw] = ACTIONS(966),
    [anon_sym_SEMI] = ACTIONS(966),
    [anon_sym_yield] = ACTIONS(966),
    [anon_sym_LBRACK] = ACTIONS(966),
    [anon_sym_LTtemplate_GT] = ACTIONS(966),
    [anon_sym_LT] = ACTIONS(966),
    [anon_sym_GT] = ACTIONS(968),
    [anon_sym_DOT] = ACTIONS(968),
    [anon_sym_DQUOTE] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(966),
    [anon_sym_class] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(966),
    [anon_sym_function] = ACTIONS(966),
    [sym_optional_chain] = ACTIONS(968),
    [anon_sym_new] = ACTIONS(966),
    [anon_sym_AMP_AMP] = ACTIONS(968),
    [anon_sym_PIPE_PIPE] = ACTIONS(968),
    [anon_sym_GT_GT] = ACTIONS(968),
    [anon_sym_GT_GT_GT] = ACTIONS(968),
    [anon_sym_LT_LT] = ACTIONS(968),
    [anon_sym_AMP] = ACTIONS(968),
    [anon_sym_CARET] = ACTIONS(968),
    [anon_sym_PIPE] = ACTIONS(968),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(966),
    [anon_sym_PERCENT] = ACTIONS(968),
    [anon_sym_STAR_STAR] = ACTIONS(968),
    [anon_sym_LT_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(968),
    [anon_sym_GT_EQ] = ACTIONS(968),
    [anon_sym_QMARK_QMARK] = ACTIONS(968),
    [anon_sym_instanceof] = ACTIONS(968),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(966),
    [anon_sym_DASH_DASH] = ACTIONS(966),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(966),
    [sym_number] = ACTIONS(966),
    [sym_private_property_identifier] = ACTIONS(966),
    [sym_this] = ACTIONS(966),
    [sym_super] = ACTIONS(966),
    [sym_true] = ACTIONS(966),
    [sym_false] = ACTIONS(966),
    [sym_null] = ACTIONS(966),
    [sym_undefined] = ACTIONS(966),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_static] = ACTIONS(966),
    [anon_sym_get] = ACTIONS(966),
    [anon_sym_set] = ACTIONS(966),
    [sym__automatic_semicolon] = ACTIONS(1005),
    [sym__ternary_qmark] = ACTIONS(972),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_comment] = STATE(173),
    [ts_builtin_sym_end] = ACTIONS(1007),
    [sym_identifier] = ACTIONS(974),
    [anon_sym_export] = ACTIONS(974),
    [anon_sym_STAR] = ACTIONS(976),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_COMMA] = ACTIONS(976),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_import] = ACTIONS(974),
    [anon_sym_with] = ACTIONS(974),
    [anon_sym_var] = ACTIONS(974),
    [anon_sym_let] = ACTIONS(974),
    [anon_sym_const] = ACTIONS(974),
    [anon_sym_else] = ACTIONS(974),
    [anon_sym_if] = ACTIONS(974),
    [anon_sym_switch] = ACTIONS(974),
    [anon_sym_for] = ACTIONS(974),
    [anon_sym_LPAREN] = ACTIONS(974),
    [anon_sym_await] = ACTIONS(974),
    [anon_sym_in] = ACTIONS(976),
    [anon_sym_while] = ACTIONS(974),
    [anon_sym_do] = ACTIONS(974),
    [anon_sym_try] = ACTIONS(974),
    [anon_sym_break] = ACTIONS(974),
    [anon_sym_continue] = ACTIONS(974),
    [anon_sym_debugger] = ACTIONS(974),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_throw] = ACTIONS(974),
    [anon_sym_SEMI] = ACTIONS(974),
    [anon_sym_yield] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_LTtemplate_GT] = ACTIONS(974),
    [anon_sym_LT] = ACTIONS(974),
    [anon_sym_GT] = ACTIONS(976),
    [anon_sym_DOT] = ACTIONS(976),
    [anon_sym_DQUOTE] = ACTIONS(974),
    [anon_sym_SQUOTE] = ACTIONS(974),
    [anon_sym_class] = ACTIONS(974),
    [anon_sym_async] = ACTIONS(974),
    [anon_sym_function] = ACTIONS(974),
    [sym_optional_chain] = ACTIONS(976),
    [anon_sym_new] = ACTIONS(974),
    [anon_sym_AMP_AMP] = ACTIONS(976),
    [anon_sym_PIPE_PIPE] = ACTIONS(976),
    [anon_sym_GT_GT] = ACTIONS(976),
    [anon_sym_GT_GT_GT] = ACTIONS(976),
    [anon_sym_LT_LT] = ACTIONS(976),
    [anon_sym_AMP] = ACTIONS(976),
    [anon_sym_CARET] = ACTIONS(976),
    [anon_sym_PIPE] = ACTIONS(976),
    [anon_sym_PLUS] = ACTIONS(974),
    [anon_sym_DASH] = ACTIONS(974),
    [anon_sym_SLASH] = ACTIONS(974),
    [anon_sym_PERCENT] = ACTIONS(976),
    [anon_sym_STAR_STAR] = ACTIONS(976),
    [anon_sym_LT_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(976),
    [anon_sym_GT_EQ] = ACTIONS(976),
    [anon_sym_QMARK_QMARK] = ACTIONS(976),
    [anon_sym_instanceof] = ACTIONS(976),
    [anon_sym_BANG] = ACTIONS(974),
    [anon_sym_TILDE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(974),
    [anon_sym_void] = ACTIONS(974),
    [anon_sym_delete] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(974),
    [sym_number] = ACTIONS(974),
    [sym_private_property_identifier] = ACTIONS(974),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(974),
    [sym_true] = ACTIONS(974),
    [sym_false] = ACTIONS(974),
    [sym_null] = ACTIONS(974),
    [sym_undefined] = ACTIONS(974),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_static] = ACTIONS(974),
    [anon_sym_get] = ACTIONS(974),
    [anon_sym_set] = ACTIONS(974),
    [sym__automatic_semicolon] = ACTIONS(1009),
    [sym__ternary_qmark] = ACTIONS(980),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_comment] = STATE(174),
    [sym_identifier] = ACTIONS(948),
    [anon_sym_export] = ACTIONS(948),
    [anon_sym_STAR] = ACTIONS(950),
    [anon_sym_default] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(950),
    [anon_sym_RBRACE] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(948),
    [anon_sym_with] = ACTIONS(948),
    [anon_sym_var] = ACTIONS(948),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_const] = ACTIONS(948),
    [anon_sym_if] = ACTIONS(948),
    [anon_sym_switch] = ACTIONS(948),
    [anon_sym_for] = ACTIONS(948),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_await] = ACTIONS(948),
    [anon_sym_in] = ACTIONS(950),
    [anon_sym_while] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(948),
    [anon_sym_try] = ACTIONS(948),
    [anon_sym_break] = ACTIONS(948),
    [anon_sym_continue] = ACTIONS(948),
    [anon_sym_debugger] = ACTIONS(948),
    [anon_sym_return] = ACTIONS(948),
    [anon_sym_throw] = ACTIONS(948),
    [anon_sym_SEMI] = ACTIONS(948),
    [anon_sym_case] = ACTIONS(948),
    [anon_sym_yield] = ACTIONS(948),
    [anon_sym_LBRACK] = ACTIONS(948),
    [anon_sym_LTtemplate_GT] = ACTIONS(948),
    [anon_sym_LT] = ACTIONS(948),
    [anon_sym_GT] = ACTIONS(950),
    [anon_sym_DOT] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(948),
    [anon_sym_SQUOTE] = ACTIONS(948),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(948),
    [anon_sym_function] = ACTIONS(948),
    [sym_optional_chain] = ACTIONS(950),
    [anon_sym_new] = ACTIONS(948),
    [anon_sym_AMP_AMP] = ACTIONS(950),
    [anon_sym_PIPE_PIPE] = ACTIONS(950),
    [anon_sym_GT_GT] = ACTIONS(950),
    [anon_sym_GT_GT_GT] = ACTIONS(950),
    [anon_sym_LT_LT] = ACTIONS(950),
    [anon_sym_AMP] = ACTIONS(950),
    [anon_sym_CARET] = ACTIONS(950),
    [anon_sym_PIPE] = ACTIONS(950),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_SLASH] = ACTIONS(948),
    [anon_sym_PERCENT] = ACTIONS(950),
    [anon_sym_STAR_STAR] = ACTIONS(950),
    [anon_sym_LT_EQ] = ACTIONS(950),
    [anon_sym_EQ_EQ] = ACTIONS(950),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(950),
    [anon_sym_BANG_EQ] = ACTIONS(950),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(950),
    [anon_sym_GT_EQ] = ACTIONS(950),
    [anon_sym_QMARK_QMARK] = ACTIONS(950),
    [anon_sym_instanceof] = ACTIONS(950),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(948),
    [sym_number] = ACTIONS(948),
    [sym_private_property_identifier] = ACTIONS(948),
    [sym_this] = ACTIONS(948),
    [sym_super] = ACTIONS(948),
    [sym_true] = ACTIONS(948),
    [sym_false] = ACTIONS(948),
    [sym_null] = ACTIONS(948),
    [sym_undefined] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(948),
    [anon_sym_static] = ACTIONS(948),
    [anon_sym_get] = ACTIONS(948),
    [anon_sym_set] = ACTIONS(948),
    [sym__automatic_semicolon] = ACTIONS(1011),
    [sym__ternary_qmark] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1284),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2179),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1069),
    [sym_subscript_expression] = STATE(1069),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1875),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2834),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(175),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [sym_pattern] = STATE(1921),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1013),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_comment] = STATE(176),
    [ts_builtin_sym_end] = ACTIONS(1015),
    [sym_identifier] = ACTIONS(924),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_STAR] = ACTIONS(926),
    [anon_sym_LBRACE] = ACTIONS(924),
    [anon_sym_COMMA] = ACTIONS(926),
    [anon_sym_RBRACE] = ACTIONS(924),
    [anon_sym_import] = ACTIONS(924),
    [anon_sym_with] = ACTIONS(924),
    [anon_sym_var] = ACTIONS(924),
    [anon_sym_let] = ACTIONS(924),
    [anon_sym_const] = ACTIONS(924),
    [anon_sym_else] = ACTIONS(924),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(924),
    [anon_sym_for] = ACTIONS(924),
    [anon_sym_LPAREN] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(924),
    [anon_sym_in] = ACTIONS(926),
    [anon_sym_while] = ACTIONS(924),
    [anon_sym_do] = ACTIONS(924),
    [anon_sym_try] = ACTIONS(924),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(924),
    [anon_sym_return] = ACTIONS(924),
    [anon_sym_throw] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(924),
    [anon_sym_yield] = ACTIONS(924),
    [anon_sym_LBRACK] = ACTIONS(924),
    [anon_sym_LTtemplate_GT] = ACTIONS(924),
    [anon_sym_LT] = ACTIONS(924),
    [anon_sym_GT] = ACTIONS(926),
    [anon_sym_DOT] = ACTIONS(926),
    [anon_sym_DQUOTE] = ACTIONS(924),
    [anon_sym_SQUOTE] = ACTIONS(924),
    [anon_sym_class] = ACTIONS(924),
    [anon_sym_async] = ACTIONS(924),
    [anon_sym_function] = ACTIONS(924),
    [sym_optional_chain] = ACTIONS(926),
    [anon_sym_new] = ACTIONS(924),
    [anon_sym_AMP_AMP] = ACTIONS(926),
    [anon_sym_PIPE_PIPE] = ACTIONS(926),
    [anon_sym_GT_GT] = ACTIONS(926),
    [anon_sym_GT_GT_GT] = ACTIONS(926),
    [anon_sym_LT_LT] = ACTIONS(926),
    [anon_sym_AMP] = ACTIONS(926),
    [anon_sym_CARET] = ACTIONS(926),
    [anon_sym_PIPE] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_SLASH] = ACTIONS(924),
    [anon_sym_PERCENT] = ACTIONS(926),
    [anon_sym_STAR_STAR] = ACTIONS(926),
    [anon_sym_LT_EQ] = ACTIONS(926),
    [anon_sym_EQ_EQ] = ACTIONS(926),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(926),
    [anon_sym_BANG_EQ] = ACTIONS(926),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(926),
    [anon_sym_GT_EQ] = ACTIONS(926),
    [anon_sym_QMARK_QMARK] = ACTIONS(926),
    [anon_sym_instanceof] = ACTIONS(926),
    [anon_sym_BANG] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(924),
    [anon_sym_void] = ACTIONS(924),
    [anon_sym_delete] = ACTIONS(924),
    [anon_sym_PLUS_PLUS] = ACTIONS(924),
    [anon_sym_DASH_DASH] = ACTIONS(924),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(924),
    [sym_number] = ACTIONS(924),
    [sym_private_property_identifier] = ACTIONS(924),
    [sym_this] = ACTIONS(924),
    [sym_super] = ACTIONS(924),
    [sym_true] = ACTIONS(924),
    [sym_false] = ACTIONS(924),
    [sym_null] = ACTIONS(924),
    [sym_undefined] = ACTIONS(924),
    [anon_sym_AT] = ACTIONS(924),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [sym__automatic_semicolon] = ACTIONS(1017),
    [sym__ternary_qmark] = ACTIONS(930),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_comment] = STATE(177),
    [sym_identifier] = ACTIONS(958),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(960),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_import] = ACTIONS(958),
    [anon_sym_with] = ACTIONS(958),
    [anon_sym_var] = ACTIONS(958),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(958),
    [anon_sym_await] = ACTIONS(958),
    [anon_sym_in] = ACTIONS(960),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(958),
    [anon_sym_try] = ACTIONS(958),
    [anon_sym_break] = ACTIONS(958),
    [anon_sym_continue] = ACTIONS(958),
    [anon_sym_debugger] = ACTIONS(958),
    [anon_sym_return] = ACTIONS(958),
    [anon_sym_throw] = ACTIONS(958),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym_case] = ACTIONS(958),
    [anon_sym_yield] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_LTtemplate_GT] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(960),
    [anon_sym_DQUOTE] = ACTIONS(958),
    [anon_sym_SQUOTE] = ACTIONS(958),
    [anon_sym_class] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(958),
    [anon_sym_function] = ACTIONS(958),
    [sym_optional_chain] = ACTIONS(960),
    [anon_sym_new] = ACTIONS(958),
    [anon_sym_AMP_AMP] = ACTIONS(960),
    [anon_sym_PIPE_PIPE] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_GT_GT_GT] = ACTIONS(960),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_SLASH] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(960),
    [anon_sym_LT_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(960),
    [anon_sym_GT_EQ] = ACTIONS(960),
    [anon_sym_QMARK_QMARK] = ACTIONS(960),
    [anon_sym_instanceof] = ACTIONS(960),
    [anon_sym_BANG] = ACTIONS(958),
    [anon_sym_TILDE] = ACTIONS(958),
    [anon_sym_typeof] = ACTIONS(958),
    [anon_sym_void] = ACTIONS(958),
    [anon_sym_delete] = ACTIONS(958),
    [anon_sym_PLUS_PLUS] = ACTIONS(958),
    [anon_sym_DASH_DASH] = ACTIONS(958),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(958),
    [sym_number] = ACTIONS(958),
    [sym_private_property_identifier] = ACTIONS(958),
    [sym_this] = ACTIONS(958),
    [sym_super] = ACTIONS(958),
    [sym_true] = ACTIONS(958),
    [sym_false] = ACTIONS(958),
    [sym_null] = ACTIONS(958),
    [sym_undefined] = ACTIONS(958),
    [anon_sym_AT] = ACTIONS(958),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [sym__automatic_semicolon] = ACTIONS(1019),
    [sym__ternary_qmark] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_comment] = STATE(178),
    [ts_builtin_sym_end] = ACTIONS(912),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_export] = ACTIONS(910),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_COMMA] = ACTIONS(910),
    [anon_sym_RBRACE] = ACTIONS(910),
    [anon_sym_import] = ACTIONS(910),
    [anon_sym_with] = ACTIONS(910),
    [anon_sym_var] = ACTIONS(910),
    [anon_sym_let] = ACTIONS(910),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_else] = ACTIONS(910),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(910),
    [anon_sym_await] = ACTIONS(910),
    [anon_sym_in] = ACTIONS(910),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(910),
    [anon_sym_try] = ACTIONS(910),
    [anon_sym_break] = ACTIONS(910),
    [anon_sym_continue] = ACTIONS(910),
    [anon_sym_debugger] = ACTIONS(910),
    [anon_sym_return] = ACTIONS(910),
    [anon_sym_throw] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_yield] = ACTIONS(910),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_LTtemplate_GT] = ACTIONS(910),
    [anon_sym_LT] = ACTIONS(910),
    [anon_sym_GT] = ACTIONS(910),
    [anon_sym_DOT] = ACTIONS(910),
    [anon_sym_DQUOTE] = ACTIONS(910),
    [anon_sym_SQUOTE] = ACTIONS(910),
    [anon_sym_class] = ACTIONS(910),
    [anon_sym_async] = ACTIONS(910),
    [anon_sym_function] = ACTIONS(910),
    [sym_optional_chain] = ACTIONS(910),
    [anon_sym_new] = ACTIONS(910),
    [anon_sym_AMP_AMP] = ACTIONS(910),
    [anon_sym_PIPE_PIPE] = ACTIONS(910),
    [anon_sym_GT_GT] = ACTIONS(910),
    [anon_sym_GT_GT_GT] = ACTIONS(910),
    [anon_sym_LT_LT] = ACTIONS(910),
    [anon_sym_AMP] = ACTIONS(910),
    [anon_sym_CARET] = ACTIONS(910),
    [anon_sym_PIPE] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(910),
    [anon_sym_DASH] = ACTIONS(910),
    [anon_sym_SLASH] = ACTIONS(910),
    [anon_sym_PERCENT] = ACTIONS(910),
    [anon_sym_STAR_STAR] = ACTIONS(910),
    [anon_sym_LT_EQ] = ACTIONS(910),
    [anon_sym_EQ_EQ] = ACTIONS(910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(910),
    [anon_sym_BANG_EQ] = ACTIONS(910),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(910),
    [anon_sym_GT_EQ] = ACTIONS(910),
    [anon_sym_QMARK_QMARK] = ACTIONS(910),
    [anon_sym_instanceof] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(910),
    [anon_sym_TILDE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(910),
    [anon_sym_void] = ACTIONS(910),
    [anon_sym_delete] = ACTIONS(910),
    [anon_sym_PLUS_PLUS] = ACTIONS(910),
    [anon_sym_DASH_DASH] = ACTIONS(910),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(910),
    [sym_number] = ACTIONS(910),
    [sym_private_property_identifier] = ACTIONS(910),
    [sym_this] = ACTIONS(910),
    [sym_super] = ACTIONS(910),
    [sym_true] = ACTIONS(910),
    [sym_false] = ACTIONS(910),
    [sym_null] = ACTIONS(910),
    [sym_undefined] = ACTIONS(910),
    [anon_sym_AT] = ACTIONS(910),
    [anon_sym_static] = ACTIONS(910),
    [anon_sym_get] = ACTIONS(910),
    [anon_sym_set] = ACTIONS(910),
    [sym__automatic_semicolon] = ACTIONS(912),
    [sym__ternary_qmark] = ACTIONS(912),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_comment] = STATE(179),
    [ts_builtin_sym_end] = ACTIONS(1021),
    [sym_identifier] = ACTIONS(940),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_STAR] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(940),
    [anon_sym_COMMA] = ACTIONS(942),
    [anon_sym_RBRACE] = ACTIONS(940),
    [anon_sym_import] = ACTIONS(940),
    [anon_sym_with] = ACTIONS(940),
    [anon_sym_var] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_const] = ACTIONS(940),
    [anon_sym_else] = ACTIONS(940),
    [anon_sym_if] = ACTIONS(940),
    [anon_sym_switch] = ACTIONS(940),
    [anon_sym_for] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(940),
    [anon_sym_in] = ACTIONS(942),
    [anon_sym_while] = ACTIONS(940),
    [anon_sym_do] = ACTIONS(940),
    [anon_sym_try] = ACTIONS(940),
    [anon_sym_break] = ACTIONS(940),
    [anon_sym_continue] = ACTIONS(940),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(940),
    [anon_sym_throw] = ACTIONS(940),
    [anon_sym_SEMI] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(940),
    [anon_sym_LBRACK] = ACTIONS(940),
    [anon_sym_LTtemplate_GT] = ACTIONS(940),
    [anon_sym_LT] = ACTIONS(940),
    [anon_sym_GT] = ACTIONS(942),
    [anon_sym_DOT] = ACTIONS(942),
    [anon_sym_DQUOTE] = ACTIONS(940),
    [anon_sym_SQUOTE] = ACTIONS(940),
    [anon_sym_class] = ACTIONS(940),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(940),
    [sym_optional_chain] = ACTIONS(942),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_AMP_AMP] = ACTIONS(942),
    [anon_sym_PIPE_PIPE] = ACTIONS(942),
    [anon_sym_GT_GT] = ACTIONS(942),
    [anon_sym_GT_GT_GT] = ACTIONS(942),
    [anon_sym_LT_LT] = ACTIONS(942),
    [anon_sym_AMP] = ACTIONS(942),
    [anon_sym_CARET] = ACTIONS(942),
    [anon_sym_PIPE] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_SLASH] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_STAR_STAR] = ACTIONS(942),
    [anon_sym_LT_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(942),
    [anon_sym_GT_EQ] = ACTIONS(942),
    [anon_sym_QMARK_QMARK] = ACTIONS(942),
    [anon_sym_instanceof] = ACTIONS(942),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_typeof] = ACTIONS(940),
    [anon_sym_void] = ACTIONS(940),
    [anon_sym_delete] = ACTIONS(940),
    [anon_sym_PLUS_PLUS] = ACTIONS(940),
    [anon_sym_DASH_DASH] = ACTIONS(940),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(940),
    [sym_number] = ACTIONS(940),
    [sym_private_property_identifier] = ACTIONS(940),
    [sym_this] = ACTIONS(940),
    [sym_super] = ACTIONS(940),
    [sym_true] = ACTIONS(940),
    [sym_false] = ACTIONS(940),
    [sym_null] = ACTIONS(940),
    [sym_undefined] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(940),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [sym__automatic_semicolon] = ACTIONS(1023),
    [sym__ternary_qmark] = ACTIONS(946),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_comment] = STATE(180),
    [sym_identifier] = ACTIONS(940),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_STAR] = ACTIONS(942),
    [anon_sym_default] = ACTIONS(940),
    [anon_sym_LBRACE] = ACTIONS(940),
    [anon_sym_COMMA] = ACTIONS(942),
    [anon_sym_RBRACE] = ACTIONS(940),
    [anon_sym_import] = ACTIONS(940),
    [anon_sym_with] = ACTIONS(940),
    [anon_sym_var] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_const] = ACTIONS(940),
    [anon_sym_if] = ACTIONS(940),
    [anon_sym_switch] = ACTIONS(940),
    [anon_sym_for] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(940),
    [anon_sym_in] = ACTIONS(942),
    [anon_sym_while] = ACTIONS(940),
    [anon_sym_do] = ACTIONS(940),
    [anon_sym_try] = ACTIONS(940),
    [anon_sym_break] = ACTIONS(940),
    [anon_sym_continue] = ACTIONS(940),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(940),
    [anon_sym_throw] = ACTIONS(940),
    [anon_sym_SEMI] = ACTIONS(940),
    [anon_sym_case] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(940),
    [anon_sym_LBRACK] = ACTIONS(940),
    [anon_sym_LTtemplate_GT] = ACTIONS(940),
    [anon_sym_LT] = ACTIONS(940),
    [anon_sym_GT] = ACTIONS(942),
    [anon_sym_DOT] = ACTIONS(942),
    [anon_sym_DQUOTE] = ACTIONS(940),
    [anon_sym_SQUOTE] = ACTIONS(940),
    [anon_sym_class] = ACTIONS(940),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(940),
    [sym_optional_chain] = ACTIONS(942),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_AMP_AMP] = ACTIONS(942),
    [anon_sym_PIPE_PIPE] = ACTIONS(942),
    [anon_sym_GT_GT] = ACTIONS(942),
    [anon_sym_GT_GT_GT] = ACTIONS(942),
    [anon_sym_LT_LT] = ACTIONS(942),
    [anon_sym_AMP] = ACTIONS(942),
    [anon_sym_CARET] = ACTIONS(942),
    [anon_sym_PIPE] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_SLASH] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_STAR_STAR] = ACTIONS(942),
    [anon_sym_LT_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(942),
    [anon_sym_GT_EQ] = ACTIONS(942),
    [anon_sym_QMARK_QMARK] = ACTIONS(942),
    [anon_sym_instanceof] = ACTIONS(942),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_typeof] = ACTIONS(940),
    [anon_sym_void] = ACTIONS(940),
    [anon_sym_delete] = ACTIONS(940),
    [anon_sym_PLUS_PLUS] = ACTIONS(940),
    [anon_sym_DASH_DASH] = ACTIONS(940),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(940),
    [sym_number] = ACTIONS(940),
    [sym_private_property_identifier] = ACTIONS(940),
    [sym_this] = ACTIONS(940),
    [sym_super] = ACTIONS(940),
    [sym_true] = ACTIONS(940),
    [sym_false] = ACTIONS(940),
    [sym_null] = ACTIONS(940),
    [sym_undefined] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(940),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [sym__automatic_semicolon] = ACTIONS(1025),
    [sym__ternary_qmark] = ACTIONS(946),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_comment] = STATE(181),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(878),
    [anon_sym_default] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_COMMA] = ACTIONS(878),
    [anon_sym_RBRACE] = ACTIONS(878),
    [anon_sym_import] = ACTIONS(878),
    [anon_sym_with] = ACTIONS(878),
    [anon_sym_var] = ACTIONS(878),
    [anon_sym_let] = ACTIONS(878),
    [anon_sym_const] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_switch] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_in] = ACTIONS(878),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_do] = ACTIONS(878),
    [anon_sym_try] = ACTIONS(878),
    [anon_sym_break] = ACTIONS(878),
    [anon_sym_continue] = ACTIONS(878),
    [anon_sym_debugger] = ACTIONS(878),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(878),
    [anon_sym_LTtemplate_GT] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [anon_sym_SQUOTE] = ACTIONS(878),
    [anon_sym_class] = ACTIONS(878),
    [anon_sym_async] = ACTIONS(878),
    [anon_sym_function] = ACTIONS(878),
    [sym_optional_chain] = ACTIONS(878),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_AMP_AMP] = ACTIONS(878),
    [anon_sym_PIPE_PIPE] = ACTIONS(878),
    [anon_sym_GT_GT] = ACTIONS(878),
    [anon_sym_GT_GT_GT] = ACTIONS(878),
    [anon_sym_LT_LT] = ACTIONS(878),
    [anon_sym_AMP] = ACTIONS(878),
    [anon_sym_CARET] = ACTIONS(878),
    [anon_sym_PIPE] = ACTIONS(878),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(878),
    [anon_sym_STAR_STAR] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(878),
    [anon_sym_GT_EQ] = ACTIONS(878),
    [anon_sym_QMARK_QMARK] = ACTIONS(878),
    [anon_sym_instanceof] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(878),
    [anon_sym_void] = ACTIONS(878),
    [anon_sym_delete] = ACTIONS(878),
    [anon_sym_PLUS_PLUS] = ACTIONS(878),
    [anon_sym_DASH_DASH] = ACTIONS(878),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(878),
    [sym_number] = ACTIONS(878),
    [sym_private_property_identifier] = ACTIONS(878),
    [sym_this] = ACTIONS(878),
    [sym_super] = ACTIONS(878),
    [sym_true] = ACTIONS(878),
    [sym_false] = ACTIONS(878),
    [sym_null] = ACTIONS(878),
    [sym_undefined] = ACTIONS(878),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [sym__automatic_semicolon] = ACTIONS(1027),
    [sym__ternary_qmark] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_comment] = STATE(182),
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_identifier] = ACTIONS(958),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(960),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_import] = ACTIONS(958),
    [anon_sym_with] = ACTIONS(958),
    [anon_sym_var] = ACTIONS(958),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(958),
    [anon_sym_await] = ACTIONS(958),
    [anon_sym_in] = ACTIONS(960),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(958),
    [anon_sym_try] = ACTIONS(958),
    [anon_sym_break] = ACTIONS(958),
    [anon_sym_continue] = ACTIONS(958),
    [anon_sym_debugger] = ACTIONS(958),
    [anon_sym_return] = ACTIONS(958),
    [anon_sym_throw] = ACTIONS(958),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym_yield] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_LTtemplate_GT] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(960),
    [anon_sym_DQUOTE] = ACTIONS(958),
    [anon_sym_SQUOTE] = ACTIONS(958),
    [anon_sym_class] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(958),
    [anon_sym_function] = ACTIONS(958),
    [sym_optional_chain] = ACTIONS(960),
    [anon_sym_new] = ACTIONS(958),
    [anon_sym_AMP_AMP] = ACTIONS(960),
    [anon_sym_PIPE_PIPE] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_GT_GT_GT] = ACTIONS(960),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_SLASH] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(960),
    [anon_sym_LT_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(960),
    [anon_sym_GT_EQ] = ACTIONS(960),
    [anon_sym_QMARK_QMARK] = ACTIONS(960),
    [anon_sym_instanceof] = ACTIONS(960),
    [anon_sym_BANG] = ACTIONS(958),
    [anon_sym_TILDE] = ACTIONS(958),
    [anon_sym_typeof] = ACTIONS(958),
    [anon_sym_void] = ACTIONS(958),
    [anon_sym_delete] = ACTIONS(958),
    [anon_sym_PLUS_PLUS] = ACTIONS(958),
    [anon_sym_DASH_DASH] = ACTIONS(958),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(958),
    [sym_number] = ACTIONS(958),
    [sym_private_property_identifier] = ACTIONS(958),
    [sym_this] = ACTIONS(958),
    [sym_super] = ACTIONS(958),
    [sym_true] = ACTIONS(958),
    [sym_false] = ACTIONS(958),
    [sym_null] = ACTIONS(958),
    [sym_undefined] = ACTIONS(958),
    [anon_sym_AT] = ACTIONS(958),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [sym__automatic_semicolon] = ACTIONS(1031),
    [sym__ternary_qmark] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_comment] = STATE(183),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_export] = ACTIONS(910),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_default] = ACTIONS(910),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_COMMA] = ACTIONS(910),
    [anon_sym_RBRACE] = ACTIONS(910),
    [anon_sym_import] = ACTIONS(910),
    [anon_sym_with] = ACTIONS(910),
    [anon_sym_var] = ACTIONS(910),
    [anon_sym_let] = ACTIONS(910),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(910),
    [anon_sym_await] = ACTIONS(910),
    [anon_sym_in] = ACTIONS(910),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(910),
    [anon_sym_try] = ACTIONS(910),
    [anon_sym_break] = ACTIONS(910),
    [anon_sym_continue] = ACTIONS(910),
    [anon_sym_debugger] = ACTIONS(910),
    [anon_sym_return] = ACTIONS(910),
    [anon_sym_throw] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_case] = ACTIONS(910),
    [anon_sym_yield] = ACTIONS(910),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_LTtemplate_GT] = ACTIONS(910),
    [anon_sym_LT] = ACTIONS(910),
    [anon_sym_GT] = ACTIONS(910),
    [anon_sym_DOT] = ACTIONS(910),
    [anon_sym_DQUOTE] = ACTIONS(910),
    [anon_sym_SQUOTE] = ACTIONS(910),
    [anon_sym_class] = ACTIONS(910),
    [anon_sym_async] = ACTIONS(910),
    [anon_sym_function] = ACTIONS(910),
    [sym_optional_chain] = ACTIONS(910),
    [anon_sym_new] = ACTIONS(910),
    [anon_sym_AMP_AMP] = ACTIONS(910),
    [anon_sym_PIPE_PIPE] = ACTIONS(910),
    [anon_sym_GT_GT] = ACTIONS(910),
    [anon_sym_GT_GT_GT] = ACTIONS(910),
    [anon_sym_LT_LT] = ACTIONS(910),
    [anon_sym_AMP] = ACTIONS(910),
    [anon_sym_CARET] = ACTIONS(910),
    [anon_sym_PIPE] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(910),
    [anon_sym_DASH] = ACTIONS(910),
    [anon_sym_SLASH] = ACTIONS(910),
    [anon_sym_PERCENT] = ACTIONS(910),
    [anon_sym_STAR_STAR] = ACTIONS(910),
    [anon_sym_LT_EQ] = ACTIONS(910),
    [anon_sym_EQ_EQ] = ACTIONS(910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(910),
    [anon_sym_BANG_EQ] = ACTIONS(910),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(910),
    [anon_sym_GT_EQ] = ACTIONS(910),
    [anon_sym_QMARK_QMARK] = ACTIONS(910),
    [anon_sym_instanceof] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(910),
    [anon_sym_TILDE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(910),
    [anon_sym_void] = ACTIONS(910),
    [anon_sym_delete] = ACTIONS(910),
    [anon_sym_PLUS_PLUS] = ACTIONS(910),
    [anon_sym_DASH_DASH] = ACTIONS(910),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(910),
    [sym_number] = ACTIONS(910),
    [sym_private_property_identifier] = ACTIONS(910),
    [sym_this] = ACTIONS(910),
    [sym_super] = ACTIONS(910),
    [sym_true] = ACTIONS(910),
    [sym_false] = ACTIONS(910),
    [sym_null] = ACTIONS(910),
    [sym_undefined] = ACTIONS(910),
    [anon_sym_AT] = ACTIONS(910),
    [anon_sym_static] = ACTIONS(910),
    [anon_sym_get] = ACTIONS(910),
    [anon_sym_set] = ACTIONS(910),
    [sym__automatic_semicolon] = ACTIONS(912),
    [sym__ternary_qmark] = ACTIONS(912),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_comment] = STATE(184),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(966),
    [anon_sym_STAR] = ACTIONS(968),
    [anon_sym_default] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(966),
    [anon_sym_COMMA] = ACTIONS(968),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(966),
    [anon_sym_with] = ACTIONS(966),
    [anon_sym_var] = ACTIONS(966),
    [anon_sym_let] = ACTIONS(966),
    [anon_sym_const] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(966),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(966),
    [anon_sym_await] = ACTIONS(966),
    [anon_sym_in] = ACTIONS(968),
    [anon_sym_while] = ACTIONS(966),
    [anon_sym_do] = ACTIONS(966),
    [anon_sym_try] = ACTIONS(966),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(966),
    [anon_sym_debugger] = ACTIONS(966),
    [anon_sym_return] = ACTIONS(966),
    [anon_sym_throw] = ACTIONS(966),
    [anon_sym_SEMI] = ACTIONS(966),
    [anon_sym_case] = ACTIONS(966),
    [anon_sym_yield] = ACTIONS(966),
    [anon_sym_LBRACK] = ACTIONS(966),
    [anon_sym_LTtemplate_GT] = ACTIONS(966),
    [anon_sym_LT] = ACTIONS(966),
    [anon_sym_GT] = ACTIONS(968),
    [anon_sym_DOT] = ACTIONS(968),
    [anon_sym_DQUOTE] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(966),
    [anon_sym_class] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(966),
    [anon_sym_function] = ACTIONS(966),
    [sym_optional_chain] = ACTIONS(968),
    [anon_sym_new] = ACTIONS(966),
    [anon_sym_AMP_AMP] = ACTIONS(968),
    [anon_sym_PIPE_PIPE] = ACTIONS(968),
    [anon_sym_GT_GT] = ACTIONS(968),
    [anon_sym_GT_GT_GT] = ACTIONS(968),
    [anon_sym_LT_LT] = ACTIONS(968),
    [anon_sym_AMP] = ACTIONS(968),
    [anon_sym_CARET] = ACTIONS(968),
    [anon_sym_PIPE] = ACTIONS(968),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(966),
    [anon_sym_PERCENT] = ACTIONS(968),
    [anon_sym_STAR_STAR] = ACTIONS(968),
    [anon_sym_LT_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(968),
    [anon_sym_GT_EQ] = ACTIONS(968),
    [anon_sym_QMARK_QMARK] = ACTIONS(968),
    [anon_sym_instanceof] = ACTIONS(968),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(966),
    [anon_sym_DASH_DASH] = ACTIONS(966),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(966),
    [sym_number] = ACTIONS(966),
    [sym_private_property_identifier] = ACTIONS(966),
    [sym_this] = ACTIONS(966),
    [sym_super] = ACTIONS(966),
    [sym_true] = ACTIONS(966),
    [sym_false] = ACTIONS(966),
    [sym_null] = ACTIONS(966),
    [sym_undefined] = ACTIONS(966),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_static] = ACTIONS(966),
    [anon_sym_get] = ACTIONS(966),
    [anon_sym_set] = ACTIONS(966),
    [sym__automatic_semicolon] = ACTIONS(1033),
    [sym__ternary_qmark] = ACTIONS(972),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_comment] = STATE(185),
    [sym_identifier] = ACTIONS(906),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_STAR] = ACTIONS(906),
    [anon_sym_default] = ACTIONS(906),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_COMMA] = ACTIONS(906),
    [anon_sym_RBRACE] = ACTIONS(906),
    [anon_sym_import] = ACTIONS(906),
    [anon_sym_with] = ACTIONS(906),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_if] = ACTIONS(906),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_for] = ACTIONS(906),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_await] = ACTIONS(906),
    [anon_sym_in] = ACTIONS(906),
    [anon_sym_while] = ACTIONS(906),
    [anon_sym_do] = ACTIONS(906),
    [anon_sym_try] = ACTIONS(906),
    [anon_sym_break] = ACTIONS(906),
    [anon_sym_continue] = ACTIONS(906),
    [anon_sym_debugger] = ACTIONS(906),
    [anon_sym_return] = ACTIONS(906),
    [anon_sym_throw] = ACTIONS(906),
    [anon_sym_SEMI] = ACTIONS(906),
    [anon_sym_case] = ACTIONS(906),
    [anon_sym_yield] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(906),
    [anon_sym_LTtemplate_GT] = ACTIONS(906),
    [anon_sym_LT] = ACTIONS(906),
    [anon_sym_GT] = ACTIONS(906),
    [anon_sym_DOT] = ACTIONS(906),
    [anon_sym_DQUOTE] = ACTIONS(906),
    [anon_sym_SQUOTE] = ACTIONS(906),
    [anon_sym_class] = ACTIONS(906),
    [anon_sym_async] = ACTIONS(906),
    [anon_sym_function] = ACTIONS(906),
    [sym_optional_chain] = ACTIONS(906),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_AMP_AMP] = ACTIONS(906),
    [anon_sym_PIPE_PIPE] = ACTIONS(906),
    [anon_sym_GT_GT] = ACTIONS(906),
    [anon_sym_GT_GT_GT] = ACTIONS(906),
    [anon_sym_LT_LT] = ACTIONS(906),
    [anon_sym_AMP] = ACTIONS(906),
    [anon_sym_CARET] = ACTIONS(906),
    [anon_sym_PIPE] = ACTIONS(906),
    [anon_sym_PLUS] = ACTIONS(906),
    [anon_sym_DASH] = ACTIONS(906),
    [anon_sym_SLASH] = ACTIONS(906),
    [anon_sym_PERCENT] = ACTIONS(906),
    [anon_sym_STAR_STAR] = ACTIONS(906),
    [anon_sym_LT_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(906),
    [anon_sym_GT_EQ] = ACTIONS(906),
    [anon_sym_QMARK_QMARK] = ACTIONS(906),
    [anon_sym_instanceof] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(906),
    [anon_sym_TILDE] = ACTIONS(906),
    [anon_sym_typeof] = ACTIONS(906),
    [anon_sym_void] = ACTIONS(906),
    [anon_sym_delete] = ACTIONS(906),
    [anon_sym_PLUS_PLUS] = ACTIONS(906),
    [anon_sym_DASH_DASH] = ACTIONS(906),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(906),
    [sym_number] = ACTIONS(906),
    [sym_private_property_identifier] = ACTIONS(906),
    [sym_this] = ACTIONS(906),
    [sym_super] = ACTIONS(906),
    [sym_true] = ACTIONS(906),
    [sym_false] = ACTIONS(906),
    [sym_null] = ACTIONS(906),
    [sym_undefined] = ACTIONS(906),
    [anon_sym_AT] = ACTIONS(906),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [sym__automatic_semicolon] = ACTIONS(908),
    [sym__ternary_qmark] = ACTIONS(908),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_comment] = STATE(186),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(864),
    [anon_sym_default] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(864),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(864),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_case] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(864),
    [anon_sym_DOT] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(864),
    [anon_sym_PIPE_PIPE] = ACTIONS(864),
    [anon_sym_GT_GT] = ACTIONS(864),
    [anon_sym_GT_GT_GT] = ACTIONS(864),
    [anon_sym_LT_LT] = ACTIONS(864),
    [anon_sym_AMP] = ACTIONS(864),
    [anon_sym_CARET] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(864),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(864),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_LT_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(864),
    [anon_sym_GT_EQ] = ACTIONS(864),
    [anon_sym_QMARK_QMARK] = ACTIONS(864),
    [anon_sym_instanceof] = ACTIONS(864),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(1035),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_comment] = STATE(187),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_identifier] = ACTIONS(914),
    [anon_sym_export] = ACTIONS(914),
    [anon_sym_STAR] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(916),
    [anon_sym_RBRACE] = ACTIONS(914),
    [anon_sym_import] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(914),
    [anon_sym_var] = ACTIONS(914),
    [anon_sym_let] = ACTIONS(914),
    [anon_sym_const] = ACTIONS(914),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_if] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(914),
    [anon_sym_await] = ACTIONS(914),
    [anon_sym_in] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(914),
    [anon_sym_try] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_debugger] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(914),
    [anon_sym_throw] = ACTIONS(914),
    [anon_sym_SEMI] = ACTIONS(914),
    [anon_sym_yield] = ACTIONS(914),
    [anon_sym_LBRACK] = ACTIONS(914),
    [anon_sym_LTtemplate_GT] = ACTIONS(914),
    [anon_sym_LT] = ACTIONS(914),
    [anon_sym_GT] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(916),
    [anon_sym_DQUOTE] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(914),
    [anon_sym_class] = ACTIONS(914),
    [anon_sym_async] = ACTIONS(914),
    [anon_sym_function] = ACTIONS(914),
    [sym_optional_chain] = ACTIONS(916),
    [anon_sym_new] = ACTIONS(914),
    [anon_sym_AMP_AMP] = ACTIONS(916),
    [anon_sym_PIPE_PIPE] = ACTIONS(916),
    [anon_sym_GT_GT] = ACTIONS(916),
    [anon_sym_GT_GT_GT] = ACTIONS(916),
    [anon_sym_LT_LT] = ACTIONS(916),
    [anon_sym_AMP] = ACTIONS(916),
    [anon_sym_CARET] = ACTIONS(916),
    [anon_sym_PIPE] = ACTIONS(916),
    [anon_sym_PLUS] = ACTIONS(914),
    [anon_sym_DASH] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(914),
    [anon_sym_PERCENT] = ACTIONS(916),
    [anon_sym_STAR_STAR] = ACTIONS(916),
    [anon_sym_LT_EQ] = ACTIONS(916),
    [anon_sym_EQ_EQ] = ACTIONS(916),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(916),
    [anon_sym_BANG_EQ] = ACTIONS(916),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(916),
    [anon_sym_GT_EQ] = ACTIONS(916),
    [anon_sym_QMARK_QMARK] = ACTIONS(916),
    [anon_sym_instanceof] = ACTIONS(916),
    [anon_sym_BANG] = ACTIONS(914),
    [anon_sym_TILDE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(914),
    [anon_sym_void] = ACTIONS(914),
    [anon_sym_delete] = ACTIONS(914),
    [anon_sym_PLUS_PLUS] = ACTIONS(914),
    [anon_sym_DASH_DASH] = ACTIONS(914),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(914),
    [sym_number] = ACTIONS(914),
    [sym_private_property_identifier] = ACTIONS(914),
    [sym_this] = ACTIONS(914),
    [sym_super] = ACTIONS(914),
    [sym_true] = ACTIONS(914),
    [sym_false] = ACTIONS(914),
    [sym_null] = ACTIONS(914),
    [sym_undefined] = ACTIONS(914),
    [anon_sym_AT] = ACTIONS(914),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [sym__automatic_semicolon] = ACTIONS(1039),
    [sym__ternary_qmark] = ACTIONS(920),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_comment] = STATE(188),
    [sym_identifier] = ACTIONS(974),
    [anon_sym_export] = ACTIONS(974),
    [anon_sym_STAR] = ACTIONS(976),
    [anon_sym_default] = ACTIONS(974),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_COMMA] = ACTIONS(976),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_import] = ACTIONS(974),
    [anon_sym_with] = ACTIONS(974),
    [anon_sym_var] = ACTIONS(974),
    [anon_sym_let] = ACTIONS(974),
    [anon_sym_const] = ACTIONS(974),
    [anon_sym_if] = ACTIONS(974),
    [anon_sym_switch] = ACTIONS(974),
    [anon_sym_for] = ACTIONS(974),
    [anon_sym_LPAREN] = ACTIONS(974),
    [anon_sym_await] = ACTIONS(974),
    [anon_sym_in] = ACTIONS(976),
    [anon_sym_while] = ACTIONS(974),
    [anon_sym_do] = ACTIONS(974),
    [anon_sym_try] = ACTIONS(974),
    [anon_sym_break] = ACTIONS(974),
    [anon_sym_continue] = ACTIONS(974),
    [anon_sym_debugger] = ACTIONS(974),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_throw] = ACTIONS(974),
    [anon_sym_SEMI] = ACTIONS(974),
    [anon_sym_case] = ACTIONS(974),
    [anon_sym_yield] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_LTtemplate_GT] = ACTIONS(974),
    [anon_sym_LT] = ACTIONS(974),
    [anon_sym_GT] = ACTIONS(976),
    [anon_sym_DOT] = ACTIONS(976),
    [anon_sym_DQUOTE] = ACTIONS(974),
    [anon_sym_SQUOTE] = ACTIONS(974),
    [anon_sym_class] = ACTIONS(974),
    [anon_sym_async] = ACTIONS(974),
    [anon_sym_function] = ACTIONS(974),
    [sym_optional_chain] = ACTIONS(976),
    [anon_sym_new] = ACTIONS(974),
    [anon_sym_AMP_AMP] = ACTIONS(976),
    [anon_sym_PIPE_PIPE] = ACTIONS(976),
    [anon_sym_GT_GT] = ACTIONS(976),
    [anon_sym_GT_GT_GT] = ACTIONS(976),
    [anon_sym_LT_LT] = ACTIONS(976),
    [anon_sym_AMP] = ACTIONS(976),
    [anon_sym_CARET] = ACTIONS(976),
    [anon_sym_PIPE] = ACTIONS(976),
    [anon_sym_PLUS] = ACTIONS(974),
    [anon_sym_DASH] = ACTIONS(974),
    [anon_sym_SLASH] = ACTIONS(974),
    [anon_sym_PERCENT] = ACTIONS(976),
    [anon_sym_STAR_STAR] = ACTIONS(976),
    [anon_sym_LT_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(976),
    [anon_sym_GT_EQ] = ACTIONS(976),
    [anon_sym_QMARK_QMARK] = ACTIONS(976),
    [anon_sym_instanceof] = ACTIONS(976),
    [anon_sym_BANG] = ACTIONS(974),
    [anon_sym_TILDE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(974),
    [anon_sym_void] = ACTIONS(974),
    [anon_sym_delete] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(974),
    [sym_number] = ACTIONS(974),
    [sym_private_property_identifier] = ACTIONS(974),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(974),
    [sym_true] = ACTIONS(974),
    [sym_false] = ACTIONS(974),
    [sym_null] = ACTIONS(974),
    [sym_undefined] = ACTIONS(974),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_static] = ACTIONS(974),
    [anon_sym_get] = ACTIONS(974),
    [anon_sym_set] = ACTIONS(974),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__ternary_qmark] = ACTIONS(980),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_comment] = STATE(189),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(878),
    [anon_sym_default] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_COMMA] = ACTIONS(878),
    [anon_sym_RBRACE] = ACTIONS(878),
    [anon_sym_import] = ACTIONS(878),
    [anon_sym_with] = ACTIONS(878),
    [anon_sym_var] = ACTIONS(878),
    [anon_sym_let] = ACTIONS(878),
    [anon_sym_const] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_switch] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_in] = ACTIONS(878),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_do] = ACTIONS(878),
    [anon_sym_try] = ACTIONS(878),
    [anon_sym_break] = ACTIONS(878),
    [anon_sym_continue] = ACTIONS(878),
    [anon_sym_debugger] = ACTIONS(878),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(878),
    [anon_sym_LTtemplate_GT] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [anon_sym_SQUOTE] = ACTIONS(878),
    [anon_sym_class] = ACTIONS(878),
    [anon_sym_async] = ACTIONS(878),
    [anon_sym_function] = ACTIONS(878),
    [sym_optional_chain] = ACTIONS(878),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_AMP_AMP] = ACTIONS(878),
    [anon_sym_PIPE_PIPE] = ACTIONS(878),
    [anon_sym_GT_GT] = ACTIONS(878),
    [anon_sym_GT_GT_GT] = ACTIONS(878),
    [anon_sym_LT_LT] = ACTIONS(878),
    [anon_sym_AMP] = ACTIONS(878),
    [anon_sym_CARET] = ACTIONS(878),
    [anon_sym_PIPE] = ACTIONS(878),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(878),
    [anon_sym_STAR_STAR] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(878),
    [anon_sym_GT_EQ] = ACTIONS(878),
    [anon_sym_QMARK_QMARK] = ACTIONS(878),
    [anon_sym_instanceof] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(878),
    [anon_sym_void] = ACTIONS(878),
    [anon_sym_delete] = ACTIONS(878),
    [anon_sym_PLUS_PLUS] = ACTIONS(878),
    [anon_sym_DASH_DASH] = ACTIONS(878),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(878),
    [sym_number] = ACTIONS(878),
    [sym_private_property_identifier] = ACTIONS(878),
    [sym_this] = ACTIONS(878),
    [sym_super] = ACTIONS(878),
    [sym_true] = ACTIONS(878),
    [sym_false] = ACTIONS(878),
    [sym_null] = ACTIONS(878),
    [sym_undefined] = ACTIONS(878),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [sym__automatic_semicolon] = ACTIONS(882),
    [sym__ternary_qmark] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_comment] = STATE(190),
    [sym_identifier] = ACTIONS(924),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_STAR] = ACTIONS(926),
    [anon_sym_default] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(924),
    [anon_sym_COMMA] = ACTIONS(926),
    [anon_sym_RBRACE] = ACTIONS(924),
    [anon_sym_import] = ACTIONS(924),
    [anon_sym_with] = ACTIONS(924),
    [anon_sym_var] = ACTIONS(924),
    [anon_sym_let] = ACTIONS(924),
    [anon_sym_const] = ACTIONS(924),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(924),
    [anon_sym_for] = ACTIONS(924),
    [anon_sym_LPAREN] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(924),
    [anon_sym_in] = ACTIONS(926),
    [anon_sym_while] = ACTIONS(924),
    [anon_sym_do] = ACTIONS(924),
    [anon_sym_try] = ACTIONS(924),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(924),
    [anon_sym_return] = ACTIONS(924),
    [anon_sym_throw] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(924),
    [anon_sym_case] = ACTIONS(924),
    [anon_sym_yield] = ACTIONS(924),
    [anon_sym_LBRACK] = ACTIONS(924),
    [anon_sym_LTtemplate_GT] = ACTIONS(924),
    [anon_sym_LT] = ACTIONS(924),
    [anon_sym_GT] = ACTIONS(926),
    [anon_sym_DOT] = ACTIONS(926),
    [anon_sym_DQUOTE] = ACTIONS(924),
    [anon_sym_SQUOTE] = ACTIONS(924),
    [anon_sym_class] = ACTIONS(924),
    [anon_sym_async] = ACTIONS(924),
    [anon_sym_function] = ACTIONS(924),
    [sym_optional_chain] = ACTIONS(926),
    [anon_sym_new] = ACTIONS(924),
    [anon_sym_AMP_AMP] = ACTIONS(926),
    [anon_sym_PIPE_PIPE] = ACTIONS(926),
    [anon_sym_GT_GT] = ACTIONS(926),
    [anon_sym_GT_GT_GT] = ACTIONS(926),
    [anon_sym_LT_LT] = ACTIONS(926),
    [anon_sym_AMP] = ACTIONS(926),
    [anon_sym_CARET] = ACTIONS(926),
    [anon_sym_PIPE] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_SLASH] = ACTIONS(924),
    [anon_sym_PERCENT] = ACTIONS(926),
    [anon_sym_STAR_STAR] = ACTIONS(926),
    [anon_sym_LT_EQ] = ACTIONS(926),
    [anon_sym_EQ_EQ] = ACTIONS(926),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(926),
    [anon_sym_BANG_EQ] = ACTIONS(926),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(926),
    [anon_sym_GT_EQ] = ACTIONS(926),
    [anon_sym_QMARK_QMARK] = ACTIONS(926),
    [anon_sym_instanceof] = ACTIONS(926),
    [anon_sym_BANG] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(924),
    [anon_sym_void] = ACTIONS(924),
    [anon_sym_delete] = ACTIONS(924),
    [anon_sym_PLUS_PLUS] = ACTIONS(924),
    [anon_sym_DASH_DASH] = ACTIONS(924),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(924),
    [sym_number] = ACTIONS(924),
    [sym_private_property_identifier] = ACTIONS(924),
    [sym_this] = ACTIONS(924),
    [sym_super] = ACTIONS(924),
    [sym_true] = ACTIONS(924),
    [sym_false] = ACTIONS(924),
    [sym_null] = ACTIONS(924),
    [sym_undefined] = ACTIONS(924),
    [anon_sym_AT] = ACTIONS(924),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [sym__automatic_semicolon] = ACTIONS(1043),
    [sym__ternary_qmark] = ACTIONS(930),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_comment] = STATE(191),
    [ts_builtin_sym_end] = ACTIONS(902),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(864),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_else] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(864),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(864),
    [anon_sym_DOT] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(864),
    [anon_sym_PIPE_PIPE] = ACTIONS(864),
    [anon_sym_GT_GT] = ACTIONS(864),
    [anon_sym_GT_GT_GT] = ACTIONS(864),
    [anon_sym_LT_LT] = ACTIONS(864),
    [anon_sym_AMP] = ACTIONS(864),
    [anon_sym_CARET] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(864),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(864),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_LT_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(864),
    [anon_sym_GT_EQ] = ACTIONS(864),
    [anon_sym_QMARK_QMARK] = ACTIONS(864),
    [anon_sym_instanceof] = ACTIONS(864),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(1045),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_comment] = STATE(192),
    [ts_builtin_sym_end] = ACTIONS(902),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(866),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(866),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(866),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_EQ] = ACTIONS(868),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(866),
    [anon_sym_DOT] = ACTIONS(866),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(866),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(866),
    [anon_sym_PIPE_PIPE] = ACTIONS(866),
    [anon_sym_GT_GT] = ACTIONS(866),
    [anon_sym_GT_GT_GT] = ACTIONS(866),
    [anon_sym_LT_LT] = ACTIONS(866),
    [anon_sym_AMP] = ACTIONS(866),
    [anon_sym_CARET] = ACTIONS(866),
    [anon_sym_PIPE] = ACTIONS(866),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(866),
    [anon_sym_STAR_STAR] = ACTIONS(866),
    [anon_sym_LT_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(866),
    [anon_sym_GT_EQ] = ACTIONS(866),
    [anon_sym_QMARK_QMARK] = ACTIONS(866),
    [anon_sym_instanceof] = ACTIONS(866),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(1047),
    [sym__ternary_qmark] = ACTIONS(872),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_comment] = STATE(193),
    [ts_builtin_sym_end] = ACTIONS(882),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_COMMA] = ACTIONS(878),
    [anon_sym_RBRACE] = ACTIONS(878),
    [anon_sym_import] = ACTIONS(878),
    [anon_sym_with] = ACTIONS(878),
    [anon_sym_var] = ACTIONS(878),
    [anon_sym_let] = ACTIONS(878),
    [anon_sym_const] = ACTIONS(878),
    [anon_sym_else] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_switch] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_in] = ACTIONS(878),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_do] = ACTIONS(878),
    [anon_sym_try] = ACTIONS(878),
    [anon_sym_break] = ACTIONS(878),
    [anon_sym_continue] = ACTIONS(878),
    [anon_sym_debugger] = ACTIONS(878),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(878),
    [anon_sym_LTtemplate_GT] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [anon_sym_SQUOTE] = ACTIONS(878),
    [anon_sym_class] = ACTIONS(878),
    [anon_sym_async] = ACTIONS(878),
    [anon_sym_function] = ACTIONS(878),
    [sym_optional_chain] = ACTIONS(878),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_AMP_AMP] = ACTIONS(878),
    [anon_sym_PIPE_PIPE] = ACTIONS(878),
    [anon_sym_GT_GT] = ACTIONS(878),
    [anon_sym_GT_GT_GT] = ACTIONS(878),
    [anon_sym_LT_LT] = ACTIONS(878),
    [anon_sym_AMP] = ACTIONS(878),
    [anon_sym_CARET] = ACTIONS(878),
    [anon_sym_PIPE] = ACTIONS(878),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(878),
    [anon_sym_STAR_STAR] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(878),
    [anon_sym_GT_EQ] = ACTIONS(878),
    [anon_sym_QMARK_QMARK] = ACTIONS(878),
    [anon_sym_instanceof] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(878),
    [anon_sym_void] = ACTIONS(878),
    [anon_sym_delete] = ACTIONS(878),
    [anon_sym_PLUS_PLUS] = ACTIONS(878),
    [anon_sym_DASH_DASH] = ACTIONS(878),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(878),
    [sym_number] = ACTIONS(878),
    [sym_private_property_identifier] = ACTIONS(878),
    [sym_this] = ACTIONS(878),
    [sym_super] = ACTIONS(878),
    [sym_true] = ACTIONS(878),
    [sym_false] = ACTIONS(878),
    [sym_null] = ACTIONS(878),
    [sym_undefined] = ACTIONS(878),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [sym__automatic_semicolon] = ACTIONS(882),
    [sym__ternary_qmark] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1474),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2477),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1899),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(194),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [sym_pattern] = STATE(2061),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(884),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(888),
    [anon_sym_COMMA] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_RBRACK] = ACTIONS(1049),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(900),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_comment] = STATE(195),
    [ts_builtin_sym_end] = ACTIONS(1051),
    [sym_identifier] = ACTIONS(932),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(934),
    [anon_sym_LBRACE] = ACTIONS(932),
    [anon_sym_COMMA] = ACTIONS(934),
    [anon_sym_RBRACE] = ACTIONS(932),
    [anon_sym_import] = ACTIONS(932),
    [anon_sym_with] = ACTIONS(932),
    [anon_sym_var] = ACTIONS(932),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_const] = ACTIONS(932),
    [anon_sym_else] = ACTIONS(932),
    [anon_sym_if] = ACTIONS(932),
    [anon_sym_switch] = ACTIONS(932),
    [anon_sym_for] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(932),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_in] = ACTIONS(934),
    [anon_sym_while] = ACTIONS(932),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(932),
    [anon_sym_break] = ACTIONS(932),
    [anon_sym_continue] = ACTIONS(932),
    [anon_sym_debugger] = ACTIONS(932),
    [anon_sym_return] = ACTIONS(932),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(932),
    [anon_sym_LTtemplate_GT] = ACTIONS(932),
    [anon_sym_LT] = ACTIONS(932),
    [anon_sym_GT] = ACTIONS(934),
    [anon_sym_DOT] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(932),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [anon_sym_class] = ACTIONS(932),
    [anon_sym_async] = ACTIONS(932),
    [anon_sym_function] = ACTIONS(932),
    [sym_optional_chain] = ACTIONS(934),
    [anon_sym_new] = ACTIONS(932),
    [anon_sym_AMP_AMP] = ACTIONS(934),
    [anon_sym_PIPE_PIPE] = ACTIONS(934),
    [anon_sym_GT_GT] = ACTIONS(934),
    [anon_sym_GT_GT_GT] = ACTIONS(934),
    [anon_sym_LT_LT] = ACTIONS(934),
    [anon_sym_AMP] = ACTIONS(934),
    [anon_sym_CARET] = ACTIONS(934),
    [anon_sym_PIPE] = ACTIONS(934),
    [anon_sym_PLUS] = ACTIONS(932),
    [anon_sym_DASH] = ACTIONS(932),
    [anon_sym_SLASH] = ACTIONS(932),
    [anon_sym_PERCENT] = ACTIONS(934),
    [anon_sym_STAR_STAR] = ACTIONS(934),
    [anon_sym_LT_EQ] = ACTIONS(934),
    [anon_sym_EQ_EQ] = ACTIONS(934),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(934),
    [anon_sym_BANG_EQ] = ACTIONS(934),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(934),
    [anon_sym_GT_EQ] = ACTIONS(934),
    [anon_sym_QMARK_QMARK] = ACTIONS(934),
    [anon_sym_instanceof] = ACTIONS(934),
    [anon_sym_BANG] = ACTIONS(932),
    [anon_sym_TILDE] = ACTIONS(932),
    [anon_sym_typeof] = ACTIONS(932),
    [anon_sym_void] = ACTIONS(932),
    [anon_sym_delete] = ACTIONS(932),
    [anon_sym_PLUS_PLUS] = ACTIONS(932),
    [anon_sym_DASH_DASH] = ACTIONS(932),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(932),
    [sym_number] = ACTIONS(932),
    [sym_private_property_identifier] = ACTIONS(932),
    [sym_this] = ACTIONS(932),
    [sym_super] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_null] = ACTIONS(932),
    [sym_undefined] = ACTIONS(932),
    [anon_sym_AT] = ACTIONS(932),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym__automatic_semicolon] = ACTIONS(1053),
    [sym__ternary_qmark] = ACTIONS(938),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1299),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2179),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1069),
    [sym_subscript_expression] = STATE(1069),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1875),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2748),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(196),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [sym_pattern] = STATE(1921),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1013),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_comment] = STATE(197),
    [sym_identifier] = ACTIONS(914),
    [anon_sym_export] = ACTIONS(914),
    [anon_sym_STAR] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(916),
    [anon_sym_RBRACE] = ACTIONS(914),
    [anon_sym_import] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(914),
    [anon_sym_var] = ACTIONS(914),
    [anon_sym_let] = ACTIONS(914),
    [anon_sym_const] = ACTIONS(914),
    [anon_sym_if] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(914),
    [anon_sym_await] = ACTIONS(914),
    [anon_sym_in] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(914),
    [anon_sym_try] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_debugger] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(914),
    [anon_sym_throw] = ACTIONS(914),
    [anon_sym_SEMI] = ACTIONS(914),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_yield] = ACTIONS(914),
    [anon_sym_LBRACK] = ACTIONS(914),
    [anon_sym_LTtemplate_GT] = ACTIONS(914),
    [anon_sym_LT] = ACTIONS(914),
    [anon_sym_GT] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(916),
    [anon_sym_DQUOTE] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(914),
    [anon_sym_class] = ACTIONS(914),
    [anon_sym_async] = ACTIONS(914),
    [anon_sym_function] = ACTIONS(914),
    [sym_optional_chain] = ACTIONS(916),
    [anon_sym_new] = ACTIONS(914),
    [anon_sym_AMP_AMP] = ACTIONS(916),
    [anon_sym_PIPE_PIPE] = ACTIONS(916),
    [anon_sym_GT_GT] = ACTIONS(916),
    [anon_sym_GT_GT_GT] = ACTIONS(916),
    [anon_sym_LT_LT] = ACTIONS(916),
    [anon_sym_AMP] = ACTIONS(916),
    [anon_sym_CARET] = ACTIONS(916),
    [anon_sym_PIPE] = ACTIONS(916),
    [anon_sym_PLUS] = ACTIONS(914),
    [anon_sym_DASH] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(914),
    [anon_sym_PERCENT] = ACTIONS(916),
    [anon_sym_STAR_STAR] = ACTIONS(916),
    [anon_sym_LT_EQ] = ACTIONS(916),
    [anon_sym_EQ_EQ] = ACTIONS(916),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(916),
    [anon_sym_BANG_EQ] = ACTIONS(916),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(916),
    [anon_sym_GT_EQ] = ACTIONS(916),
    [anon_sym_QMARK_QMARK] = ACTIONS(916),
    [anon_sym_instanceof] = ACTIONS(916),
    [anon_sym_BANG] = ACTIONS(914),
    [anon_sym_TILDE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(914),
    [anon_sym_void] = ACTIONS(914),
    [anon_sym_delete] = ACTIONS(914),
    [anon_sym_PLUS_PLUS] = ACTIONS(914),
    [anon_sym_DASH_DASH] = ACTIONS(914),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(914),
    [sym_number] = ACTIONS(914),
    [sym_private_property_identifier] = ACTIONS(914),
    [sym_this] = ACTIONS(914),
    [sym_super] = ACTIONS(914),
    [sym_true] = ACTIONS(914),
    [sym_false] = ACTIONS(914),
    [sym_null] = ACTIONS(914),
    [sym_undefined] = ACTIONS(914),
    [anon_sym_AT] = ACTIONS(914),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [sym__automatic_semicolon] = ACTIONS(1055),
    [sym__ternary_qmark] = ACTIONS(920),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_comment] = STATE(198),
    [ts_builtin_sym_end] = ACTIONS(882),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_COMMA] = ACTIONS(878),
    [anon_sym_RBRACE] = ACTIONS(878),
    [anon_sym_import] = ACTIONS(878),
    [anon_sym_with] = ACTIONS(878),
    [anon_sym_var] = ACTIONS(878),
    [anon_sym_let] = ACTIONS(878),
    [anon_sym_const] = ACTIONS(878),
    [anon_sym_else] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_switch] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_in] = ACTIONS(878),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_do] = ACTIONS(878),
    [anon_sym_try] = ACTIONS(878),
    [anon_sym_break] = ACTIONS(878),
    [anon_sym_continue] = ACTIONS(878),
    [anon_sym_debugger] = ACTIONS(878),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(878),
    [anon_sym_LTtemplate_GT] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [anon_sym_SQUOTE] = ACTIONS(878),
    [anon_sym_class] = ACTIONS(878),
    [anon_sym_async] = ACTIONS(878),
    [anon_sym_function] = ACTIONS(878),
    [sym_optional_chain] = ACTIONS(878),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_AMP_AMP] = ACTIONS(878),
    [anon_sym_PIPE_PIPE] = ACTIONS(878),
    [anon_sym_GT_GT] = ACTIONS(878),
    [anon_sym_GT_GT_GT] = ACTIONS(878),
    [anon_sym_LT_LT] = ACTIONS(878),
    [anon_sym_AMP] = ACTIONS(878),
    [anon_sym_CARET] = ACTIONS(878),
    [anon_sym_PIPE] = ACTIONS(878),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(878),
    [anon_sym_STAR_STAR] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(878),
    [anon_sym_GT_EQ] = ACTIONS(878),
    [anon_sym_QMARK_QMARK] = ACTIONS(878),
    [anon_sym_instanceof] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(878),
    [anon_sym_void] = ACTIONS(878),
    [anon_sym_delete] = ACTIONS(878),
    [anon_sym_PLUS_PLUS] = ACTIONS(878),
    [anon_sym_DASH_DASH] = ACTIONS(878),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(878),
    [sym_number] = ACTIONS(878),
    [sym_private_property_identifier] = ACTIONS(878),
    [sym_this] = ACTIONS(878),
    [sym_super] = ACTIONS(878),
    [sym_true] = ACTIONS(878),
    [sym_false] = ACTIONS(878),
    [sym_null] = ACTIONS(878),
    [sym_undefined] = ACTIONS(878),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [sym__automatic_semicolon] = ACTIONS(1057),
    [sym__ternary_qmark] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_comment] = STATE(199),
    [sym_identifier] = ACTIONS(932),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(934),
    [anon_sym_default] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(932),
    [anon_sym_COMMA] = ACTIONS(934),
    [anon_sym_RBRACE] = ACTIONS(932),
    [anon_sym_import] = ACTIONS(932),
    [anon_sym_with] = ACTIONS(932),
    [anon_sym_var] = ACTIONS(932),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_const] = ACTIONS(932),
    [anon_sym_if] = ACTIONS(932),
    [anon_sym_switch] = ACTIONS(932),
    [anon_sym_for] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(932),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_in] = ACTIONS(934),
    [anon_sym_while] = ACTIONS(932),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(932),
    [anon_sym_break] = ACTIONS(932),
    [anon_sym_continue] = ACTIONS(932),
    [anon_sym_debugger] = ACTIONS(932),
    [anon_sym_return] = ACTIONS(932),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_case] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(932),
    [anon_sym_LTtemplate_GT] = ACTIONS(932),
    [anon_sym_LT] = ACTIONS(932),
    [anon_sym_GT] = ACTIONS(934),
    [anon_sym_DOT] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(932),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [anon_sym_class] = ACTIONS(932),
    [anon_sym_async] = ACTIONS(932),
    [anon_sym_function] = ACTIONS(932),
    [sym_optional_chain] = ACTIONS(934),
    [anon_sym_new] = ACTIONS(932),
    [anon_sym_AMP_AMP] = ACTIONS(934),
    [anon_sym_PIPE_PIPE] = ACTIONS(934),
    [anon_sym_GT_GT] = ACTIONS(934),
    [anon_sym_GT_GT_GT] = ACTIONS(934),
    [anon_sym_LT_LT] = ACTIONS(934),
    [anon_sym_AMP] = ACTIONS(934),
    [anon_sym_CARET] = ACTIONS(934),
    [anon_sym_PIPE] = ACTIONS(934),
    [anon_sym_PLUS] = ACTIONS(932),
    [anon_sym_DASH] = ACTIONS(932),
    [anon_sym_SLASH] = ACTIONS(932),
    [anon_sym_PERCENT] = ACTIONS(934),
    [anon_sym_STAR_STAR] = ACTIONS(934),
    [anon_sym_LT_EQ] = ACTIONS(934),
    [anon_sym_EQ_EQ] = ACTIONS(934),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(934),
    [anon_sym_BANG_EQ] = ACTIONS(934),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(934),
    [anon_sym_GT_EQ] = ACTIONS(934),
    [anon_sym_QMARK_QMARK] = ACTIONS(934),
    [anon_sym_instanceof] = ACTIONS(934),
    [anon_sym_BANG] = ACTIONS(932),
    [anon_sym_TILDE] = ACTIONS(932),
    [anon_sym_typeof] = ACTIONS(932),
    [anon_sym_void] = ACTIONS(932),
    [anon_sym_delete] = ACTIONS(932),
    [anon_sym_PLUS_PLUS] = ACTIONS(932),
    [anon_sym_DASH_DASH] = ACTIONS(932),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(932),
    [sym_number] = ACTIONS(932),
    [sym_private_property_identifier] = ACTIONS(932),
    [sym_this] = ACTIONS(932),
    [sym_super] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_null] = ACTIONS(932),
    [sym_undefined] = ACTIONS(932),
    [anon_sym_AT] = ACTIONS(932),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym__automatic_semicolon] = ACTIONS(1059),
    [sym__ternary_qmark] = ACTIONS(938),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1350),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_spread_element] = STATE(2100),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(200),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_repeat1] = STATE(2101),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1063),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_comment] = STATE(201),
    [ts_builtin_sym_end] = ACTIONS(876),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(876),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_comment] = STATE(202),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_identifier] = ACTIONS(914),
    [anon_sym_export] = ACTIONS(914),
    [anon_sym_STAR] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(916),
    [anon_sym_RBRACE] = ACTIONS(914),
    [anon_sym_import] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(914),
    [anon_sym_var] = ACTIONS(914),
    [anon_sym_let] = ACTIONS(914),
    [anon_sym_const] = ACTIONS(914),
    [anon_sym_if] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(914),
    [anon_sym_await] = ACTIONS(914),
    [anon_sym_in] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(914),
    [anon_sym_try] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_debugger] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(914),
    [anon_sym_throw] = ACTIONS(914),
    [anon_sym_SEMI] = ACTIONS(914),
    [anon_sym_yield] = ACTIONS(914),
    [anon_sym_LBRACK] = ACTIONS(914),
    [anon_sym_LTtemplate_GT] = ACTIONS(914),
    [anon_sym_LT] = ACTIONS(914),
    [anon_sym_GT] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(916),
    [anon_sym_DQUOTE] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(914),
    [anon_sym_class] = ACTIONS(914),
    [anon_sym_async] = ACTIONS(914),
    [anon_sym_function] = ACTIONS(914),
    [sym_optional_chain] = ACTIONS(916),
    [anon_sym_new] = ACTIONS(914),
    [anon_sym_AMP_AMP] = ACTIONS(916),
    [anon_sym_PIPE_PIPE] = ACTIONS(916),
    [anon_sym_GT_GT] = ACTIONS(916),
    [anon_sym_GT_GT_GT] = ACTIONS(916),
    [anon_sym_LT_LT] = ACTIONS(916),
    [anon_sym_AMP] = ACTIONS(916),
    [anon_sym_CARET] = ACTIONS(916),
    [anon_sym_PIPE] = ACTIONS(916),
    [anon_sym_PLUS] = ACTIONS(914),
    [anon_sym_DASH] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(914),
    [anon_sym_PERCENT] = ACTIONS(916),
    [anon_sym_STAR_STAR] = ACTIONS(916),
    [anon_sym_LT_EQ] = ACTIONS(916),
    [anon_sym_EQ_EQ] = ACTIONS(916),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(916),
    [anon_sym_BANG_EQ] = ACTIONS(916),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(916),
    [anon_sym_GT_EQ] = ACTIONS(916),
    [anon_sym_QMARK_QMARK] = ACTIONS(916),
    [anon_sym_instanceof] = ACTIONS(916),
    [anon_sym_BANG] = ACTIONS(914),
    [anon_sym_TILDE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(914),
    [anon_sym_void] = ACTIONS(914),
    [anon_sym_delete] = ACTIONS(914),
    [anon_sym_PLUS_PLUS] = ACTIONS(914),
    [anon_sym_DASH_DASH] = ACTIONS(914),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(914),
    [sym_number] = ACTIONS(914),
    [sym_private_property_identifier] = ACTIONS(914),
    [sym_this] = ACTIONS(914),
    [sym_super] = ACTIONS(914),
    [sym_true] = ACTIONS(914),
    [sym_false] = ACTIONS(914),
    [sym_null] = ACTIONS(914),
    [sym_undefined] = ACTIONS(914),
    [anon_sym_AT] = ACTIONS(914),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [sym__automatic_semicolon] = ACTIONS(1067),
    [sym__ternary_qmark] = ACTIONS(920),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_comment] = STATE(203),
    [ts_builtin_sym_end] = ACTIONS(1021),
    [sym_identifier] = ACTIONS(940),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_STAR] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(940),
    [anon_sym_COMMA] = ACTIONS(942),
    [anon_sym_RBRACE] = ACTIONS(940),
    [anon_sym_import] = ACTIONS(940),
    [anon_sym_with] = ACTIONS(940),
    [anon_sym_var] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_const] = ACTIONS(940),
    [anon_sym_if] = ACTIONS(940),
    [anon_sym_switch] = ACTIONS(940),
    [anon_sym_for] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(940),
    [anon_sym_in] = ACTIONS(942),
    [anon_sym_while] = ACTIONS(940),
    [anon_sym_do] = ACTIONS(940),
    [anon_sym_try] = ACTIONS(940),
    [anon_sym_break] = ACTIONS(940),
    [anon_sym_continue] = ACTIONS(940),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(940),
    [anon_sym_throw] = ACTIONS(940),
    [anon_sym_SEMI] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(940),
    [anon_sym_LBRACK] = ACTIONS(940),
    [anon_sym_LTtemplate_GT] = ACTIONS(940),
    [anon_sym_LT] = ACTIONS(940),
    [anon_sym_GT] = ACTIONS(942),
    [anon_sym_DOT] = ACTIONS(942),
    [anon_sym_DQUOTE] = ACTIONS(940),
    [anon_sym_SQUOTE] = ACTIONS(940),
    [anon_sym_class] = ACTIONS(940),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(940),
    [sym_optional_chain] = ACTIONS(942),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_AMP_AMP] = ACTIONS(942),
    [anon_sym_PIPE_PIPE] = ACTIONS(942),
    [anon_sym_GT_GT] = ACTIONS(942),
    [anon_sym_GT_GT_GT] = ACTIONS(942),
    [anon_sym_LT_LT] = ACTIONS(942),
    [anon_sym_AMP] = ACTIONS(942),
    [anon_sym_CARET] = ACTIONS(942),
    [anon_sym_PIPE] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_SLASH] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_STAR_STAR] = ACTIONS(942),
    [anon_sym_LT_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(942),
    [anon_sym_GT_EQ] = ACTIONS(942),
    [anon_sym_QMARK_QMARK] = ACTIONS(942),
    [anon_sym_instanceof] = ACTIONS(942),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_typeof] = ACTIONS(940),
    [anon_sym_void] = ACTIONS(940),
    [anon_sym_delete] = ACTIONS(940),
    [anon_sym_PLUS_PLUS] = ACTIONS(940),
    [anon_sym_DASH_DASH] = ACTIONS(940),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(940),
    [sym_number] = ACTIONS(940),
    [sym_private_property_identifier] = ACTIONS(940),
    [sym_this] = ACTIONS(940),
    [sym_super] = ACTIONS(940),
    [sym_true] = ACTIONS(940),
    [sym_false] = ACTIONS(940),
    [sym_null] = ACTIONS(940),
    [sym_undefined] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(940),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [sym__automatic_semicolon] = ACTIONS(1069),
    [sym__ternary_qmark] = ACTIONS(946),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_comment] = STATE(204),
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_identifier] = ACTIONS(958),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(960),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_import] = ACTIONS(958),
    [anon_sym_with] = ACTIONS(958),
    [anon_sym_var] = ACTIONS(958),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(958),
    [anon_sym_await] = ACTIONS(958),
    [anon_sym_in] = ACTIONS(960),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(958),
    [anon_sym_try] = ACTIONS(958),
    [anon_sym_break] = ACTIONS(958),
    [anon_sym_continue] = ACTIONS(958),
    [anon_sym_debugger] = ACTIONS(958),
    [anon_sym_return] = ACTIONS(958),
    [anon_sym_throw] = ACTIONS(958),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym_yield] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_LTtemplate_GT] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(960),
    [anon_sym_DQUOTE] = ACTIONS(958),
    [anon_sym_SQUOTE] = ACTIONS(958),
    [anon_sym_class] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(958),
    [anon_sym_function] = ACTIONS(958),
    [sym_optional_chain] = ACTIONS(960),
    [anon_sym_new] = ACTIONS(958),
    [anon_sym_AMP_AMP] = ACTIONS(960),
    [anon_sym_PIPE_PIPE] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_GT_GT_GT] = ACTIONS(960),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_SLASH] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(960),
    [anon_sym_LT_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(960),
    [anon_sym_GT_EQ] = ACTIONS(960),
    [anon_sym_QMARK_QMARK] = ACTIONS(960),
    [anon_sym_instanceof] = ACTIONS(960),
    [anon_sym_BANG] = ACTIONS(958),
    [anon_sym_TILDE] = ACTIONS(958),
    [anon_sym_typeof] = ACTIONS(958),
    [anon_sym_void] = ACTIONS(958),
    [anon_sym_delete] = ACTIONS(958),
    [anon_sym_PLUS_PLUS] = ACTIONS(958),
    [anon_sym_DASH_DASH] = ACTIONS(958),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(958),
    [sym_number] = ACTIONS(958),
    [sym_private_property_identifier] = ACTIONS(958),
    [sym_this] = ACTIONS(958),
    [sym_super] = ACTIONS(958),
    [sym_true] = ACTIONS(958),
    [sym_false] = ACTIONS(958),
    [sym_null] = ACTIONS(958),
    [sym_undefined] = ACTIONS(958),
    [anon_sym_AT] = ACTIONS(958),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [sym__automatic_semicolon] = ACTIONS(1071),
    [sym__ternary_qmark] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_comment] = STATE(205),
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_identifier] = ACTIONS(948),
    [anon_sym_export] = ACTIONS(948),
    [anon_sym_STAR] = ACTIONS(950),
    [anon_sym_LBRACE] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(950),
    [anon_sym_RBRACE] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(948),
    [anon_sym_with] = ACTIONS(948),
    [anon_sym_var] = ACTIONS(948),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_const] = ACTIONS(948),
    [anon_sym_if] = ACTIONS(948),
    [anon_sym_switch] = ACTIONS(948),
    [anon_sym_for] = ACTIONS(948),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_await] = ACTIONS(948),
    [anon_sym_in] = ACTIONS(950),
    [anon_sym_while] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(948),
    [anon_sym_try] = ACTIONS(948),
    [anon_sym_break] = ACTIONS(948),
    [anon_sym_continue] = ACTIONS(948),
    [anon_sym_debugger] = ACTIONS(948),
    [anon_sym_return] = ACTIONS(948),
    [anon_sym_throw] = ACTIONS(948),
    [anon_sym_SEMI] = ACTIONS(948),
    [anon_sym_yield] = ACTIONS(948),
    [anon_sym_LBRACK] = ACTIONS(948),
    [anon_sym_LTtemplate_GT] = ACTIONS(948),
    [anon_sym_LT] = ACTIONS(948),
    [anon_sym_GT] = ACTIONS(950),
    [anon_sym_DOT] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(948),
    [anon_sym_SQUOTE] = ACTIONS(948),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(948),
    [anon_sym_function] = ACTIONS(948),
    [sym_optional_chain] = ACTIONS(950),
    [anon_sym_new] = ACTIONS(948),
    [anon_sym_AMP_AMP] = ACTIONS(950),
    [anon_sym_PIPE_PIPE] = ACTIONS(950),
    [anon_sym_GT_GT] = ACTIONS(950),
    [anon_sym_GT_GT_GT] = ACTIONS(950),
    [anon_sym_LT_LT] = ACTIONS(950),
    [anon_sym_AMP] = ACTIONS(950),
    [anon_sym_CARET] = ACTIONS(950),
    [anon_sym_PIPE] = ACTIONS(950),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_SLASH] = ACTIONS(948),
    [anon_sym_PERCENT] = ACTIONS(950),
    [anon_sym_STAR_STAR] = ACTIONS(950),
    [anon_sym_LT_EQ] = ACTIONS(950),
    [anon_sym_EQ_EQ] = ACTIONS(950),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(950),
    [anon_sym_BANG_EQ] = ACTIONS(950),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(950),
    [anon_sym_GT_EQ] = ACTIONS(950),
    [anon_sym_QMARK_QMARK] = ACTIONS(950),
    [anon_sym_instanceof] = ACTIONS(950),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_typeof] = ACTIONS(948),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(948),
    [sym_number] = ACTIONS(948),
    [sym_private_property_identifier] = ACTIONS(948),
    [sym_this] = ACTIONS(948),
    [sym_super] = ACTIONS(948),
    [sym_true] = ACTIONS(948),
    [sym_false] = ACTIONS(948),
    [sym_null] = ACTIONS(948),
    [sym_undefined] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(948),
    [anon_sym_static] = ACTIONS(948),
    [anon_sym_get] = ACTIONS(948),
    [anon_sym_set] = ACTIONS(948),
    [sym__automatic_semicolon] = ACTIONS(1073),
    [sym__ternary_qmark] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1362),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_spread_element] = STATE(2083),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(206),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_repeat1] = STATE(2087),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1075),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_comment] = STATE(207),
    [ts_builtin_sym_end] = ACTIONS(1015),
    [sym_identifier] = ACTIONS(924),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_STAR] = ACTIONS(926),
    [anon_sym_LBRACE] = ACTIONS(924),
    [anon_sym_COMMA] = ACTIONS(926),
    [anon_sym_RBRACE] = ACTIONS(924),
    [anon_sym_import] = ACTIONS(924),
    [anon_sym_with] = ACTIONS(924),
    [anon_sym_var] = ACTIONS(924),
    [anon_sym_let] = ACTIONS(924),
    [anon_sym_const] = ACTIONS(924),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(924),
    [anon_sym_for] = ACTIONS(924),
    [anon_sym_LPAREN] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(924),
    [anon_sym_in] = ACTIONS(926),
    [anon_sym_while] = ACTIONS(924),
    [anon_sym_do] = ACTIONS(924),
    [anon_sym_try] = ACTIONS(924),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(924),
    [anon_sym_return] = ACTIONS(924),
    [anon_sym_throw] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(924),
    [anon_sym_yield] = ACTIONS(924),
    [anon_sym_LBRACK] = ACTIONS(924),
    [anon_sym_LTtemplate_GT] = ACTIONS(924),
    [anon_sym_LT] = ACTIONS(924),
    [anon_sym_GT] = ACTIONS(926),
    [anon_sym_DOT] = ACTIONS(926),
    [anon_sym_DQUOTE] = ACTIONS(924),
    [anon_sym_SQUOTE] = ACTIONS(924),
    [anon_sym_class] = ACTIONS(924),
    [anon_sym_async] = ACTIONS(924),
    [anon_sym_function] = ACTIONS(924),
    [sym_optional_chain] = ACTIONS(926),
    [anon_sym_new] = ACTIONS(924),
    [anon_sym_AMP_AMP] = ACTIONS(926),
    [anon_sym_PIPE_PIPE] = ACTIONS(926),
    [anon_sym_GT_GT] = ACTIONS(926),
    [anon_sym_GT_GT_GT] = ACTIONS(926),
    [anon_sym_LT_LT] = ACTIONS(926),
    [anon_sym_AMP] = ACTIONS(926),
    [anon_sym_CARET] = ACTIONS(926),
    [anon_sym_PIPE] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_SLASH] = ACTIONS(924),
    [anon_sym_PERCENT] = ACTIONS(926),
    [anon_sym_STAR_STAR] = ACTIONS(926),
    [anon_sym_LT_EQ] = ACTIONS(926),
    [anon_sym_EQ_EQ] = ACTIONS(926),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(926),
    [anon_sym_BANG_EQ] = ACTIONS(926),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(926),
    [anon_sym_GT_EQ] = ACTIONS(926),
    [anon_sym_QMARK_QMARK] = ACTIONS(926),
    [anon_sym_instanceof] = ACTIONS(926),
    [anon_sym_BANG] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_typeof] = ACTIONS(924),
    [anon_sym_void] = ACTIONS(924),
    [anon_sym_delete] = ACTIONS(924),
    [anon_sym_PLUS_PLUS] = ACTIONS(924),
    [anon_sym_DASH_DASH] = ACTIONS(924),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(924),
    [sym_number] = ACTIONS(924),
    [sym_private_property_identifier] = ACTIONS(924),
    [sym_this] = ACTIONS(924),
    [sym_super] = ACTIONS(924),
    [sym_true] = ACTIONS(924),
    [sym_false] = ACTIONS(924),
    [sym_null] = ACTIONS(924),
    [sym_undefined] = ACTIONS(924),
    [anon_sym_AT] = ACTIONS(924),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [sym__automatic_semicolon] = ACTIONS(1077),
    [sym__ternary_qmark] = ACTIONS(930),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1371),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_spread_element] = STATE(2066),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(208),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_repeat1] = STATE(2067),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1079),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_comment] = STATE(209),
    [ts_builtin_sym_end] = ACTIONS(908),
    [sym_identifier] = ACTIONS(906),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_STAR] = ACTIONS(906),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_COMMA] = ACTIONS(906),
    [anon_sym_RBRACE] = ACTIONS(906),
    [anon_sym_import] = ACTIONS(906),
    [anon_sym_with] = ACTIONS(906),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_if] = ACTIONS(906),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_for] = ACTIONS(906),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_await] = ACTIONS(906),
    [anon_sym_in] = ACTIONS(906),
    [anon_sym_while] = ACTIONS(906),
    [anon_sym_do] = ACTIONS(906),
    [anon_sym_try] = ACTIONS(906),
    [anon_sym_break] = ACTIONS(906),
    [anon_sym_continue] = ACTIONS(906),
    [anon_sym_debugger] = ACTIONS(906),
    [anon_sym_return] = ACTIONS(906),
    [anon_sym_throw] = ACTIONS(906),
    [anon_sym_SEMI] = ACTIONS(906),
    [anon_sym_yield] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(906),
    [anon_sym_LTtemplate_GT] = ACTIONS(906),
    [anon_sym_LT] = ACTIONS(906),
    [anon_sym_GT] = ACTIONS(906),
    [anon_sym_DOT] = ACTIONS(906),
    [anon_sym_DQUOTE] = ACTIONS(906),
    [anon_sym_SQUOTE] = ACTIONS(906),
    [anon_sym_class] = ACTIONS(906),
    [anon_sym_async] = ACTIONS(906),
    [anon_sym_function] = ACTIONS(906),
    [sym_optional_chain] = ACTIONS(906),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_AMP_AMP] = ACTIONS(906),
    [anon_sym_PIPE_PIPE] = ACTIONS(906),
    [anon_sym_GT_GT] = ACTIONS(906),
    [anon_sym_GT_GT_GT] = ACTIONS(906),
    [anon_sym_LT_LT] = ACTIONS(906),
    [anon_sym_AMP] = ACTIONS(906),
    [anon_sym_CARET] = ACTIONS(906),
    [anon_sym_PIPE] = ACTIONS(906),
    [anon_sym_PLUS] = ACTIONS(906),
    [anon_sym_DASH] = ACTIONS(906),
    [anon_sym_SLASH] = ACTIONS(906),
    [anon_sym_PERCENT] = ACTIONS(906),
    [anon_sym_STAR_STAR] = ACTIONS(906),
    [anon_sym_LT_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(906),
    [anon_sym_GT_EQ] = ACTIONS(906),
    [anon_sym_QMARK_QMARK] = ACTIONS(906),
    [anon_sym_instanceof] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(906),
    [anon_sym_TILDE] = ACTIONS(906),
    [anon_sym_typeof] = ACTIONS(906),
    [anon_sym_void] = ACTIONS(906),
    [anon_sym_delete] = ACTIONS(906),
    [anon_sym_PLUS_PLUS] = ACTIONS(906),
    [anon_sym_DASH_DASH] = ACTIONS(906),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(906),
    [sym_number] = ACTIONS(906),
    [sym_private_property_identifier] = ACTIONS(906),
    [sym_this] = ACTIONS(906),
    [sym_super] = ACTIONS(906),
    [sym_true] = ACTIONS(906),
    [sym_false] = ACTIONS(906),
    [sym_null] = ACTIONS(906),
    [sym_undefined] = ACTIONS(906),
    [anon_sym_AT] = ACTIONS(906),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [sym__automatic_semicolon] = ACTIONS(908),
    [sym__ternary_qmark] = ACTIONS(908),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_comment] = STATE(210),
    [ts_builtin_sym_end] = ACTIONS(1051),
    [sym_identifier] = ACTIONS(932),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(934),
    [anon_sym_LBRACE] = ACTIONS(932),
    [anon_sym_COMMA] = ACTIONS(934),
    [anon_sym_RBRACE] = ACTIONS(932),
    [anon_sym_import] = ACTIONS(932),
    [anon_sym_with] = ACTIONS(932),
    [anon_sym_var] = ACTIONS(932),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_const] = ACTIONS(932),
    [anon_sym_if] = ACTIONS(932),
    [anon_sym_switch] = ACTIONS(932),
    [anon_sym_for] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(932),
    [anon_sym_await] = ACTIONS(932),
    [anon_sym_in] = ACTIONS(934),
    [anon_sym_while] = ACTIONS(932),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(932),
    [anon_sym_break] = ACTIONS(932),
    [anon_sym_continue] = ACTIONS(932),
    [anon_sym_debugger] = ACTIONS(932),
    [anon_sym_return] = ACTIONS(932),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(932),
    [anon_sym_LTtemplate_GT] = ACTIONS(932),
    [anon_sym_LT] = ACTIONS(932),
    [anon_sym_GT] = ACTIONS(934),
    [anon_sym_DOT] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(932),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [anon_sym_class] = ACTIONS(932),
    [anon_sym_async] = ACTIONS(932),
    [anon_sym_function] = ACTIONS(932),
    [sym_optional_chain] = ACTIONS(934),
    [anon_sym_new] = ACTIONS(932),
    [anon_sym_AMP_AMP] = ACTIONS(934),
    [anon_sym_PIPE_PIPE] = ACTIONS(934),
    [anon_sym_GT_GT] = ACTIONS(934),
    [anon_sym_GT_GT_GT] = ACTIONS(934),
    [anon_sym_LT_LT] = ACTIONS(934),
    [anon_sym_AMP] = ACTIONS(934),
    [anon_sym_CARET] = ACTIONS(934),
    [anon_sym_PIPE] = ACTIONS(934),
    [anon_sym_PLUS] = ACTIONS(932),
    [anon_sym_DASH] = ACTIONS(932),
    [anon_sym_SLASH] = ACTIONS(932),
    [anon_sym_PERCENT] = ACTIONS(934),
    [anon_sym_STAR_STAR] = ACTIONS(934),
    [anon_sym_LT_EQ] = ACTIONS(934),
    [anon_sym_EQ_EQ] = ACTIONS(934),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(934),
    [anon_sym_BANG_EQ] = ACTIONS(934),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(934),
    [anon_sym_GT_EQ] = ACTIONS(934),
    [anon_sym_QMARK_QMARK] = ACTIONS(934),
    [anon_sym_instanceof] = ACTIONS(934),
    [anon_sym_BANG] = ACTIONS(932),
    [anon_sym_TILDE] = ACTIONS(932),
    [anon_sym_typeof] = ACTIONS(932),
    [anon_sym_void] = ACTIONS(932),
    [anon_sym_delete] = ACTIONS(932),
    [anon_sym_PLUS_PLUS] = ACTIONS(932),
    [anon_sym_DASH_DASH] = ACTIONS(932),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(932),
    [sym_number] = ACTIONS(932),
    [sym_private_property_identifier] = ACTIONS(932),
    [sym_this] = ACTIONS(932),
    [sym_super] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_null] = ACTIONS(932),
    [sym_undefined] = ACTIONS(932),
    [anon_sym_AT] = ACTIONS(932),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym__automatic_semicolon] = ACTIONS(1081),
    [sym__ternary_qmark] = ACTIONS(938),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1474),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2264),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1899),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(211),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [sym_pattern] = STATE(2191),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(884),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(888),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1083),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(900),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_comment] = STATE(212),
    [ts_builtin_sym_end] = ACTIONS(1003),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(966),
    [anon_sym_STAR] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(966),
    [anon_sym_COMMA] = ACTIONS(968),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(966),
    [anon_sym_with] = ACTIONS(966),
    [anon_sym_var] = ACTIONS(966),
    [anon_sym_let] = ACTIONS(966),
    [anon_sym_const] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(966),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(966),
    [anon_sym_await] = ACTIONS(966),
    [anon_sym_in] = ACTIONS(968),
    [anon_sym_while] = ACTIONS(966),
    [anon_sym_do] = ACTIONS(966),
    [anon_sym_try] = ACTIONS(966),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(966),
    [anon_sym_debugger] = ACTIONS(966),
    [anon_sym_return] = ACTIONS(966),
    [anon_sym_throw] = ACTIONS(966),
    [anon_sym_SEMI] = ACTIONS(966),
    [anon_sym_yield] = ACTIONS(966),
    [anon_sym_LBRACK] = ACTIONS(966),
    [anon_sym_LTtemplate_GT] = ACTIONS(966),
    [anon_sym_LT] = ACTIONS(966),
    [anon_sym_GT] = ACTIONS(968),
    [anon_sym_DOT] = ACTIONS(968),
    [anon_sym_DQUOTE] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(966),
    [anon_sym_class] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(966),
    [anon_sym_function] = ACTIONS(966),
    [sym_optional_chain] = ACTIONS(968),
    [anon_sym_new] = ACTIONS(966),
    [anon_sym_AMP_AMP] = ACTIONS(968),
    [anon_sym_PIPE_PIPE] = ACTIONS(968),
    [anon_sym_GT_GT] = ACTIONS(968),
    [anon_sym_GT_GT_GT] = ACTIONS(968),
    [anon_sym_LT_LT] = ACTIONS(968),
    [anon_sym_AMP] = ACTIONS(968),
    [anon_sym_CARET] = ACTIONS(968),
    [anon_sym_PIPE] = ACTIONS(968),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(966),
    [anon_sym_PERCENT] = ACTIONS(968),
    [anon_sym_STAR_STAR] = ACTIONS(968),
    [anon_sym_LT_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(968),
    [anon_sym_GT_EQ] = ACTIONS(968),
    [anon_sym_QMARK_QMARK] = ACTIONS(968),
    [anon_sym_instanceof] = ACTIONS(968),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(966),
    [anon_sym_DASH_DASH] = ACTIONS(966),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(966),
    [sym_number] = ACTIONS(966),
    [sym_private_property_identifier] = ACTIONS(966),
    [sym_this] = ACTIONS(966),
    [sym_super] = ACTIONS(966),
    [sym_true] = ACTIONS(966),
    [sym_false] = ACTIONS(966),
    [sym_null] = ACTIONS(966),
    [sym_undefined] = ACTIONS(966),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_static] = ACTIONS(966),
    [anon_sym_get] = ACTIONS(966),
    [anon_sym_set] = ACTIONS(966),
    [sym__automatic_semicolon] = ACTIONS(1085),
    [sym__ternary_qmark] = ACTIONS(972),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1291),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_spread_element] = STATE(2086),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(213),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_repeat1] = STATE(2085),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1087),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_comment] = STATE(214),
    [ts_builtin_sym_end] = ACTIONS(882),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_COMMA] = ACTIONS(878),
    [anon_sym_RBRACE] = ACTIONS(878),
    [anon_sym_import] = ACTIONS(878),
    [anon_sym_with] = ACTIONS(878),
    [anon_sym_var] = ACTIONS(878),
    [anon_sym_let] = ACTIONS(878),
    [anon_sym_const] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_switch] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_in] = ACTIONS(878),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_do] = ACTIONS(878),
    [anon_sym_try] = ACTIONS(878),
    [anon_sym_break] = ACTIONS(878),
    [anon_sym_continue] = ACTIONS(878),
    [anon_sym_debugger] = ACTIONS(878),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(878),
    [anon_sym_LTtemplate_GT] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [anon_sym_SQUOTE] = ACTIONS(878),
    [anon_sym_class] = ACTIONS(878),
    [anon_sym_async] = ACTIONS(878),
    [anon_sym_function] = ACTIONS(878),
    [sym_optional_chain] = ACTIONS(878),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_AMP_AMP] = ACTIONS(878),
    [anon_sym_PIPE_PIPE] = ACTIONS(878),
    [anon_sym_GT_GT] = ACTIONS(878),
    [anon_sym_GT_GT_GT] = ACTIONS(878),
    [anon_sym_LT_LT] = ACTIONS(878),
    [anon_sym_AMP] = ACTIONS(878),
    [anon_sym_CARET] = ACTIONS(878),
    [anon_sym_PIPE] = ACTIONS(878),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(878),
    [anon_sym_STAR_STAR] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(878),
    [anon_sym_GT_EQ] = ACTIONS(878),
    [anon_sym_QMARK_QMARK] = ACTIONS(878),
    [anon_sym_instanceof] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(878),
    [anon_sym_void] = ACTIONS(878),
    [anon_sym_delete] = ACTIONS(878),
    [anon_sym_PLUS_PLUS] = ACTIONS(878),
    [anon_sym_DASH_DASH] = ACTIONS(878),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(878),
    [sym_number] = ACTIONS(878),
    [sym_private_property_identifier] = ACTIONS(878),
    [sym_this] = ACTIONS(878),
    [sym_super] = ACTIONS(878),
    [sym_true] = ACTIONS(878),
    [sym_false] = ACTIONS(878),
    [sym_null] = ACTIONS(878),
    [sym_undefined] = ACTIONS(878),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [sym__automatic_semicolon] = ACTIONS(882),
    [sym__ternary_qmark] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1474),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2264),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1899),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(215),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [sym_pattern] = STATE(2191),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(884),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(888),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(900),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1306),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_spread_element] = STATE(2135),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(216),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [aux_sym_array_repeat1] = STATE(2134),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1091),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_comment] = STATE(217),
    [ts_builtin_sym_end] = ACTIONS(902),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(864),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(864),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(864),
    [anon_sym_DOT] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(864),
    [anon_sym_PIPE_PIPE] = ACTIONS(864),
    [anon_sym_GT_GT] = ACTIONS(864),
    [anon_sym_GT_GT_GT] = ACTIONS(864),
    [anon_sym_LT_LT] = ACTIONS(864),
    [anon_sym_AMP] = ACTIONS(864),
    [anon_sym_CARET] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(864),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(864),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_LT_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(864),
    [anon_sym_GT_EQ] = ACTIONS(864),
    [anon_sym_QMARK_QMARK] = ACTIONS(864),
    [anon_sym_instanceof] = ACTIONS(864),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(1093),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_comment] = STATE(218),
    [ts_builtin_sym_end] = ACTIONS(1007),
    [sym_identifier] = ACTIONS(974),
    [anon_sym_export] = ACTIONS(974),
    [anon_sym_STAR] = ACTIONS(976),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_COMMA] = ACTIONS(976),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_import] = ACTIONS(974),
    [anon_sym_with] = ACTIONS(974),
    [anon_sym_var] = ACTIONS(974),
    [anon_sym_let] = ACTIONS(974),
    [anon_sym_const] = ACTIONS(974),
    [anon_sym_if] = ACTIONS(974),
    [anon_sym_switch] = ACTIONS(974),
    [anon_sym_for] = ACTIONS(974),
    [anon_sym_LPAREN] = ACTIONS(974),
    [anon_sym_await] = ACTIONS(974),
    [anon_sym_in] = ACTIONS(976),
    [anon_sym_while] = ACTIONS(974),
    [anon_sym_do] = ACTIONS(974),
    [anon_sym_try] = ACTIONS(974),
    [anon_sym_break] = ACTIONS(974),
    [anon_sym_continue] = ACTIONS(974),
    [anon_sym_debugger] = ACTIONS(974),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_throw] = ACTIONS(974),
    [anon_sym_SEMI] = ACTIONS(974),
    [anon_sym_yield] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_LTtemplate_GT] = ACTIONS(974),
    [anon_sym_LT] = ACTIONS(974),
    [anon_sym_GT] = ACTIONS(976),
    [anon_sym_DOT] = ACTIONS(976),
    [anon_sym_DQUOTE] = ACTIONS(974),
    [anon_sym_SQUOTE] = ACTIONS(974),
    [anon_sym_class] = ACTIONS(974),
    [anon_sym_async] = ACTIONS(974),
    [anon_sym_function] = ACTIONS(974),
    [sym_optional_chain] = ACTIONS(976),
    [anon_sym_new] = ACTIONS(974),
    [anon_sym_AMP_AMP] = ACTIONS(976),
    [anon_sym_PIPE_PIPE] = ACTIONS(976),
    [anon_sym_GT_GT] = ACTIONS(976),
    [anon_sym_GT_GT_GT] = ACTIONS(976),
    [anon_sym_LT_LT] = ACTIONS(976),
    [anon_sym_AMP] = ACTIONS(976),
    [anon_sym_CARET] = ACTIONS(976),
    [anon_sym_PIPE] = ACTIONS(976),
    [anon_sym_PLUS] = ACTIONS(974),
    [anon_sym_DASH] = ACTIONS(974),
    [anon_sym_SLASH] = ACTIONS(974),
    [anon_sym_PERCENT] = ACTIONS(976),
    [anon_sym_STAR_STAR] = ACTIONS(976),
    [anon_sym_LT_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(976),
    [anon_sym_GT_EQ] = ACTIONS(976),
    [anon_sym_QMARK_QMARK] = ACTIONS(976),
    [anon_sym_instanceof] = ACTIONS(976),
    [anon_sym_BANG] = ACTIONS(974),
    [anon_sym_TILDE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(974),
    [anon_sym_void] = ACTIONS(974),
    [anon_sym_delete] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(974),
    [sym_number] = ACTIONS(974),
    [sym_private_property_identifier] = ACTIONS(974),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(974),
    [sym_true] = ACTIONS(974),
    [sym_false] = ACTIONS(974),
    [sym_null] = ACTIONS(974),
    [sym_undefined] = ACTIONS(974),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_static] = ACTIONS(974),
    [anon_sym_get] = ACTIONS(974),
    [anon_sym_set] = ACTIONS(974),
    [sym__automatic_semicolon] = ACTIONS(1095),
    [sym__ternary_qmark] = ACTIONS(980),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1342),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_spread_element] = STATE(2060),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(219),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1097),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1097),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_RBRACK] = ACTIONS(1097),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_comment] = STATE(220),
    [ts_builtin_sym_end] = ACTIONS(882),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_COMMA] = ACTIONS(878),
    [anon_sym_RBRACE] = ACTIONS(878),
    [anon_sym_import] = ACTIONS(878),
    [anon_sym_with] = ACTIONS(878),
    [anon_sym_var] = ACTIONS(878),
    [anon_sym_let] = ACTIONS(878),
    [anon_sym_const] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_switch] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_in] = ACTIONS(878),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_do] = ACTIONS(878),
    [anon_sym_try] = ACTIONS(878),
    [anon_sym_break] = ACTIONS(878),
    [anon_sym_continue] = ACTIONS(878),
    [anon_sym_debugger] = ACTIONS(878),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(878),
    [anon_sym_LTtemplate_GT] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [anon_sym_SQUOTE] = ACTIONS(878),
    [anon_sym_class] = ACTIONS(878),
    [anon_sym_async] = ACTIONS(878),
    [anon_sym_function] = ACTIONS(878),
    [sym_optional_chain] = ACTIONS(878),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_AMP_AMP] = ACTIONS(878),
    [anon_sym_PIPE_PIPE] = ACTIONS(878),
    [anon_sym_GT_GT] = ACTIONS(878),
    [anon_sym_GT_GT_GT] = ACTIONS(878),
    [anon_sym_LT_LT] = ACTIONS(878),
    [anon_sym_AMP] = ACTIONS(878),
    [anon_sym_CARET] = ACTIONS(878),
    [anon_sym_PIPE] = ACTIONS(878),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(878),
    [anon_sym_STAR_STAR] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ] = ACTIONS(878),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(878),
    [anon_sym_GT_EQ] = ACTIONS(878),
    [anon_sym_QMARK_QMARK] = ACTIONS(878),
    [anon_sym_instanceof] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(878),
    [anon_sym_void] = ACTIONS(878),
    [anon_sym_delete] = ACTIONS(878),
    [anon_sym_PLUS_PLUS] = ACTIONS(878),
    [anon_sym_DASH_DASH] = ACTIONS(878),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(878),
    [sym_number] = ACTIONS(878),
    [sym_private_property_identifier] = ACTIONS(878),
    [sym_this] = ACTIONS(878),
    [sym_super] = ACTIONS(878),
    [sym_true] = ACTIONS(878),
    [sym_false] = ACTIONS(878),
    [sym_null] = ACTIONS(878),
    [sym_undefined] = ACTIONS(878),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [sym__automatic_semicolon] = ACTIONS(1099),
    [sym__ternary_qmark] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1474),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2179),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1899),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(221),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [sym_pattern] = STATE(1921),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(884),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(888),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1013),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(900),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_comment] = STATE(222),
    [ts_builtin_sym_end] = ACTIONS(912),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_export] = ACTIONS(910),
    [anon_sym_STAR] = ACTIONS(910),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_COMMA] = ACTIONS(910),
    [anon_sym_RBRACE] = ACTIONS(910),
    [anon_sym_import] = ACTIONS(910),
    [anon_sym_with] = ACTIONS(910),
    [anon_sym_var] = ACTIONS(910),
    [anon_sym_let] = ACTIONS(910),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(910),
    [anon_sym_await] = ACTIONS(910),
    [anon_sym_in] = ACTIONS(910),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(910),
    [anon_sym_try] = ACTIONS(910),
    [anon_sym_break] = ACTIONS(910),
    [anon_sym_continue] = ACTIONS(910),
    [anon_sym_debugger] = ACTIONS(910),
    [anon_sym_return] = ACTIONS(910),
    [anon_sym_throw] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_yield] = ACTIONS(910),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_LTtemplate_GT] = ACTIONS(910),
    [anon_sym_LT] = ACTIONS(910),
    [anon_sym_GT] = ACTIONS(910),
    [anon_sym_DOT] = ACTIONS(910),
    [anon_sym_DQUOTE] = ACTIONS(910),
    [anon_sym_SQUOTE] = ACTIONS(910),
    [anon_sym_class] = ACTIONS(910),
    [anon_sym_async] = ACTIONS(910),
    [anon_sym_function] = ACTIONS(910),
    [sym_optional_chain] = ACTIONS(910),
    [anon_sym_new] = ACTIONS(910),
    [anon_sym_AMP_AMP] = ACTIONS(910),
    [anon_sym_PIPE_PIPE] = ACTIONS(910),
    [anon_sym_GT_GT] = ACTIONS(910),
    [anon_sym_GT_GT_GT] = ACTIONS(910),
    [anon_sym_LT_LT] = ACTIONS(910),
    [anon_sym_AMP] = ACTIONS(910),
    [anon_sym_CARET] = ACTIONS(910),
    [anon_sym_PIPE] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(910),
    [anon_sym_DASH] = ACTIONS(910),
    [anon_sym_SLASH] = ACTIONS(910),
    [anon_sym_PERCENT] = ACTIONS(910),
    [anon_sym_STAR_STAR] = ACTIONS(910),
    [anon_sym_LT_EQ] = ACTIONS(910),
    [anon_sym_EQ_EQ] = ACTIONS(910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(910),
    [anon_sym_BANG_EQ] = ACTIONS(910),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(910),
    [anon_sym_GT_EQ] = ACTIONS(910),
    [anon_sym_QMARK_QMARK] = ACTIONS(910),
    [anon_sym_instanceof] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(910),
    [anon_sym_TILDE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(910),
    [anon_sym_void] = ACTIONS(910),
    [anon_sym_delete] = ACTIONS(910),
    [anon_sym_PLUS_PLUS] = ACTIONS(910),
    [anon_sym_DASH_DASH] = ACTIONS(910),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(910),
    [sym_number] = ACTIONS(910),
    [sym_private_property_identifier] = ACTIONS(910),
    [sym_this] = ACTIONS(910),
    [sym_super] = ACTIONS(910),
    [sym_true] = ACTIONS(910),
    [sym_false] = ACTIONS(910),
    [sym_null] = ACTIONS(910),
    [sym_undefined] = ACTIONS(910),
    [anon_sym_AT] = ACTIONS(910),
    [anon_sym_static] = ACTIONS(910),
    [anon_sym_get] = ACTIONS(910),
    [anon_sym_set] = ACTIONS(910),
    [sym__automatic_semicolon] = ACTIONS(912),
    [sym__ternary_qmark] = ACTIONS(912),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1474),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2345),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1899),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(223),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [sym_pattern] = STATE(2127),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(884),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(888),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(900),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1325),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_spread_element] = STATE(2830),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2830),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(224),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_RBRACE] = ACTIONS(1101),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(1839),
    [sym_expression_statement] = STATE(239),
    [sym_empty_statement] = STATE(239),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1230),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2366),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(225),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(844),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(1839),
    [sym_expression_statement] = STATE(243),
    [sym_empty_statement] = STATE(243),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1230),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2366),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(226),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(844),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(1839),
    [sym_expression_statement] = STATE(240),
    [sym_empty_statement] = STATE(240),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1230),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2366),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(227),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(844),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1474),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2264),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1899),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(228),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [sym_pattern] = STATE(2191),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(884),
    [anon_sym_export] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(888),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(900),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_get] = ACTIONS(886),
    [anon_sym_set] = ACTIONS(886),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(1839),
    [sym_expression_statement] = STATE(241),
    [sym_empty_statement] = STATE(241),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1230),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2366),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(229),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(844),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(1839),
    [sym_expression_statement] = STATE(238),
    [sym_empty_statement] = STATE(238),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1230),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2366),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(230),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(844),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_assignment_pattern] = STATE(2345),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1069),
    [sym_subscript_expression] = STATE(1069),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1875),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(231),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [sym_pattern] = STATE(2127),
    [sym_rest_pattern] = STATE(1896),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1367),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_spread_element] = STATE(2810),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2810),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(232),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2496),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(233),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1105),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym__automatic_semicolon] = ACTIONS(1107),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1267),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2659),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(234),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1109),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym__automatic_semicolon] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1237),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2565),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(235),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1113),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym__automatic_semicolon] = ACTIONS(1115),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1252),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2385),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(236),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1117),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym__automatic_semicolon] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2263),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(237),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym__automatic_semicolon] = ACTIONS(1123),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1328),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2858),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(238),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1125),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1302),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2841),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(239),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1127),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1332),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2814),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(240),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1129),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1348),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2832),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(241),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1474),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2197),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(242),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(1133),
    [anon_sym_export] = ACTIONS(1135),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(1139),
    [anon_sym_let] = ACTIONS(1141),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(1149),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1135),
    [anon_sym_get] = ACTIONS(1135),
    [anon_sym_set] = ACTIONS(1135),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1365),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2787),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(243),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1151),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(1839),
    [sym_statement_block] = STATE(1337),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1249),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(244),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1171),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1413),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(245),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1381),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2779),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(246),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1240),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2498),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(247),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1143),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1142),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(248),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1382),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2775),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(249),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1169),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1170),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(250),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1171),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(251),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(1839),
    [sym_statement_block] = STATE(1314),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1266),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(252),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1166),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1167),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(253),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1286),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2861),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(254),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1190),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1191),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(255),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1050),
    [sym_expression] = STATE(1477),
    [sym_primary_expression] = STATE(1239),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1238),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1050),
    [sym_subscript_expression] = STATE(1050),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(256),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(1159),
    [anon_sym_export] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1161),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(1165),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(1167),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1161),
    [anon_sym_get] = ACTIONS(1161),
    [anon_sym_set] = ACTIONS(1161),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1289),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2865),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(257),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(1839),
    [sym_statement_block] = STATE(1337),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1276),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(258),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1387),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2771),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(259),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1327),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2859),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(260),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(1839),
    [sym_statement_block] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1275),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(261),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1309),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2818),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(262),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1190),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1454),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(263),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1383),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2824),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(264),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1474),
    [sym_primary_expression] = STATE(1096),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1091),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(265),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(1169),
    [anon_sym_export] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1175),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1171),
    [anon_sym_get] = ACTIONS(1171),
    [anon_sym_set] = ACTIONS(1171),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1110),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1111),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(266),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1474),
    [sym_primary_expression] = STATE(1096),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1091),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(267),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1143),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1459),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(268),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1050),
    [sym_expression] = STATE(1477),
    [sym_primary_expression] = STATE(1239),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1238),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1050),
    [sym_subscript_expression] = STATE(1050),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(269),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(1177),
    [anon_sym_export] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(1181),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(1167),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1179),
    [anon_sym_get] = ACTIONS(1179),
    [anon_sym_set] = ACTIONS(1179),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(1839),
    [sym_statement_block] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1247),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(270),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(1839),
    [sym_statement_block] = STATE(1345),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1236),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(271),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1283),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2860),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(272),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1110),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1446),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(273),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(1839),
    [sym_statement_block] = STATE(1345),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1274),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(274),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1369),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2782),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(275),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1251),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2387),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(276),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1361),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2776),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(277),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(1839),
    [sym_statement_block] = STATE(1314),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1227),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(278),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(1839),
    [sym_statement_block] = STATE(1318),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(279),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1377),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2800),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(280),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1474),
    [sym_primary_expression] = STATE(1096),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1091),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(281),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(1183),
    [anon_sym_export] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1185),
    [anon_sym_get] = ACTIONS(1185),
    [anon_sym_set] = ACTIONS(1185),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(1839),
    [sym_statement_block] = STATE(1318),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1258),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(282),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1169),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1414),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(283),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1166),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1416),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(284),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(1839),
    [sym_statement_block] = STATE(1386),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1270),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(285),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1110),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1418),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(286),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1235),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2563),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(287),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2857),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(288),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1143),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1411),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(289),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1368),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2809),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(290),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1190),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1408),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(291),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1166),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1444),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(292),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1169),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1445),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(293),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(1798),
    [sym_statement_block] = STATE(1171),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(294),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1360),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2822),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(295),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1319),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2770),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(296),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1316),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2769),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(297),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_import] = STATE(1839),
    [sym_statement_block] = STATE(1386),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1198),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(298),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1262),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2656),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(299),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1218),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_sequence_expression] = STATE(2265),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(300),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1307),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_sequence_expression] = STATE(2799),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(301),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1157),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(302),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1433),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(303),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1225),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(304),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1122),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(305),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1157),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(306),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1273),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(307),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(308),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1209),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(309),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1200),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(310),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1263),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(311),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1254),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(312),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1406),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(313),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1405),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(314),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1450),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(315),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(316),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1122),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(317),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1242),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(318),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1197),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(319),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1231),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(320),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1221),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(321),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1226),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(322),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1203),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(323),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1243),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(324),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1449),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(325),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1210),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(326),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(327),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1370),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(328),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1448),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(329),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1074),
    [sym_subscript_expression] = STATE(1074),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1983),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(330),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(1189),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(1195),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(331),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1279),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(332),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1156),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(333),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1278),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(334),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1117),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(335),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1346),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(336),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1119),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(337),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1120),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(338),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1121),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(339),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1123),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(340),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(341),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1130),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(342),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1131),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(343),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(344),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1133),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(345),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1135),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(346),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1136),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(347),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1220),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(348),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1441),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(349),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1201),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(350),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1202),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(351),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1204),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(352),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1140),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(353),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1442),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(354),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1144),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(355),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1086),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(356),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1206),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(357),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1180),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(358),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1253),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(359),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1207),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(360),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1208),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(361),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1088),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(362),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1087),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(363),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1264),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(364),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1189),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(365),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1460),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(366),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1455),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(367),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1086),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(368),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1474),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(1895),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(369),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(1197),
    [anon_sym_export] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(888),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(1203),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1199),
    [anon_sym_get] = ACTIONS(1199),
    [anon_sym_set] = ACTIONS(1199),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1087),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(370),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1088),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(371),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1447),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(372),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1213),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(373),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1215),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(374),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1217),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(375),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1438),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(376),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1228),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(377),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(378),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(379),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1452),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(380),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1199),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(381),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1412),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(382),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1439),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(383),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1212),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(384),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1188),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(385),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1457),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(386),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1223),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(387),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(388),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1463),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(389),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1464),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(390),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1214),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(391),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(392),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1466),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(393),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1434),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(394),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1467),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(395),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1468),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(396),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1469),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(397),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_expression] = STATE(1443),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1030),
    [sym_subscript_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2864),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(398),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2767),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1088),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(399),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1087),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(400),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(401),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1244),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(402),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1409),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(403),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1410),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(404),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1431),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(405),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1430),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(406),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1396),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(407),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1456),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(408),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1432),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(409),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1461),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(410),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_expression] = STATE(1229),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1068),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1667),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2816),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(411),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2811),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_export] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_get] = ACTIONS(744),
    [anon_sym_set] = ACTIONS(744),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1156),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(412),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1470),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(413),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1453),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(414),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1429),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(415),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1086),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1662),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2803),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(416),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2802),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(417),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1427),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(418),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1425),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(419),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_import] = STATE(1839),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_expression] = STATE(1272),
    [sym_primary_expression] = STATE(1288),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(1384),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1384),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1293),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_class] = STATE(1384),
    [sym_function_expression] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_arrow_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1293),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_string] = STATE(1384),
    [sym_comment] = STATE(420),
    [sym_template_string] = STATE(1384),
    [sym_regex] = STATE(1384),
    [sym_meta_property] = STATE(1384),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2835),
    [aux_sym_export_statement_repeat1] = STATE(1907),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_function] = ACTIONS(728),
    [anon_sym_new] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(732),
    [anon_sym_TILDE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(732),
    [anon_sym_void] = ACTIONS(732),
    [anon_sym_delete] = ACTIONS(732),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_DASH_DASH] = ACTIONS(736),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(738),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1423),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(421),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1422),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(422),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1421),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(423),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_import] = STATE(1798),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1420),
    [sym_primary_expression] = STATE(1129),
    [sym_yield_expression] = STATE(1127),
    [sym_object] = STATE(1134),
    [sym_object_pattern] = STATE(1746),
    [sym_array] = STATE(1134),
    [sym_array_pattern] = STATE(1746),
    [sym_glimmer_template] = STATE(1127),
    [sym_glimmer_opening_tag] = STATE(1951),
    [sym_jsx_element] = STATE(1127),
    [sym_jsx_opening_element] = STATE(1690),
    [sym_jsx_self_closing_element] = STATE(1127),
    [sym_class] = STATE(1134),
    [sym_function_expression] = STATE(1134),
    [sym_generator_function] = STATE(1134),
    [sym_arrow_function] = STATE(1134),
    [sym_call_expression] = STATE(1134),
    [sym_new_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1127),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1127),
    [sym__destructuring_pattern] = STATE(2765),
    [sym_ternary_expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_update_expression] = STATE(1127),
    [sym_string] = STATE(1134),
    [sym_comment] = STATE(424),
    [sym_template_string] = STATE(1134),
    [sym_regex] = STATE(1134),
    [sym_meta_property] = STATE(1134),
    [sym_decorator] = STATE(2054),
    [sym_formal_parameters] = STATE(2863),
    [aux_sym_export_statement_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_namespace_export] = STATE(2483),
    [sym_export_clause] = STATE(2020),
    [sym_declaration] = STATE(952),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_class_declaration] = STATE(939),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function_declaration] = STATE(939),
    [sym_comment] = STATE(425),
    [sym_decorator] = STATE(2054),
    [aux_sym_export_statement_repeat1] = STATE(2018),
    [aux_sym_object_repeat1] = STATE(2078),
    [aux_sym_object_pattern_repeat1] = STATE(2117),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_namespace_export] = STATE(2483),
    [sym_export_clause] = STATE(2020),
    [sym_declaration] = STATE(952),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_class_declaration] = STATE(939),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function_declaration] = STATE(939),
    [sym_comment] = STATE(426),
    [sym_decorator] = STATE(2054),
    [aux_sym_export_statement_repeat1] = STATE(2018),
    [aux_sym_object_repeat1] = STATE(2078),
    [aux_sym_object_pattern_repeat1] = STATE(2117),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1243),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_namespace_export] = STATE(2483),
    [sym_export_clause] = STATE(2020),
    [sym_declaration] = STATE(952),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_class_declaration] = STATE(939),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function_declaration] = STATE(939),
    [sym_comment] = STATE(427),
    [sym_decorator] = STATE(2054),
    [aux_sym_export_statement_repeat1] = STATE(2018),
    [aux_sym_object_repeat1] = STATE(2118),
    [aux_sym_object_pattern_repeat1] = STATE(2117),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1245),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_namespace_export] = STATE(2583),
    [sym_export_clause] = STATE(1902),
    [sym_declaration] = STATE(639),
    [sym_variable_declaration] = STATE(640),
    [sym_lexical_declaration] = STATE(640),
    [sym_class_declaration] = STATE(640),
    [sym_function_declaration] = STATE(640),
    [sym_generator_function_declaration] = STATE(640),
    [sym_comment] = STATE(428),
    [sym_decorator] = STATE(2054),
    [aux_sym_export_statement_repeat1] = STATE(1919),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1251),
    [anon_sym_let] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1255),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1259),
    [anon_sym_async] = ACTIONS(1261),
    [anon_sym_function] = ACTIONS(1263),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_string] = STATE(2581),
    [sym_comment] = STATE(429),
    [sym_formal_parameters] = STATE(2760),
    [sym__property_name] = STATE(2578),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_object_repeat1] = STATE(2078),
    [aux_sym_object_pattern_repeat1] = STATE(2117),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [anon_sym_let] = ACTIONS(1267),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1267),
    [anon_sym_function] = ACTIONS(1288),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_namespace_export] = STATE(2716),
    [sym_export_clause] = STATE(1914),
    [sym_declaration] = STATE(778),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_class_declaration] = STATE(785),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function_declaration] = STATE(785),
    [sym_comment] = STATE(430),
    [sym_decorator] = STATE(2054),
    [aux_sym_export_statement_repeat1] = STATE(1980),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1302),
    [anon_sym_let] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1306),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1308),
    [anon_sym_async] = ACTIONS(1310),
    [anon_sym_function] = ACTIONS(1312),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_string] = STATE(2581),
    [sym_comment] = STATE(431),
    [sym_formal_parameters] = STATE(2760),
    [sym__property_name] = STATE(2578),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_object_repeat1] = STATE(2078),
    [aux_sym_object_pattern_repeat1] = STATE(2117),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1267),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1267),
    [anon_sym_function] = ACTIONS(1288),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_namespace_export] = STATE(2640),
    [sym_export_clause] = STATE(1958),
    [sym_declaration] = STATE(2612),
    [sym_variable_declaration] = STATE(2609),
    [sym_lexical_declaration] = STATE(2609),
    [sym_class_declaration] = STATE(2609),
    [sym_function_declaration] = STATE(2609),
    [sym_generator_function_declaration] = STATE(2609),
    [sym_comment] = STATE(432),
    [sym_decorator] = STATE(2054),
    [aux_sym_export_statement_repeat1] = STATE(2013),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1320),
    [anon_sym_let] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1324),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1326),
    [anon_sym_async] = ACTIONS(1328),
    [anon_sym_function] = ACTIONS(1330),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_namespace_export] = STATE(2483),
    [sym_export_clause] = STATE(2020),
    [sym_declaration] = STATE(952),
    [sym_variable_declaration] = STATE(939),
    [sym_lexical_declaration] = STATE(939),
    [sym_class_declaration] = STATE(939),
    [sym_function_declaration] = STATE(939),
    [sym_generator_function_declaration] = STATE(939),
    [sym_comment] = STATE(433),
    [sym_decorator] = STATE(2054),
    [aux_sym_export_statement_repeat1] = STATE(2018),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1332),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_string] = STATE(2581),
    [sym_comment] = STATE(434),
    [sym_formal_parameters] = STATE(2760),
    [sym__property_name] = STATE(2578),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_object_repeat1] = STATE(2118),
    [aux_sym_object_pattern_repeat1] = STATE(2117),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_let] = ACTIONS(1267),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1267),
    [anon_sym_function] = ACTIONS(1288),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_namespace_export] = STATE(2712),
    [sym_export_clause] = STATE(1979),
    [sym_declaration] = STATE(709),
    [sym_variable_declaration] = STATE(706),
    [sym_lexical_declaration] = STATE(706),
    [sym_class_declaration] = STATE(706),
    [sym_function_declaration] = STATE(706),
    [sym_generator_function_declaration] = STATE(706),
    [sym_comment] = STATE(435),
    [sym_decorator] = STATE(2054),
    [aux_sym_export_statement_repeat1] = STATE(1953),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1340),
    [anon_sym_let] = ACTIONS(1342),
    [anon_sym_const] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1344),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1346),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(1350),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_string] = STATE(2581),
    [sym_comment] = STATE(436),
    [sym__property_name] = STATE(2578),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_object_repeat1] = STATE(2078),
    [aux_sym_object_pattern_repeat1] = STATE(2117),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_string] = STATE(2581),
    [sym_comment] = STATE(437),
    [sym__property_name] = STATE(2578),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_object_repeat1] = STATE(2078),
    [aux_sym_object_pattern_repeat1] = STATE(2117),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1359),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_string] = STATE(2581),
    [sym_comment] = STATE(438),
    [sym__property_name] = STATE(2578),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_object_repeat1] = STATE(2078),
    [aux_sym_object_pattern_repeat1] = STATE(2117),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1359),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_string] = STATE(2581),
    [sym_comment] = STATE(439),
    [sym__property_name] = STATE(2578),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_object_repeat1] = STATE(2118),
    [aux_sym_object_pattern_repeat1] = STATE(2117),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_string] = STATE(2581),
    [sym_comment] = STATE(440),
    [sym__property_name] = STATE(2578),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_object_repeat1] = STATE(2118),
    [aux_sym_object_pattern_repeat1] = STATE(2117),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1359),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_string] = STATE(2581),
    [sym_comment] = STATE(441),
    [sym__property_name] = STATE(2578),
    [sym_computed_property_name] = STATE(2581),
    [aux_sym_object_repeat1] = STATE(2078),
    [aux_sym_object_pattern_repeat1] = STATE(2117),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_comment] = STATE(442),
    [sym_formal_parameters] = STATE(2790),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1222),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_comment] = STATE(443),
    [sym_formal_parameters] = STATE(2790),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1222),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_comment] = STATE(444),
    [sym_formal_parameters] = STATE(2760),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1382),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_comment] = STATE(445),
    [sym_formal_parameters] = STATE(2851),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1388),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1390),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_catch_clause] = STATE(476),
    [sym_finally_clause] = STATE(642),
    [sym_comment] = STATE(446),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_default] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [anon_sym_import] = ACTIONS(1392),
    [anon_sym_with] = ACTIONS(1392),
    [anon_sym_var] = ACTIONS(1392),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_const] = ACTIONS(1392),
    [anon_sym_else] = ACTIONS(1392),
    [anon_sym_if] = ACTIONS(1392),
    [anon_sym_switch] = ACTIONS(1392),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [anon_sym_await] = ACTIONS(1392),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_break] = ACTIONS(1392),
    [anon_sym_continue] = ACTIONS(1392),
    [anon_sym_debugger] = ACTIONS(1392),
    [anon_sym_return] = ACTIONS(1392),
    [anon_sym_throw] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym_case] = ACTIONS(1392),
    [anon_sym_catch] = ACTIONS(1394),
    [anon_sym_finally] = ACTIONS(1396),
    [anon_sym_yield] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_LTtemplate_GT] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_class] = ACTIONS(1392),
    [anon_sym_async] = ACTIONS(1392),
    [anon_sym_function] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_typeof] = ACTIONS(1392),
    [anon_sym_void] = ACTIONS(1392),
    [anon_sym_delete] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [sym_number] = ACTIONS(1392),
    [sym_private_property_identifier] = ACTIONS(1392),
    [sym_this] = ACTIONS(1392),
    [sym_super] = ACTIONS(1392),
    [sym_true] = ACTIONS(1392),
    [sym_false] = ACTIONS(1392),
    [sym_null] = ACTIONS(1392),
    [sym_undefined] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_comment] = STATE(447),
    [sym_formal_parameters] = STATE(2760),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1288),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_comment] = STATE(448),
    [sym_formal_parameters] = STATE(2790),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1400),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_variable_declarator] = STATE(1950),
    [sym_object_pattern] = STATE(1805),
    [sym_array_pattern] = STATE(1805),
    [sym__destructuring_pattern] = STATE(1874),
    [sym_comment] = STATE(449),
    [aux_sym_object_repeat1] = STATE(2078),
    [aux_sym_object_pattern_repeat1] = STATE(2117),
    [sym_identifier] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_comment] = STATE(450),
    [sym_formal_parameters] = STATE(2826),
    [sym_identifier] = ACTIONS(1412),
    [anon_sym_export] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_of] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(1416),
    [anon_sym_EQ_GT] = ACTIONS(1418),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_get] = ACTIONS(1414),
    [anon_sym_set] = ACTIONS(1414),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_comment] = STATE(451),
    [sym_formal_parameters] = STATE(2760),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_comment] = STATE(452),
    [sym_formal_parameters] = STATE(2851),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1424),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1390),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_comment] = STATE(453),
    [sym_formal_parameters] = STATE(2826),
    [sym_identifier] = ACTIONS(1412),
    [anon_sym_export] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_of] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(1416),
    [anon_sym_EQ_GT] = ACTIONS(1418),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_get] = ACTIONS(1414),
    [anon_sym_set] = ACTIONS(1414),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_comment] = STATE(454),
    [sym_formal_parameters] = STATE(2760),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1431),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1433),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_variable_declarator] = STATE(1950),
    [sym_object_pattern] = STATE(1805),
    [sym_array_pattern] = STATE(1805),
    [sym__destructuring_pattern] = STATE(1874),
    [sym_comment] = STATE(455),
    [aux_sym_object_repeat1] = STATE(2078),
    [aux_sym_object_pattern_repeat1] = STATE(2117),
    [sym_identifier] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_comment] = STATE(456),
    [sym_formal_parameters] = STATE(2760),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1416),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_comment] = STATE(457),
    [sym_formal_parameters] = STATE(2760),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1435),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1437),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_comment] = STATE(458),
    [sym_formal_parameters] = STATE(2760),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1439),
    [anon_sym_of] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1416),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_variable_declarator] = STATE(1950),
    [sym_object_pattern] = STATE(1805),
    [sym_array_pattern] = STATE(1805),
    [sym__destructuring_pattern] = STATE(1874),
    [sym_comment] = STATE(459),
    [aux_sym_object_repeat1] = STATE(2118),
    [aux_sym_object_pattern_repeat1] = STATE(2117),
    [sym_identifier] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_comment] = STATE(460),
    [sym_formal_parameters] = STATE(2760),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1416),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_comment] = STATE(461),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_default] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_else] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_case] = ACTIONS(864),
    [anon_sym_catch] = ACTIONS(864),
    [anon_sym_finally] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(1444),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_catch_clause] = STATE(491),
    [sym_finally_clause] = STATE(699),
    [sym_comment] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [anon_sym_import] = ACTIONS(1392),
    [anon_sym_with] = ACTIONS(1392),
    [anon_sym_var] = ACTIONS(1392),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_const] = ACTIONS(1392),
    [anon_sym_else] = ACTIONS(1392),
    [anon_sym_if] = ACTIONS(1392),
    [anon_sym_switch] = ACTIONS(1392),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [anon_sym_await] = ACTIONS(1392),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_break] = ACTIONS(1392),
    [anon_sym_continue] = ACTIONS(1392),
    [anon_sym_debugger] = ACTIONS(1392),
    [anon_sym_return] = ACTIONS(1392),
    [anon_sym_throw] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym_catch] = ACTIONS(1448),
    [anon_sym_finally] = ACTIONS(1450),
    [anon_sym_yield] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_LTtemplate_GT] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_class] = ACTIONS(1392),
    [anon_sym_async] = ACTIONS(1392),
    [anon_sym_function] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_typeof] = ACTIONS(1392),
    [anon_sym_void] = ACTIONS(1392),
    [anon_sym_delete] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [sym_number] = ACTIONS(1392),
    [sym_private_property_identifier] = ACTIONS(1392),
    [sym_this] = ACTIONS(1392),
    [sym_super] = ACTIONS(1392),
    [sym_true] = ACTIONS(1392),
    [sym_false] = ACTIONS(1392),
    [sym_null] = ACTIONS(1392),
    [sym_undefined] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_comment] = STATE(463),
    [sym_formal_parameters] = STATE(2790),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_comment] = STATE(464),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(878),
    [anon_sym_default] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_RBRACE] = ACTIONS(878),
    [anon_sym_import] = ACTIONS(878),
    [anon_sym_with] = ACTIONS(878),
    [anon_sym_var] = ACTIONS(878),
    [anon_sym_let] = ACTIONS(878),
    [anon_sym_const] = ACTIONS(878),
    [anon_sym_else] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_switch] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_do] = ACTIONS(878),
    [anon_sym_try] = ACTIONS(878),
    [anon_sym_break] = ACTIONS(878),
    [anon_sym_continue] = ACTIONS(878),
    [anon_sym_debugger] = ACTIONS(878),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_catch] = ACTIONS(878),
    [anon_sym_finally] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(878),
    [anon_sym_LTtemplate_GT] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [anon_sym_SQUOTE] = ACTIONS(878),
    [anon_sym_class] = ACTIONS(878),
    [anon_sym_async] = ACTIONS(878),
    [anon_sym_function] = ACTIONS(878),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_typeof] = ACTIONS(878),
    [anon_sym_void] = ACTIONS(878),
    [anon_sym_delete] = ACTIONS(878),
    [anon_sym_PLUS_PLUS] = ACTIONS(878),
    [anon_sym_DASH_DASH] = ACTIONS(878),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(878),
    [sym_number] = ACTIONS(878),
    [sym_private_property_identifier] = ACTIONS(878),
    [sym_this] = ACTIONS(878),
    [sym_super] = ACTIONS(878),
    [sym_true] = ACTIONS(878),
    [sym_false] = ACTIONS(878),
    [sym_null] = ACTIONS(878),
    [sym_undefined] = ACTIONS(878),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [sym__automatic_semicolon] = ACTIONS(1455),
    [sym_html_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_catch_clause] = STATE(513),
    [sym_finally_clause] = STATE(853),
    [sym_comment] = STATE(465),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_export] = ACTIONS(1392),
    [anon_sym_default] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [anon_sym_import] = ACTIONS(1392),
    [anon_sym_with] = ACTIONS(1392),
    [anon_sym_var] = ACTIONS(1392),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_const] = ACTIONS(1392),
    [anon_sym_if] = ACTIONS(1392),
    [anon_sym_switch] = ACTIONS(1392),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [anon_sym_await] = ACTIONS(1392),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_break] = ACTIONS(1392),
    [anon_sym_continue] = ACTIONS(1392),
    [anon_sym_debugger] = ACTIONS(1392),
    [anon_sym_return] = ACTIONS(1392),
    [anon_sym_throw] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym_case] = ACTIONS(1392),
    [anon_sym_catch] = ACTIONS(1457),
    [anon_sym_finally] = ACTIONS(1459),
    [anon_sym_yield] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_LTtemplate_GT] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_class] = ACTIONS(1392),
    [anon_sym_async] = ACTIONS(1392),
    [anon_sym_function] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_typeof] = ACTIONS(1392),
    [anon_sym_void] = ACTIONS(1392),
    [anon_sym_delete] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [sym_number] = ACTIONS(1392),
    [sym_private_property_identifier] = ACTIONS(1392),
    [sym_this] = ACTIONS(1392),
    [sym_super] = ACTIONS(1392),
    [sym_true] = ACTIONS(1392),
    [sym_false] = ACTIONS(1392),
    [sym_null] = ACTIONS(1392),
    [sym_undefined] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1461), 1,
      sym__automatic_semicolon,
    STATE(466), 1,
      sym_comment,
    ACTIONS(864), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [75] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      ts_builtin_sym_end,
    ACTIONS(1463), 1,
      sym__automatic_semicolon,
    STATE(467), 1,
      sym_comment,
    ACTIONS(878), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [152] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_function,
    STATE(468), 1,
      sym_comment,
    STATE(2760), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1378), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [243] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1465), 1,
      sym__automatic_semicolon,
    STATE(469), 1,
      sym_comment,
    ACTIONS(878), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [318] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1390), 1,
      anon_sym_EQ_GT,
    STATE(470), 1,
      sym_comment,
    STATE(2851), 1,
      sym_formal_parameters,
    ACTIONS(1386), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [409] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1446), 1,
      ts_builtin_sym_end,
    ACTIONS(1467), 1,
      anon_sym_catch,
    ACTIONS(1469), 1,
      anon_sym_finally,
    STATE(471), 1,
      sym_comment,
    STATE(622), 1,
      sym_catch_clause,
    STATE(981), 1,
      sym_finally_clause,
    ACTIONS(1392), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [492] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(1471), 1,
      sym__automatic_semicolon,
    STATE(472), 1,
      sym_comment,
    ACTIONS(864), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [569] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1473), 1,
      sym__automatic_semicolon,
    STATE(473), 1,
      sym_comment,
    ACTIONS(864), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [644] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      sym_identifier,
    ACTIONS(1433), 1,
      anon_sym_function,
    STATE(474), 1,
      sym_comment,
    STATE(2760), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1378), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [735] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(475), 1,
      sym_comment,
    ACTIONS(874), 61,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [808] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1396), 1,
      anon_sym_finally,
    STATE(476), 1,
      sym_comment,
    STATE(641), 1,
      sym_finally_clause,
    ACTIONS(1475), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [885] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1288), 1,
      anon_sym_function,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      sym_identifier,
    STATE(477), 1,
      sym_comment,
    STATE(2760), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1378), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [976] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      sym_identifier,
    ACTIONS(1422), 1,
      anon_sym_function,
    STATE(478), 1,
      sym_comment,
    STATE(2760), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1378), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1067] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1477), 1,
      sym__automatic_semicolon,
    STATE(479), 1,
      sym_comment,
    ACTIONS(878), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1142] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      sym_identifier,
    ACTIONS(1382), 1,
      anon_sym_function,
    STATE(480), 1,
      sym_comment,
    STATE(2760), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1378), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1233] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(481), 1,
      sym_comment,
    ACTIONS(878), 61,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1306] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1361), 1,
      sym_identifier,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1372), 1,
      anon_sym_EQ_GT,
    ACTIONS(1400), 1,
      anon_sym_RBRACK,
    ACTIONS(1403), 1,
      anon_sym_EQ,
    ACTIONS(1424), 1,
      anon_sym_COMMA,
    STATE(482), 1,
      sym_comment,
    STATE(2790), 1,
      sym_formal_parameters,
    ACTIONS(1363), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 31,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1401] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      ts_builtin_sym_end,
    ACTIONS(1479), 1,
      sym__automatic_semicolon,
    STATE(483), 1,
      sym_comment,
    ACTIONS(878), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1477] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(962), 1,
      sym__automatic_semicolon,
    STATE(484), 1,
      sym_comment,
    ACTIONS(958), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1551] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(936), 1,
      sym__automatic_semicolon,
    STATE(485), 1,
      sym_comment,
    ACTIONS(932), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1625] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(1481), 1,
      sym__automatic_semicolon,
    STATE(486), 1,
      sym_comment,
    ACTIONS(864), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1701] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1485), 1,
      anon_sym_else,
    STATE(487), 1,
      sym_comment,
    STATE(821), 1,
      sym_else_clause,
    ACTIONS(1483), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1777] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(488), 1,
      sym_comment,
    ACTIONS(1487), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1849] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1406), 1,
      sym_identifier,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(1420), 1,
      anon_sym_COLON,
    STATE(489), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1930), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1943] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1489), 1,
      sym__automatic_semicolon,
    STATE(490), 1,
      sym_comment,
    ACTIONS(878), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2017] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1450), 1,
      anon_sym_finally,
    ACTIONS(1491), 1,
      ts_builtin_sym_end,
    STATE(491), 1,
      sym_comment,
    STATE(832), 1,
      sym_finally_clause,
    ACTIONS(1475), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2095] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      ts_builtin_sym_end,
    ACTIONS(1493), 1,
      sym__automatic_semicolon,
    STATE(492), 1,
      sym_comment,
    ACTIONS(878), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2171] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(908), 1,
      sym__automatic_semicolon,
    STATE(493), 1,
      sym_comment,
    ACTIONS(906), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2245] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(912), 1,
      sym__automatic_semicolon,
    STATE(494), 1,
      sym_comment,
    ACTIONS(910), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2319] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1495), 1,
      anon_sym_else,
    STATE(495), 1,
      sym_comment,
    STATE(548), 1,
      sym_else_clause,
    ACTIONS(1483), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2395] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1380), 1,
      anon_sym_COLON,
    ACTIONS(1406), 1,
      sym_identifier,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    STATE(496), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1974), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2489] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1442), 1,
      anon_sym_of,
    ACTIONS(1497), 1,
      sym_identifier,
    STATE(497), 1,
      sym_comment,
    STATE(1758), 1,
      sym__destructuring_pattern,
    STATE(1985), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2585] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1499), 1,
      sym_identifier,
    ACTIONS(1503), 1,
      anon_sym_EQ_GT,
    STATE(498), 1,
      sym_comment,
    STATE(2796), 1,
      sym_formal_parameters,
    ACTIONS(1501), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2675] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      sym__automatic_semicolon,
    STATE(499), 1,
      sym_comment,
    ACTIONS(874), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2749] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      sym__automatic_semicolon,
    STATE(500), 1,
      sym_comment,
    ACTIONS(878), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2823] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1505), 1,
      sym__automatic_semicolon,
    STATE(501), 1,
      sym_comment,
    ACTIONS(878), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2897] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(928), 1,
      sym__automatic_semicolon,
    STATE(502), 1,
      sym_comment,
    ACTIONS(924), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2971] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1507), 1,
      sym__automatic_semicolon,
    STATE(503), 1,
      sym_comment,
    ACTIONS(864), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3045] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    STATE(504), 1,
      sym_comment,
    ACTIONS(874), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3119] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(944), 1,
      sym__automatic_semicolon,
    STATE(505), 1,
      sym_comment,
    ACTIONS(940), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3193] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1511), 1,
      sym__automatic_semicolon,
    STATE(506), 1,
      sym_comment,
    ACTIONS(1509), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3267] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1515), 1,
      anon_sym_SEMI,
    ACTIONS(1517), 1,
      sym__automatic_semicolon,
    STATE(507), 1,
      sym_comment,
    ACTIONS(1513), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3343] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      ts_builtin_sym_end,
    STATE(508), 1,
      sym_comment,
    ACTIONS(878), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3417] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1499), 1,
      sym_identifier,
    ACTIONS(1503), 1,
      anon_sym_EQ_GT,
    ACTIONS(1519), 1,
      anon_sym_EQ,
    STATE(509), 1,
      sym_comment,
    STATE(2796), 1,
      sym_formal_parameters,
    ACTIONS(1501), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [3507] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(510), 1,
      sym_comment,
    ACTIONS(1521), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3579] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(918), 1,
      sym__automatic_semicolon,
    STATE(511), 1,
      sym_comment,
    ACTIONS(914), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3653] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1523), 1,
      sym__automatic_semicolon,
    STATE(512), 1,
      sym_comment,
    ACTIONS(878), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3727] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1459), 1,
      anon_sym_finally,
    STATE(513), 1,
      sym_comment,
    STATE(848), 1,
      sym_finally_clause,
    ACTIONS(1475), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3803] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(514), 1,
      sym_comment,
    ACTIONS(874), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3875] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(952), 1,
      sym__automatic_semicolon,
    STATE(515), 1,
      sym_comment,
    ACTIONS(948), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3949] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(516), 1,
      sym_comment,
    ACTIONS(878), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4021] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(970), 1,
      sym__automatic_semicolon,
    STATE(517), 1,
      sym_comment,
    ACTIONS(966), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4095] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1525), 1,
      sym__automatic_semicolon,
    STATE(518), 1,
      sym_comment,
    ACTIONS(864), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4169] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(519), 1,
      sym_comment,
    ACTIONS(874), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4241] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(520), 1,
      sym_comment,
    ACTIONS(878), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4313] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(870), 1,
      sym__automatic_semicolon,
    STATE(521), 1,
      sym_comment,
    ACTIONS(864), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4387] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(1527), 1,
      sym__automatic_semicolon,
    STATE(522), 1,
      sym_comment,
    ACTIONS(864), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4463] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(978), 1,
      sym__automatic_semicolon,
    STATE(523), 1,
      sym_comment,
    ACTIONS(974), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4537] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1406), 1,
      sym_identifier,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(1431), 1,
      anon_sym_COLON,
    STATE(524), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1990), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [4631] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1406), 1,
      sym_identifier,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(1435), 1,
      anon_sym_COLON,
    STATE(525), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(2042), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [4725] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1390), 1,
      anon_sym_EQ_GT,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1442), 1,
      anon_sym_of,
    STATE(526), 1,
      sym_comment,
    STATE(2851), 1,
      sym_formal_parameters,
    ACTIONS(1386), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 30,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [4819] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1398), 1,
      anon_sym_COLON,
    ACTIONS(1406), 1,
      sym_identifier,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    STATE(527), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1950), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [4913] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(528), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4984] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(529), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5055] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(1533), 1,
      sym__automatic_semicolon,
    STATE(530), 1,
      sym_comment,
    ACTIONS(864), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5130] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(531), 1,
      sym_comment,
    ACTIONS(878), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5201] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1535), 1,
      sym__automatic_semicolon,
    STATE(532), 1,
      sym_comment,
    ACTIONS(864), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5274] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(533), 1,
      sym_comment,
    ACTIONS(1537), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5345] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(534), 1,
      sym_comment,
    ACTIONS(874), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5416] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(535), 1,
      sym_comment,
    ACTIONS(874), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5487] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(956), 1,
      sym__automatic_semicolon,
    STATE(536), 1,
      sym_comment,
    ACTIONS(864), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5560] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1015), 1,
      ts_builtin_sym_end,
    ACTIONS(1017), 1,
      sym__automatic_semicolon,
    STATE(537), 1,
      sym_comment,
    ACTIONS(924), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5635] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1021), 1,
      ts_builtin_sym_end,
    ACTIONS(1023), 1,
      sym__automatic_semicolon,
    STATE(538), 1,
      sym_comment,
    ACTIONS(940), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5710] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1029), 1,
      ts_builtin_sym_end,
    ACTIONS(1031), 1,
      sym__automatic_semicolon,
    STATE(539), 1,
      sym_comment,
    ACTIONS(958), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5785] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      sym__automatic_semicolon,
    STATE(540), 1,
      sym_comment,
    ACTIONS(878), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5858] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      sym__automatic_semicolon,
    STATE(541), 1,
      sym_comment,
    ACTIONS(874), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5931] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(542), 1,
      sym_comment,
    ACTIONS(878), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6002] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(543), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6073] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(544), 1,
      sym_comment,
    ACTIONS(876), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(874), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6146] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(545), 1,
      sym_comment,
    ACTIONS(1541), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6217] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(546), 1,
      sym_comment,
    ACTIONS(882), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(878), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6290] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(1543), 1,
      sym__automatic_semicolon,
    STATE(547), 1,
      sym_comment,
    ACTIONS(864), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6365] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(548), 1,
      sym_comment,
    ACTIONS(1545), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6436] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1041), 1,
      sym__automatic_semicolon,
    STATE(549), 1,
      sym_comment,
    ACTIONS(974), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6509] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(550), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6580] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1033), 1,
      sym__automatic_semicolon,
    STATE(551), 1,
      sym_comment,
    ACTIONS(966), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6653] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(552), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6724] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(553), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6795] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(554), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6866] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    STATE(555), 1,
      sym_comment,
    ACTIONS(874), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6939] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1059), 1,
      sym__automatic_semicolon,
    STATE(556), 1,
      sym_comment,
    ACTIONS(932), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7012] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1547), 1,
      ts_builtin_sym_end,
    STATE(557), 1,
      sym_comment,
    ACTIONS(1487), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7085] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1549), 1,
      ts_builtin_sym_end,
    ACTIONS(1551), 1,
      anon_sym_SEMI,
    ACTIONS(1553), 1,
      sym__automatic_semicolon,
    STATE(558), 1,
      sym_comment,
    ACTIONS(1513), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7162] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(559), 1,
      sym_comment,
    ACTIONS(1555), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7233] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1557), 1,
      ts_builtin_sym_end,
    ACTIONS(1559), 1,
      anon_sym_else,
    STATE(560), 1,
      sym_comment,
    STATE(934), 1,
      sym_else_clause,
    ACTIONS(1483), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7310] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(561), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7381] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(562), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7452] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(563), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7523] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1561), 1,
      anon_sym_SEMI,
    ACTIONS(1563), 1,
      sym__automatic_semicolon,
    STATE(564), 1,
      sym_comment,
    ACTIONS(1513), 57,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7598] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(565), 1,
      sym_comment,
    ACTIONS(1487), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7669] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(566), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7740] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1565), 1,
      sym__automatic_semicolon,
    STATE(567), 1,
      sym_comment,
    ACTIONS(878), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7813] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(568), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7884] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      ts_builtin_sym_end,
    STATE(569), 1,
      sym_comment,
    ACTIONS(878), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7957] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(570), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8028] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(571), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8099] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(572), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8170] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(573), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8241] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(904), 1,
      sym__automatic_semicolon,
    STATE(574), 1,
      sym_comment,
    ACTIONS(864), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8316] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(575), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8387] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(576), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8458] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(577), 1,
      sym_comment,
    ACTIONS(1567), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8529] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1011), 1,
      sym__automatic_semicolon,
    STATE(578), 1,
      sym_comment,
    ACTIONS(948), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8602] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(579), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8673] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(580), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8744] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(581), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8815] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(582), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8886] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(583), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8957] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(912), 1,
      sym__automatic_semicolon,
    STATE(584), 1,
      sym_comment,
    ACTIONS(910), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9030] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(908), 1,
      sym__automatic_semicolon,
    STATE(585), 1,
      sym_comment,
    ACTIONS(906), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9103] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(586), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9174] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(587), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9245] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(588), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9316] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(589), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9387] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(590), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9458] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1511), 1,
      sym__automatic_semicolon,
    STATE(591), 1,
      sym_comment,
    ACTIONS(1509), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9531] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(592), 1,
      sym_comment,
    ACTIONS(912), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(910), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9604] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(593), 1,
      sym_comment,
    ACTIONS(1567), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9675] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(594), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9746] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(595), 1,
      sym_comment,
    ACTIONS(908), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(906), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9819] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(596), 1,
      sym_comment,
    ACTIONS(1511), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(1509), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9892] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    STATE(597), 1,
      sym_comment,
    ACTIONS(874), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9965] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(598), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10036] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      ts_builtin_sym_end,
    ACTIONS(1569), 1,
      sym__automatic_semicolon,
    STATE(599), 1,
      sym_comment,
    ACTIONS(878), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10111] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(600), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10182] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(601), 1,
      sym_comment,
    ACTIONS(1571), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10253] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(602), 1,
      sym_comment,
    ACTIONS(1573), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10324] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(603), 1,
      sym_comment,
    ACTIONS(1575), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10395] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(604), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10466] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(605), 1,
      sym_comment,
    ACTIONS(1577), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10537] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(606), 1,
      sym_comment,
    ACTIONS(1579), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10608] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(607), 1,
      sym_comment,
    ACTIONS(1581), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10679] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(608), 1,
      sym_comment,
    ACTIONS(1583), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10750] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1557), 1,
      ts_builtin_sym_end,
    ACTIONS(1585), 1,
      anon_sym_else,
    STATE(609), 1,
      sym_comment,
    STATE(894), 1,
      sym_else_clause,
    ACTIONS(1483), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10827] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(610), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10898] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(611), 1,
      sym_comment,
    ACTIONS(1587), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10969] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(612), 1,
      sym_comment,
    ACTIONS(1589), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11040] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(613), 1,
      sym_comment,
    ACTIONS(1591), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11111] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(614), 1,
      sym_comment,
    ACTIONS(1593), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11182] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      ts_builtin_sym_end,
    ACTIONS(1595), 1,
      sym__automatic_semicolon,
    STATE(615), 1,
      sym_comment,
    ACTIONS(878), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11257] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(616), 1,
      sym_comment,
    ACTIONS(1597), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11328] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(617), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11399] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(618), 1,
      sym_comment,
    ACTIONS(1599), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11470] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(619), 1,
      sym_comment,
    ACTIONS(1601), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11541] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(620), 1,
      sym_comment,
    ACTIONS(1603), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11612] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(621), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11683] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1469), 1,
      anon_sym_finally,
    ACTIONS(1491), 1,
      ts_builtin_sym_end,
    STATE(622), 1,
      sym_comment,
    STATE(949), 1,
      sym_finally_clause,
    ACTIONS(1475), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11760] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(623), 1,
      sym_comment,
    ACTIONS(1605), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11831] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(624), 1,
      sym_comment,
    ACTIONS(1607), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11902] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(625), 1,
      sym_comment,
    ACTIONS(1609), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11973] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(626), 1,
      sym_comment,
    ACTIONS(1611), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12044] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(627), 1,
      sym_comment,
    ACTIONS(1609), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12115] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(628), 1,
      sym_comment,
    ACTIONS(1613), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12186] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(629), 1,
      sym_comment,
    ACTIONS(1615), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12257] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(630), 1,
      sym_comment,
    ACTIONS(1617), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12328] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(631), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12399] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(632), 1,
      sym_comment,
    ACTIONS(1619), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12470] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(633), 1,
      sym_comment,
    ACTIONS(1621), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12541] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(634), 1,
      sym_comment,
    ACTIONS(1623), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12612] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1051), 1,
      ts_builtin_sym_end,
    ACTIONS(1053), 1,
      sym__automatic_semicolon,
    STATE(635), 1,
      sym_comment,
    ACTIONS(932), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12687] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(636), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12758] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(637), 1,
      sym_comment,
    ACTIONS(1625), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12829] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(638), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12900] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(639), 1,
      sym_comment,
    ACTIONS(1627), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12971] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(640), 1,
      sym_comment,
    ACTIONS(1629), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13042] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(641), 1,
      sym_comment,
    ACTIONS(1631), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13113] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(642), 1,
      sym_comment,
    ACTIONS(1633), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13184] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(643), 1,
      sym_comment,
    ACTIONS(1635), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13255] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(644), 1,
      sym_comment,
    ACTIONS(1637), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13326] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(645), 1,
      sym_comment,
    ACTIONS(1639), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13397] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1007), 1,
      ts_builtin_sym_end,
    ACTIONS(1009), 1,
      sym__automatic_semicolon,
    STATE(646), 1,
      sym_comment,
    ACTIONS(974), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13472] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1019), 1,
      sym__automatic_semicolon,
    STATE(647), 1,
      sym_comment,
    ACTIONS(958), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13545] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1003), 1,
      ts_builtin_sym_end,
    ACTIONS(1005), 1,
      sym__automatic_semicolon,
    STATE(648), 1,
      sym_comment,
    ACTIONS(966), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13620] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(649), 1,
      sym_comment,
    ACTIONS(1641), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13691] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(650), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13762] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(651), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13833] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(652), 1,
      sym_comment,
    ACTIONS(1643), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13904] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(999), 1,
      ts_builtin_sym_end,
    ACTIONS(1001), 1,
      sym__automatic_semicolon,
    STATE(653), 1,
      sym_comment,
    ACTIONS(948), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13979] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1025), 1,
      sym__automatic_semicolon,
    STATE(654), 1,
      sym_comment,
    ACTIONS(940), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14052] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(655), 1,
      sym_comment,
    ACTIONS(1645), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14123] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1043), 1,
      sym__automatic_semicolon,
    STATE(656), 1,
      sym_comment,
    ACTIONS(924), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14196] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(657), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14267] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1037), 1,
      ts_builtin_sym_end,
    ACTIONS(1039), 1,
      sym__automatic_semicolon,
    STATE(658), 1,
      sym_comment,
    ACTIONS(914), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14342] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(659), 1,
      sym_comment,
    ACTIONS(1645), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14413] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(660), 1,
      sym_comment,
    ACTIONS(1643), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14484] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(661), 1,
      sym_comment,
    ACTIONS(1647), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14555] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(662), 1,
      sym_comment,
    ACTIONS(1643), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14626] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(663), 1,
      sym_comment,
    ACTIONS(1643), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14697] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1649), 1,
      ts_builtin_sym_end,
    STATE(664), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14770] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(665), 1,
      sym_comment,
    ACTIONS(1651), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14841] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1653), 1,
      sym__automatic_semicolon,
    STATE(666), 1,
      sym_comment,
    ACTIONS(878), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14914] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      ts_builtin_sym_end,
    ACTIONS(1655), 1,
      sym__automatic_semicolon,
    STATE(667), 1,
      sym_comment,
    ACTIONS(878), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14989] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(668), 1,
      sym_comment,
    ACTIONS(1657), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15060] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(669), 1,
      sym_comment,
    ACTIONS(1643), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15131] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1055), 1,
      sym__automatic_semicolon,
    STATE(670), 1,
      sym_comment,
    ACTIONS(914), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15204] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(671), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15275] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(672), 1,
      sym_comment,
    ACTIONS(1643), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15346] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(673), 1,
      sym_comment,
    ACTIONS(1659), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15417] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      ts_builtin_sym_end,
    STATE(674), 1,
      sym_comment,
    ACTIONS(878), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15490] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(675), 1,
      sym_comment,
    ACTIONS(1661), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15561] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(676), 1,
      sym_comment,
    ACTIONS(1663), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15632] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(677), 1,
      sym_comment,
    ACTIONS(1665), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15703] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(678), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15773] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(679), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15843] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(680), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15915] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(681), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15987] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(682), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16059] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(683), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16131] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(684), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16203] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(685), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16275] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(686), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16347] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(687), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16419] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(688), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16491] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1669), 1,
      ts_builtin_sym_end,
    STATE(689), 1,
      sym_comment,
    ACTIONS(1601), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16563] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(690), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16635] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(691), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16707] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(692), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16779] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(693), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16851] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(694), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16923] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(695), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16993] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1671), 1,
      ts_builtin_sym_end,
    STATE(696), 1,
      sym_comment,
    ACTIONS(1651), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17065] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1673), 1,
      ts_builtin_sym_end,
    STATE(697), 1,
      sym_comment,
    ACTIONS(1635), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17137] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1675), 1,
      ts_builtin_sym_end,
    STATE(698), 1,
      sym_comment,
    ACTIONS(1645), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17209] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(699), 1,
      sym_comment,
    ACTIONS(1633), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17281] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1679), 1,
      ts_builtin_sym_end,
    STATE(700), 1,
      sym_comment,
    ACTIONS(1591), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17353] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1675), 1,
      ts_builtin_sym_end,
    STATE(701), 1,
      sym_comment,
    ACTIONS(1645), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17425] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1681), 1,
      ts_builtin_sym_end,
    STATE(702), 1,
      sym_comment,
    ACTIONS(1577), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17497] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1683), 1,
      ts_builtin_sym_end,
    STATE(703), 1,
      sym_comment,
    ACTIONS(1599), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17569] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(704), 1,
      sym_comment,
    ACTIONS(1665), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17639] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1685), 1,
      ts_builtin_sym_end,
    STATE(705), 1,
      sym_comment,
    ACTIONS(1579), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17711] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(706), 1,
      sym_comment,
    ACTIONS(1629), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17781] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(707), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17851] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(708), 1,
      sym_comment,
    ACTIONS(1663), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17921] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(709), 1,
      sym_comment,
    ACTIONS(1627), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17991] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(710), 1,
      sym_comment,
    ACTIONS(1601), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18061] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1029), 1,
      ts_builtin_sym_end,
    ACTIONS(1071), 1,
      sym__automatic_semicolon,
    STATE(711), 1,
      sym_comment,
    ACTIONS(958), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18135] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(712), 1,
      sym_comment,
    ACTIONS(1659), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18205] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(713), 1,
      sym_comment,
    ACTIONS(1645), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18275] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1687), 1,
      ts_builtin_sym_end,
    STATE(714), 1,
      sym_comment,
    ACTIONS(1597), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18347] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1021), 1,
      ts_builtin_sym_end,
    ACTIONS(1069), 1,
      sym__automatic_semicolon,
    STATE(715), 1,
      sym_comment,
    ACTIONS(940), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18421] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1689), 1,
      ts_builtin_sym_end,
    STATE(716), 1,
      sym_comment,
    ACTIONS(1537), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18493] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1015), 1,
      ts_builtin_sym_end,
    ACTIONS(1077), 1,
      sym__automatic_semicolon,
    STATE(717), 1,
      sym_comment,
    ACTIONS(924), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18567] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1691), 1,
      ts_builtin_sym_end,
    STATE(718), 1,
      sym_comment,
    ACTIONS(1639), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18639] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(719), 1,
      sym_comment,
    ACTIONS(1599), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18709] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1693), 1,
      ts_builtin_sym_end,
    STATE(720), 1,
      sym_comment,
    ACTIONS(1581), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18781] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(721), 1,
      sym_comment,
    ACTIONS(1587), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18853] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(722), 1,
      sym_comment,
    ACTIONS(1637), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18925] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(723), 1,
      sym_comment,
    ACTIONS(1597), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18995] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(724), 1,
      sym_comment,
    ACTIONS(1645), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19065] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(725), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19135] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1699), 1,
      ts_builtin_sym_end,
    STATE(726), 1,
      sym_comment,
    ACTIONS(1593), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19207] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(727), 1,
      sym_comment,
    ACTIONS(1593), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19277] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(728), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19349] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1051), 1,
      ts_builtin_sym_end,
    ACTIONS(1081), 1,
      sym__automatic_semicolon,
    STATE(729), 1,
      sym_comment,
    ACTIONS(932), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19423] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(730), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19495] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(731), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19567] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(732), 1,
      sym_comment,
    ACTIONS(1607), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19639] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1703), 1,
      ts_builtin_sym_end,
    STATE(733), 1,
      sym_comment,
    ACTIONS(1611), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19711] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1406), 1,
      sym_identifier,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    STATE(734), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(2042), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19801] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(735), 1,
      sym_comment,
    ACTIONS(1625), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19871] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(736), 1,
      sym_comment,
    ACTIONS(1609), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19941] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1705), 1,
      ts_builtin_sym_end,
    STATE(737), 1,
      sym_comment,
    ACTIONS(1615), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20013] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(738), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20083] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(739), 1,
      sym_comment,
    ACTIONS(1623), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20153] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(740), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20223] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(741), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20295] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(742), 1,
      sym_comment,
    ACTIONS(1621), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20365] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(743), 1,
      sym_comment,
    ACTIONS(1617), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20435] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(744), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20507] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(745), 1,
      sym_comment,
    ACTIONS(1613), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20577] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(746), 1,
      sym_comment,
    ACTIONS(1619), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20647] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1707), 1,
      ts_builtin_sym_end,
    STATE(747), 1,
      sym_comment,
    ACTIONS(1641), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20719] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(748), 1,
      sym_comment,
    ACTIONS(1603), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20791] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(749), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20861] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(750), 1,
      sym_comment,
    ACTIONS(1615), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20931] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(751), 1,
      sym_comment,
    ACTIONS(1611), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21001] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(752), 1,
      sym_comment,
    ACTIONS(1607), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21071] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(753), 1,
      sym_comment,
    ACTIONS(1587), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21141] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(754), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21211] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      ts_builtin_sym_end,
    ACTIONS(1711), 1,
      sym__automatic_semicolon,
    STATE(755), 1,
      sym_comment,
    ACTIONS(878), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21285] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1713), 1,
      ts_builtin_sym_end,
    STATE(756), 1,
      sym_comment,
    ACTIONS(1583), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21357] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(757), 1,
      sym_comment,
    ACTIONS(1581), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21427] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(758), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21497] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(759), 1,
      sym_comment,
    ACTIONS(1635), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21567] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1547), 1,
      ts_builtin_sym_end,
    STATE(760), 1,
      sym_comment,
    ACTIONS(1487), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21639] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(761), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21709] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(762), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21779] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1715), 1,
      ts_builtin_sym_end,
    STATE(763), 1,
      sym_comment,
    ACTIONS(1617), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21851] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(764), 1,
      sym_comment,
    ACTIONS(1621), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21923] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(765), 1,
      sym_comment,
    ACTIONS(1511), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(1509), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21995] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1719), 1,
      ts_builtin_sym_end,
    STATE(766), 1,
      sym_comment,
    ACTIONS(1623), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22067] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(767), 1,
      sym_comment,
    ACTIONS(1625), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22139] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(768), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22209] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1549), 1,
      ts_builtin_sym_end,
    ACTIONS(1723), 1,
      anon_sym_SEMI,
    ACTIONS(1725), 1,
      sym__automatic_semicolon,
    STATE(769), 1,
      sym_comment,
    ACTIONS(1513), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22285] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1727), 1,
      ts_builtin_sym_end,
    STATE(770), 1,
      sym_comment,
    ACTIONS(1605), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22357] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(771), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22427] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(772), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22497] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1729), 1,
      ts_builtin_sym_end,
    STATE(773), 1,
      sym_comment,
    ACTIONS(1575), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22569] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(774), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22639] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(775), 1,
      sym_comment,
    ACTIONS(1591), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22709] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(776), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22779] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1731), 1,
      ts_builtin_sym_end,
    STATE(777), 1,
      sym_comment,
    ACTIONS(1663), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22851] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(778), 1,
      sym_comment,
    ACTIONS(1627), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22923] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(779), 1,
      sym_comment,
    ACTIONS(1589), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22993] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1735), 1,
      ts_builtin_sym_end,
    STATE(780), 1,
      sym_comment,
    ACTIONS(1609), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23065] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1737), 1,
      ts_builtin_sym_end,
    STATE(781), 1,
      sym_comment,
    ACTIONS(1613), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23137] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(782), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23207] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1739), 1,
      ts_builtin_sym_end,
    STATE(783), 1,
      sym_comment,
    ACTIONS(1661), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23279] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(784), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23349] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1741), 1,
      ts_builtin_sym_end,
    STATE(785), 1,
      sym_comment,
    ACTIONS(1629), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23421] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(786), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23491] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(787), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23561] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(788), 1,
      sym_comment,
    ACTIONS(1643), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23633] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(789), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23703] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(790), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23773] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(791), 1,
      sym_comment,
    ACTIONS(1745), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23843] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(792), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23913] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(793), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23983] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(794), 1,
      sym_comment,
    ACTIONS(1571), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24053] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(795), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24123] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(796), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24193] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(797), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24263] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(798), 1,
      sym_comment,
    ACTIONS(1643), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24335] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1747), 1,
      ts_builtin_sym_end,
    STATE(799), 1,
      sym_comment,
    ACTIONS(1657), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24407] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(800), 1,
      sym_comment,
    ACTIONS(1643), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24479] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1749), 1,
      ts_builtin_sym_end,
    STATE(801), 1,
      sym_comment,
    ACTIONS(1571), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24551] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(802), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24621] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1751), 1,
      ts_builtin_sym_end,
    STATE(803), 1,
      sym_comment,
    ACTIONS(1589), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24693] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(804), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24763] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(805), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24833] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(806), 1,
      sym_comment,
    ACTIONS(1605), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24903] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(807), 1,
      sym_comment,
    ACTIONS(1647), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24973] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(808), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25043] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(809), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25113] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(810), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25183] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(811), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25253] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1007), 1,
      ts_builtin_sym_end,
    ACTIONS(1095), 1,
      sym__automatic_semicolon,
    STATE(812), 1,
      sym_comment,
    ACTIONS(974), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25327] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1003), 1,
      ts_builtin_sym_end,
    ACTIONS(1085), 1,
      sym__automatic_semicolon,
    STATE(813), 1,
      sym_comment,
    ACTIONS(966), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25401] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(999), 1,
      ts_builtin_sym_end,
    ACTIONS(1073), 1,
      sym__automatic_semicolon,
    STATE(814), 1,
      sym_comment,
    ACTIONS(948), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25475] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(815), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25545] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(816), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25615] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(817), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25685] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(818), 1,
      sym_comment,
    ACTIONS(1541), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25755] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(819), 1,
      sym_comment,
    ACTIONS(1583), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25825] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(820), 1,
      sym_comment,
    ACTIONS(1537), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25895] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(821), 1,
      sym_comment,
    ACTIONS(1545), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25965] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(822), 1,
      sym_comment,
    ACTIONS(874), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26035] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1753), 1,
      ts_builtin_sym_end,
    STATE(823), 1,
      sym_comment,
    ACTIONS(1647), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26107] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(824), 1,
      sym_comment,
    ACTIONS(1573), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26177] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(825), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26247] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(826), 1,
      sym_comment,
    ACTIONS(878), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26317] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(827), 1,
      sym_comment,
    ACTIONS(1555), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26387] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(828), 1,
      sym_comment,
    ACTIONS(1567), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26457] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(829), 1,
      sym_comment,
    ACTIONS(1575), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26527] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(830), 1,
      sym_comment,
    ACTIONS(1567), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26597] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(831), 1,
      sym_comment,
    ACTIONS(1643), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26667] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1755), 1,
      ts_builtin_sym_end,
    STATE(832), 1,
      sym_comment,
    ACTIONS(1631), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26739] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1757), 1,
      ts_builtin_sym_end,
    STATE(833), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26811] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(834), 1,
      sym_comment,
    ACTIONS(1643), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26881] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(835), 1,
      sym_comment,
    ACTIONS(1643), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26951] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(836), 1,
      sym_comment,
    ACTIONS(1643), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27021] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1735), 1,
      ts_builtin_sym_end,
    STATE(837), 1,
      sym_comment,
    ACTIONS(1609), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27093] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(838), 1,
      sym_comment,
    ACTIONS(1657), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27163] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(839), 1,
      sym_comment,
    ACTIONS(1643), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27233] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(840), 1,
      sym_comment,
    ACTIONS(1643), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27303] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(841), 1,
      sym_comment,
    ACTIONS(1661), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27373] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(842), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27445] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(843), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27517] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(844), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27589] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(845), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27661] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(846), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27733] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(847), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27803] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(848), 1,
      sym_comment,
    ACTIONS(1631), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27873] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      ts_builtin_sym_end,
    STATE(849), 1,
      sym_comment,
    ACTIONS(878), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27945] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(850), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28017] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(851), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28089] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(852), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28161] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(853), 1,
      sym_comment,
    ACTIONS(1633), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28231] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(854), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28303] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(855), 1,
      sym_comment,
    ACTIONS(912), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(910), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28375] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(856), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28447] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(857), 1,
      sym_comment,
    ACTIONS(1609), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28517] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(858), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28589] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(859), 1,
      sym_comment,
    ACTIONS(1643), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28661] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(860), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28733] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      ts_builtin_sym_end,
    ACTIONS(1761), 1,
      sym__automatic_semicolon,
    STATE(861), 1,
      sym_comment,
    ACTIONS(878), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28807] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1763), 1,
      ts_builtin_sym_end,
    STATE(862), 1,
      sym_comment,
    ACTIONS(1619), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28879] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1406), 1,
      sym_identifier,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1974), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28969] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(864), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29041] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(865), 1,
      sym_comment,
    ACTIONS(1651), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29111] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(866), 1,
      sym_comment,
    ACTIONS(876), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(874), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29183] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(867), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29255] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(868), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29327] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1037), 1,
      ts_builtin_sym_end,
    ACTIONS(1067), 1,
      sym__automatic_semicolon,
    STATE(869), 1,
      sym_comment,
    ACTIONS(914), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29401] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(870), 1,
      sym_comment,
    ACTIONS(1637), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29471] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(871), 1,
      sym_comment,
    ACTIONS(1643), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29543] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(872), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29615] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(873), 1,
      sym_comment,
    ACTIONS(1639), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29685] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(874), 1,
      sym_comment,
    ACTIONS(1641), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29755] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(875), 1,
      sym_comment,
    ACTIONS(1643), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29827] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(876), 1,
      sym_comment,
    ACTIONS(882), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(878), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29899] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(1047), 1,
      sym__automatic_semicolon,
    STATE(877), 1,
      sym_comment,
    ACTIONS(864), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29973] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1765), 1,
      ts_builtin_sym_end,
    STATE(878), 1,
      sym_comment,
    ACTIONS(1665), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30045] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1406), 1,
      sym_identifier,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    STATE(879), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1930), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30135] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1406), 1,
      sym_identifier,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    STATE(880), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1950), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30225] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(881), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30297] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(882), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30369] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(883), 1,
      sym_comment,
    ACTIONS(908), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(906), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30441] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    STATE(884), 1,
      sym_comment,
    ACTIONS(874), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30513] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(885), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30585] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(886), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30657] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(887), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30729] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1767), 1,
      ts_builtin_sym_end,
    STATE(888), 1,
      sym_comment,
    ACTIONS(1567), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30801] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1769), 1,
      ts_builtin_sym_end,
    STATE(889), 1,
      sym_comment,
    ACTIONS(1541), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30873] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1767), 1,
      ts_builtin_sym_end,
    STATE(890), 1,
      sym_comment,
    ACTIONS(1567), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30945] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(891), 1,
      sym_comment,
    ACTIONS(1579), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31015] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      ts_builtin_sym_end,
    STATE(892), 1,
      sym_comment,
    ACTIONS(878), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31087] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1771), 1,
      ts_builtin_sym_end,
    STATE(893), 1,
      sym_comment,
    ACTIONS(1555), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31159] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1773), 1,
      ts_builtin_sym_end,
    STATE(894), 1,
      sym_comment,
    ACTIONS(1545), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31231] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1406), 1,
      sym_identifier,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    STATE(895), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1990), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31321] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1649), 1,
      ts_builtin_sym_end,
    STATE(896), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31393] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(897), 1,
      sym_comment,
    ACTIONS(1577), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31463] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(1775), 1,
      sym__automatic_semicolon,
    STATE(898), 1,
      sym_comment,
    ACTIONS(864), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31537] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(899), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31607] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1777), 1,
      ts_builtin_sym_end,
    STATE(900), 1,
      sym_comment,
    ACTIONS(1659), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31679] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    STATE(901), 1,
      sym_comment,
    ACTIONS(874), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31751] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1779), 1,
      ts_builtin_sym_end,
    STATE(902), 1,
      sym_comment,
    ACTIONS(1573), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31823] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(903), 1,
      sym_comment,
    ACTIONS(1603), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31893] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(904), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31964] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(905), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32035] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1679), 1,
      ts_builtin_sym_end,
    STATE(906), 1,
      sym_comment,
    ACTIONS(1591), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32106] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(907), 1,
      sym_comment,
    ACTIONS(1643), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32177] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1224), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1243), 1,
      anon_sym_RBRACE,
    ACTIONS(1785), 1,
      anon_sym_LPAREN,
    ACTIONS(1788), 1,
      anon_sym_EQ,
    ACTIONS(1790), 1,
      anon_sym_EQ_GT,
    STATE(908), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1783), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32264] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(909), 1,
      sym_comment,
    ACTIONS(1643), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32335] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1747), 1,
      ts_builtin_sym_end,
    STATE(910), 1,
      sym_comment,
    ACTIONS(1657), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32406] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1213), 1,
      anon_sym_RBRACE,
    ACTIONS(1224), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1785), 1,
      anon_sym_LPAREN,
    ACTIONS(1788), 1,
      anon_sym_EQ,
    ACTIONS(1790), 1,
      anon_sym_EQ_GT,
    STATE(911), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1783), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32493] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(912), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32564] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(913), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32635] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(914), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32706] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(915), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32777] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(916), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32848] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(917), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32919] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1767), 1,
      ts_builtin_sym_end,
    STATE(918), 1,
      sym_comment,
    ACTIONS(1567), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32990] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(919), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33061] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1691), 1,
      ts_builtin_sym_end,
    STATE(920), 1,
      sym_comment,
    ACTIONS(1639), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33132] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1767), 1,
      ts_builtin_sym_end,
    STATE(921), 1,
      sym_comment,
    ACTIONS(1567), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33203] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1771), 1,
      ts_builtin_sym_end,
    STATE(922), 1,
      sym_comment,
    ACTIONS(1555), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33274] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(923), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33345] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(924), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33416] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(925), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33487] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1699), 1,
      ts_builtin_sym_end,
    STATE(926), 1,
      sym_comment,
    ACTIONS(1593), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33558] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(927), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33629] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(928), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33700] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1749), 1,
      ts_builtin_sym_end,
    STATE(929), 1,
      sym_comment,
    ACTIONS(1571), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33771] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(930), 1,
      sym_comment,
    ACTIONS(1607), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33842] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1729), 1,
      ts_builtin_sym_end,
    STATE(931), 1,
      sym_comment,
    ACTIONS(1575), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33913] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1779), 1,
      ts_builtin_sym_end,
    STATE(932), 1,
      sym_comment,
    ACTIONS(1573), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33984] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(933), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34055] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1773), 1,
      ts_builtin_sym_end,
    STATE(934), 1,
      sym_comment,
    ACTIONS(1545), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34126] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1769), 1,
      ts_builtin_sym_end,
    STATE(935), 1,
      sym_comment,
    ACTIONS(1541), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34197] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1739), 1,
      ts_builtin_sym_end,
    STATE(936), 1,
      sym_comment,
    ACTIONS(1661), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34268] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1713), 1,
      ts_builtin_sym_end,
    STATE(937), 1,
      sym_comment,
    ACTIONS(1583), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34339] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(938), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34410] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1741), 1,
      ts_builtin_sym_end,
    STATE(939), 1,
      sym_comment,
    ACTIONS(1629), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34481] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(940), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34552] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1687), 1,
      ts_builtin_sym_end,
    STATE(941), 1,
      sym_comment,
    ACTIONS(1597), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34623] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1683), 1,
      ts_builtin_sym_end,
    STATE(942), 1,
      sym_comment,
    ACTIONS(1599), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34694] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1669), 1,
      ts_builtin_sym_end,
    STATE(943), 1,
      sym_comment,
    ACTIONS(1601), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34765] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(944), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34836] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1753), 1,
      ts_builtin_sym_end,
    STATE(945), 1,
      sym_comment,
    ACTIONS(1647), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34907] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1705), 1,
      ts_builtin_sym_end,
    STATE(946), 1,
      sym_comment,
    ACTIONS(1615), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34978] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(947), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35049] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(948), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35120] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1755), 1,
      ts_builtin_sym_end,
    STATE(949), 1,
      sym_comment,
    ACTIONS(1631), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35191] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(950), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35262] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(951), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35333] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(952), 1,
      sym_comment,
    ACTIONS(1627), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35404] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1675), 1,
      ts_builtin_sym_end,
    STATE(953), 1,
      sym_comment,
    ACTIONS(1645), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35475] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1675), 1,
      ts_builtin_sym_end,
    STATE(954), 1,
      sym_comment,
    ACTIONS(1645), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35546] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(955), 1,
      sym_comment,
    ACTIONS(1643), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35617] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(956), 1,
      sym_comment,
    ACTIONS(1603), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35688] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1757), 1,
      ts_builtin_sym_end,
    STATE(957), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35759] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1794), 1,
      ts_builtin_sym_end,
    STATE(958), 1,
      sym_comment,
    ACTIONS(1745), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35830] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1689), 1,
      ts_builtin_sym_end,
    STATE(959), 1,
      sym_comment,
    ACTIONS(1537), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35901] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(960), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35972] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1777), 1,
      ts_builtin_sym_end,
    STATE(961), 1,
      sym_comment,
    ACTIONS(1659), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36043] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(962), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36114] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(963), 1,
      sym_comment,
    ACTIONS(1625), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36185] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(964), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36256] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(965), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36327] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(966), 1,
      sym_comment,
    ACTIONS(1643), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36398] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1673), 1,
      ts_builtin_sym_end,
    STATE(967), 1,
      sym_comment,
    ACTIONS(1635), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36469] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1719), 1,
      ts_builtin_sym_end,
    STATE(968), 1,
      sym_comment,
    ACTIONS(1623), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36540] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    STATE(969), 1,
      sym_comment,
    ACTIONS(874), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36611] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(970), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36682] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1681), 1,
      ts_builtin_sym_end,
    STATE(971), 1,
      sym_comment,
    ACTIONS(1577), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36753] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(972), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36824] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(882), 1,
      ts_builtin_sym_end,
    STATE(973), 1,
      sym_comment,
    ACTIONS(878), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36895] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1685), 1,
      ts_builtin_sym_end,
    STATE(974), 1,
      sym_comment,
    ACTIONS(1579), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36966] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(975), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37037] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(976), 1,
      sym_comment,
    ACTIONS(1621), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37108] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(977), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37179] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1224), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_RBRACE,
    ACTIONS(1785), 1,
      anon_sym_LPAREN,
    ACTIONS(1788), 1,
      anon_sym_EQ,
    ACTIONS(1790), 1,
      anon_sym_EQ_GT,
    STATE(978), 1,
      sym_comment,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2118), 1,
      aux_sym_object_repeat1,
    ACTIONS(1783), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [37266] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1715), 1,
      ts_builtin_sym_end,
    STATE(979), 1,
      sym_comment,
    ACTIONS(1617), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37337] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(980), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37408] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(981), 1,
      sym_comment,
    ACTIONS(1633), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37479] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(982), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37550] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(983), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37621] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1693), 1,
      ts_builtin_sym_end,
    STATE(984), 1,
      sym_comment,
    ACTIONS(1581), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37692] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1671), 1,
      ts_builtin_sym_end,
    STATE(985), 1,
      sym_comment,
    ACTIONS(1651), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37763] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(986), 1,
      sym_comment,
    ACTIONS(1637), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37834] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(987), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37905] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(988), 1,
      sym_comment,
    ACTIONS(1587), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37976] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(989), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38047] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1703), 1,
      ts_builtin_sym_end,
    STATE(990), 1,
      sym_comment,
    ACTIONS(1611), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38118] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1707), 1,
      ts_builtin_sym_end,
    STATE(991), 1,
      sym_comment,
    ACTIONS(1641), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38189] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1731), 1,
      ts_builtin_sym_end,
    STATE(992), 1,
      sym_comment,
    ACTIONS(1663), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38260] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(993), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38331] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1751), 1,
      ts_builtin_sym_end,
    STATE(994), 1,
      sym_comment,
    ACTIONS(1589), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38402] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(995), 1,
      sym_comment,
    ACTIONS(1643), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38473] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(996), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38544] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(997), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38615] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1727), 1,
      ts_builtin_sym_end,
    STATE(998), 1,
      sym_comment,
    ACTIONS(1605), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38686] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1735), 1,
      ts_builtin_sym_end,
    STATE(999), 1,
      sym_comment,
    ACTIONS(1609), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38757] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1735), 1,
      ts_builtin_sym_end,
    STATE(1000), 1,
      sym_comment,
    ACTIONS(1609), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38828] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(1001), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38899] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1737), 1,
      ts_builtin_sym_end,
    STATE(1002), 1,
      sym_comment,
    ACTIONS(1613), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38970] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1763), 1,
      ts_builtin_sym_end,
    STATE(1003), 1,
      sym_comment,
    ACTIONS(1619), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39041] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(1004), 1,
      sym_comment,
    ACTIONS(1643), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39112] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1765), 1,
      ts_builtin_sym_end,
    STATE(1005), 1,
      sym_comment,
    ACTIONS(1665), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39183] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(1006), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39254] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1007), 1,
      sym_comment,
    ACTIONS(1796), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39324] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    STATE(1008), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1783), 20,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1009), 1,
      sym_comment,
    ACTIONS(1802), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1804), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39468] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1010), 1,
      sym_comment,
    ACTIONS(1806), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1808), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39538] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1390), 1,
      anon_sym_EQ_GT,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1442), 1,
      anon_sym_of,
    ACTIONS(1810), 1,
      sym_identifier,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(1814), 1,
      anon_sym_LBRACK,
    STATE(1011), 1,
      sym_comment,
    STATE(2255), 1,
      sym__destructuring_pattern,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 30,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1012), 1,
      sym_comment,
    ACTIONS(1509), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1511), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39698] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1013), 1,
      sym_comment,
    ACTIONS(1817), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1819), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39768] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1014), 1,
      sym_comment,
    ACTIONS(1821), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1823), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39838] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1015), 1,
      sym_comment,
    ACTIONS(1825), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1827), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39908] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1016), 1,
      sym_comment,
    ACTIONS(1829), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39975] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1831), 1,
      anon_sym_EQ_GT,
    STATE(1017), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40050] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1018), 1,
      sym_comment,
    ACTIONS(1833), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40117] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1835), 1,
      anon_sym_EQ,
    ACTIONS(1837), 1,
      anon_sym_EQ_GT,
    STATE(1019), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40192] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1831), 1,
      anon_sym_EQ_GT,
    STATE(1020), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40267] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1021), 1,
      sym_comment,
    ACTIONS(1509), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40334] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    ACTIONS(1837), 1,
      anon_sym_EQ_GT,
    STATE(1022), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40409] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1023), 1,
      sym_comment,
    ACTIONS(1839), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40476] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1024), 1,
      sym_comment,
    ACTIONS(1841), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40543] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1025), 1,
      sym_comment,
    ACTIONS(1841), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40610] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1026), 1,
      sym_comment,
    ACTIONS(1841), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40677] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1027), 1,
      sym_comment,
    ACTIONS(1841), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40744] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1790), 1,
      anon_sym_EQ_GT,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    STATE(1028), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40818] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1403), 1,
      anon_sym_EQ,
    ACTIONS(1831), 1,
      anon_sym_EQ_GT,
    STATE(1029), 1,
      sym_comment,
    ACTIONS(1843), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40894] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1835), 1,
      anon_sym_EQ,
    STATE(1030), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40966] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1031), 1,
      sym_comment,
    ACTIONS(1825), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1827), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41034] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1324), 1,
      anon_sym_COLON,
    ACTIONS(1790), 1,
      anon_sym_EQ_GT,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    STATE(1032), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41110] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1850), 1,
      anon_sym_EQ,
    ACTIONS(1853), 1,
      anon_sym_EQ_GT,
    STATE(1033), 1,
      sym_comment,
    ACTIONS(1848), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1783), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41186] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1332), 1,
      anon_sym_COLON,
    ACTIONS(1790), 1,
      anon_sym_EQ_GT,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    STATE(1034), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41262] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1344), 1,
      anon_sym_COLON,
    STATE(1035), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41338] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1332), 1,
      anon_sym_COLON,
    STATE(1036), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41414] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1255), 1,
      anon_sym_COLON,
    ACTIONS(1790), 1,
      anon_sym_EQ_GT,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    STATE(1037), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41490] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1429), 1,
      anon_sym_EQ,
    ACTIONS(1855), 1,
      anon_sym_EQ_GT,
    STATE(1038), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41564] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1255), 1,
      anon_sym_COLON,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    STATE(1039), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41640] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1344), 1,
      anon_sym_COLON,
    ACTIONS(1790), 1,
      anon_sym_EQ_GT,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    STATE(1040), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41716] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1855), 1,
      anon_sym_EQ_GT,
    STATE(1041), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41790] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1426), 1,
      anon_sym_EQ,
    ACTIONS(1859), 1,
      anon_sym_EQ_GT,
    STATE(1042), 1,
      sym_comment,
    ACTIONS(1857), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41866] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    ACTIONS(1853), 1,
      anon_sym_EQ_GT,
    STATE(1043), 1,
      sym_comment,
    ACTIONS(1861), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1783), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41942] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    ACTIONS(1863), 1,
      anon_sym_EQ_GT,
    STATE(1044), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42016] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1324), 1,
      anon_sym_COLON,
    STATE(1045), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42092] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    STATE(1046), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42166] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1790), 1,
      anon_sym_EQ_GT,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    STATE(1047), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1048), 1,
      sym_comment,
    ACTIONS(1509), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1511), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42308] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1859), 1,
      anon_sym_EQ_GT,
    STATE(1049), 1,
      sym_comment,
    ACTIONS(1865), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42384] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    STATE(1050), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1051), 1,
      sym_comment,
    ACTIONS(1806), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1808), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1052), 1,
      sym_comment,
    ACTIONS(1796), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42592] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1053), 1,
      sym_comment,
    ACTIONS(1821), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1823), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42660] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1790), 1,
      anon_sym_EQ_GT,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    ACTIONS(1867), 1,
      anon_sym_in,
    ACTIONS(1870), 1,
      anon_sym_of,
    STATE(1054), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42738] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1837), 1,
      anon_sym_EQ_GT,
    ACTIONS(1875), 1,
      anon_sym_EQ,
    STATE(1055), 1,
      sym_comment,
    ACTIONS(1872), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1783), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42814] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1306), 1,
      anon_sym_COLON,
    STATE(1056), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42890] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    STATE(1057), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1058), 1,
      sym_comment,
    ACTIONS(1802), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1804), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [43032] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1863), 1,
      anon_sym_EQ_GT,
    ACTIONS(1878), 1,
      anon_sym_EQ,
    STATE(1059), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43106] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1306), 1,
      anon_sym_COLON,
    ACTIONS(1790), 1,
      anon_sym_EQ_GT,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    STATE(1060), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43182] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1061), 1,
      sym_comment,
    ACTIONS(1817), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1819), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [43250] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1880), 1,
      anon_sym_of,
    STATE(1062), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43328] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1831), 1,
      anon_sym_EQ_GT,
    STATE(1063), 1,
      sym_comment,
    ACTIONS(1882), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43403] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1835), 1,
      anon_sym_EQ,
    ACTIONS(1837), 1,
      anon_sym_EQ_GT,
    STATE(1064), 1,
      sym_comment,
    ACTIONS(1885), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1783), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43478] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    ACTIONS(1867), 1,
      anon_sym_in,
    ACTIONS(1870), 1,
      anon_sym_of,
    STATE(1065), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43553] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    STATE(1066), 1,
      sym_comment,
    ACTIONS(1861), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1783), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43626] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1850), 1,
      anon_sym_EQ,
    STATE(1067), 1,
      sym_comment,
    ACTIONS(1848), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1783), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43699] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    STATE(1068), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43770] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1875), 1,
      anon_sym_EQ,
    STATE(1069), 1,
      sym_comment,
    ACTIONS(1872), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1783), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43843] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1878), 1,
      anon_sym_EQ,
    STATE(1070), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43914] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1837), 1,
      anon_sym_EQ_GT,
    ACTIONS(1848), 1,
      anon_sym_COMMA,
    ACTIONS(1872), 1,
      anon_sym_RBRACK,
    ACTIONS(1875), 1,
      anon_sym_EQ,
    STATE(1071), 1,
      sym_comment,
    ACTIONS(1783), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43990] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1403), 1,
      anon_sym_EQ,
    ACTIONS(1831), 1,
      anon_sym_EQ_GT,
    ACTIONS(1843), 1,
      anon_sym_RBRACK,
    ACTIONS(1857), 1,
      anon_sym_COMMA,
    STATE(1072), 1,
      sym_comment,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44066] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1859), 1,
      anon_sym_EQ_GT,
    STATE(1073), 1,
      sym_comment,
    ACTIONS(1211), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44138] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1835), 1,
      anon_sym_EQ,
    STATE(1074), 1,
      sym_comment,
    ACTIONS(1885), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1783), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44210] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    ACTIONS(1853), 1,
      anon_sym_EQ_GT,
    STATE(1075), 1,
      sym_comment,
    ACTIONS(1783), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44282] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1848), 1,
      anon_sym_COMMA,
    ACTIONS(1872), 1,
      anon_sym_RBRACK,
    ACTIONS(1875), 1,
      anon_sym_EQ,
    STATE(1076), 1,
      sym_comment,
    ACTIONS(1783), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44355] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1888), 1,
      anon_sym_EQ,
    ACTIONS(1890), 1,
      anon_sym_EQ_GT,
    STATE(1077), 1,
      sym_comment,
    ACTIONS(1783), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44426] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    ACTIONS(1853), 1,
      anon_sym_EQ_GT,
    ACTIONS(1867), 1,
      anon_sym_in,
    ACTIONS(1870), 1,
      anon_sym_of,
    STATE(1078), 1,
      sym_comment,
    ACTIONS(1783), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44501] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1892), 1,
      anon_sym_EQ_GT,
    STATE(1079), 1,
      sym_comment,
    ACTIONS(1211), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44572] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1859), 1,
      anon_sym_EQ_GT,
    ACTIONS(1880), 1,
      anon_sym_of,
    STATE(1080), 1,
      sym_comment,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44647] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    ACTIONS(1890), 1,
      anon_sym_EQ_GT,
    STATE(1081), 1,
      sym_comment,
    ACTIONS(1783), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44718] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1519), 1,
      anon_sym_EQ,
    ACTIONS(1892), 1,
      anon_sym_EQ_GT,
    STATE(1082), 1,
      sym_comment,
    ACTIONS(1211), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44789] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1888), 1,
      anon_sym_EQ,
    STATE(1083), 1,
      sym_comment,
    ACTIONS(1783), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44857] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    ACTIONS(1867), 1,
      anon_sym_in,
    ACTIONS(1870), 1,
      anon_sym_of,
    STATE(1084), 1,
      sym_comment,
    ACTIONS(1783), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1792), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1781), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44929] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1894), 1,
      sym__automatic_semicolon,
    STATE(1085), 1,
      sym_comment,
    ACTIONS(864), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(902), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44989] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    STATE(1086), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1896), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1898), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [45059] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    STATE(1087), 1,
      sym_comment,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1912), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1914), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [45127] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    STATE(1088), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1916), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1918), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [45197] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1089), 1,
      sym_comment,
    ACTIONS(1589), 42,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45251] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1090), 1,
      sym_comment,
    ACTIONS(1583), 42,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45305] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(1091), 1,
      sym_comment,
    STATE(1103), 1,
      sym_arguments,
    ACTIONS(1920), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45364] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1092), 1,
      sym_comment,
    ACTIONS(1577), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45417] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1931), 1,
      anon_sym_EQ,
    STATE(1093), 1,
      sym_comment,
    ACTIONS(1928), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1924), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1926), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45476] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1094), 1,
      sym_comment,
    ACTIONS(1933), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(866), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45535] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1095), 1,
      sym_comment,
    ACTIONS(1573), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45588] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1936), 1,
      sym_optional_chain,
    STATE(1096), 1,
      sym_comment,
    STATE(1103), 1,
      sym_arguments,
    ACTIONS(1920), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45653] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1097), 1,
      sym_comment,
    ACTIONS(1575), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45706] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1945), 1,
      anon_sym_EQ,
    STATE(1098), 1,
      sym_comment,
    ACTIONS(1942), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1938), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1940), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45765] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    STATE(1099), 1,
      sym_comment,
    ACTIONS(1781), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45822] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1100), 1,
      sym_comment,
    ACTIONS(1579), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45875] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1894), 1,
      sym__automatic_semicolon,
    STATE(1101), 1,
      sym_comment,
    ACTIONS(864), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(902), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45932] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1947), 1,
      sym__automatic_semicolon,
    STATE(1102), 1,
      sym_comment,
    ACTIONS(878), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(882), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45989] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1103), 1,
      sym_comment,
    ACTIONS(1949), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1951), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46043] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1104), 1,
      sym_comment,
    ACTIONS(1953), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46097] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1105), 1,
      sym_comment,
    ACTIONS(1957), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1959), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46151] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1106), 1,
      sym_comment,
    ACTIONS(1961), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1963), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46205] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1107), 1,
      sym_comment,
    ACTIONS(1965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46259] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1108), 1,
      sym_comment,
    ACTIONS(1969), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1971), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46313] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1109), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1975), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46413] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1110), 1,
      sym_comment,
    ACTIONS(2009), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2011), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46467] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1111), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2011), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46567] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1112), 1,
      sym_comment,
    ACTIONS(2013), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2015), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46621] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1113), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2017), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46721] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1114), 1,
      sym_comment,
    ACTIONS(2019), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2021), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46775] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1115), 1,
      sym_comment,
    ACTIONS(2023), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46829] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1116), 1,
      sym_comment,
    ACTIONS(960), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(964), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46883] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    STATE(1117), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 7,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [46979] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1118), 1,
      sym_comment,
    ACTIONS(2029), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2031), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47033] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    STATE(1119), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2033), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [47117] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    STATE(1120), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47187] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    STATE(1121), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47261] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    STATE(1122), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1896), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1898), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47329] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2033), 1,
      anon_sym_PIPE,
    STATE(1123), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [47421] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1124), 1,
      sym_comment,
    ACTIONS(942), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(946), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47475] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1125), 1,
      sym_comment,
    ACTIONS(906), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(908), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47529] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2033), 1,
      anon_sym_PIPE,
    STATE(1126), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [47619] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1127), 1,
      sym_comment,
    ACTIONS(2047), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2049), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47673] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1128), 1,
      sym_comment,
    ACTIONS(926), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(930), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47727] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1936), 1,
      sym_optional_chain,
    STATE(1129), 1,
      sym_comment,
    ACTIONS(2047), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2049), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47787] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    STATE(1130), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2033), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [47875] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    STATE(1131), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47951] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    STATE(1132), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 8,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [48045] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    STATE(1133), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [48137] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1134), 1,
      sym_comment,
    ACTIONS(1781), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48191] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1135), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2051), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48291] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    STATE(1136), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [48361] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1137), 1,
      sym_comment,
    ACTIONS(916), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(920), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48415] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1138), 1,
      sym_comment,
    ACTIONS(2053), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2055), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48469] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1139), 1,
      sym_comment,
    ACTIONS(2057), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2059), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48523] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    STATE(1140), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [48603] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1141), 1,
      sym_comment,
    ACTIONS(874), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(876), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48657] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1142), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2061), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48757] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1143), 1,
      sym_comment,
    ACTIONS(2063), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48811] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1144), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2065), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48911] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1145), 1,
      sym_comment,
    ACTIONS(2067), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2069), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48965] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2075), 1,
      sym_regex_flags,
    STATE(1146), 1,
      sym_comment,
    ACTIONS(2071), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2073), 26,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49021] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1147), 1,
      sym_comment,
    ACTIONS(878), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(882), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49075] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1148), 1,
      sym_comment,
    ACTIONS(2077), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2079), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49129] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1149), 1,
      sym_comment,
    ACTIONS(2081), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2083), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49183] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1150), 1,
      sym_comment,
    ACTIONS(2085), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2087), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49237] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1151), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49291] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1152), 1,
      sym_comment,
    ACTIONS(906), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(908), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49345] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1153), 1,
      sym_comment,
    ACTIONS(910), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(912), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49399] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2093), 1,
      sym__automatic_semicolon,
    STATE(1154), 1,
      sym_comment,
    ACTIONS(864), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(902), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49455] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1155), 1,
      sym_comment,
    ACTIONS(2095), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2097), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49509] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    STATE(1156), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1916), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1918), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [49577] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    STATE(1157), 1,
      sym_comment,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1912), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1914), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [49643] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1158), 1,
      sym_comment,
    ACTIONS(2099), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49697] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1159), 1,
      sym_comment,
    ACTIONS(2103), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2105), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49751] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1160), 1,
      sym_comment,
    ACTIONS(934), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(938), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49805] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1161), 1,
      sym_comment,
    ACTIONS(2107), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2109), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49859] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1162), 1,
      sym_comment,
    ACTIONS(2107), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2109), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49913] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1163), 1,
      sym_comment,
    ACTIONS(2107), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2109), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49967] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1164), 1,
      sym_comment,
    ACTIONS(2107), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2109), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50021] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1165), 1,
      sym_comment,
    ACTIONS(910), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(912), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50075] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1166), 1,
      sym_comment,
    ACTIONS(2111), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2113), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50129] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1167), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2113), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [50229] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1168), 1,
      sym_comment,
    ACTIONS(2115), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50283] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1169), 1,
      sym_comment,
    ACTIONS(2119), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2121), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50337] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1170), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2121), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [50437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1171), 1,
      sym_comment,
    ACTIONS(2123), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2125), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50491] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1172), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2125), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [50591] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1173), 1,
      sym_comment,
    ACTIONS(2127), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2129), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50645] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1174), 1,
      sym_comment,
    ACTIONS(2131), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50699] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1175), 1,
      sym_comment,
    ACTIONS(2135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2137), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50753] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1176), 1,
      sym_comment,
    ACTIONS(2139), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2141), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50807] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1177), 1,
      sym_comment,
    ACTIONS(2143), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2145), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50861] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1178), 1,
      sym_comment,
    ACTIONS(2147), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50915] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1179), 1,
      sym_comment,
    ACTIONS(2151), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50969] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1180), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2155), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [51069] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1181), 1,
      sym_comment,
    ACTIONS(950), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(954), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51123] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1182), 1,
      sym_comment,
    ACTIONS(968), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(972), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51177] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1183), 1,
      sym_comment,
    ACTIONS(976), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(980), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51231] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1184), 1,
      sym_comment,
    ACTIONS(2157), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51285] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1185), 1,
      sym_comment,
    ACTIONS(2161), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2163), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51339] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1186), 1,
      sym_comment,
    ACTIONS(2165), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2167), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51393] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1187), 1,
      sym_comment,
    ACTIONS(2169), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51447] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1188), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2173), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [51547] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1189), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2175), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [51647] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1190), 1,
      sym_comment,
    ACTIONS(2177), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2179), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51701] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1191), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2179), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [51801] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1192), 1,
      sym_comment,
    ACTIONS(878), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(882), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51855] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2181), 1,
      sym__automatic_semicolon,
    STATE(1193), 1,
      sym_comment,
    ACTIONS(878), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(882), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51911] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1194), 1,
      sym_comment,
    ACTIONS(874), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(876), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51965] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1195), 1,
      sym_comment,
    ACTIONS(2183), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2185), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52019] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1196), 1,
      sym_comment,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52073] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    STATE(1197), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [52142] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1198), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2179), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [52241] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2257), 1,
      sym__ternary_qmark,
    STATE(1199), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1975), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [52340] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    STATE(1200), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [52413] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2033), 1,
      anon_sym_PIPE,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    STATE(1201), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [52504] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2033), 1,
      anon_sym_PIPE,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    STATE(1202), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [52593] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    STATE(1203), 1,
      sym_comment,
    ACTIONS(2033), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [52680] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    STATE(1204), 1,
      sym_comment,
    ACTIONS(2033), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [52767] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1205), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2261), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52870] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    STATE(1206), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [52945] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    STATE(1207), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [53038] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    STATE(1208), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [53129] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    STATE(1209), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [53204] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    STATE(1210), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [53297] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1211), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2263), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [53396] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    STATE(1212), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [53491] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    STATE(1213), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [53560] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1214), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2265), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [53659] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    STATE(1215), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [53738] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2257), 1,
      sym__ternary_qmark,
    STATE(1216), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2061), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53837] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2257), 1,
      sym__ternary_qmark,
    STATE(1217), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2065), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53936] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1218), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2267), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54039] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1219), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2269), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54142] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    STATE(1220), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [54211] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2033), 1,
      anon_sym_PIPE,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    STATE(1221), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [54302] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    STATE(1222), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [54393] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    STATE(1223), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2033), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [54476] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1931), 1,
      anon_sym_EQ,
    STATE(1224), 1,
      sym_comment,
    ACTIONS(1924), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1926), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54531] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    STATE(1225), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [54600] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2033), 1,
      anon_sym_PIPE,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    STATE(1226), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [54689] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2257), 1,
      sym__ternary_qmark,
    STATE(1227), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2011), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [54788] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2257), 1,
      sym__ternary_qmark,
    STATE(1228), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2155), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [54887] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1229), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2175), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [54986] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1230), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2271), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55089] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    STATE(1231), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [55162] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1232), 1,
      sym_comment,
    ACTIONS(866), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55217] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1945), 1,
      anon_sym_EQ,
    STATE(1233), 1,
      sym_comment,
    ACTIONS(1938), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1940), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55272] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2257), 1,
      sym__ternary_qmark,
    STATE(1234), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2017), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [55371] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1235), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2273), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55474] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1236), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2113), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [55573] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1237), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2275), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55676] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    STATE(1238), 1,
      sym_comment,
    STATE(1285), 1,
      sym_arguments,
    ACTIONS(1920), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55733] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2277), 1,
      sym_optional_chain,
    STATE(1239), 1,
      sym_comment,
    STATE(1285), 1,
      sym_arguments,
    ACTIONS(1920), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55796] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1240), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2279), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55899] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1241), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2281), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56002] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    STATE(1242), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2033), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [56085] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    STATE(1243), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [56164] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1244), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2155), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [56263] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1245), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2283), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56366] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1246), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2285), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56469] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1247), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2121), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [56568] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    STATE(1248), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [56663] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1249), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2125), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [56762] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1250), 1,
      sym_comment,
    ACTIONS(2019), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2021), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56815] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1251), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2287), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56918] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1252), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2289), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57021] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2257), 1,
      sym__ternary_qmark,
    STATE(1253), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2173), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [57120] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1254), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1975), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57219] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1945), 1,
      anon_sym_EQ,
    STATE(1255), 1,
      sym_comment,
    ACTIONS(1938), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1940), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1256), 1,
      sym_comment,
    ACTIONS(2183), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2185), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57327] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1835), 1,
      anon_sym_EQ,
    STATE(1257), 1,
      sym_comment,
    ACTIONS(1781), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57382] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1258), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2061), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57481] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1259), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2173), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57580] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1260), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2017), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57679] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1261), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2291), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57782] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1262), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2293), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57885] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2257), 1,
      sym__ternary_qmark,
    ACTIONS(2297), 1,
      anon_sym_in,
    STATE(1263), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2295), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [57986] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1264), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2065), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [58085] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1931), 1,
      anon_sym_EQ,
    STATE(1265), 1,
      sym_comment,
    ACTIONS(1924), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1926), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58140] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1266), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2011), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [58239] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1267), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2300), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58342] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2093), 1,
      sym__automatic_semicolon,
    STATE(1268), 1,
      sym_comment,
    ACTIONS(864), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(902), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58399] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2302), 1,
      sym__automatic_semicolon,
    STATE(1269), 1,
      sym_comment,
    ACTIONS(902), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(866), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58458] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2257), 1,
      sym__ternary_qmark,
    STATE(1270), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2179), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [58557] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    STATE(1271), 1,
      sym_comment,
    ACTIONS(1781), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58612] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2257), 1,
      sym__ternary_qmark,
    STATE(1272), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2175), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [58711] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2304), 1,
      anon_sym_COMMA,
    ACTIONS(2307), 1,
      anon_sym_RBRACE,
    STATE(1273), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2065), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58814] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2257), 1,
      sym__ternary_qmark,
    STATE(1274), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2113), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [58913] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2257), 1,
      sym__ternary_qmark,
    STATE(1275), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2121), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [59012] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2233), 1,
      anon_sym_GT_GT,
    ACTIONS(2237), 1,
      anon_sym_AMP,
    ACTIONS(2239), 1,
      anon_sym_CARET,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_PERCENT,
    ACTIONS(2247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2257), 1,
      sym__ternary_qmark,
    STATE(1276), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2225), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2251), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2227), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2249), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2125), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [59111] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1277), 1,
      sym_comment,
    ACTIONS(866), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59166] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2309), 1,
      anon_sym_COMMA,
    ACTIONS(2312), 1,
      anon_sym_RBRACE,
    STATE(1278), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2065), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59269] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2312), 1,
      anon_sym_RBRACE,
    ACTIONS(2314), 1,
      anon_sym_COMMA,
    STATE(1279), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2175), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59372] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1280), 1,
      sym_comment,
    STATE(1952), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2317), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59475] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2319), 1,
      sym__automatic_semicolon,
    STATE(1281), 1,
      sym_comment,
    ACTIONS(1037), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(916), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(920), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59531] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1282), 1,
      sym_comment,
    ACTIONS(2053), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2055), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59583] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2323), 1,
      anon_sym_RPAREN,
    STATE(1283), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59685] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2325), 1,
      anon_sym_RPAREN,
    STATE(1284), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59787] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1285), 1,
      sym_comment,
    ACTIONS(1949), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1951), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59839] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_COLON,
    STATE(1286), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59941] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    STATE(1287), 1,
      sym_comment,
    ACTIONS(1781), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59995] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2277), 1,
      sym_optional_chain,
    STATE(1288), 1,
      sym_comment,
    ACTIONS(2047), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2049), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60053] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2329), 1,
      anon_sym_RPAREN,
    STATE(1289), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60155] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1931), 1,
      anon_sym_EQ,
    STATE(1290), 1,
      sym_comment,
    ACTIONS(2331), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1924), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1926), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60211] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2335), 1,
      anon_sym_RPAREN,
    STATE(1291), 1,
      sym_comment,
    STATE(2077), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60313] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    STATE(1292), 1,
      sym_comment,
    ACTIONS(1861), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1781), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60369] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1293), 1,
      sym_comment,
    ACTIONS(2047), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2049), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60421] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1294), 1,
      sym_comment,
    ACTIONS(2023), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60473] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1295), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60525] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2337), 1,
      anon_sym_in,
    ACTIONS(2340), 1,
      anon_sym_of,
    STATE(1296), 1,
      sym_comment,
    ACTIONS(866), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60583] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2342), 1,
      sym__automatic_semicolon,
    STATE(1297), 1,
      sym_comment,
    ACTIONS(1051), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(934), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(938), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60639] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1875), 1,
      anon_sym_EQ,
    STATE(1298), 1,
      sym_comment,
    ACTIONS(1872), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1781), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60695] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2344), 1,
      anon_sym_RPAREN,
    STATE(1299), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60797] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1300), 1,
      sym_comment,
    ACTIONS(2029), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2031), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60849] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1850), 1,
      anon_sym_EQ,
    STATE(1301), 1,
      sym_comment,
    ACTIONS(1848), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1781), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60905] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2346), 1,
      anon_sym_RPAREN,
    STATE(1302), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61007] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1931), 1,
      anon_sym_EQ,
    ACTIONS(2331), 1,
      anon_sym_of,
    ACTIONS(2348), 1,
      anon_sym_in,
    STATE(1303), 1,
      sym_comment,
    ACTIONS(1924), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1926), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61065] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1304), 1,
      sym_comment,
    ACTIONS(2081), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2083), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61117] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1305), 1,
      sym_comment,
    ACTIONS(2077), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2079), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61169] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2351), 1,
      anon_sym_RPAREN,
    STATE(1306), 1,
      sym_comment,
    STATE(2128), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61271] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2353), 1,
      anon_sym_RPAREN,
    STATE(1307), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61373] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2355), 1,
      sym_regex_flags,
    STATE(1308), 1,
      sym_comment,
    ACTIONS(2071), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2073), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61427] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2357), 1,
      anon_sym_RBRACE,
    STATE(1309), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61529] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1310), 1,
      sym_comment,
    ACTIONS(2067), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2069), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61581] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2359), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_comment,
    STATE(2062), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61683] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1312), 1,
      sym_comment,
    ACTIONS(1953), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61735] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2361), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61837] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1314), 1,
      sym_comment,
    ACTIONS(2009), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2011), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61889] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1945), 1,
      anon_sym_EQ,
    ACTIONS(2363), 1,
      anon_sym_in,
    ACTIONS(2366), 1,
      anon_sym_of,
    STATE(1315), 1,
      sym_comment,
    ACTIONS(1938), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1940), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61947] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2368), 1,
      anon_sym_RPAREN,
    STATE(1316), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62049] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1317), 1,
      sym_comment,
    ACTIONS(1969), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1971), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62101] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1318), 1,
      sym_comment,
    ACTIONS(2063), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62153] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2370), 1,
      anon_sym_RPAREN,
    STATE(1319), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62255] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1320), 1,
      sym_comment,
    ACTIONS(2165), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2167), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62307] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1321), 1,
      sym_comment,
    ACTIONS(1961), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1963), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62359] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1322), 1,
      sym_comment,
    ACTIONS(1965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62411] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1323), 1,
      sym_comment,
    ACTIONS(2169), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62463] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1324), 1,
      sym_comment,
    ACTIONS(2147), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62515] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2372), 1,
      anon_sym_RBRACE,
    STATE(1325), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62617] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1326), 1,
      sym_comment,
    ACTIONS(2139), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2141), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62669] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2374), 1,
      anon_sym_RBRACK,
    STATE(1327), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62771] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2376), 1,
      anon_sym_RPAREN,
    STATE(1328), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62873] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1329), 1,
      sym_comment,
    ACTIONS(1957), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1959), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62925] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1330), 1,
      sym_comment,
    ACTIONS(2135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2137), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62977] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1878), 1,
      anon_sym_EQ,
    STATE(1331), 1,
      sym_comment,
    ACTIONS(1781), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63031] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2378), 1,
      anon_sym_RPAREN,
    STATE(1332), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63133] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1333), 1,
      sym_comment,
    ACTIONS(2131), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63185] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1334), 1,
      sym_comment,
    ACTIONS(2127), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2129), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63237] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1335), 1,
      sym_comment,
    ACTIONS(2103), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2105), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63289] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1336), 1,
      sym_comment,
    ACTIONS(2151), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63341] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1337), 1,
      sym_comment,
    ACTIONS(2123), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2125), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63393] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1338), 1,
      sym_comment,
    ACTIONS(916), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(920), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63445] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1339), 1,
      sym_comment,
    ACTIONS(2119), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2121), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63497] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1340), 1,
      sym_comment,
    ACTIONS(2115), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2117), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63549] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1341), 1,
      sym_comment,
    ACTIONS(2340), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(866), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63605] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1342), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2380), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [63703] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1945), 1,
      anon_sym_EQ,
    STATE(1343), 1,
      sym_comment,
    ACTIONS(2366), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1938), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1940), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63759] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2382), 1,
      anon_sym_RBRACK,
    STATE(1344), 1,
      sym_comment,
    STATE(2062), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63861] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1345), 1,
      sym_comment,
    ACTIONS(2111), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2113), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63913] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1346), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2295), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [64011] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    ACTIONS(1867), 1,
      anon_sym_in,
    ACTIONS(1870), 1,
      anon_sym_of,
    STATE(1347), 1,
      sym_comment,
    ACTIONS(1781), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64069] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2384), 1,
      anon_sym_RPAREN,
    STATE(1348), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64171] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1349), 1,
      sym_comment,
    ACTIONS(2057), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2059), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64223] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2386), 1,
      anon_sym_RPAREN,
    STATE(1350), 1,
      sym_comment,
    STATE(2195), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64325] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1351), 1,
      sym_comment,
    ACTIONS(2085), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2087), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64377] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1352), 1,
      sym_comment,
    ACTIONS(2013), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2015), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64429] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1353), 1,
      sym_comment,
    ACTIONS(2107), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2109), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64481] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1354), 1,
      sym_comment,
    ACTIONS(2107), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2109), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64533] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1355), 1,
      sym_comment,
    ACTIONS(2107), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2109), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64585] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1356), 1,
      sym_comment,
    ACTIONS(950), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(954), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64637] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1357), 1,
      sym_comment,
    ACTIONS(2107), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2109), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64689] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1358), 1,
      sym_comment,
    ACTIONS(968), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(972), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64741] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1359), 1,
      sym_comment,
    ACTIONS(976), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(980), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64793] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 1,
      anon_sym_RBRACK,
    STATE(1360), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64895] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_RPAREN,
    STATE(1361), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64997] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2392), 1,
      anon_sym_RPAREN,
    STATE(1362), 1,
      sym_comment,
    STATE(2097), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65099] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1363), 1,
      sym_comment,
    ACTIONS(2099), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65151] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1364), 1,
      sym_comment,
    ACTIONS(934), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(938), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65203] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2394), 1,
      anon_sym_RPAREN,
    STATE(1365), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65305] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2355), 1,
      sym_regex_flags,
    STATE(1366), 1,
      sym_comment,
    ACTIONS(2071), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2073), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65359] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2396), 1,
      anon_sym_RBRACE,
    STATE(1367), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65461] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2398), 1,
      anon_sym_RBRACK,
    STATE(1368), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65563] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2400), 1,
      anon_sym_RPAREN,
    STATE(1369), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65665] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1370), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2051), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65763] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2402), 1,
      anon_sym_RPAREN,
    STATE(1371), 1,
      sym_comment,
    STATE(2095), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65865] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2404), 1,
      sym__automatic_semicolon,
    STATE(1372), 1,
      sym_comment,
    ACTIONS(999), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(950), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(954), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65921] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1373), 1,
      sym_comment,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65973] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2406), 1,
      anon_sym_RBRACK,
    STATE(1374), 1,
      sym_comment,
    STATE(2051), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66075] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2408), 1,
      sym__automatic_semicolon,
    STATE(1375), 1,
      sym_comment,
    ACTIONS(1003), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(968), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(972), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66131] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2410), 1,
      sym__automatic_semicolon,
    STATE(1376), 1,
      sym_comment,
    ACTIONS(1007), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(976), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(980), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66187] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2412), 1,
      anon_sym_RPAREN,
    STATE(1377), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66289] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1378), 1,
      sym_comment,
    ACTIONS(926), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(930), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66341] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1379), 1,
      sym_comment,
    ACTIONS(942), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(946), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66393] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1380), 1,
      sym_comment,
    ACTIONS(960), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(964), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66445] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2414), 1,
      anon_sym_RPAREN,
    STATE(1381), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66547] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2416), 1,
      anon_sym_RPAREN,
    STATE(1382), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66649] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2418), 1,
      anon_sym_RBRACK,
    STATE(1383), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66751] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1384), 1,
      sym_comment,
    ACTIONS(1781), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66803] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2420), 1,
      sym__automatic_semicolon,
    STATE(1385), 1,
      sym_comment,
    ACTIONS(1015), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(926), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(930), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66859] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1386), 1,
      sym_comment,
    ACTIONS(2177), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2179), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66911] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2422), 1,
      anon_sym_RPAREN,
    STATE(1387), 1,
      sym_comment,
    STATE(1779), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67013] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1388), 1,
      sym_comment,
    ACTIONS(2095), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2097), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67065] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1389), 1,
      sym_comment,
    ACTIONS(2161), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2163), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67117] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2424), 1,
      sym__automatic_semicolon,
    STATE(1390), 1,
      sym_comment,
    ACTIONS(1021), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(942), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(946), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67173] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1391), 1,
      sym_comment,
    ACTIONS(2157), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67225] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2426), 1,
      sym__automatic_semicolon,
    STATE(1392), 1,
      sym_comment,
    ACTIONS(1029), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(960), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(964), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67281] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1393), 1,
      sym_comment,
    ACTIONS(2143), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2145), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67333] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1394), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2428), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67430] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1395), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2430), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67527] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    STATE(1396), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [67616] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1835), 1,
      anon_sym_EQ,
    STATE(1397), 1,
      sym_comment,
    ACTIONS(1885), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1781), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67671] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2458), 1,
      anon_sym_SEMI,
    ACTIONS(2460), 1,
      sym__automatic_semicolon,
    STATE(1398), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67770] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1399), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2462), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67867] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1400), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2464), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67964] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2466), 1,
      anon_sym_SEMI,
    ACTIONS(2468), 1,
      sym__automatic_semicolon,
    STATE(1401), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68063] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    STATE(1402), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2470), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68160] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2472), 1,
      anon_sym_SEMI,
    ACTIONS(2474), 1,
      sym__automatic_semicolon,
    STATE(1403), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68259] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2476), 1,
      anon_sym_SEMI,
    ACTIONS(2478), 1,
      sym__automatic_semicolon,
    STATE(1404), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68358] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1405), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2312), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68455] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1406), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2307), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68552] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    STATE(1407), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2175), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68649] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    STATE(1408), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2179), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68746] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    STATE(1409), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2155), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68843] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    STATE(1410), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2065), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68940] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    STATE(1411), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2061), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69037] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    STATE(1412), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2173), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69134] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    STATE(1413), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2125), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69231] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    STATE(1414), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2121), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69328] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2201), 1,
      anon_sym_GT_GT,
    ACTIONS(2205), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2213), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2223), 1,
      sym__ternary_qmark,
    ACTIONS(2488), 1,
      anon_sym_SEMI,
    ACTIONS(2490), 1,
      sym__automatic_semicolon,
    STATE(1415), 1,
      sym_comment,
    ACTIONS(2043), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2193), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2211), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69427] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    STATE(1416), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2113), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69524] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    STATE(1417), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2017), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69621] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    STATE(1418), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2011), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69718] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    STATE(1419), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2492), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69815] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    STATE(1420), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1975), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69912] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    STATE(1421), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 4,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [70005] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    STATE(1422), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2033), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 9,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [70086] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    STATE(1423), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [70153] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2494), 1,
      anon_sym_LPAREN,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    STATE(1424), 1,
      sym_comment,
    ACTIONS(1781), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70208] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    STATE(1425), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [70279] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    ACTIONS(2502), 1,
      anon_sym_COLON,
    STATE(1426), 1,
      sym_comment,
    ACTIONS(2151), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70334] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2033), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    STATE(1427), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [70423] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2033), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    STATE(1428), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [70510] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    STATE(1429), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2033), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [70595] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    STATE(1430), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [70662] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    STATE(1431), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 12,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [70739] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    STATE(1432), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [70812] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    STATE(1433), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 5,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [70903] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    STATE(1434), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2033), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [70987] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2017), 1,
      anon_sym_of,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2526), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    ACTIONS(2534), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2536), 1,
      sym__ternary_qmark,
    STATE(1435), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71083] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1848), 1,
      anon_sym_COMMA,
    ACTIONS(1872), 1,
      anon_sym_RBRACK,
    ACTIONS(1875), 1,
      anon_sym_EQ,
    STATE(1436), 1,
      sym_comment,
    ACTIONS(1781), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71139] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1933), 1,
      anon_sym_RBRACK,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    STATE(1437), 1,
      sym_comment,
    ACTIONS(866), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71195] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2538), 1,
      anon_sym_RBRACK,
    STATE(1438), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71291] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2155), 1,
      anon_sym_of,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2526), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    ACTIONS(2534), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2536), 1,
      sym__ternary_qmark,
    STATE(1439), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71387] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1928), 1,
      anon_sym_RBRACK,
    ACTIONS(1931), 1,
      anon_sym_EQ,
    ACTIONS(2331), 1,
      anon_sym_COMMA,
    STATE(1440), 1,
      sym_comment,
    ACTIONS(1924), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1926), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71443] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    ACTIONS(2540), 1,
      anon_sym_COLON,
    STATE(1441), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71539] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    ACTIONS(2542), 1,
      anon_sym_COLON,
    STATE(1442), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71635] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_GT_GT,
    ACTIONS(1987), 1,
      anon_sym_AMP,
    ACTIONS(1989), 1,
      anon_sym_CARET,
    ACTIONS(1991), 1,
      anon_sym_PIPE,
    ACTIONS(1995), 1,
      anon_sym_PERCENT,
    ACTIONS(1997), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2005), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2007), 1,
      sym__ternary_qmark,
    ACTIONS(2544), 1,
      anon_sym_RBRACK,
    STATE(1443), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2003), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1977), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1999), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71731] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2113), 1,
      anon_sym_of,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2526), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    ACTIONS(2534), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2536), 1,
      sym__ternary_qmark,
    STATE(1444), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71827] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2121), 1,
      anon_sym_of,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2526), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    ACTIONS(2534), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2536), 1,
      sym__ternary_qmark,
    STATE(1445), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71923] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2011), 1,
      anon_sym_of,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2526), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    ACTIONS(2534), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2536), 1,
      sym__ternary_qmark,
    STATE(1446), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72019] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2295), 1,
      anon_sym_of,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2526), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    ACTIONS(2534), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2536), 1,
      sym__ternary_qmark,
    ACTIONS(2546), 1,
      anon_sym_in,
    STATE(1447), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72117] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1975), 1,
      anon_sym_of,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2526), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    ACTIONS(2534), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2536), 1,
      sym__ternary_qmark,
    STATE(1448), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72213] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2526), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    STATE(1449), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 3,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72305] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    ACTIONS(2549), 1,
      anon_sym_COLON,
    STATE(1450), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72401] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2125), 1,
      anon_sym_of,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2526), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    ACTIONS(2534), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2536), 1,
      sym__ternary_qmark,
    STATE(1451), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72497] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    ACTIONS(2551), 1,
      anon_sym_LBRACE,
    STATE(1452), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72593] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2173), 1,
      anon_sym_of,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2526), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    ACTIONS(2534), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2536), 1,
      sym__ternary_qmark,
    STATE(1453), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72689] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2179), 1,
      anon_sym_of,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2526), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    ACTIONS(2534), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2536), 1,
      sym__ternary_qmark,
    STATE(1454), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72785] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2175), 1,
      anon_sym_of,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2526), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    ACTIONS(2534), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2536), 1,
      sym__ternary_qmark,
    STATE(1455), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72881] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    STATE(1456), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2033), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 8,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [72961] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2065), 1,
      anon_sym_of,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2526), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    ACTIONS(2534), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2536), 1,
      sym__ternary_qmark,
    STATE(1457), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73057] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1942), 1,
      anon_sym_RBRACK,
    ACTIONS(1945), 1,
      anon_sym_EQ,
    ACTIONS(2366), 1,
      anon_sym_COMMA,
    STATE(1458), 1,
      sym_comment,
    ACTIONS(1938), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1940), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73113] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2061), 1,
      anon_sym_of,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2526), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    ACTIONS(2534), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2536), 1,
      sym__ternary_qmark,
    STATE(1459), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73209] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    ACTIONS(2553), 1,
      anon_sym_COLON,
    STATE(1460), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73305] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    ACTIONS(2555), 1,
      anon_sym_COLON,
    STATE(1461), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73401] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    STATE(1462), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 11,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73477] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    STATE(1463), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73543] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    STATE(1464), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [73631] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    ACTIONS(2532), 1,
      anon_sym_PIPE,
    STATE(1465), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 4,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [73721] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    STATE(1466), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73793] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2033), 1,
      anon_sym_PIPE,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    STATE(1467), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [73879] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2033), 1,
      anon_sym_PIPE,
    ACTIONS(2508), 1,
      anon_sym_GT_GT,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2528), 1,
      anon_sym_AMP,
    ACTIONS(2530), 1,
      anon_sym_CARET,
    STATE(1468), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2512), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2520), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2506), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2518), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [73967] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2514), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    STATE(1469), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [74037] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2516), 1,
      anon_sym_STAR_STAR,
    STATE(1470), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2033), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [74103] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(2559), 1,
      anon_sym_RBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2563), 1,
      anon_sym_async,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2567), 1,
      anon_sym_static,
    STATE(1471), 1,
      sym_comment,
    STATE(1547), 1,
      aux_sym_export_statement_repeat1,
    STATE(1679), 1,
      sym_decorator,
    STATE(2119), 1,
      sym__property_name,
    STATE(2132), 1,
      aux_sym_object_repeat1,
    STATE(2150), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2780), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2569), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2557), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2094), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2142), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [74198] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2573), 1,
      anon_sym_RBRACE,
    ACTIONS(2575), 1,
      anon_sym_async,
    ACTIONS(2577), 1,
      anon_sym_static,
    STATE(1472), 1,
      sym_comment,
    STATE(1547), 1,
      aux_sym_export_statement_repeat1,
    STATE(1679), 1,
      sym_decorator,
    STATE(2119), 1,
      sym__property_name,
    STATE(2132), 1,
      aux_sym_object_repeat1,
    STATE(2150), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2780), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2579), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2571), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2094), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2142), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [74293] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2075), 1,
      sym_regex_flags,
    STATE(1473), 1,
      sym_comment,
    ACTIONS(2071), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2073), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74344] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    STATE(1474), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74437] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    ACTIONS(1867), 1,
      anon_sym_in,
    ACTIONS(1870), 1,
      anon_sym_of,
    STATE(1475), 1,
      sym_comment,
    ACTIONS(1781), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74492] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1945), 1,
      anon_sym_EQ,
    ACTIONS(2363), 1,
      anon_sym_in,
    ACTIONS(2366), 1,
      anon_sym_of,
    STATE(1476), 1,
      sym_comment,
    ACTIONS(1938), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1940), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74547] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      sym_optional_chain,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_GT_GT,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2480), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2482), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2486), 1,
      sym__ternary_qmark,
    STATE(1477), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2432), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2454), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2434), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2452), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74640] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1931), 1,
      anon_sym_EQ,
    ACTIONS(2331), 1,
      anon_sym_of,
    ACTIONS(2348), 1,
      anon_sym_in,
    STATE(1478), 1,
      sym_comment,
    ACTIONS(1924), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1926), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74695] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2337), 1,
      anon_sym_in,
    ACTIONS(2340), 1,
      anon_sym_of,
    STATE(1479), 1,
      sym_comment,
    ACTIONS(866), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74750] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1888), 1,
      anon_sym_EQ,
    STATE(1480), 1,
      sym_comment,
    ACTIONS(1781), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 22,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74801] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2583), 1,
      anon_sym_RBRACE,
    ACTIONS(2585), 1,
      anon_sym_async,
    ACTIONS(2587), 1,
      anon_sym_static,
    STATE(1481), 1,
      sym_comment,
    STATE(1547), 1,
      aux_sym_export_statement_repeat1,
    STATE(1679), 1,
      sym_decorator,
    STATE(2119), 1,
      sym__property_name,
    STATE(2147), 1,
      aux_sym_object_repeat1,
    STATE(2150), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2780), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2589), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2581), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2094), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2096), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [74896] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(2595), 1,
      anon_sym_async,
    ACTIONS(2597), 1,
      anon_sym_static,
    STATE(1482), 1,
      sym_comment,
    STATE(1547), 1,
      aux_sym_export_statement_repeat1,
    STATE(1679), 1,
      sym_decorator,
    STATE(2119), 1,
      sym__property_name,
    STATE(2147), 1,
      aux_sym_object_repeat1,
    STATE(2150), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2780), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2599), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2591), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2094), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2096), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [74991] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(2605), 1,
      anon_sym_async,
    ACTIONS(2607), 1,
      anon_sym_static,
    STATE(1483), 1,
      sym_comment,
    STATE(1547), 1,
      aux_sym_export_statement_repeat1,
    STATE(1679), 1,
      sym_decorator,
    STATE(2119), 1,
      sym__property_name,
    STATE(2132), 1,
      aux_sym_object_repeat1,
    STATE(2150), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2780), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2609), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2601), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2094), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2142), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [75086] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2613), 1,
      anon_sym_RBRACE,
    ACTIONS(2615), 1,
      anon_sym_async,
    ACTIONS(2617), 1,
      anon_sym_static,
    STATE(1484), 1,
      sym_comment,
    STATE(1547), 1,
      aux_sym_export_statement_repeat1,
    STATE(1679), 1,
      sym_decorator,
    STATE(2119), 1,
      sym__property_name,
    STATE(2132), 1,
      aux_sym_object_repeat1,
    STATE(2150), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2780), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2619), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2611), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2094), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2142), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [75181] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2623), 1,
      anon_sym_RBRACE,
    ACTIONS(2625), 1,
      anon_sym_async,
    ACTIONS(2627), 1,
      anon_sym_static,
    STATE(1485), 1,
      sym_comment,
    STATE(1547), 1,
      aux_sym_export_statement_repeat1,
    STATE(1679), 1,
      sym_decorator,
    STATE(2119), 1,
      sym__property_name,
    STATE(2132), 1,
      aux_sym_object_repeat1,
    STATE(2150), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2780), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2629), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2621), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2094), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2142), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [75276] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2636), 1,
      anon_sym_async,
    ACTIONS(2638), 1,
      anon_sym_static,
    STATE(1486), 1,
      sym_comment,
    STATE(1547), 1,
      aux_sym_export_statement_repeat1,
    STATE(1679), 1,
      sym_decorator,
    STATE(2119), 1,
      sym__property_name,
    STATE(2780), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2633), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2631), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2573), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(2576), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
  [75363] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2646), 1,
      anon_sym_RBRACE,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    STATE(1487), 1,
      sym_comment,
    STATE(1508), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75450] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2666), 1,
      anon_sym_RBRACE,
    STATE(1487), 1,
      aux_sym_class_body_repeat1,
    STATE(1488), 1,
      sym_comment,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75537] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2668), 1,
      anon_sym_RBRACE,
    STATE(1489), 1,
      sym_comment,
    STATE(1508), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75624] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2670), 1,
      anon_sym_RBRACE,
    STATE(1490), 1,
      sym_comment,
    STATE(1502), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75711] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    STATE(1491), 1,
      sym_comment,
    STATE(1499), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75798] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2674), 1,
      anon_sym_RBRACE,
    STATE(1492), 1,
      sym_comment,
    STATE(1508), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75885] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2676), 1,
      anon_sym_RBRACE,
    STATE(1493), 1,
      sym_comment,
    STATE(1498), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75972] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2678), 1,
      anon_sym_RBRACE,
    STATE(1492), 1,
      aux_sym_class_body_repeat1,
    STATE(1494), 1,
      sym_comment,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76059] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    STATE(1495), 1,
      sym_comment,
    STATE(1497), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76146] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2682), 1,
      anon_sym_RBRACE,
    STATE(1496), 1,
      sym_comment,
    STATE(1509), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76233] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2684), 1,
      anon_sym_RBRACE,
    STATE(1497), 1,
      sym_comment,
    STATE(1508), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76320] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2686), 1,
      anon_sym_RBRACE,
    STATE(1498), 1,
      sym_comment,
    STATE(1508), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76407] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2688), 1,
      anon_sym_RBRACE,
    STATE(1499), 1,
      sym_comment,
    STATE(1508), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76494] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2690), 1,
      anon_sym_RBRACE,
    STATE(1489), 1,
      aux_sym_class_body_repeat1,
    STATE(1500), 1,
      sym_comment,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76581] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2692), 1,
      anon_sym_RBRACE,
    STATE(1501), 1,
      sym_comment,
    STATE(1508), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76668] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2694), 1,
      anon_sym_RBRACE,
    STATE(1502), 1,
      sym_comment,
    STATE(1508), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76755] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2696), 1,
      anon_sym_RBRACE,
    STATE(1503), 1,
      sym_comment,
    STATE(1508), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76842] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2698), 1,
      anon_sym_RBRACE,
    STATE(1501), 1,
      aux_sym_class_body_repeat1,
    STATE(1504), 1,
      sym_comment,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76929] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2700), 1,
      anon_sym_RBRACE,
    STATE(1503), 1,
      aux_sym_class_body_repeat1,
    STATE(1505), 1,
      sym_comment,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [77016] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2702), 1,
      anon_sym_RBRACE,
    STATE(1506), 1,
      sym_comment,
    STATE(1508), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [77103] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2704), 1,
      anon_sym_RBRACE,
    STATE(1506), 1,
      aux_sym_class_body_repeat1,
    STATE(1507), 1,
      sym_comment,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [77190] = 26,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2709), 1,
      anon_sym_STAR,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    ACTIONS(2714), 1,
      anon_sym_SEMI,
    ACTIONS(2717), 1,
      anon_sym_LBRACK,
    ACTIONS(2720), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2723), 1,
      anon_sym_DQUOTE,
    ACTIONS(2726), 1,
      anon_sym_SQUOTE,
    ACTIONS(2729), 1,
      anon_sym_async,
    ACTIONS(2735), 1,
      anon_sym_AT,
    ACTIONS(2738), 1,
      anon_sym_static,
    ACTIONS(2741), 1,
      aux_sym_method_definition_token1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2732), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2744), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1508), 2,
      sym_comment,
      aux_sym_class_body_repeat1,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2706), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [77275] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    STATE(1508), 1,
      aux_sym_class_body_repeat1,
    STATE(1509), 1,
      sym_comment,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_glimmer_template,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1575), 1,
      sym_method_definition,
    STATE(1679), 1,
      sym_decorator,
    STATE(1827), 1,
      sym__property_name,
    STATE(1913), 1,
      sym_glimmer_opening_tag,
    STATE(2444), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [77362] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1065), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2751), 1,
      anon_sym_COMMA,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2757), 1,
      anon_sym_async,
    ACTIONS(2759), 1,
      anon_sym_static,
    STATE(1510), 1,
      sym_comment,
    STATE(1547), 1,
      aux_sym_export_statement_repeat1,
    STATE(1679), 1,
      sym_decorator,
    STATE(2125), 1,
      sym__property_name,
    STATE(2175), 1,
      aux_sym_object_repeat1,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2761), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2749), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2178), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [77439] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(898), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      anon_sym_COMMA,
    ACTIONS(2767), 1,
      anon_sym_RBRACE,
    STATE(1511), 1,
      sym_comment,
    STATE(2131), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2780), 1,
      sym__destructuring_pattern,
    STATE(2795), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    STATE(2143), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2763), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77505] = 21,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1065), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2773), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_static,
    STATE(1512), 1,
      sym_comment,
    STATE(1547), 1,
      aux_sym_export_statement_repeat1,
    STATE(1679), 1,
      sym_decorator,
    STATE(2125), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2771), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2777), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2769), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2573), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [77577] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(898), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      anon_sym_COMMA,
    ACTIONS(2781), 1,
      anon_sym_RBRACE,
    STATE(1513), 1,
      sym_comment,
    STATE(2150), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2780), 1,
      sym__destructuring_pattern,
    STATE(2795), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    STATE(2094), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2779), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77643] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(898), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    STATE(1514), 1,
      sym_comment,
    STATE(2780), 1,
      sym__destructuring_pattern,
    STATE(2795), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2785), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    STATE(2576), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2783), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77704] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2789), 1,
      anon_sym_RBRACE,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    STATE(1515), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [77769] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1314), 1,
      anon_sym_RBRACE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    STATE(1516), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [77832] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    STATE(1517), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [77895] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    STATE(1518), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [77960] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1334), 1,
      anon_sym_RBRACE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    STATE(1519), 1,
      sym_comment,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2118), 1,
      aux_sym_object_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78025] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1272), 1,
      anon_sym_RBRACE,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    STATE(1520), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78090] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1272), 1,
      anon_sym_RBRACE,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    STATE(1521), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78153] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1314), 1,
      anon_sym_RBRACE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    STATE(1522), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78218] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    STATE(1523), 1,
      sym_comment,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2118), 1,
      aux_sym_object_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78283] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    STATE(1524), 1,
      sym_comment,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2118), 1,
      aux_sym_object_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78346] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(1525), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78411] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(1526), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78474] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1334), 1,
      anon_sym_RBRACE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    STATE(1527), 1,
      sym_comment,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2118), 1,
      aux_sym_object_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78537] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2789), 1,
      anon_sym_RBRACE,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    STATE(1528), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78600] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1272), 1,
      anon_sym_RBRACE,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    STATE(1529), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78658] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    STATE(1530), 1,
      sym_comment,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2118), 1,
      aux_sym_object_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78716] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_RBRACE,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    STATE(1531), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78774] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1314), 1,
      anon_sym_RBRACE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    STATE(1532), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78832] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(1533), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78890] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1334), 1,
      anon_sym_RBRACE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    STATE(1534), 1,
      sym_comment,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2118), 1,
      aux_sym_object_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78948] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    STATE(1535), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [79006] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2801), 1,
      anon_sym_STAR,
    ACTIONS(2803), 1,
      anon_sym_LBRACE,
    ACTIONS(2805), 1,
      anon_sym_async,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1536), 1,
      sym_comment,
    STATE(1601), 1,
      sym_statement_block,
    STATE(1790), 1,
      sym__property_name,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2807), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2791), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2642), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [79066] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2751), 1,
      anon_sym_COMMA,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    STATE(1537), 1,
      sym_comment,
    STATE(2146), 1,
      aux_sym_object_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79123] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    STATE(1538), 1,
      sym_comment,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2813), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79178] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2751), 1,
      anon_sym_COMMA,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    STATE(1539), 1,
      sym_comment,
    STATE(2146), 1,
      aux_sym_object_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [79237] = 21,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_AT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2816), 1,
      anon_sym_export,
    ACTIONS(2818), 1,
      anon_sym_STAR,
    ACTIONS(2820), 1,
      anon_sym_class,
    ACTIONS(2822), 1,
      anon_sym_async,
    ACTIONS(2824), 1,
      anon_sym_static,
    ACTIONS(2826), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2828), 1,
      anon_sym_get,
    ACTIONS(2830), 1,
      anon_sym_set,
    STATE(1540), 1,
      sym_comment,
    STATE(1579), 1,
      aux_sym_export_statement_repeat1,
    STATE(1643), 1,
      sym_decorator,
    STATE(2566), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1352), 2,
      anon_sym_let,
      sym_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
  [79304] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    STATE(1541), 1,
      sym_comment,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2813), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [79361] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2751), 1,
      anon_sym_COMMA,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    STATE(1542), 1,
      sym_comment,
    STATE(2146), 1,
      aux_sym_object_repeat1,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [79413] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    ACTIONS(2832), 1,
      anon_sym_STAR,
    ACTIONS(2834), 1,
      anon_sym_get,
    ACTIONS(2836), 1,
      anon_sym_set,
    STATE(1543), 1,
      sym_comment,
    STATE(2684), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2791), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79467] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2801), 1,
      anon_sym_STAR,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1544), 1,
      sym_comment,
    STATE(2657), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2838), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2791), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79519] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    STATE(1545), 1,
      sym_comment,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2840), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [79573] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_EQ,
    STATE(1546), 1,
      sym_comment,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2813), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [79623] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2818), 1,
      anon_sym_STAR,
    ACTIONS(2822), 1,
      anon_sym_async,
    ACTIONS(2824), 1,
      anon_sym_static,
    ACTIONS(2826), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2828), 1,
      anon_sym_get,
    ACTIONS(2830), 1,
      anon_sym_set,
    STATE(1547), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_export_statement_repeat1,
    STATE(1679), 1,
      sym_decorator,
    STATE(2566), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [79685] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    ACTIONS(2842), 1,
      anon_sym_STAR,
    ACTIONS(2844), 1,
      anon_sym_get,
    ACTIONS(2846), 1,
      anon_sym_set,
    STATE(1548), 1,
      sym_comment,
    STATE(2670), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2791), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79739] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    ACTIONS(2848), 1,
      anon_sym_STAR,
    ACTIONS(2850), 1,
      anon_sym_async,
    ACTIONS(2852), 1,
      anon_sym_get,
    ACTIONS(2854), 1,
      anon_sym_set,
    STATE(1549), 1,
      sym_comment,
    STATE(1807), 1,
      sym__property_name,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2791), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2642), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [79795] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    ACTIONS(2856), 1,
      anon_sym_STAR,
    STATE(1550), 1,
      sym_comment,
    STATE(2668), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2858), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2791), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79847] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    STATE(1551), 1,
      sym_comment,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2840), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79899] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_STAR,
    ACTIONS(2862), 1,
      anon_sym_async,
    ACTIONS(2864), 1,
      anon_sym_static,
    ACTIONS(2866), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2868), 1,
      anon_sym_get,
    ACTIONS(2870), 1,
      anon_sym_set,
    STATE(1552), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_export_statement_repeat1,
    STATE(1679), 1,
      sym_decorator,
    STATE(1788), 1,
      sym__property_name,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1947), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [79961] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1553), 1,
      sym_comment,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2791), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2840), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80008] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1554), 1,
      sym_comment,
    STATE(2673), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2791), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80055] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1555), 1,
      sym_comment,
    STATE(2672), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2791), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80102] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2874), 1,
      anon_sym_LPAREN,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    STATE(1556), 1,
      sym_comment,
    STATE(1623), 1,
      sym_arguments,
    ACTIONS(2872), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80139] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1557), 1,
      sym_comment,
    STATE(2657), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2791), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80186] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1558), 1,
      sym_comment,
    STATE(2668), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2791), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80233] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2878), 1,
      sym__automatic_semicolon,
    STATE(1559), 1,
      sym_comment,
    ACTIONS(864), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80266] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2880), 1,
      sym__automatic_semicolon,
    STATE(1560), 1,
      sym_comment,
    ACTIONS(878), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80299] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1561), 1,
      sym_comment,
    STATE(2686), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2791), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80346] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1562), 1,
      sym_comment,
    STATE(2685), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2791), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80393] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1563), 1,
      sym_comment,
    ACTIONS(1957), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80423] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1564), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80453] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1565), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80483] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1566), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80513] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1567), 1,
      sym_comment,
    ACTIONS(2884), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80543] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1568), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80573] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1569), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80603] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1570), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80633] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1571), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80663] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1572), 1,
      sym_comment,
    ACTIONS(2886), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80693] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1573), 1,
      sym_comment,
    ACTIONS(2888), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80723] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1574), 1,
      sym_comment,
    ACTIONS(2890), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80753] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2892), 1,
      anon_sym_SEMI,
    STATE(1575), 1,
      sym_comment,
    ACTIONS(2890), 17,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80785] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1576), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80815] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1577), 1,
      sym_comment,
    ACTIONS(2895), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80845] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2897), 1,
      anon_sym_LPAREN,
    ACTIONS(2899), 1,
      anon_sym_DOT,
    STATE(1578), 1,
      sym_comment,
    STATE(1681), 1,
      sym_arguments,
    ACTIONS(2872), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80881] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2903), 1,
      anon_sym_AT,
    STATE(1643), 1,
      sym_decorator,
    STATE(1579), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(2901), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80915] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1580), 1,
      sym_comment,
    ACTIONS(2143), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80945] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1581), 1,
      sym_comment,
    ACTIONS(2906), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80975] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1582), 1,
      sym_comment,
    ACTIONS(2908), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81005] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1583), 1,
      sym_comment,
    ACTIONS(2910), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81035] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1584), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81065] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1585), 1,
      sym_comment,
    ACTIONS(2157), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81095] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1586), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81125] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1587), 1,
      sym_comment,
    ACTIONS(2912), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81155] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1588), 1,
      sym_comment,
    ACTIONS(874), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81185] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1589), 1,
      sym_comment,
    ACTIONS(2912), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81215] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1590), 1,
      sym_comment,
    ACTIONS(2906), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81245] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1591), 1,
      sym_comment,
    ACTIONS(2912), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81275] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1592), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81305] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1593), 1,
      sym_comment,
    ACTIONS(2912), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81335] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1594), 1,
      sym_comment,
    ACTIONS(878), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81365] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1595), 1,
      sym_comment,
    ACTIONS(2914), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81395] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1596), 1,
      sym_comment,
    ACTIONS(2912), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81425] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1597), 1,
      sym_comment,
    ACTIONS(2916), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81455] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1598), 1,
      sym_comment,
    ACTIONS(2906), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81485] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1599), 1,
      sym_comment,
    ACTIONS(2906), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81515] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1600), 1,
      sym_comment,
    ACTIONS(2912), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81545] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1601), 1,
      sym_comment,
    ACTIONS(2918), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81575] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1602), 1,
      sym_comment,
    ACTIONS(2920), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81605] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1603), 1,
      sym_comment,
    ACTIONS(2906), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81635] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1604), 1,
      sym_comment,
    ACTIONS(2906), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81665] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1605), 1,
      sym_comment,
    ACTIONS(2884), 17,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81694] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    ACTIONS(2922), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      anon_sym_get,
    ACTIONS(2926), 1,
      anon_sym_set,
    STATE(1606), 1,
      sym_comment,
    STATE(2207), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [81743] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_var,
    ACTIONS(1229), 1,
      anon_sym_class,
    ACTIONS(1231), 1,
      anon_sym_async,
    ACTIONS(1233), 1,
      anon_sym_function,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(2809), 1,
      anon_sym_LPAREN,
    ACTIONS(2928), 1,
      anon_sym_default,
    STATE(936), 1,
      sym_declaration,
    STATE(1607), 1,
      sym_comment,
    STATE(2018), 1,
      aux_sym_export_statement_repeat1,
    STATE(2054), 1,
      sym_decorator,
    ACTIONS(1217), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(939), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [81794] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    ACTIONS(2930), 1,
      anon_sym_STAR,
    STATE(1608), 1,
      sym_comment,
    STATE(2357), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2932), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [81841] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    ACTIONS(2934), 1,
      anon_sym_EQ_GT,
    STATE(1609), 1,
      sym_comment,
    STATE(2357), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81886] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2938), 1,
      anon_sym_get,
    ACTIONS(2940), 1,
      anon_sym_set,
    STATE(1610), 1,
      sym_comment,
    STATE(2340), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [81935] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2942), 1,
      anon_sym_AT,
    STATE(1679), 1,
      sym_decorator,
    STATE(1611), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(2901), 14,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81968] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    ACTIONS(2945), 1,
      anon_sym_STAR,
    ACTIONS(2947), 1,
      anon_sym_get,
    ACTIONS(2949), 1,
      anon_sym_set,
    STATE(1612), 1,
      sym_comment,
    STATE(2688), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [82017] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    ACTIONS(2856), 1,
      anon_sym_STAR,
    STATE(1613), 1,
      sym_comment,
    STATE(2668), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2858), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [82064] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    ACTIONS(2951), 1,
      anon_sym_STAR,
    ACTIONS(2953), 1,
      anon_sym_get,
    ACTIONS(2955), 1,
      anon_sym_set,
    STATE(1614), 1,
      sym_comment,
    STATE(2202), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [82113] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    ACTIONS(2957), 1,
      anon_sym_STAR,
    ACTIONS(2959), 1,
      anon_sym_async,
    ACTIONS(2961), 1,
      anon_sym_get,
    ACTIONS(2963), 1,
      anon_sym_set,
    STATE(1615), 1,
      sym_comment,
    STATE(2339), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [82164] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1616), 1,
      sym_comment,
    STATE(2430), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82206] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1617), 1,
      sym_comment,
    STATE(2682), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82248] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1618), 1,
      sym_comment,
    STATE(2325), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82290] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1619), 1,
      sym_comment,
    STATE(2329), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82332] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2965), 1,
      anon_sym_STAR,
    ACTIONS(2967), 1,
      anon_sym_async,
    ACTIONS(2969), 1,
      anon_sym_get,
    ACTIONS(2971), 1,
      anon_sym_set,
    STATE(1620), 1,
      sym_comment,
    STATE(2334), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [82380] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1340), 1,
      anon_sym_var,
    ACTIONS(1346), 1,
      anon_sym_class,
    ACTIONS(1348), 1,
      anon_sym_async,
    ACTIONS(1350), 1,
      anon_sym_function,
    ACTIONS(2973), 1,
      anon_sym_default,
    STATE(841), 1,
      sym_declaration,
    STATE(1621), 1,
      sym_comment,
    STATE(1953), 1,
      aux_sym_export_statement_repeat1,
    STATE(2054), 1,
      sym_decorator,
    ACTIONS(1342), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(706), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [82428] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1622), 1,
      sym_comment,
    STATE(2681), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82470] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1623), 1,
      sym_comment,
    ACTIONS(2975), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [82498] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1624), 1,
      sym_comment,
    STATE(2538), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82540] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1625), 1,
      sym_comment,
    STATE(2668), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82582] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1626), 1,
      sym_comment,
    STATE(2210), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82624] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1627), 1,
      sym_comment,
    STATE(2697), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82666] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1628), 1,
      sym_comment,
    STATE(2206), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82708] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1629), 1,
      sym_comment,
    STATE(2357), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82750] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1630), 1,
      sym_comment,
    STATE(2214), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82792] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    STATE(1631), 1,
      sym_comment,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [82838] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2801), 1,
      anon_sym_STAR,
    ACTIONS(2977), 1,
      anon_sym_async,
    STATE(1632), 1,
      sym_comment,
    STATE(2657), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2838), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [82884] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1633), 1,
      sym_comment,
    STATE(2294), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82926] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2979), 1,
      anon_sym_STAR,
    ACTIONS(2981), 1,
      anon_sym_async,
    ACTIONS(2983), 1,
      anon_sym_get,
    ACTIONS(2985), 1,
      anon_sym_set,
    STATE(1634), 1,
      sym_comment,
    STATE(2671), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [82974] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1635), 1,
      sym_comment,
    ACTIONS(2872), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83002] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1302), 1,
      anon_sym_var,
    ACTIONS(1308), 1,
      anon_sym_class,
    ACTIONS(1310), 1,
      anon_sym_async,
    ACTIONS(1312), 1,
      anon_sym_function,
    ACTIONS(2987), 1,
      anon_sym_default,
    STATE(783), 1,
      sym_declaration,
    STATE(1636), 1,
      sym_comment,
    STATE(1980), 1,
      aux_sym_export_statement_repeat1,
    STATE(2054), 1,
      sym_decorator,
    ACTIONS(1304), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(785), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [83050] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1637), 1,
      sym_comment,
    STATE(2296), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83092] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1638), 1,
      sym_comment,
    STATE(2689), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83134] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1639), 1,
      sym_comment,
    ACTIONS(2135), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83162] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1640), 1,
      sym_comment,
    STATE(2698), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83204] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1641), 1,
      sym_comment,
    STATE(2690), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83246] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1642), 1,
      sym_comment,
    STATE(2413), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83288] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1643), 1,
      sym_comment,
    ACTIONS(2989), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83316] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1644), 1,
      sym_comment,
    STATE(2694), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83358] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1645), 1,
      sym_comment,
    STATE(2695), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83400] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1320), 1,
      anon_sym_var,
    ACTIONS(1326), 1,
      anon_sym_class,
    ACTIONS(1328), 1,
      anon_sym_async,
    ACTIONS(1330), 1,
      anon_sym_function,
    ACTIONS(2991), 1,
      anon_sym_default,
    STATE(1646), 1,
      sym_comment,
    STATE(2013), 1,
      aux_sym_export_statement_repeat1,
    STATE(2054), 1,
      sym_decorator,
    STATE(2736), 1,
      sym_declaration,
    ACTIONS(1322), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(2609), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [83448] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1647), 1,
      sym_comment,
    STATE(2205), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83490] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1648), 1,
      sym_comment,
    ACTIONS(2057), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83518] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1649), 1,
      sym_comment,
    ACTIONS(2169), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83546] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1650), 1,
      sym_comment,
    STATE(2232), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83588] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_var,
    ACTIONS(1229), 1,
      anon_sym_class,
    ACTIONS(1231), 1,
      anon_sym_async,
    ACTIONS(1233), 1,
      anon_sym_function,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(2928), 1,
      anon_sym_default,
    STATE(936), 1,
      sym_declaration,
    STATE(1651), 1,
      sym_comment,
    STATE(2018), 1,
      aux_sym_export_statement_repeat1,
    STATE(2054), 1,
      sym_decorator,
    ACTIONS(1217), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(939), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [83636] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1652), 1,
      sym_comment,
    STATE(2679), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83678] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1251), 1,
      anon_sym_var,
    ACTIONS(1259), 1,
      anon_sym_class,
    ACTIONS(1261), 1,
      anon_sym_async,
    ACTIONS(1263), 1,
      anon_sym_function,
    ACTIONS(2993), 1,
      anon_sym_default,
    STATE(675), 1,
      sym_declaration,
    STATE(1653), 1,
      sym_comment,
    STATE(1919), 1,
      aux_sym_export_statement_repeat1,
    STATE(2054), 1,
      sym_decorator,
    ACTIONS(1253), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(640), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [83726] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(1654), 1,
      sym_comment,
    STATE(2211), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83768] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1655), 1,
      sym_comment,
    STATE(2683), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83807] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1656), 1,
      sym_comment,
    ACTIONS(2995), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [83834] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1657), 1,
      sym_comment,
    ACTIONS(2057), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83861] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1658), 1,
      sym_comment,
    STATE(2679), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83900] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1659), 1,
      sym_comment,
    STATE(2669), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83939] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1660), 1,
      sym_comment,
    STATE(2696), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83978] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1661), 1,
      sym_comment,
    STATE(2687), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84017] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1662), 1,
      sym_comment,
    ACTIONS(2997), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [84044] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1663), 1,
      sym_comment,
    ACTIONS(2135), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [84071] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1664), 1,
      sym_comment,
    STATE(2668), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84110] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1665), 1,
      sym_comment,
    ACTIONS(2872), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [84137] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1666), 1,
      sym_comment,
    ACTIONS(2999), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [84164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1667), 1,
      sym_comment,
    ACTIONS(3001), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [84191] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1668), 1,
      sym_comment,
    STATE(2680), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84230] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1669), 1,
      sym_comment,
    STATE(2596), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84269] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1670), 1,
      sym_comment,
    STATE(2203), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84308] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1671), 1,
      sym_comment,
    STATE(2293), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84347] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1672), 1,
      sym_comment,
    STATE(2657), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84386] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1673), 1,
      sym_comment,
    ACTIONS(2169), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [84413] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1674), 1,
      sym_comment,
    STATE(2357), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84452] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1675), 1,
      sym_comment,
    STATE(2212), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84491] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1676), 1,
      sym_comment,
    STATE(2693), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84530] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1677), 1,
      sym_comment,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84569] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1678), 1,
      sym_comment,
    STATE(2214), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84608] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1679), 1,
      sym_comment,
    ACTIONS(2989), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [84635] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1680), 1,
      sym_comment,
    ACTIONS(3003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [84662] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1681), 1,
      sym_comment,
    ACTIONS(2975), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [84689] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1682), 1,
      sym_comment,
    STATE(2341), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84728] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1683), 1,
      sym_comment,
    STATE(2208), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2581), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84767] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(3005), 1,
      sym_identifier,
    ACTIONS(3007), 1,
      anon_sym_STAR,
    ACTIONS(3009), 1,
      anon_sym_LBRACE,
    STATE(1684), 1,
      sym_comment,
    STATE(1925), 1,
      sym_string,
    STATE(2717), 1,
      sym_import_clause,
    STATE(2752), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3011), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [84808] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(3005), 1,
      sym_identifier,
    ACTIONS(3007), 1,
      anon_sym_STAR,
    ACTIONS(3009), 1,
      anon_sym_LBRACE,
    STATE(1685), 1,
      sym_comment,
    STATE(1970), 1,
      sym_string,
    STATE(2642), 1,
      sym_import_clause,
    STATE(2752), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3011), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [84849] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(3005), 1,
      sym_identifier,
    ACTIONS(3007), 1,
      anon_sym_STAR,
    ACTIONS(3009), 1,
      anon_sym_LBRACE,
    STATE(1686), 1,
      sym_comment,
    STATE(2044), 1,
      sym_string,
    STATE(2582), 1,
      sym_import_clause,
    STATE(2752), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3011), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [84890] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3013), 1,
      anon_sym_LBRACE,
    ACTIONS(3017), 1,
      sym_html_character_reference,
    ACTIONS(3019), 1,
      anon_sym_LT,
    ACTIONS(3021), 1,
      anon_sym_LT_SLASH,
    STATE(1389), 1,
      sym_jsx_closing_element,
    STATE(1687), 1,
      sym_comment,
    STATE(1689), 1,
      sym_jsx_opening_element,
    STATE(1691), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(3015), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1820), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [84931] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3013), 1,
      anon_sym_LBRACE,
    ACTIONS(3017), 1,
      sym_html_character_reference,
    ACTIONS(3019), 1,
      anon_sym_LT,
    ACTIONS(3023), 1,
      anon_sym_LT_SLASH,
    STATE(1688), 1,
      sym_comment,
    STATE(1689), 1,
      sym_jsx_opening_element,
    STATE(1697), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1791), 1,
      sym_jsx_closing_element,
    ACTIONS(3015), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1820), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [84972] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3013), 1,
      anon_sym_LBRACE,
    ACTIONS(3017), 1,
      sym_html_character_reference,
    ACTIONS(3019), 1,
      anon_sym_LT,
    ACTIONS(3023), 1,
      anon_sym_LT_SLASH,
    STATE(1688), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1797), 1,
      sym_jsx_closing_element,
    ACTIONS(3015), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1689), 2,
      sym_jsx_opening_element,
      sym_comment,
    STATE(1820), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [85011] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3013), 1,
      anon_sym_LBRACE,
    ACTIONS(3017), 1,
      sym_html_character_reference,
    ACTIONS(3019), 1,
      anon_sym_LT,
    ACTIONS(3025), 1,
      anon_sym_LT_SLASH,
    STATE(1185), 1,
      sym_jsx_closing_element,
    STATE(1689), 1,
      sym_jsx_opening_element,
    STATE(1690), 1,
      sym_comment,
    STATE(1694), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(3015), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1820), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [85052] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3013), 1,
      anon_sym_LBRACE,
    ACTIONS(3017), 1,
      sym_html_character_reference,
    ACTIONS(3019), 1,
      anon_sym_LT,
    ACTIONS(3021), 1,
      anon_sym_LT_SLASH,
    STATE(1317), 1,
      sym_jsx_closing_element,
    STATE(1689), 1,
      sym_jsx_opening_element,
    STATE(1691), 1,
      sym_comment,
    STATE(1697), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(3015), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1820), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [85093] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(3005), 1,
      sym_identifier,
    ACTIONS(3007), 1,
      anon_sym_STAR,
    ACTIONS(3009), 1,
      anon_sym_LBRACE,
    STATE(1692), 1,
      sym_comment,
    STATE(1981), 1,
      sym_string,
    STATE(2704), 1,
      sym_import_clause,
    STATE(2752), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3011), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [85134] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3013), 1,
      anon_sym_LBRACE,
    ACTIONS(3017), 1,
      sym_html_character_reference,
    ACTIONS(3019), 1,
      anon_sym_LT,
    ACTIONS(3027), 1,
      anon_sym_LT_SLASH,
    STATE(1689), 1,
      sym_jsx_opening_element,
    STATE(1693), 1,
      sym_comment,
    STATE(1697), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1882), 1,
      sym_jsx_closing_element,
    ACTIONS(3015), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1820), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [85175] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3013), 1,
      anon_sym_LBRACE,
    ACTIONS(3017), 1,
      sym_html_character_reference,
    ACTIONS(3019), 1,
      anon_sym_LT,
    ACTIONS(3025), 1,
      anon_sym_LT_SLASH,
    STATE(1108), 1,
      sym_jsx_closing_element,
    STATE(1689), 1,
      sym_jsx_opening_element,
    STATE(1694), 1,
      sym_comment,
    STATE(1697), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(3015), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1820), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [85216] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3013), 1,
      anon_sym_LBRACE,
    ACTIONS(3017), 1,
      sym_html_character_reference,
    ACTIONS(3019), 1,
      anon_sym_LT,
    ACTIONS(3027), 1,
      anon_sym_LT_SLASH,
    STATE(1689), 1,
      sym_jsx_opening_element,
    STATE(1693), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1695), 1,
      sym_comment,
    STATE(1880), 1,
      sym_jsx_closing_element,
    ACTIONS(3015), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1820), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [85257] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(3005), 1,
      sym_identifier,
    ACTIONS(3007), 1,
      anon_sym_STAR,
    ACTIONS(3009), 1,
      anon_sym_LBRACE,
    STATE(1696), 1,
      sym_comment,
    STATE(1956), 1,
      sym_string,
    STATE(2636), 1,
      sym_import_clause,
    STATE(2752), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3011), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [85298] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3029), 1,
      anon_sym_LBRACE,
    ACTIONS(3035), 1,
      sym_html_character_reference,
    ACTIONS(3038), 1,
      anon_sym_LT,
    ACTIONS(3041), 1,
      anon_sym_LT_SLASH,
    STATE(1689), 1,
      sym_jsx_opening_element,
    ACTIONS(3032), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1697), 2,
      sym_comment,
      aux_sym_jsx_element_repeat1,
    STATE(1820), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [85334] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3053), 1,
      anon_sym_SLASH_GT,
    STATE(1698), 1,
      sym_comment,
    STATE(1715), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85373] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3055), 1,
      anon_sym_SLASH_GT,
    STATE(1699), 1,
      sym_comment,
    STATE(1726), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85412] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3057), 1,
      anon_sym_SLASH_GT,
    STATE(1700), 1,
      sym_comment,
    STATE(1731), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85451] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3059), 1,
      anon_sym_SLASH_GT,
    STATE(1701), 1,
      sym_comment,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85490] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3053), 1,
      anon_sym_SLASH_GT,
    STATE(1702), 1,
      sym_comment,
    STATE(1714), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85526] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3059), 1,
      anon_sym_SLASH_GT,
    STATE(1703), 1,
      sym_comment,
    STATE(1724), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85562] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3055), 1,
      anon_sym_SLASH_GT,
    STATE(1704), 1,
      sym_comment,
    STATE(1723), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85598] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3059), 1,
      anon_sym_SLASH_GT,
    STATE(1705), 1,
      sym_comment,
    STATE(1710), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85634] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3053), 1,
      anon_sym_SLASH_GT,
    STATE(1706), 1,
      sym_comment,
    STATE(1717), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85670] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3057), 1,
      anon_sym_SLASH_GT,
    STATE(1707), 1,
      sym_comment,
    STATE(1732), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85706] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3057), 1,
      anon_sym_SLASH_GT,
    STATE(1708), 1,
      sym_comment,
    STATE(1730), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85742] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3055), 1,
      anon_sym_SLASH_GT,
    STATE(1709), 1,
      sym_comment,
    STATE(1727), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85778] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3061), 1,
      anon_sym_GT,
    ACTIONS(3063), 1,
      anon_sym_SLASH_GT,
    STATE(1710), 1,
      sym_comment,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85811] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3065), 1,
      anon_sym_LBRACE,
    ACTIONS(3067), 1,
      anon_sym_LT,
    ACTIONS(3069), 1,
      anon_sym_DQUOTE,
    ACTIONS(3071), 1,
      anon_sym_SQUOTE,
    STATE(1695), 1,
      sym_jsx_opening_element,
    STATE(1711), 1,
      sym_comment,
    STATE(1872), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [85842] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3073), 1,
      anon_sym_GT,
    ACTIONS(3075), 1,
      anon_sym_SLASH_GT,
    STATE(1712), 1,
      sym_comment,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85875] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3057), 1,
      anon_sym_SLASH_GT,
    STATE(1713), 1,
      sym_comment,
    STATE(1729), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85908] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3077), 1,
      anon_sym_GT,
    ACTIONS(3079), 1,
      anon_sym_SLASH_GT,
    STATE(1714), 1,
      sym_comment,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85941] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3081), 1,
      anon_sym_GT,
    ACTIONS(3083), 1,
      anon_sym_SLASH_GT,
    STATE(1715), 1,
      sym_comment,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85974] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3055), 1,
      anon_sym_SLASH_GT,
    STATE(1716), 1,
      sym_comment,
    STATE(1728), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86007] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3061), 1,
      anon_sym_GT,
    ACTIONS(3085), 1,
      anon_sym_SLASH_GT,
    STATE(1717), 1,
      sym_comment,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86040] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3059), 1,
      anon_sym_SLASH_GT,
    STATE(1718), 1,
      sym_comment,
    STATE(1725), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86073] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3053), 1,
      anon_sym_SLASH_GT,
    STATE(1712), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1719), 1,
      sym_comment,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86106] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3065), 1,
      anon_sym_LBRACE,
    ACTIONS(3067), 1,
      anon_sym_LT,
    ACTIONS(3069), 1,
      anon_sym_DQUOTE,
    ACTIONS(3071), 1,
      anon_sym_SQUOTE,
    STATE(1695), 1,
      sym_jsx_opening_element,
    STATE(1720), 1,
      sym_comment,
    STATE(1868), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [86137] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3090), 1,
      anon_sym_LBRACE,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3087), 2,
      sym_jsx_identifier,
      sym_identifier,
    ACTIONS(3093), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(1721), 2,
      sym_comment,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86166] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3081), 1,
      anon_sym_GT,
    ACTIONS(3095), 1,
      anon_sym_SLASH_GT,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1722), 1,
      sym_comment,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86199] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3061), 1,
      anon_sym_GT,
    ACTIONS(3097), 1,
      anon_sym_SLASH_GT,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1723), 1,
      sym_comment,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86232] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3077), 1,
      anon_sym_GT,
    ACTIONS(3099), 1,
      anon_sym_SLASH_GT,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1724), 1,
      sym_comment,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86265] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3073), 1,
      anon_sym_GT,
    ACTIONS(3101), 1,
      anon_sym_SLASH_GT,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1725), 1,
      sym_comment,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86298] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3081), 1,
      anon_sym_GT,
    ACTIONS(3103), 1,
      anon_sym_SLASH_GT,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1726), 1,
      sym_comment,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86331] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3077), 1,
      anon_sym_GT,
    ACTIONS(3105), 1,
      anon_sym_SLASH_GT,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1727), 1,
      sym_comment,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86364] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3073), 1,
      anon_sym_GT,
    ACTIONS(3107), 1,
      anon_sym_SLASH_GT,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1728), 1,
      sym_comment,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86397] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3073), 1,
      anon_sym_GT,
    ACTIONS(3109), 1,
      anon_sym_SLASH_GT,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1729), 1,
      sym_comment,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86430] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3077), 1,
      anon_sym_GT,
    ACTIONS(3111), 1,
      anon_sym_SLASH_GT,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1730), 1,
      sym_comment,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86463] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3081), 1,
      anon_sym_GT,
    ACTIONS(3113), 1,
      anon_sym_SLASH_GT,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1731), 1,
      sym_comment,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86496] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3061), 1,
      anon_sym_GT,
    ACTIONS(3115), 1,
      anon_sym_SLASH_GT,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1732), 1,
      sym_comment,
    STATE(1831), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1845), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86529] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3117), 1,
      sym_identifier,
    ACTIONS(3119), 1,
      anon_sym_COMMA,
    ACTIONS(3121), 1,
      anon_sym_RBRACE,
    STATE(1733), 1,
      sym_comment,
    STATE(1972), 1,
      sym_string,
    STATE(2046), 1,
      sym_export_specifier,
    STATE(2121), 1,
      sym__module_export_name,
  [86563] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3123), 1,
      sym_identifier,
    ACTIONS(3125), 1,
      anon_sym_COMMA,
    ACTIONS(3127), 1,
      anon_sym_RBRACE,
    STATE(1734), 1,
      sym_comment,
    STATE(1972), 1,
      sym_string,
    STATE(2099), 1,
      sym_import_specifier,
    STATE(2786), 1,
      sym__module_export_name,
  [86597] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1243), 1,
      anon_sym_RBRACE,
    ACTIONS(3129), 1,
      anon_sym_COMMA,
    ACTIONS(3131), 1,
      anon_sym_EQ,
    STATE(1735), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86626] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(3133), 1,
      sym_identifier,
    STATE(1736), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(2042), 1,
      sym_variable_declarator,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86655] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1737), 1,
      sym_comment,
    ACTIONS(3135), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [86674] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3139), 1,
      anon_sym_EQ,
    STATE(1738), 1,
      sym_comment,
    ACTIONS(3137), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [86697] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3129), 1,
      anon_sym_COMMA,
    ACTIONS(3131), 1,
      anon_sym_EQ,
    ACTIONS(3141), 1,
      anon_sym_RBRACE,
    STATE(1739), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86726] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(3133), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(2139), 1,
      sym_variable_declarator,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86755] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3129), 1,
      anon_sym_COMMA,
    ACTIONS(3131), 1,
      anon_sym_EQ,
    ACTIONS(3143), 1,
      anon_sym_RBRACE,
    STATE(1741), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86784] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1742), 1,
      sym_comment,
    ACTIONS(3145), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [86803] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3123), 1,
      sym_identifier,
    ACTIONS(3147), 1,
      anon_sym_RBRACE,
    STATE(1743), 1,
      sym_comment,
    STATE(1972), 1,
      sym_string,
    STATE(2246), 1,
      sym_import_specifier,
    STATE(2786), 1,
      sym__module_export_name,
  [86834] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(3133), 1,
      sym_identifier,
    STATE(1744), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1990), 1,
      sym_variable_declarator,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86863] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(3133), 1,
      sym_identifier,
    STATE(1745), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1991), 1,
      sym_variable_declarator,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86892] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1746), 1,
      sym_comment,
    ACTIONS(3149), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [86911] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_comment,
    STATE(1758), 1,
      sym__destructuring_pattern,
    STATE(1985), 1,
      sym_variable_declarator,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86940] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_RBRACE,
    ACTIONS(3129), 1,
      anon_sym_COMMA,
    ACTIONS(3131), 1,
      anon_sym_EQ,
    STATE(1748), 1,
      sym_comment,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2118), 1,
      aux_sym_object_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86969] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3117), 1,
      sym_identifier,
    ACTIONS(3153), 1,
      anon_sym_RBRACE,
    STATE(1749), 1,
      sym_comment,
    STATE(1972), 1,
      sym_string,
    STATE(2121), 1,
      sym__module_export_name,
    STATE(2227), 1,
      sym_export_specifier,
  [87000] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3129), 1,
      anon_sym_COMMA,
    ACTIONS(3131), 1,
      anon_sym_EQ,
    ACTIONS(3155), 1,
      anon_sym_RBRACE,
    STATE(1750), 1,
      sym_comment,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2118), 1,
      aux_sym_object_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [87029] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1751), 1,
      sym_comment,
    ACTIONS(3157), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [87048] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(3159), 1,
      sym_identifier,
    STATE(1752), 1,
      sym_comment,
    STATE(1759), 1,
      sym__destructuring_pattern,
    STATE(1984), 1,
      sym_variable_declarator,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87077] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3161), 1,
      sym__automatic_semicolon,
    STATE(1753), 1,
      sym_comment,
    ACTIONS(882), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [87098] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(3133), 1,
      sym_identifier,
    STATE(1754), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1974), 1,
      sym_variable_declarator,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87127] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1755), 1,
      sym_comment,
    ACTIONS(3163), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [87146] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3117), 1,
      sym_identifier,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    STATE(1756), 1,
      sym_comment,
    STATE(1972), 1,
      sym_string,
    STATE(2121), 1,
      sym__module_export_name,
    STATE(2227), 1,
      sym_export_specifier,
  [87177] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(3133), 1,
      sym_identifier,
    STATE(1757), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(2043), 1,
      sym_variable_declarator,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87206] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3171), 1,
      anon_sym_EQ,
    STATE(1758), 1,
      sym_comment,
    STATE(2081), 1,
      sym__initializer,
    ACTIONS(3169), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(3167), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [87231] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3173), 1,
      anon_sym_EQ,
    STATE(1759), 1,
      sym_comment,
    STATE(1852), 1,
      sym__initializer,
    ACTIONS(3169), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(3167), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [87256] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3129), 1,
      anon_sym_COMMA,
    ACTIONS(3131), 1,
      anon_sym_EQ,
    ACTIONS(3175), 1,
      anon_sym_RBRACE,
    STATE(1760), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [87285] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(3133), 1,
      sym_identifier,
    STATE(1761), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1929), 1,
      sym_variable_declarator,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87314] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2302), 1,
      sym__automatic_semicolon,
    STATE(1762), 1,
      sym_comment,
    ACTIONS(902), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [87335] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(3133), 1,
      sym_identifier,
    STATE(1763), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1973), 1,
      sym_variable_declarator,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87364] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(3133), 1,
      sym_identifier,
    STATE(1764), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1930), 1,
      sym_variable_declarator,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87393] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3123), 1,
      sym_identifier,
    ACTIONS(3177), 1,
      anon_sym_RBRACE,
    STATE(1765), 1,
      sym_comment,
    STATE(1972), 1,
      sym_string,
    STATE(2246), 1,
      sym_import_specifier,
    STATE(2786), 1,
      sym__module_export_name,
  [87424] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1213), 1,
      anon_sym_RBRACE,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3129), 1,
      anon_sym_COMMA,
    ACTIONS(3131), 1,
      anon_sym_EQ,
    STATE(1766), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_object_repeat1,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [87453] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1767), 1,
      sym_comment,
    ACTIONS(3179), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [87472] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(3133), 1,
      sym_identifier,
    STATE(1768), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1950), 1,
      sym_variable_declarator,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87501] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_LBRACK,
    ACTIONS(3133), 1,
      sym_identifier,
    STATE(1769), 1,
      sym_comment,
    STATE(1874), 1,
      sym__destructuring_pattern,
    STATE(1923), 1,
      sym_variable_declarator,
    STATE(1805), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87530] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1770), 1,
      sym_comment,
    ACTIONS(2107), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87548] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(3181), 1,
      sym_identifier,
    ACTIONS(3183), 1,
      anon_sym_LBRACK,
    STATE(1771), 1,
      sym_comment,
    STATE(2751), 1,
      sym__destructuring_pattern,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87574] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1772), 1,
      sym_comment,
    ACTIONS(2107), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87592] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1773), 1,
      sym_comment,
    ACTIONS(2021), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [87610] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1774), 1,
      sym_comment,
    ACTIONS(2139), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87628] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1775), 1,
      sym_comment,
    ACTIONS(3185), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87646] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1776), 1,
      sym_comment,
    ACTIONS(3145), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [87664] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1777), 1,
      sym_comment,
    ACTIONS(882), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [87682] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1778), 1,
      sym_comment,
    ACTIONS(3187), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87700] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    STATE(1779), 1,
      sym_comment,
    STATE(1785), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(3189), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [87722] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_BQUOTE,
    ACTIONS(3195), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1780), 1,
      sym_comment,
    STATE(1823), 1,
      aux_sym_template_string_repeat1,
    STATE(1940), 1,
      sym_template_substitution,
    ACTIONS(3191), 2,
      sym__template_chars,
      sym_escape_sequence,
  [87748] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3197), 1,
      anon_sym_BQUOTE,
    STATE(1781), 1,
      sym_comment,
    STATE(1830), 1,
      aux_sym_template_string_repeat1,
    STATE(1940), 1,
      sym_template_substitution,
    ACTIONS(3191), 2,
      sym__template_chars,
      sym_escape_sequence,
  [87774] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_DOT,
    STATE(1782), 1,
      sym_comment,
    STATE(2092), 1,
      sym_arguments,
    ACTIONS(3199), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [87798] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3205), 1,
      anon_sym_catch,
    ACTIONS(3207), 1,
      anon_sym_finally,
    STATE(1783), 1,
      sym_comment,
    STATE(1942), 1,
      sym_catch_clause,
    STATE(2714), 1,
      sym_finally_clause,
    ACTIONS(1446), 2,
      anon_sym_else,
      anon_sym_while,
  [87824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1784), 1,
      sym_comment,
    ACTIONS(3135), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [87842] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3209), 1,
      anon_sym_COMMA,
    STATE(1785), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2051), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [87862] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1786), 1,
      sym_comment,
    ACTIONS(2107), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87880] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1787), 1,
      sym_comment,
    ACTIONS(2107), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87898] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3171), 1,
      anon_sym_EQ,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(1788), 1,
      sym_comment,
    STATE(2273), 1,
      sym__initializer,
    STATE(2434), 1,
      sym_formal_parameters,
    ACTIONS(3214), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87924] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(3183), 1,
      anon_sym_LBRACK,
    ACTIONS(3216), 1,
      sym_identifier,
    STATE(1789), 1,
      sym_comment,
    STATE(2791), 1,
      sym__destructuring_pattern,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87950] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3171), 1,
      anon_sym_EQ,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(1790), 1,
      sym_comment,
    STATE(2272), 1,
      sym__initializer,
    STATE(2437), 1,
      sym_formal_parameters,
    ACTIONS(3218), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87976] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1791), 1,
      sym_comment,
    ACTIONS(1969), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87994] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1792), 1,
      sym_comment,
    ACTIONS(1965), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88012] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1793), 1,
      sym_comment,
    ACTIONS(3220), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88030] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1794), 1,
      sym_comment,
    ACTIONS(2103), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88048] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1795), 1,
      sym_comment,
    ACTIONS(3220), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88066] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1796), 1,
      sym_comment,
    ACTIONS(3220), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88084] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1797), 1,
      sym_comment,
    ACTIONS(2161), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88102] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(3222), 1,
      sym_optional_chain,
    STATE(1798), 1,
      sym_comment,
    STATE(1104), 2,
      sym_template_string,
      sym_arguments,
  [88128] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1799), 1,
      sym_comment,
    ACTIONS(3224), 6,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88146] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3226), 1,
      anon_sym_default,
    ACTIONS(3229), 1,
      anon_sym_RBRACE,
    ACTIONS(3231), 1,
      anon_sym_case,
    STATE(1800), 2,
      sym_comment,
      aux_sym_switch_body_repeat1,
    STATE(2148), 2,
      sym_switch_case,
      sym_switch_default,
  [88170] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1801), 1,
      sym_comment,
    ACTIONS(3220), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88188] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1802), 1,
      sym_comment,
    ACTIONS(3234), 6,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88206] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(3183), 1,
      anon_sym_LBRACK,
    ACTIONS(3236), 1,
      sym_identifier,
    STATE(1803), 1,
      sym_comment,
    STATE(2764), 1,
      sym__destructuring_pattern,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
  [88232] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(3183), 1,
      anon_sym_LBRACK,
    ACTIONS(3238), 1,
      sym_identifier,
    STATE(1804), 1,
      sym_comment,
    STATE(2856), 1,
      sym__destructuring_pattern,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
  [88258] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1805), 1,
      sym_comment,
    ACTIONS(3149), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88276] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1806), 1,
      sym_comment,
    ACTIONS(3240), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88294] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3171), 1,
      anon_sym_EQ,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(1807), 1,
      sym_comment,
    STATE(2395), 1,
      sym_formal_parameters,
    STATE(2514), 1,
      sym__initializer,
    ACTIONS(3242), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88320] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3117), 1,
      sym_identifier,
    STATE(1808), 1,
      sym_comment,
    STATE(1972), 1,
      sym_string,
    STATE(2121), 1,
      sym__module_export_name,
    STATE(2227), 1,
      sym_export_specifier,
  [88348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1809), 1,
      sym_comment,
    ACTIONS(3179), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88366] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(3183), 1,
      anon_sym_LBRACK,
    ACTIONS(3244), 1,
      sym_identifier,
    STATE(1810), 1,
      sym_comment,
    STATE(2255), 1,
      sym__destructuring_pattern,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
  [88392] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(3183), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_identifier,
    STATE(1811), 1,
      sym_comment,
    STATE(1933), 1,
      sym__destructuring_pattern,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
  [88418] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3248), 1,
      anon_sym_default,
    ACTIONS(3250), 1,
      anon_sym_RBRACE,
    ACTIONS(3252), 1,
      anon_sym_case,
    STATE(1800), 1,
      aux_sym_switch_body_repeat1,
    STATE(1812), 1,
      sym_comment,
    STATE(2148), 2,
      sym_switch_case,
      sym_switch_default,
  [88444] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1812), 1,
      anon_sym_LBRACE,
    ACTIONS(3183), 1,
      anon_sym_LBRACK,
    ACTIONS(3254), 1,
      sym_identifier,
    STATE(1813), 1,
      sym_comment,
    STATE(2807), 1,
      sym__destructuring_pattern,
    STATE(1746), 2,
      sym_object_pattern,
      sym_array_pattern,
  [88470] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3248), 1,
      anon_sym_default,
    ACTIONS(3252), 1,
      anon_sym_case,
    ACTIONS(3256), 1,
      anon_sym_RBRACE,
    STATE(1814), 1,
      sym_comment,
    STATE(1817), 1,
      aux_sym_switch_body_repeat1,
    STATE(2148), 2,
      sym_switch_case,
      sym_switch_default,
  [88496] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1815), 1,
      sym_comment,
    ACTIONS(2331), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1816), 1,
      sym_comment,
    ACTIONS(3157), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88532] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3248), 1,
      anon_sym_default,
    ACTIONS(3252), 1,
      anon_sym_case,
    ACTIONS(3258), 1,
      anon_sym_RBRACE,
    STATE(1800), 1,
      aux_sym_switch_body_repeat1,
    STATE(1817), 1,
      sym_comment,
    STATE(2148), 2,
      sym_switch_case,
      sym_switch_default,
  [88558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1818), 1,
      sym_comment,
    ACTIONS(876), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [88576] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1819), 1,
      sym_comment,
    ACTIONS(3260), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88594] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1820), 1,
      sym_comment,
    ACTIONS(3262), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88612] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3248), 1,
      anon_sym_default,
    ACTIONS(3252), 1,
      anon_sym_case,
    ACTIONS(3264), 1,
      anon_sym_RBRACE,
    STATE(1800), 1,
      aux_sym_switch_body_repeat1,
    STATE(1821), 1,
      sym_comment,
    STATE(2148), 2,
      sym_switch_case,
      sym_switch_default,
  [88638] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3248), 1,
      anon_sym_default,
    ACTIONS(3252), 1,
      anon_sym_case,
    ACTIONS(3266), 1,
      anon_sym_RBRACE,
    STATE(1822), 1,
      sym_comment,
    STATE(1828), 1,
      aux_sym_switch_body_repeat1,
    STATE(2148), 2,
      sym_switch_case,
      sym_switch_default,
  [88664] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3271), 1,
      anon_sym_BQUOTE,
    ACTIONS(3273), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1940), 1,
      sym_template_substitution,
    ACTIONS(3268), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1823), 2,
      sym_comment,
      aux_sym_template_string_repeat1,
  [88688] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3248), 1,
      anon_sym_default,
    ACTIONS(3252), 1,
      anon_sym_case,
    ACTIONS(3276), 1,
      anon_sym_RBRACE,
    STATE(1800), 1,
      aux_sym_switch_body_repeat1,
    STATE(1824), 1,
      sym_comment,
    STATE(2148), 2,
      sym_switch_case,
      sym_switch_default,
  [88714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1825), 1,
      sym_comment,
    ACTIONS(2340), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88732] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1826), 1,
      sym_comment,
    ACTIONS(2366), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88750] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3171), 1,
      anon_sym_EQ,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(1827), 1,
      sym_comment,
    STATE(2241), 1,
      sym__initializer,
    STATE(2508), 1,
      sym_formal_parameters,
    ACTIONS(3278), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88776] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3248), 1,
      anon_sym_default,
    ACTIONS(3252), 1,
      anon_sym_case,
    ACTIONS(3280), 1,
      anon_sym_RBRACE,
    STATE(1800), 1,
      aux_sym_switch_body_repeat1,
    STATE(1828), 1,
      sym_comment,
    STATE(2148), 2,
      sym_switch_case,
      sym_switch_default,
  [88802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1829), 1,
      sym_comment,
    ACTIONS(3163), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88820] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3282), 1,
      anon_sym_BQUOTE,
    STATE(1823), 1,
      aux_sym_template_string_repeat1,
    STATE(1830), 1,
      sym_comment,
    STATE(1940), 1,
      sym_template_substitution,
    ACTIONS(3191), 2,
      sym__template_chars,
      sym_escape_sequence,
  [88846] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3286), 1,
      anon_sym_EQ,
    STATE(1831), 1,
      sym_comment,
    ACTIONS(3284), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88866] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3248), 1,
      anon_sym_default,
    ACTIONS(3252), 1,
      anon_sym_case,
    ACTIONS(3288), 1,
      anon_sym_RBRACE,
    STATE(1812), 1,
      aux_sym_switch_body_repeat1,
    STATE(1832), 1,
      sym_comment,
    STATE(2148), 2,
      sym_switch_case,
      sym_switch_default,
  [88892] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1833), 1,
      sym_comment,
    ACTIONS(3290), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88910] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3123), 1,
      sym_identifier,
    STATE(1834), 1,
      sym_comment,
    STATE(1972), 1,
      sym_string,
    STATE(2246), 1,
      sym_import_specifier,
    STATE(2786), 1,
      sym__module_export_name,
  [88938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1835), 1,
      sym_comment,
    ACTIONS(2185), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [88956] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3292), 1,
      anon_sym_BQUOTE,
    STATE(1780), 1,
      aux_sym_template_string_repeat1,
    STATE(1836), 1,
      sym_comment,
    STATE(1940), 1,
      sym_template_substitution,
    ACTIONS(3191), 2,
      sym__template_chars,
      sym_escape_sequence,
  [88982] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3248), 1,
      anon_sym_default,
    ACTIONS(3252), 1,
      anon_sym_case,
    ACTIONS(3294), 1,
      anon_sym_RBRACE,
    STATE(1821), 1,
      aux_sym_switch_body_repeat1,
    STATE(1837), 1,
      sym_comment,
    STATE(2148), 2,
      sym_switch_case,
      sym_switch_default,
  [89008] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3248), 1,
      anon_sym_default,
    ACTIONS(3252), 1,
      anon_sym_case,
    ACTIONS(3296), 1,
      anon_sym_RBRACE,
    STATE(1824), 1,
      aux_sym_switch_body_repeat1,
    STATE(1838), 1,
      sym_comment,
    STATE(2148), 2,
      sym_switch_case,
      sym_switch_default,
  [89034] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2035), 1,
      anon_sym_LPAREN,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2045), 1,
      anon_sym_BQUOTE,
    ACTIONS(3298), 1,
      sym_optional_chain,
    STATE(1839), 1,
      sym_comment,
    STATE(1312), 2,
      sym_template_string,
      sym_arguments,
  [89060] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1840), 1,
      sym_comment,
    ACTIONS(3300), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89077] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3302), 1,
      sym_identifier,
    ACTIONS(3304), 1,
      anon_sym_LBRACE,
    ACTIONS(3306), 1,
      anon_sym_extends,
    STATE(1352), 1,
      sym_class_body,
    STATE(1841), 1,
      sym_comment,
    STATE(2353), 1,
      sym_class_heritage,
  [89102] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2809), 1,
      anon_sym_COLON,
    ACTIONS(3131), 1,
      anon_sym_EQ,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    ACTIONS(3310), 1,
      anon_sym_RBRACE,
    STATE(1842), 1,
      sym_comment,
    STATE(2117), 1,
      aux_sym_object_pattern_repeat1,
  [89127] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3312), 1,
      anon_sym_export,
    ACTIONS(3314), 1,
      anon_sym_class,
    STATE(1843), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(2054), 1,
      sym_decorator,
  [89152] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3306), 1,
      anon_sym_extends,
    ACTIONS(3316), 1,
      sym_identifier,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    STATE(1112), 1,
      sym_class_body,
    STATE(1844), 1,
      sym_comment,
    STATE(2447), 1,
      sym_class_heritage,
  [89177] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1845), 1,
      sym_comment,
    ACTIONS(3320), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89194] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3322), 1,
      sym_identifier,
    ACTIONS(3324), 1,
      anon_sym_GT,
    ACTIONS(3326), 1,
      sym_jsx_identifier,
    STATE(1846), 1,
      sym_comment,
    STATE(2459), 1,
      sym_nested_identifier,
    STATE(2815), 1,
      sym_jsx_namespace_name,
  [89219] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3328), 1,
      sym_identifier,
    ACTIONS(3330), 1,
      anon_sym_LPAREN,
    ACTIONS(3332), 1,
      anon_sym_LBRACK,
    ACTIONS(3334), 1,
      sym_private_property_identifier,
    STATE(1150), 1,
      sym_arguments,
    STATE(1847), 1,
      sym_comment,
  [89244] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3304), 1,
      anon_sym_LBRACE,
    ACTIONS(3306), 1,
      anon_sym_extends,
    ACTIONS(3336), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_class_body,
    STATE(1848), 1,
      sym_comment,
    STATE(2625), 1,
      sym_class_heritage,
  [89269] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3338), 1,
      sym_identifier,
    ACTIONS(3340), 1,
      anon_sym_GT,
    ACTIONS(3342), 1,
      sym_jsx_identifier,
    STATE(1708), 1,
      sym_nested_identifier,
    STATE(1713), 1,
      sym_jsx_namespace_name,
    STATE(1849), 1,
      sym_comment,
  [89294] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1850), 1,
      sym_comment,
    ACTIONS(3185), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89311] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2809), 1,
      anon_sym_COLON,
    ACTIONS(3131), 1,
      anon_sym_EQ,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    ACTIONS(3344), 1,
      anon_sym_RBRACE,
    STATE(1851), 1,
      sym_comment,
    STATE(2076), 1,
      aux_sym_object_pattern_repeat1,
  [89336] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3348), 1,
      anon_sym_in,
    ACTIONS(3350), 1,
      anon_sym_of,
    STATE(1852), 1,
      sym_comment,
    ACTIONS(3346), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [89357] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3131), 1,
      anon_sym_EQ,
    STATE(1853), 1,
      sym_comment,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(3352), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [89378] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3304), 1,
      anon_sym_LBRACE,
    ACTIONS(3306), 1,
      anon_sym_extends,
    ACTIONS(3355), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_class_body,
    STATE(1854), 1,
      sym_comment,
    STATE(2625), 1,
      sym_class_heritage,
  [89403] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3304), 1,
      anon_sym_LBRACE,
    ACTIONS(3306), 1,
      anon_sym_extends,
    ACTIONS(3357), 1,
      sym_identifier,
    STATE(1352), 1,
      sym_class_body,
    STATE(1855), 1,
      sym_comment,
    STATE(2353), 1,
      sym_class_heritage,
  [89428] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1856), 1,
      sym_comment,
    ACTIONS(3359), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89445] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3117), 1,
      sym_identifier,
    STATE(1857), 1,
      sym_comment,
    STATE(1972), 1,
      sym_string,
    STATE(2833), 1,
      sym__module_export_name,
  [89470] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3361), 1,
      anon_sym_export,
    ACTIONS(3363), 1,
      anon_sym_class,
    STATE(1858), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(2054), 1,
      sym_decorator,
  [89495] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3304), 1,
      anon_sym_LBRACE,
    ACTIONS(3306), 1,
      anon_sym_extends,
    ACTIONS(3365), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_class_body,
    STATE(1859), 1,
      sym_comment,
    STATE(2625), 1,
      sym_class_heritage,
  [89520] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3369), 1,
      anon_sym_AT,
    STATE(2054), 1,
      sym_decorator,
    ACTIONS(3367), 2,
      anon_sym_export,
      anon_sym_class,
    STATE(1860), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
  [89541] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3304), 1,
      anon_sym_LBRACE,
    ACTIONS(3306), 1,
      anon_sym_extends,
    ACTIONS(3372), 1,
      sym_identifier,
    STATE(1352), 1,
      sym_class_body,
    STATE(1861), 1,
      sym_comment,
    STATE(2353), 1,
      sym_class_heritage,
  [89566] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3374), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_GT,
    ACTIONS(3378), 1,
      sym_jsx_identifier,
    STATE(1862), 1,
      sym_comment,
    STATE(2388), 1,
      sym_nested_identifier,
    STATE(2831), 1,
      sym_jsx_namespace_name,
  [89591] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3380), 1,
      sym_identifier,
    ACTIONS(3382), 1,
      anon_sym_GT,
    ACTIONS(3384), 1,
      sym_jsx_identifier,
    STATE(1863), 1,
      sym_comment,
    STATE(2435), 1,
      sym_nested_identifier,
    STATE(2817), 1,
      sym_jsx_namespace_name,
  [89616] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3304), 1,
      anon_sym_LBRACE,
    ACTIONS(3306), 1,
      anon_sym_extends,
    ACTIONS(3386), 1,
      sym_identifier,
    STATE(1352), 1,
      sym_class_body,
    STATE(1864), 1,
      sym_comment,
    STATE(2353), 1,
      sym_class_heritage,
  [89641] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3117), 1,
      sym_identifier,
    STATE(1865), 1,
      sym_comment,
    STATE(1972), 1,
      sym_string,
    STATE(2223), 1,
      sym__module_export_name,
  [89666] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1866), 1,
      sym_comment,
    ACTIONS(2103), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89683] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3388), 1,
      sym_identifier,
    ACTIONS(3390), 1,
      anon_sym_GT,
    ACTIONS(3392), 1,
      sym_jsx_identifier,
    STATE(1867), 1,
      sym_comment,
    STATE(2316), 1,
      sym_nested_identifier,
    STATE(2843), 1,
      sym_jsx_namespace_name,
  [89708] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1868), 1,
      sym_comment,
    ACTIONS(3394), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89725] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3396), 1,
      sym_identifier,
    ACTIONS(3398), 1,
      anon_sym_LPAREN,
    ACTIONS(3400), 1,
      anon_sym_LBRACK,
    ACTIONS(3402), 1,
      sym_private_property_identifier,
    STATE(1351), 1,
      sym_arguments,
    STATE(1869), 1,
      sym_comment,
  [89750] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3404), 1,
      anon_sym_export,
    ACTIONS(3406), 1,
      anon_sym_class,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(1870), 1,
      sym_comment,
    STATE(2054), 1,
      sym_decorator,
  [89775] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3304), 1,
      anon_sym_LBRACE,
    ACTIONS(3306), 1,
      anon_sym_extends,
    ACTIONS(3408), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_class_body,
    STATE(1871), 1,
      sym_comment,
    STATE(2625), 1,
      sym_class_heritage,
  [89800] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1872), 1,
      sym_comment,
    ACTIONS(3410), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89817] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3340), 1,
      anon_sym_GT,
    ACTIONS(3412), 1,
      sym_identifier,
    ACTIONS(3414), 1,
      sym_jsx_identifier,
    STATE(1703), 1,
      sym_nested_identifier,
    STATE(1718), 1,
      sym_jsx_namespace_name,
    STATE(1873), 1,
      sym_comment,
  [89842] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3171), 1,
      anon_sym_EQ,
    STATE(1874), 1,
      sym_comment,
    STATE(2081), 1,
      sym__initializer,
    ACTIONS(3167), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [89863] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3416), 1,
      anon_sym_EQ,
    STATE(1875), 1,
      sym_comment,
    ACTIONS(1848), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [89882] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_COMMA,
    ACTIONS(3421), 1,
      anon_sym_RBRACE,
    STATE(1876), 1,
      sym_comment,
    STATE(2146), 1,
      aux_sym_object_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [89905] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1877), 1,
      sym_comment,
    ACTIONS(3260), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1878), 1,
      sym_comment,
    ACTIONS(3423), 5,
      anon_sym_export,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_AT,
  [89939] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1879), 1,
      sym_comment,
    ACTIONS(2185), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [89956] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1880), 1,
      sym_comment,
    ACTIONS(2161), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89973] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1881), 1,
      sym_comment,
    ACTIONS(1965), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89990] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1882), 1,
      sym_comment,
    ACTIONS(1969), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [90007] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3304), 1,
      anon_sym_LBRACE,
    ACTIONS(3306), 1,
      anon_sym_extends,
    ACTIONS(3425), 1,
      sym_identifier,
    STATE(1352), 1,
      sym_class_body,
    STATE(1883), 1,
      sym_comment,
    STATE(2353), 1,
      sym_class_heritage,
  [90032] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3306), 1,
      anon_sym_extends,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(3427), 1,
      sym_identifier,
    STATE(1106), 1,
      sym_class_body,
    STATE(1884), 1,
      sym_comment,
    STATE(2540), 1,
      sym_class_heritage,
  [90057] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1885), 1,
      sym_comment,
    ACTIONS(2107), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [90074] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3429), 1,
      anon_sym_export,
    ACTIONS(3431), 1,
      anon_sym_class,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(1886), 1,
      sym_comment,
    STATE(2054), 1,
      sym_decorator,
  [90099] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1887), 1,
      sym_comment,
    ACTIONS(2107), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [90116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1888), 1,
      sym_comment,
    ACTIONS(2021), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [90133] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3304), 1,
      anon_sym_LBRACE,
    ACTIONS(3306), 1,
      anon_sym_extends,
    ACTIONS(3433), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_class_body,
    STATE(1889), 1,
      sym_comment,
    STATE(2625), 1,
      sym_class_heritage,
  [90158] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3340), 1,
      anon_sym_GT,
    ACTIONS(3435), 1,
      sym_identifier,
    ACTIONS(3437), 1,
      sym_jsx_identifier,
    STATE(1702), 1,
      sym_nested_identifier,
    STATE(1719), 1,
      sym_jsx_namespace_name,
    STATE(1890), 1,
      sym_comment,
  [90183] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1891), 1,
      sym_comment,
    ACTIONS(2107), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [90200] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1892), 1,
      sym_comment,
    ACTIONS(2107), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [90217] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3340), 1,
      anon_sym_GT,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3441), 1,
      sym_jsx_identifier,
    STATE(1709), 1,
      sym_nested_identifier,
    STATE(1716), 1,
      sym_jsx_namespace_name,
    STATE(1893), 1,
      sym_comment,
  [90242] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1894), 1,
      sym_comment,
    ACTIONS(2139), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [90259] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3443), 1,
      anon_sym_EQ,
    STATE(1895), 1,
      sym_comment,
    ACTIONS(1861), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [90278] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1896), 1,
      sym_comment,
    ACTIONS(1848), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [90295] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3304), 1,
      anon_sym_LBRACE,
    ACTIONS(3306), 1,
      anon_sym_extends,
    ACTIONS(3445), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_class_body,
    STATE(1897), 1,
      sym_comment,
    STATE(2625), 1,
      sym_class_heritage,
  [90320] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3447), 1,
      anon_sym_export,
    ACTIONS(3449), 1,
      anon_sym_class,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(1898), 1,
      sym_comment,
    STATE(2054), 1,
      sym_decorator,
  [90345] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3451), 1,
      anon_sym_EQ,
    STATE(1899), 1,
      sym_comment,
    ACTIONS(1848), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [90364] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3304), 1,
      anon_sym_LBRACE,
    ACTIONS(3306), 1,
      anon_sym_extends,
    ACTIONS(3454), 1,
      sym_identifier,
    STATE(1352), 1,
      sym_class_body,
    STATE(1900), 1,
      sym_comment,
    STATE(2353), 1,
      sym_class_heritage,
  [90389] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_LBRACE,
    ACTIONS(3458), 1,
      anon_sym_extends,
    STATE(1378), 1,
      sym_class_body,
    STATE(1901), 1,
      sym_comment,
    STATE(2374), 1,
      sym_class_heritage,
  [90411] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    STATE(1902), 1,
      sym_comment,
    STATE(2510), 1,
      sym__from_clause,
    ACTIONS(3462), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90431] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3464), 1,
      sym_identifier,
    ACTIONS(3466), 1,
      anon_sym_STAR,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    STATE(1903), 1,
      sym_comment,
    STATE(2425), 1,
      sym_formal_parameters,
  [90453] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3449), 1,
      anon_sym_class,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(1904), 1,
      sym_comment,
    STATE(2054), 1,
      sym_decorator,
  [90475] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3470), 1,
      anon_sym_SQUOTE,
    STATE(1905), 1,
      sym_comment,
    STATE(1944), 1,
      aux_sym_string_repeat2,
    ACTIONS(3472), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [90495] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3470), 1,
      anon_sym_DQUOTE,
    STATE(1906), 1,
      sym_comment,
    STATE(1937), 1,
      aux_sym_string_repeat1,
    ACTIONS(3474), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [90515] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3476), 1,
      anon_sym_class,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(1907), 1,
      sym_comment,
    STATE(2054), 1,
      sym_decorator,
  [90537] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3478), 1,
      sym_html_character_reference,
    ACTIONS(3481), 1,
      anon_sym_DQUOTE,
    ACTIONS(3483), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1908), 2,
      sym_comment,
      aux_sym__jsx_string_repeat1,
  [90557] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3486), 1,
      sym_identifier,
    ACTIONS(3488), 1,
      anon_sym_STAR,
    STATE(1909), 1,
      sym_comment,
    STATE(2618), 1,
      sym_formal_parameters,
  [90579] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3490), 1,
      anon_sym_COMMA,
    ACTIONS(3492), 1,
      anon_sym_EQ,
    ACTIONS(3494), 1,
      anon_sym_RBRACK,
    STATE(1910), 1,
      sym_comment,
    STATE(2063), 1,
      aux_sym_array_pattern_repeat1,
  [90601] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3496), 1,
      sym__glimmer_template_content,
    ACTIONS(3498), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1563), 1,
      sym_glimmer_closing_tag,
    STATE(1911), 1,
      sym_comment,
    STATE(2104), 1,
      aux_sym_glimmer_template_repeat1,
  [90623] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1912), 1,
      sym_comment,
    ACTIONS(3500), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [90639] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3496), 1,
      sym__glimmer_template_content,
    ACTIONS(3498), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1585), 1,
      sym_glimmer_closing_tag,
    STATE(1911), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(1913), 1,
      sym_comment,
  [90661] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    STATE(1914), 1,
      sym_comment,
    STATE(2287), 1,
      sym__from_clause,
    ACTIONS(3502), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90681] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3504), 1,
      sym_identifier,
    ACTIONS(3506), 1,
      anon_sym_STAR,
    STATE(1915), 1,
      sym_comment,
    STATE(2425), 1,
      sym_formal_parameters,
  [90703] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1916), 1,
      sym_comment,
    ACTIONS(2366), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [90719] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1917), 1,
      sym_comment,
    ACTIONS(2340), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [90735] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1918), 1,
      sym_comment,
    ACTIONS(1549), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(3508), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90753] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3510), 1,
      anon_sym_class,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(1919), 1,
      sym_comment,
    STATE(2054), 1,
      sym_decorator,
  [90775] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3512), 1,
      anon_sym_class,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(1920), 1,
      sym_comment,
    STATE(2054), 1,
      sym_decorator,
  [90797] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3492), 1,
      anon_sym_EQ,
    ACTIONS(3514), 1,
      anon_sym_COMMA,
    ACTIONS(3516), 1,
      anon_sym_RPAREN,
    STATE(1921), 1,
      sym_comment,
    STATE(2045), 1,
      aux_sym_formal_parameters_repeat1,
  [90819] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1922), 1,
      sym_comment,
    ACTIONS(2809), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [90835] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1923), 1,
      sym_comment,
    STATE(2016), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3520), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90855] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3522), 1,
      sym_identifier,
    ACTIONS(3524), 1,
      anon_sym_STAR,
    STATE(1924), 1,
      sym_comment,
    STATE(2618), 1,
      sym_formal_parameters,
  [90877] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3526), 1,
      anon_sym_with,
    STATE(1925), 1,
      sym_comment,
    STATE(2291), 1,
      sym_import_attribute,
    ACTIONS(3528), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90897] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3496), 1,
      sym__glimmer_template_content,
    ACTIONS(3530), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1105), 1,
      sym_glimmer_closing_tag,
    STATE(1926), 1,
      sym_comment,
    STATE(2104), 1,
      aux_sym_glimmer_template_repeat1,
  [90919] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3532), 1,
      anon_sym_DQUOTE,
    STATE(1927), 1,
      sym_comment,
    STATE(2030), 1,
      aux_sym_string_repeat1,
    ACTIONS(3474), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [90939] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3534), 1,
      sym_identifier,
    ACTIONS(3536), 1,
      anon_sym_STAR,
    STATE(1928), 1,
      sym_comment,
    STATE(2530), 1,
      sym_formal_parameters,
  [90961] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1929), 1,
      sym_comment,
    STATE(1962), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3538), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90981] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1930), 1,
      sym_comment,
    STATE(1965), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3540), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91001] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3532), 1,
      anon_sym_SQUOTE,
    STATE(1931), 1,
      sym_comment,
    STATE(2029), 1,
      aux_sym_string_repeat2,
    ACTIONS(3472), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [91021] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3542), 1,
      anon_sym_LBRACE,
    STATE(210), 1,
      sym_class_body,
    STATE(1932), 1,
      sym_comment,
    STATE(2432), 1,
      sym_class_heritage,
  [91043] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3544), 1,
      anon_sym_EQ,
    STATE(1933), 1,
      sym_comment,
    STATE(2490), 1,
      sym__initializer,
    ACTIONS(3169), 2,
      anon_sym_in,
      anon_sym_of,
  [91063] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3546), 1,
      anon_sym_LBRACE,
    STATE(1128), 1,
      sym_class_body,
    STATE(1934), 1,
      sym_comment,
    STATE(2270), 1,
      sym_class_heritage,
  [91085] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3548), 1,
      sym_identifier,
    ACTIONS(3550), 1,
      anon_sym_STAR,
    STATE(1935), 1,
      sym_comment,
    STATE(2425), 1,
      sym_formal_parameters,
  [91107] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1936), 1,
      sym_comment,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(3552), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [91125] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3554), 1,
      anon_sym_DQUOTE,
    STATE(1937), 1,
      sym_comment,
    STATE(2030), 1,
      aux_sym_string_repeat1,
    ACTIONS(3474), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [91145] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3556), 1,
      anon_sym_DQUOTE,
    STATE(1938), 1,
      sym_comment,
    STATE(2001), 1,
      aux_sym_string_repeat1,
    ACTIONS(3474), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [91165] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3556), 1,
      anon_sym_SQUOTE,
    STATE(1939), 1,
      sym_comment,
    STATE(2002), 1,
      aux_sym_string_repeat2,
    ACTIONS(3472), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [91185] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1940), 1,
      sym_comment,
    ACTIONS(3558), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [91201] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3560), 1,
      sym_html_character_reference,
    ACTIONS(3562), 1,
      anon_sym_DQUOTE,
    ACTIONS(3564), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1941), 1,
      sym_comment,
    STATE(2037), 1,
      aux_sym__jsx_string_repeat1,
  [91223] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3207), 1,
      anon_sym_finally,
    STATE(1942), 1,
      sym_comment,
    STATE(2397), 1,
      sym_finally_clause,
    ACTIONS(1491), 2,
      anon_sym_else,
      anon_sym_while,
  [91243] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3562), 1,
      anon_sym_SQUOTE,
    ACTIONS(3566), 1,
      sym_html_character_reference,
    ACTIONS(3568), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1943), 1,
      sym_comment,
    STATE(2025), 1,
      aux_sym__jsx_string_repeat2,
  [91265] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3554), 1,
      anon_sym_SQUOTE,
    STATE(1944), 1,
      sym_comment,
    STATE(2029), 1,
      aux_sym_string_repeat2,
    ACTIONS(3472), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [91285] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3570), 1,
      anon_sym_LBRACE,
    STATE(195), 1,
      sym_class_body,
    STATE(1945), 1,
      sym_comment,
    STATE(2307), 1,
      sym_class_heritage,
  [91307] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3572), 1,
      sym_identifier,
    ACTIONS(3574), 1,
      anon_sym_STAR,
    STATE(1946), 1,
      sym_comment,
    STATE(2425), 1,
      sym_formal_parameters,
  [91329] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1947), 1,
      sym_comment,
    ACTIONS(2497), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [91345] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3431), 1,
      anon_sym_class,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(1948), 1,
      sym_comment,
    STATE(2054), 1,
      sym_decorator,
  [91367] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1949), 1,
      sym_comment,
    ACTIONS(3576), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [91383] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1950), 1,
      sym_comment,
    STATE(2019), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3578), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91403] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3496), 1,
      sym__glimmer_template_content,
    ACTIONS(3530), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1184), 1,
      sym_glimmer_closing_tag,
    STATE(1926), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(1951), 1,
      sym_comment,
  [91425] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2259), 1,
      anon_sym_COMMA,
    STATE(1952), 1,
      sym_comment,
    STATE(1996), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(3189), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91445] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3580), 1,
      anon_sym_class,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(1953), 1,
      sym_comment,
    STATE(2054), 1,
      sym_decorator,
  [91467] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3496), 1,
      sym__glimmer_template_content,
    ACTIONS(3582), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1329), 1,
      sym_glimmer_closing_tag,
    STATE(1954), 1,
      sym_comment,
    STATE(2104), 1,
      aux_sym_glimmer_template_repeat1,
  [91489] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3584), 1,
      sym_identifier,
    ACTIONS(3586), 1,
      anon_sym_STAR,
    STATE(1955), 1,
      sym_comment,
    STATE(2618), 1,
      sym_formal_parameters,
  [91511] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3526), 1,
      anon_sym_with,
    STATE(1956), 1,
      sym_comment,
    STATE(2537), 1,
      sym_import_attribute,
    ACTIONS(3588), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91531] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3406), 1,
      anon_sym_class,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(1957), 1,
      sym_comment,
    STATE(2054), 1,
      sym_decorator,
  [91553] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    STATE(1958), 1,
      sym_comment,
    STATE(2511), 1,
      sym__from_clause,
    ACTIONS(3590), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91573] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3592), 1,
      anon_sym_LBRACE,
    STATE(635), 1,
      sym_class_body,
    STATE(1959), 1,
      sym_comment,
    STATE(2200), 1,
      sym_class_heritage,
  [91595] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1960), 1,
      sym_comment,
    ACTIONS(2331), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [91611] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3526), 1,
      anon_sym_with,
    ACTIONS(3594), 1,
      anon_sym_SEMI,
    ACTIONS(3596), 1,
      sym__automatic_semicolon,
    STATE(1961), 1,
      sym_comment,
    STATE(2323), 1,
      sym_import_attribute,
  [91633] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1962), 1,
      sym_comment,
    STATE(1966), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3598), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91653] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3314), 1,
      anon_sym_class,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(1963), 1,
      sym_comment,
    STATE(2054), 1,
      sym_decorator,
  [91675] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3600), 1,
      sym_html_character_reference,
    ACTIONS(3603), 1,
      anon_sym_SQUOTE,
    ACTIONS(3605), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1964), 2,
      sym_comment,
      aux_sym__jsx_string_repeat2,
  [91695] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1965), 1,
      sym_comment,
    STATE(1966), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3608), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91715] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3610), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1966), 2,
      sym_comment,
      aux_sym_variable_declaration_repeat1,
  [91733] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3570), 1,
      anon_sym_LBRACE,
    STATE(176), 1,
      sym_class_body,
    STATE(1967), 1,
      sym_comment,
    STATE(2330), 1,
      sym_class_heritage,
  [91755] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3615), 1,
      sym_identifier,
    ACTIONS(3617), 1,
      anon_sym_STAR,
    STATE(1968), 1,
      sym_comment,
    STATE(2425), 1,
      sym_formal_parameters,
  [91777] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3592), 1,
      anon_sym_LBRACE,
    STATE(537), 1,
      sym_class_body,
    STATE(1969), 1,
      sym_comment,
    STATE(2333), 1,
      sym_class_heritage,
  [91799] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3526), 1,
      anon_sym_with,
    STATE(1970), 1,
      sym_comment,
    STATE(2507), 1,
      sym_import_attribute,
    ACTIONS(3619), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91819] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2809), 1,
      anon_sym_COLON,
    ACTIONS(3131), 1,
      anon_sym_EQ,
    STATE(1971), 1,
      sym_comment,
    ACTIONS(3621), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [91839] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1972), 1,
      sym_comment,
    ACTIONS(3623), 4,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [91855] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1973), 1,
      sym_comment,
    STATE(2035), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3625), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91875] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1974), 1,
      sym_comment,
    STATE(2036), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3627), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91895] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3629), 1,
      anon_sym_DQUOTE,
    STATE(1975), 1,
      sym_comment,
    STATE(1989), 1,
      aux_sym_string_repeat1,
    ACTIONS(3474), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [91915] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3629), 1,
      anon_sym_SQUOTE,
    STATE(1976), 1,
      sym_comment,
    STATE(1992), 1,
      aux_sym_string_repeat2,
    ACTIONS(3472), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [91935] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3631), 1,
      anon_sym_LBRACE,
    STATE(729), 1,
      sym_class_body,
    STATE(1977), 1,
      sym_comment,
    STATE(2368), 1,
      sym_class_heritage,
  [91957] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3631), 1,
      anon_sym_LBRACE,
    STATE(717), 1,
      sym_class_body,
    STATE(1978), 1,
      sym_comment,
    STATE(2218), 1,
      sym_class_heritage,
  [91979] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    STATE(1979), 1,
      sym_comment,
    STATE(2409), 1,
      sym__from_clause,
    ACTIONS(3633), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91999] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3635), 1,
      anon_sym_class,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(1980), 1,
      sym_comment,
    STATE(2054), 1,
      sym_decorator,
  [92021] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3526), 1,
      anon_sym_with,
    STATE(1981), 1,
      sym_comment,
    STATE(2411), 1,
      sym_import_attribute,
    ACTIONS(3637), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92041] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3363), 1,
      anon_sym_class,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(1982), 1,
      sym_comment,
    STATE(2054), 1,
      sym_decorator,
  [92063] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3639), 1,
      anon_sym_EQ,
    STATE(1983), 1,
      sym_comment,
    ACTIONS(1861), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [92081] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1984), 1,
      sym_comment,
    STATE(2003), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3641), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92101] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1985), 1,
      sym_comment,
    STATE(2005), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3643), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92121] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3542), 1,
      anon_sym_LBRACE,
    STATE(207), 1,
      sym_class_body,
    STATE(1986), 1,
      sym_comment,
    STATE(2228), 1,
      sym_class_heritage,
  [92143] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1966), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1987), 1,
      sym_comment,
    ACTIONS(3645), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92163] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1966), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1988), 1,
      sym_comment,
    ACTIONS(3647), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92183] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3649), 1,
      anon_sym_DQUOTE,
    STATE(1989), 1,
      sym_comment,
    STATE(2030), 1,
      aux_sym_string_repeat1,
    ACTIONS(3474), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [92203] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1987), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1990), 1,
      sym_comment,
    ACTIONS(3651), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92223] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1988), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1991), 1,
      sym_comment,
    ACTIONS(3653), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92243] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3649), 1,
      anon_sym_SQUOTE,
    STATE(1992), 1,
      sym_comment,
    STATE(2029), 1,
      aux_sym_string_repeat2,
    ACTIONS(3472), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [92263] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1993), 1,
      sym_comment,
    ACTIONS(2502), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [92279] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3490), 1,
      anon_sym_COMMA,
    ACTIONS(3492), 1,
      anon_sym_EQ,
    ACTIONS(3655), 1,
      anon_sym_RBRACK,
    STATE(1994), 1,
      sym_comment,
    STATE(2052), 1,
      aux_sym_array_pattern_repeat1,
  [92301] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3657), 1,
      anon_sym_LBRACE,
    STATE(199), 1,
      sym_class_body,
    STATE(1995), 1,
      sym_comment,
    STATE(2427), 1,
      sym_class_heritage,
  [92323] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3659), 1,
      anon_sym_COMMA,
    ACTIONS(2051), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1996), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [92341] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3662), 1,
      anon_sym_LBRACE,
    STATE(556), 1,
      sym_class_body,
    STATE(1997), 1,
      sym_comment,
    STATE(2439), 1,
      sym_class_heritage,
  [92363] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3526), 1,
      anon_sym_with,
    ACTIONS(3664), 1,
      anon_sym_SEMI,
    ACTIONS(3666), 1,
      sym__automatic_semicolon,
    STATE(1998), 1,
      sym_comment,
    STATE(2442), 1,
      sym_import_attribute,
  [92385] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3668), 1,
      anon_sym_STAR,
    ACTIONS(3670), 1,
      anon_sym_LBRACE,
    STATE(1999), 1,
      sym_comment,
    STATE(2848), 2,
      sym_namespace_import,
      sym_named_imports,
  [92405] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3526), 1,
      anon_sym_with,
    ACTIONS(3672), 1,
      anon_sym_SEMI,
    ACTIONS(3674), 1,
      sym__automatic_semicolon,
    STATE(2000), 1,
      sym_comment,
    STATE(2303), 1,
      sym_import_attribute,
  [92427] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3676), 1,
      anon_sym_DQUOTE,
    STATE(2001), 1,
      sym_comment,
    STATE(2030), 1,
      aux_sym_string_repeat1,
    ACTIONS(3474), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [92447] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3676), 1,
      anon_sym_SQUOTE,
    STATE(2002), 1,
      sym_comment,
    STATE(2029), 1,
      aux_sym_string_repeat2,
    ACTIONS(3472), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [92467] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1966), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2003), 1,
      sym_comment,
    ACTIONS(3678), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92487] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_LBRACE,
    ACTIONS(3458), 1,
      anon_sym_extends,
    STATE(1297), 1,
      sym_class_body,
    STATE(2004), 1,
      sym_comment,
    STATE(2482), 1,
      sym_class_heritage,
  [92509] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1966), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2005), 1,
      sym_comment,
    ACTIONS(3680), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92529] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3682), 1,
      anon_sym_LBRACE,
    STATE(502), 1,
      sym_class_body,
    STATE(2006), 1,
      sym_comment,
    STATE(2545), 1,
      sym_class_heritage,
  [92551] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3684), 1,
      anon_sym_LBRACE,
    STATE(156), 1,
      sym_class_body,
    STATE(2007), 1,
      sym_comment,
    STATE(2542), 1,
      sym_class_heritage,
  [92573] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3686), 1,
      sym_identifier,
    ACTIONS(3688), 1,
      anon_sym_STAR,
    STATE(2008), 1,
      sym_comment,
    STATE(2618), 1,
      sym_formal_parameters,
  [92595] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3690), 1,
      anon_sym_DQUOTE,
    STATE(1927), 1,
      aux_sym_string_repeat1,
    STATE(2009), 1,
      sym_comment,
    ACTIONS(3474), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [92615] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3690), 1,
      anon_sym_SQUOTE,
    STATE(1931), 1,
      aux_sym_string_repeat2,
    STATE(2010), 1,
      sym_comment,
    ACTIONS(3472), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [92635] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    STATE(2011), 1,
      sym_comment,
    STATE(2103), 1,
      sym_class_body,
    STATE(2405), 1,
      sym_class_heritage,
  [92657] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3694), 1,
      sym_identifier,
    ACTIONS(3696), 1,
      anon_sym_STAR,
    STATE(2012), 1,
      sym_comment,
    STATE(2618), 1,
      sym_formal_parameters,
  [92679] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3698), 1,
      anon_sym_class,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(2013), 1,
      sym_comment,
    STATE(2054), 1,
      sym_decorator,
  [92701] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3657), 1,
      anon_sym_LBRACE,
    STATE(190), 1,
      sym_class_body,
    STATE(2014), 1,
      sym_comment,
    STATE(2449), 1,
      sym_class_heritage,
  [92723] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3662), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_class_body,
    STATE(2015), 1,
      sym_comment,
    STATE(2452), 1,
      sym_class_heritage,
  [92745] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1966), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2016), 1,
      sym_comment,
    ACTIONS(3700), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92765] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2017), 1,
      sym_comment,
    ACTIONS(1511), 4,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
  [92781] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3702), 1,
      anon_sym_class,
    STATE(1860), 1,
      aux_sym_export_statement_repeat1,
    STATE(2018), 1,
      sym_comment,
    STATE(2054), 1,
      sym_decorator,
  [92803] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1966), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2019), 1,
      sym_comment,
    ACTIONS(3704), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92823] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    STATE(2020), 1,
      sym_comment,
    STATE(2584), 1,
      sym__from_clause,
    ACTIONS(3706), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92843] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3708), 1,
      sym_identifier,
    ACTIONS(3710), 1,
      anon_sym_STAR,
    STATE(2021), 1,
      sym_comment,
    STATE(2425), 1,
      sym_formal_parameters,
  [92865] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_LBRACE,
    ACTIONS(3458), 1,
      anon_sym_extends,
    STATE(1385), 1,
      sym_class_body,
    STATE(2022), 1,
      sym_comment,
    STATE(2410), 1,
      sym_class_heritage,
  [92887] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1966), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2023), 1,
      sym_comment,
    ACTIONS(3712), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92907] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1966), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2024), 1,
      sym_comment,
    ACTIONS(3714), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92927] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3566), 1,
      sym_html_character_reference,
    ACTIONS(3568), 1,
      sym_unescaped_single_jsx_string_fragment,
    ACTIONS(3716), 1,
      anon_sym_SQUOTE,
    STATE(1964), 1,
      aux_sym__jsx_string_repeat2,
    STATE(2025), 1,
      sym_comment,
  [92949] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    STATE(2026), 1,
      sym_comment,
    STATE(2152), 1,
      sym_class_body,
    STATE(2443), 1,
      sym_class_heritage,
  [92971] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3526), 1,
      anon_sym_with,
    ACTIONS(3718), 1,
      anon_sym_SEMI,
    ACTIONS(3720), 1,
      sym__automatic_semicolon,
    STATE(2027), 1,
      sym_comment,
    STATE(2535), 1,
      sym_import_attribute,
  [92993] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3682), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_class_body,
    STATE(2028), 1,
      sym_comment,
    STATE(2532), 1,
      sym_class_heritage,
  [93015] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3722), 1,
      anon_sym_SQUOTE,
    ACTIONS(3724), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
    STATE(2029), 2,
      sym_comment,
      aux_sym_string_repeat2,
  [93033] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3727), 1,
      anon_sym_DQUOTE,
    ACTIONS(3729), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
    STATE(2030), 2,
      sym_comment,
      aux_sym_string_repeat1,
  [93051] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym_identifier,
    ACTIONS(3734), 1,
      anon_sym_STAR,
    STATE(2031), 1,
      sym_comment,
    STATE(2618), 1,
      sym_formal_parameters,
  [93073] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3736), 1,
      anon_sym_COMMA,
    ACTIONS(2380), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(2032), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [93091] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3526), 1,
      anon_sym_with,
    ACTIONS(3739), 1,
      anon_sym_SEMI,
    ACTIONS(3741), 1,
      sym__automatic_semicolon,
    STATE(2033), 1,
      sym_comment,
    STATE(2431), 1,
      sym_import_attribute,
  [93113] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3546), 1,
      anon_sym_LBRACE,
    STATE(1160), 1,
      sym_class_body,
    STATE(2034), 1,
      sym_comment,
    STATE(2278), 1,
      sym_class_heritage,
  [93135] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1966), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2035), 1,
      sym_comment,
    ACTIONS(3743), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [93155] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(1966), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2036), 1,
      sym_comment,
    ACTIONS(3745), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [93175] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3560), 1,
      sym_html_character_reference,
    ACTIONS(3564), 1,
      sym_unescaped_double_jsx_string_fragment,
    ACTIONS(3716), 1,
      anon_sym_DQUOTE,
    STATE(1908), 1,
      aux_sym__jsx_string_repeat1,
    STATE(2037), 1,
      sym_comment,
  [93197] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3747), 1,
      sym_identifier,
    ACTIONS(3749), 1,
      anon_sym_STAR,
    STATE(2038), 1,
      sym_comment,
    STATE(2476), 1,
      sym_formal_parameters,
  [93219] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_extends,
    ACTIONS(3684), 1,
      anon_sym_LBRACE,
    STATE(157), 1,
      sym_class_body,
    STATE(2039), 1,
      sym_comment,
    STATE(2524), 1,
      sym_class_heritage,
  [93241] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_LBRACE,
    ACTIONS(3458), 1,
      anon_sym_extends,
    STATE(1364), 1,
      sym_class_body,
    STATE(2040), 1,
      sym_comment,
    STATE(2429), 1,
      sym_class_heritage,
  [93263] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3496), 1,
      sym__glimmer_template_content,
    ACTIONS(3582), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1391), 1,
      sym_glimmer_closing_tag,
    STATE(1954), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(2041), 1,
      sym_comment,
  [93285] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(2023), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2042), 1,
      sym_comment,
    ACTIONS(3751), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [93305] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    STATE(2024), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2043), 1,
      sym_comment,
    ACTIONS(3753), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [93325] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3526), 1,
      anon_sym_with,
    STATE(2044), 1,
      sym_comment,
    STATE(2512), 1,
      sym_import_attribute,
    ACTIONS(3755), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [93345] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3757), 1,
      anon_sym_COMMA,
    ACTIONS(3759), 1,
      anon_sym_RPAREN,
    STATE(2045), 1,
      sym_comment,
    STATE(2166), 1,
      aux_sym_formal_parameters_repeat1,
  [93364] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3761), 1,
      anon_sym_COMMA,
    ACTIONS(3763), 1,
      anon_sym_RBRACE,
    STATE(2046), 1,
      sym_comment,
    STATE(2113), 1,
      aux_sym_export_clause_repeat1,
  [93383] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3765), 1,
      sym_identifier,
    STATE(2047), 1,
      sym_comment,
    STATE(2234), 1,
      sym_formal_parameters,
  [93402] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3767), 1,
      sym_identifier,
    STATE(2048), 1,
      sym_comment,
    STATE(2475), 1,
      sym_formal_parameters,
  [93421] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    ACTIONS(3771), 1,
      anon_sym_LPAREN,
    STATE(2049), 1,
      sym_comment,
    STATE(2163), 1,
      sym_statement_block,
  [93440] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3773), 1,
      sym_identifier,
    STATE(2050), 1,
      sym_comment,
    STATE(2423), 1,
      sym_formal_parameters,
  [93459] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3775), 1,
      anon_sym_RBRACK,
    STATE(2032), 1,
      aux_sym_array_repeat1,
    STATE(2051), 1,
      sym_comment,
  [93478] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3490), 1,
      anon_sym_COMMA,
    ACTIONS(3777), 1,
      anon_sym_RBRACK,
    STATE(2052), 1,
      sym_comment,
    STATE(2065), 1,
      aux_sym_array_pattern_repeat1,
  [93497] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3779), 1,
      sym_identifier,
    STATE(1782), 1,
      sym_decorator_member_expression,
    STATE(2053), 1,
      sym_comment,
    STATE(2161), 1,
      sym_decorator_call_expression,
  [93516] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2054), 1,
      sym_comment,
    ACTIONS(3781), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [93531] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3785), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(2055), 1,
      sym_comment,
    ACTIONS(3783), 2,
      sym_html_character_reference,
      anon_sym_DQUOTE,
  [93548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    STATE(2056), 1,
      sym_comment,
    ACTIONS(1870), 2,
      anon_sym_in,
      anon_sym_of,
  [93565] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3789), 1,
      anon_sym_LBRACE,
    ACTIONS(3791), 1,
      anon_sym_LPAREN,
    STATE(760), 1,
      sym_statement_block,
    STATE(2057), 1,
      sym_comment,
  [93584] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2058), 1,
      sym_comment,
    ACTIONS(912), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [93599] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3795), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(2059), 1,
      sym_comment,
    ACTIONS(3793), 2,
      sym_html_character_reference,
      anon_sym_SQUOTE,
  [93616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2060), 1,
      sym_comment,
    ACTIONS(2380), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [93631] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3492), 1,
      anon_sym_EQ,
    STATE(2061), 1,
      sym_comment,
    ACTIONS(3797), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [93648] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACK,
    STATE(2032), 1,
      aux_sym_array_repeat1,
    STATE(2062), 1,
      sym_comment,
  [93667] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3490), 1,
      anon_sym_COMMA,
    ACTIONS(3801), 1,
      anon_sym_RBRACK,
    STATE(2063), 1,
      sym_comment,
    STATE(2065), 1,
      aux_sym_array_pattern_repeat1,
  [93686] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_COMMA,
    ACTIONS(3803), 1,
      anon_sym_RBRACE,
    STATE(2064), 1,
      sym_comment,
    STATE(2114), 1,
      aux_sym_object_repeat1,
  [93705] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3797), 1,
      anon_sym_RBRACK,
    ACTIONS(3805), 1,
      anon_sym_COMMA,
    STATE(2065), 2,
      sym_comment,
      aux_sym_array_pattern_repeat1,
  [93722] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2402), 1,
      anon_sym_RPAREN,
    STATE(2066), 1,
      sym_comment,
    STATE(2095), 1,
      aux_sym_array_repeat1,
  [93741] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2402), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym_array_repeat1,
    STATE(2067), 1,
      sym_comment,
  [93760] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3808), 1,
      sym_identifier,
    ACTIONS(3810), 1,
      anon_sym_SEMI,
    ACTIONS(3812), 1,
      sym__automatic_semicolon,
    STATE(2068), 1,
      sym_comment,
  [93779] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3814), 1,
      sym_identifier,
    ACTIONS(3816), 1,
      anon_sym_SEMI,
    ACTIONS(3818), 1,
      sym__automatic_semicolon,
    STATE(2069), 1,
      sym_comment,
  [93798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2070), 1,
      sym_comment,
    ACTIONS(2171), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [93813] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3820), 1,
      anon_sym_LPAREN,
    ACTIONS(3822), 1,
      anon_sym_await,
    STATE(108), 1,
      sym__for_header,
    STATE(2071), 1,
      sym_comment,
  [93832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2072), 1,
      sym_comment,
    ACTIONS(908), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [93847] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3490), 1,
      anon_sym_COMMA,
    ACTIONS(3494), 1,
      anon_sym_RBRACK,
    STATE(2063), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2073), 1,
      sym_comment,
  [93866] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3824), 1,
      anon_sym_COLON,
    ACTIONS(3826), 1,
      anon_sym_GT,
    ACTIONS(3828), 1,
      anon_sym_DOT,
    STATE(2074), 1,
      sym_comment,
  [93885] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    ACTIONS(3830), 1,
      anon_sym_RBRACE,
    STATE(2075), 1,
      sym_comment,
    STATE(2110), 1,
      aux_sym_object_pattern_repeat1,
  [93904] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    ACTIONS(3832), 1,
      anon_sym_RBRACE,
    STATE(2076), 1,
      sym_comment,
    STATE(2110), 1,
      aux_sym_object_pattern_repeat1,
  [93923] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3834), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym_array_repeat1,
    STATE(2077), 1,
      sym_comment,
  [93942] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_COMMA,
    ACTIONS(3836), 1,
      anon_sym_RBRACE,
    STATE(2078), 1,
      sym_comment,
    STATE(2114), 1,
      aux_sym_object_repeat1,
  [93961] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3838), 1,
      sym_identifier,
    STATE(2079), 1,
      sym_comment,
    STATE(2423), 1,
      sym_formal_parameters,
  [93980] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3328), 1,
      sym_identifier,
    ACTIONS(3332), 1,
      anon_sym_LBRACK,
    ACTIONS(3334), 1,
      sym_private_property_identifier,
    STATE(2080), 1,
      sym_comment,
  [93999] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2081), 1,
      sym_comment,
    ACTIONS(3346), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [94014] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3840), 1,
      anon_sym_LBRACE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    STATE(488), 1,
      sym_statement_block,
    STATE(2082), 1,
      sym_comment,
  [94033] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2392), 1,
      anon_sym_RPAREN,
    STATE(2083), 1,
      sym_comment,
    STATE(2097), 1,
      aux_sym_array_repeat1,
  [94052] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3824), 1,
      anon_sym_COLON,
    ACTIONS(3828), 1,
      anon_sym_DOT,
    ACTIONS(3844), 1,
      anon_sym_GT,
    STATE(2084), 1,
      sym_comment,
  [94071] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2335), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym_array_repeat1,
    STATE(2085), 1,
      sym_comment,
  [94090] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2335), 1,
      anon_sym_RPAREN,
    STATE(2077), 1,
      aux_sym_array_repeat1,
    STATE(2086), 1,
      sym_comment,
  [94109] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2392), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym_array_repeat1,
    STATE(2087), 1,
      sym_comment,
  [94128] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3846), 1,
      sym_identifier,
    STATE(2088), 1,
      sym_comment,
    STATE(2234), 1,
      sym_formal_parameters,
  [94147] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3848), 1,
      anon_sym_LBRACE,
    ACTIONS(3850), 1,
      anon_sym_LPAREN,
    STATE(565), 1,
      sym_statement_block,
    STATE(2089), 1,
      sym_comment,
  [94166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2215), 1,
      anon_sym_in,
    STATE(2090), 1,
      sym_comment,
    ACTIONS(2497), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [94183] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3852), 1,
      anon_sym_LPAREN,
    ACTIONS(3854), 1,
      anon_sym_await,
    STATE(100), 1,
      sym__for_header,
    STATE(2091), 1,
      sym_comment,
  [94202] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2092), 1,
      sym_comment,
    ACTIONS(3856), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [94217] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2426), 1,
      sym__automatic_semicolon,
    STATE(2093), 1,
      sym_comment,
    ACTIONS(1029), 2,
      anon_sym_else,
      anon_sym_while,
  [94234] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    ACTIONS(3858), 1,
      anon_sym_RBRACE,
    STATE(2094), 1,
      sym_comment,
    STATE(2116), 1,
      aux_sym_object_pattern_repeat1,
  [94253] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3860), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym_array_repeat1,
    STATE(2095), 1,
      sym_comment,
  [94272] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_COMMA,
    ACTIONS(3862), 1,
      anon_sym_RBRACE,
    STATE(2096), 1,
      sym_comment,
    STATE(2115), 1,
      aux_sym_object_repeat1,
  [94291] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3864), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym_array_repeat1,
    STATE(2097), 1,
      sym_comment,
  [94310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2424), 1,
      sym__automatic_semicolon,
    STATE(2098), 1,
      sym_comment,
    ACTIONS(1021), 2,
      anon_sym_else,
      anon_sym_while,
  [94327] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3866), 1,
      anon_sym_COMMA,
    ACTIONS(3868), 1,
      anon_sym_RBRACE,
    STATE(2099), 1,
      sym_comment,
    STATE(2136), 1,
      aux_sym_named_imports_repeat1,
  [94346] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2386), 1,
      anon_sym_RPAREN,
    STATE(2100), 1,
      sym_comment,
    STATE(2195), 1,
      aux_sym_array_repeat1,
  [94365] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2386), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym_array_repeat1,
    STATE(2101), 1,
      sym_comment,
  [94384] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3623), 1,
      anon_sym_as,
    STATE(2102), 1,
      sym_comment,
    ACTIONS(3870), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [94401] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2420), 1,
      sym__automatic_semicolon,
    STATE(2103), 1,
      sym_comment,
    ACTIONS(1015), 2,
      anon_sym_else,
      anon_sym_while,
  [94418] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3872), 1,
      sym__glimmer_template_content,
    ACTIONS(3875), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2104), 2,
      sym_comment,
      aux_sym_glimmer_template_repeat1,
  [94435] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3490), 1,
      anon_sym_COMMA,
    ACTIONS(3655), 1,
      anon_sym_RBRACK,
    STATE(2065), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2105), 1,
      sym_comment,
  [94454] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2406), 1,
      anon_sym_RBRACK,
    STATE(2032), 1,
      aux_sym_array_repeat1,
    STATE(2106), 1,
      sym_comment,
  [94473] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2406), 1,
      anon_sym_RBRACK,
    STATE(2051), 1,
      aux_sym_array_repeat1,
    STATE(2107), 1,
      sym_comment,
  [94492] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3490), 1,
      anon_sym_COMMA,
    ACTIONS(3655), 1,
      anon_sym_RBRACK,
    STATE(2052), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2108), 1,
      sym_comment,
  [94511] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3824), 1,
      anon_sym_COLON,
    ACTIONS(3828), 1,
      anon_sym_DOT,
    ACTIONS(3877), 1,
      anon_sym_GT,
    STATE(2109), 1,
      sym_comment,
  [94530] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3879), 1,
      anon_sym_COMMA,
    ACTIONS(3882), 1,
      anon_sym_RBRACE,
    STATE(2110), 2,
      sym_comment,
      aux_sym_object_pattern_repeat1,
  [94547] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2111), 1,
      sym_comment,
    ACTIONS(3884), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [94562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2112), 1,
      sym_comment,
    ACTIONS(3886), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [94577] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3888), 1,
      anon_sym_COMMA,
    ACTIONS(3890), 1,
      anon_sym_RBRACE,
    STATE(2113), 1,
      sym_comment,
    STATE(2189), 1,
      aux_sym_export_clause_repeat1,
  [94596] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3892), 1,
      anon_sym_COMMA,
    ACTIONS(3895), 1,
      anon_sym_RBRACE,
    STATE(2114), 2,
      sym_comment,
      aux_sym_object_repeat1,
  [94613] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_COMMA,
    ACTIONS(3897), 1,
      anon_sym_RBRACE,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    STATE(2115), 1,
      sym_comment,
  [94632] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    ACTIONS(3899), 1,
      anon_sym_RBRACE,
    STATE(2110), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2116), 1,
      sym_comment,
  [94651] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    ACTIONS(3901), 1,
      anon_sym_RBRACE,
    STATE(2110), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2117), 1,
      sym_comment,
  [94670] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_COMMA,
    ACTIONS(3903), 1,
      anon_sym_RBRACE,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    STATE(2118), 1,
      sym_comment,
  [94689] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    ACTIONS(3905), 1,
      anon_sym_COLON,
    STATE(2119), 1,
      sym_comment,
    STATE(2567), 1,
      sym_formal_parameters,
  [94708] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3396), 1,
      sym_identifier,
    ACTIONS(3400), 1,
      anon_sym_LBRACK,
    ACTIONS(3402), 1,
      sym_private_property_identifier,
    STATE(2120), 1,
      sym_comment,
  [94727] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3907), 1,
      anon_sym_as,
    STATE(2121), 1,
      sym_comment,
    ACTIONS(3909), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [94744] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    ACTIONS(3911), 1,
      anon_sym_as,
    STATE(2122), 1,
      sym_comment,
    STATE(2597), 1,
      sym__from_clause,
  [94763] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3913), 1,
      sym_identifier,
    ACTIONS(3915), 1,
      anon_sym_SEMI,
    ACTIONS(3917), 1,
      sym__automatic_semicolon,
    STATE(2123), 1,
      sym_comment,
  [94782] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3919), 1,
      sym_identifier,
    ACTIONS(3921), 1,
      anon_sym_SEMI,
    ACTIONS(3923), 1,
      sym__automatic_semicolon,
    STATE(2124), 1,
      sym_comment,
  [94801] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    ACTIONS(3925), 1,
      anon_sym_COLON,
    STATE(2125), 1,
      sym_comment,
    STATE(2567), 1,
      sym_formal_parameters,
  [94820] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3927), 1,
      anon_sym_LPAREN,
    ACTIONS(3929), 1,
      anon_sym_await,
    STATE(82), 1,
      sym__for_header,
    STATE(2126), 1,
      sym_comment,
  [94839] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3492), 1,
      anon_sym_EQ,
    STATE(2127), 1,
      sym_comment,
    ACTIONS(3931), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [94856] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3933), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym_array_repeat1,
    STATE(2128), 1,
      sym_comment,
  [94875] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3935), 1,
      sym_identifier,
    ACTIONS(3937), 1,
      anon_sym_SEMI,
    ACTIONS(3939), 1,
      sym__automatic_semicolon,
    STATE(2129), 1,
      sym_comment,
  [94894] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2130), 1,
      sym_comment,
    ACTIONS(3941), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [94909] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    ACTIONS(3943), 1,
      anon_sym_RBRACE,
    STATE(2110), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2131), 1,
      sym_comment,
  [94928] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_COMMA,
    ACTIONS(3945), 1,
      anon_sym_RBRACE,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      sym_comment,
  [94947] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3824), 1,
      anon_sym_COLON,
    ACTIONS(3828), 1,
      anon_sym_DOT,
    ACTIONS(3947), 1,
      anon_sym_GT,
    STATE(2133), 1,
      sym_comment,
  [94966] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2351), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym_array_repeat1,
    STATE(2134), 1,
      sym_comment,
  [94985] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2351), 1,
      anon_sym_RPAREN,
    STATE(2128), 1,
      aux_sym_array_repeat1,
    STATE(2135), 1,
      sym_comment,
  [95004] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3949), 1,
      anon_sym_COMMA,
    ACTIONS(3951), 1,
      anon_sym_RBRACE,
    STATE(2136), 1,
      sym_comment,
    STATE(2180), 1,
      aux_sym_named_imports_repeat1,
  [95023] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    ACTIONS(3955), 1,
      anon_sym_LPAREN,
    STATE(557), 1,
      sym_statement_block,
    STATE(2137), 1,
      sym_comment,
  [95042] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3957), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_comment,
    STATE(2423), 1,
      sym_formal_parameters,
  [95061] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2139), 1,
      sym_comment,
    ACTIONS(3613), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [95076] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    ACTIONS(3911), 1,
      anon_sym_as,
    STATE(2140), 1,
      sym_comment,
    STATE(2506), 1,
      sym__from_clause,
  [95095] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3959), 1,
      sym_identifier,
    ACTIONS(3961), 1,
      anon_sym_SEMI,
    ACTIONS(3963), 1,
      sym__automatic_semicolon,
    STATE(2141), 1,
      sym_comment,
  [95114] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_COMMA,
    ACTIONS(3945), 1,
      anon_sym_RBRACE,
    STATE(2064), 1,
      aux_sym_object_repeat1,
    STATE(2142), 1,
      sym_comment,
  [95133] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    ACTIONS(3943), 1,
      anon_sym_RBRACE,
    STATE(2075), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2143), 1,
      sym_comment,
  [95152] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3965), 1,
      anon_sym_DQUOTE,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    STATE(2111), 1,
      sym_string,
    STATE(2144), 1,
      sym_comment,
  [95171] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_COMMA,
    ACTIONS(3969), 1,
      anon_sym_RBRACE,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    STATE(2145), 1,
      sym_comment,
  [95190] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_COMMA,
    ACTIONS(3971), 1,
      anon_sym_RBRACE,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    STATE(2146), 1,
      sym_comment,
  [95209] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_COMMA,
    ACTIONS(3862), 1,
      anon_sym_RBRACE,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    STATE(2147), 1,
      sym_comment,
  [95228] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2148), 1,
      sym_comment,
    ACTIONS(3973), 3,
      anon_sym_default,
      anon_sym_RBRACE,
      anon_sym_case,
  [95243] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3975), 1,
      sym_identifier,
    STATE(2149), 1,
      sym_comment,
    STATE(2234), 1,
      sym_formal_parameters,
  [95262] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    ACTIONS(3858), 1,
      anon_sym_RBRACE,
    STATE(2110), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2150), 1,
      sym_comment,
  [95281] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    ACTIONS(3911), 1,
      anon_sym_as,
    STATE(2151), 1,
      sym_comment,
    STATE(2404), 1,
      sym__from_clause,
  [95300] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2342), 1,
      sym__automatic_semicolon,
    STATE(2152), 1,
      sym_comment,
    ACTIONS(1051), 2,
      anon_sym_else,
      anon_sym_while,
  [95317] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2410), 1,
      sym__automatic_semicolon,
    STATE(2153), 1,
      sym_comment,
    ACTIONS(1007), 2,
      anon_sym_else,
      anon_sym_while,
  [95334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2154), 1,
      sym_comment,
    ACTIONS(3977), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [95349] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3979), 1,
      sym_identifier,
    STATE(1556), 1,
      sym_decorator_member_expression,
    STATE(1635), 1,
      sym_decorator_call_expression,
    STATE(2155), 1,
      sym_comment,
  [95368] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3981), 1,
      sym_identifier,
    STATE(2156), 1,
      sym_comment,
    STATE(2417), 1,
      sym_formal_parameters,
  [95387] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2408), 1,
      sym__automatic_semicolon,
    STATE(2157), 1,
      sym_comment,
    ACTIONS(1003), 2,
      anon_sym_else,
      anon_sym_while,
  [95404] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3983), 1,
      sym__automatic_semicolon,
    STATE(2158), 1,
      sym_comment,
    ACTIONS(902), 2,
      anon_sym_else,
      anon_sym_while,
  [95421] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2404), 1,
      sym__automatic_semicolon,
    STATE(2159), 1,
      sym_comment,
    ACTIONS(999), 2,
      anon_sym_else,
      anon_sym_while,
  [95438] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3985), 1,
      sym_identifier,
    STATE(2160), 1,
      sym_comment,
    STATE(2423), 1,
      sym_formal_parameters,
  [95457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2161), 1,
      sym_comment,
    ACTIONS(3199), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [95472] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    ACTIONS(3911), 1,
      anon_sym_as,
    STATE(2162), 1,
      sym_comment,
    STATE(2282), 1,
      sym__from_clause,
  [95491] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2163), 1,
      sym_comment,
    ACTIONS(1547), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [95506] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(3987), 1,
      sym_identifier,
    STATE(2164), 1,
      sym_comment,
    STATE(2423), 1,
      sym_formal_parameters,
  [95525] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3989), 1,
      sym__automatic_semicolon,
    STATE(2165), 1,
      sym_comment,
    ACTIONS(882), 2,
      anon_sym_else,
      anon_sym_while,
  [95542] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3991), 1,
      anon_sym_COMMA,
    ACTIONS(3994), 1,
      anon_sym_RPAREN,
    STATE(2166), 2,
      sym_comment,
      aux_sym_formal_parameters_repeat1,
  [95559] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2167), 1,
      sym_comment,
    ACTIONS(876), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [95574] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3996), 1,
      anon_sym_LPAREN,
    ACTIONS(3998), 1,
      anon_sym_await,
    STATE(117), 1,
      sym__for_header,
    STATE(2168), 1,
      sym_comment,
  [95593] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(4000), 1,
      sym_identifier,
    STATE(2169), 1,
      sym_comment,
    STATE(2234), 1,
      sym_formal_parameters,
  [95612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2319), 1,
      sym__automatic_semicolon,
    STATE(2170), 1,
      sym_comment,
    ACTIONS(1037), 2,
      anon_sym_else,
      anon_sym_while,
  [95629] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4002), 1,
      sym_identifier,
    ACTIONS(4004), 1,
      anon_sym_SEMI,
    ACTIONS(4006), 1,
      sym__automatic_semicolon,
    STATE(2171), 1,
      sym_comment,
  [95648] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4008), 1,
      sym_identifier,
    ACTIONS(4010), 1,
      anon_sym_SEMI,
    ACTIONS(4012), 1,
      sym__automatic_semicolon,
    STATE(2172), 1,
      sym_comment,
  [95667] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4014), 1,
      anon_sym_SQUOTE,
    STATE(2173), 1,
      sym_comment,
    ACTIONS(4016), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [95684] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4018), 1,
      anon_sym_LPAREN,
    ACTIONS(4020), 1,
      anon_sym_await,
    STATE(111), 1,
      sym__for_header,
    STATE(2174), 1,
      sym_comment,
  [95703] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_COMMA,
    ACTIONS(4022), 1,
      anon_sym_RBRACE,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    STATE(2175), 1,
      sym_comment,
  [95722] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4024), 1,
      anon_sym_DQUOTE,
    STATE(2176), 1,
      sym_comment,
    ACTIONS(4026), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [95739] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2177), 1,
      sym_comment,
    ACTIONS(1649), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [95754] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_COMMA,
    ACTIONS(4022), 1,
      anon_sym_RBRACE,
    STATE(2145), 1,
      aux_sym_object_repeat1,
    STATE(2178), 1,
      sym_comment,
  [95773] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3514), 1,
      anon_sym_COMMA,
    ACTIONS(3516), 1,
      anon_sym_RPAREN,
    STATE(2045), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(2179), 1,
      sym_comment,
  [95792] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4028), 1,
      anon_sym_COMMA,
    ACTIONS(4031), 1,
      anon_sym_RBRACE,
    STATE(2180), 2,
      sym_comment,
      aux_sym_named_imports_repeat1,
  [95809] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      sym_identifier,
    STATE(2181), 1,
      sym_comment,
    STATE(2234), 1,
      sym_formal_parameters,
  [95828] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2182), 1,
      sym_comment,
    ACTIONS(882), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [95843] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(4035), 1,
      sym_identifier,
    STATE(2183), 1,
      sym_comment,
    STATE(2423), 1,
      sym_formal_parameters,
  [95862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2184), 1,
      sym_comment,
    ACTIONS(2059), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [95877] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    ACTIONS(4037), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_comment,
    STATE(2234), 1,
      sym_formal_parameters,
  [95896] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    ACTIONS(3911), 1,
      anon_sym_as,
    STATE(2186), 1,
      sym_comment,
    STATE(2515), 1,
      sym__from_clause,
  [95915] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3490), 1,
      anon_sym_COMMA,
    ACTIONS(3494), 1,
      anon_sym_RBRACK,
    STATE(2065), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2187), 1,
      sym_comment,
  [95934] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1557), 1,
      anon_sym_while,
    ACTIONS(4039), 1,
      anon_sym_else,
    STATE(2188), 1,
      sym_comment,
    STATE(2587), 1,
      sym_else_clause,
  [95953] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4041), 1,
      anon_sym_COMMA,
    ACTIONS(4044), 1,
      anon_sym_RBRACE,
    STATE(2189), 2,
      sym_comment,
      aux_sym_export_clause_repeat1,
  [95970] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2359), 1,
      anon_sym_RBRACK,
    STATE(2032), 1,
      aux_sym_array_repeat1,
    STATE(2190), 1,
      sym_comment,
  [95989] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3492), 1,
      anon_sym_EQ,
    STATE(2191), 1,
      sym_comment,
    ACTIONS(3994), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [96006] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4046), 1,
      sym_identifier,
    ACTIONS(4048), 1,
      anon_sym_SEMI,
    ACTIONS(4050), 1,
      sym__automatic_semicolon,
    STATE(2192), 1,
      sym_comment,
  [96025] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4052), 1,
      sym_identifier,
    ACTIONS(4054), 1,
      anon_sym_SEMI,
    ACTIONS(4056), 1,
      sym__automatic_semicolon,
    STATE(2193), 1,
      sym_comment,
  [96044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2194), 1,
      sym_comment,
    ACTIONS(2137), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [96059] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(4058), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym_array_repeat1,
    STATE(2195), 1,
      sym_comment,
  [96078] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2196), 1,
      sym_comment,
    ACTIONS(4060), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [96093] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3443), 1,
      anon_sym_EQ,
    STATE(2197), 1,
      sym_comment,
    ACTIONS(1870), 2,
      anon_sym_in,
      anon_sym_of,
  [96110] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2359), 1,
      anon_sym_RBRACK,
    STATE(2062), 1,
      aux_sym_array_repeat1,
    STATE(2198), 1,
      sym_comment,
  [96129] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4062), 1,
      sym_identifier,
    STATE(1578), 1,
      sym_decorator_member_expression,
    STATE(1665), 1,
      sym_decorator_call_expression,
    STATE(2199), 1,
      sym_comment,
  [96148] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3592), 1,
      anon_sym_LBRACE,
    STATE(539), 1,
      sym_class_body,
    STATE(2200), 1,
      sym_comment,
  [96164] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4064), 1,
      anon_sym_LBRACE,
    STATE(163), 1,
      sym_statement_block,
    STATE(2201), 1,
      sym_comment,
  [96180] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2202), 1,
      sym_comment,
    STATE(2438), 1,
      sym_formal_parameters,
  [96196] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2203), 1,
      sym_comment,
    STATE(2389), 1,
      sym_formal_parameters,
  [96212] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2204), 1,
      sym_comment,
    STATE(2305), 1,
      sym_statement_block,
  [96228] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2205), 1,
      sym_comment,
    STATE(2300), 1,
      sym_formal_parameters,
  [96244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2206), 1,
      sym_comment,
    STATE(2298), 1,
      sym_formal_parameters,
  [96260] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2207), 1,
      sym_comment,
    STATE(2297), 1,
      sym_formal_parameters,
  [96276] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2208), 1,
      sym_comment,
    STATE(2292), 1,
      sym_formal_parameters,
  [96292] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2209), 1,
      sym_comment,
    STATE(2290), 1,
      sym_statement_block,
  [96308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2210), 1,
      sym_comment,
    STATE(2289), 1,
      sym_formal_parameters,
  [96324] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2211), 1,
      sym_comment,
    STATE(2288), 1,
      sym_formal_parameters,
  [96340] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2212), 1,
      sym_comment,
    STATE(2285), 1,
      sym_formal_parameters,
  [96356] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2213), 1,
      sym_comment,
    STATE(2284), 1,
      sym_statement_block,
  [96372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2214), 1,
      sym_comment,
    STATE(2283), 1,
      sym_formal_parameters,
  [96388] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2215), 1,
      sym_comment,
    STATE(2281), 1,
      sym_statement_block,
  [96404] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2216), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2217), 1,
      sym_comment,
    ACTIONS(2502), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [96432] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3631), 1,
      anon_sym_LBRACE,
    STATE(814), 1,
      sym_class_body,
    STATE(2218), 1,
      sym_comment,
  [96448] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4068), 1,
      anon_sym_LBRACE,
    STATE(813), 1,
      sym_statement_block,
    STATE(2219), 1,
      sym_comment,
  [96464] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4068), 1,
      anon_sym_LBRACE,
    STATE(812), 1,
      sym_statement_block,
    STATE(2220), 1,
      sym_comment,
  [96480] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2221), 1,
      sym_comment,
    STATE(2280), 1,
      sym_formal_parameters,
  [96496] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(76), 1,
      sym_parenthesized_expression,
    STATE(2222), 1,
      sym_comment,
  [96512] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2223), 1,
      sym_comment,
    ACTIONS(4072), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96526] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(115), 1,
      sym_parenthesized_expression,
    STATE(2224), 1,
      sym_comment,
  [96542] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4074), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_statement_block,
    STATE(2225), 1,
      sym_comment,
  [96558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2226), 1,
      sym_comment,
    ACTIONS(4076), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2227), 1,
      sym_comment,
    ACTIONS(4044), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96586] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3542), 1,
      anon_sym_LBRACE,
    STATE(205), 1,
      sym_class_body,
    STATE(2228), 1,
      sym_comment,
  [96602] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2229), 1,
      sym_comment,
    ACTIONS(2025), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96616] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4078), 1,
      sym_identifier,
    ACTIONS(4080), 1,
      anon_sym_STAR,
    STATE(2230), 1,
      sym_comment,
  [96632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4082), 1,
      anon_sym_LBRACE,
    STATE(212), 1,
      sym_statement_block,
    STATE(2231), 1,
      sym_comment,
  [96648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2232), 1,
      sym_comment,
    STATE(2463), 1,
      sym_formal_parameters,
  [96664] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4082), 1,
      anon_sym_LBRACE,
    STATE(218), 1,
      sym_statement_block,
    STATE(2233), 1,
      sym_comment,
  [96680] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4084), 1,
      anon_sym_LBRACE,
    STATE(1320), 1,
      sym_statement_block,
    STATE(2234), 1,
      sym_comment,
  [96696] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(107), 1,
      sym_parenthesized_expression,
    STATE(2235), 1,
      sym_comment,
  [96712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2236), 1,
      sym_comment,
    ACTIONS(2283), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2237), 1,
      sym_comment,
    ACTIONS(2189), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2238), 1,
      sym_comment,
    STATE(2279), 1,
      sym_formal_parameters,
  [96756] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2239), 1,
      sym_comment,
    STATE(2467), 1,
      sym_statement_block,
  [96772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2240), 1,
      sym_comment,
    STATE(2470), 1,
      sym_statement_block,
  [96788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2241), 1,
      sym_comment,
    ACTIONS(4086), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2242), 1,
      sym_comment,
    STATE(2471), 1,
      sym_statement_block,
  [96818] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2243), 1,
      sym_comment,
    ACTIONS(4088), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2244), 1,
      sym_comment,
    ACTIONS(4090), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96846] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2245), 1,
      sym_comment,
    ACTIONS(1679), 2,
      anon_sym_else,
      anon_sym_while,
  [96860] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2246), 1,
      sym_comment,
    ACTIONS(4031), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96874] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2247), 1,
      sym_comment,
    ACTIONS(872), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96888] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(113), 1,
      sym_parenthesized_expression,
    STATE(2248), 1,
      sym_comment,
  [96904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2249), 1,
      sym_comment,
    ACTIONS(1699), 2,
      anon_sym_else,
      anon_sym_while,
  [96918] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4092), 1,
      sym_identifier,
    ACTIONS(4094), 1,
      anon_sym_STAR,
    STATE(2250), 1,
      sym_comment,
  [96934] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1584), 1,
      sym_statement_block,
    STATE(2251), 1,
      sym_comment,
  [96950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2252), 1,
      sym_comment,
    ACTIONS(1687), 2,
      anon_sym_else,
      anon_sym_while,
  [96964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4098), 1,
      anon_sym_LBRACE,
    STATE(697), 1,
      sym_switch_body,
    STATE(2253), 1,
      sym_comment,
  [96980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4100), 1,
      anon_sym_LPAREN,
    STATE(99), 1,
      sym__for_header,
    STATE(2254), 1,
      sym_comment,
  [96996] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2255), 1,
      sym_comment,
    ACTIONS(3169), 2,
      anon_sym_in,
      anon_sym_of,
  [97010] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2256), 1,
      sym_comment,
    STATE(2486), 1,
      sym_formal_parameters,
  [97026] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    STATE(2257), 1,
      sym_comment,
    STATE(2735), 1,
      sym_parenthesized_expression,
  [97042] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4104), 1,
      anon_sym_LBRACE,
    STATE(1183), 1,
      sym_statement_block,
    STATE(2258), 1,
      sym_comment,
  [97058] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4104), 1,
      anon_sym_LBRACE,
    STATE(1182), 1,
      sym_statement_block,
    STATE(2259), 1,
      sym_comment,
  [97074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2260), 1,
      sym_comment,
    ACTIONS(4106), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2261), 1,
      sym_comment,
    ACTIONS(4108), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97102] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2262), 1,
      sym_comment,
    ACTIONS(4110), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [97116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2263), 1,
      sym_comment,
    ACTIONS(2261), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2264), 1,
      sym_comment,
    ACTIONS(3994), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [97144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2265), 1,
      sym_comment,
    ACTIONS(2267), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2266), 1,
      sym_comment,
    ACTIONS(4112), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [97172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4104), 1,
      anon_sym_LBRACE,
    STATE(1124), 1,
      sym_statement_block,
    STATE(2267), 1,
      sym_comment,
  [97188] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2259), 1,
      sym_formal_parameters,
    STATE(2268), 1,
      sym_comment,
  [97204] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2258), 1,
      sym_formal_parameters,
    STATE(2269), 1,
      sym_comment,
  [97220] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3546), 1,
      anon_sym_LBRACE,
    STATE(1181), 1,
      sym_class_body,
    STATE(2270), 1,
      sym_comment,
  [97236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2271), 1,
      sym_comment,
    ACTIONS(1683), 2,
      anon_sym_else,
      anon_sym_while,
  [97250] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2272), 1,
      sym_comment,
    ACTIONS(4114), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2273), 1,
      sym_comment,
    ACTIONS(4116), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97278] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2274), 1,
      sym_comment,
    ACTIONS(1669), 2,
      anon_sym_else,
      anon_sym_while,
  [97292] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4118), 1,
      sym_identifier,
    ACTIONS(4120), 1,
      anon_sym_STAR,
    STATE(2275), 1,
      sym_comment,
  [97308] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2276), 1,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_else,
      anon_sym_while,
  [97322] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2277), 1,
      sym_comment,
    ACTIONS(1727), 2,
      anon_sym_else,
      anon_sym_while,
  [97336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3546), 1,
      anon_sym_LBRACE,
    STATE(1116), 1,
      sym_class_body,
    STATE(2278), 1,
      sym_comment,
  [97352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4082), 1,
      anon_sym_LBRACE,
    STATE(202), 1,
      sym_statement_block,
    STATE(2279), 1,
      sym_comment,
  [97368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4068), 1,
      anon_sym_LBRACE,
    STATE(869), 1,
      sym_statement_block,
    STATE(2280), 1,
      sym_comment,
  [97384] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2281), 1,
      sym_comment,
    ACTIONS(4122), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [97398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4124), 1,
      anon_sym_SEMI,
    ACTIONS(4126), 1,
      sym__automatic_semicolon,
    STATE(2282), 1,
      sym_comment,
  [97414] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2283), 1,
      sym_comment,
    STATE(2516), 1,
      sym_statement_block,
  [97430] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2284), 1,
      sym_comment,
    ACTIONS(4128), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [97444] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2285), 1,
      sym_comment,
    STATE(2517), 1,
      sym_statement_block,
  [97460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4130), 1,
      anon_sym_SEMI,
    ACTIONS(4132), 1,
      sym__automatic_semicolon,
    STATE(2286), 1,
      sym_comment,
  [97476] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4134), 1,
      anon_sym_SEMI,
    ACTIONS(4136), 1,
      sym__automatic_semicolon,
    STATE(2287), 1,
      sym_comment,
  [97492] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2288), 1,
      sym_comment,
    STATE(2518), 1,
      sym_statement_block,
  [97508] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2289), 1,
      sym_comment,
    STATE(2523), 1,
      sym_statement_block,
  [97524] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2290), 1,
      sym_comment,
    ACTIONS(4128), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [97538] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2291), 1,
      sym_comment,
    ACTIONS(4138), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2292), 1,
      sym_comment,
    STATE(2528), 1,
      sym_statement_block,
  [97568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2293), 1,
      sym_comment,
    STATE(2546), 1,
      sym_formal_parameters,
  [97584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2294), 1,
      sym_comment,
    STATE(2551), 1,
      sym_formal_parameters,
  [97600] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2295), 1,
      sym_comment,
    ACTIONS(1735), 2,
      anon_sym_else,
      anon_sym_while,
  [97614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2296), 1,
      sym_comment,
    STATE(2552), 1,
      sym_formal_parameters,
  [97630] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2297), 1,
      sym_comment,
    STATE(2555), 1,
      sym_statement_block,
  [97646] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2298), 1,
      sym_comment,
    STATE(2556), 1,
      sym_statement_block,
  [97662] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4140), 1,
      anon_sym_LPAREN,
    STATE(558), 1,
      sym_parenthesized_expression,
    STATE(2299), 1,
      sym_comment,
  [97678] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2300), 1,
      sym_comment,
    STATE(2557), 1,
      sym_statement_block,
  [97694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    STATE(833), 1,
      sym_statement_block,
    STATE(2301), 1,
      sym_comment,
  [97710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2302), 1,
      sym_comment,
    ACTIONS(4144), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97724] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4146), 1,
      anon_sym_SEMI,
    ACTIONS(4148), 1,
      sym__automatic_semicolon,
    STATE(2303), 1,
      sym_comment,
  [97740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(91), 1,
      sym_parenthesized_expression,
    STATE(2304), 1,
      sym_comment,
  [97756] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2305), 1,
      sym_comment,
    ACTIONS(4128), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [97770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2306), 1,
      sym_comment,
    ACTIONS(1735), 2,
      anon_sym_else,
      anon_sym_while,
  [97784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3570), 1,
      anon_sym_LBRACE,
    STATE(182), 1,
      sym_class_body,
    STATE(2307), 1,
      sym_comment,
  [97800] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4150), 1,
      anon_sym_LBRACE,
    STATE(179), 1,
      sym_statement_block,
    STATE(2308), 1,
      sym_comment,
  [97816] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4152), 1,
      sym_identifier,
    ACTIONS(4154), 1,
      anon_sym_STAR,
    STATE(2309), 1,
      sym_comment,
  [97832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2310), 1,
      sym_comment,
    ACTIONS(1737), 2,
      anon_sym_else,
      anon_sym_while,
  [97846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1581), 1,
      sym_statement_block,
    STATE(2311), 1,
      sym_comment,
  [97862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1590), 1,
      sym_statement_block,
    STATE(2312), 1,
      sym_comment,
  [97878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4156), 1,
      anon_sym_LBRACE,
    STATE(471), 1,
      sym_statement_block,
    STATE(2313), 1,
      sym_comment,
  [97894] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3824), 1,
      anon_sym_COLON,
    ACTIONS(3947), 1,
      anon_sym_GT,
    STATE(2314), 1,
      sym_comment,
  [97910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1598), 1,
      sym_statement_block,
    STATE(2315), 1,
      sym_comment,
  [97926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3828), 1,
      anon_sym_DOT,
    ACTIONS(3947), 1,
      anon_sym_GT,
    STATE(2316), 1,
      sym_comment,
  [97942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2317), 1,
      sym_comment,
    ACTIONS(1763), 2,
      anon_sym_else,
      anon_sym_while,
  [97956] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2243), 1,
      sym_statement_block,
    STATE(2318), 1,
      sym_comment,
  [97972] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1604), 1,
      sym_statement_block,
    STATE(2319), 1,
      sym_comment,
  [97988] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1603), 1,
      sym_statement_block,
    STATE(2320), 1,
      sym_comment,
  [98004] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    STATE(538), 1,
      sym_statement_block,
    STATE(2321), 1,
      sym_comment,
  [98020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1599), 1,
      sym_statement_block,
    STATE(2322), 1,
      sym_comment,
  [98036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4160), 1,
      anon_sym_SEMI,
    ACTIONS(4162), 1,
      sym__automatic_semicolon,
    STATE(2323), 1,
      sym_comment,
  [98052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2177), 1,
      sym_statement_block,
    STATE(2324), 1,
      sym_comment,
  [98068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2242), 1,
      sym_formal_parameters,
    STATE(2325), 1,
      sym_comment,
  [98084] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4150), 1,
      anon_sym_LBRACE,
    STATE(173), 1,
      sym_statement_block,
    STATE(2326), 1,
      sym_comment,
  [98100] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4150), 1,
      anon_sym_LBRACE,
    STATE(172), 1,
      sym_statement_block,
    STATE(2327), 1,
      sym_comment,
  [98116] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4084), 1,
      anon_sym_LBRACE,
    STATE(1338), 1,
      sym_statement_block,
    STATE(2328), 1,
      sym_comment,
  [98132] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2240), 1,
      sym_formal_parameters,
    STATE(2329), 1,
      sym_comment,
  [98148] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3570), 1,
      anon_sym_LBRACE,
    STATE(171), 1,
      sym_class_body,
    STATE(2330), 1,
      sym_comment,
  [98164] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    STATE(646), 1,
      sym_statement_block,
    STATE(2331), 1,
      sym_comment,
  [98180] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    STATE(648), 1,
      sym_statement_block,
    STATE(2332), 1,
      sym_comment,
  [98196] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3592), 1,
      anon_sym_LBRACE,
    STATE(653), 1,
      sym_class_body,
    STATE(2333), 1,
      sym_comment,
  [98212] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2239), 1,
      sym_formal_parameters,
    STATE(2334), 1,
      sym_comment,
  [98228] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2335), 1,
      sym_comment,
    ACTIONS(1765), 2,
      anon_sym_else,
      anon_sym_while,
  [98242] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4150), 1,
      anon_sym_LBRACE,
    STATE(187), 1,
      sym_statement_block,
    STATE(2336), 1,
      sym_comment,
  [98258] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    STATE(658), 1,
      sym_statement_block,
    STATE(2337), 1,
      sym_comment,
  [98274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    STATE(664), 1,
      sym_statement_block,
    STATE(2338), 1,
      sym_comment,
  [98290] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2204), 1,
      sym_formal_parameters,
    STATE(2339), 1,
      sym_comment,
  [98306] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2209), 1,
      sym_formal_parameters,
    STATE(2340), 1,
      sym_comment,
  [98322] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2213), 1,
      sym_formal_parameters,
    STATE(2341), 1,
      sym_comment,
  [98338] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2342), 1,
      sym_comment,
    ACTIONS(4164), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [98352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1586), 1,
      sym_statement_block,
    STATE(2343), 1,
      sym_comment,
  [98368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(84), 1,
      sym_parenthesized_expression,
    STATE(2344), 1,
      sym_comment,
  [98384] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2345), 1,
      sym_comment,
    ACTIONS(3931), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [98398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1565), 1,
      sym_statement_block,
    STATE(2346), 1,
      sym_comment,
  [98414] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1566), 1,
      sym_statement_block,
    STATE(2347), 1,
      sym_comment,
  [98430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(81), 1,
      sym_parenthesized_expression,
    STATE(2348), 1,
      sym_comment,
  [98446] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4166), 1,
      anon_sym_LBRACE,
    STATE(465), 1,
      sym_statement_block,
    STATE(2349), 1,
      sym_comment,
  [98462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1568), 1,
      sym_statement_block,
    STATE(2350), 1,
      sym_comment,
  [98478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1569), 1,
      sym_statement_block,
    STATE(2351), 1,
      sym_comment,
  [98494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2352), 1,
      sym_comment,
    ACTIONS(4168), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98508] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_LBRACE,
    STATE(1324), 1,
      sym_class_body,
    STATE(2353), 1,
      sym_comment,
  [98524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1570), 1,
      sym_statement_block,
    STATE(2354), 1,
      sym_comment,
  [98540] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1571), 1,
      sym_statement_block,
    STATE(2355), 1,
      sym_comment,
  [98556] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1576), 1,
      sym_statement_block,
    STATE(2356), 1,
      sym_comment,
  [98572] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2215), 1,
      sym_formal_parameters,
    STATE(2357), 1,
      sym_comment,
  [98588] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2216), 1,
      sym_statement_block,
    STATE(2358), 1,
      sym_comment,
  [98604] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4170), 1,
      sym_identifier,
    ACTIONS(4172), 1,
      anon_sym_STAR,
    STATE(2359), 1,
      sym_comment,
  [98620] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2360), 1,
      sym_comment,
    ACTIONS(1731), 2,
      anon_sym_else,
      anon_sym_while,
  [98634] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4068), 1,
      anon_sym_LBRACE,
    STATE(715), 1,
      sym_statement_block,
    STATE(2361), 1,
      sym_comment,
  [98650] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2219), 1,
      sym_formal_parameters,
    STATE(2362), 1,
      sym_comment,
  [98666] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2220), 1,
      sym_formal_parameters,
    STATE(2363), 1,
      sym_comment,
  [98682] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2364), 1,
      sym_comment,
    ACTIONS(1777), 2,
      anon_sym_else,
      anon_sym_while,
  [98696] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2365), 1,
      sym_comment,
    ACTIONS(1675), 2,
      anon_sym_else,
      anon_sym_while,
  [98710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2366), 1,
      sym_comment,
    ACTIONS(2271), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98724] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2367), 1,
      sym_comment,
    ACTIONS(1675), 2,
      anon_sym_else,
      anon_sym_while,
  [98738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3631), 1,
      anon_sym_LBRACE,
    STATE(711), 1,
      sym_class_body,
    STATE(2368), 1,
      sym_comment,
  [98754] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1564), 1,
      sym_statement_block,
    STATE(2369), 1,
      sym_comment,
  [98770] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1592), 1,
      sym_statement_block,
    STATE(2370), 1,
      sym_comment,
  [98786] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1595), 1,
      sym_statement_block,
    STATE(2371), 1,
      sym_comment,
  [98802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4174), 1,
      anon_sym_LBRACE,
    STATE(2170), 1,
      sym_statement_block,
    STATE(2372), 1,
      sym_comment,
  [98818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4084), 1,
      anon_sym_LBRACE,
    STATE(1281), 1,
      sym_statement_block,
    STATE(2373), 1,
      sym_comment,
  [98834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_LBRACE,
    STATE(1356), 1,
      sym_class_body,
    STATE(2374), 1,
      sym_comment,
  [98850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    STATE(759), 1,
      sym_switch_body,
    STATE(2375), 1,
      sym_comment,
  [98866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4100), 1,
      anon_sym_LPAREN,
    STATE(75), 1,
      sym__for_header,
    STATE(2376), 1,
      sym_comment,
  [98882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4084), 1,
      anon_sym_LBRACE,
    STATE(1358), 1,
      sym_statement_block,
    STATE(2377), 1,
      sym_comment,
  [98898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4084), 1,
      anon_sym_LBRACE,
    STATE(1359), 1,
      sym_statement_block,
    STATE(2378), 1,
      sym_comment,
  [98914] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2379), 1,
      sym_comment,
    ACTIONS(1749), 2,
      anon_sym_else,
      anon_sym_while,
  [98928] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4178), 1,
      sym_identifier,
    ACTIONS(4180), 1,
      anon_sym_STAR,
    STATE(2380), 1,
      sym_comment,
  [98944] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4182), 1,
      anon_sym_LBRACE,
    STATE(957), 1,
      sym_statement_block,
    STATE(2381), 1,
      sym_comment,
  [98960] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2382), 1,
      sym_comment,
    ACTIONS(4184), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98974] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2383), 1,
      sym_comment,
    ACTIONS(4186), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2384), 1,
      sym_comment,
    ACTIONS(1753), 2,
      anon_sym_else,
      anon_sym_while,
  [99002] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2385), 1,
      sym_comment,
    ACTIONS(2289), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99016] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2386), 1,
      sym_comment,
    ACTIONS(4188), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99030] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2387), 1,
      sym_comment,
    ACTIONS(2287), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3828), 1,
      anon_sym_DOT,
    ACTIONS(3877), 1,
      anon_sym_GT,
    STATE(2388), 1,
      sym_comment,
  [99060] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2389), 1,
      sym_comment,
    STATE(2562), 1,
      sym_statement_block,
  [99076] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3824), 1,
      anon_sym_COLON,
    ACTIONS(3877), 1,
      anon_sym_GT,
    STATE(2390), 1,
      sym_comment,
  [99092] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2391), 1,
      sym_comment,
    ACTIONS(4190), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [99106] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1600), 1,
      sym_statement_block,
    STATE(2392), 1,
      sym_comment,
  [99122] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1596), 1,
      sym_statement_block,
    STATE(2393), 1,
      sym_comment,
  [99138] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1593), 1,
      sym_statement_block,
    STATE(2394), 1,
      sym_comment,
  [99154] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1591), 1,
      sym_statement_block,
    STATE(2395), 1,
      sym_comment,
  [99170] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2396), 1,
      sym_comment,
    ACTIONS(4192), 2,
      anon_sym_GT,
      anon_sym_DOT,
  [99184] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2397), 1,
      sym_comment,
    ACTIONS(1755), 2,
      anon_sym_else,
      anon_sym_while,
  [99198] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2398), 1,
      sym_comment,
    ACTIONS(1757), 2,
      anon_sym_else,
      anon_sym_while,
  [99212] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2399), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [99226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1589), 1,
      sym_statement_block,
    STATE(2400), 1,
      sym_comment,
  [99242] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1587), 1,
      sym_statement_block,
    STATE(2401), 1,
      sym_comment,
  [99258] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1577), 1,
      sym_statement_block,
    STATE(2402), 1,
      sym_comment,
  [99274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2403), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [99288] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4194), 1,
      anon_sym_SEMI,
    ACTIONS(4196), 1,
      sym__automatic_semicolon,
    STATE(2404), 1,
      sym_comment,
  [99304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    STATE(2159), 1,
      sym_class_body,
    STATE(2405), 1,
      sym_comment,
  [99320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4174), 1,
      anon_sym_LBRACE,
    STATE(2157), 1,
      sym_statement_block,
    STATE(2406), 1,
      sym_comment,
  [99336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4174), 1,
      anon_sym_LBRACE,
    STATE(2153), 1,
      sym_statement_block,
    STATE(2407), 1,
      sym_comment,
  [99352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4198), 1,
      anon_sym_SEMI,
    ACTIONS(4200), 1,
      sym__automatic_semicolon,
    STATE(2408), 1,
      sym_comment,
  [99368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_SEMI,
    ACTIONS(4204), 1,
      sym__automatic_semicolon,
    STATE(2409), 1,
      sym_comment,
  [99384] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_LBRACE,
    STATE(1372), 1,
      sym_class_body,
    STATE(2410), 1,
      sym_comment,
  [99400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2411), 1,
      sym_comment,
    ACTIONS(4206), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2412), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [99428] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2413), 1,
      sym_comment,
    STATE(2568), 1,
      sym_formal_parameters,
  [99444] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4084), 1,
      anon_sym_LBRACE,
    STATE(1375), 1,
      sym_statement_block,
    STATE(2414), 1,
      sym_comment,
  [99460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4084), 1,
      anon_sym_LBRACE,
    STATE(1376), 1,
      sym_statement_block,
    STATE(2415), 1,
      sym_comment,
  [99476] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2416), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [99490] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4104), 1,
      anon_sym_LBRACE,
    STATE(1186), 1,
      sym_statement_block,
    STATE(2417), 1,
      sym_comment,
  [99506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2418), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [99520] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4208), 1,
      anon_sym_LPAREN,
    STATE(564), 1,
      sym_parenthesized_expression,
    STATE(2419), 1,
      sym_comment,
  [99536] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4084), 1,
      anon_sym_LBRACE,
    STATE(1379), 1,
      sym_statement_block,
    STATE(2420), 1,
      sym_comment,
  [99552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4210), 1,
      anon_sym_LBRACE,
    STATE(847), 1,
      sym_statement_block,
    STATE(2421), 1,
      sym_comment,
  [99568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4082), 1,
      anon_sym_LBRACE,
    STATE(203), 1,
      sym_statement_block,
    STATE(2422), 1,
      sym_comment,
  [99584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4084), 1,
      anon_sym_LBRACE,
    STATE(1334), 1,
      sym_statement_block,
    STATE(2423), 1,
      sym_comment,
  [99600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2231), 1,
      sym_formal_parameters,
    STATE(2424), 1,
      sym_comment,
  [99616] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4084), 1,
      anon_sym_LBRACE,
    STATE(1340), 1,
      sym_statement_block,
    STATE(2425), 1,
      sym_comment,
  [99632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2233), 1,
      sym_formal_parameters,
    STATE(2426), 1,
      sym_comment,
  [99648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3657), 1,
      anon_sym_LBRACE,
    STATE(177), 1,
      sym_class_body,
    STATE(2427), 1,
      sym_comment,
  [99664] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4212), 1,
      anon_sym_LBRACE,
    STATE(180), 1,
      sym_statement_block,
    STATE(2428), 1,
      sym_comment,
  [99680] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_LBRACE,
    STATE(1380), 1,
      sym_class_body,
    STATE(2429), 1,
      sym_comment,
  [99696] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_comment,
    STATE(2577), 1,
      sym_formal_parameters,
  [99712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4214), 1,
      anon_sym_SEMI,
    ACTIONS(4216), 1,
      sym__automatic_semicolon,
    STATE(2431), 1,
      sym_comment,
  [99728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3542), 1,
      anon_sym_LBRACE,
    STATE(204), 1,
      sym_class_body,
    STATE(2432), 1,
      sym_comment,
  [99744] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3824), 1,
      anon_sym_COLON,
    ACTIONS(3844), 1,
      anon_sym_GT,
    STATE(2433), 1,
      sym_comment,
  [99760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1583), 1,
      sym_statement_block,
    STATE(2434), 1,
      sym_comment,
  [99776] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3828), 1,
      anon_sym_DOT,
    ACTIONS(3844), 1,
      anon_sym_GT,
    STATE(2435), 1,
      sym_comment,
  [99792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2436), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [99806] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1582), 1,
      sym_statement_block,
    STATE(2437), 1,
      sym_comment,
  [99822] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2438), 1,
      sym_comment,
    STATE(2580), 1,
      sym_statement_block,
  [99838] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3662), 1,
      anon_sym_LBRACE,
    STATE(647), 1,
      sym_class_body,
    STATE(2439), 1,
      sym_comment,
  [99854] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4218), 1,
      anon_sym_LBRACE,
    STATE(654), 1,
      sym_statement_block,
    STATE(2440), 1,
      sym_comment,
  [99870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4174), 1,
      anon_sym_LBRACE,
    STATE(2098), 1,
      sym_statement_block,
    STATE(2441), 1,
      sym_comment,
  [99886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4220), 1,
      anon_sym_SEMI,
    ACTIONS(4222), 1,
      sym__automatic_semicolon,
    STATE(2442), 1,
      sym_comment,
  [99902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    STATE(2093), 1,
      sym_class_body,
    STATE(2443), 1,
      sym_comment,
  [99918] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2444), 1,
      sym_comment,
    ACTIONS(4224), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99932] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4212), 1,
      anon_sym_LBRACE,
    STATE(188), 1,
      sym_statement_block,
    STATE(2445), 1,
      sym_comment,
  [99948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4212), 1,
      anon_sym_LBRACE,
    STATE(184), 1,
      sym_statement_block,
    STATE(2446), 1,
      sym_comment,
  [99964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3546), 1,
      anon_sym_LBRACE,
    STATE(1178), 1,
      sym_class_body,
    STATE(2447), 1,
      sym_comment,
  [99980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2448), 1,
      sym_comment,
    STATE(2589), 1,
      sym_statement_block,
  [99996] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3657), 1,
      anon_sym_LBRACE,
    STATE(174), 1,
      sym_class_body,
    STATE(2449), 1,
      sym_comment,
  [100012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4218), 1,
      anon_sym_LBRACE,
    STATE(549), 1,
      sym_statement_block,
    STATE(2450), 1,
      sym_comment,
  [100028] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4218), 1,
      anon_sym_LBRACE,
    STATE(551), 1,
      sym_statement_block,
    STATE(2451), 1,
      sym_comment,
  [100044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3662), 1,
      anon_sym_LBRACE,
    STATE(578), 1,
      sym_class_body,
    STATE(2452), 1,
      sym_comment,
  [100060] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2453), 1,
      sym_comment,
    ACTIONS(2317), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2454), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [100088] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4212), 1,
      anon_sym_LBRACE,
    STATE(197), 1,
      sym_statement_block,
    STATE(2455), 1,
      sym_comment,
  [100104] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4218), 1,
      anon_sym_LBRACE,
    STATE(670), 1,
      sym_statement_block,
    STATE(2456), 1,
      sym_comment,
  [100120] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3848), 1,
      anon_sym_LBRACE,
    STATE(671), 1,
      sym_statement_block,
    STATE(2457), 1,
      sym_comment,
  [100136] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2458), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [100150] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3826), 1,
      anon_sym_GT,
    ACTIONS(3828), 1,
      anon_sym_DOT,
    STATE(2459), 1,
      sym_comment,
  [100166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(109), 1,
      sym_parenthesized_expression,
    STATE(2460), 1,
      sym_comment,
  [100182] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3824), 1,
      anon_sym_COLON,
    ACTIONS(3826), 1,
      anon_sym_GT,
    STATE(2461), 1,
      sym_comment,
  [100198] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2462), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [100212] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2463), 1,
      sym_comment,
    STATE(2590), 1,
      sym_statement_block,
  [100228] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(106), 1,
      sym_parenthesized_expression,
    STATE(2464), 1,
      sym_comment,
  [100244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_statement_block,
    STATE(2465), 1,
      sym_comment,
  [100260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2466), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [100274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2467), 1,
      sym_comment,
    ACTIONS(4128), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [100288] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2468), 1,
      sym_comment,
    ACTIONS(4228), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100302] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2469), 1,
      sym_comment,
    ACTIONS(4230), 2,
      sym_jsx_identifier,
      sym_identifier,
  [100316] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2470), 1,
      sym_comment,
    ACTIONS(4128), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [100330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2471), 1,
      sym_comment,
    ACTIONS(4128), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [100344] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4232), 1,
      sym_identifier,
    ACTIONS(4234), 1,
      anon_sym_STAR,
    STATE(2472), 1,
      sym_comment,
  [100360] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4084), 1,
      anon_sym_LBRACE,
    STATE(1390), 1,
      sym_statement_block,
    STATE(2473), 1,
      sym_comment,
  [100376] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4236), 1,
      sym_identifier,
    ACTIONS(4238), 1,
      anon_sym_STAR,
    STATE(2474), 1,
      sym_comment,
  [100392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4104), 1,
      anon_sym_LBRACE,
    STATE(1173), 1,
      sym_statement_block,
    STATE(2475), 1,
      sym_comment,
  [100408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4104), 1,
      anon_sym_LBRACE,
    STATE(1168), 1,
      sym_statement_block,
    STATE(2476), 1,
      sym_comment,
  [100424] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2477), 1,
      sym_comment,
    ACTIONS(3797), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [100438] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2478), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [100452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2479), 1,
      sym_comment,
    ACTIONS(2285), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100466] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2480), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [100480] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2267), 1,
      sym_formal_parameters,
    STATE(2481), 1,
      sym_comment,
  [100496] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_LBRACE,
    STATE(1392), 1,
      sym_class_body,
    STATE(2482), 1,
      sym_comment,
  [100512] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    STATE(2483), 1,
      sym_comment,
    STATE(2585), 1,
      sym__from_clause,
  [100528] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2484), 1,
      sym_comment,
    ACTIONS(1926), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100542] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2485), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [100556] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4104), 1,
      anon_sym_LBRACE,
    STATE(1137), 1,
      sym_statement_block,
    STATE(2486), 1,
      sym_comment,
  [100572] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4240), 1,
      anon_sym_LBRACE,
    STATE(643), 1,
      sym_switch_body,
    STATE(2487), 1,
      sym_comment,
  [100588] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4100), 1,
      anon_sym_LPAREN,
    STATE(105), 1,
      sym__for_header,
    STATE(2488), 1,
      sym_comment,
  [100604] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4242), 1,
      anon_sym_LPAREN,
    STATE(769), 1,
      sym_parenthesized_expression,
    STATE(2489), 1,
      sym_comment,
  [100620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3348), 1,
      anon_sym_in,
    ACTIONS(3350), 1,
      anon_sym_of,
    STATE(2490), 1,
      sym_comment,
  [100636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2491), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [100650] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2492), 1,
      sym_comment,
    ACTIONS(4244), 2,
      sym_jsx_identifier,
      sym_identifier,
  [100664] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2493), 1,
      sym_comment,
    ACTIONS(4246), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100678] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2494), 1,
      sym_comment,
    ACTIONS(4248), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2495), 1,
      sym_comment,
    ACTIONS(4250), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [100706] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2496), 1,
      sym_comment,
    ACTIONS(2281), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100720] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4252), 1,
      sym_identifier,
    ACTIONS(4254), 1,
      anon_sym_STAR,
    STATE(2497), 1,
      sym_comment,
  [100736] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2498), 1,
      sym_comment,
    ACTIONS(2279), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100750] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2398), 1,
      sym_statement_block,
    STATE(2499), 1,
      sym_comment,
  [100766] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    STATE(1918), 1,
      sym_parenthesized_expression,
    STATE(2500), 1,
      sym_comment,
  [100782] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2501), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [100796] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4258), 1,
      sym_identifier,
    ACTIONS(4260), 1,
      anon_sym_STAR,
    STATE(2502), 1,
      sym_comment,
  [100812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2503), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [100826] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2504), 1,
      sym_comment,
    ACTIONS(1721), 2,
      anon_sym_else,
      anon_sym_while,
  [100840] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3789), 1,
      anon_sym_LBRACE,
    STATE(896), 1,
      sym_statement_block,
    STATE(2505), 1,
      sym_comment,
  [100856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4262), 1,
      anon_sym_SEMI,
    ACTIONS(4264), 1,
      sym__automatic_semicolon,
    STATE(2506), 1,
      sym_comment,
  [100872] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2507), 1,
      sym_comment,
    ACTIONS(4266), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(1572), 1,
      sym_statement_block,
    STATE(2508), 1,
      sym_comment,
  [100902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4268), 1,
      anon_sym_SEMI,
    ACTIONS(4270), 1,
      sym__automatic_semicolon,
    STATE(2509), 1,
      sym_comment,
  [100918] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4272), 1,
      anon_sym_SEMI,
    ACTIONS(4274), 1,
      sym__automatic_semicolon,
    STATE(2510), 1,
      sym_comment,
  [100934] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_SEMI,
    ACTIONS(4278), 1,
      sym__automatic_semicolon,
    STATE(2511), 1,
      sym_comment,
  [100950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2512), 1,
      sym_comment,
    ACTIONS(4280), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_SEMI,
    ACTIONS(4284), 1,
      sym__automatic_semicolon,
    STATE(2513), 1,
      sym_comment,
  [100980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2514), 1,
      sym_comment,
    ACTIONS(4286), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4288), 1,
      anon_sym_SEMI,
    ACTIONS(4290), 1,
      sym__automatic_semicolon,
    STATE(2515), 1,
      sym_comment,
  [101010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2516), 1,
      sym_comment,
    ACTIONS(4292), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [101024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2517), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [101038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2518), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [101052] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3328), 1,
      sym_identifier,
    ACTIONS(3334), 1,
      sym_private_property_identifier,
    STATE(2519), 1,
      sym_comment,
  [101068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4296), 1,
      anon_sym_LPAREN,
    STATE(507), 1,
      sym_parenthesized_expression,
    STATE(2520), 1,
      sym_comment,
  [101084] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4298), 1,
      sym_identifier,
    ACTIONS(4300), 1,
      sym_private_property_identifier,
    STATE(2521), 1,
      sym_comment,
  [101100] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4302), 1,
      anon_sym_LBRACE,
    STATE(529), 1,
      sym_statement_block,
    STATE(2522), 1,
      sym_comment,
  [101116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2523), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [101130] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3684), 1,
      anon_sym_LBRACE,
    STATE(161), 1,
      sym_class_body,
    STATE(2524), 1,
      sym_comment,
  [101146] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4064), 1,
      anon_sym_LBRACE,
    STATE(158), 1,
      sym_statement_block,
    STATE(2525), 1,
      sym_comment,
  [101162] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2526), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [101176] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(98), 1,
      sym_parenthesized_expression,
    STATE(2527), 1,
      sym_comment,
  [101192] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2528), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [101206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2529), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [101220] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4104), 1,
      anon_sym_LBRACE,
    STATE(1149), 1,
      sym_statement_block,
    STATE(2530), 1,
      sym_comment,
  [101236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2531), 1,
      sym_comment,
    STATE(2549), 1,
      sym_formal_parameters,
  [101252] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3682), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym_class_body,
    STATE(2532), 1,
      sym_comment,
  [101268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_LBRACE,
    STATE(505), 1,
      sym_statement_block,
    STATE(2533), 1,
      sym_comment,
  [101284] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2534), 1,
      sym_comment,
    STATE(2548), 1,
      sym_formal_parameters,
  [101300] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4306), 1,
      anon_sym_SEMI,
    ACTIONS(4308), 1,
      sym__automatic_semicolon,
    STATE(2535), 1,
      sym_comment,
  [101316] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_comment,
    STATE(2544), 1,
      sym_formal_parameters,
  [101332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2537), 1,
      sym_comment,
    ACTIONS(4310), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [101346] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2448), 1,
      sym_formal_parameters,
    STATE(2538), 1,
      sym_comment,
  [101362] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4064), 1,
      anon_sym_LBRACE,
    STATE(162), 1,
      sym_statement_block,
    STATE(2539), 1,
      sym_comment,
  [101378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3546), 1,
      anon_sym_LBRACE,
    STATE(1151), 1,
      sym_class_body,
    STATE(2540), 1,
      sym_comment,
  [101394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4312), 1,
      anon_sym_LBRACE,
    STATE(2302), 1,
      sym_object,
    STATE(2541), 1,
      sym_comment,
  [101410] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3684), 1,
      anon_sym_LBRACE,
    STATE(159), 1,
      sym_class_body,
    STATE(2542), 1,
      sym_comment,
  [101426] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_LBRACE,
    STATE(523), 1,
      sym_statement_block,
    STATE(2543), 1,
      sym_comment,
  [101442] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_LBRACE,
    STATE(517), 1,
      sym_statement_block,
    STATE(2544), 1,
      sym_comment,
  [101458] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3682), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_class_body,
    STATE(2545), 1,
      sym_comment,
  [101474] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2546), 1,
      sym_comment,
    STATE(2598), 1,
      sym_statement_block,
  [101490] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2543), 1,
      sym_formal_parameters,
    STATE(2547), 1,
      sym_comment,
  [101506] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4064), 1,
      anon_sym_LBRACE,
    STATE(154), 1,
      sym_statement_block,
    STATE(2548), 1,
      sym_comment,
  [101522] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_LBRACE,
    STATE(511), 1,
      sym_statement_block,
    STATE(2549), 1,
      sym_comment,
  [101538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3840), 1,
      anon_sym_LBRACE,
    STATE(510), 1,
      sym_statement_block,
    STATE(2550), 1,
      sym_comment,
  [101554] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2551), 1,
      sym_comment,
    STATE(2599), 1,
      sym_statement_block,
  [101570] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2552), 1,
      sym_comment,
    STATE(2600), 1,
      sym_statement_block,
  [101586] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2539), 1,
      sym_formal_parameters,
    STATE(2553), 1,
      sym_comment,
  [101602] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2554), 1,
      sym_comment,
    ACTIONS(2269), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [101616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2555), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [101630] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2556), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [101644] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2557), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [101658] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2201), 1,
      sym_formal_parameters,
    STATE(2558), 1,
      sym_comment,
  [101674] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2559), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [101688] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2533), 1,
      sym_formal_parameters,
    STATE(2560), 1,
      sym_comment,
  [101704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2561), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [101718] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2562), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [101732] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2563), 1,
      sym_comment,
    ACTIONS(2273), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [101746] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2564), 1,
      sym_comment,
    STATE(2601), 1,
      sym_statement_block,
  [101762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2565), 1,
      sym_comment,
    ACTIONS(2275), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [101776] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2318), 1,
      sym_formal_parameters,
    STATE(2566), 1,
      sym_comment,
  [101792] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2342), 1,
      sym_statement_block,
    STATE(2567), 1,
      sym_comment,
  [101808] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2568), 1,
      sym_comment,
    STATE(2602), 1,
      sym_statement_block,
  [101824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2569), 1,
      sym_comment,
    ACTIONS(4314), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [101838] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2570), 1,
      sym_comment,
    ACTIONS(4316), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [101852] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2809), 1,
      anon_sym_LPAREN,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    STATE(2571), 1,
      sym_comment,
  [101868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2809), 1,
      anon_sym_LPAREN,
    ACTIONS(4320), 1,
      anon_sym_EQ_GT,
    STATE(2572), 1,
      sym_comment,
  [101884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2573), 1,
      sym_comment,
    ACTIONS(3895), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [101898] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2574), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [101912] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2575), 1,
      sym_comment,
    ACTIONS(1769), 2,
      anon_sym_else,
      anon_sym_while,
  [101926] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2576), 1,
      sym_comment,
    ACTIONS(3882), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [101940] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2577), 1,
      sym_comment,
    STATE(2603), 1,
      sym_statement_block,
  [101956] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2358), 1,
      sym_formal_parameters,
    STATE(2578), 1,
      sym_comment,
  [101972] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2525), 1,
      sym_formal_parameters,
    STATE(2579), 1,
      sym_comment,
  [101988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2580), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [102002] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2581), 1,
      sym_comment,
    ACTIONS(2497), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [102016] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    STATE(2027), 1,
      sym__from_clause,
    STATE(2582), 1,
      sym_comment,
  [102032] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    STATE(2509), 1,
      sym__from_clause,
    STATE(2583), 1,
      sym_comment,
  [102048] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4322), 1,
      anon_sym_SEMI,
    ACTIONS(4324), 1,
      sym__automatic_semicolon,
    STATE(2584), 1,
      sym_comment,
  [102064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4326), 1,
      anon_sym_SEMI,
    ACTIONS(4328), 1,
      sym__automatic_semicolon,
    STATE(2585), 1,
      sym_comment,
  [102080] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2361), 1,
      sym_formal_parameters,
    STATE(2586), 1,
      sym_comment,
  [102096] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2587), 1,
      sym_comment,
    ACTIONS(1773), 2,
      anon_sym_else,
      anon_sym_while,
  [102110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2588), 1,
      sym_comment,
    ACTIONS(1779), 2,
      anon_sym_else,
      anon_sym_while,
  [102124] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2589), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [102138] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2590), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [102152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4100), 1,
      anon_sym_LPAREN,
    STATE(72), 1,
      sym__for_header,
    STATE(2591), 1,
      sym_comment,
  [102168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4330), 1,
      anon_sym_LBRACE,
    STATE(2592), 1,
      sym_comment,
    STATE(2644), 1,
      sym_switch_body,
  [102184] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2593), 1,
      sym_comment,
    ACTIONS(1729), 2,
      anon_sym_else,
      anon_sym_while,
  [102198] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2594), 1,
      sym_comment,
    ACTIONS(1771), 2,
      anon_sym_else,
      anon_sym_while,
  [102212] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    STATE(2487), 1,
      sym_parenthesized_expression,
    STATE(2595), 1,
      sym_comment,
  [102228] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2564), 1,
      sym_formal_parameters,
    STATE(2596), 1,
      sym_comment,
  [102244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4332), 1,
      anon_sym_SEMI,
    ACTIONS(4334), 1,
      sym__automatic_semicolon,
    STATE(2597), 1,
      sym_comment,
  [102260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2598), 1,
      sym_comment,
    ACTIONS(4336), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [102274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2599), 1,
      sym_comment,
    ACTIONS(4336), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [102288] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2600), 1,
      sym_comment,
    ACTIONS(4336), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [102302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2601), 1,
      sym_comment,
    ACTIONS(4336), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [102316] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2602), 1,
      sym_comment,
    ACTIONS(4336), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [102330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2603), 1,
      sym_comment,
    ACTIONS(4336), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [102344] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2604), 1,
      sym_comment,
    ACTIONS(1767), 2,
      anon_sym_else,
      anon_sym_while,
  [102358] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2605), 1,
      sym_comment,
    ACTIONS(2291), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [102372] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2606), 1,
      sym_comment,
    ACTIONS(4338), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [102386] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4340), 1,
      anon_sym_COMMA,
    ACTIONS(4342), 1,
      anon_sym_from,
    STATE(2607), 1,
      sym_comment,
  [102402] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2608), 1,
      sym_comment,
    ACTIONS(1751), 2,
      anon_sym_else,
      anon_sym_while,
  [102416] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2609), 1,
      sym_comment,
    ACTIONS(1741), 2,
      anon_sym_else,
      anon_sym_while,
  [102430] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3396), 1,
      sym_identifier,
    ACTIONS(3402), 1,
      sym_private_property_identifier,
    STATE(2610), 1,
      sym_comment,
  [102446] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4344), 1,
      sym_identifier,
    ACTIONS(4346), 1,
      sym_private_property_identifier,
    STATE(2611), 1,
      sym_comment,
  [102462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2612), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [102476] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2456), 1,
      sym_formal_parameters,
    STATE(2613), 1,
      sym_comment,
  [102492] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2614), 1,
      sym_comment,
    ACTIONS(1693), 2,
      anon_sym_else,
      anon_sym_while,
  [102506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2615), 1,
      sym_comment,
    ACTIONS(1719), 2,
      anon_sym_else,
      anon_sym_while,
  [102520] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2455), 1,
      sym_formal_parameters,
    STATE(2616), 1,
      sym_comment,
  [102536] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2451), 1,
      sym_formal_parameters,
    STATE(2617), 1,
      sym_comment,
  [102552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4084), 1,
      anon_sym_LBRACE,
    STATE(1304), 1,
      sym_statement_block,
    STATE(2618), 1,
      sym_comment,
  [102568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2422), 1,
      sym_formal_parameters,
    STATE(2619), 1,
      sym_comment,
  [102584] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2620), 1,
      sym_comment,
    ACTIONS(1717), 2,
      anon_sym_else,
      anon_sym_while,
  [102598] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2450), 1,
      sym_formal_parameters,
    STATE(2621), 1,
      sym_comment,
  [102614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2446), 1,
      sym_formal_parameters,
    STATE(2622), 1,
      sym_comment,
  [102630] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2623), 1,
      sym_comment,
    ACTIONS(1715), 2,
      anon_sym_else,
      anon_sym_while,
  [102644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2445), 1,
      sym_formal_parameters,
    STATE(2624), 1,
      sym_comment,
  [102660] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_LBRACE,
    STATE(1295), 1,
      sym_class_body,
    STATE(2625), 1,
      sym_comment,
  [102676] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2626), 1,
      sym_comment,
    ACTIONS(4348), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [102690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(1783), 1,
      sym_statement_block,
    STATE(2627), 1,
      sym_comment,
  [102706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(70), 1,
      sym_parenthesized_expression,
    STATE(2628), 1,
      sym_comment,
  [102722] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2629), 1,
      sym_comment,
    ACTIONS(1713), 2,
      anon_sym_else,
      anon_sym_while,
  [102736] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(114), 1,
      sym_parenthesized_expression,
    STATE(2630), 1,
      sym_comment,
  [102752] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    STATE(2592), 1,
      sym_parenthesized_expression,
    STATE(2631), 1,
      sym_comment,
  [102768] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(112), 1,
      sym_parenthesized_expression,
    STATE(2632), 1,
      sym_comment,
  [102784] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2633), 1,
      sym_comment,
    ACTIONS(1705), 2,
      anon_sym_else,
      anon_sym_while,
  [102798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2634), 1,
      sym_comment,
    ACTIONS(1703), 2,
      anon_sym_else,
      anon_sym_while,
  [102812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2635), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [102826] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    STATE(2000), 1,
      sym__from_clause,
    STATE(2636), 1,
      sym_comment,
  [102842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2637), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [102856] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2638), 1,
      sym_comment,
    ACTIONS(1747), 2,
      anon_sym_else,
      anon_sym_while,
  [102870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2440), 1,
      sym_formal_parameters,
    STATE(2639), 1,
      sym_comment,
  [102886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    STATE(2513), 1,
      sym__from_clause,
    STATE(2640), 1,
      sym_comment,
  [102902] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2641), 1,
      sym_comment,
    ACTIONS(1685), 2,
      anon_sym_else,
      anon_sym_while,
  [102916] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    STATE(2033), 1,
      sym__from_clause,
    STATE(2642), 1,
      sym_comment,
  [102932] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2643), 1,
      sym_comment,
    ACTIONS(1681), 2,
      anon_sym_else,
      anon_sym_while,
  [102946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2644), 1,
      sym_comment,
    ACTIONS(1673), 2,
      anon_sym_else,
      anon_sym_while,
  [102960] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2645), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [102974] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2646), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [102988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2647), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103002] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2648), 1,
      sym_comment,
    ACTIONS(1767), 2,
      anon_sym_else,
      anon_sym_while,
  [103016] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2473), 1,
      sym_formal_parameters,
    STATE(2649), 1,
      sym_comment,
  [103032] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2650), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103046] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2651), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103060] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2652), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2653), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103088] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2441), 1,
      sym_formal_parameters,
    STATE(2654), 1,
      sym_comment,
  [103104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2655), 1,
      sym_comment,
    ACTIONS(1743), 2,
      anon_sym_else,
      anon_sym_while,
  [103118] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2656), 1,
      sym_comment,
    ACTIONS(2293), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [103132] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2437), 1,
      sym_formal_parameters,
    STATE(2657), 1,
      sym_comment,
  [103148] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2658), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103162] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2659), 1,
      sym_comment,
    ACTIONS(2300), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [103176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2660), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103190] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2661), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103204] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2420), 1,
      sym_formal_parameters,
    STATE(2662), 1,
      sym_comment,
  [103220] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2415), 1,
      sym_formal_parameters,
    STATE(2663), 1,
      sym_comment,
  [103236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym_formal_parameters,
    STATE(2664), 1,
      sym_comment,
  [103252] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2665), 1,
      sym_comment,
    ACTIONS(4350), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [103266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2407), 1,
      sym_formal_parameters,
    STATE(2666), 1,
      sym_comment,
  [103282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2406), 1,
      sym_formal_parameters,
    STATE(2667), 1,
      sym_comment,
  [103298] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2402), 1,
      sym_formal_parameters,
    STATE(2668), 1,
      sym_comment,
  [103314] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2401), 1,
      sym_formal_parameters,
    STATE(2669), 1,
      sym_comment,
  [103330] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2400), 1,
      sym_formal_parameters,
    STATE(2670), 1,
      sym_comment,
  [103346] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2394), 1,
      sym_formal_parameters,
    STATE(2671), 1,
      sym_comment,
  [103362] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2393), 1,
      sym_formal_parameters,
    STATE(2672), 1,
      sym_comment,
  [103378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2392), 1,
      sym_formal_parameters,
    STATE(2673), 1,
      sym_comment,
  [103394] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2674), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2378), 1,
      sym_formal_parameters,
    STATE(2675), 1,
      sym_comment,
  [103424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2377), 1,
      sym_formal_parameters,
    STATE(2676), 1,
      sym_comment,
  [103440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2373), 1,
      sym_formal_parameters,
    STATE(2677), 1,
      sym_comment,
  [103456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2372), 1,
      sym_formal_parameters,
    STATE(2678), 1,
      sym_comment,
  [103472] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2371), 1,
      sym_formal_parameters,
    STATE(2679), 1,
      sym_comment,
  [103488] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2370), 1,
      sym_formal_parameters,
    STATE(2680), 1,
      sym_comment,
  [103504] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2369), 1,
      sym_formal_parameters,
    STATE(2681), 1,
      sym_comment,
  [103520] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2251), 1,
      sym_formal_parameters,
    STATE(2682), 1,
      sym_comment,
  [103536] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2356), 1,
      sym_formal_parameters,
    STATE(2683), 1,
      sym_comment,
  [103552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2355), 1,
      sym_formal_parameters,
    STATE(2684), 1,
      sym_comment,
  [103568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2354), 1,
      sym_formal_parameters,
    STATE(2685), 1,
      sym_comment,
  [103584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2351), 1,
      sym_formal_parameters,
    STATE(2686), 1,
      sym_comment,
  [103600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2350), 1,
      sym_formal_parameters,
    STATE(2687), 1,
      sym_comment,
  [103616] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2347), 1,
      sym_formal_parameters,
    STATE(2688), 1,
      sym_comment,
  [103632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2346), 1,
      sym_formal_parameters,
    STATE(2689), 1,
      sym_comment,
  [103648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2343), 1,
      sym_formal_parameters,
    STATE(2690), 1,
      sym_comment,
  [103664] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2328), 1,
      sym_formal_parameters,
    STATE(2691), 1,
      sym_comment,
  [103680] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2428), 1,
      sym_formal_parameters,
    STATE(2692), 1,
      sym_comment,
  [103696] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2322), 1,
      sym_formal_parameters,
    STATE(2693), 1,
      sym_comment,
  [103712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2320), 1,
      sym_formal_parameters,
    STATE(2694), 1,
      sym_comment,
  [103728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2319), 1,
      sym_formal_parameters,
    STATE(2695), 1,
      sym_comment,
  [103744] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2315), 1,
      sym_formal_parameters,
    STATE(2696), 1,
      sym_comment,
  [103760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2312), 1,
      sym_formal_parameters,
    STATE(2697), 1,
      sym_comment,
  [103776] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2311), 1,
      sym_formal_parameters,
    STATE(2698), 1,
      sym_comment,
  [103792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2699), 1,
      sym_comment,
    ACTIONS(4352), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [103806] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2700), 1,
      sym_comment,
    ACTIONS(1743), 2,
      anon_sym_else,
      anon_sym_while,
  [103820] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2701), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103834] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2702), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103848] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2703), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    STATE(1998), 1,
      sym__from_clause,
    STATE(2704), 1,
      sym_comment,
  [103878] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2705), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103892] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2706), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103906] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(97), 1,
      sym_parenthesized_expression,
    STATE(2707), 1,
      sym_comment,
  [103922] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    STATE(2253), 1,
      sym_parenthesized_expression,
    STATE(2708), 1,
      sym_comment,
  [103938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2709), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103952] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2710), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103966] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2711), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [103980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    STATE(2408), 1,
      sym__from_clause,
    STATE(2712), 1,
      sym_comment,
  [103996] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2713), 1,
      sym_comment,
    ACTIONS(1689), 2,
      anon_sym_else,
      anon_sym_while,
  [104010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2714), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [104024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2715), 1,
      sym_comment,
    ACTIONS(1743), 2,
      anon_sym_else,
      anon_sym_while,
  [104038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    STATE(2286), 1,
      sym__from_clause,
    STATE(2716), 1,
      sym_comment,
  [104054] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_from,
    STATE(1961), 1,
      sym__from_clause,
    STATE(2717), 1,
      sym_comment,
  [104070] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2718), 1,
      sym_comment,
    ACTIONS(1671), 2,
      anon_sym_else,
      anon_sym_while,
  [104084] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2719), 1,
      sym_comment,
    ACTIONS(1743), 2,
      anon_sym_else,
      anon_sym_while,
  [104098] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2308), 1,
      sym_formal_parameters,
    STATE(2720), 1,
      sym_comment,
  [104114] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2721), 1,
      sym_comment,
    ACTIONS(4354), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [104128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2722), 1,
      sym_comment,
    ACTIONS(1697), 2,
      anon_sym_else,
      anon_sym_while,
  [104142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2723), 1,
      sym_comment,
    ACTIONS(1691), 2,
      anon_sym_else,
      anon_sym_while,
  [104156] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2321), 1,
      sym_formal_parameters,
    STATE(2724), 1,
      sym_comment,
  [104172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2725), 1,
      sym_comment,
    ACTIONS(2031), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [104186] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2726), 1,
      sym_comment,
    ACTIONS(1707), 2,
      anon_sym_else,
      anon_sym_while,
  [104200] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2326), 1,
      sym_formal_parameters,
    STATE(2727), 1,
      sym_comment,
  [104216] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2327), 1,
      sym_formal_parameters,
    STATE(2728), 1,
      sym_comment,
  [104232] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2331), 1,
      sym_formal_parameters,
    STATE(2729), 1,
      sym_comment,
  [104248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2332), 1,
      sym_formal_parameters,
    STATE(2730), 1,
      sym_comment,
  [104264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2336), 1,
      sym_formal_parameters,
    STATE(2731), 1,
      sym_comment,
  [104280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
    STATE(2337), 1,
      sym_formal_parameters,
    STATE(2732), 1,
      sym_comment,
  [104296] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2733), 1,
      sym_comment,
    ACTIONS(1743), 2,
      anon_sym_else,
      anon_sym_while,
  [104310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4100), 1,
      anon_sym_LPAREN,
    STATE(71), 1,
      sym__for_header,
    STATE(2734), 1,
      sym_comment,
  [104326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4356), 1,
      anon_sym_LBRACE,
    STATE(967), 1,
      sym_switch_body,
    STATE(2735), 1,
      sym_comment,
  [104342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2736), 1,
      sym_comment,
    ACTIONS(1739), 2,
      anon_sym_else,
      anon_sym_while,
  [104356] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2737), 1,
      sym_comment,
    ACTIONS(1743), 2,
      anon_sym_else,
      anon_sym_while,
  [104370] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(90), 1,
      sym_parenthesized_expression,
    STATE(2738), 1,
      sym_comment,
  [104386] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4102), 1,
      anon_sym_LPAREN,
    STATE(2375), 1,
      sym_parenthesized_expression,
    STATE(2739), 1,
      sym_comment,
  [104402] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4358), 1,
      sym_identifier,
    STATE(2740), 1,
      sym_comment,
  [104415] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4360), 1,
      anon_sym_function,
    STATE(2741), 1,
      sym_comment,
  [104428] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4362), 1,
      sym_identifier,
    STATE(2742), 1,
      sym_comment,
  [104441] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4364), 1,
      sym_regex_pattern,
    STATE(2743), 1,
      sym_comment,
  [104454] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4366), 1,
      anon_sym_while,
    STATE(2744), 1,
      sym_comment,
  [104467] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4368), 1,
      sym_identifier,
    STATE(2745), 1,
      sym_comment,
  [104480] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4370), 1,
      sym_identifier,
    STATE(2746), 1,
      sym_comment,
  [104493] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4372), 1,
      sym_regex_pattern,
    STATE(2747), 1,
      sym_comment,
  [104506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2344), 1,
      anon_sym_RPAREN,
    STATE(2748), 1,
      sym_comment,
  [104519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4374), 1,
      anon_sym_while,
    STATE(2749), 1,
      sym_comment,
  [104532] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4376), 1,
      anon_sym_while,
    STATE(2750), 1,
      sym_comment,
  [104545] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4378), 1,
      anon_sym_RPAREN,
    STATE(2751), 1,
      sym_comment,
  [104558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4342), 1,
      anon_sym_from,
    STATE(2752), 1,
      sym_comment,
  [104571] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4380), 1,
      sym_identifier,
    STATE(2753), 1,
      sym_comment,
  [104584] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4382), 1,
      anon_sym_while,
    STATE(2754), 1,
      sym_comment,
  [104597] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4384), 1,
      sym_identifier,
    STATE(2755), 1,
      sym_comment,
  [104610] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4386), 1,
      sym_identifier,
    STATE(2756), 1,
      sym_comment,
  [104623] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4388), 1,
      sym_regex_pattern,
    STATE(2757), 1,
      sym_comment,
  [104636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4320), 1,
      anon_sym_EQ_GT,
    STATE(2758), 1,
      sym_comment,
  [104649] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    STATE(2759), 1,
      sym_comment,
  [104662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4390), 1,
      anon_sym_EQ_GT,
    STATE(2760), 1,
      sym_comment,
  [104675] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4392), 1,
      anon_sym_target,
    STATE(2761), 1,
      sym_comment,
  [104688] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4394), 1,
      anon_sym_SLASH2,
    STATE(2762), 1,
      sym_comment,
  [104701] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_in,
    STATE(2763), 1,
      sym_comment,
  [104714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4396), 1,
      anon_sym_RPAREN,
    STATE(2764), 1,
      sym_comment,
  [104727] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3443), 1,
      anon_sym_EQ,
    STATE(2765), 1,
      sym_comment,
  [104740] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4398), 1,
      anon_sym_as,
    STATE(2766), 1,
      sym_comment,
  [104753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4400), 1,
      anon_sym_EQ_GT,
    STATE(2767), 1,
      sym_comment,
  [104766] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3763), 1,
      anon_sym_RBRACE,
    STATE(2768), 1,
      sym_comment,
  [104779] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4402), 1,
      anon_sym_RPAREN,
    STATE(2769), 1,
      sym_comment,
  [104792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4404), 1,
      anon_sym_RPAREN,
    STATE(2770), 1,
      sym_comment,
  [104805] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2422), 1,
      anon_sym_RPAREN,
    STATE(2771), 1,
      sym_comment,
  [104818] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4406), 1,
      sym_identifier,
    STATE(2772), 1,
      sym_comment,
  [104831] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4408), 1,
      sym_identifier,
    STATE(2773), 1,
      sym_comment,
  [104844] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4410), 1,
      sym_identifier,
    STATE(2774), 1,
      sym_comment,
  [104857] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2416), 1,
      anon_sym_RPAREN,
    STATE(2775), 1,
      sym_comment,
  [104870] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2390), 1,
      anon_sym_RPAREN,
    STATE(2776), 1,
      sym_comment,
  [104883] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4412), 1,
      anon_sym_while,
    STATE(2777), 1,
      sym_comment,
  [104896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2809), 1,
      anon_sym_LPAREN,
    STATE(2778), 1,
      sym_comment,
  [104909] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2414), 1,
      anon_sym_RPAREN,
    STATE(2779), 1,
      sym_comment,
  [104922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4414), 1,
      anon_sym_EQ,
    STATE(2780), 1,
      sym_comment,
  [104935] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4416), 1,
      sym_identifier,
    STATE(2781), 1,
      sym_comment,
  [104948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2400), 1,
      anon_sym_RPAREN,
    STATE(2782), 1,
      sym_comment,
  [104961] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4418), 1,
      sym_identifier,
    STATE(2783), 1,
      sym_comment,
  [104974] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3868), 1,
      anon_sym_RBRACE,
    STATE(2784), 1,
      sym_comment,
  [104987] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4420), 1,
      anon_sym_from,
    STATE(2785), 1,
      sym_comment,
  [105000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4422), 1,
      anon_sym_as,
    STATE(2786), 1,
      sym_comment,
  [105013] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2394), 1,
      anon_sym_RPAREN,
    STATE(2787), 1,
      sym_comment,
  [105026] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4424), 1,
      anon_sym_EQ_GT,
    STATE(2788), 1,
      sym_comment,
  [105039] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4426), 1,
      anon_sym_EQ_GT,
    STATE(2789), 1,
      sym_comment,
  [105052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4428), 1,
      anon_sym_EQ_GT,
    STATE(2790), 1,
      sym_comment,
  [105065] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4430), 1,
      anon_sym_RPAREN,
    STATE(2791), 1,
      sym_comment,
  [105078] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4432), 1,
      anon_sym_EQ,
    STATE(2792), 1,
      sym_comment,
  [105091] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4434), 1,
      anon_sym_target,
    STATE(2793), 1,
      sym_comment,
  [105104] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4436), 1,
      anon_sym_SLASH2,
    STATE(2794), 1,
      sym_comment,
  [105117] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4438), 1,
      anon_sym_COLON,
    STATE(2795), 1,
      sym_comment,
  [105130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4440), 1,
      anon_sym_EQ_GT,
    STATE(2796), 1,
      sym_comment,
  [105143] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4442), 1,
      anon_sym_EQ_GT,
    STATE(2797), 1,
      sym_comment,
  [105156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4444), 1,
      anon_sym_EQ_GT,
    STATE(2798), 1,
      sym_comment,
  [105169] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2353), 1,
      anon_sym_RPAREN,
    STATE(2799), 1,
      sym_comment,
  [105182] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2412), 1,
      anon_sym_RPAREN,
    STATE(2800), 1,
      sym_comment,
  [105195] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4446), 1,
      anon_sym_from,
    STATE(2801), 1,
      sym_comment,
  [105208] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4448), 1,
      anon_sym_EQ_GT,
    STATE(2802), 1,
      sym_comment,
  [105221] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4450), 1,
      anon_sym_EQ,
    STATE(2803), 1,
      sym_comment,
  [105234] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4452), 1,
      sym_identifier,
    STATE(2804), 1,
      sym_comment,
  [105247] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4454), 1,
      sym_identifier,
    STATE(2805), 1,
      sym_comment,
  [105260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2518), 1,
      anon_sym_in,
    STATE(2806), 1,
      sym_comment,
  [105273] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4456), 1,
      anon_sym_RPAREN,
    STATE(2807), 1,
      sym_comment,
  [105286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4458), 1,
      anon_sym_function,
    STATE(2808), 1,
      sym_comment,
  [105299] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2398), 1,
      anon_sym_RBRACK,
    STATE(2809), 1,
      sym_comment,
  [105312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2396), 1,
      anon_sym_RBRACE,
    STATE(2810), 1,
      sym_comment,
  [105325] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4460), 1,
      anon_sym_EQ_GT,
    STATE(2811), 1,
      sym_comment,
  [105338] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4462), 1,
      sym_identifier,
    STATE(2812), 1,
      sym_comment,
  [105351] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4464), 1,
      sym_identifier,
    STATE(2813), 1,
      sym_comment,
  [105364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2378), 1,
      anon_sym_RPAREN,
    STATE(2814), 1,
      sym_comment,
  [105377] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3826), 1,
      anon_sym_GT,
    STATE(2815), 1,
      sym_comment,
  [105390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    STATE(2816), 1,
      sym_comment,
  [105403] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3844), 1,
      anon_sym_GT,
    STATE(2817), 1,
      sym_comment,
  [105416] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2357), 1,
      anon_sym_RBRACE,
    STATE(2818), 1,
      sym_comment,
  [105429] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4466), 1,
      ts_builtin_sym_end,
    STATE(2819), 1,
      sym_comment,
  [105442] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4468), 1,
      sym_identifier,
    STATE(2820), 1,
      sym_comment,
  [105455] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2215), 1,
      anon_sym_in,
    STATE(2821), 1,
      sym_comment,
  [105468] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2388), 1,
      anon_sym_RBRACK,
    STATE(2822), 1,
      sym_comment,
  [105481] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4470), 1,
      sym_regex_pattern,
    STATE(2823), 1,
      sym_comment,
  [105494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2418), 1,
      anon_sym_RBRACK,
    STATE(2824), 1,
      sym_comment,
  [105507] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4472), 1,
      anon_sym_SLASH2,
    STATE(2825), 1,
      sym_comment,
  [105520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4474), 1,
      anon_sym_EQ_GT,
    STATE(2826), 1,
      sym_comment,
  [105533] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4476), 1,
      anon_sym_EQ_GT,
    STATE(2827), 1,
      sym_comment,
  [105546] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4478), 1,
      anon_sym_GT,
    STATE(2828), 1,
      sym_comment,
  [105559] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4480), 1,
      anon_sym_EQ_GT,
    STATE(2829), 1,
      sym_comment,
  [105572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2372), 1,
      anon_sym_RBRACE,
    STATE(2830), 1,
      sym_comment,
  [105585] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3877), 1,
      anon_sym_GT,
    STATE(2831), 1,
      sym_comment,
  [105598] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2384), 1,
      anon_sym_RPAREN,
    STATE(2832), 1,
      sym_comment,
  [105611] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4482), 1,
      anon_sym_from,
    STATE(2833), 1,
      sym_comment,
  [105624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2325), 1,
      anon_sym_RPAREN,
    STATE(2834), 1,
      sym_comment,
  [105637] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4484), 1,
      anon_sym_EQ_GT,
    STATE(2835), 1,
      sym_comment,
  [105650] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4486), 1,
      anon_sym_EQ,
    STATE(2836), 1,
      sym_comment,
  [105663] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4488), 1,
      sym_identifier,
    STATE(2837), 1,
      sym_comment,
  [105676] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2249), 1,
      anon_sym_in,
    STATE(2838), 1,
      sym_comment,
  [105689] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4490), 1,
      sym_identifier,
    STATE(2839), 1,
      sym_comment,
  [105702] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4492), 1,
      sym_identifier,
    STATE(2840), 1,
      sym_comment,
  [105715] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2346), 1,
      anon_sym_RPAREN,
    STATE(2841), 1,
      sym_comment,
  [105728] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4494), 1,
      sym_identifier,
    STATE(2842), 1,
      sym_comment,
  [105741] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3947), 1,
      anon_sym_GT,
    STATE(2843), 1,
      sym_comment,
  [105754] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4496), 1,
      anon_sym_from,
    STATE(2844), 1,
      sym_comment,
  [105767] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4498), 1,
      anon_sym_from,
    STATE(2845), 1,
      sym_comment,
  [105780] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4500), 1,
      sym_identifier,
    STATE(2846), 1,
      sym_comment,
  [105793] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4502), 1,
      sym_identifier,
    STATE(2847), 1,
      sym_comment,
  [105806] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4504), 1,
      anon_sym_from,
    STATE(2848), 1,
      sym_comment,
  [105819] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4506), 1,
      anon_sym_COLON,
    STATE(2849), 1,
      sym_comment,
  [105832] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4508), 1,
      anon_sym_SLASH2,
    STATE(2850), 1,
      sym_comment,
  [105845] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4510), 1,
      anon_sym_EQ_GT,
    STATE(2851), 1,
      sym_comment,
  [105858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4512), 1,
      anon_sym_EQ_GT,
    STATE(2852), 1,
      sym_comment,
  [105871] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym_identifier,
    STATE(2853), 1,
      sym_comment,
  [105884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4516), 1,
      anon_sym_EQ_GT,
    STATE(2854), 1,
      sym_comment,
  [105897] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4518), 1,
      sym_identifier,
    STATE(2855), 1,
      sym_comment,
  [105910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4520), 1,
      anon_sym_RPAREN,
    STATE(2856), 1,
      sym_comment,
  [105923] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2361), 1,
      anon_sym_RPAREN,
    STATE(2857), 1,
      sym_comment,
  [105936] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2376), 1,
      anon_sym_RPAREN,
    STATE(2858), 1,
      sym_comment,
  [105949] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2374), 1,
      anon_sym_RBRACK,
    STATE(2859), 1,
      sym_comment,
  [105962] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_RPAREN,
    STATE(2860), 1,
      sym_comment,
  [105975] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2327), 1,
      anon_sym_COLON,
    STATE(2861), 1,
      sym_comment,
  [105988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4522), 1,
      anon_sym_from,
    STATE(2862), 1,
      sym_comment,
  [106001] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4524), 1,
      anon_sym_EQ_GT,
    STATE(2863), 1,
      sym_comment,
  [106014] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3639), 1,
      anon_sym_EQ,
    STATE(2864), 1,
      sym_comment,
  [106027] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2329), 1,
      anon_sym_RPAREN,
    STATE(2865), 1,
      sym_comment,
  [106040] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4526), 1,
      sym_identifier,
    STATE(2866), 1,
      sym_comment,
  [106053] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1511), 1,
      anon_sym_LBRACE,
    STATE(2867), 1,
      sym_comment,
  [106066] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4528), 1,
      sym_identifier,
    STATE(2868), 1,
      sym_comment,
  [106079] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2452), 1,
      anon_sym_in,
    STATE(2869), 1,
      sym_comment,
  [106092] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4530), 1,
      anon_sym_function,
    STATE(2870), 1,
      sym_comment,
  [106105] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4532), 1,
      anon_sym_function,
    STATE(2871), 1,
      sym_comment,
  [106118] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4534), 1,
      anon_sym_function,
    STATE(2872), 1,
      sym_comment,
  [106131] = 1,
    ACTIONS(4536), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(466)] = 0,
  [SMALL_STATE(467)] = 75,
  [SMALL_STATE(468)] = 152,
  [SMALL_STATE(469)] = 243,
  [SMALL_STATE(470)] = 318,
  [SMALL_STATE(471)] = 409,
  [SMALL_STATE(472)] = 492,
  [SMALL_STATE(473)] = 569,
  [SMALL_STATE(474)] = 644,
  [SMALL_STATE(475)] = 735,
  [SMALL_STATE(476)] = 808,
  [SMALL_STATE(477)] = 885,
  [SMALL_STATE(478)] = 976,
  [SMALL_STATE(479)] = 1067,
  [SMALL_STATE(480)] = 1142,
  [SMALL_STATE(481)] = 1233,
  [SMALL_STATE(482)] = 1306,
  [SMALL_STATE(483)] = 1401,
  [SMALL_STATE(484)] = 1477,
  [SMALL_STATE(485)] = 1551,
  [SMALL_STATE(486)] = 1625,
  [SMALL_STATE(487)] = 1701,
  [SMALL_STATE(488)] = 1777,
  [SMALL_STATE(489)] = 1849,
  [SMALL_STATE(490)] = 1943,
  [SMALL_STATE(491)] = 2017,
  [SMALL_STATE(492)] = 2095,
  [SMALL_STATE(493)] = 2171,
  [SMALL_STATE(494)] = 2245,
  [SMALL_STATE(495)] = 2319,
  [SMALL_STATE(496)] = 2395,
  [SMALL_STATE(497)] = 2489,
  [SMALL_STATE(498)] = 2585,
  [SMALL_STATE(499)] = 2675,
  [SMALL_STATE(500)] = 2749,
  [SMALL_STATE(501)] = 2823,
  [SMALL_STATE(502)] = 2897,
  [SMALL_STATE(503)] = 2971,
  [SMALL_STATE(504)] = 3045,
  [SMALL_STATE(505)] = 3119,
  [SMALL_STATE(506)] = 3193,
  [SMALL_STATE(507)] = 3267,
  [SMALL_STATE(508)] = 3343,
  [SMALL_STATE(509)] = 3417,
  [SMALL_STATE(510)] = 3507,
  [SMALL_STATE(511)] = 3579,
  [SMALL_STATE(512)] = 3653,
  [SMALL_STATE(513)] = 3727,
  [SMALL_STATE(514)] = 3803,
  [SMALL_STATE(515)] = 3875,
  [SMALL_STATE(516)] = 3949,
  [SMALL_STATE(517)] = 4021,
  [SMALL_STATE(518)] = 4095,
  [SMALL_STATE(519)] = 4169,
  [SMALL_STATE(520)] = 4241,
  [SMALL_STATE(521)] = 4313,
  [SMALL_STATE(522)] = 4387,
  [SMALL_STATE(523)] = 4463,
  [SMALL_STATE(524)] = 4537,
  [SMALL_STATE(525)] = 4631,
  [SMALL_STATE(526)] = 4725,
  [SMALL_STATE(527)] = 4819,
  [SMALL_STATE(528)] = 4913,
  [SMALL_STATE(529)] = 4984,
  [SMALL_STATE(530)] = 5055,
  [SMALL_STATE(531)] = 5130,
  [SMALL_STATE(532)] = 5201,
  [SMALL_STATE(533)] = 5274,
  [SMALL_STATE(534)] = 5345,
  [SMALL_STATE(535)] = 5416,
  [SMALL_STATE(536)] = 5487,
  [SMALL_STATE(537)] = 5560,
  [SMALL_STATE(538)] = 5635,
  [SMALL_STATE(539)] = 5710,
  [SMALL_STATE(540)] = 5785,
  [SMALL_STATE(541)] = 5858,
  [SMALL_STATE(542)] = 5931,
  [SMALL_STATE(543)] = 6002,
  [SMALL_STATE(544)] = 6073,
  [SMALL_STATE(545)] = 6146,
  [SMALL_STATE(546)] = 6217,
  [SMALL_STATE(547)] = 6290,
  [SMALL_STATE(548)] = 6365,
  [SMALL_STATE(549)] = 6436,
  [SMALL_STATE(550)] = 6509,
  [SMALL_STATE(551)] = 6580,
  [SMALL_STATE(552)] = 6653,
  [SMALL_STATE(553)] = 6724,
  [SMALL_STATE(554)] = 6795,
  [SMALL_STATE(555)] = 6866,
  [SMALL_STATE(556)] = 6939,
  [SMALL_STATE(557)] = 7012,
  [SMALL_STATE(558)] = 7085,
  [SMALL_STATE(559)] = 7162,
  [SMALL_STATE(560)] = 7233,
  [SMALL_STATE(561)] = 7310,
  [SMALL_STATE(562)] = 7381,
  [SMALL_STATE(563)] = 7452,
  [SMALL_STATE(564)] = 7523,
  [SMALL_STATE(565)] = 7598,
  [SMALL_STATE(566)] = 7669,
  [SMALL_STATE(567)] = 7740,
  [SMALL_STATE(568)] = 7813,
  [SMALL_STATE(569)] = 7884,
  [SMALL_STATE(570)] = 7957,
  [SMALL_STATE(571)] = 8028,
  [SMALL_STATE(572)] = 8099,
  [SMALL_STATE(573)] = 8170,
  [SMALL_STATE(574)] = 8241,
  [SMALL_STATE(575)] = 8316,
  [SMALL_STATE(576)] = 8387,
  [SMALL_STATE(577)] = 8458,
  [SMALL_STATE(578)] = 8529,
  [SMALL_STATE(579)] = 8602,
  [SMALL_STATE(580)] = 8673,
  [SMALL_STATE(581)] = 8744,
  [SMALL_STATE(582)] = 8815,
  [SMALL_STATE(583)] = 8886,
  [SMALL_STATE(584)] = 8957,
  [SMALL_STATE(585)] = 9030,
  [SMALL_STATE(586)] = 9103,
  [SMALL_STATE(587)] = 9174,
  [SMALL_STATE(588)] = 9245,
  [SMALL_STATE(589)] = 9316,
  [SMALL_STATE(590)] = 9387,
  [SMALL_STATE(591)] = 9458,
  [SMALL_STATE(592)] = 9531,
  [SMALL_STATE(593)] = 9604,
  [SMALL_STATE(594)] = 9675,
  [SMALL_STATE(595)] = 9746,
  [SMALL_STATE(596)] = 9819,
  [SMALL_STATE(597)] = 9892,
  [SMALL_STATE(598)] = 9965,
  [SMALL_STATE(599)] = 10036,
  [SMALL_STATE(600)] = 10111,
  [SMALL_STATE(601)] = 10182,
  [SMALL_STATE(602)] = 10253,
  [SMALL_STATE(603)] = 10324,
  [SMALL_STATE(604)] = 10395,
  [SMALL_STATE(605)] = 10466,
  [SMALL_STATE(606)] = 10537,
  [SMALL_STATE(607)] = 10608,
  [SMALL_STATE(608)] = 10679,
  [SMALL_STATE(609)] = 10750,
  [SMALL_STATE(610)] = 10827,
  [SMALL_STATE(611)] = 10898,
  [SMALL_STATE(612)] = 10969,
  [SMALL_STATE(613)] = 11040,
  [SMALL_STATE(614)] = 11111,
  [SMALL_STATE(615)] = 11182,
  [SMALL_STATE(616)] = 11257,
  [SMALL_STATE(617)] = 11328,
  [SMALL_STATE(618)] = 11399,
  [SMALL_STATE(619)] = 11470,
  [SMALL_STATE(620)] = 11541,
  [SMALL_STATE(621)] = 11612,
  [SMALL_STATE(622)] = 11683,
  [SMALL_STATE(623)] = 11760,
  [SMALL_STATE(624)] = 11831,
  [SMALL_STATE(625)] = 11902,
  [SMALL_STATE(626)] = 11973,
  [SMALL_STATE(627)] = 12044,
  [SMALL_STATE(628)] = 12115,
  [SMALL_STATE(629)] = 12186,
  [SMALL_STATE(630)] = 12257,
  [SMALL_STATE(631)] = 12328,
  [SMALL_STATE(632)] = 12399,
  [SMALL_STATE(633)] = 12470,
  [SMALL_STATE(634)] = 12541,
  [SMALL_STATE(635)] = 12612,
  [SMALL_STATE(636)] = 12687,
  [SMALL_STATE(637)] = 12758,
  [SMALL_STATE(638)] = 12829,
  [SMALL_STATE(639)] = 12900,
  [SMALL_STATE(640)] = 12971,
  [SMALL_STATE(641)] = 13042,
  [SMALL_STATE(642)] = 13113,
  [SMALL_STATE(643)] = 13184,
  [SMALL_STATE(644)] = 13255,
  [SMALL_STATE(645)] = 13326,
  [SMALL_STATE(646)] = 13397,
  [SMALL_STATE(647)] = 13472,
  [SMALL_STATE(648)] = 13545,
  [SMALL_STATE(649)] = 13620,
  [SMALL_STATE(650)] = 13691,
  [SMALL_STATE(651)] = 13762,
  [SMALL_STATE(652)] = 13833,
  [SMALL_STATE(653)] = 13904,
  [SMALL_STATE(654)] = 13979,
  [SMALL_STATE(655)] = 14052,
  [SMALL_STATE(656)] = 14123,
  [SMALL_STATE(657)] = 14196,
  [SMALL_STATE(658)] = 14267,
  [SMALL_STATE(659)] = 14342,
  [SMALL_STATE(660)] = 14413,
  [SMALL_STATE(661)] = 14484,
  [SMALL_STATE(662)] = 14555,
  [SMALL_STATE(663)] = 14626,
  [SMALL_STATE(664)] = 14697,
  [SMALL_STATE(665)] = 14770,
  [SMALL_STATE(666)] = 14841,
  [SMALL_STATE(667)] = 14914,
  [SMALL_STATE(668)] = 14989,
  [SMALL_STATE(669)] = 15060,
  [SMALL_STATE(670)] = 15131,
  [SMALL_STATE(671)] = 15204,
  [SMALL_STATE(672)] = 15275,
  [SMALL_STATE(673)] = 15346,
  [SMALL_STATE(674)] = 15417,
  [SMALL_STATE(675)] = 15490,
  [SMALL_STATE(676)] = 15561,
  [SMALL_STATE(677)] = 15632,
  [SMALL_STATE(678)] = 15703,
  [SMALL_STATE(679)] = 15773,
  [SMALL_STATE(680)] = 15843,
  [SMALL_STATE(681)] = 15915,
  [SMALL_STATE(682)] = 15987,
  [SMALL_STATE(683)] = 16059,
  [SMALL_STATE(684)] = 16131,
  [SMALL_STATE(685)] = 16203,
  [SMALL_STATE(686)] = 16275,
  [SMALL_STATE(687)] = 16347,
  [SMALL_STATE(688)] = 16419,
  [SMALL_STATE(689)] = 16491,
  [SMALL_STATE(690)] = 16563,
  [SMALL_STATE(691)] = 16635,
  [SMALL_STATE(692)] = 16707,
  [SMALL_STATE(693)] = 16779,
  [SMALL_STATE(694)] = 16851,
  [SMALL_STATE(695)] = 16923,
  [SMALL_STATE(696)] = 16993,
  [SMALL_STATE(697)] = 17065,
  [SMALL_STATE(698)] = 17137,
  [SMALL_STATE(699)] = 17209,
  [SMALL_STATE(700)] = 17281,
  [SMALL_STATE(701)] = 17353,
  [SMALL_STATE(702)] = 17425,
  [SMALL_STATE(703)] = 17497,
  [SMALL_STATE(704)] = 17569,
  [SMALL_STATE(705)] = 17639,
  [SMALL_STATE(706)] = 17711,
  [SMALL_STATE(707)] = 17781,
  [SMALL_STATE(708)] = 17851,
  [SMALL_STATE(709)] = 17921,
  [SMALL_STATE(710)] = 17991,
  [SMALL_STATE(711)] = 18061,
  [SMALL_STATE(712)] = 18135,
  [SMALL_STATE(713)] = 18205,
  [SMALL_STATE(714)] = 18275,
  [SMALL_STATE(715)] = 18347,
  [SMALL_STATE(716)] = 18421,
  [SMALL_STATE(717)] = 18493,
  [SMALL_STATE(718)] = 18567,
  [SMALL_STATE(719)] = 18639,
  [SMALL_STATE(720)] = 18709,
  [SMALL_STATE(721)] = 18781,
  [SMALL_STATE(722)] = 18853,
  [SMALL_STATE(723)] = 18925,
  [SMALL_STATE(724)] = 18995,
  [SMALL_STATE(725)] = 19065,
  [SMALL_STATE(726)] = 19135,
  [SMALL_STATE(727)] = 19207,
  [SMALL_STATE(728)] = 19277,
  [SMALL_STATE(729)] = 19349,
  [SMALL_STATE(730)] = 19423,
  [SMALL_STATE(731)] = 19495,
  [SMALL_STATE(732)] = 19567,
  [SMALL_STATE(733)] = 19639,
  [SMALL_STATE(734)] = 19711,
  [SMALL_STATE(735)] = 19801,
  [SMALL_STATE(736)] = 19871,
  [SMALL_STATE(737)] = 19941,
  [SMALL_STATE(738)] = 20013,
  [SMALL_STATE(739)] = 20083,
  [SMALL_STATE(740)] = 20153,
  [SMALL_STATE(741)] = 20223,
  [SMALL_STATE(742)] = 20295,
  [SMALL_STATE(743)] = 20365,
  [SMALL_STATE(744)] = 20435,
  [SMALL_STATE(745)] = 20507,
  [SMALL_STATE(746)] = 20577,
  [SMALL_STATE(747)] = 20647,
  [SMALL_STATE(748)] = 20719,
  [SMALL_STATE(749)] = 20791,
  [SMALL_STATE(750)] = 20861,
  [SMALL_STATE(751)] = 20931,
  [SMALL_STATE(752)] = 21001,
  [SMALL_STATE(753)] = 21071,
  [SMALL_STATE(754)] = 21141,
  [SMALL_STATE(755)] = 21211,
  [SMALL_STATE(756)] = 21285,
  [SMALL_STATE(757)] = 21357,
  [SMALL_STATE(758)] = 21427,
  [SMALL_STATE(759)] = 21497,
  [SMALL_STATE(760)] = 21567,
  [SMALL_STATE(761)] = 21639,
  [SMALL_STATE(762)] = 21709,
  [SMALL_STATE(763)] = 21779,
  [SMALL_STATE(764)] = 21851,
  [SMALL_STATE(765)] = 21923,
  [SMALL_STATE(766)] = 21995,
  [SMALL_STATE(767)] = 22067,
  [SMALL_STATE(768)] = 22139,
  [SMALL_STATE(769)] = 22209,
  [SMALL_STATE(770)] = 22285,
  [SMALL_STATE(771)] = 22357,
  [SMALL_STATE(772)] = 22427,
  [SMALL_STATE(773)] = 22497,
  [SMALL_STATE(774)] = 22569,
  [SMALL_STATE(775)] = 22639,
  [SMALL_STATE(776)] = 22709,
  [SMALL_STATE(777)] = 22779,
  [SMALL_STATE(778)] = 22851,
  [SMALL_STATE(779)] = 22923,
  [SMALL_STATE(780)] = 22993,
  [SMALL_STATE(781)] = 23065,
  [SMALL_STATE(782)] = 23137,
  [SMALL_STATE(783)] = 23207,
  [SMALL_STATE(784)] = 23279,
  [SMALL_STATE(785)] = 23349,
  [SMALL_STATE(786)] = 23421,
  [SMALL_STATE(787)] = 23491,
  [SMALL_STATE(788)] = 23561,
  [SMALL_STATE(789)] = 23633,
  [SMALL_STATE(790)] = 23703,
  [SMALL_STATE(791)] = 23773,
  [SMALL_STATE(792)] = 23843,
  [SMALL_STATE(793)] = 23913,
  [SMALL_STATE(794)] = 23983,
  [SMALL_STATE(795)] = 24053,
  [SMALL_STATE(796)] = 24123,
  [SMALL_STATE(797)] = 24193,
  [SMALL_STATE(798)] = 24263,
  [SMALL_STATE(799)] = 24335,
  [SMALL_STATE(800)] = 24407,
  [SMALL_STATE(801)] = 24479,
  [SMALL_STATE(802)] = 24551,
  [SMALL_STATE(803)] = 24621,
  [SMALL_STATE(804)] = 24693,
  [SMALL_STATE(805)] = 24763,
  [SMALL_STATE(806)] = 24833,
  [SMALL_STATE(807)] = 24903,
  [SMALL_STATE(808)] = 24973,
  [SMALL_STATE(809)] = 25043,
  [SMALL_STATE(810)] = 25113,
  [SMALL_STATE(811)] = 25183,
  [SMALL_STATE(812)] = 25253,
  [SMALL_STATE(813)] = 25327,
  [SMALL_STATE(814)] = 25401,
  [SMALL_STATE(815)] = 25475,
  [SMALL_STATE(816)] = 25545,
  [SMALL_STATE(817)] = 25615,
  [SMALL_STATE(818)] = 25685,
  [SMALL_STATE(819)] = 25755,
  [SMALL_STATE(820)] = 25825,
  [SMALL_STATE(821)] = 25895,
  [SMALL_STATE(822)] = 25965,
  [SMALL_STATE(823)] = 26035,
  [SMALL_STATE(824)] = 26107,
  [SMALL_STATE(825)] = 26177,
  [SMALL_STATE(826)] = 26247,
  [SMALL_STATE(827)] = 26317,
  [SMALL_STATE(828)] = 26387,
  [SMALL_STATE(829)] = 26457,
  [SMALL_STATE(830)] = 26527,
  [SMALL_STATE(831)] = 26597,
  [SMALL_STATE(832)] = 26667,
  [SMALL_STATE(833)] = 26739,
  [SMALL_STATE(834)] = 26811,
  [SMALL_STATE(835)] = 26881,
  [SMALL_STATE(836)] = 26951,
  [SMALL_STATE(837)] = 27021,
  [SMALL_STATE(838)] = 27093,
  [SMALL_STATE(839)] = 27163,
  [SMALL_STATE(840)] = 27233,
  [SMALL_STATE(841)] = 27303,
  [SMALL_STATE(842)] = 27373,
  [SMALL_STATE(843)] = 27445,
  [SMALL_STATE(844)] = 27517,
  [SMALL_STATE(845)] = 27589,
  [SMALL_STATE(846)] = 27661,
  [SMALL_STATE(847)] = 27733,
  [SMALL_STATE(848)] = 27803,
  [SMALL_STATE(849)] = 27873,
  [SMALL_STATE(850)] = 27945,
  [SMALL_STATE(851)] = 28017,
  [SMALL_STATE(852)] = 28089,
  [SMALL_STATE(853)] = 28161,
  [SMALL_STATE(854)] = 28231,
  [SMALL_STATE(855)] = 28303,
  [SMALL_STATE(856)] = 28375,
  [SMALL_STATE(857)] = 28447,
  [SMALL_STATE(858)] = 28517,
  [SMALL_STATE(859)] = 28589,
  [SMALL_STATE(860)] = 28661,
  [SMALL_STATE(861)] = 28733,
  [SMALL_STATE(862)] = 28807,
  [SMALL_STATE(863)] = 28879,
  [SMALL_STATE(864)] = 28969,
  [SMALL_STATE(865)] = 29041,
  [SMALL_STATE(866)] = 29111,
  [SMALL_STATE(867)] = 29183,
  [SMALL_STATE(868)] = 29255,
  [SMALL_STATE(869)] = 29327,
  [SMALL_STATE(870)] = 29401,
  [SMALL_STATE(871)] = 29471,
  [SMALL_STATE(872)] = 29543,
  [SMALL_STATE(873)] = 29615,
  [SMALL_STATE(874)] = 29685,
  [SMALL_STATE(875)] = 29755,
  [SMALL_STATE(876)] = 29827,
  [SMALL_STATE(877)] = 29899,
  [SMALL_STATE(878)] = 29973,
  [SMALL_STATE(879)] = 30045,
  [SMALL_STATE(880)] = 30135,
  [SMALL_STATE(881)] = 30225,
  [SMALL_STATE(882)] = 30297,
  [SMALL_STATE(883)] = 30369,
  [SMALL_STATE(884)] = 30441,
  [SMALL_STATE(885)] = 30513,
  [SMALL_STATE(886)] = 30585,
  [SMALL_STATE(887)] = 30657,
  [SMALL_STATE(888)] = 30729,
  [SMALL_STATE(889)] = 30801,
  [SMALL_STATE(890)] = 30873,
  [SMALL_STATE(891)] = 30945,
  [SMALL_STATE(892)] = 31015,
  [SMALL_STATE(893)] = 31087,
  [SMALL_STATE(894)] = 31159,
  [SMALL_STATE(895)] = 31231,
  [SMALL_STATE(896)] = 31321,
  [SMALL_STATE(897)] = 31393,
  [SMALL_STATE(898)] = 31463,
  [SMALL_STATE(899)] = 31537,
  [SMALL_STATE(900)] = 31607,
  [SMALL_STATE(901)] = 31679,
  [SMALL_STATE(902)] = 31751,
  [SMALL_STATE(903)] = 31823,
  [SMALL_STATE(904)] = 31893,
  [SMALL_STATE(905)] = 31964,
  [SMALL_STATE(906)] = 32035,
  [SMALL_STATE(907)] = 32106,
  [SMALL_STATE(908)] = 32177,
  [SMALL_STATE(909)] = 32264,
  [SMALL_STATE(910)] = 32335,
  [SMALL_STATE(911)] = 32406,
  [SMALL_STATE(912)] = 32493,
  [SMALL_STATE(913)] = 32564,
  [SMALL_STATE(914)] = 32635,
  [SMALL_STATE(915)] = 32706,
  [SMALL_STATE(916)] = 32777,
  [SMALL_STATE(917)] = 32848,
  [SMALL_STATE(918)] = 32919,
  [SMALL_STATE(919)] = 32990,
  [SMALL_STATE(920)] = 33061,
  [SMALL_STATE(921)] = 33132,
  [SMALL_STATE(922)] = 33203,
  [SMALL_STATE(923)] = 33274,
  [SMALL_STATE(924)] = 33345,
  [SMALL_STATE(925)] = 33416,
  [SMALL_STATE(926)] = 33487,
  [SMALL_STATE(927)] = 33558,
  [SMALL_STATE(928)] = 33629,
  [SMALL_STATE(929)] = 33700,
  [SMALL_STATE(930)] = 33771,
  [SMALL_STATE(931)] = 33842,
  [SMALL_STATE(932)] = 33913,
  [SMALL_STATE(933)] = 33984,
  [SMALL_STATE(934)] = 34055,
  [SMALL_STATE(935)] = 34126,
  [SMALL_STATE(936)] = 34197,
  [SMALL_STATE(937)] = 34268,
  [SMALL_STATE(938)] = 34339,
  [SMALL_STATE(939)] = 34410,
  [SMALL_STATE(940)] = 34481,
  [SMALL_STATE(941)] = 34552,
  [SMALL_STATE(942)] = 34623,
  [SMALL_STATE(943)] = 34694,
  [SMALL_STATE(944)] = 34765,
  [SMALL_STATE(945)] = 34836,
  [SMALL_STATE(946)] = 34907,
  [SMALL_STATE(947)] = 34978,
  [SMALL_STATE(948)] = 35049,
  [SMALL_STATE(949)] = 35120,
  [SMALL_STATE(950)] = 35191,
  [SMALL_STATE(951)] = 35262,
  [SMALL_STATE(952)] = 35333,
  [SMALL_STATE(953)] = 35404,
  [SMALL_STATE(954)] = 35475,
  [SMALL_STATE(955)] = 35546,
  [SMALL_STATE(956)] = 35617,
  [SMALL_STATE(957)] = 35688,
  [SMALL_STATE(958)] = 35759,
  [SMALL_STATE(959)] = 35830,
  [SMALL_STATE(960)] = 35901,
  [SMALL_STATE(961)] = 35972,
  [SMALL_STATE(962)] = 36043,
  [SMALL_STATE(963)] = 36114,
  [SMALL_STATE(964)] = 36185,
  [SMALL_STATE(965)] = 36256,
  [SMALL_STATE(966)] = 36327,
  [SMALL_STATE(967)] = 36398,
  [SMALL_STATE(968)] = 36469,
  [SMALL_STATE(969)] = 36540,
  [SMALL_STATE(970)] = 36611,
  [SMALL_STATE(971)] = 36682,
  [SMALL_STATE(972)] = 36753,
  [SMALL_STATE(973)] = 36824,
  [SMALL_STATE(974)] = 36895,
  [SMALL_STATE(975)] = 36966,
  [SMALL_STATE(976)] = 37037,
  [SMALL_STATE(977)] = 37108,
  [SMALL_STATE(978)] = 37179,
  [SMALL_STATE(979)] = 37266,
  [SMALL_STATE(980)] = 37337,
  [SMALL_STATE(981)] = 37408,
  [SMALL_STATE(982)] = 37479,
  [SMALL_STATE(983)] = 37550,
  [SMALL_STATE(984)] = 37621,
  [SMALL_STATE(985)] = 37692,
  [SMALL_STATE(986)] = 37763,
  [SMALL_STATE(987)] = 37834,
  [SMALL_STATE(988)] = 37905,
  [SMALL_STATE(989)] = 37976,
  [SMALL_STATE(990)] = 38047,
  [SMALL_STATE(991)] = 38118,
  [SMALL_STATE(992)] = 38189,
  [SMALL_STATE(993)] = 38260,
  [SMALL_STATE(994)] = 38331,
  [SMALL_STATE(995)] = 38402,
  [SMALL_STATE(996)] = 38473,
  [SMALL_STATE(997)] = 38544,
  [SMALL_STATE(998)] = 38615,
  [SMALL_STATE(999)] = 38686,
  [SMALL_STATE(1000)] = 38757,
  [SMALL_STATE(1001)] = 38828,
  [SMALL_STATE(1002)] = 38899,
  [SMALL_STATE(1003)] = 38970,
  [SMALL_STATE(1004)] = 39041,
  [SMALL_STATE(1005)] = 39112,
  [SMALL_STATE(1006)] = 39183,
  [SMALL_STATE(1007)] = 39254,
  [SMALL_STATE(1008)] = 39324,
  [SMALL_STATE(1009)] = 39398,
  [SMALL_STATE(1010)] = 39468,
  [SMALL_STATE(1011)] = 39538,
  [SMALL_STATE(1012)] = 39628,
  [SMALL_STATE(1013)] = 39698,
  [SMALL_STATE(1014)] = 39768,
  [SMALL_STATE(1015)] = 39838,
  [SMALL_STATE(1016)] = 39908,
  [SMALL_STATE(1017)] = 39975,
  [SMALL_STATE(1018)] = 40050,
  [SMALL_STATE(1019)] = 40117,
  [SMALL_STATE(1020)] = 40192,
  [SMALL_STATE(1021)] = 40267,
  [SMALL_STATE(1022)] = 40334,
  [SMALL_STATE(1023)] = 40409,
  [SMALL_STATE(1024)] = 40476,
  [SMALL_STATE(1025)] = 40543,
  [SMALL_STATE(1026)] = 40610,
  [SMALL_STATE(1027)] = 40677,
  [SMALL_STATE(1028)] = 40744,
  [SMALL_STATE(1029)] = 40818,
  [SMALL_STATE(1030)] = 40894,
  [SMALL_STATE(1031)] = 40966,
  [SMALL_STATE(1032)] = 41034,
  [SMALL_STATE(1033)] = 41110,
  [SMALL_STATE(1034)] = 41186,
  [SMALL_STATE(1035)] = 41262,
  [SMALL_STATE(1036)] = 41338,
  [SMALL_STATE(1037)] = 41414,
  [SMALL_STATE(1038)] = 41490,
  [SMALL_STATE(1039)] = 41564,
  [SMALL_STATE(1040)] = 41640,
  [SMALL_STATE(1041)] = 41716,
  [SMALL_STATE(1042)] = 41790,
  [SMALL_STATE(1043)] = 41866,
  [SMALL_STATE(1044)] = 41942,
  [SMALL_STATE(1045)] = 42016,
  [SMALL_STATE(1046)] = 42092,
  [SMALL_STATE(1047)] = 42166,
  [SMALL_STATE(1048)] = 42240,
  [SMALL_STATE(1049)] = 42308,
  [SMALL_STATE(1050)] = 42384,
  [SMALL_STATE(1051)] = 42456,
  [SMALL_STATE(1052)] = 42524,
  [SMALL_STATE(1053)] = 42592,
  [SMALL_STATE(1054)] = 42660,
  [SMALL_STATE(1055)] = 42738,
  [SMALL_STATE(1056)] = 42814,
  [SMALL_STATE(1057)] = 42890,
  [SMALL_STATE(1058)] = 42964,
  [SMALL_STATE(1059)] = 43032,
  [SMALL_STATE(1060)] = 43106,
  [SMALL_STATE(1061)] = 43182,
  [SMALL_STATE(1062)] = 43250,
  [SMALL_STATE(1063)] = 43328,
  [SMALL_STATE(1064)] = 43403,
  [SMALL_STATE(1065)] = 43478,
  [SMALL_STATE(1066)] = 43553,
  [SMALL_STATE(1067)] = 43626,
  [SMALL_STATE(1068)] = 43699,
  [SMALL_STATE(1069)] = 43770,
  [SMALL_STATE(1070)] = 43843,
  [SMALL_STATE(1071)] = 43914,
  [SMALL_STATE(1072)] = 43990,
  [SMALL_STATE(1073)] = 44066,
  [SMALL_STATE(1074)] = 44138,
  [SMALL_STATE(1075)] = 44210,
  [SMALL_STATE(1076)] = 44282,
  [SMALL_STATE(1077)] = 44355,
  [SMALL_STATE(1078)] = 44426,
  [SMALL_STATE(1079)] = 44501,
  [SMALL_STATE(1080)] = 44572,
  [SMALL_STATE(1081)] = 44647,
  [SMALL_STATE(1082)] = 44718,
  [SMALL_STATE(1083)] = 44789,
  [SMALL_STATE(1084)] = 44857,
  [SMALL_STATE(1085)] = 44929,
  [SMALL_STATE(1086)] = 44989,
  [SMALL_STATE(1087)] = 45059,
  [SMALL_STATE(1088)] = 45127,
  [SMALL_STATE(1089)] = 45197,
  [SMALL_STATE(1090)] = 45251,
  [SMALL_STATE(1091)] = 45305,
  [SMALL_STATE(1092)] = 45364,
  [SMALL_STATE(1093)] = 45417,
  [SMALL_STATE(1094)] = 45476,
  [SMALL_STATE(1095)] = 45535,
  [SMALL_STATE(1096)] = 45588,
  [SMALL_STATE(1097)] = 45653,
  [SMALL_STATE(1098)] = 45706,
  [SMALL_STATE(1099)] = 45765,
  [SMALL_STATE(1100)] = 45822,
  [SMALL_STATE(1101)] = 45875,
  [SMALL_STATE(1102)] = 45932,
  [SMALL_STATE(1103)] = 45989,
  [SMALL_STATE(1104)] = 46043,
  [SMALL_STATE(1105)] = 46097,
  [SMALL_STATE(1106)] = 46151,
  [SMALL_STATE(1107)] = 46205,
  [SMALL_STATE(1108)] = 46259,
  [SMALL_STATE(1109)] = 46313,
  [SMALL_STATE(1110)] = 46413,
  [SMALL_STATE(1111)] = 46467,
  [SMALL_STATE(1112)] = 46567,
  [SMALL_STATE(1113)] = 46621,
  [SMALL_STATE(1114)] = 46721,
  [SMALL_STATE(1115)] = 46775,
  [SMALL_STATE(1116)] = 46829,
  [SMALL_STATE(1117)] = 46883,
  [SMALL_STATE(1118)] = 46979,
  [SMALL_STATE(1119)] = 47033,
  [SMALL_STATE(1120)] = 47117,
  [SMALL_STATE(1121)] = 47187,
  [SMALL_STATE(1122)] = 47261,
  [SMALL_STATE(1123)] = 47329,
  [SMALL_STATE(1124)] = 47421,
  [SMALL_STATE(1125)] = 47475,
  [SMALL_STATE(1126)] = 47529,
  [SMALL_STATE(1127)] = 47619,
  [SMALL_STATE(1128)] = 47673,
  [SMALL_STATE(1129)] = 47727,
  [SMALL_STATE(1130)] = 47787,
  [SMALL_STATE(1131)] = 47875,
  [SMALL_STATE(1132)] = 47951,
  [SMALL_STATE(1133)] = 48045,
  [SMALL_STATE(1134)] = 48137,
  [SMALL_STATE(1135)] = 48191,
  [SMALL_STATE(1136)] = 48291,
  [SMALL_STATE(1137)] = 48361,
  [SMALL_STATE(1138)] = 48415,
  [SMALL_STATE(1139)] = 48469,
  [SMALL_STATE(1140)] = 48523,
  [SMALL_STATE(1141)] = 48603,
  [SMALL_STATE(1142)] = 48657,
  [SMALL_STATE(1143)] = 48757,
  [SMALL_STATE(1144)] = 48811,
  [SMALL_STATE(1145)] = 48911,
  [SMALL_STATE(1146)] = 48965,
  [SMALL_STATE(1147)] = 49021,
  [SMALL_STATE(1148)] = 49075,
  [SMALL_STATE(1149)] = 49129,
  [SMALL_STATE(1150)] = 49183,
  [SMALL_STATE(1151)] = 49237,
  [SMALL_STATE(1152)] = 49291,
  [SMALL_STATE(1153)] = 49345,
  [SMALL_STATE(1154)] = 49399,
  [SMALL_STATE(1155)] = 49455,
  [SMALL_STATE(1156)] = 49509,
  [SMALL_STATE(1157)] = 49577,
  [SMALL_STATE(1158)] = 49643,
  [SMALL_STATE(1159)] = 49697,
  [SMALL_STATE(1160)] = 49751,
  [SMALL_STATE(1161)] = 49805,
  [SMALL_STATE(1162)] = 49859,
  [SMALL_STATE(1163)] = 49913,
  [SMALL_STATE(1164)] = 49967,
  [SMALL_STATE(1165)] = 50021,
  [SMALL_STATE(1166)] = 50075,
  [SMALL_STATE(1167)] = 50129,
  [SMALL_STATE(1168)] = 50229,
  [SMALL_STATE(1169)] = 50283,
  [SMALL_STATE(1170)] = 50337,
  [SMALL_STATE(1171)] = 50437,
  [SMALL_STATE(1172)] = 50491,
  [SMALL_STATE(1173)] = 50591,
  [SMALL_STATE(1174)] = 50645,
  [SMALL_STATE(1175)] = 50699,
  [SMALL_STATE(1176)] = 50753,
  [SMALL_STATE(1177)] = 50807,
  [SMALL_STATE(1178)] = 50861,
  [SMALL_STATE(1179)] = 50915,
  [SMALL_STATE(1180)] = 50969,
  [SMALL_STATE(1181)] = 51069,
  [SMALL_STATE(1182)] = 51123,
  [SMALL_STATE(1183)] = 51177,
  [SMALL_STATE(1184)] = 51231,
  [SMALL_STATE(1185)] = 51285,
  [SMALL_STATE(1186)] = 51339,
  [SMALL_STATE(1187)] = 51393,
  [SMALL_STATE(1188)] = 51447,
  [SMALL_STATE(1189)] = 51547,
  [SMALL_STATE(1190)] = 51647,
  [SMALL_STATE(1191)] = 51701,
  [SMALL_STATE(1192)] = 51801,
  [SMALL_STATE(1193)] = 51855,
  [SMALL_STATE(1194)] = 51911,
  [SMALL_STATE(1195)] = 51965,
  [SMALL_STATE(1196)] = 52019,
  [SMALL_STATE(1197)] = 52073,
  [SMALL_STATE(1198)] = 52142,
  [SMALL_STATE(1199)] = 52241,
  [SMALL_STATE(1200)] = 52340,
  [SMALL_STATE(1201)] = 52413,
  [SMALL_STATE(1202)] = 52504,
  [SMALL_STATE(1203)] = 52593,
  [SMALL_STATE(1204)] = 52680,
  [SMALL_STATE(1205)] = 52767,
  [SMALL_STATE(1206)] = 52870,
  [SMALL_STATE(1207)] = 52945,
  [SMALL_STATE(1208)] = 53038,
  [SMALL_STATE(1209)] = 53129,
  [SMALL_STATE(1210)] = 53204,
  [SMALL_STATE(1211)] = 53297,
  [SMALL_STATE(1212)] = 53396,
  [SMALL_STATE(1213)] = 53491,
  [SMALL_STATE(1214)] = 53560,
  [SMALL_STATE(1215)] = 53659,
  [SMALL_STATE(1216)] = 53738,
  [SMALL_STATE(1217)] = 53837,
  [SMALL_STATE(1218)] = 53936,
  [SMALL_STATE(1219)] = 54039,
  [SMALL_STATE(1220)] = 54142,
  [SMALL_STATE(1221)] = 54211,
  [SMALL_STATE(1222)] = 54302,
  [SMALL_STATE(1223)] = 54393,
  [SMALL_STATE(1224)] = 54476,
  [SMALL_STATE(1225)] = 54531,
  [SMALL_STATE(1226)] = 54600,
  [SMALL_STATE(1227)] = 54689,
  [SMALL_STATE(1228)] = 54788,
  [SMALL_STATE(1229)] = 54887,
  [SMALL_STATE(1230)] = 54986,
  [SMALL_STATE(1231)] = 55089,
  [SMALL_STATE(1232)] = 55162,
  [SMALL_STATE(1233)] = 55217,
  [SMALL_STATE(1234)] = 55272,
  [SMALL_STATE(1235)] = 55371,
  [SMALL_STATE(1236)] = 55474,
  [SMALL_STATE(1237)] = 55573,
  [SMALL_STATE(1238)] = 55676,
  [SMALL_STATE(1239)] = 55733,
  [SMALL_STATE(1240)] = 55796,
  [SMALL_STATE(1241)] = 55899,
  [SMALL_STATE(1242)] = 56002,
  [SMALL_STATE(1243)] = 56085,
  [SMALL_STATE(1244)] = 56164,
  [SMALL_STATE(1245)] = 56263,
  [SMALL_STATE(1246)] = 56366,
  [SMALL_STATE(1247)] = 56469,
  [SMALL_STATE(1248)] = 56568,
  [SMALL_STATE(1249)] = 56663,
  [SMALL_STATE(1250)] = 56762,
  [SMALL_STATE(1251)] = 56815,
  [SMALL_STATE(1252)] = 56918,
  [SMALL_STATE(1253)] = 57021,
  [SMALL_STATE(1254)] = 57120,
  [SMALL_STATE(1255)] = 57219,
  [SMALL_STATE(1256)] = 57274,
  [SMALL_STATE(1257)] = 57327,
  [SMALL_STATE(1258)] = 57382,
  [SMALL_STATE(1259)] = 57481,
  [SMALL_STATE(1260)] = 57580,
  [SMALL_STATE(1261)] = 57679,
  [SMALL_STATE(1262)] = 57782,
  [SMALL_STATE(1263)] = 57885,
  [SMALL_STATE(1264)] = 57986,
  [SMALL_STATE(1265)] = 58085,
  [SMALL_STATE(1266)] = 58140,
  [SMALL_STATE(1267)] = 58239,
  [SMALL_STATE(1268)] = 58342,
  [SMALL_STATE(1269)] = 58399,
  [SMALL_STATE(1270)] = 58458,
  [SMALL_STATE(1271)] = 58557,
  [SMALL_STATE(1272)] = 58612,
  [SMALL_STATE(1273)] = 58711,
  [SMALL_STATE(1274)] = 58814,
  [SMALL_STATE(1275)] = 58913,
  [SMALL_STATE(1276)] = 59012,
  [SMALL_STATE(1277)] = 59111,
  [SMALL_STATE(1278)] = 59166,
  [SMALL_STATE(1279)] = 59269,
  [SMALL_STATE(1280)] = 59372,
  [SMALL_STATE(1281)] = 59475,
  [SMALL_STATE(1282)] = 59531,
  [SMALL_STATE(1283)] = 59583,
  [SMALL_STATE(1284)] = 59685,
  [SMALL_STATE(1285)] = 59787,
  [SMALL_STATE(1286)] = 59839,
  [SMALL_STATE(1287)] = 59941,
  [SMALL_STATE(1288)] = 59995,
  [SMALL_STATE(1289)] = 60053,
  [SMALL_STATE(1290)] = 60155,
  [SMALL_STATE(1291)] = 60211,
  [SMALL_STATE(1292)] = 60313,
  [SMALL_STATE(1293)] = 60369,
  [SMALL_STATE(1294)] = 60421,
  [SMALL_STATE(1295)] = 60473,
  [SMALL_STATE(1296)] = 60525,
  [SMALL_STATE(1297)] = 60583,
  [SMALL_STATE(1298)] = 60639,
  [SMALL_STATE(1299)] = 60695,
  [SMALL_STATE(1300)] = 60797,
  [SMALL_STATE(1301)] = 60849,
  [SMALL_STATE(1302)] = 60905,
  [SMALL_STATE(1303)] = 61007,
  [SMALL_STATE(1304)] = 61065,
  [SMALL_STATE(1305)] = 61117,
  [SMALL_STATE(1306)] = 61169,
  [SMALL_STATE(1307)] = 61271,
  [SMALL_STATE(1308)] = 61373,
  [SMALL_STATE(1309)] = 61427,
  [SMALL_STATE(1310)] = 61529,
  [SMALL_STATE(1311)] = 61581,
  [SMALL_STATE(1312)] = 61683,
  [SMALL_STATE(1313)] = 61735,
  [SMALL_STATE(1314)] = 61837,
  [SMALL_STATE(1315)] = 61889,
  [SMALL_STATE(1316)] = 61947,
  [SMALL_STATE(1317)] = 62049,
  [SMALL_STATE(1318)] = 62101,
  [SMALL_STATE(1319)] = 62153,
  [SMALL_STATE(1320)] = 62255,
  [SMALL_STATE(1321)] = 62307,
  [SMALL_STATE(1322)] = 62359,
  [SMALL_STATE(1323)] = 62411,
  [SMALL_STATE(1324)] = 62463,
  [SMALL_STATE(1325)] = 62515,
  [SMALL_STATE(1326)] = 62617,
  [SMALL_STATE(1327)] = 62669,
  [SMALL_STATE(1328)] = 62771,
  [SMALL_STATE(1329)] = 62873,
  [SMALL_STATE(1330)] = 62925,
  [SMALL_STATE(1331)] = 62977,
  [SMALL_STATE(1332)] = 63031,
  [SMALL_STATE(1333)] = 63133,
  [SMALL_STATE(1334)] = 63185,
  [SMALL_STATE(1335)] = 63237,
  [SMALL_STATE(1336)] = 63289,
  [SMALL_STATE(1337)] = 63341,
  [SMALL_STATE(1338)] = 63393,
  [SMALL_STATE(1339)] = 63445,
  [SMALL_STATE(1340)] = 63497,
  [SMALL_STATE(1341)] = 63549,
  [SMALL_STATE(1342)] = 63605,
  [SMALL_STATE(1343)] = 63703,
  [SMALL_STATE(1344)] = 63759,
  [SMALL_STATE(1345)] = 63861,
  [SMALL_STATE(1346)] = 63913,
  [SMALL_STATE(1347)] = 64011,
  [SMALL_STATE(1348)] = 64069,
  [SMALL_STATE(1349)] = 64171,
  [SMALL_STATE(1350)] = 64223,
  [SMALL_STATE(1351)] = 64325,
  [SMALL_STATE(1352)] = 64377,
  [SMALL_STATE(1353)] = 64429,
  [SMALL_STATE(1354)] = 64481,
  [SMALL_STATE(1355)] = 64533,
  [SMALL_STATE(1356)] = 64585,
  [SMALL_STATE(1357)] = 64637,
  [SMALL_STATE(1358)] = 64689,
  [SMALL_STATE(1359)] = 64741,
  [SMALL_STATE(1360)] = 64793,
  [SMALL_STATE(1361)] = 64895,
  [SMALL_STATE(1362)] = 64997,
  [SMALL_STATE(1363)] = 65099,
  [SMALL_STATE(1364)] = 65151,
  [SMALL_STATE(1365)] = 65203,
  [SMALL_STATE(1366)] = 65305,
  [SMALL_STATE(1367)] = 65359,
  [SMALL_STATE(1368)] = 65461,
  [SMALL_STATE(1369)] = 65563,
  [SMALL_STATE(1370)] = 65665,
  [SMALL_STATE(1371)] = 65763,
  [SMALL_STATE(1372)] = 65865,
  [SMALL_STATE(1373)] = 65921,
  [SMALL_STATE(1374)] = 65973,
  [SMALL_STATE(1375)] = 66075,
  [SMALL_STATE(1376)] = 66131,
  [SMALL_STATE(1377)] = 66187,
  [SMALL_STATE(1378)] = 66289,
  [SMALL_STATE(1379)] = 66341,
  [SMALL_STATE(1380)] = 66393,
  [SMALL_STATE(1381)] = 66445,
  [SMALL_STATE(1382)] = 66547,
  [SMALL_STATE(1383)] = 66649,
  [SMALL_STATE(1384)] = 66751,
  [SMALL_STATE(1385)] = 66803,
  [SMALL_STATE(1386)] = 66859,
  [SMALL_STATE(1387)] = 66911,
  [SMALL_STATE(1388)] = 67013,
  [SMALL_STATE(1389)] = 67065,
  [SMALL_STATE(1390)] = 67117,
  [SMALL_STATE(1391)] = 67173,
  [SMALL_STATE(1392)] = 67225,
  [SMALL_STATE(1393)] = 67281,
  [SMALL_STATE(1394)] = 67333,
  [SMALL_STATE(1395)] = 67430,
  [SMALL_STATE(1396)] = 67527,
  [SMALL_STATE(1397)] = 67616,
  [SMALL_STATE(1398)] = 67671,
  [SMALL_STATE(1399)] = 67770,
  [SMALL_STATE(1400)] = 67867,
  [SMALL_STATE(1401)] = 67964,
  [SMALL_STATE(1402)] = 68063,
  [SMALL_STATE(1403)] = 68160,
  [SMALL_STATE(1404)] = 68259,
  [SMALL_STATE(1405)] = 68358,
  [SMALL_STATE(1406)] = 68455,
  [SMALL_STATE(1407)] = 68552,
  [SMALL_STATE(1408)] = 68649,
  [SMALL_STATE(1409)] = 68746,
  [SMALL_STATE(1410)] = 68843,
  [SMALL_STATE(1411)] = 68940,
  [SMALL_STATE(1412)] = 69037,
  [SMALL_STATE(1413)] = 69134,
  [SMALL_STATE(1414)] = 69231,
  [SMALL_STATE(1415)] = 69328,
  [SMALL_STATE(1416)] = 69427,
  [SMALL_STATE(1417)] = 69524,
  [SMALL_STATE(1418)] = 69621,
  [SMALL_STATE(1419)] = 69718,
  [SMALL_STATE(1420)] = 69815,
  [SMALL_STATE(1421)] = 69912,
  [SMALL_STATE(1422)] = 70005,
  [SMALL_STATE(1423)] = 70086,
  [SMALL_STATE(1424)] = 70153,
  [SMALL_STATE(1425)] = 70208,
  [SMALL_STATE(1426)] = 70279,
  [SMALL_STATE(1427)] = 70334,
  [SMALL_STATE(1428)] = 70423,
  [SMALL_STATE(1429)] = 70510,
  [SMALL_STATE(1430)] = 70595,
  [SMALL_STATE(1431)] = 70662,
  [SMALL_STATE(1432)] = 70739,
  [SMALL_STATE(1433)] = 70812,
  [SMALL_STATE(1434)] = 70903,
  [SMALL_STATE(1435)] = 70987,
  [SMALL_STATE(1436)] = 71083,
  [SMALL_STATE(1437)] = 71139,
  [SMALL_STATE(1438)] = 71195,
  [SMALL_STATE(1439)] = 71291,
  [SMALL_STATE(1440)] = 71387,
  [SMALL_STATE(1441)] = 71443,
  [SMALL_STATE(1442)] = 71539,
  [SMALL_STATE(1443)] = 71635,
  [SMALL_STATE(1444)] = 71731,
  [SMALL_STATE(1445)] = 71827,
  [SMALL_STATE(1446)] = 71923,
  [SMALL_STATE(1447)] = 72019,
  [SMALL_STATE(1448)] = 72117,
  [SMALL_STATE(1449)] = 72213,
  [SMALL_STATE(1450)] = 72305,
  [SMALL_STATE(1451)] = 72401,
  [SMALL_STATE(1452)] = 72497,
  [SMALL_STATE(1453)] = 72593,
  [SMALL_STATE(1454)] = 72689,
  [SMALL_STATE(1455)] = 72785,
  [SMALL_STATE(1456)] = 72881,
  [SMALL_STATE(1457)] = 72961,
  [SMALL_STATE(1458)] = 73057,
  [SMALL_STATE(1459)] = 73113,
  [SMALL_STATE(1460)] = 73209,
  [SMALL_STATE(1461)] = 73305,
  [SMALL_STATE(1462)] = 73401,
  [SMALL_STATE(1463)] = 73477,
  [SMALL_STATE(1464)] = 73543,
  [SMALL_STATE(1465)] = 73631,
  [SMALL_STATE(1466)] = 73721,
  [SMALL_STATE(1467)] = 73793,
  [SMALL_STATE(1468)] = 73879,
  [SMALL_STATE(1469)] = 73967,
  [SMALL_STATE(1470)] = 74037,
  [SMALL_STATE(1471)] = 74103,
  [SMALL_STATE(1472)] = 74198,
  [SMALL_STATE(1473)] = 74293,
  [SMALL_STATE(1474)] = 74344,
  [SMALL_STATE(1475)] = 74437,
  [SMALL_STATE(1476)] = 74492,
  [SMALL_STATE(1477)] = 74547,
  [SMALL_STATE(1478)] = 74640,
  [SMALL_STATE(1479)] = 74695,
  [SMALL_STATE(1480)] = 74750,
  [SMALL_STATE(1481)] = 74801,
  [SMALL_STATE(1482)] = 74896,
  [SMALL_STATE(1483)] = 74991,
  [SMALL_STATE(1484)] = 75086,
  [SMALL_STATE(1485)] = 75181,
  [SMALL_STATE(1486)] = 75276,
  [SMALL_STATE(1487)] = 75363,
  [SMALL_STATE(1488)] = 75450,
  [SMALL_STATE(1489)] = 75537,
  [SMALL_STATE(1490)] = 75624,
  [SMALL_STATE(1491)] = 75711,
  [SMALL_STATE(1492)] = 75798,
  [SMALL_STATE(1493)] = 75885,
  [SMALL_STATE(1494)] = 75972,
  [SMALL_STATE(1495)] = 76059,
  [SMALL_STATE(1496)] = 76146,
  [SMALL_STATE(1497)] = 76233,
  [SMALL_STATE(1498)] = 76320,
  [SMALL_STATE(1499)] = 76407,
  [SMALL_STATE(1500)] = 76494,
  [SMALL_STATE(1501)] = 76581,
  [SMALL_STATE(1502)] = 76668,
  [SMALL_STATE(1503)] = 76755,
  [SMALL_STATE(1504)] = 76842,
  [SMALL_STATE(1505)] = 76929,
  [SMALL_STATE(1506)] = 77016,
  [SMALL_STATE(1507)] = 77103,
  [SMALL_STATE(1508)] = 77190,
  [SMALL_STATE(1509)] = 77275,
  [SMALL_STATE(1510)] = 77362,
  [SMALL_STATE(1511)] = 77439,
  [SMALL_STATE(1512)] = 77505,
  [SMALL_STATE(1513)] = 77577,
  [SMALL_STATE(1514)] = 77643,
  [SMALL_STATE(1515)] = 77704,
  [SMALL_STATE(1516)] = 77769,
  [SMALL_STATE(1517)] = 77832,
  [SMALL_STATE(1518)] = 77895,
  [SMALL_STATE(1519)] = 77960,
  [SMALL_STATE(1520)] = 78025,
  [SMALL_STATE(1521)] = 78090,
  [SMALL_STATE(1522)] = 78153,
  [SMALL_STATE(1523)] = 78218,
  [SMALL_STATE(1524)] = 78283,
  [SMALL_STATE(1525)] = 78346,
  [SMALL_STATE(1526)] = 78411,
  [SMALL_STATE(1527)] = 78474,
  [SMALL_STATE(1528)] = 78537,
  [SMALL_STATE(1529)] = 78600,
  [SMALL_STATE(1530)] = 78658,
  [SMALL_STATE(1531)] = 78716,
  [SMALL_STATE(1532)] = 78774,
  [SMALL_STATE(1533)] = 78832,
  [SMALL_STATE(1534)] = 78890,
  [SMALL_STATE(1535)] = 78948,
  [SMALL_STATE(1536)] = 79006,
  [SMALL_STATE(1537)] = 79066,
  [SMALL_STATE(1538)] = 79123,
  [SMALL_STATE(1539)] = 79178,
  [SMALL_STATE(1540)] = 79237,
  [SMALL_STATE(1541)] = 79304,
  [SMALL_STATE(1542)] = 79361,
  [SMALL_STATE(1543)] = 79413,
  [SMALL_STATE(1544)] = 79467,
  [SMALL_STATE(1545)] = 79519,
  [SMALL_STATE(1546)] = 79573,
  [SMALL_STATE(1547)] = 79623,
  [SMALL_STATE(1548)] = 79685,
  [SMALL_STATE(1549)] = 79739,
  [SMALL_STATE(1550)] = 79795,
  [SMALL_STATE(1551)] = 79847,
  [SMALL_STATE(1552)] = 79899,
  [SMALL_STATE(1553)] = 79961,
  [SMALL_STATE(1554)] = 80008,
  [SMALL_STATE(1555)] = 80055,
  [SMALL_STATE(1556)] = 80102,
  [SMALL_STATE(1557)] = 80139,
  [SMALL_STATE(1558)] = 80186,
  [SMALL_STATE(1559)] = 80233,
  [SMALL_STATE(1560)] = 80266,
  [SMALL_STATE(1561)] = 80299,
  [SMALL_STATE(1562)] = 80346,
  [SMALL_STATE(1563)] = 80393,
  [SMALL_STATE(1564)] = 80423,
  [SMALL_STATE(1565)] = 80453,
  [SMALL_STATE(1566)] = 80483,
  [SMALL_STATE(1567)] = 80513,
  [SMALL_STATE(1568)] = 80543,
  [SMALL_STATE(1569)] = 80573,
  [SMALL_STATE(1570)] = 80603,
  [SMALL_STATE(1571)] = 80633,
  [SMALL_STATE(1572)] = 80663,
  [SMALL_STATE(1573)] = 80693,
  [SMALL_STATE(1574)] = 80723,
  [SMALL_STATE(1575)] = 80753,
  [SMALL_STATE(1576)] = 80785,
  [SMALL_STATE(1577)] = 80815,
  [SMALL_STATE(1578)] = 80845,
  [SMALL_STATE(1579)] = 80881,
  [SMALL_STATE(1580)] = 80915,
  [SMALL_STATE(1581)] = 80945,
  [SMALL_STATE(1582)] = 80975,
  [SMALL_STATE(1583)] = 81005,
  [SMALL_STATE(1584)] = 81035,
  [SMALL_STATE(1585)] = 81065,
  [SMALL_STATE(1586)] = 81095,
  [SMALL_STATE(1587)] = 81125,
  [SMALL_STATE(1588)] = 81155,
  [SMALL_STATE(1589)] = 81185,
  [SMALL_STATE(1590)] = 81215,
  [SMALL_STATE(1591)] = 81245,
  [SMALL_STATE(1592)] = 81275,
  [SMALL_STATE(1593)] = 81305,
  [SMALL_STATE(1594)] = 81335,
  [SMALL_STATE(1595)] = 81365,
  [SMALL_STATE(1596)] = 81395,
  [SMALL_STATE(1597)] = 81425,
  [SMALL_STATE(1598)] = 81455,
  [SMALL_STATE(1599)] = 81485,
  [SMALL_STATE(1600)] = 81515,
  [SMALL_STATE(1601)] = 81545,
  [SMALL_STATE(1602)] = 81575,
  [SMALL_STATE(1603)] = 81605,
  [SMALL_STATE(1604)] = 81635,
  [SMALL_STATE(1605)] = 81665,
  [SMALL_STATE(1606)] = 81694,
  [SMALL_STATE(1607)] = 81743,
  [SMALL_STATE(1608)] = 81794,
  [SMALL_STATE(1609)] = 81841,
  [SMALL_STATE(1610)] = 81886,
  [SMALL_STATE(1611)] = 81935,
  [SMALL_STATE(1612)] = 81968,
  [SMALL_STATE(1613)] = 82017,
  [SMALL_STATE(1614)] = 82064,
  [SMALL_STATE(1615)] = 82113,
  [SMALL_STATE(1616)] = 82164,
  [SMALL_STATE(1617)] = 82206,
  [SMALL_STATE(1618)] = 82248,
  [SMALL_STATE(1619)] = 82290,
  [SMALL_STATE(1620)] = 82332,
  [SMALL_STATE(1621)] = 82380,
  [SMALL_STATE(1622)] = 82428,
  [SMALL_STATE(1623)] = 82470,
  [SMALL_STATE(1624)] = 82498,
  [SMALL_STATE(1625)] = 82540,
  [SMALL_STATE(1626)] = 82582,
  [SMALL_STATE(1627)] = 82624,
  [SMALL_STATE(1628)] = 82666,
  [SMALL_STATE(1629)] = 82708,
  [SMALL_STATE(1630)] = 82750,
  [SMALL_STATE(1631)] = 82792,
  [SMALL_STATE(1632)] = 82838,
  [SMALL_STATE(1633)] = 82884,
  [SMALL_STATE(1634)] = 82926,
  [SMALL_STATE(1635)] = 82974,
  [SMALL_STATE(1636)] = 83002,
  [SMALL_STATE(1637)] = 83050,
  [SMALL_STATE(1638)] = 83092,
  [SMALL_STATE(1639)] = 83134,
  [SMALL_STATE(1640)] = 83162,
  [SMALL_STATE(1641)] = 83204,
  [SMALL_STATE(1642)] = 83246,
  [SMALL_STATE(1643)] = 83288,
  [SMALL_STATE(1644)] = 83316,
  [SMALL_STATE(1645)] = 83358,
  [SMALL_STATE(1646)] = 83400,
  [SMALL_STATE(1647)] = 83448,
  [SMALL_STATE(1648)] = 83490,
  [SMALL_STATE(1649)] = 83518,
  [SMALL_STATE(1650)] = 83546,
  [SMALL_STATE(1651)] = 83588,
  [SMALL_STATE(1652)] = 83636,
  [SMALL_STATE(1653)] = 83678,
  [SMALL_STATE(1654)] = 83726,
  [SMALL_STATE(1655)] = 83768,
  [SMALL_STATE(1656)] = 83807,
  [SMALL_STATE(1657)] = 83834,
  [SMALL_STATE(1658)] = 83861,
  [SMALL_STATE(1659)] = 83900,
  [SMALL_STATE(1660)] = 83939,
  [SMALL_STATE(1661)] = 83978,
  [SMALL_STATE(1662)] = 84017,
  [SMALL_STATE(1663)] = 84044,
  [SMALL_STATE(1664)] = 84071,
  [SMALL_STATE(1665)] = 84110,
  [SMALL_STATE(1666)] = 84137,
  [SMALL_STATE(1667)] = 84164,
  [SMALL_STATE(1668)] = 84191,
  [SMALL_STATE(1669)] = 84230,
  [SMALL_STATE(1670)] = 84269,
  [SMALL_STATE(1671)] = 84308,
  [SMALL_STATE(1672)] = 84347,
  [SMALL_STATE(1673)] = 84386,
  [SMALL_STATE(1674)] = 84413,
  [SMALL_STATE(1675)] = 84452,
  [SMALL_STATE(1676)] = 84491,
  [SMALL_STATE(1677)] = 84530,
  [SMALL_STATE(1678)] = 84569,
  [SMALL_STATE(1679)] = 84608,
  [SMALL_STATE(1680)] = 84635,
  [SMALL_STATE(1681)] = 84662,
  [SMALL_STATE(1682)] = 84689,
  [SMALL_STATE(1683)] = 84728,
  [SMALL_STATE(1684)] = 84767,
  [SMALL_STATE(1685)] = 84808,
  [SMALL_STATE(1686)] = 84849,
  [SMALL_STATE(1687)] = 84890,
  [SMALL_STATE(1688)] = 84931,
  [SMALL_STATE(1689)] = 84972,
  [SMALL_STATE(1690)] = 85011,
  [SMALL_STATE(1691)] = 85052,
  [SMALL_STATE(1692)] = 85093,
  [SMALL_STATE(1693)] = 85134,
  [SMALL_STATE(1694)] = 85175,
  [SMALL_STATE(1695)] = 85216,
  [SMALL_STATE(1696)] = 85257,
  [SMALL_STATE(1697)] = 85298,
  [SMALL_STATE(1698)] = 85334,
  [SMALL_STATE(1699)] = 85373,
  [SMALL_STATE(1700)] = 85412,
  [SMALL_STATE(1701)] = 85451,
  [SMALL_STATE(1702)] = 85490,
  [SMALL_STATE(1703)] = 85526,
  [SMALL_STATE(1704)] = 85562,
  [SMALL_STATE(1705)] = 85598,
  [SMALL_STATE(1706)] = 85634,
  [SMALL_STATE(1707)] = 85670,
  [SMALL_STATE(1708)] = 85706,
  [SMALL_STATE(1709)] = 85742,
  [SMALL_STATE(1710)] = 85778,
  [SMALL_STATE(1711)] = 85811,
  [SMALL_STATE(1712)] = 85842,
  [SMALL_STATE(1713)] = 85875,
  [SMALL_STATE(1714)] = 85908,
  [SMALL_STATE(1715)] = 85941,
  [SMALL_STATE(1716)] = 85974,
  [SMALL_STATE(1717)] = 86007,
  [SMALL_STATE(1718)] = 86040,
  [SMALL_STATE(1719)] = 86073,
  [SMALL_STATE(1720)] = 86106,
  [SMALL_STATE(1721)] = 86137,
  [SMALL_STATE(1722)] = 86166,
  [SMALL_STATE(1723)] = 86199,
  [SMALL_STATE(1724)] = 86232,
  [SMALL_STATE(1725)] = 86265,
  [SMALL_STATE(1726)] = 86298,
  [SMALL_STATE(1727)] = 86331,
  [SMALL_STATE(1728)] = 86364,
  [SMALL_STATE(1729)] = 86397,
  [SMALL_STATE(1730)] = 86430,
  [SMALL_STATE(1731)] = 86463,
  [SMALL_STATE(1732)] = 86496,
  [SMALL_STATE(1733)] = 86529,
  [SMALL_STATE(1734)] = 86563,
  [SMALL_STATE(1735)] = 86597,
  [SMALL_STATE(1736)] = 86626,
  [SMALL_STATE(1737)] = 86655,
  [SMALL_STATE(1738)] = 86674,
  [SMALL_STATE(1739)] = 86697,
  [SMALL_STATE(1740)] = 86726,
  [SMALL_STATE(1741)] = 86755,
  [SMALL_STATE(1742)] = 86784,
  [SMALL_STATE(1743)] = 86803,
  [SMALL_STATE(1744)] = 86834,
  [SMALL_STATE(1745)] = 86863,
  [SMALL_STATE(1746)] = 86892,
  [SMALL_STATE(1747)] = 86911,
  [SMALL_STATE(1748)] = 86940,
  [SMALL_STATE(1749)] = 86969,
  [SMALL_STATE(1750)] = 87000,
  [SMALL_STATE(1751)] = 87029,
  [SMALL_STATE(1752)] = 87048,
  [SMALL_STATE(1753)] = 87077,
  [SMALL_STATE(1754)] = 87098,
  [SMALL_STATE(1755)] = 87127,
  [SMALL_STATE(1756)] = 87146,
  [SMALL_STATE(1757)] = 87177,
  [SMALL_STATE(1758)] = 87206,
  [SMALL_STATE(1759)] = 87231,
  [SMALL_STATE(1760)] = 87256,
  [SMALL_STATE(1761)] = 87285,
  [SMALL_STATE(1762)] = 87314,
  [SMALL_STATE(1763)] = 87335,
  [SMALL_STATE(1764)] = 87364,
  [SMALL_STATE(1765)] = 87393,
  [SMALL_STATE(1766)] = 87424,
  [SMALL_STATE(1767)] = 87453,
  [SMALL_STATE(1768)] = 87472,
  [SMALL_STATE(1769)] = 87501,
  [SMALL_STATE(1770)] = 87530,
  [SMALL_STATE(1771)] = 87548,
  [SMALL_STATE(1772)] = 87574,
  [SMALL_STATE(1773)] = 87592,
  [SMALL_STATE(1774)] = 87610,
  [SMALL_STATE(1775)] = 87628,
  [SMALL_STATE(1776)] = 87646,
  [SMALL_STATE(1777)] = 87664,
  [SMALL_STATE(1778)] = 87682,
  [SMALL_STATE(1779)] = 87700,
  [SMALL_STATE(1780)] = 87722,
  [SMALL_STATE(1781)] = 87748,
  [SMALL_STATE(1782)] = 87774,
  [SMALL_STATE(1783)] = 87798,
  [SMALL_STATE(1784)] = 87824,
  [SMALL_STATE(1785)] = 87842,
  [SMALL_STATE(1786)] = 87862,
  [SMALL_STATE(1787)] = 87880,
  [SMALL_STATE(1788)] = 87898,
  [SMALL_STATE(1789)] = 87924,
  [SMALL_STATE(1790)] = 87950,
  [SMALL_STATE(1791)] = 87976,
  [SMALL_STATE(1792)] = 87994,
  [SMALL_STATE(1793)] = 88012,
  [SMALL_STATE(1794)] = 88030,
  [SMALL_STATE(1795)] = 88048,
  [SMALL_STATE(1796)] = 88066,
  [SMALL_STATE(1797)] = 88084,
  [SMALL_STATE(1798)] = 88102,
  [SMALL_STATE(1799)] = 88128,
  [SMALL_STATE(1800)] = 88146,
  [SMALL_STATE(1801)] = 88170,
  [SMALL_STATE(1802)] = 88188,
  [SMALL_STATE(1803)] = 88206,
  [SMALL_STATE(1804)] = 88232,
  [SMALL_STATE(1805)] = 88258,
  [SMALL_STATE(1806)] = 88276,
  [SMALL_STATE(1807)] = 88294,
  [SMALL_STATE(1808)] = 88320,
  [SMALL_STATE(1809)] = 88348,
  [SMALL_STATE(1810)] = 88366,
  [SMALL_STATE(1811)] = 88392,
  [SMALL_STATE(1812)] = 88418,
  [SMALL_STATE(1813)] = 88444,
  [SMALL_STATE(1814)] = 88470,
  [SMALL_STATE(1815)] = 88496,
  [SMALL_STATE(1816)] = 88514,
  [SMALL_STATE(1817)] = 88532,
  [SMALL_STATE(1818)] = 88558,
  [SMALL_STATE(1819)] = 88576,
  [SMALL_STATE(1820)] = 88594,
  [SMALL_STATE(1821)] = 88612,
  [SMALL_STATE(1822)] = 88638,
  [SMALL_STATE(1823)] = 88664,
  [SMALL_STATE(1824)] = 88688,
  [SMALL_STATE(1825)] = 88714,
  [SMALL_STATE(1826)] = 88732,
  [SMALL_STATE(1827)] = 88750,
  [SMALL_STATE(1828)] = 88776,
  [SMALL_STATE(1829)] = 88802,
  [SMALL_STATE(1830)] = 88820,
  [SMALL_STATE(1831)] = 88846,
  [SMALL_STATE(1832)] = 88866,
  [SMALL_STATE(1833)] = 88892,
  [SMALL_STATE(1834)] = 88910,
  [SMALL_STATE(1835)] = 88938,
  [SMALL_STATE(1836)] = 88956,
  [SMALL_STATE(1837)] = 88982,
  [SMALL_STATE(1838)] = 89008,
  [SMALL_STATE(1839)] = 89034,
  [SMALL_STATE(1840)] = 89060,
  [SMALL_STATE(1841)] = 89077,
  [SMALL_STATE(1842)] = 89102,
  [SMALL_STATE(1843)] = 89127,
  [SMALL_STATE(1844)] = 89152,
  [SMALL_STATE(1845)] = 89177,
  [SMALL_STATE(1846)] = 89194,
  [SMALL_STATE(1847)] = 89219,
  [SMALL_STATE(1848)] = 89244,
  [SMALL_STATE(1849)] = 89269,
  [SMALL_STATE(1850)] = 89294,
  [SMALL_STATE(1851)] = 89311,
  [SMALL_STATE(1852)] = 89336,
  [SMALL_STATE(1853)] = 89357,
  [SMALL_STATE(1854)] = 89378,
  [SMALL_STATE(1855)] = 89403,
  [SMALL_STATE(1856)] = 89428,
  [SMALL_STATE(1857)] = 89445,
  [SMALL_STATE(1858)] = 89470,
  [SMALL_STATE(1859)] = 89495,
  [SMALL_STATE(1860)] = 89520,
  [SMALL_STATE(1861)] = 89541,
  [SMALL_STATE(1862)] = 89566,
  [SMALL_STATE(1863)] = 89591,
  [SMALL_STATE(1864)] = 89616,
  [SMALL_STATE(1865)] = 89641,
  [SMALL_STATE(1866)] = 89666,
  [SMALL_STATE(1867)] = 89683,
  [SMALL_STATE(1868)] = 89708,
  [SMALL_STATE(1869)] = 89725,
  [SMALL_STATE(1870)] = 89750,
  [SMALL_STATE(1871)] = 89775,
  [SMALL_STATE(1872)] = 89800,
  [SMALL_STATE(1873)] = 89817,
  [SMALL_STATE(1874)] = 89842,
  [SMALL_STATE(1875)] = 89863,
  [SMALL_STATE(1876)] = 89882,
  [SMALL_STATE(1877)] = 89905,
  [SMALL_STATE(1878)] = 89922,
  [SMALL_STATE(1879)] = 89939,
  [SMALL_STATE(1880)] = 89956,
  [SMALL_STATE(1881)] = 89973,
  [SMALL_STATE(1882)] = 89990,
  [SMALL_STATE(1883)] = 90007,
  [SMALL_STATE(1884)] = 90032,
  [SMALL_STATE(1885)] = 90057,
  [SMALL_STATE(1886)] = 90074,
  [SMALL_STATE(1887)] = 90099,
  [SMALL_STATE(1888)] = 90116,
  [SMALL_STATE(1889)] = 90133,
  [SMALL_STATE(1890)] = 90158,
  [SMALL_STATE(1891)] = 90183,
  [SMALL_STATE(1892)] = 90200,
  [SMALL_STATE(1893)] = 90217,
  [SMALL_STATE(1894)] = 90242,
  [SMALL_STATE(1895)] = 90259,
  [SMALL_STATE(1896)] = 90278,
  [SMALL_STATE(1897)] = 90295,
  [SMALL_STATE(1898)] = 90320,
  [SMALL_STATE(1899)] = 90345,
  [SMALL_STATE(1900)] = 90364,
  [SMALL_STATE(1901)] = 90389,
  [SMALL_STATE(1902)] = 90411,
  [SMALL_STATE(1903)] = 90431,
  [SMALL_STATE(1904)] = 90453,
  [SMALL_STATE(1905)] = 90475,
  [SMALL_STATE(1906)] = 90495,
  [SMALL_STATE(1907)] = 90515,
  [SMALL_STATE(1908)] = 90537,
  [SMALL_STATE(1909)] = 90557,
  [SMALL_STATE(1910)] = 90579,
  [SMALL_STATE(1911)] = 90601,
  [SMALL_STATE(1912)] = 90623,
  [SMALL_STATE(1913)] = 90639,
  [SMALL_STATE(1914)] = 90661,
  [SMALL_STATE(1915)] = 90681,
  [SMALL_STATE(1916)] = 90703,
  [SMALL_STATE(1917)] = 90719,
  [SMALL_STATE(1918)] = 90735,
  [SMALL_STATE(1919)] = 90753,
  [SMALL_STATE(1920)] = 90775,
  [SMALL_STATE(1921)] = 90797,
  [SMALL_STATE(1922)] = 90819,
  [SMALL_STATE(1923)] = 90835,
  [SMALL_STATE(1924)] = 90855,
  [SMALL_STATE(1925)] = 90877,
  [SMALL_STATE(1926)] = 90897,
  [SMALL_STATE(1927)] = 90919,
  [SMALL_STATE(1928)] = 90939,
  [SMALL_STATE(1929)] = 90961,
  [SMALL_STATE(1930)] = 90981,
  [SMALL_STATE(1931)] = 91001,
  [SMALL_STATE(1932)] = 91021,
  [SMALL_STATE(1933)] = 91043,
  [SMALL_STATE(1934)] = 91063,
  [SMALL_STATE(1935)] = 91085,
  [SMALL_STATE(1936)] = 91107,
  [SMALL_STATE(1937)] = 91125,
  [SMALL_STATE(1938)] = 91145,
  [SMALL_STATE(1939)] = 91165,
  [SMALL_STATE(1940)] = 91185,
  [SMALL_STATE(1941)] = 91201,
  [SMALL_STATE(1942)] = 91223,
  [SMALL_STATE(1943)] = 91243,
  [SMALL_STATE(1944)] = 91265,
  [SMALL_STATE(1945)] = 91285,
  [SMALL_STATE(1946)] = 91307,
  [SMALL_STATE(1947)] = 91329,
  [SMALL_STATE(1948)] = 91345,
  [SMALL_STATE(1949)] = 91367,
  [SMALL_STATE(1950)] = 91383,
  [SMALL_STATE(1951)] = 91403,
  [SMALL_STATE(1952)] = 91425,
  [SMALL_STATE(1953)] = 91445,
  [SMALL_STATE(1954)] = 91467,
  [SMALL_STATE(1955)] = 91489,
  [SMALL_STATE(1956)] = 91511,
  [SMALL_STATE(1957)] = 91531,
  [SMALL_STATE(1958)] = 91553,
  [SMALL_STATE(1959)] = 91573,
  [SMALL_STATE(1960)] = 91595,
  [SMALL_STATE(1961)] = 91611,
  [SMALL_STATE(1962)] = 91633,
  [SMALL_STATE(1963)] = 91653,
  [SMALL_STATE(1964)] = 91675,
  [SMALL_STATE(1965)] = 91695,
  [SMALL_STATE(1966)] = 91715,
  [SMALL_STATE(1967)] = 91733,
  [SMALL_STATE(1968)] = 91755,
  [SMALL_STATE(1969)] = 91777,
  [SMALL_STATE(1970)] = 91799,
  [SMALL_STATE(1971)] = 91819,
  [SMALL_STATE(1972)] = 91839,
  [SMALL_STATE(1973)] = 91855,
  [SMALL_STATE(1974)] = 91875,
  [SMALL_STATE(1975)] = 91895,
  [SMALL_STATE(1976)] = 91915,
  [SMALL_STATE(1977)] = 91935,
  [SMALL_STATE(1978)] = 91957,
  [SMALL_STATE(1979)] = 91979,
  [SMALL_STATE(1980)] = 91999,
  [SMALL_STATE(1981)] = 92021,
  [SMALL_STATE(1982)] = 92041,
  [SMALL_STATE(1983)] = 92063,
  [SMALL_STATE(1984)] = 92081,
  [SMALL_STATE(1985)] = 92101,
  [SMALL_STATE(1986)] = 92121,
  [SMALL_STATE(1987)] = 92143,
  [SMALL_STATE(1988)] = 92163,
  [SMALL_STATE(1989)] = 92183,
  [SMALL_STATE(1990)] = 92203,
  [SMALL_STATE(1991)] = 92223,
  [SMALL_STATE(1992)] = 92243,
  [SMALL_STATE(1993)] = 92263,
  [SMALL_STATE(1994)] = 92279,
  [SMALL_STATE(1995)] = 92301,
  [SMALL_STATE(1996)] = 92323,
  [SMALL_STATE(1997)] = 92341,
  [SMALL_STATE(1998)] = 92363,
  [SMALL_STATE(1999)] = 92385,
  [SMALL_STATE(2000)] = 92405,
  [SMALL_STATE(2001)] = 92427,
  [SMALL_STATE(2002)] = 92447,
  [SMALL_STATE(2003)] = 92467,
  [SMALL_STATE(2004)] = 92487,
  [SMALL_STATE(2005)] = 92509,
  [SMALL_STATE(2006)] = 92529,
  [SMALL_STATE(2007)] = 92551,
  [SMALL_STATE(2008)] = 92573,
  [SMALL_STATE(2009)] = 92595,
  [SMALL_STATE(2010)] = 92615,
  [SMALL_STATE(2011)] = 92635,
  [SMALL_STATE(2012)] = 92657,
  [SMALL_STATE(2013)] = 92679,
  [SMALL_STATE(2014)] = 92701,
  [SMALL_STATE(2015)] = 92723,
  [SMALL_STATE(2016)] = 92745,
  [SMALL_STATE(2017)] = 92765,
  [SMALL_STATE(2018)] = 92781,
  [SMALL_STATE(2019)] = 92803,
  [SMALL_STATE(2020)] = 92823,
  [SMALL_STATE(2021)] = 92843,
  [SMALL_STATE(2022)] = 92865,
  [SMALL_STATE(2023)] = 92887,
  [SMALL_STATE(2024)] = 92907,
  [SMALL_STATE(2025)] = 92927,
  [SMALL_STATE(2026)] = 92949,
  [SMALL_STATE(2027)] = 92971,
  [SMALL_STATE(2028)] = 92993,
  [SMALL_STATE(2029)] = 93015,
  [SMALL_STATE(2030)] = 93033,
  [SMALL_STATE(2031)] = 93051,
  [SMALL_STATE(2032)] = 93073,
  [SMALL_STATE(2033)] = 93091,
  [SMALL_STATE(2034)] = 93113,
  [SMALL_STATE(2035)] = 93135,
  [SMALL_STATE(2036)] = 93155,
  [SMALL_STATE(2037)] = 93175,
  [SMALL_STATE(2038)] = 93197,
  [SMALL_STATE(2039)] = 93219,
  [SMALL_STATE(2040)] = 93241,
  [SMALL_STATE(2041)] = 93263,
  [SMALL_STATE(2042)] = 93285,
  [SMALL_STATE(2043)] = 93305,
  [SMALL_STATE(2044)] = 93325,
  [SMALL_STATE(2045)] = 93345,
  [SMALL_STATE(2046)] = 93364,
  [SMALL_STATE(2047)] = 93383,
  [SMALL_STATE(2048)] = 93402,
  [SMALL_STATE(2049)] = 93421,
  [SMALL_STATE(2050)] = 93440,
  [SMALL_STATE(2051)] = 93459,
  [SMALL_STATE(2052)] = 93478,
  [SMALL_STATE(2053)] = 93497,
  [SMALL_STATE(2054)] = 93516,
  [SMALL_STATE(2055)] = 93531,
  [SMALL_STATE(2056)] = 93548,
  [SMALL_STATE(2057)] = 93565,
  [SMALL_STATE(2058)] = 93584,
  [SMALL_STATE(2059)] = 93599,
  [SMALL_STATE(2060)] = 93616,
  [SMALL_STATE(2061)] = 93631,
  [SMALL_STATE(2062)] = 93648,
  [SMALL_STATE(2063)] = 93667,
  [SMALL_STATE(2064)] = 93686,
  [SMALL_STATE(2065)] = 93705,
  [SMALL_STATE(2066)] = 93722,
  [SMALL_STATE(2067)] = 93741,
  [SMALL_STATE(2068)] = 93760,
  [SMALL_STATE(2069)] = 93779,
  [SMALL_STATE(2070)] = 93798,
  [SMALL_STATE(2071)] = 93813,
  [SMALL_STATE(2072)] = 93832,
  [SMALL_STATE(2073)] = 93847,
  [SMALL_STATE(2074)] = 93866,
  [SMALL_STATE(2075)] = 93885,
  [SMALL_STATE(2076)] = 93904,
  [SMALL_STATE(2077)] = 93923,
  [SMALL_STATE(2078)] = 93942,
  [SMALL_STATE(2079)] = 93961,
  [SMALL_STATE(2080)] = 93980,
  [SMALL_STATE(2081)] = 93999,
  [SMALL_STATE(2082)] = 94014,
  [SMALL_STATE(2083)] = 94033,
  [SMALL_STATE(2084)] = 94052,
  [SMALL_STATE(2085)] = 94071,
  [SMALL_STATE(2086)] = 94090,
  [SMALL_STATE(2087)] = 94109,
  [SMALL_STATE(2088)] = 94128,
  [SMALL_STATE(2089)] = 94147,
  [SMALL_STATE(2090)] = 94166,
  [SMALL_STATE(2091)] = 94183,
  [SMALL_STATE(2092)] = 94202,
  [SMALL_STATE(2093)] = 94217,
  [SMALL_STATE(2094)] = 94234,
  [SMALL_STATE(2095)] = 94253,
  [SMALL_STATE(2096)] = 94272,
  [SMALL_STATE(2097)] = 94291,
  [SMALL_STATE(2098)] = 94310,
  [SMALL_STATE(2099)] = 94327,
  [SMALL_STATE(2100)] = 94346,
  [SMALL_STATE(2101)] = 94365,
  [SMALL_STATE(2102)] = 94384,
  [SMALL_STATE(2103)] = 94401,
  [SMALL_STATE(2104)] = 94418,
  [SMALL_STATE(2105)] = 94435,
  [SMALL_STATE(2106)] = 94454,
  [SMALL_STATE(2107)] = 94473,
  [SMALL_STATE(2108)] = 94492,
  [SMALL_STATE(2109)] = 94511,
  [SMALL_STATE(2110)] = 94530,
  [SMALL_STATE(2111)] = 94547,
  [SMALL_STATE(2112)] = 94562,
  [SMALL_STATE(2113)] = 94577,
  [SMALL_STATE(2114)] = 94596,
  [SMALL_STATE(2115)] = 94613,
  [SMALL_STATE(2116)] = 94632,
  [SMALL_STATE(2117)] = 94651,
  [SMALL_STATE(2118)] = 94670,
  [SMALL_STATE(2119)] = 94689,
  [SMALL_STATE(2120)] = 94708,
  [SMALL_STATE(2121)] = 94727,
  [SMALL_STATE(2122)] = 94744,
  [SMALL_STATE(2123)] = 94763,
  [SMALL_STATE(2124)] = 94782,
  [SMALL_STATE(2125)] = 94801,
  [SMALL_STATE(2126)] = 94820,
  [SMALL_STATE(2127)] = 94839,
  [SMALL_STATE(2128)] = 94856,
  [SMALL_STATE(2129)] = 94875,
  [SMALL_STATE(2130)] = 94894,
  [SMALL_STATE(2131)] = 94909,
  [SMALL_STATE(2132)] = 94928,
  [SMALL_STATE(2133)] = 94947,
  [SMALL_STATE(2134)] = 94966,
  [SMALL_STATE(2135)] = 94985,
  [SMALL_STATE(2136)] = 95004,
  [SMALL_STATE(2137)] = 95023,
  [SMALL_STATE(2138)] = 95042,
  [SMALL_STATE(2139)] = 95061,
  [SMALL_STATE(2140)] = 95076,
  [SMALL_STATE(2141)] = 95095,
  [SMALL_STATE(2142)] = 95114,
  [SMALL_STATE(2143)] = 95133,
  [SMALL_STATE(2144)] = 95152,
  [SMALL_STATE(2145)] = 95171,
  [SMALL_STATE(2146)] = 95190,
  [SMALL_STATE(2147)] = 95209,
  [SMALL_STATE(2148)] = 95228,
  [SMALL_STATE(2149)] = 95243,
  [SMALL_STATE(2150)] = 95262,
  [SMALL_STATE(2151)] = 95281,
  [SMALL_STATE(2152)] = 95300,
  [SMALL_STATE(2153)] = 95317,
  [SMALL_STATE(2154)] = 95334,
  [SMALL_STATE(2155)] = 95349,
  [SMALL_STATE(2156)] = 95368,
  [SMALL_STATE(2157)] = 95387,
  [SMALL_STATE(2158)] = 95404,
  [SMALL_STATE(2159)] = 95421,
  [SMALL_STATE(2160)] = 95438,
  [SMALL_STATE(2161)] = 95457,
  [SMALL_STATE(2162)] = 95472,
  [SMALL_STATE(2163)] = 95491,
  [SMALL_STATE(2164)] = 95506,
  [SMALL_STATE(2165)] = 95525,
  [SMALL_STATE(2166)] = 95542,
  [SMALL_STATE(2167)] = 95559,
  [SMALL_STATE(2168)] = 95574,
  [SMALL_STATE(2169)] = 95593,
  [SMALL_STATE(2170)] = 95612,
  [SMALL_STATE(2171)] = 95629,
  [SMALL_STATE(2172)] = 95648,
  [SMALL_STATE(2173)] = 95667,
  [SMALL_STATE(2174)] = 95684,
  [SMALL_STATE(2175)] = 95703,
  [SMALL_STATE(2176)] = 95722,
  [SMALL_STATE(2177)] = 95739,
  [SMALL_STATE(2178)] = 95754,
  [SMALL_STATE(2179)] = 95773,
  [SMALL_STATE(2180)] = 95792,
  [SMALL_STATE(2181)] = 95809,
  [SMALL_STATE(2182)] = 95828,
  [SMALL_STATE(2183)] = 95843,
  [SMALL_STATE(2184)] = 95862,
  [SMALL_STATE(2185)] = 95877,
  [SMALL_STATE(2186)] = 95896,
  [SMALL_STATE(2187)] = 95915,
  [SMALL_STATE(2188)] = 95934,
  [SMALL_STATE(2189)] = 95953,
  [SMALL_STATE(2190)] = 95970,
  [SMALL_STATE(2191)] = 95989,
  [SMALL_STATE(2192)] = 96006,
  [SMALL_STATE(2193)] = 96025,
  [SMALL_STATE(2194)] = 96044,
  [SMALL_STATE(2195)] = 96059,
  [SMALL_STATE(2196)] = 96078,
  [SMALL_STATE(2197)] = 96093,
  [SMALL_STATE(2198)] = 96110,
  [SMALL_STATE(2199)] = 96129,
  [SMALL_STATE(2200)] = 96148,
  [SMALL_STATE(2201)] = 96164,
  [SMALL_STATE(2202)] = 96180,
  [SMALL_STATE(2203)] = 96196,
  [SMALL_STATE(2204)] = 96212,
  [SMALL_STATE(2205)] = 96228,
  [SMALL_STATE(2206)] = 96244,
  [SMALL_STATE(2207)] = 96260,
  [SMALL_STATE(2208)] = 96276,
  [SMALL_STATE(2209)] = 96292,
  [SMALL_STATE(2210)] = 96308,
  [SMALL_STATE(2211)] = 96324,
  [SMALL_STATE(2212)] = 96340,
  [SMALL_STATE(2213)] = 96356,
  [SMALL_STATE(2214)] = 96372,
  [SMALL_STATE(2215)] = 96388,
  [SMALL_STATE(2216)] = 96404,
  [SMALL_STATE(2217)] = 96418,
  [SMALL_STATE(2218)] = 96432,
  [SMALL_STATE(2219)] = 96448,
  [SMALL_STATE(2220)] = 96464,
  [SMALL_STATE(2221)] = 96480,
  [SMALL_STATE(2222)] = 96496,
  [SMALL_STATE(2223)] = 96512,
  [SMALL_STATE(2224)] = 96526,
  [SMALL_STATE(2225)] = 96542,
  [SMALL_STATE(2226)] = 96558,
  [SMALL_STATE(2227)] = 96572,
  [SMALL_STATE(2228)] = 96586,
  [SMALL_STATE(2229)] = 96602,
  [SMALL_STATE(2230)] = 96616,
  [SMALL_STATE(2231)] = 96632,
  [SMALL_STATE(2232)] = 96648,
  [SMALL_STATE(2233)] = 96664,
  [SMALL_STATE(2234)] = 96680,
  [SMALL_STATE(2235)] = 96696,
  [SMALL_STATE(2236)] = 96712,
  [SMALL_STATE(2237)] = 96726,
  [SMALL_STATE(2238)] = 96740,
  [SMALL_STATE(2239)] = 96756,
  [SMALL_STATE(2240)] = 96772,
  [SMALL_STATE(2241)] = 96788,
  [SMALL_STATE(2242)] = 96802,
  [SMALL_STATE(2243)] = 96818,
  [SMALL_STATE(2244)] = 96832,
  [SMALL_STATE(2245)] = 96846,
  [SMALL_STATE(2246)] = 96860,
  [SMALL_STATE(2247)] = 96874,
  [SMALL_STATE(2248)] = 96888,
  [SMALL_STATE(2249)] = 96904,
  [SMALL_STATE(2250)] = 96918,
  [SMALL_STATE(2251)] = 96934,
  [SMALL_STATE(2252)] = 96950,
  [SMALL_STATE(2253)] = 96964,
  [SMALL_STATE(2254)] = 96980,
  [SMALL_STATE(2255)] = 96996,
  [SMALL_STATE(2256)] = 97010,
  [SMALL_STATE(2257)] = 97026,
  [SMALL_STATE(2258)] = 97042,
  [SMALL_STATE(2259)] = 97058,
  [SMALL_STATE(2260)] = 97074,
  [SMALL_STATE(2261)] = 97088,
  [SMALL_STATE(2262)] = 97102,
  [SMALL_STATE(2263)] = 97116,
  [SMALL_STATE(2264)] = 97130,
  [SMALL_STATE(2265)] = 97144,
  [SMALL_STATE(2266)] = 97158,
  [SMALL_STATE(2267)] = 97172,
  [SMALL_STATE(2268)] = 97188,
  [SMALL_STATE(2269)] = 97204,
  [SMALL_STATE(2270)] = 97220,
  [SMALL_STATE(2271)] = 97236,
  [SMALL_STATE(2272)] = 97250,
  [SMALL_STATE(2273)] = 97264,
  [SMALL_STATE(2274)] = 97278,
  [SMALL_STATE(2275)] = 97292,
  [SMALL_STATE(2276)] = 97308,
  [SMALL_STATE(2277)] = 97322,
  [SMALL_STATE(2278)] = 97336,
  [SMALL_STATE(2279)] = 97352,
  [SMALL_STATE(2280)] = 97368,
  [SMALL_STATE(2281)] = 97384,
  [SMALL_STATE(2282)] = 97398,
  [SMALL_STATE(2283)] = 97414,
  [SMALL_STATE(2284)] = 97430,
  [SMALL_STATE(2285)] = 97444,
  [SMALL_STATE(2286)] = 97460,
  [SMALL_STATE(2287)] = 97476,
  [SMALL_STATE(2288)] = 97492,
  [SMALL_STATE(2289)] = 97508,
  [SMALL_STATE(2290)] = 97524,
  [SMALL_STATE(2291)] = 97538,
  [SMALL_STATE(2292)] = 97552,
  [SMALL_STATE(2293)] = 97568,
  [SMALL_STATE(2294)] = 97584,
  [SMALL_STATE(2295)] = 97600,
  [SMALL_STATE(2296)] = 97614,
  [SMALL_STATE(2297)] = 97630,
  [SMALL_STATE(2298)] = 97646,
  [SMALL_STATE(2299)] = 97662,
  [SMALL_STATE(2300)] = 97678,
  [SMALL_STATE(2301)] = 97694,
  [SMALL_STATE(2302)] = 97710,
  [SMALL_STATE(2303)] = 97724,
  [SMALL_STATE(2304)] = 97740,
  [SMALL_STATE(2305)] = 97756,
  [SMALL_STATE(2306)] = 97770,
  [SMALL_STATE(2307)] = 97784,
  [SMALL_STATE(2308)] = 97800,
  [SMALL_STATE(2309)] = 97816,
  [SMALL_STATE(2310)] = 97832,
  [SMALL_STATE(2311)] = 97846,
  [SMALL_STATE(2312)] = 97862,
  [SMALL_STATE(2313)] = 97878,
  [SMALL_STATE(2314)] = 97894,
  [SMALL_STATE(2315)] = 97910,
  [SMALL_STATE(2316)] = 97926,
  [SMALL_STATE(2317)] = 97942,
  [SMALL_STATE(2318)] = 97956,
  [SMALL_STATE(2319)] = 97972,
  [SMALL_STATE(2320)] = 97988,
  [SMALL_STATE(2321)] = 98004,
  [SMALL_STATE(2322)] = 98020,
  [SMALL_STATE(2323)] = 98036,
  [SMALL_STATE(2324)] = 98052,
  [SMALL_STATE(2325)] = 98068,
  [SMALL_STATE(2326)] = 98084,
  [SMALL_STATE(2327)] = 98100,
  [SMALL_STATE(2328)] = 98116,
  [SMALL_STATE(2329)] = 98132,
  [SMALL_STATE(2330)] = 98148,
  [SMALL_STATE(2331)] = 98164,
  [SMALL_STATE(2332)] = 98180,
  [SMALL_STATE(2333)] = 98196,
  [SMALL_STATE(2334)] = 98212,
  [SMALL_STATE(2335)] = 98228,
  [SMALL_STATE(2336)] = 98242,
  [SMALL_STATE(2337)] = 98258,
  [SMALL_STATE(2338)] = 98274,
  [SMALL_STATE(2339)] = 98290,
  [SMALL_STATE(2340)] = 98306,
  [SMALL_STATE(2341)] = 98322,
  [SMALL_STATE(2342)] = 98338,
  [SMALL_STATE(2343)] = 98352,
  [SMALL_STATE(2344)] = 98368,
  [SMALL_STATE(2345)] = 98384,
  [SMALL_STATE(2346)] = 98398,
  [SMALL_STATE(2347)] = 98414,
  [SMALL_STATE(2348)] = 98430,
  [SMALL_STATE(2349)] = 98446,
  [SMALL_STATE(2350)] = 98462,
  [SMALL_STATE(2351)] = 98478,
  [SMALL_STATE(2352)] = 98494,
  [SMALL_STATE(2353)] = 98508,
  [SMALL_STATE(2354)] = 98524,
  [SMALL_STATE(2355)] = 98540,
  [SMALL_STATE(2356)] = 98556,
  [SMALL_STATE(2357)] = 98572,
  [SMALL_STATE(2358)] = 98588,
  [SMALL_STATE(2359)] = 98604,
  [SMALL_STATE(2360)] = 98620,
  [SMALL_STATE(2361)] = 98634,
  [SMALL_STATE(2362)] = 98650,
  [SMALL_STATE(2363)] = 98666,
  [SMALL_STATE(2364)] = 98682,
  [SMALL_STATE(2365)] = 98696,
  [SMALL_STATE(2366)] = 98710,
  [SMALL_STATE(2367)] = 98724,
  [SMALL_STATE(2368)] = 98738,
  [SMALL_STATE(2369)] = 98754,
  [SMALL_STATE(2370)] = 98770,
  [SMALL_STATE(2371)] = 98786,
  [SMALL_STATE(2372)] = 98802,
  [SMALL_STATE(2373)] = 98818,
  [SMALL_STATE(2374)] = 98834,
  [SMALL_STATE(2375)] = 98850,
  [SMALL_STATE(2376)] = 98866,
  [SMALL_STATE(2377)] = 98882,
  [SMALL_STATE(2378)] = 98898,
  [SMALL_STATE(2379)] = 98914,
  [SMALL_STATE(2380)] = 98928,
  [SMALL_STATE(2381)] = 98944,
  [SMALL_STATE(2382)] = 98960,
  [SMALL_STATE(2383)] = 98974,
  [SMALL_STATE(2384)] = 98988,
  [SMALL_STATE(2385)] = 99002,
  [SMALL_STATE(2386)] = 99016,
  [SMALL_STATE(2387)] = 99030,
  [SMALL_STATE(2388)] = 99044,
  [SMALL_STATE(2389)] = 99060,
  [SMALL_STATE(2390)] = 99076,
  [SMALL_STATE(2391)] = 99092,
  [SMALL_STATE(2392)] = 99106,
  [SMALL_STATE(2393)] = 99122,
  [SMALL_STATE(2394)] = 99138,
  [SMALL_STATE(2395)] = 99154,
  [SMALL_STATE(2396)] = 99170,
  [SMALL_STATE(2397)] = 99184,
  [SMALL_STATE(2398)] = 99198,
  [SMALL_STATE(2399)] = 99212,
  [SMALL_STATE(2400)] = 99226,
  [SMALL_STATE(2401)] = 99242,
  [SMALL_STATE(2402)] = 99258,
  [SMALL_STATE(2403)] = 99274,
  [SMALL_STATE(2404)] = 99288,
  [SMALL_STATE(2405)] = 99304,
  [SMALL_STATE(2406)] = 99320,
  [SMALL_STATE(2407)] = 99336,
  [SMALL_STATE(2408)] = 99352,
  [SMALL_STATE(2409)] = 99368,
  [SMALL_STATE(2410)] = 99384,
  [SMALL_STATE(2411)] = 99400,
  [SMALL_STATE(2412)] = 99414,
  [SMALL_STATE(2413)] = 99428,
  [SMALL_STATE(2414)] = 99444,
  [SMALL_STATE(2415)] = 99460,
  [SMALL_STATE(2416)] = 99476,
  [SMALL_STATE(2417)] = 99490,
  [SMALL_STATE(2418)] = 99506,
  [SMALL_STATE(2419)] = 99520,
  [SMALL_STATE(2420)] = 99536,
  [SMALL_STATE(2421)] = 99552,
  [SMALL_STATE(2422)] = 99568,
  [SMALL_STATE(2423)] = 99584,
  [SMALL_STATE(2424)] = 99600,
  [SMALL_STATE(2425)] = 99616,
  [SMALL_STATE(2426)] = 99632,
  [SMALL_STATE(2427)] = 99648,
  [SMALL_STATE(2428)] = 99664,
  [SMALL_STATE(2429)] = 99680,
  [SMALL_STATE(2430)] = 99696,
  [SMALL_STATE(2431)] = 99712,
  [SMALL_STATE(2432)] = 99728,
  [SMALL_STATE(2433)] = 99744,
  [SMALL_STATE(2434)] = 99760,
  [SMALL_STATE(2435)] = 99776,
  [SMALL_STATE(2436)] = 99792,
  [SMALL_STATE(2437)] = 99806,
  [SMALL_STATE(2438)] = 99822,
  [SMALL_STATE(2439)] = 99838,
  [SMALL_STATE(2440)] = 99854,
  [SMALL_STATE(2441)] = 99870,
  [SMALL_STATE(2442)] = 99886,
  [SMALL_STATE(2443)] = 99902,
  [SMALL_STATE(2444)] = 99918,
  [SMALL_STATE(2445)] = 99932,
  [SMALL_STATE(2446)] = 99948,
  [SMALL_STATE(2447)] = 99964,
  [SMALL_STATE(2448)] = 99980,
  [SMALL_STATE(2449)] = 99996,
  [SMALL_STATE(2450)] = 100012,
  [SMALL_STATE(2451)] = 100028,
  [SMALL_STATE(2452)] = 100044,
  [SMALL_STATE(2453)] = 100060,
  [SMALL_STATE(2454)] = 100074,
  [SMALL_STATE(2455)] = 100088,
  [SMALL_STATE(2456)] = 100104,
  [SMALL_STATE(2457)] = 100120,
  [SMALL_STATE(2458)] = 100136,
  [SMALL_STATE(2459)] = 100150,
  [SMALL_STATE(2460)] = 100166,
  [SMALL_STATE(2461)] = 100182,
  [SMALL_STATE(2462)] = 100198,
  [SMALL_STATE(2463)] = 100212,
  [SMALL_STATE(2464)] = 100228,
  [SMALL_STATE(2465)] = 100244,
  [SMALL_STATE(2466)] = 100260,
  [SMALL_STATE(2467)] = 100274,
  [SMALL_STATE(2468)] = 100288,
  [SMALL_STATE(2469)] = 100302,
  [SMALL_STATE(2470)] = 100316,
  [SMALL_STATE(2471)] = 100330,
  [SMALL_STATE(2472)] = 100344,
  [SMALL_STATE(2473)] = 100360,
  [SMALL_STATE(2474)] = 100376,
  [SMALL_STATE(2475)] = 100392,
  [SMALL_STATE(2476)] = 100408,
  [SMALL_STATE(2477)] = 100424,
  [SMALL_STATE(2478)] = 100438,
  [SMALL_STATE(2479)] = 100452,
  [SMALL_STATE(2480)] = 100466,
  [SMALL_STATE(2481)] = 100480,
  [SMALL_STATE(2482)] = 100496,
  [SMALL_STATE(2483)] = 100512,
  [SMALL_STATE(2484)] = 100528,
  [SMALL_STATE(2485)] = 100542,
  [SMALL_STATE(2486)] = 100556,
  [SMALL_STATE(2487)] = 100572,
  [SMALL_STATE(2488)] = 100588,
  [SMALL_STATE(2489)] = 100604,
  [SMALL_STATE(2490)] = 100620,
  [SMALL_STATE(2491)] = 100636,
  [SMALL_STATE(2492)] = 100650,
  [SMALL_STATE(2493)] = 100664,
  [SMALL_STATE(2494)] = 100678,
  [SMALL_STATE(2495)] = 100692,
  [SMALL_STATE(2496)] = 100706,
  [SMALL_STATE(2497)] = 100720,
  [SMALL_STATE(2498)] = 100736,
  [SMALL_STATE(2499)] = 100750,
  [SMALL_STATE(2500)] = 100766,
  [SMALL_STATE(2501)] = 100782,
  [SMALL_STATE(2502)] = 100796,
  [SMALL_STATE(2503)] = 100812,
  [SMALL_STATE(2504)] = 100826,
  [SMALL_STATE(2505)] = 100840,
  [SMALL_STATE(2506)] = 100856,
  [SMALL_STATE(2507)] = 100872,
  [SMALL_STATE(2508)] = 100886,
  [SMALL_STATE(2509)] = 100902,
  [SMALL_STATE(2510)] = 100918,
  [SMALL_STATE(2511)] = 100934,
  [SMALL_STATE(2512)] = 100950,
  [SMALL_STATE(2513)] = 100964,
  [SMALL_STATE(2514)] = 100980,
  [SMALL_STATE(2515)] = 100994,
  [SMALL_STATE(2516)] = 101010,
  [SMALL_STATE(2517)] = 101024,
  [SMALL_STATE(2518)] = 101038,
  [SMALL_STATE(2519)] = 101052,
  [SMALL_STATE(2520)] = 101068,
  [SMALL_STATE(2521)] = 101084,
  [SMALL_STATE(2522)] = 101100,
  [SMALL_STATE(2523)] = 101116,
  [SMALL_STATE(2524)] = 101130,
  [SMALL_STATE(2525)] = 101146,
  [SMALL_STATE(2526)] = 101162,
  [SMALL_STATE(2527)] = 101176,
  [SMALL_STATE(2528)] = 101192,
  [SMALL_STATE(2529)] = 101206,
  [SMALL_STATE(2530)] = 101220,
  [SMALL_STATE(2531)] = 101236,
  [SMALL_STATE(2532)] = 101252,
  [SMALL_STATE(2533)] = 101268,
  [SMALL_STATE(2534)] = 101284,
  [SMALL_STATE(2535)] = 101300,
  [SMALL_STATE(2536)] = 101316,
  [SMALL_STATE(2537)] = 101332,
  [SMALL_STATE(2538)] = 101346,
  [SMALL_STATE(2539)] = 101362,
  [SMALL_STATE(2540)] = 101378,
  [SMALL_STATE(2541)] = 101394,
  [SMALL_STATE(2542)] = 101410,
  [SMALL_STATE(2543)] = 101426,
  [SMALL_STATE(2544)] = 101442,
  [SMALL_STATE(2545)] = 101458,
  [SMALL_STATE(2546)] = 101474,
  [SMALL_STATE(2547)] = 101490,
  [SMALL_STATE(2548)] = 101506,
  [SMALL_STATE(2549)] = 101522,
  [SMALL_STATE(2550)] = 101538,
  [SMALL_STATE(2551)] = 101554,
  [SMALL_STATE(2552)] = 101570,
  [SMALL_STATE(2553)] = 101586,
  [SMALL_STATE(2554)] = 101602,
  [SMALL_STATE(2555)] = 101616,
  [SMALL_STATE(2556)] = 101630,
  [SMALL_STATE(2557)] = 101644,
  [SMALL_STATE(2558)] = 101658,
  [SMALL_STATE(2559)] = 101674,
  [SMALL_STATE(2560)] = 101688,
  [SMALL_STATE(2561)] = 101704,
  [SMALL_STATE(2562)] = 101718,
  [SMALL_STATE(2563)] = 101732,
  [SMALL_STATE(2564)] = 101746,
  [SMALL_STATE(2565)] = 101762,
  [SMALL_STATE(2566)] = 101776,
  [SMALL_STATE(2567)] = 101792,
  [SMALL_STATE(2568)] = 101808,
  [SMALL_STATE(2569)] = 101824,
  [SMALL_STATE(2570)] = 101838,
  [SMALL_STATE(2571)] = 101852,
  [SMALL_STATE(2572)] = 101868,
  [SMALL_STATE(2573)] = 101884,
  [SMALL_STATE(2574)] = 101898,
  [SMALL_STATE(2575)] = 101912,
  [SMALL_STATE(2576)] = 101926,
  [SMALL_STATE(2577)] = 101940,
  [SMALL_STATE(2578)] = 101956,
  [SMALL_STATE(2579)] = 101972,
  [SMALL_STATE(2580)] = 101988,
  [SMALL_STATE(2581)] = 102002,
  [SMALL_STATE(2582)] = 102016,
  [SMALL_STATE(2583)] = 102032,
  [SMALL_STATE(2584)] = 102048,
  [SMALL_STATE(2585)] = 102064,
  [SMALL_STATE(2586)] = 102080,
  [SMALL_STATE(2587)] = 102096,
  [SMALL_STATE(2588)] = 102110,
  [SMALL_STATE(2589)] = 102124,
  [SMALL_STATE(2590)] = 102138,
  [SMALL_STATE(2591)] = 102152,
  [SMALL_STATE(2592)] = 102168,
  [SMALL_STATE(2593)] = 102184,
  [SMALL_STATE(2594)] = 102198,
  [SMALL_STATE(2595)] = 102212,
  [SMALL_STATE(2596)] = 102228,
  [SMALL_STATE(2597)] = 102244,
  [SMALL_STATE(2598)] = 102260,
  [SMALL_STATE(2599)] = 102274,
  [SMALL_STATE(2600)] = 102288,
  [SMALL_STATE(2601)] = 102302,
  [SMALL_STATE(2602)] = 102316,
  [SMALL_STATE(2603)] = 102330,
  [SMALL_STATE(2604)] = 102344,
  [SMALL_STATE(2605)] = 102358,
  [SMALL_STATE(2606)] = 102372,
  [SMALL_STATE(2607)] = 102386,
  [SMALL_STATE(2608)] = 102402,
  [SMALL_STATE(2609)] = 102416,
  [SMALL_STATE(2610)] = 102430,
  [SMALL_STATE(2611)] = 102446,
  [SMALL_STATE(2612)] = 102462,
  [SMALL_STATE(2613)] = 102476,
  [SMALL_STATE(2614)] = 102492,
  [SMALL_STATE(2615)] = 102506,
  [SMALL_STATE(2616)] = 102520,
  [SMALL_STATE(2617)] = 102536,
  [SMALL_STATE(2618)] = 102552,
  [SMALL_STATE(2619)] = 102568,
  [SMALL_STATE(2620)] = 102584,
  [SMALL_STATE(2621)] = 102598,
  [SMALL_STATE(2622)] = 102614,
  [SMALL_STATE(2623)] = 102630,
  [SMALL_STATE(2624)] = 102644,
  [SMALL_STATE(2625)] = 102660,
  [SMALL_STATE(2626)] = 102676,
  [SMALL_STATE(2627)] = 102690,
  [SMALL_STATE(2628)] = 102706,
  [SMALL_STATE(2629)] = 102722,
  [SMALL_STATE(2630)] = 102736,
  [SMALL_STATE(2631)] = 102752,
  [SMALL_STATE(2632)] = 102768,
  [SMALL_STATE(2633)] = 102784,
  [SMALL_STATE(2634)] = 102798,
  [SMALL_STATE(2635)] = 102812,
  [SMALL_STATE(2636)] = 102826,
  [SMALL_STATE(2637)] = 102842,
  [SMALL_STATE(2638)] = 102856,
  [SMALL_STATE(2639)] = 102870,
  [SMALL_STATE(2640)] = 102886,
  [SMALL_STATE(2641)] = 102902,
  [SMALL_STATE(2642)] = 102916,
  [SMALL_STATE(2643)] = 102932,
  [SMALL_STATE(2644)] = 102946,
  [SMALL_STATE(2645)] = 102960,
  [SMALL_STATE(2646)] = 102974,
  [SMALL_STATE(2647)] = 102988,
  [SMALL_STATE(2648)] = 103002,
  [SMALL_STATE(2649)] = 103016,
  [SMALL_STATE(2650)] = 103032,
  [SMALL_STATE(2651)] = 103046,
  [SMALL_STATE(2652)] = 103060,
  [SMALL_STATE(2653)] = 103074,
  [SMALL_STATE(2654)] = 103088,
  [SMALL_STATE(2655)] = 103104,
  [SMALL_STATE(2656)] = 103118,
  [SMALL_STATE(2657)] = 103132,
  [SMALL_STATE(2658)] = 103148,
  [SMALL_STATE(2659)] = 103162,
  [SMALL_STATE(2660)] = 103176,
  [SMALL_STATE(2661)] = 103190,
  [SMALL_STATE(2662)] = 103204,
  [SMALL_STATE(2663)] = 103220,
  [SMALL_STATE(2664)] = 103236,
  [SMALL_STATE(2665)] = 103252,
  [SMALL_STATE(2666)] = 103266,
  [SMALL_STATE(2667)] = 103282,
  [SMALL_STATE(2668)] = 103298,
  [SMALL_STATE(2669)] = 103314,
  [SMALL_STATE(2670)] = 103330,
  [SMALL_STATE(2671)] = 103346,
  [SMALL_STATE(2672)] = 103362,
  [SMALL_STATE(2673)] = 103378,
  [SMALL_STATE(2674)] = 103394,
  [SMALL_STATE(2675)] = 103408,
  [SMALL_STATE(2676)] = 103424,
  [SMALL_STATE(2677)] = 103440,
  [SMALL_STATE(2678)] = 103456,
  [SMALL_STATE(2679)] = 103472,
  [SMALL_STATE(2680)] = 103488,
  [SMALL_STATE(2681)] = 103504,
  [SMALL_STATE(2682)] = 103520,
  [SMALL_STATE(2683)] = 103536,
  [SMALL_STATE(2684)] = 103552,
  [SMALL_STATE(2685)] = 103568,
  [SMALL_STATE(2686)] = 103584,
  [SMALL_STATE(2687)] = 103600,
  [SMALL_STATE(2688)] = 103616,
  [SMALL_STATE(2689)] = 103632,
  [SMALL_STATE(2690)] = 103648,
  [SMALL_STATE(2691)] = 103664,
  [SMALL_STATE(2692)] = 103680,
  [SMALL_STATE(2693)] = 103696,
  [SMALL_STATE(2694)] = 103712,
  [SMALL_STATE(2695)] = 103728,
  [SMALL_STATE(2696)] = 103744,
  [SMALL_STATE(2697)] = 103760,
  [SMALL_STATE(2698)] = 103776,
  [SMALL_STATE(2699)] = 103792,
  [SMALL_STATE(2700)] = 103806,
  [SMALL_STATE(2701)] = 103820,
  [SMALL_STATE(2702)] = 103834,
  [SMALL_STATE(2703)] = 103848,
  [SMALL_STATE(2704)] = 103862,
  [SMALL_STATE(2705)] = 103878,
  [SMALL_STATE(2706)] = 103892,
  [SMALL_STATE(2707)] = 103906,
  [SMALL_STATE(2708)] = 103922,
  [SMALL_STATE(2709)] = 103938,
  [SMALL_STATE(2710)] = 103952,
  [SMALL_STATE(2711)] = 103966,
  [SMALL_STATE(2712)] = 103980,
  [SMALL_STATE(2713)] = 103996,
  [SMALL_STATE(2714)] = 104010,
  [SMALL_STATE(2715)] = 104024,
  [SMALL_STATE(2716)] = 104038,
  [SMALL_STATE(2717)] = 104054,
  [SMALL_STATE(2718)] = 104070,
  [SMALL_STATE(2719)] = 104084,
  [SMALL_STATE(2720)] = 104098,
  [SMALL_STATE(2721)] = 104114,
  [SMALL_STATE(2722)] = 104128,
  [SMALL_STATE(2723)] = 104142,
  [SMALL_STATE(2724)] = 104156,
  [SMALL_STATE(2725)] = 104172,
  [SMALL_STATE(2726)] = 104186,
  [SMALL_STATE(2727)] = 104200,
  [SMALL_STATE(2728)] = 104216,
  [SMALL_STATE(2729)] = 104232,
  [SMALL_STATE(2730)] = 104248,
  [SMALL_STATE(2731)] = 104264,
  [SMALL_STATE(2732)] = 104280,
  [SMALL_STATE(2733)] = 104296,
  [SMALL_STATE(2734)] = 104310,
  [SMALL_STATE(2735)] = 104326,
  [SMALL_STATE(2736)] = 104342,
  [SMALL_STATE(2737)] = 104356,
  [SMALL_STATE(2738)] = 104370,
  [SMALL_STATE(2739)] = 104386,
  [SMALL_STATE(2740)] = 104402,
  [SMALL_STATE(2741)] = 104415,
  [SMALL_STATE(2742)] = 104428,
  [SMALL_STATE(2743)] = 104441,
  [SMALL_STATE(2744)] = 104454,
  [SMALL_STATE(2745)] = 104467,
  [SMALL_STATE(2746)] = 104480,
  [SMALL_STATE(2747)] = 104493,
  [SMALL_STATE(2748)] = 104506,
  [SMALL_STATE(2749)] = 104519,
  [SMALL_STATE(2750)] = 104532,
  [SMALL_STATE(2751)] = 104545,
  [SMALL_STATE(2752)] = 104558,
  [SMALL_STATE(2753)] = 104571,
  [SMALL_STATE(2754)] = 104584,
  [SMALL_STATE(2755)] = 104597,
  [SMALL_STATE(2756)] = 104610,
  [SMALL_STATE(2757)] = 104623,
  [SMALL_STATE(2758)] = 104636,
  [SMALL_STATE(2759)] = 104649,
  [SMALL_STATE(2760)] = 104662,
  [SMALL_STATE(2761)] = 104675,
  [SMALL_STATE(2762)] = 104688,
  [SMALL_STATE(2763)] = 104701,
  [SMALL_STATE(2764)] = 104714,
  [SMALL_STATE(2765)] = 104727,
  [SMALL_STATE(2766)] = 104740,
  [SMALL_STATE(2767)] = 104753,
  [SMALL_STATE(2768)] = 104766,
  [SMALL_STATE(2769)] = 104779,
  [SMALL_STATE(2770)] = 104792,
  [SMALL_STATE(2771)] = 104805,
  [SMALL_STATE(2772)] = 104818,
  [SMALL_STATE(2773)] = 104831,
  [SMALL_STATE(2774)] = 104844,
  [SMALL_STATE(2775)] = 104857,
  [SMALL_STATE(2776)] = 104870,
  [SMALL_STATE(2777)] = 104883,
  [SMALL_STATE(2778)] = 104896,
  [SMALL_STATE(2779)] = 104909,
  [SMALL_STATE(2780)] = 104922,
  [SMALL_STATE(2781)] = 104935,
  [SMALL_STATE(2782)] = 104948,
  [SMALL_STATE(2783)] = 104961,
  [SMALL_STATE(2784)] = 104974,
  [SMALL_STATE(2785)] = 104987,
  [SMALL_STATE(2786)] = 105000,
  [SMALL_STATE(2787)] = 105013,
  [SMALL_STATE(2788)] = 105026,
  [SMALL_STATE(2789)] = 105039,
  [SMALL_STATE(2790)] = 105052,
  [SMALL_STATE(2791)] = 105065,
  [SMALL_STATE(2792)] = 105078,
  [SMALL_STATE(2793)] = 105091,
  [SMALL_STATE(2794)] = 105104,
  [SMALL_STATE(2795)] = 105117,
  [SMALL_STATE(2796)] = 105130,
  [SMALL_STATE(2797)] = 105143,
  [SMALL_STATE(2798)] = 105156,
  [SMALL_STATE(2799)] = 105169,
  [SMALL_STATE(2800)] = 105182,
  [SMALL_STATE(2801)] = 105195,
  [SMALL_STATE(2802)] = 105208,
  [SMALL_STATE(2803)] = 105221,
  [SMALL_STATE(2804)] = 105234,
  [SMALL_STATE(2805)] = 105247,
  [SMALL_STATE(2806)] = 105260,
  [SMALL_STATE(2807)] = 105273,
  [SMALL_STATE(2808)] = 105286,
  [SMALL_STATE(2809)] = 105299,
  [SMALL_STATE(2810)] = 105312,
  [SMALL_STATE(2811)] = 105325,
  [SMALL_STATE(2812)] = 105338,
  [SMALL_STATE(2813)] = 105351,
  [SMALL_STATE(2814)] = 105364,
  [SMALL_STATE(2815)] = 105377,
  [SMALL_STATE(2816)] = 105390,
  [SMALL_STATE(2817)] = 105403,
  [SMALL_STATE(2818)] = 105416,
  [SMALL_STATE(2819)] = 105429,
  [SMALL_STATE(2820)] = 105442,
  [SMALL_STATE(2821)] = 105455,
  [SMALL_STATE(2822)] = 105468,
  [SMALL_STATE(2823)] = 105481,
  [SMALL_STATE(2824)] = 105494,
  [SMALL_STATE(2825)] = 105507,
  [SMALL_STATE(2826)] = 105520,
  [SMALL_STATE(2827)] = 105533,
  [SMALL_STATE(2828)] = 105546,
  [SMALL_STATE(2829)] = 105559,
  [SMALL_STATE(2830)] = 105572,
  [SMALL_STATE(2831)] = 105585,
  [SMALL_STATE(2832)] = 105598,
  [SMALL_STATE(2833)] = 105611,
  [SMALL_STATE(2834)] = 105624,
  [SMALL_STATE(2835)] = 105637,
  [SMALL_STATE(2836)] = 105650,
  [SMALL_STATE(2837)] = 105663,
  [SMALL_STATE(2838)] = 105676,
  [SMALL_STATE(2839)] = 105689,
  [SMALL_STATE(2840)] = 105702,
  [SMALL_STATE(2841)] = 105715,
  [SMALL_STATE(2842)] = 105728,
  [SMALL_STATE(2843)] = 105741,
  [SMALL_STATE(2844)] = 105754,
  [SMALL_STATE(2845)] = 105767,
  [SMALL_STATE(2846)] = 105780,
  [SMALL_STATE(2847)] = 105793,
  [SMALL_STATE(2848)] = 105806,
  [SMALL_STATE(2849)] = 105819,
  [SMALL_STATE(2850)] = 105832,
  [SMALL_STATE(2851)] = 105845,
  [SMALL_STATE(2852)] = 105858,
  [SMALL_STATE(2853)] = 105871,
  [SMALL_STATE(2854)] = 105884,
  [SMALL_STATE(2855)] = 105897,
  [SMALL_STATE(2856)] = 105910,
  [SMALL_STATE(2857)] = 105923,
  [SMALL_STATE(2858)] = 105936,
  [SMALL_STATE(2859)] = 105949,
  [SMALL_STATE(2860)] = 105962,
  [SMALL_STATE(2861)] = 105975,
  [SMALL_STATE(2862)] = 105988,
  [SMALL_STATE(2863)] = 106001,
  [SMALL_STATE(2864)] = 106014,
  [SMALL_STATE(2865)] = 106027,
  [SMALL_STATE(2866)] = 106040,
  [SMALL_STATE(2867)] = 106053,
  [SMALL_STATE(2868)] = 106066,
  [SMALL_STATE(2869)] = 106079,
  [SMALL_STATE(2870)] = 106092,
  [SMALL_STATE(2871)] = 106105,
  [SMALL_STATE(2872)] = 106118,
  [SMALL_STATE(2873)] = 106131,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2821),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1040),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(435),
  [165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1692),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2344),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1757),
  [179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(525),
  [182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1736),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2707),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2739),
  [191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2126),
  [194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(196),
  [197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(317),
  [200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2348),
  [203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(93),
  [206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2349),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2124),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2123),
  [215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2352),
  [218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(236),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(276),
  [224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(779),
  [227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(121),
  [230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(130),
  [233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2391),
  [236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1849),
  [239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2009),
  [242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2010),
  [245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1871),
  [248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(457),
  [251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1955),
  [254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(256),
  [257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(333),
  [260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2823),
  [263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(306),
  [266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1836),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1384),
  [272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2821),
  [275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1287),
  [278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2053),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1035),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 100),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 59),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, .production_id = 37),
  [338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1034),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(433),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1696),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2235),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1769),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(527),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1768),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2248),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2257),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2168),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2304),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(92),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2313),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2141),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2129),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2386),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(234),
  [396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(299),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(994),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1848),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(447),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2031),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1036),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, .production_id = 69),
  [912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, .production_id = 69),
  [914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 98),
  [916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 98),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 98),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 80),
  [926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 80),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 80),
  [932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 36),
  [934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 36),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 36),
  [940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 76),
  [942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 76),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 76),
  [948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 92),
  [950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 92),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 92),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 71),
  [960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 71),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 71),
  [966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 88),
  [968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 88),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 88),
  [974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 88),
  [976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, .production_id = 88),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, .production_id = 88),
  [982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 92),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 88),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 88),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 80),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [1021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 76),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 71),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 98),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 36),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [1219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [1224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(83),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [1269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(1674),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [1274] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(221),
  [1278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(83),
  [1281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(376),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(221),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, .production_id = 19),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 6),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [1400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(365),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(401),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [1439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(272),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 6),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [1452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 19),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 24),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [1487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 6),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, .production_id = 62),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [1521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 103),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 61),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 6),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 27),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 26),
  [1541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 60),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 6),
  [1549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, .production_id = 62),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [1555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 20),
  [1557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 24),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [1567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 54),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [1571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 79),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, .production_id = 23),
  [1575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, .production_id = 23),
  [1579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [1581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 21),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 20),
  [1589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 98),
  [1593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 102),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [1597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 92),
  [1599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 88),
  [1601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 88),
  [1603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 96),
  [1605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 80),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [1609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 91),
  [1611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 14),
  [1613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 76),
  [1615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 13),
  [1617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 71),
  [1621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [1623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [1629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 63),
  [1633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 29),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 25),
  [1637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 30),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 54),
  [1645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 54),
  [1647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 36),
  [1649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 103),
  [1651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 30),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 55),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [1661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 52),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [1665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 62),
  [1667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 26),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 88),
  [1671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 30),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 25),
  [1675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 54),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 29),
  [1679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 98),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, .production_id = 23),
  [1683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 88),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 92),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 27),
  [1691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 21),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 20),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 30),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 102),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 14),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 13),
  [1707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 96),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 80),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [1735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 91),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 76),
  [1739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 52),
  [1741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 54),
  [1745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 55),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 79),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [1753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 36),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 63),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 6),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 61),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 71),
  [1765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 62),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 54),
  [1769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [1771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 20),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 60),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [1777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [1779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, .production_id = 23),
  [1781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [1783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [1785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 47),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 47),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 78),
  [1804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 78),
  [1806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 90),
  [1808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 90),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [1814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(150),
  [1817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 44),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 44),
  [1821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 45),
  [1823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 45),
  [1825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 46),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 46),
  [1829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 95),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 94),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 101),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, .production_id = 105),
  [1843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [1848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [1850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(404),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, .production_id = 19),
  [1867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(257),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [1875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(355),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 19),
  [1885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [1898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [1912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [1914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [1916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [1918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [1920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 7),
  [1922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 7),
  [1924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 17),
  [1926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 17),
  [1928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 17), REDUCE(sym_object_pattern, 3, .production_id = 18),
  [1931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 18),
  [1933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [1938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [1940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [1942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [1949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .dynamic_precedence = 1, .production_id = 39),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .dynamic_precedence = 1, .production_id = 39),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 9),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 9),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, .production_id = 49),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, .production_id = 49),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 6),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 6),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, .production_id = 50),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, .production_id = 50),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 43),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 51),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 51),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 53),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 53),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [2019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 17),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 17),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 43),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 43),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [2047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [2049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [2065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 41),
  [2067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [2071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 40),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 40),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, .production_id = 38),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, .production_id = 38),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 48),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 48),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 37),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 37),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [2095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 10),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 10),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, .production_id = 31),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, .production_id = 31),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 64),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 64),
  [2111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 72),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 72),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 73),
  [2117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 73),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 74),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 74),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 75),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 75),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 73),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 73),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 77),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 77),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 31),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 31),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 81),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 81),
  [2151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, .production_id = 11),
  [2159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, .production_id = 11),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, .production_id = 11),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, .production_id = 11),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 87),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 87),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 89),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 15),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 16),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 16),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [2183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [2187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [2189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [2265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 41),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 59),
  [2297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 59), SHIFT(374),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [2304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 41), REDUCE(sym_assignment_expression, 3, .production_id = 41),
  [2307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 41),
  [2309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 56), REDUCE(sym_assignment_expression, 3, .production_id = 41),
  [2312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 56),
  [2314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 56), REDUCE(sym_assignment_expression, 3, .production_id = 15),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 18),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [2337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 17), REDUCE(sym_object_pattern, 3, .production_id = 18),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [2363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 57),
  [2494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [2499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [2506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [2546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 59), SHIFT(388),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [2633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [2676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [2706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1922),
  [2709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1672),
  [2712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70),
  [2714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1597),
  [2717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(398),
  [2720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(2391),
  [2723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1938),
  [2726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1939),
  [2729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1544),
  [2732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1947),
  [2735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(2199),
  [2738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1536),
  [2741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1632),
  [2744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1557),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [2771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [2785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [2791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 4),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [2809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 4),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [2813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 18),
  [2816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [2818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [2820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [2822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [2826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [2828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [2840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [2844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [2846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [2848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [2852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [2854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [2856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [2860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [2862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [2864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [2868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [2870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [2872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [2874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [2876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [2882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 99),
  [2884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 44),
  [2886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 58),
  [2888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 33),
  [2890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 34),
  [2892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 34), SHIFT_REPEAT(1602),
  [2895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 88),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [2901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12),
  [2903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12), SHIFT_REPEAT(2155),
  [2906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 104),
  [2908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 76),
  [2910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 83),
  [2912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 93),
  [2914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 98),
  [2916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [2918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, .production_id = 6),
  [2920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 34),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [2940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [2942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12), SHIFT_REPEAT(2199),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 9),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [3011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [3029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(224),
  [3032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(1806),
  [3035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(1820),
  [3038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(1890),
  [3041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [3087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 65), SHIFT_REPEAT(1738),
  [3090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 65), SHIFT_REPEAT(232),
  [3093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 65),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [3135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [3137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [3149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__destructuring_pattern, 1),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [3163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [3179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 18),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [3185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3),
  [3187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, .dynamic_precedence = -1),
  [3189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [3209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(346),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, .production_id = 68),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, .production_id = 66),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 64),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [3224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, .production_id = 44),
  [3226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(2849),
  [3229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [3231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(254),
  [3234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_text, 1),
  [3242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, .production_id = 85),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [3260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2),
  [3262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 1),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [3268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(1940),
  [3271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [3273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(262),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [3278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 1, .production_id = 35),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [3284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [3290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 31),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [3300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 2),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [3316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [3318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [3320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 32),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [3330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [3346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 22),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 18),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [3359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 3),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [3367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12),
  [3369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12), SHIFT_REPEAT(2053),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [3390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [3392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [3394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [3398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [3400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [3408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [3410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [3412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [3416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(355),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [3423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 44),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [3451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(404),
  [3454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [3468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [3478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2), SHIFT_REPEAT(2055),
  [3481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2),
  [3483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 2), SHIFT_REPEAT(2055),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [3488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [3496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [3500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [3524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [3552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [3556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [3558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [3562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [3576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2), SHIFT_REPEAT(2059),
  [3603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2),
  [3605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 2), SHIFT_REPEAT(2059),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [3610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(1740),
  [3613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [3617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [3621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 18),
  [3623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [3629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [3659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(328),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [3676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [3688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [3696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [3722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [3724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(2173),
  [3727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [3729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2176),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [3736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(219),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [3781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [3783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 1),
  [3785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 1),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [3793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 1),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 1),
  [3797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [3805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(194),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [3810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [3816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [3856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 9),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [3870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, .production_id = 5),
  [3872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2), SHIFT_REPEAT(2606),
  [3875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [3879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(1514),
  [3882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [3884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 20),
  [3886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [3892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(1512),
  [3895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [3909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, .production_id = 5),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [3931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 57),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [3941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [3973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 1),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [3977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [3991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(228),
  [3994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [4014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 1),
  [4016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 1),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [4024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [4026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1),
  [4028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(1834),
  [4031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [4041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(1808),
  [4044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [4048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [4060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [4066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 76),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, .production_id = 82),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [4080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, .production_id = 67),
  [4088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 83),
  [4090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 82),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [4110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [4112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [4114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, .production_id = 84),
  [4116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, .production_id = 86),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [4122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 88),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [4128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 93),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [4164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 58),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [4180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1),
  [4192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 44),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [4230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [4250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [4286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 4, .production_id = 97),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [4292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 98),
  [4294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 99),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [4336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 104),
  [4338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 1),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [4342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [4354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [4388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [4420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [4466] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [4496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3),
  [4498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [4504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [4522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
};

static const bool ts_external_scanner_states[9][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [7] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_javascript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
